/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2010, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  $PostgreSQL: pgsql/src/backend/parser/gram.y,v 2.713.2.1 2010/08/18 18:35:30 tgl Exp $
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static SelectStmt *findLeftmostSelect(SelectStmt *node);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);



/* Line 268 of yacc.c  */
#line 216 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     AUTHORIZATION = 292,
     BACKWARD = 293,
     BEFORE = 294,
     BEGIN_P = 295,
     BETWEEN = 296,
     BIGINT = 297,
     BINARY = 298,
     BIT = 299,
     BOOLEAN_P = 300,
     BOTH = 301,
     BY = 302,
     CACHE = 303,
     CALLED = 304,
     CASCADE = 305,
     CASCADED = 306,
     CASE = 307,
     CAST = 308,
     CATALOG_P = 309,
     CHAIN = 310,
     CHAR_P = 311,
     CHARACTER = 312,
     CHARACTERISTICS = 313,
     CHECK = 314,
     CHECKPOINT = 315,
     CLASS = 316,
     CLOSE = 317,
     CLUSTER = 318,
     COALESCE = 319,
     COLLATE = 320,
     COLUMN = 321,
     COMMENT = 322,
     COMMENTS = 323,
     COMMIT = 324,
     COMMITTED = 325,
     CONCURRENTLY = 326,
     CONFIGURATION = 327,
     CONNECTION = 328,
     CONSTRAINT = 329,
     CONSTRAINTS = 330,
     CONTENT_P = 331,
     CONTINUE_P = 332,
     CONVERSION_P = 333,
     COPY = 334,
     COST = 335,
     CREATE = 336,
     CREATEDB = 337,
     CREATEROLE = 338,
     CREATEUSER = 339,
     CROSS = 340,
     CSV = 341,
     CURRENT_P = 342,
     CURRENT_CATALOG = 343,
     CURRENT_DATE = 344,
     CURRENT_ROLE = 345,
     CURRENT_SCHEMA = 346,
     CURRENT_TIME = 347,
     CURRENT_TIMESTAMP = 348,
     CURRENT_USER = 349,
     CURSOR = 350,
     CYCLE = 351,
     DATA_P = 352,
     DATABASE = 353,
     DAY_P = 354,
     DEALLOCATE = 355,
     DEC = 356,
     DECIMAL_P = 357,
     DECLARE = 358,
     DEFAULT = 359,
     DEFAULTS = 360,
     DEFERRABLE = 361,
     DEFERRED = 362,
     DEFINER = 363,
     DELETE_P = 364,
     DELIMITER = 365,
     DELIMITERS = 366,
     DESC = 367,
     DICTIONARY = 368,
     DISABLE_P = 369,
     DISCARD = 370,
     DISTINCT = 371,
     DO = 372,
     DOCUMENT_P = 373,
     DOMAIN_P = 374,
     DOUBLE_P = 375,
     DROP = 376,
     EACH = 377,
     ELSE = 378,
     ENABLE_P = 379,
     ENCODING = 380,
     ENCRYPTED = 381,
     END_P = 382,
     ENUM_P = 383,
     ESCAPE = 384,
     EXCEPT = 385,
     EXCLUDE = 386,
     EXCLUDING = 387,
     EXCLUSIVE = 388,
     EXECUTE = 389,
     EXISTS = 390,
     EXPLAIN = 391,
     EXTERNAL = 392,
     EXTRACT = 393,
     FALSE_P = 394,
     FAMILY = 395,
     FETCH = 396,
     FIRST_P = 397,
     FLOAT_P = 398,
     FOLLOWING = 399,
     FOR = 400,
     FORCE = 401,
     FOREIGN = 402,
     FORWARD = 403,
     FREEZE = 404,
     FROM = 405,
     FULL = 406,
     FUNCTION = 407,
     FUNCTIONS = 408,
     GLOBAL = 409,
     GRANT = 410,
     GRANTED = 411,
     GREATEST = 412,
     GROUP_P = 413,
     HANDLER = 414,
     HAVING = 415,
     HEADER_P = 416,
     HOLD = 417,
     HOUR_P = 418,
     IDENTITY_P = 419,
     IF_P = 420,
     ILIKE = 421,
     IMMEDIATE = 422,
     IMMUTABLE = 423,
     IMPLICIT_P = 424,
     IN_P = 425,
     INCLUDING = 426,
     INCREMENT = 427,
     INDEX = 428,
     INDEXES = 429,
     INHERIT = 430,
     INHERITS = 431,
     INITIALLY = 432,
     INLINE_P = 433,
     INNER_P = 434,
     INOUT = 435,
     INPUT_P = 436,
     INSENSITIVE = 437,
     INSERT = 438,
     INSTEAD = 439,
     INT_P = 440,
     INTEGER = 441,
     INTERSECT = 442,
     INTERVAL = 443,
     INTO = 444,
     INVOKER = 445,
     IS = 446,
     ISNULL = 447,
     ISOLATION = 448,
     JOIN = 449,
     KEY = 450,
     LANGUAGE = 451,
     LARGE_P = 452,
     LAST_P = 453,
     LC_COLLATE_P = 454,
     LC_CTYPE_P = 455,
     LEADING = 456,
     LEAST = 457,
     LEFT = 458,
     LEVEL = 459,
     LIKE = 460,
     LIMIT = 461,
     LISTEN = 462,
     LOAD = 463,
     LOCAL = 464,
     LOCALTIME = 465,
     LOCALTIMESTAMP = 466,
     LOCATION = 467,
     LOCK_P = 468,
     LOGIN_P = 469,
     MAPPING = 470,
     MATCH = 471,
     MAXVALUE = 472,
     MINUTE_P = 473,
     MINVALUE = 474,
     MODE = 475,
     MONTH_P = 476,
     MOVE = 477,
     NAME_P = 478,
     NAMES = 479,
     NATIONAL = 480,
     NATURAL = 481,
     NCHAR = 482,
     NEXT = 483,
     NO = 484,
     NOCREATEDB = 485,
     NOCREATEROLE = 486,
     NOCREATEUSER = 487,
     NOINHERIT = 488,
     NOLOGIN_P = 489,
     NONE = 490,
     NOSUPERUSER = 491,
     NOT = 492,
     NOTHING = 493,
     NOTIFY = 494,
     NOTNULL = 495,
     NOWAIT = 496,
     NULL_P = 497,
     NULLIF = 498,
     NULLS_P = 499,
     NUMERIC = 500,
     OBJECT_P = 501,
     OF = 502,
     OFF = 503,
     OFFSET = 504,
     OIDS = 505,
     ON = 506,
     ONLY = 507,
     OPERATOR = 508,
     OPTION = 509,
     OPTIONS = 510,
     OR = 511,
     ORDER = 512,
     OUT_P = 513,
     OUTER_P = 514,
     OVER = 515,
     OVERLAPS = 516,
     OVERLAY = 517,
     OWNED = 518,
     OWNER = 519,
     PARSER = 520,
     PARTIAL = 521,
     PARTITION = 522,
     PASSWORD = 523,
     PLACING = 524,
     PLANS = 525,
     POSITION = 526,
     PRECEDING = 527,
     PRECISION = 528,
     PRESERVE = 529,
     PREPARE = 530,
     PREPARED = 531,
     PRIMARY = 532,
     PRIOR = 533,
     PRIVILEGES = 534,
     PROCEDURAL = 535,
     PROCEDURE = 536,
     QUOTE = 537,
     RANGE = 538,
     READ = 539,
     REAL = 540,
     REASSIGN = 541,
     RECHECK = 542,
     RECURSIVE = 543,
     REFERENCES = 544,
     REINDEX = 545,
     RELATIVE_P = 546,
     RELEASE = 547,
     RENAME = 548,
     REPEATABLE = 549,
     REPLACE = 550,
     REPLICA = 551,
     RESET = 552,
     RESTART = 553,
     RESTRICT = 554,
     RETURNING = 555,
     RETURNS = 556,
     REVOKE = 557,
     RIGHT = 558,
     ROLE = 559,
     ROLLBACK = 560,
     ROW = 561,
     ROWS = 562,
     RULE = 563,
     SAVEPOINT = 564,
     SCHEMA = 565,
     SCROLL = 566,
     SEARCH = 567,
     SECOND_P = 568,
     SECURITY = 569,
     SELECT = 570,
     SEQUENCE = 571,
     SEQUENCES = 572,
     SERIALIZABLE = 573,
     SERVER = 574,
     SESSION = 575,
     SESSION_USER = 576,
     SET = 577,
     SETOF = 578,
     SHARE = 579,
     SHOW = 580,
     SIMILAR = 581,
     SIMPLE = 582,
     SMALLINT = 583,
     SOME = 584,
     STABLE = 585,
     STANDALONE_P = 586,
     START = 587,
     STATEMENT = 588,
     STATISTICS = 589,
     STDIN = 590,
     STDOUT = 591,
     STORAGE = 592,
     STRICT_P = 593,
     STRIP_P = 594,
     SUBSTRING = 595,
     SUPERUSER_P = 596,
     SYMMETRIC = 597,
     SYSID = 598,
     SYSTEM_P = 599,
     TABLE = 600,
     TABLES = 601,
     TABLESPACE = 602,
     TEMP = 603,
     TEMPLATE = 604,
     TEMPORARY = 605,
     TEXT_P = 606,
     THEN = 607,
     TIME = 608,
     TIMESTAMP = 609,
     TO = 610,
     TRAILING = 611,
     TRANSACTION = 612,
     TREAT = 613,
     TRIGGER = 614,
     TRIM = 615,
     TRUE_P = 616,
     TRUNCATE = 617,
     TRUSTED = 618,
     TYPE_P = 619,
     UNBOUNDED = 620,
     UNCOMMITTED = 621,
     UNENCRYPTED = 622,
     UNION = 623,
     UNIQUE = 624,
     UNKNOWN = 625,
     UNLISTEN = 626,
     UNTIL = 627,
     UPDATE = 628,
     USER = 629,
     USING = 630,
     VACUUM = 631,
     VALID = 632,
     VALIDATOR = 633,
     VALUE_P = 634,
     VALUES = 635,
     VARCHAR = 636,
     VARIADIC = 637,
     VARYING = 638,
     VERBOSE = 639,
     VERSION_P = 640,
     VIEW = 641,
     VOLATILE = 642,
     WHEN = 643,
     WHERE = 644,
     WHITESPACE_P = 645,
     WINDOW = 646,
     WITH = 647,
     WITHOUT = 648,
     WORK = 649,
     WRAPPER = 650,
     WRITE = 651,
     XML_P = 652,
     XMLATTRIBUTES = 653,
     XMLCONCAT = 654,
     XMLELEMENT = 655,
     XMLFOREST = 656,
     XMLPARSE = 657,
     XMLPI = 658,
     XMLROOT = 659,
     XMLSERIALIZE = 660,
     YEAR_P = 661,
     YES_P = 662,
     ZONE = 663,
     NULLS_FIRST = 664,
     NULLS_LAST = 665,
     WITH_TIME = 666,
     POSTFIXOP = 667,
     UMINUS = 668
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 146 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 293 of yacc.c  */
#line 704 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 729 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  683
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   65566

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  431
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  516
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2090
/* YYNRULES -- Number of states.  */
#define YYNSTATES  3840

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   668

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   420,     2,     2,
     425,   426,   418,   416,   429,   417,   427,   419,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   430,   428,
     413,   412,   414,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   423,     2,   424,   421,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   415,   422
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   216,   222,
     224,   225,   228,   229,   232,   233,   236,   239,   243,   247,
     249,   251,   253,   255,   257,   259,   261,   263,   265,   267,
     269,   271,   275,   279,   282,   284,   287,   290,   293,   297,
     301,   307,   313,   314,   318,   324,   330,   335,   339,   345,
     349,   355,   361,   368,   370,   372,   376,   382,   389,   394,
     396,   397,   400,   401,   403,   405,   407,   409,   411,   413,
     416,   420,   424,   428,   432,   436,   440,   444,   448,   451,
     457,   460,   463,   466,   469,   473,   477,   481,   483,   487,
     489,   493,   495,   497,   500,   503,   506,   508,   510,   512,
     514,   516,   518,   520,   524,   531,   533,   535,   537,   539,
     541,   542,   544,   546,   549,   553,   558,   562,   565,   568,
     570,   573,   577,   582,   586,   589,   594,   596,   598,   600,
     602,   604,   607,   610,   613,   616,   621,   626,   631,   636,
     638,   642,   645,   649,   654,   661,   668,   675,   681,   687,
     694,   701,   706,   714,   717,   724,   729,   733,   737,   741,
     745,   749,   754,   759,   763,   767,   771,   775,   779,   783,
     788,   793,   797,   800,   804,   808,   812,   815,   818,   822,
     825,   827,   829,   830,   833,   834,   838,   841,   842,   844,
     848,   852,   854,   860,   864,   867,   870,   881,   888,   890,
     892,   894,   896,   898,   900,   904,   907,   908,   910,   912,
     916,   920,   922,   924,   928,   932,   936,   940,   945,   947,
     948,   951,   952,   956,   957,   959,   960,   962,   966,   969,
     971,   973,   975,   979,   980,   982,   986,   988,  1000,  1011,
    1013,  1015,  1018,  1021,  1024,  1027,  1028,  1030,  1031,  1035,
    1036,  1038,  1042,  1044,  1048,  1050,  1052,  1054,  1056,  1058,
    1062,  1067,  1070,  1071,  1075,  1077,  1079,  1082,  1084,  1088,
    1093,  1098,  1101,  1107,  1109,  1112,  1115,  1118,  1122,  1126,
    1130,  1131,  1133,  1135,  1137,  1139,  1141,  1143,  1147,  1149,
    1155,  1163,  1172,  1182,  1194,  1198,  1199,  1201,  1205,  1207,
    1210,  1213,  1216,  1217,  1219,  1223,  1227,  1234,  1239,  1240,
    1242,  1244,  1247,  1250,  1251,  1255,  1259,  1262,  1264,  1266,
    1269,  1272,  1277,  1278,  1281,  1284,  1287,  1288,  1292,  1297,
    1302,  1303,  1306,  1307,  1312,  1313,  1321,  1327,  1331,  1332,
    1334,  1338,  1340,  1343,  1347,  1348,  1354,  1359,  1361,  1362,
    1364,  1367,  1370,  1372,  1375,  1379,  1382,  1385,  1388,  1391,
    1395,  1399,  1401,  1405,  1407,  1408,  1410,  1413,  1415,  1417,
    1421,  1428,  1439,  1441,  1442,  1444,  1447,  1450,  1451,  1454,
    1457,  1459,  1460,  1466,  1474,  1476,  1477,  1484,  1487,  1488,
    1492,  1498,  1506,  1513,  1522,  1530,  1537,  1544,  1549,  1550,
    1552,  1556,  1561,  1563,  1567,  1569,  1572,  1575,  1578,  1581,
    1583,  1585,  1596,  1599,  1600,  1603,  1606,  1608,  1609,  1614,
    1621,  1627,  1632,  1637,  1646,  1648,  1650,  1652,  1660,  1670,
    1679,  1695,  1716,  1718,  1720,  1722,  1726,  1728,  1730,  1732,
    1736,  1738,  1742,  1743,  1745,  1746,  1748,  1750,  1755,  1756,
    1758,  1762,  1763,  1765,  1767,  1769,  1771,  1773,  1775,  1778,
    1779,  1781,  1784,  1786,  1789,  1790,  1793,  1795,  1798,  1801,
    1808,  1817,  1826,  1831,  1837,  1842,  1847,  1852,  1856,  1864,
    1873,  1880,  1887,  1894,  1901,  1905,  1907,  1911,  1915,  1917,
    1919,  1921,  1923,  1925,  1927,  1931,  1935,  1939,  1941,  1945,
    1949,  1951,  1952,  1954,  1958,  1972,  1974,  1978,  1983,  1989,
    1994,  2002,  2005,  2007,  2008,  2011,  2012,  2014,  2015,  2022,
    2031,  2040,  2042,  2046,  2052,  2058,  2066,  2076,  2084,  2094,
    2100,  2107,  2114,  2119,  2121,  2123,  2125,  2127,  2129,  2131,
    2133,  2135,  2139,  2143,  2147,  2151,  2153,  2157,  2159,  2162,
    2165,  2169,  2175,  2178,  2181,  2182,  2189,  2197,  2205,  2213,
    2222,  2231,  2238,  2247,  2257,  2267,  2275,  2286,  2294,  2303,
    2312,  2321,  2330,  2332,  2334,  2336,  2338,  2340,  2342,  2344,
    2346,  2348,  2350,  2352,  2354,  2356,  2358,  2361,  2364,  2366,
    2369,  2373,  2377,  2381,  2385,  2390,  2395,  2399,  2403,  2407,
    2412,  2417,  2421,  2426,  2431,  2433,  2435,  2437,  2438,  2446,
    2454,  2465,  2467,  2469,  2472,  2477,  2483,  2485,  2489,  2492,
    2495,  2498,  2501,  2503,  2506,  2509,  2514,  2518,  2521,  2524,
    2527,  2531,  2534,  2537,  2543,  2549,  2555,  2557,  2561,  2563,
    2566,  2570,  2571,  2573,  2577,  2580,  2587,  2594,  2604,  2608,
    2609,  2613,  2614,  2620,  2623,  2624,  2628,  2632,  2636,  2644,
    2652,  2663,  2665,  2667,  2669,  2684,  2686,  2687,  2689,  2690,
    2692,  2693,  2696,  2697,  2699,  2703,  2708,  2713,  2720,  2722,
    2725,  2726,  2728,  2730,  2731,  2733,  2735,  2736,  2746,  2759,
    2767,  2770,  2771,  2775,  2778,  2780,  2784,  2788,  2791,  2793,
    2797,  2801,  2805,  2808,  2811,  2813,  2815,  2817,  2819,  2822,
    2824,  2826,  2828,  2830,  2835,  2841,  2843,  2847,  2851,  2853,
    2856,  2861,  2867,  2869,  2871,  2873,  2875,  2879,  2883,  2886,
    2889,  2892,  2895,  2897,  2900,  2903,  2905,  2907,  2909,  2913,
    2916,  2917,  2920,  2922,  2926,  2932,  2934,  2937,  2939,  2940,
    2946,  2954,  2960,  2968,  2974,  2982,  2986,  2992,  2998,  3004,
    3006,  3010,  3013,  3015,  3018,  3020,  3023,  3035,  3046,  3057,
    3060,  3063,  3064,  3074,  3077,  3078,  3083,  3088,  3093,  3095,
    3097,  3099,  3100,  3108,  3115,  3122,  3129,  3136,  3144,  3154,
    3164,  3171,  3178,  3185,  3192,  3199,  3208,  3217,  3224,  3231,
    3238,  3244,  3250,  3259,  3268,  3277,  3286,  3293,  3295,  3296,
    3299,  3300,  3308,  3315,  3322,  3329,  3336,  3343,  3350,  3358,
    3365,  3372,  3379,  3386,  3394,  3402,  3410,  3420,  3430,  3437,
    3444,  3451,  3460,  3469,  3478,  3485,  3499,  3501,  3503,  3507,
    3511,  3513,  3515,  3517,  3519,  3521,  3523,  3525,  3526,  3528,
    3530,  3532,  3534,  3536,  3538,  3539,  3546,  3555,  3559,  3562,
    3563,  3566,  3569,  3572,  3575,  3579,  3583,  3586,  3589,  3592,
    3595,  3599,  3602,  3608,  3613,  3617,  3621,  3625,  3627,  3629,
    3630,  3634,  3637,  3640,  3642,  3646,  3649,  3651,  3652,  3661,
    3672,  3676,  3681,  3686,  3687,  3690,  3696,  3699,  3700,  3704,
    3708,  3712,  3716,  3720,  3724,  3728,  3732,  3736,  3740,  3744,
    3748,  3752,  3757,  3761,  3765,  3767,  3768,  3774,  3781,  3786,
    3789,  3790,  3795,  3799,  3805,  3812,  3817,  3824,  3831,  3837,
    3845,  3847,  3848,  3855,  3867,  3879,  3891,  3905,  3915,  3927,
    3938,  3943,  3946,  3952,  3955,  3956,  3961,  3967,  3973,  3978,
    3985,  3987,  3991,  3993,  3995,  3997,  3999,  4002,  4007,  4009,
    4011,  4013,  4014,  4016,  4017,  4019,  4020,  4024,  4025,  4028,
    4033,  4037,  4043,  4045,  4047,  4049,  4051,  4053,  4055,  4057,
    4059,  4063,  4066,  4068,  4070,  4072,  4074,  4075,  4081,  4085,
    4086,  4088,  4090,  4092,  4094,  4098,  4107,  4111,  4112,  4115,
    4119,  4122,  4126,  4132,  4134,  4139,  4142,  4144,  4148,  4151,
    4154,  4155,  4162,  4165,  4166,  4172,  4176,  4177,  4180,  4183,
    4186,  4190,  4192,  4196,  4198,  4201,  4203,  4204,  4212,  4214,
    4218,  4220,  4222,  4226,  4232,  4235,  4237,  4241,  4249,  4251,
    4252,  4256,  4259,  4262,  4265,  4266,  4269,  4272,  4274,  4276,
    4280,  4284,  4286,  4289,  4294,  4299,  4302,  4306,  4312,  4318,
    4320,  4322,  4332,  4334,  4337,  4342,  4347,  4352,  4355,  4359,
    4361,  4365,  4370,  4373,  4374,  4378,  4382,  4387,  4392,  4397,
    4402,  4405,  4407,  4409,  4410,  4412,  4414,  4415,  4417,  4423,
    4425,  4426,  4428,  4429,  4433,  4435,  4439,  4444,  4448,  4451,
    4454,  4456,  4458,  4460,  4461,  4464,  4469,  4475,  4478,  4482,
    4484,  4486,  4488,  4490,  4494,  4495,  4497,  4499,  4501,  4503,
    4505,  4509,  4510,  4513,  4514,  4516,  4520,  4522,  4523,  4525,
    4528,  4533,  4538,  4541,  4542,  4545,  4549,  4552,  4553,  4555,
    4559,  4561,  4564,  4566,  4569,  4575,  4582,  4588,  4590,  4593,
    4595,  4600,  4604,  4609,  4615,  4620,  4626,  4631,  4637,  4640,
    4645,  4647,  4650,  4653,  4656,  4658,  4660,  4661,  4666,  4669,
    4671,  4674,  4677,  4682,  4684,  4688,  4690,  4693,  4697,  4699,
    4702,  4703,  4706,  4711,  4712,  4714,  4718,  4721,  4724,  4728,
    4734,  4741,  4744,  4748,  4752,  4757,  4758,  4760,  4762,  4764,
    4766,  4768,  4771,  4777,  4779,  4781,  4783,  4785,  4788,  4792,
    4796,  4797,  4799,  4801,  4803,  4805,  4807,  4810,  4813,  4816,
    4819,  4822,  4824,  4828,  4829,  4831,  4833,  4835,  4837,  4843,
    4846,  4848,  4850,  4852,  4854,  4860,  4863,  4866,  4869,  4871,
    4875,  4879,  4882,  4884,  4885,  4889,  4890,  4896,  4899,  4905,
    4908,  4910,  4913,  4917,  4918,  4920,  4922,  4924,  4926,  4928,
    4930,  4934,  4938,  4942,  4946,  4950,  4954,  4958,  4959,  4961,
    4966,  4968,  4972,  4978,  4981,  4984,  4988,  4992,  4996,  5000,
    5004,  5008,  5012,  5016,  5020,  5024,  5027,  5030,  5034,  5038,
    5041,  5045,  5051,  5056,  5063,  5067,  5073,  5078,  5085,  5090,
    5097,  5103,  5111,  5115,  5118,  5123,  5126,  5130,  5134,  5139,
    5143,  5148,  5152,  5157,  5163,  5170,  5177,  5185,  5192,  5200,
    5207,  5215,  5219,  5224,  5229,  5236,  5239,  5243,  5248,  5250,
    5254,  5257,  5260,  5264,  5268,  5272,  5276,  5280,  5284,  5288,
    5292,  5296,  5300,  5303,  5306,  5312,  5319,  5326,  5334,  5338,
    5343,  5345,  5347,  5350,  5355,  5357,  5359,  5361,  5364,  5367,
    5370,  5373,  5375,  5380,  5386,  5393,  5402,  5409,  5417,  5425,
    5431,  5433,  5435,  5440,  5442,  5447,  5449,  5454,  5456,  5461,
    5463,  5465,  5467,  5469,  5471,  5473,  5480,  5485,  5490,  5495,
    5500,  5507,  5513,  5519,  5525,  5530,  5537,  5542,  5547,  5552,
    5557,  5563,  5571,  5579,  5589,  5594,  5601,  5607,  5615,  5623,
    5631,  5634,  5638,  5642,  5646,  5651,  5652,  5657,  5659,  5663,
    5667,  5669,  5671,  5673,  5676,  5679,  5680,  5683,  5684,  5686,
    5690,  5694,  5697,  5700,  5701,  5708,  5710,  5711,  5715,  5716,
    5719,  5722,  5723,  5725,  5730,  5733,  5736,  5739,  5742,  5745,
    5750,  5754,  5760,  5762,  5764,  5766,  5768,  5770,  5772,  5774,
    5776,  5778,  5780,  5782,  5784,  5786,  5788,  5790,  5795,  5797,
    5802,  5804,  5809,  5811,  5814,  5816,  5819,  5821,  5825,  5827,
    5831,  5833,  5837,  5839,  5843,  5847,  5851,  5854,  5856,  5860,
    5864,  5865,  5867,  5869,  5871,  5873,  5875,  5877,  5879,  5881,
    5886,  5890,  5893,  5897,  5898,  5902,  5906,  5909,  5912,  5914,
    5915,  5918,  5921,  5925,  5928,  5930,  5932,  5936,  5942,  5944,
    5947,  5952,  5955,  5956,  5958,  5959,  5961,  5964,  5967,  5970,
    5974,  5980,  5982,  5985,  5986,  5989,  5991,  5992,  5994,  5996,
    5998,  6002,  6006,  6008,  6012,  6016,  6019,  6021,  6023,  6025,
    6029,  6031,  6034,  6036,  6040,  6042,  6044,  6046,  6048,  6050,
    6052,  6054,  6057,  6059,  6061,  6063,  6065,  6067,  6070,  6076,
    6079,  6083,  6090,  6092,  6094,  6096,  6098,  6100,  6102,  6104,
    6107,  6110,  6112,  6114,  6116,  6118,  6120,  6122,  6124,  6126,
    6128,  6130,  6132,  6134,  6136,  6138,  6140,  6142,  6144,  6146,
    6148,  6150,  6152,  6154,  6156,  6158,  6160,  6162,  6164,  6166,
    6168,  6170,  6172,  6174,  6176,  6178,  6180,  6182,  6184,  6186,
    6188,  6190,  6192,  6194,  6196,  6198,  6200,  6202,  6204,  6206,
    6208,  6210,  6212,  6214,  6216,  6218,  6220,  6222,  6224,  6226,
    6228,  6230,  6232,  6234,  6236,  6238,  6240,  6242,  6244,  6246,
    6248,  6250,  6252,  6254,  6256,  6258,  6260,  6262,  6264,  6266,
    6268,  6270,  6272,  6274,  6276,  6278,  6280,  6282,  6284,  6286,
    6288,  6290,  6292,  6294,  6296,  6298,  6300,  6302,  6304,  6306,
    6308,  6310,  6312,  6314,  6316,  6318,  6320,  6322,  6324,  6326,
    6328,  6330,  6332,  6334,  6336,  6338,  6340,  6342,  6344,  6346,
    6348,  6350,  6352,  6354,  6356,  6358,  6360,  6362,  6364,  6366,
    6368,  6370,  6372,  6374,  6376,  6378,  6380,  6382,  6384,  6386,
    6388,  6390,  6392,  6394,  6396,  6398,  6400,  6402,  6404,  6406,
    6408,  6410,  6412,  6414,  6416,  6418,  6420,  6422,  6424,  6426,
    6428,  6430,  6432,  6434,  6436,  6438,  6440,  6442,  6444,  6446,
    6448,  6450,  6452,  6454,  6456,  6458,  6460,  6462,  6464,  6466,
    6468,  6470,  6472,  6474,  6476,  6478,  6480,  6482,  6484,  6486,
    6488,  6490,  6492,  6494,  6496,  6498,  6500,  6502,  6504,  6506,
    6508,  6510,  6512,  6514,  6516,  6518,  6520,  6522,  6524,  6526,
    6528,  6530,  6532,  6534,  6536,  6538,  6540,  6542,  6544,  6546,
    6548,  6550,  6552,  6554,  6556,  6558,  6560,  6562,  6564,  6566,
    6568,  6570,  6572,  6574,  6576,  6578,  6580,  6582,  6584,  6586,
    6588,  6590,  6592,  6594,  6596,  6598,  6600,  6602,  6604,  6606,
    6608,  6610,  6612,  6614,  6616,  6618,  6620,  6622,  6624,  6626,
    6628,  6630,  6632,  6634,  6636,  6638,  6640,  6642,  6644,  6646,
    6648,  6650,  6652,  6654,  6656,  6658,  6660,  6662,  6664,  6666,
    6668,  6670,  6672,  6674,  6676,  6678,  6680,  6682,  6684,  6686,
    6688,  6690,  6692,  6694,  6696,  6698,  6700,  6702,  6704,  6706,
    6708,  6710,  6712,  6714,  6716,  6718,  6720,  6722,  6724,  6726,
    6728,  6730,  6732,  6734,  6736,  6738,  6740,  6742,  6744,  6746,
    6748,  6750,  6752,  6754,  6756,  6758,  6760,  6762,  6764,  6766,
    6768,  6770,  6772,  6774,  6776,  6778,  6780,  6782,  6784,  6786,
    6788,  6790,  6792,  6794,  6796,  6798,  6800,  6802,  6804,  6806,
    6808,  6810,  6812,  6814,  6816,  6818,  6820,  6822,  6824,  6826,
    6828,  6830,  6832,  6834,  6836,  6838,  6840,  6842,  6844,  6846,
    6848,  6850,  6852,  6854,  6856,  6858,  6860,  6862,  6864,  6866,
    6868,  6870,  6872,  6874,  6876,  6878,  6880,  6882,  6884,  6886,
    6888,  6890,  6892,  6894,  6896,  6898,  6900,  6902,  6904,  6906,
    6908,  6910,  6912,  6914,  6916,  6918,  6920,  6922,  6924,  6926,
    6928
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     432,     0,    -1,   433,    -1,   433,   428,   434,    -1,   434,
      -1,   734,    -1,   735,    -1,   653,    -1,   740,    -1,   563,
      -1,   577,    -1,   687,    -1,   450,    -1,   708,    -1,   709,
      -1,   543,    -1,   475,    -1,   444,    -1,   442,    -1,   743,
      -1,   742,    -1,   581,    -1,   446,    -1,   445,    -1,   750,
      -1,   473,    -1,   485,    -1,   745,    -1,   631,    -1,   470,
      -1,   486,    -1,   536,    -1,   597,    -1,   698,    -1,   744,
      -1,   739,    -1,   561,    -1,   572,    -1,   668,    -1,   449,
      -1,   610,    -1,   616,    -1,   617,    -1,   550,    -1,   453,
      -1,   542,    -1,   501,    -1,   558,    -1,   582,    -1,   435,
      -1,   441,    -1,   578,    -1,   730,    -1,   767,    -1,   786,
      -1,   599,    -1,   773,    -1,   474,    -1,   695,    -1,   598,
      -1,   700,    -1,   562,    -1,   576,    -1,   452,    -1,   620,
      -1,   621,    -1,   622,    -1,   556,    -1,   717,    -1,   624,
      -1,   560,    -1,   596,    -1,   447,    -1,   448,    -1,   580,
      -1,   738,    -1,   765,    -1,   756,    -1,   634,    -1,   638,
      -1,   649,    -1,   658,    -1,   768,    -1,   720,    -1,   729,
      -1,   775,    -1,   718,    -1,   762,    -1,   623,    -1,   702,
      -1,   691,    -1,   690,    -1,   692,    -1,   705,    -1,   639,
      -1,   650,    -1,   710,    -1,   790,    -1,   722,    -1,   629,
      -1,   721,    -1,   779,    -1,   747,    -1,   467,    -1,   457,
      -1,   469,    -1,   727,    -1,    -1,    81,   304,   937,   436,
     437,    -1,   392,    -1,    -1,   437,   440,    -1,    -1,   438,
     439,    -1,    -1,   268,   936,    -1,   268,   242,    -1,   126,
     268,   936,    -1,   367,   268,   936,    -1,   341,    -1,   236,
      -1,   175,    -1,   233,    -1,    82,    -1,   230,    -1,    83,
      -1,   231,    -1,    84,    -1,   232,    -1,   214,    -1,   234,
      -1,    73,   206,   938,    -1,   377,   372,   936,    -1,   374,
     926,    -1,   439,    -1,   343,   935,    -1,    19,   926,    -1,
     304,   926,    -1,   170,   304,   926,    -1,   170,   158,   926,
      -1,    81,   374,   937,   436,   437,    -1,    24,   304,   937,
     436,   438,    -1,    -1,   170,    98,   928,    -1,    24,   304,
     937,   443,   468,    -1,    24,   374,   937,   436,   438,    -1,
      24,   374,   937,   468,    -1,   121,   304,   926,    -1,   121,
     304,   165,   135,   926,    -1,   121,   374,   926,    -1,   121,
     374,   165,   135,   926,    -1,    81,   158,   937,   436,   437,
      -1,    24,   158,   937,   451,   374,   926,    -1,    18,    -1,
     121,    -1,   121,   158,   926,    -1,   121,   158,   165,   135,
     926,    -1,    81,   310,   454,    37,   937,   455,    -1,    81,
     310,   939,   455,    -1,   939,    -1,    -1,   455,   456,    -1,
      -1,   501,    -1,   658,    -1,   542,    -1,   582,    -1,   638,
      -1,   727,    -1,   322,   458,    -1,   322,   209,   458,    -1,
     322,   320,   458,    -1,   459,   355,   460,    -1,   459,   412,
     460,    -1,   459,   355,   104,    -1,   459,   412,   104,    -1,
     459,   150,    87,    -1,   353,   408,   464,    -1,   357,   725,
      -1,   320,    58,    31,   357,   725,    -1,    54,   936,    -1,
     310,   936,    -1,   224,   465,    -1,   304,   466,    -1,   320,
      37,   466,    -1,   320,    37,   104,    -1,   397,   254,   874,
      -1,   939,    -1,   459,   427,   939,    -1,   461,    -1,   460,
     429,   461,    -1,   463,    -1,   548,    -1,   284,   366,    -1,
     284,    70,    -1,   294,   284,    -1,   318,    -1,   361,    -1,
     139,    -1,   251,    -1,   466,    -1,   936,    -1,     3,    -1,
     861,   936,   863,    -1,   861,   425,   935,   426,   936,   863,
      -1,   548,    -1,   104,    -1,   209,    -1,   936,    -1,   104,
      -1,    -1,   941,    -1,   936,    -1,   297,   459,    -1,   297,
     353,   408,    -1,   297,   357,   193,   204,    -1,   297,   320,
      37,    -1,   297,    22,    -1,   322,   458,    -1,   467,    -1,
     325,   459,    -1,   325,   353,   408,    -1,   325,   357,   193,
     204,    -1,   325,   320,    37,    -1,   325,    22,    -1,   322,
      75,   471,   472,    -1,    22,    -1,   924,    -1,   107,    -1,
     167,    -1,    60,    -1,   115,    22,    -1,   115,   348,    -1,
     115,   350,    -1,   115,   270,    -1,    24,   345,   833,   476,
      -1,    24,   173,   925,   476,    -1,    24,   316,   925,   476,
      -1,    24,   386,   925,   476,    -1,   477,    -1,   476,   429,
     477,    -1,    18,   509,    -1,    18,    66,   509,    -1,    24,
     706,   939,   478,    -1,    24,   706,   939,   121,   237,   242,
      -1,    24,   706,   939,   322,   237,   242,    -1,    24,   706,
     939,   322,   334,   938,    -1,    24,   706,   939,   322,   481,
      -1,    24,   706,   939,   297,   481,    -1,    24,   706,   939,
     322,   337,   939,    -1,   121,   706,   165,   135,   939,   479,
      -1,   121,   706,   939,   479,    -1,    24,   706,   939,   707,
     364,   841,   480,    -1,    18,   518,    -1,   121,    74,   165,
     135,   927,   479,    -1,   121,    74,   927,   479,    -1,   322,
     392,   250,    -1,   322,   393,   250,    -1,    63,   251,   927,
      -1,   322,   393,    63,    -1,   124,   359,   927,    -1,   124,
      25,   359,   927,    -1,   124,   296,   359,   927,    -1,   124,
     359,    22,    -1,   124,   359,   374,    -1,   114,   359,   927,
      -1,   114,   359,    22,    -1,   114,   359,   374,    -1,   124,
     308,   927,    -1,   124,    25,   308,   927,    -1,   124,   296,
     308,   927,    -1,   114,   308,   927,    -1,   175,   925,    -1,
     229,   175,   925,    -1,   264,   355,   937,    -1,   322,   347,
     927,    -1,   322,   481,    -1,   297,   481,    -1,   322,   104,
     865,    -1,   121,   104,    -1,    50,    -1,   299,    -1,    -1,
     375,   865,    -1,    -1,   425,   483,   426,    -1,   392,   481,
      -1,    -1,   484,    -1,   483,   429,   484,    -1,   942,   412,
     603,    -1,   942,    -1,   942,   427,   942,   412,   603,    -1,
     942,   427,   942,    -1,    62,   787,    -1,    62,    22,    -1,
      79,   492,   925,   520,   493,   487,   488,   494,   436,   489,
      -1,    79,   791,   355,   488,   436,   489,    -1,   150,    -1,
     355,    -1,   936,    -1,   335,    -1,   336,    -1,   490,    -1,
     425,   496,   426,    -1,   490,   491,    -1,    -1,    43,    -1,
     250,    -1,   110,   741,   936,    -1,   242,   741,   936,    -1,
      86,    -1,   161,    -1,   282,   741,   936,    -1,   129,   741,
     936,    -1,   146,   282,   521,    -1,   146,   282,   418,    -1,
     146,   237,   242,   521,    -1,    43,    -1,    -1,   392,   250,
      -1,    -1,   495,   111,   936,    -1,    -1,   375,    -1,    -1,
     497,    -1,   496,   429,   497,    -1,   942,   498,    -1,   463,
      -1,   548,    -1,   418,    -1,   425,   499,   426,    -1,    -1,
     500,    -1,   499,   429,   500,    -1,   463,    -1,    81,   502,
     345,   925,   425,   503,   426,   531,   532,   533,   534,    -1,
      81,   502,   345,   925,   247,   627,   504,   532,   533,   534,
      -1,   350,    -1,   348,    -1,   209,   350,    -1,   209,   348,
      -1,   154,   350,    -1,   154,   348,    -1,    -1,   505,    -1,
      -1,   425,   506,   426,    -1,    -1,   507,    -1,   505,   429,
     507,    -1,   508,    -1,   506,   429,   508,    -1,   509,    -1,
     515,    -1,   518,    -1,   510,    -1,   518,    -1,   939,   841,
     511,    -1,   939,   392,   255,   511,    -1,   511,   512,    -1,
      -1,    74,   927,   513,    -1,   513,    -1,   514,    -1,   237,
     242,    -1,   242,    -1,   369,   684,   535,    -1,   277,   195,
     684,   535,    -1,    59,   425,   865,   426,    -1,   104,   866,
      -1,   289,   925,   520,   523,   527,    -1,   106,    -1,   237,
     106,    -1,   177,   107,    -1,   177,   167,    -1,   205,   925,
     516,    -1,   516,   171,   517,    -1,   516,   132,   517,    -1,
      -1,   105,    -1,    75,    -1,   174,    -1,   337,    -1,    68,
      -1,    22,    -1,    74,   927,   519,    -1,   519,    -1,    59,
     425,   865,   426,   593,    -1,   369,   425,   521,   426,   684,
     535,   593,    -1,   277,   195,   425,   521,   426,   684,   535,
     593,    -1,   131,   662,   425,   524,   426,   684,   535,   526,
     593,    -1,   147,   195,   425,   521,   426,   289,   925,   520,
     523,   527,   593,    -1,   425,   521,   426,    -1,    -1,   522,
      -1,   521,   429,   522,    -1,   939,    -1,   216,   151,    -1,
     216,   266,    -1,   216,   327,    -1,    -1,   525,    -1,   524,
     429,   525,    -1,   664,   392,   694,    -1,   664,   392,   253,
     425,   694,   426,    -1,   389,   425,   865,   426,    -1,    -1,
     528,    -1,   529,    -1,   528,   529,    -1,   529,   528,    -1,
      -1,   251,   373,   530,    -1,   251,   109,   530,    -1,   229,
      17,    -1,   299,    -1,    50,    -1,   322,   242,    -1,   322,
     104,    -1,   176,   425,   924,   426,    -1,    -1,   392,   481,
      -1,   392,   250,    -1,   393,   250,    -1,    -1,   251,    69,
     121,    -1,   251,    69,   109,   307,    -1,   251,    69,   274,
     307,    -1,    -1,   347,   927,    -1,    -1,   375,   173,   347,
     927,    -1,    -1,    81,   502,   345,   537,    31,   790,   541,
      -1,   925,   538,   532,   533,   534,    -1,   425,   539,   426,
      -1,    -1,   540,    -1,   539,   429,   540,    -1,   939,    -1,
     392,    97,    -1,   392,   229,    97,    -1,    -1,    81,   502,
     316,   925,   544,    -1,    24,   316,   925,   545,    -1,   545,
      -1,    -1,   546,    -1,   545,   546,    -1,    48,   548,    -1,
      96,    -1,   229,    96,    -1,   172,   547,   548,    -1,   217,
     548,    -1,   219,   548,    -1,   229,   217,    -1,   229,   219,
      -1,   263,    47,   627,    -1,   332,   436,   548,    -1,   298,
      -1,   298,   436,   548,    -1,    47,    -1,    -1,     4,    -1,
     417,     4,    -1,   938,    -1,   548,    -1,   549,   429,   548,
      -1,    81,   669,   551,   557,   196,   466,    -1,    81,   669,
     551,   557,   196,   466,   159,   552,   553,   555,    -1,   363,
      -1,    -1,   927,    -1,   927,   628,    -1,   178,   552,    -1,
      -1,   378,   552,    -1,   229,   378,    -1,   554,    -1,    -1,
     121,   557,   196,   466,   479,    -1,   121,   557,   196,   165,
     135,   466,   479,    -1,   280,    -1,    -1,    81,   347,   927,
     559,   212,   936,    -1,   264,   927,    -1,    -1,   121,   347,
     927,    -1,   121,   347,   165,   135,   927,    -1,    81,   147,
      97,   395,   927,   555,   564,    -1,   121,   147,    97,   395,
     927,   479,    -1,   121,   147,    97,   395,   165,   135,   927,
     479,    -1,    24,   147,    97,   395,   927,   554,   566,    -1,
      24,   147,    97,   395,   927,   554,    -1,    24,   147,    97,
     395,   927,   566,    -1,   255,   425,   565,   426,    -1,    -1,
     569,    -1,   565,   429,   569,    -1,   255,   425,   567,   426,
      -1,   568,    -1,   567,   429,   568,    -1,   569,    -1,   322,
     569,    -1,    18,   569,    -1,   121,   570,    -1,   570,   571,
      -1,   942,    -1,   936,    -1,    81,   319,   927,   573,   575,
     147,    97,   395,   927,   564,    -1,   364,   936,    -1,    -1,
     385,   936,    -1,   385,   242,    -1,   574,    -1,    -1,   121,
     319,   927,   479,    -1,   121,   319,   165,   135,   927,   479,
      -1,    24,   319,   927,   574,   566,    -1,    24,   319,   927,
     574,    -1,    24,   319,   927,   566,    -1,    81,   374,   215,
     145,   579,   319,   927,   564,    -1,    94,    -1,   374,    -1,
     937,    -1,   121,   374,   215,   145,   579,   319,   927,    -1,
     121,   374,   215,   165,   135,   145,   579,   319,   927,    -1,
      24,   374,   215,   145,   579,   319,   927,   566,    -1,    81,
     359,   927,   583,   584,   251,   925,   586,   589,   134,   281,
     933,   425,   590,   426,    -1,    81,    74,   359,   927,    20,
     584,   251,   925,   592,   593,   145,   122,   306,   589,   134,
     281,   933,   425,   590,   426,    -1,    39,    -1,    20,    -1,
     585,    -1,   584,   256,   585,    -1,   183,    -1,   109,    -1,
     373,    -1,   373,   247,   521,    -1,   362,    -1,   145,   587,
     588,    -1,    -1,   122,    -1,    -1,   306,    -1,   333,    -1,
     388,   425,   865,   426,    -1,    -1,   591,    -1,   590,   429,
     591,    -1,    -1,   935,    -1,     4,    -1,   936,    -1,     6,
      -1,     7,    -1,   939,    -1,   150,   925,    -1,    -1,   594,
      -1,   594,   595,    -1,   595,    -1,   595,   594,    -1,    -1,
     237,   106,    -1,   106,    -1,   177,   167,    -1,   177,   107,
      -1,   121,   359,   927,   251,   925,   479,    -1,   121,   359,
     165,   135,   927,   251,   925,   479,    -1,    81,    33,   927,
      59,   425,   865,   426,   593,    -1,   121,    33,   927,   479,
      -1,    81,    21,   933,   604,   600,    -1,    81,    21,   933,
     605,    -1,    81,   253,   694,   600,    -1,    81,   364,   627,
     600,    -1,    81,   364,   627,    -1,    81,   364,   627,    31,
     425,   839,   426,    -1,    81,   364,   627,    31,   128,   425,
     608,   426,    -1,    81,   351,   312,   265,   627,   600,    -1,
      81,   351,   312,   113,   627,   600,    -1,    81,   351,   312,
     349,   627,   600,    -1,    81,   351,   312,    72,   627,   600,
      -1,   425,   601,   426,    -1,   602,    -1,   601,   429,   602,
      -1,   942,   412,   603,    -1,   942,    -1,   678,    -1,   946,
      -1,   891,    -1,   548,    -1,   936,    -1,   425,   896,   426,
      -1,   425,   418,   426,    -1,   425,   606,   426,    -1,   607,
      -1,   606,   429,   607,    -1,     3,   412,   603,    -1,   609,
      -1,    -1,   936,    -1,   609,   429,   936,    -1,    81,   253,
      61,   627,   613,   145,   364,   841,   375,   929,   614,    31,
     611,    -1,   612,    -1,   611,   429,   612,    -1,   253,   935,
     694,   615,    -1,   253,   935,   694,   693,   615,    -1,   152,
     935,   933,   670,    -1,   152,   935,   425,   896,   426,   933,
     670,    -1,   337,   841,    -1,   104,    -1,    -1,   140,   627,
      -1,    -1,   287,    -1,    -1,    81,   253,   140,   627,   375,
     929,    -1,    24,   253,   140,   627,   375,   929,    18,   611,
      -1,    24,   253,   140,   627,   375,   929,   121,   618,    -1,
     619,    -1,   618,   429,   619,    -1,   253,   935,   425,   896,
     426,    -1,   152,   935,   425,   896,   426,    -1,   121,   253,
      61,   627,   375,   929,   479,    -1,   121,   253,    61,   165,
     135,   627,   375,   929,   479,    -1,   121,   253,   140,   627,
     375,   929,   479,    -1,   121,   253,   140,   165,   135,   627,
     375,   929,   479,    -1,   121,   263,    47,   926,   479,    -1,
     286,   263,    47,   926,   355,   927,    -1,   121,   625,   165,
     135,   626,   479,    -1,   121,   625,   626,   479,    -1,   345,
      -1,   316,    -1,   386,    -1,   173,    -1,   364,    -1,   119,
      -1,    78,    -1,   310,    -1,   351,   312,   265,    -1,   351,
     312,   113,    -1,   351,   312,   349,    -1,   351,   312,    72,
      -1,   627,    -1,   626,   429,   627,    -1,   939,    -1,   939,
     628,    -1,   427,   930,    -1,   628,   427,   930,    -1,   362,
     800,   834,   630,   479,    -1,    77,   164,    -1,   298,   164,
      -1,    -1,    67,   251,   632,   627,   191,   633,    -1,    67,
     251,    21,   933,   604,   191,   633,    -1,    67,   251,   152,
     933,   670,   191,   633,    -1,    67,   251,   253,   694,   693,
     191,   633,    -1,    67,   251,    74,   927,   251,   627,   191,
     633,    -1,    67,   251,   308,   927,   251,   627,   191,   633,
      -1,    67,   251,   308,   927,   191,   633,    -1,    67,   251,
     359,   927,   251,   627,   191,   633,    -1,    67,   251,   253,
      61,   627,   375,   929,   191,   633,    -1,    67,   251,   253,
     140,   627,   375,   929,   191,   633,    -1,    67,   251,   197,
     246,   548,   191,   633,    -1,    67,   251,    53,   425,   841,
      31,   841,   426,   191,   633,    -1,    67,   251,   557,   196,
     627,   191,   633,    -1,    67,   251,   351,   312,   265,   627,
     191,   633,    -1,    67,   251,   351,   312,   113,   627,   191,
     633,    -1,    67,   251,   351,   312,   349,   627,   191,   633,
      -1,    67,   251,   351,   312,    72,   627,   191,   633,    -1,
      66,    -1,    98,    -1,   310,    -1,   173,    -1,   316,    -1,
     345,    -1,   119,    -1,   364,    -1,   386,    -1,    78,    -1,
     347,    -1,   304,    -1,   936,    -1,   242,    -1,   141,   635,
      -1,   222,   635,    -1,   787,    -1,   636,   787,    -1,   228,
     637,   787,    -1,   278,   637,   787,    -1,   142,   637,   787,
      -1,   198,   637,   787,    -1,    15,   938,   637,   787,    -1,
     291,   938,   637,   787,    -1,   938,   637,   787,    -1,    22,
     637,   787,    -1,   148,   637,   787,    -1,   148,   938,   637,
     787,    -1,   148,    22,   637,   787,    -1,    38,   637,   787,
      -1,    38,   938,   637,   787,    -1,    38,    22,   637,   787,
      -1,   150,    -1,   170,    -1,   636,    -1,    -1,   155,   640,
     251,   643,   355,   644,   646,    -1,   302,   640,   251,   643,
     150,   644,   479,    -1,   302,   155,   254,   145,   640,   251,
     643,   150,   644,   479,    -1,   641,    -1,    22,    -1,    22,
     279,    -1,    22,   425,   521,   426,    -1,    22,   279,   425,
     521,   426,    -1,   642,    -1,   641,   429,   642,    -1,   315,
     520,    -1,   289,   520,    -1,    81,   520,    -1,   939,   520,
      -1,   924,    -1,   345,   924,    -1,   316,   924,    -1,   147,
      97,   395,   926,    -1,   147,   319,   926,    -1,   152,   647,
      -1,    98,   926,    -1,   196,   926,    -1,   197,   246,   549,
      -1,   310,   926,    -1,   347,   926,    -1,    22,   346,   170,
     310,   926,    -1,    22,   317,   170,   310,   926,    -1,    22,
     153,   170,   310,   926,    -1,   645,    -1,   644,   429,   645,
      -1,   937,    -1,   158,   937,    -1,   392,   155,   254,    -1,
      -1,   648,    -1,   647,   429,   648,    -1,   933,   670,    -1,
     155,   641,   355,   926,   651,   652,    -1,   302,   641,   150,
     926,   652,   479,    -1,   302,    19,   254,   145,   641,   150,
     926,   652,   479,    -1,   392,    19,   254,    -1,    -1,   156,
      47,   937,    -1,    -1,    24,   104,   279,   654,   656,    -1,
     654,   655,    -1,    -1,   170,   310,   926,    -1,   145,   304,
     926,    -1,   145,   374,   926,    -1,   155,   640,   251,   657,
     355,   644,   646,    -1,   302,   640,   251,   657,   150,   644,
     479,    -1,   302,   155,   254,   145,   640,   251,   657,   150,
     644,   479,    -1,   346,    -1,   153,    -1,   317,    -1,    81,
     659,   173,   660,   661,   251,   925,   662,   425,   663,   426,
     482,   534,   837,    -1,   369,    -1,    -1,    71,    -1,    -1,
     931,    -1,    -1,   375,   929,    -1,    -1,   664,    -1,   663,
     429,   664,    -1,   939,   665,   666,   667,    -1,   868,   665,
     666,   667,    -1,   425,   865,   426,   665,   666,   667,    -1,
     627,    -1,   375,   627,    -1,    -1,    32,    -1,   112,    -1,
      -1,   409,    -1,   410,    -1,    -1,    81,   669,   152,   933,
     672,   301,   677,   680,   684,    -1,    81,   669,   152,   933,
     672,   301,   345,   425,   686,   426,   680,   684,    -1,    81,
     669,   152,   933,   672,   680,   684,    -1,   256,   295,    -1,
      -1,   425,   671,   426,    -1,   425,   426,    -1,   674,    -1,
     671,   429,   674,    -1,   425,   673,   426,    -1,   425,   426,
      -1,   679,    -1,   673,   429,   679,    -1,   675,   676,   678,
      -1,   676,   675,   678,    -1,   676,   678,    -1,   675,   678,
      -1,   678,    -1,   170,    -1,   258,    -1,   180,    -1,   170,
     258,    -1,   382,    -1,   940,    -1,   678,    -1,   841,    -1,
     940,   628,   420,   364,    -1,   323,   940,   628,   420,   364,
      -1,   674,    -1,   674,   104,   865,    -1,   674,   412,   865,
      -1,   682,    -1,   680,   682,    -1,    49,   251,   242,   181,
      -1,   301,   242,   251,   242,   181,    -1,   338,    -1,   168,
      -1,   330,    -1,   387,    -1,   137,   314,   108,    -1,   137,
     314,   190,    -1,   314,   108,    -1,   314,   190,    -1,    80,
     548,    -1,   307,   548,    -1,   468,    -1,    31,   683,    -1,
     196,   466,    -1,   391,    -1,   681,    -1,   936,    -1,   936,
     429,   936,    -1,   392,   600,    -1,    -1,   676,   678,    -1,
     685,    -1,   686,   429,   685,    -1,    24,   152,   648,   688,
     689,    -1,   681,    -1,   688,   681,    -1,   299,    -1,    -1,
     121,   152,   933,   670,   479,    -1,   121,   152,   165,   135,
     933,   670,   479,    -1,   121,    21,   933,   604,   479,    -1,
     121,    21,   165,   135,   933,   604,   479,    -1,   121,   253,
     694,   693,   479,    -1,   121,   253,   165,   135,   694,   693,
     479,    -1,   425,   841,   426,    -1,   425,   841,   429,   841,
     426,    -1,   425,   235,   429,   841,   426,    -1,   425,   841,
     429,   235,   426,    -1,   888,    -1,   939,   427,   694,    -1,
     117,   696,    -1,   697,    -1,   696,   697,    -1,   936,    -1,
     196,   466,    -1,    81,    53,   425,   841,    31,   841,   426,
     392,   152,   648,   699,    -1,    81,    53,   425,   841,    31,
     841,   426,   393,   152,   699,    -1,    81,    53,   425,   841,
      31,   841,   426,   392,   180,   699,    -1,    31,   169,    -1,
      31,    34,    -1,    -1,   121,    53,   701,   425,   841,    31,
     841,   426,   479,    -1,   165,   135,    -1,    -1,   290,   703,
     925,   704,    -1,   290,   344,   927,   704,    -1,   290,    98,
     927,   704,    -1,   173,    -1,   345,    -1,   146,    -1,    -1,
      24,    21,   933,   604,   293,   355,   927,    -1,    24,    78,
     627,   293,   355,   927,    -1,    24,    98,   928,   293,   355,
     928,    -1,    24,   152,   648,   293,   355,   927,    -1,    24,
     158,   937,   293,   355,   937,    -1,    24,   557,   196,   927,
     293,   355,   927,    -1,    24,   253,    61,   627,   375,   929,
     293,   355,   927,    -1,    24,   253,   140,   627,   375,   929,
     293,   355,   927,    -1,    24,   310,   927,   293,   355,   927,
      -1,    24,   345,   833,   293,   355,   927,    -1,    24,   316,
     925,   293,   355,   927,    -1,    24,   386,   925,   293,   355,
     927,    -1,    24,   173,   925,   293,   355,   927,    -1,    24,
     345,   833,   293,   706,   927,   355,   927,    -1,    24,   359,
     927,   251,   925,   293,   355,   927,    -1,    24,   304,   937,
     293,   355,   937,    -1,    24,   374,   937,   293,   355,   937,
      -1,    24,   347,   927,   293,   355,   927,    -1,    24,   347,
     927,   322,   481,    -1,    24,   347,   927,   297,   481,    -1,
      24,   351,   312,   265,   627,   293,   355,   927,    -1,    24,
     351,   312,   113,   627,   293,   355,   927,    -1,    24,   351,
     312,   349,   627,   293,   355,   927,    -1,    24,   351,   312,
      72,   627,   293,   355,   927,    -1,    24,   364,   627,   293,
     355,   927,    -1,    66,    -1,    -1,   322,    97,    -1,    -1,
      24,    21,   933,   604,   322,   310,   927,    -1,    24,   119,
     627,   322,   310,   927,    -1,    24,   152,   648,   322,   310,
     927,    -1,    24,   345,   833,   322,   310,   927,    -1,    24,
     316,   925,   322,   310,   927,    -1,    24,   386,   925,   322,
     310,   927,    -1,    24,   364,   627,   322,   310,   927,    -1,
      24,    21,   933,   604,   264,   355,   937,    -1,    24,    78,
     627,   264,   355,   937,    -1,    24,    98,   928,   264,   355,
     937,    -1,    24,   119,   627,   264,   355,   937,    -1,    24,
     152,   648,   264,   355,   937,    -1,    24,   557,   196,   927,
     264,   355,   937,    -1,    24,   197,   246,   548,   264,   355,
     937,    -1,    24,   253,   694,   693,   264,   355,   937,    -1,
      24,   253,    61,   627,   375,   929,   264,   355,   937,    -1,
      24,   253,   140,   627,   375,   929,   264,   355,   937,    -1,
      24,   310,   927,   264,   355,   937,    -1,    24,   364,   627,
     264,   355,   937,    -1,    24,   347,   927,   264,   355,   937,
      -1,    24,   351,   312,   113,   627,   264,   355,   937,    -1,
      24,   351,   312,    72,   627,   264,   355,   937,    -1,    24,
     147,    97,   395,   927,   264,   355,   937,    -1,    24,   319,
     927,   264,   355,   937,    -1,    81,   669,   308,   927,    31,
     251,   715,   355,   925,   837,   117,   716,   711,    -1,   238,
      -1,   713,    -1,   425,   712,   426,    -1,   712,   428,   714,
      -1,   714,    -1,   790,    -1,   768,    -1,   779,    -1,   773,
      -1,   718,    -1,   713,    -1,    -1,   315,    -1,   373,    -1,
     109,    -1,   183,    -1,   184,    -1,    23,    -1,    -1,   121,
     308,   927,   251,   925,   479,    -1,   121,   308,   165,   135,
     927,   251,   925,   479,    -1,   239,   939,   719,    -1,   429,
     936,    -1,    -1,   207,   939,    -1,   371,   939,    -1,   371,
     418,    -1,    14,   723,    -1,    40,   723,   726,    -1,   332,
     357,   726,    -1,    69,   723,    -1,   127,   723,    -1,   305,
     723,    -1,   309,   939,    -1,   292,   309,   939,    -1,   292,
     939,    -1,   305,   723,   355,   309,   939,    -1,   305,   723,
     355,   939,    -1,   275,   357,   936,    -1,    69,   276,   936,
      -1,   305,   276,   936,    -1,   394,    -1,   357,    -1,    -1,
     193,   204,   462,    -1,   284,   252,    -1,   284,   396,    -1,
     724,    -1,   725,   429,   724,    -1,   725,   724,    -1,   725,
      -1,    -1,    81,   502,   386,   925,   520,    31,   790,   728,
      -1,    81,   256,   295,   502,   386,   925,   520,    31,   790,
     728,    -1,   392,    59,   254,    -1,   392,    51,    59,   254,
      -1,   392,   209,    59,   254,    -1,    -1,   208,   932,    -1,
      81,    98,   928,   436,   731,    -1,   731,   732,    -1,    -1,
     347,   733,   927,    -1,   347,   733,   104,    -1,   212,   733,
     936,    -1,   212,   733,   104,    -1,   349,   733,   927,    -1,
     349,   733,   104,    -1,   125,   733,   936,    -1,   125,   733,
     935,    -1,   125,   733,   104,    -1,   199,   733,   936,    -1,
     199,   733,   104,    -1,   200,   733,   936,    -1,   200,   733,
     104,    -1,    73,   206,   733,   938,    -1,   264,   733,   927,
      -1,   264,   733,   104,    -1,   412,    -1,    -1,    24,    98,
     928,   436,   736,    -1,    24,    98,   928,   322,   347,   927,
      -1,    24,    98,   928,   468,    -1,   736,   737,    -1,    -1,
      73,   206,   733,   938,    -1,   121,    98,   928,    -1,   121,
      98,   165,   135,   928,    -1,    81,   119,   627,   741,   841,
     511,    -1,    24,   119,   627,   478,    -1,    24,   119,   627,
     121,   237,   242,    -1,    24,   119,   627,   322,   237,   242,
      -1,    24,   119,   627,    18,   518,    -1,    24,   119,   627,
     121,    74,   927,   479,    -1,    31,    -1,    -1,    24,   351,
     312,   113,   627,   600,    -1,    24,   351,   312,    72,   627,
      18,   215,   145,   926,   392,   626,    -1,    24,   351,   312,
      72,   627,    24,   215,   145,   926,   392,   626,    -1,    24,
     351,   312,    72,   627,    24,   215,   295,   627,   392,   627,
      -1,    24,   351,   312,    72,   627,    24,   215,   145,   926,
     295,   627,   392,   627,    -1,    24,   351,   312,    72,   627,
     121,   215,   145,   926,    -1,    24,   351,   312,    72,   627,
     121,   215,   165,   135,   145,   926,    -1,    81,   613,    78,
     627,   145,   936,   355,   936,   150,   627,    -1,    63,   752,
     925,   746,    -1,    63,   752,    -1,    63,   752,   931,   251,
     925,    -1,   375,   931,    -1,    -1,   376,   753,   754,   752,
      -1,   376,   753,   754,   752,   925,    -1,   376,   753,   754,
     752,   750,    -1,   376,   425,   748,   426,    -1,   376,   425,
     748,   426,   925,   755,    -1,   749,    -1,   748,   429,   749,
      -1,   751,    -1,   384,    -1,   149,    -1,   151,    -1,   751,
     752,    -1,   751,   752,   925,   755,    -1,    27,    -1,    26,
      -1,   384,    -1,    -1,   151,    -1,    -1,   149,    -1,    -1,
     425,   926,   426,    -1,    -1,   136,   757,    -1,   136,   751,
     752,   757,    -1,   136,   384,   757,    -1,   136,   425,   758,
     426,   757,    -1,   790,    -1,   768,    -1,   779,    -1,   773,
      -1,   786,    -1,   536,    -1,   765,    -1,   759,    -1,   758,
     429,   759,    -1,   760,   761,    -1,   941,    -1,   751,    -1,
     463,    -1,   548,    -1,    -1,   275,   927,   763,    31,   764,
      -1,   425,   896,   426,    -1,    -1,   790,    -1,   768,    -1,
     779,    -1,   773,    -1,   134,   927,   766,    -1,    81,   502,
     345,   537,    31,   134,   927,   766,    -1,   425,   893,   426,
      -1,    -1,   100,   927,    -1,   100,   275,   927,    -1,   100,
      22,    -1,   100,   275,    22,    -1,   183,   189,   925,   769,
     772,    -1,   790,    -1,   425,   770,   426,   790,    -1,   104,
     380,    -1,   771,    -1,   770,   429,   771,    -1,   939,   917,
      -1,   300,   922,    -1,    -1,   109,   150,   835,   774,   838,
     772,    -1,   375,   826,    -1,    -1,   213,   800,   834,   776,
     778,    -1,   170,   777,   220,    -1,    -1,    16,   324,    -1,
     306,   324,    -1,   306,   133,    -1,   324,   373,   133,    -1,
     324,    -1,   324,   306,   133,    -1,   133,    -1,    16,   133,
      -1,   241,    -1,    -1,   373,   835,   322,   780,   825,   838,
     772,    -1,   781,    -1,   780,   429,   781,    -1,   782,    -1,
     783,    -1,   784,   412,   919,    -1,   425,   785,   426,   412,
     921,    -1,   939,   917,    -1,   784,    -1,   785,   429,   784,
      -1,   103,   787,   788,    95,   789,   145,   790,    -1,   927,
      -1,    -1,   788,   229,   311,    -1,   788,   311,    -1,   788,
      43,    -1,   788,   182,    -1,    -1,   392,   162,    -1,   393,
     162,    -1,   792,    -1,   791,    -1,   425,   792,   426,    -1,
     425,   791,   426,    -1,   794,    -1,   793,   804,    -1,   793,
     803,   819,   808,    -1,   793,   803,   807,   820,    -1,   795,
     793,    -1,   795,   793,   804,    -1,   795,   793,   803,   819,
     808,    -1,   795,   793,   803,   807,   820,    -1,   794,    -1,
     791,    -1,   315,   802,   922,   798,   825,   837,   817,   818,
     876,    -1,   824,    -1,   345,   833,    -1,   793,   368,   801,
     793,    -1,   793,   187,   801,   793,    -1,   793,   130,   801,
     793,    -1,   392,   796,    -1,   392,   288,   796,    -1,   797,
      -1,   796,   429,   797,    -1,   927,   755,    31,   791,    -1,
     189,   799,    -1,    -1,   350,   800,   925,    -1,   348,   800,
     925,    -1,   209,   350,   800,   925,    -1,   209,   348,   800,
     925,    -1,   154,   350,   800,   925,    -1,   154,   348,   800,
     925,    -1,   345,   925,    -1,   925,    -1,   345,    -1,    -1,
      22,    -1,   116,    -1,    -1,   116,    -1,   116,   251,   425,
     893,   426,    -1,    22,    -1,    -1,   804,    -1,    -1,   257,
      47,   805,    -1,   806,    -1,   805,   429,   806,    -1,   865,
     375,   891,   667,    -1,   865,   666,   667,    -1,   809,   810,
      -1,   810,   809,    -1,   809,    -1,   810,    -1,   807,    -1,
      -1,   206,   811,    -1,   206,   811,   429,   812,    -1,   141,
     816,   813,   815,   252,    -1,   249,   812,    -1,   249,   814,
     815,    -1,   865,    -1,    22,    -1,   865,    -1,   938,    -1,
     425,   865,   426,    -1,    -1,   867,    -1,   306,    -1,   307,
      -1,   142,    -1,   228,    -1,   158,    47,   893,    -1,    -1,
     160,   865,    -1,    -1,   821,    -1,   145,   284,   252,    -1,
     819,    -1,    -1,   822,    -1,   821,   822,    -1,   145,   373,
     823,   778,    -1,   145,   324,   823,   778,    -1,   247,   924,
      -1,    -1,   380,   921,    -1,   824,   429,   921,    -1,   150,
     826,    -1,    -1,   827,    -1,   826,   429,   827,    -1,   833,
      -1,   833,   829,    -1,   836,    -1,   836,   829,    -1,   836,
      31,   425,   839,   426,    -1,   836,    31,   939,   425,   839,
     426,    -1,   836,   939,   425,   839,   426,    -1,   791,    -1,
     791,   829,    -1,   828,    -1,   425,   828,   426,   829,    -1,
     425,   828,   426,    -1,   827,    85,   194,   827,    -1,   827,
     830,   194,   827,   832,    -1,   827,   194,   827,   832,    -1,
     827,   226,   830,   194,   827,    -1,   827,   226,   194,   827,
      -1,    31,   939,   425,   926,   426,    -1,    31,   939,    -1,
     939,   425,   926,   426,    -1,   939,    -1,   151,   831,    -1,
     203,   831,    -1,   303,   831,    -1,   179,    -1,   259,    -1,
      -1,   375,   425,   926,   426,    -1,   251,   865,    -1,   925,
      -1,   925,   418,    -1,   252,   925,    -1,   252,   425,   925,
     426,    -1,   833,    -1,   834,   429,   833,    -1,   833,    -1,
     833,   939,    -1,   833,    31,   939,    -1,   868,    -1,   389,
     865,    -1,    -1,   389,   865,    -1,   389,    87,   247,   927,
      -1,    -1,   840,    -1,   839,   429,   840,    -1,   939,   841,
      -1,   843,   842,    -1,   323,   843,   842,    -1,   843,    30,
     423,   935,   424,    -1,   323,   843,    30,   423,   935,   424,
      -1,   843,    30,    -1,   323,   843,    30,    -1,   842,   423,
     424,    -1,   842,   423,   935,   424,    -1,    -1,   845,    -1,
     847,    -1,   849,    -1,   853,    -1,   860,    -1,   861,   863,
      -1,   861,   425,   935,   426,   863,    -1,   847,    -1,   850,
      -1,   854,    -1,   860,    -1,   940,   846,    -1,   940,   628,
     846,    -1,   425,   893,   426,    -1,    -1,   185,    -1,   186,
      -1,   328,    -1,    42,    -1,   285,    -1,   143,   848,    -1,
     120,   273,    -1,   102,   846,    -1,   101,   846,    -1,   245,
     846,    -1,    45,    -1,   425,   935,   426,    -1,    -1,   851,
      -1,   852,    -1,   851,    -1,   852,    -1,    44,   858,   425,
     893,   426,    -1,    44,   858,    -1,   855,    -1,   856,    -1,
     855,    -1,   856,    -1,   857,   425,   935,   426,   859,    -1,
     857,   859,    -1,    57,   858,    -1,    56,   858,    -1,   381,
      -1,   225,    57,   858,    -1,   225,    56,   858,    -1,   227,
     858,    -1,   383,    -1,    -1,    57,   322,   939,    -1,    -1,
     354,   425,   935,   426,   862,    -1,   354,   862,    -1,   353,
     425,   935,   426,   862,    -1,   353,   862,    -1,   188,    -1,
     411,   408,    -1,   393,   353,   408,    -1,    -1,   406,    -1,
     221,    -1,    99,    -1,   163,    -1,   218,    -1,   864,    -1,
     406,   355,   221,    -1,    99,   355,   163,    -1,    99,   355,
     218,    -1,    99,   355,   864,    -1,   163,   355,   218,    -1,
     163,   355,   864,    -1,   218,   355,   864,    -1,    -1,   313,
      -1,   313,   425,   935,   426,    -1,   867,    -1,   865,    11,
     841,    -1,   865,    36,   353,   408,   865,    -1,   416,   865,
      -1,   417,   865,    -1,   865,   416,   865,    -1,   865,   417,
     865,    -1,   865,   418,   865,    -1,   865,   419,   865,    -1,
     865,   420,   865,    -1,   865,   421,   865,    -1,   865,   413,
     865,    -1,   865,   414,   865,    -1,   865,   412,   865,    -1,
     865,   890,   865,    -1,   890,   865,    -1,   865,   890,    -1,
     865,    28,   865,    -1,   865,   256,   865,    -1,   237,   865,
      -1,   865,   205,   865,    -1,   865,   205,   865,   129,   865,
      -1,   865,   237,   205,   865,    -1,   865,   237,   205,   865,
     129,   865,    -1,   865,   166,   865,    -1,   865,   166,   865,
     129,   865,    -1,   865,   237,   166,   865,    -1,   865,   237,
     166,   865,   129,   865,    -1,   865,   326,   355,   865,    -1,
     865,   326,   355,   865,   129,   865,    -1,   865,   237,   326,
     355,   865,    -1,   865,   237,   326,   355,   865,   129,   865,
      -1,   865,   191,   242,    -1,   865,   192,    -1,   865,   191,
     237,   242,    -1,   865,   240,    -1,   886,   261,   886,    -1,
     865,   191,   361,    -1,   865,   191,   237,   361,    -1,   865,
     191,   139,    -1,   865,   191,   237,   139,    -1,   865,   191,
     370,    -1,   865,   191,   237,   370,    -1,   865,   191,   116,
     150,   865,    -1,   865,   191,   237,   116,   150,   865,    -1,
     865,   191,   247,   425,   896,   426,    -1,   865,   191,   237,
     247,   425,   896,   426,    -1,   865,    41,   918,   866,    28,
     866,    -1,   865,   237,    41,   918,   866,    28,   866,    -1,
     865,    41,   342,   866,    28,   866,    -1,   865,   237,    41,
     342,   866,    28,   866,    -1,   865,   170,   908,    -1,   865,
     237,   170,   908,    -1,   865,   892,   887,   791,    -1,   865,
     892,   887,   425,   865,   426,    -1,   369,   791,    -1,   865,
     191,   118,    -1,   865,   191,   237,   118,    -1,   867,    -1,
     866,    11,   841,    -1,   416,   866,    -1,   417,   866,    -1,
     866,   416,   866,    -1,   866,   417,   866,    -1,   866,   418,
     866,    -1,   866,   419,   866,    -1,   866,   420,   866,    -1,
     866,   421,   866,    -1,   866,   413,   866,    -1,   866,   414,
     866,    -1,   866,   412,   866,    -1,   866,   890,   866,    -1,
     890,   866,    -1,   866,   890,    -1,   866,   191,   116,   150,
     866,    -1,   866,   191,   237,   116,   150,   866,    -1,   866,
     191,   247,   425,   896,   426,    -1,   866,   191,   237,   247,
     425,   896,   426,    -1,   866,   191,   118,    -1,   866,   191,
     237,   118,    -1,   914,    -1,   934,    -1,    10,   917,    -1,
     425,   865,   426,   917,    -1,   909,    -1,   868,    -1,   791,
      -1,   791,   916,    -1,   135,   791,    -1,    30,   791,    -1,
      30,   897,    -1,   886,    -1,   933,   425,   426,   879,    -1,
     933,   425,   894,   426,   879,    -1,   933,   425,   382,   895,
     426,   879,    -1,   933,   425,   894,   429,   382,   895,   426,
     879,    -1,   933,   425,   894,   804,   426,   879,    -1,   933,
     425,    22,   894,   803,   426,   879,    -1,   933,   425,   116,
     894,   803,   426,   879,    -1,   933,   425,   418,   426,   879,
      -1,    89,    -1,    92,    -1,    92,   425,   935,   426,    -1,
      93,    -1,    93,   425,   935,   426,    -1,   210,    -1,   210,
     425,   935,   426,    -1,   211,    -1,   211,   425,   935,   426,
      -1,    90,    -1,    94,    -1,   321,    -1,   374,    -1,    88,
      -1,    91,    -1,    53,   425,   865,    31,   841,   426,    -1,
     138,   425,   899,   426,    -1,   262,   425,   901,   426,    -1,
     271,   425,   903,   426,    -1,   340,   425,   904,   426,    -1,
     358,   425,   865,    31,   841,   426,    -1,   360,   425,    46,
     907,   426,    -1,   360,   425,   201,   907,   426,    -1,   360,
     425,   356,   907,   426,    -1,   360,   425,   907,   426,    -1,
     243,   425,   865,   429,   865,   426,    -1,    64,   425,   893,
     426,    -1,   157,   425,   893,   426,    -1,   202,   425,   893,
     426,    -1,   399,   425,   893,   426,    -1,   400,   425,   223,
     942,   426,    -1,   400,   425,   223,   942,   429,   871,   426,
      -1,   400,   425,   223,   942,   429,   893,   426,    -1,   400,
     425,   223,   942,   429,   871,   429,   893,   426,    -1,   401,
     425,   872,   426,    -1,   402,   425,   874,   865,   875,   426,
      -1,   403,   425,   223,   942,   426,    -1,   403,   425,   223,
     942,   429,   865,   426,    -1,   404,   425,   865,   429,   869,
     870,   426,    -1,   405,   425,   874,   865,    31,   843,   426,
      -1,   385,   865,    -1,   385,   229,   379,    -1,   429,   331,
     407,    -1,   429,   331,   229,    -1,   429,   331,   229,   379,
      -1,    -1,   398,   425,   872,   426,    -1,   873,    -1,   872,
     429,   873,    -1,   865,    31,   942,    -1,   865,    -1,   118,
      -1,    76,    -1,   274,   390,    -1,   339,   390,    -1,    -1,
     391,   877,    -1,    -1,   878,    -1,   877,   429,   878,    -1,
     939,    31,   880,    -1,   260,   880,    -1,   260,   939,    -1,
      -1,   425,   881,   882,   803,   883,   426,    -1,   939,    -1,
      -1,   267,    47,   893,    -1,    -1,   283,   884,    -1,   307,
     884,    -1,    -1,   885,    -1,    41,   885,    28,   885,    -1,
     365,   272,    -1,   365,   144,    -1,    87,   306,    -1,   865,
     272,    -1,   865,   144,    -1,   306,   425,   893,   426,    -1,
     306,   425,   426,    -1,   425,   893,   429,   865,   426,    -1,
      29,    -1,   329,    -1,    22,    -1,     8,    -1,   889,    -1,
     416,    -1,   417,    -1,   418,    -1,   419,    -1,   420,    -1,
     421,    -1,   413,    -1,   414,    -1,   412,    -1,     8,    -1,
     253,   425,   694,   426,    -1,   888,    -1,   253,   425,   694,
     426,    -1,   888,    -1,   253,   425,   694,   426,    -1,   205,
      -1,   237,   205,    -1,   166,    -1,   237,   166,    -1,   865,
      -1,   893,   429,   865,    -1,   895,    -1,   894,   429,   895,
      -1,   865,    -1,   676,    13,   865,    -1,   841,    -1,   896,
     429,   841,    -1,   423,   893,   424,    -1,   423,   898,   424,
      -1,   423,   424,    -1,   897,    -1,   898,   429,   897,    -1,
     900,   150,   865,    -1,    -1,     3,    -1,   406,    -1,   221,
      -1,    99,    -1,   163,    -1,   218,    -1,   313,    -1,   936,
      -1,   865,   902,   905,   906,    -1,   865,   902,   905,    -1,
     269,   865,    -1,   866,   170,   866,    -1,    -1,   865,   905,
     906,    -1,   865,   906,   905,    -1,   865,   905,    -1,   865,
     906,    -1,   893,    -1,    -1,   150,   865,    -1,   145,   865,
      -1,   865,   150,   893,    -1,   150,   893,    -1,   893,    -1,
     791,    -1,   425,   893,   426,    -1,    52,   913,   910,   912,
     127,    -1,   911,    -1,   910,   911,    -1,   388,   865,   352,
     865,    -1,   123,   865,    -1,    -1,   865,    -1,    -1,   939,
      -1,   939,   916,    -1,   427,   930,    -1,   427,   418,    -1,
     423,   865,   424,    -1,   423,   865,   430,   865,   424,    -1,
     915,    -1,   916,   915,    -1,    -1,   917,   915,    -1,    35,
      -1,    -1,   865,    -1,   104,    -1,   919,    -1,   920,   429,
     919,    -1,   425,   920,   426,    -1,   923,    -1,   922,   429,
     923,    -1,   865,    31,   942,    -1,   865,     3,    -1,   865,
      -1,   418,    -1,   925,    -1,   924,   429,   925,    -1,   939,
      -1,   939,   916,    -1,   927,    -1,   926,   429,   927,    -1,
     939,    -1,   939,    -1,   939,    -1,   942,    -1,   939,    -1,
     936,    -1,   940,    -1,   939,   916,    -1,   935,    -1,     4,
      -1,   936,    -1,     6,    -1,     7,    -1,   933,   936,    -1,
     933,   425,   894,   426,   936,    -1,   844,   936,    -1,   861,
     936,   863,    -1,   861,   425,   935,   426,   936,   863,    -1,
     361,    -1,   139,    -1,   242,    -1,     9,    -1,     5,    -1,
     941,    -1,   935,    -1,   416,   935,    -1,   417,   935,    -1,
       3,    -1,   943,    -1,   944,    -1,     3,    -1,   943,    -1,
     945,    -1,     3,    -1,   943,    -1,   944,    -1,   945,    -1,
       3,    -1,   943,    -1,   944,    -1,   945,    -1,   946,    -1,
      14,    -1,    15,    -1,    16,    -1,    17,    -1,    18,    -1,
      19,    -1,    20,    -1,    21,    -1,    23,    -1,    24,    -1,
      25,    -1,    33,    -1,    34,    -1,    36,    -1,    38,    -1,
      39,    -1,    40,    -1,    47,    -1,    48,    -1,    49,    -1,
      50,    -1,    51,    -1,    54,    -1,    55,    -1,    58,    -1,
      60,    -1,    61,    -1,    62,    -1,    63,    -1,    67,    -1,
      68,    -1,    69,    -1,    70,    -1,    72,    -1,    73,    -1,
      75,    -1,    76,    -1,    77,    -1,    78,    -1,    79,    -1,
      80,    -1,    82,    -1,    83,    -1,    84,    -1,    86,    -1,
      87,    -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,
      99,    -1,   100,    -1,   103,    -1,   105,    -1,   107,    -1,
     108,    -1,   109,    -1,   110,    -1,   111,    -1,   113,    -1,
     114,    -1,   115,    -1,   118,    -1,   119,    -1,   120,    -1,
     121,    -1,   122,    -1,   124,    -1,   125,    -1,   126,    -1,
     128,    -1,   129,    -1,   131,    -1,   132,    -1,   133,    -1,
     134,    -1,   136,    -1,   137,    -1,   140,    -1,   142,    -1,
     144,    -1,   146,    -1,   148,    -1,   152,    -1,   153,    -1,
     154,    -1,   156,    -1,   159,    -1,   161,    -1,   162,    -1,
     163,    -1,   164,    -1,   165,    -1,   167,    -1,   168,    -1,
     169,    -1,   171,    -1,   172,    -1,   173,    -1,   174,    -1,
     175,    -1,   176,    -1,   178,    -1,   181,    -1,   182,    -1,
     183,    -1,   184,    -1,   190,    -1,   193,    -1,   195,    -1,
     196,    -1,   197,    -1,   198,    -1,   199,    -1,   200,    -1,
     204,    -1,   207,    -1,   208,    -1,   209,    -1,   212,    -1,
     213,    -1,   214,    -1,   215,    -1,   216,    -1,   217,    -1,
     218,    -1,   219,    -1,   220,    -1,   221,    -1,   222,    -1,
     223,    -1,   224,    -1,   228,    -1,   229,    -1,   230,    -1,
     231,    -1,   232,    -1,   233,    -1,   234,    -1,   236,    -1,
     238,    -1,   239,    -1,   241,    -1,   244,    -1,   246,    -1,
     247,    -1,   248,    -1,   250,    -1,   253,    -1,   254,    -1,
     255,    -1,   263,    -1,   264,    -1,   265,    -1,   266,    -1,
     267,    -1,   268,    -1,   270,    -1,   272,    -1,   275,    -1,
     276,    -1,   274,    -1,   278,    -1,   279,    -1,   280,    -1,
     281,    -1,   282,    -1,   283,    -1,   284,    -1,   286,    -1,
     287,    -1,   288,    -1,   290,    -1,   291,    -1,   292,    -1,
     293,    -1,   294,    -1,   295,    -1,   296,    -1,   297,    -1,
     298,    -1,   299,    -1,   301,    -1,   302,    -1,   304,    -1,
     305,    -1,   307,    -1,   308,    -1,   309,    -1,   310,    -1,
     311,    -1,   312,    -1,   313,    -1,   314,    -1,   316,    -1,
     317,    -1,   318,    -1,   319,    -1,   320,    -1,   322,    -1,
     324,    -1,   325,    -1,   327,    -1,   330,    -1,   331,    -1,
     332,    -1,   333,    -1,   334,    -1,   335,    -1,   336,    -1,
     337,    -1,   338,    -1,   339,    -1,   341,    -1,   343,    -1,
     344,    -1,   346,    -1,   347,    -1,   348,    -1,   349,    -1,
     350,    -1,   351,    -1,   357,    -1,   359,    -1,   362,    -1,
     363,    -1,   364,    -1,   365,    -1,   366,    -1,   367,    -1,
     370,    -1,   371,    -1,   372,    -1,   373,    -1,   376,    -1,
     377,    -1,   378,    -1,   379,    -1,   383,    -1,   385,    -1,
     386,    -1,   387,    -1,   390,    -1,   393,    -1,   394,    -1,
     395,    -1,   396,    -1,   397,    -1,   406,    -1,   407,    -1,
     408,    -1,    41,    -1,    42,    -1,    44,    -1,    45,    -1,
      56,    -1,    57,    -1,    64,    -1,   101,    -1,   102,    -1,
     135,    -1,   138,    -1,   143,    -1,   157,    -1,   180,    -1,
     185,    -1,   186,    -1,   188,    -1,   202,    -1,   225,    -1,
     227,    -1,   235,    -1,   243,    -1,   245,    -1,   258,    -1,
     262,    -1,   271,    -1,   273,    -1,   285,    -1,   306,    -1,
     323,    -1,   328,    -1,   340,    -1,   353,    -1,   354,    -1,
     358,    -1,   360,    -1,   380,    -1,   381,    -1,   398,    -1,
     399,    -1,   400,    -1,   401,    -1,   402,    -1,   403,    -1,
     404,    -1,   405,    -1,    37,    -1,    43,    -1,    71,    -1,
      85,    -1,    91,    -1,   149,    -1,   151,    -1,   166,    -1,
     179,    -1,   191,    -1,   192,    -1,   194,    -1,   203,    -1,
     205,    -1,   226,    -1,   240,    -1,   259,    -1,   260,    -1,
     261,    -1,   303,    -1,   326,    -1,   384,    -1,    22,    -1,
      26,    -1,    27,    -1,    28,    -1,    29,    -1,    30,    -1,
      31,    -1,    32,    -1,    35,    -1,    46,    -1,    52,    -1,
      53,    -1,    59,    -1,    65,    -1,    66,    -1,    74,    -1,
      81,    -1,    88,    -1,    89,    -1,    90,    -1,    92,    -1,
      93,    -1,    94,    -1,   104,    -1,   106,    -1,   112,    -1,
     116,    -1,   117,    -1,   123,    -1,   127,    -1,   130,    -1,
     139,    -1,   141,    -1,   145,    -1,   147,    -1,   150,    -1,
     155,    -1,   158,    -1,   160,    -1,   170,    -1,   177,    -1,
     187,    -1,   189,    -1,   201,    -1,   206,    -1,   210,    -1,
     211,    -1,   237,    -1,   242,    -1,   249,    -1,   251,    -1,
     252,    -1,   256,    -1,   257,    -1,   269,    -1,   277,    -1,
     289,    -1,   300,    -1,   315,    -1,   321,    -1,   329,    -1,
     342,    -1,   345,    -1,   352,    -1,   355,    -1,   356,    -1,
     361,    -1,   368,    -1,   369,    -1,   374,    -1,   375,    -1,
     382,    -1,   388,    -1,   389,    -1,   391,    -1,   392,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   624,   624,   631,   638,   648,   649,   650,   651,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,   689,   690,   691,   692,
     693,   694,   695,   696,   697,   698,   699,   700,   701,   702,
     703,   704,   705,   706,   707,   708,   709,   710,   711,   712,
     713,   714,   715,   716,   717,   718,   719,   720,   721,   722,
     723,   724,   725,   726,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   746,   747,   748,   749,   751,   761,   772,
     773,   782,   783,   787,   788,   792,   797,   801,   806,   811,
     815,   819,   823,   827,   831,   835,   839,   843,   848,   852,
     856,   860,   864,   869,   876,   878,   882,   886,   890,   894,
     908,   926,   937,   938,   942,   960,   972,   993,  1000,  1019,
    1026,  1043,  1061,  1072,  1073,  1085,  1092,  1109,  1121,  1133,
    1134,  1138,  1139,  1147,  1148,  1149,  1150,  1151,  1152,  1166,
    1172,  1178,  1187,  1195,  1203,  1210,  1217,  1225,  1236,  1244,
    1252,  1260,  1268,  1279,  1287,  1295,  1302,  1312,  1313,  1320,
    1321,  1324,  1326,  1330,  1331,  1332,  1333,  1337,  1338,  1339,
    1345,  1357,  1361,  1365,  1380,  1403,  1404,  1405,  1409,  1410,
    1411,  1415,  1416,  1420,  1427,  1434,  1441,  1448,  1458,  1459,
    1464,  1470,  1476,  1482,  1488,  1498,  1508,  1509,  1513,  1514,
    1522,  1537,  1543,  1549,  1555,  1573,  1581,  1589,  1597,  1608,
    1609,  1614,  1622,  1630,  1639,  1647,  1655,  1664,  1673,  1682,
    1691,  1701,  1714,  1724,  1732,  1742,  1752,  1759,  1766,  1774,
    1782,  1790,  1798,  1806,  1813,  1820,  1828,  1835,  1842,  1850,
    1858,  1866,  1874,  1882,  1890,  1898,  1906,  1914,  1924,  1925,
    1929,  1930,  1931,  1935,  1936,  1940,  1943,  1944,  1948,  1949,
    1954,  1958,  1962,  1967,  1982,  1988,  2015,  2037,  2051,  2052,
    2061,  2062,  2063,  2066,  2067,  2072,  2073,  2077,  2081,  2085,
    2089,  2093,  2097,  2101,  2105,  2109,  2113,  2117,  2126,  2130,
    2134,  2138,  2142,  2146,  2150,  2151,  2156,  2160,  2167,  2174,
    2175,  2176,  2177,  2178,  2182,  2186,  2194,  2205,  2219,  2243,
    2244,  2245,  2246,  2247,  2248,  2249,  2253,  2254,  2258,  2259,
    2263,  2267,  2274,  2278,  2285,  2286,  2287,  2291,  2292,  2295,
    2306,  2317,  2318,  2322,  2330,  2331,  2350,  2357,  2364,  2374,
    2384,  2393,  2402,  2431,  2438,  2445,  2452,  2471,  2481,  2482,
    2483,  2487,  2488,  2489,  2490,  2491,  2492,  2501,  2509,  2513,
    2527,  2540,  2553,  2569,  2589,  2590,  2594,  2595,  2598,  2604,
    2608,  2616,  2621,  2627,  2628,  2632,  2637,  2644,  2645,  2655,
    2657,  2659,  2661,  2664,  2667,  2670,  2674,  2675,  2676,  2677,
    2678,  2681,  2682,  2687,  2688,  2689,  2690,  2693,  2694,  2695,
    2696,  2699,  2700,  2703,  2704,  2714,  2739,  2751,  2752,  2756,
    2757,  2761,  2777,  2778,  2779,  2792,  2804,  2813,  2814,  2817,
    2818,  2821,  2825,  2829,  2833,  2837,  2841,  2845,  2849,  2853,
    2857,  2861,  2865,  2871,  2872,  2876,  2877,  2882,  2885,  2886,
    2898,  2910,  2925,  2926,  2934,  2935,  2939,  2940,  2944,  2945,
    2949,  2950,  2954,  2962,  2973,  2974,  2984,  2994,  2995,  3008,
    3015,  3031,  3048,  3056,  3073,  3082,  3090,  3101,  3102,  3106,
    3110,  3118,  3122,  3126,  3133,  3137,  3142,  3147,  3154,  3161,
    3166,  3176,  3190,  3191,  3196,  3197,  3201,  3202,  3212,  3220,
    3237,  3246,  3254,  3270,  3282,  3283,  3284,  3294,  3302,  3319,
    3338,  3358,  3382,  3383,  3387,  3389,  3411,  3413,  3415,  3417,
    3419,  3424,  3429,  3439,  3440,  3444,  3445,  3449,  3450,  3454,
    3455,  3456,  3460,  3466,  3467,  3468,  3469,  3470,  3474,  3475,
    3479,  3481,  3490,  3497,  3507,  3511,  3512,  3516,  3517,  3522,
    3532,  3554,  3573,  3596,  3606,  3617,  3627,  3637,  3648,  3684,
    3691,  3700,  3709,  3718,  3729,  3732,  3733,  3736,  3740,  3747,
    3748,  3749,  3750,  3751,  3754,  3755,  3758,  3761,  3762,  3770,
    3777,  3778,  3781,  3783,  3800,  3815,  3816,  3820,  3829,  3838,
    3847,  3857,  3866,  3867,  3870,  3871,  3874,  3888,  3893,  3903,
    3912,  3924,  3925,  3929,  3937,  3949,  3958,  3970,  3979,  4000,
    4010,  4028,  4037,  4049,  4050,  4051,  4052,  4053,  4054,  4055,
    4056,  4057,  4058,  4059,  4060,  4064,  4065,  4068,  4069,  4072,
    4074,  4087,  4098,  4099,  4100,  4125,  4134,  4143,  4152,  4161,
    4170,  4179,  4189,  4198,  4207,  4216,  4225,  4234,  4243,  4251,
    4259,  4267,  4278,  4279,  4280,  4281,  4282,  4283,  4284,  4285,
    4286,  4287,  4288,  4289,  4293,  4294,  4304,  4310,  4318,  4326,
    4334,  4342,  4350,  4358,  4366,  4374,  4382,  4390,  4398,  4406,
    4414,  4422,  4430,  4438,  4448,  4449,  4452,  4453,  4463,  4479,
    4493,  4519,  4521,  4523,  4525,  4532,  4541,  4542,  4545,  4552,
    4559,  4566,  4580,  4588,  4596,  4604,  4612,  4620,  4628,  4636,
    4644,  4652,  4660,  4668,  4676,  4684,  4696,  4697,  4700,  4710,
    4724,  4725,  4729,  4730,  4735,  4751,  4764,  4774,  4786,  4787,
    4790,  4791,  4801,  4811,  4812,  4816,  4820,  4824,  4835,  4848,
    4862,  4879,  4880,  4881,  4893,  4912,  4913,  4917,  4918,  4922,
    4923,  4927,  4928,  4931,  4932,  4940,  4950,  4960,  4972,  4973,
    4974,  4977,  4978,  4979,  4982,  4983,  4984,  5000,  5012,  5025,
    5040,  5041,  5044,  5045,  5049,  5050,  5058,  5059,  5063,  5064,
    5079,  5088,  5097,  5106,  5115,  5127,  5128,  5129,  5130,  5131,
    5137,  5141,  5156,  5157,  5163,  5173,  5177,  5182,  5192,  5193,
    5200,  5204,  5208,  5212,  5216,  5220,  5224,  5228,  5232,  5236,
    5240,  5244,  5248,  5256,  5260,  5264,  5268,  5274,  5275,  5282,
    5283,  5286,  5298,  5302,  5317,  5328,  5329,  5334,  5335,  5350,
    5360,  5373,  5383,  5396,  5406,  5419,  5427,  5429,  5431,  5436,
    5438,  5451,  5460,  5461,  5465,  5469,  5481,  5492,  5503,  5516,
    5517,  5518,  5522,  5533,  5534,  5548,  5556,  5566,  5579,  5580,
    5583,  5584,  5594,  5603,  5611,  5619,  5628,  5636,  5644,  5653,
    5662,  5670,  5679,  5688,  5697,  5706,  5715,  5724,  5732,  5740,
    5748,  5757,  5766,  5774,  5782,  5790,  5798,  5808,  5809,  5812,
    5813,  5823,  5832,  5840,  5849,  5857,  5865,  5873,  5889,  5898,
    5906,  5914,  5922,  5931,  5939,  5947,  5956,  5965,  5974,  5982,
    5990,  5998,  6006,  6014,  6022,  6039,  6056,  6057,  6058,  6063,
    6069,  6078,  6079,  6080,  6081,  6082,  6086,  6087,  6090,  6091,
    6092,  6093,  6097,  6098,  6099,  6104,  6114,  6135,  6145,  6146,
    6149,  6158,  6164,  6183,  6190,  6197,  6204,  6211,  6218,  6225,
    6233,  6241,  6249,  6257,  6265,  6272,  6279,  6288,  6289,  6290,
    6294,  6297,  6300,  6307,  6309,  6311,  6316,  6318,  6330,  6341,
    6355,  6361,  6367,  6373,  6383,  6399,  6409,  6410,  6414,  6418,
    6422,  6426,  6430,  6434,  6438,  6442,  6446,  6450,  6454,  6458,
    6462,  6466,  6470,  6474,  6484,  6485,  6496,  6503,  6514,  6525,
    6526,  6530,  6544,  6551,  6568,  6580,  6589,  6597,  6605,  6614,
    6625,  6626,  6637,  6647,  6657,  6667,  6677,  6687,  6695,  6716,
    6739,  6747,  6756,  6767,  6768,  6780,  6794,  6808,  6820,  6832,
    6849,  6850,  6854,  6855,  6856,  6857,  6861,  6873,  6888,  6889,
    6893,  6894,  6897,  6898,  6901,  6902,  6906,  6907,  6920,  6927,
    6937,  6944,  6954,  6955,  6956,  6957,  6958,  6959,  6960,  6964,
    6968,  6975,  6982,  6983,  6987,  6988,  6989,  6999,  7009,  7010,
    7014,  7015,  7016,  7017,  7027,  7035,  7052,  7053,  7063,  7069,
    7075,  7081,  7097,  7106,  7112,  7118,  7127,  7129,  7134,  7145,
    7146,  7157,  7170,  7171,  7182,  7193,  7194,  7197,  7198,  7199,
    7200,  7201,  7202,  7203,  7204,  7207,  7208,  7219,  7236,  7237,
    7241,  7242,  7246,  7254,  7282,  7293,  7294,  7304,  7315,  7318,
    7319,  7320,  7321,  7322,  7325,  7326,  7327,  7375,  7376,  7380,
    7381,  7395,  7396,  7403,  7411,  7419,  7427,  7435,  7443,  7454,
    7455,  7482,  7497,  7498,  7517,  7521,  7525,  7540,  7547,  7557,
    7558,  7561,  7573,  7583,  7591,  7596,  7601,  7606,  7611,  7616,
    7621,  7626,  7633,  7634,  7637,  7638,  7639,  7646,  7647,  7648,
    7649,  7653,  7654,  7658,  7662,  7663,  7666,  7675,  7688,  7689,
    7690,  7691,  7695,  7696,  7700,  7702,  7712,  7717,  7720,  7725,
    7726,  7734,  7744,  7745,  7746,  7754,  7758,  7759,  7762,  7763,
    7768,  7769,  7773,  7774,  7778,  7779,  7783,  7784,  7788,  7789,
    7793,  7801,  7812,  7813,  7818,  7824,  7842,  7843,  7847,  7848,
    7858,  7862,  7867,  7874,  7882,  7889,  7899,  7909,  7937,  7944,
    7948,  7974,  7978,  7990,  8003,  8017,  8028,  8043,  8049,  8054,
    8060,  8067,  8068,  8069,  8070,  8074,  8075,  8087,  8088,  8093,
    8100,  8107,  8114,  8125,  8126,  8139,  8143,  8150,  8160,  8165,
    8166,  8171,  8172,  8180,  8185,  8189,  8195,  8216,  8221,  8228,
    8233,  8239,  8244,  8253,  8255,  8258,  8262,  8263,  8264,  8265,
    8266,  8267,  8272,  8302,  8303,  8304,  8305,  8316,  8322,  8330,
    8331,  8337,  8342,  8347,  8352,  8357,  8362,  8367,  8372,  8378,
    8384,  8390,  8397,  8419,  8428,  8432,  8440,  8444,  8452,  8464,
    8485,  8489,  8495,  8499,  8512,  8531,  8554,  8556,  8558,  8560,
    8562,  8564,  8569,  8570,  8574,  8575,  8582,  8591,  8599,  8608,
    8619,  8627,  8628,  8629,  8633,  8635,  8637,  8639,  8641,  8643,
    8645,  8650,  8655,  8661,  8669,  8674,  8681,  8688,  8692,  8696,
    8726,  8727,  8729,  8751,  8753,  8755,  8757,  8759,  8761,  8763,
    8765,  8767,  8769,  8771,  8774,  8776,  8778,  8781,  8783,  8785,
    8788,  8790,  8803,  8805,  8818,  8820,  8833,  8835,  8849,  8862,
    8875,  8888,  8911,  8918,  8925,  8932,  8939,  8943,  8950,  8957,
    8964,  8971,  8978,  8985,  8989,  8997,  9001,  9011,  9018,  9025,
    9038,  9051,  9070,  9091,  9101,  9108,  9124,  9129,  9147,  9149,
    9151,  9153,  9155,  9157,  9159,  9161,  9163,  9165,  9167,  9169,
    9171,  9173,  9175,  9177,  9179,  9183,  9188,  9192,  9196,  9201,
    9218,  9219,  9220,  9235,  9247,  9249,  9251,  9261,  9284,  9294,
    9304,  9312,  9330,  9343,  9356,  9369,  9382,  9395,  9412,  9425,
    9448,  9469,  9479,  9492,  9509,  9522,  9532,  9545,  9555,  9568,
    9581,  9594,  9607,  9620,  9633,  9646,  9648,  9661,  9679,  9693,
    9709,  9731,  9747,  9760,  9773,  9786,  9790,  9797,  9805,  9813,
    9817,  9821,  9825,  9829,  9833,  9837,  9846,  9850,  9854,  9859,
    9873,  9875,  9879,  9881,  9883,  9886,  9889,  9892,  9893,  9896,
    9904,  9914,  9915,  9918,  9919,  9920,  9927,  9928,  9932,  9933,
    9938,  9946,  9948,  9962,  9965,  9992,  9993,  9996,  9997, 10008,
   10026, 10033, 10042, 10059, 10104, 10112, 10120, 10128, 10136, 10157,
   10158, 10159, 10162, 10163, 10164, 10167, 10168, 10171, 10172, 10173,
   10174, 10175, 10176, 10177, 10178, 10179, 10182, 10184, 10189, 10191,
   10196, 10198, 10200, 10202, 10204, 10206, 10218, 10222, 10229, 10233,
   10239, 10243, 10254, 10255, 10258, 10262, 10266, 10272, 10273, 10278,
   10282, 10289, 10290, 10291, 10292, 10293, 10294, 10295, 10296, 10306,
   10310, 10317, 10324, 10325, 10341, 10345, 10350, 10354, 10369, 10374,
   10378, 10381, 10384, 10385, 10386, 10389, 10396, 10406, 10420, 10421,
   10425, 10436, 10437, 10440, 10441, 10444, 10448, 10455, 10459, 10463,
   10470, 10480, 10481, 10485, 10486, 10489, 10490, 10501, 10502, 10511,
   10512, 10520, 10531, 10532, 10535, 10551, 10559, 10567, 10589, 10590,
   10601, 10609, 10637, 10639, 10644, 10647, 10650, 10652, 10654, 10656,
   10666, 10668, 10679, 10683, 10687, 10691, 10695, 10704, 10711, 10736,
   10740, 10746, 10763, 10767, 10771, 10777, 10778, 10779, 10781, 10782,
   10783, 10799, 10800, 10801, 10806, 10807, 10808, 10813, 10814, 10815,
   10816, 10822, 10823, 10824, 10825, 10826, 10846, 10847, 10848, 10849,
   10850, 10851, 10852, 10853, 10854, 10855, 10856, 10857, 10858, 10859,
   10860, 10861, 10862, 10863, 10864, 10865, 10866, 10867, 10868, 10869,
   10870, 10871, 10872, 10873, 10874, 10875, 10876, 10877, 10878, 10879,
   10880, 10881, 10882, 10883, 10884, 10885, 10886, 10887, 10888, 10889,
   10890, 10891, 10892, 10893, 10894, 10895, 10896, 10897, 10898, 10899,
   10900, 10901, 10902, 10903, 10904, 10905, 10906, 10907, 10908, 10909,
   10910, 10911, 10912, 10913, 10914, 10915, 10916, 10917, 10918, 10919,
   10920, 10921, 10922, 10923, 10924, 10925, 10926, 10927, 10928, 10929,
   10930, 10931, 10932, 10933, 10934, 10935, 10936, 10937, 10938, 10939,
   10940, 10941, 10942, 10943, 10944, 10945, 10946, 10947, 10948, 10949,
   10950, 10951, 10952, 10953, 10954, 10955, 10956, 10957, 10958, 10959,
   10960, 10961, 10962, 10963, 10964, 10965, 10966, 10967, 10968, 10969,
   10970, 10971, 10972, 10973, 10974, 10975, 10976, 10977, 10978, 10979,
   10980, 10981, 10982, 10983, 10984, 10985, 10986, 10987, 10988, 10989,
   10990, 10991, 10992, 10993, 10994, 10995, 10996, 10997, 10998, 10999,
   11000, 11001, 11002, 11003, 11004, 11005, 11006, 11007, 11008, 11009,
   11010, 11011, 11012, 11013, 11014, 11015, 11016, 11017, 11018, 11019,
   11020, 11021, 11022, 11023, 11024, 11025, 11026, 11027, 11028, 11029,
   11030, 11031, 11032, 11033, 11034, 11035, 11036, 11037, 11038, 11039,
   11040, 11041, 11042, 11043, 11044, 11045, 11046, 11047, 11048, 11049,
   11050, 11051, 11052, 11053, 11054, 11055, 11056, 11057, 11058, 11059,
   11060, 11061, 11062, 11063, 11064, 11065, 11066, 11067, 11068, 11069,
   11070, 11071, 11072, 11073, 11074, 11075, 11076, 11077, 11078, 11079,
   11080, 11081, 11082, 11083, 11084, 11085, 11086, 11087, 11088, 11089,
   11090, 11091, 11092, 11093, 11094, 11095, 11096, 11110, 11111, 11112,
   11113, 11114, 11115, 11116, 11117, 11118, 11119, 11120, 11121, 11122,
   11123, 11124, 11125, 11126, 11127, 11128, 11129, 11130, 11131, 11132,
   11133, 11134, 11135, 11136, 11137, 11138, 11139, 11140, 11141, 11142,
   11143, 11144, 11145, 11146, 11147, 11148, 11149, 11150, 11151, 11152,
   11153, 11154, 11155, 11169, 11170, 11171, 11172, 11173, 11174, 11175,
   11176, 11177, 11178, 11179, 11180, 11181, 11182, 11183, 11184, 11185,
   11186, 11187, 11188, 11189, 11190, 11200, 11201, 11202, 11203, 11204,
   11205, 11206, 11207, 11208, 11209, 11210, 11211, 11212, 11213, 11214,
   11215, 11216, 11217, 11218, 11219, 11220, 11221, 11222, 11223, 11224,
   11225, 11226, 11227, 11228, 11229, 11230, 11231, 11232, 11233, 11234,
   11235, 11236, 11237, 11238, 11239, 11240, 11241, 11242, 11243, 11244,
   11245, 11246, 11247, 11248, 11249, 11250, 11251, 11252, 11253, 11254,
   11255, 11256, 11257, 11258, 11259, 11260, 11261, 11262, 11263, 11264,
   11265, 11266, 11267, 11268, 11269, 11270, 11271, 11272, 11273, 11274,
   11275
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P",
  "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE",
  "CALLED", "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN",
  "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS",
  "CLOSE", "CLUSTER", "COALESCE", "COLLATE", "COLUMN", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CREATEDB", "CREATEROLE",
  "CREATEUSER", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOGIN_P", "MAPPING", "MATCH",
  "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NOCREATEDB",
  "NOCREATEROLE", "NOCREATEUSER", "NOINHERIT", "NOLOGIN_P", "NONE",
  "NOSUPERUSER", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSWORD", "PLACING", "PLANS",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SUPERUSER_P", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'", "'>'",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept", "stmtblock",
  "stmtmulti", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "alter_using", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem", "ClosePortalStmt",
  "CopyStmt", "copy_from", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "CreateAsStmt",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateFdwStmt", "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOpt", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintDeferrabilitySpec",
  "ConstraintTimeSpec", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "into_clause", "OptTempTableName", "opt_table",
  "opt_all", "opt_distinct", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "opt_select_fetch_first_value",
  "select_offset_value2", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "join_type", "join_outer", "join_qual", "relation_expr",
  "relation_expr_list", "relation_expr_opt_alias", "func_table",
  "where_clause", "where_or_current_clause", "TableFuncElementList",
  "TableFuncElement", "Typename", "opt_array_bounds", "SimpleTypename",
  "ConstTypename", "GenericType", "opt_type_modifiers", "Numeric",
  "opt_float", "Bit", "ConstBit", "BitWithLength", "BitWithoutLength",
  "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "opt_charset",
  "ConstDatetime", "ConstInterval", "opt_timezone", "opt_interval",
  "interval_second", "a_expr", "b_expr", "c_expr", "func_expr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_whitespace_option", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,    61,    60,    62,   667,    43,    45,    42,    47,
      37,    94,   668,    91,    93,    40,    41,    46,    59,    44,
      58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   431,   432,   433,   433,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   435,   436,
     436,   437,   437,   438,   438,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   439,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   440,   440,   440,   440,   440,   440,
     441,   442,   443,   443,   444,   445,   446,   447,   447,   448,
     448,   449,   450,   451,   451,   452,   452,   453,   453,   454,
     454,   455,   455,   456,   456,   456,   456,   456,   456,   457,
     457,   457,   458,   458,   458,   458,   458,   458,   458,   458,
     458,   458,   458,   458,   458,   458,   458,   459,   459,   460,
     460,   461,   461,   462,   462,   462,   462,   463,   463,   463,
     463,   464,   464,   464,   464,   464,   464,   464,   465,   465,
     465,   466,   466,   467,   467,   467,   467,   467,   468,   468,
     469,   469,   469,   469,   469,   470,   471,   471,   472,   472,
     473,   474,   474,   474,   474,   475,   475,   475,   475,   476,
     476,   477,   477,   477,   477,   477,   477,   477,   477,   477,
     477,   477,   477,   477,   477,   477,   477,   477,   477,   477,
     477,   477,   477,   477,   477,   477,   477,   477,   477,   477,
     477,   477,   477,   477,   477,   477,   477,   477,   478,   478,
     479,   479,   479,   480,   480,   481,   482,   482,   483,   483,
     484,   484,   484,   484,   485,   485,   486,   486,   487,   487,
     488,   488,   488,   489,   489,   490,   490,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   492,   492,
     493,   493,   494,   494,   495,   495,   496,   496,   497,   498,
     498,   498,   498,   498,   499,   499,   500,   501,   501,   502,
     502,   502,   502,   502,   502,   502,   503,   503,   504,   504,
     505,   505,   506,   506,   507,   507,   507,   508,   508,   509,
     510,   511,   511,   512,   512,   512,   513,   513,   513,   513,
     513,   513,   513,   514,   514,   514,   514,   515,   516,   516,
     516,   517,   517,   517,   517,   517,   517,   518,   518,   519,
     519,   519,   519,   519,   520,   520,   521,   521,   522,   523,
     523,   523,   523,   524,   524,   525,   525,   526,   526,   527,
     527,   527,   527,   527,   528,   529,   530,   530,   530,   530,
     530,   531,   531,   532,   532,   532,   532,   533,   533,   533,
     533,   534,   534,   535,   535,   536,   537,   538,   538,   539,
     539,   540,   541,   541,   541,   542,   543,   544,   544,   545,
     545,   546,   546,   546,   546,   546,   546,   546,   546,   546,
     546,   546,   546,   547,   547,   548,   548,   548,   549,   549,
     550,   550,   551,   551,   552,   552,   553,   553,   554,   554,
     555,   555,   556,   556,   557,   557,   558,   559,   559,   560,
     560,   561,   562,   562,   563,   563,   563,   564,   564,   565,
     565,   566,   567,   567,   568,   568,   568,   568,   569,   570,
     571,   572,   573,   573,   574,   574,   575,   575,   576,   576,
     577,   577,   577,   578,   579,   579,   579,   580,   580,   581,
     582,   582,   583,   583,   584,   584,   585,   585,   585,   585,
     585,   586,   586,   587,   587,   588,   588,   589,   589,   590,
     590,   590,   591,   591,   591,   591,   591,   591,   592,   592,
     593,   593,   593,   593,   593,   594,   594,   595,   595,   596,
     596,   597,   598,   599,   599,   599,   599,   599,   599,   599,
     599,   599,   599,   599,   600,   601,   601,   602,   602,   603,
     603,   603,   603,   603,   604,   604,   605,   606,   606,   607,
     608,   608,   609,   609,   610,   611,   611,   612,   612,   612,
     612,   612,   613,   613,   614,   614,   615,   615,   616,   617,
     617,   618,   618,   619,   619,   620,   620,   621,   621,   622,
     623,   624,   624,   625,   625,   625,   625,   625,   625,   625,
     625,   625,   625,   625,   625,   626,   626,   627,   627,   628,
     628,   629,   630,   630,   630,   631,   631,   631,   631,   631,
     631,   631,   631,   631,   631,   631,   631,   631,   631,   631,
     631,   631,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   633,   633,   634,   634,   635,   635,
     635,   635,   635,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   635,   635,   636,   636,   637,   637,   638,   639,
     639,   640,   640,   640,   640,   640,   641,   641,   642,   642,
     642,   642,   643,   643,   643,   643,   643,   643,   643,   643,
     643,   643,   643,   643,   643,   643,   644,   644,   645,   645,
     646,   646,   647,   647,   648,   649,   650,   650,   651,   651,
     652,   652,   653,   654,   654,   655,   655,   655,   656,   656,
     656,   657,   657,   657,   658,   659,   659,   660,   660,   661,
     661,   662,   662,   663,   663,   664,   664,   664,   665,   665,
     665,   666,   666,   666,   667,   667,   667,   668,   668,   668,
     669,   669,   670,   670,   671,   671,   672,   672,   673,   673,
     674,   674,   674,   674,   674,   675,   675,   675,   675,   675,
     676,   677,   678,   678,   678,   679,   679,   679,   680,   680,
     681,   681,   681,   681,   681,   681,   681,   681,   681,   681,
     681,   681,   681,   682,   682,   682,   682,   683,   683,   684,
     684,   685,   686,   686,   687,   688,   688,   689,   689,   690,
     690,   691,   691,   692,   692,   693,   693,   693,   693,   694,
     694,   695,   696,   696,   697,   697,   698,   698,   698,   699,
     699,   699,   700,   701,   701,   702,   702,   702,   703,   703,
     704,   704,   705,   705,   705,   705,   705,   705,   705,   705,
     705,   705,   705,   705,   705,   705,   705,   705,   705,   705,
     705,   705,   705,   705,   705,   705,   705,   706,   706,   707,
     707,   708,   708,   708,   708,   708,   708,   708,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   710,   711,   711,   711,   712,
     712,   713,   713,   713,   713,   713,   714,   714,   715,   715,
     715,   715,   716,   716,   716,   717,   717,   718,   719,   719,
     720,   721,   721,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   723,   723,   723,
     724,   724,   724,   725,   725,   725,   726,   726,   727,   727,
     728,   728,   728,   728,   729,   730,   731,   731,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   733,   733,   734,   734,   735,   736,
     736,   737,   738,   738,   739,   740,   740,   740,   740,   740,
     741,   741,   742,   743,   743,   743,   743,   743,   743,   744,
     745,   745,   745,   746,   746,   747,   747,   747,   747,   747,
     748,   748,   749,   749,   749,   749,   750,   750,   751,   751,
     752,   752,   753,   753,   754,   754,   755,   755,   756,   756,
     756,   756,   757,   757,   757,   757,   757,   757,   757,   758,
     758,   759,   760,   760,   761,   761,   761,   762,   763,   763,
     764,   764,   764,   764,   765,   765,   766,   766,   767,   767,
     767,   767,   768,   769,   769,   769,   770,   770,   771,   772,
     772,   773,   774,   774,   775,   776,   776,   777,   777,   777,
     777,   777,   777,   777,   777,   778,   778,   779,   780,   780,
     781,   781,   782,   783,   784,   785,   785,   786,   787,   788,
     788,   788,   788,   788,   789,   789,   789,   790,   790,   791,
     791,   792,   792,   792,   792,   792,   792,   792,   792,   793,
     793,   794,   794,   794,   794,   794,   794,   795,   795,   796,
     796,   797,   798,   798,   799,   799,   799,   799,   799,   799,
     799,   799,   800,   800,   801,   801,   801,   802,   802,   802,
     802,   803,   803,   804,   805,   805,   806,   806,   807,   807,
     807,   807,   808,   808,   809,   809,   809,   810,   810,   811,
     811,   812,   813,   813,   813,   814,   815,   815,   816,   816,
     817,   817,   818,   818,   819,   819,   820,   820,   821,   821,
     822,   822,   823,   823,   824,   824,   825,   825,   826,   826,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   828,   828,   828,   828,   828,   828,   829,   829,   829,
     829,   830,   830,   830,   830,   831,   831,   832,   832,   833,
     833,   833,   833,   834,   834,   835,   835,   835,   836,   837,
     837,   838,   838,   838,   839,   839,   840,   841,   841,   841,
     841,   841,   841,   842,   842,   842,   843,   843,   843,   843,
     843,   843,   843,   844,   844,   844,   844,   845,   845,   846,
     846,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   848,   848,   849,   849,   850,   850,   851,   852,
     853,   853,   854,   854,   855,   856,   857,   857,   857,   857,
     857,   857,   858,   858,   859,   859,   860,   860,   860,   860,
     861,   862,   862,   862,   863,   863,   863,   863,   863,   863,
     863,   863,   863,   863,   863,   863,   863,   863,   864,   864,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   866,   866,
     866,   866,   866,   866,   866,   866,   866,   866,   866,   866,
     866,   866,   866,   866,   866,   866,   866,   866,   866,   866,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     869,   869,   870,   870,   870,   870,   871,   872,   872,   873,
     873,   874,   874,   875,   875,   875,   876,   876,   877,   877,
     878,   879,   879,   879,   880,   881,   881,   882,   882,   883,
     883,   883,   884,   884,   885,   885,   885,   885,   885,   886,
     886,   886,   887,   887,   887,   888,   888,   889,   889,   889,
     889,   889,   889,   889,   889,   889,   890,   890,   891,   891,
     892,   892,   892,   892,   892,   892,   893,   893,   894,   894,
     895,   895,   896,   896,   897,   897,   897,   898,   898,   899,
     899,   900,   900,   900,   900,   900,   900,   900,   900,   901,
     901,   902,   903,   903,   904,   904,   904,   904,   904,   904,
     905,   906,   907,   907,   907,   908,   908,   909,   910,   910,
     911,   912,   912,   913,   913,   914,   914,   915,   915,   915,
     915,   916,   916,   917,   917,   918,   918,   919,   919,   920,
     920,   921,   922,   922,   923,   923,   923,   923,   924,   924,
     925,   925,   926,   926,   927,   928,   929,   930,   931,   932,
     933,   933,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   935,   936,   937,   938,   938,
     938,   939,   939,   939,   940,   940,   940,   941,   941,   941,
     941,   942,   942,   942,   942,   942,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     2,     1,     2,     2,     2,     3,     3,
       5,     5,     0,     3,     5,     5,     4,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     1,
       0,     2,     0,     1,     1,     1,     1,     1,     1,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     4,     3,     2,     2,     1,
       2,     3,     4,     3,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     4,     4,     4,     4,     1,
       3,     2,     3,     4,     6,     6,     6,     5,     5,     6,
       6,     4,     7,     2,     6,     4,     3,     3,     3,     3,
       3,     4,     4,     3,     3,     3,     3,     3,     3,     4,
       4,     3,     2,     3,     3,     3,     2,     2,     3,     2,
       1,     1,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     2,     2,    10,     6,     1,     1,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    10,     1,
       1,     2,     2,     2,     2,     0,     1,     0,     3,     0,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     3,
       4,     2,     0,     3,     1,     1,     2,     1,     3,     4,
       4,     2,     5,     1,     2,     2,     2,     3,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       7,     8,     9,    11,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     7,     5,     3,     0,     1,
       3,     1,     2,     3,     0,     5,     4,     1,     0,     1,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     1,     3,     1,     0,     1,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     6,     2,     0,     3,
       5,     7,     6,     8,     7,     6,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,     2,     0,     2,     2,     1,     0,     4,     6,
       5,     4,     4,     8,     1,     1,     1,     7,     9,     8,
      15,    20,     1,     1,     1,     3,     1,     1,     1,     3,
       1,     3,     0,     1,     0,     1,     1,     4,     0,     1,
       3,     0,     1,     1,     1,     1,     1,     1,     2,     0,
       1,     2,     1,     2,     0,     2,     1,     2,     2,     6,
       8,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     3,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     1,     3,     3,
       1,     0,     1,     3,    13,     1,     3,     4,     5,     4,
       7,     2,     1,     0,     2,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     1,     3,     1,     2,     2,
       3,     5,     2,     2,     0,     6,     7,     7,     7,     8,
       8,     6,     8,     9,     9,     7,    10,     7,     8,     8,
       8,     8,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     2,
       3,     3,     3,     3,     4,     4,     3,     3,     3,     4,
       4,     3,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       3,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,    14,     1,     0,     1,     0,     1,
       0,     2,     0,     1,     3,     4,     4,     6,     1,     2,
       0,     1,     1,     0,     1,     1,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       2,     2,     1,     2,     2,     1,     1,     1,     3,     2,
       0,     2,     1,     3,     5,     1,     2,     1,     0,     5,
       7,     5,     7,     5,     7,     3,     5,     5,     5,     1,
       3,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,     4,     4,     4,     1,     1,
       1,     0,     7,     6,     6,     6,     6,     7,     9,     9,
       6,     6,     6,     6,     6,     8,     8,     6,     6,     6,
       5,     5,     8,     8,     8,     8,     6,     1,     0,     2,
       0,     7,     6,     6,     6,     6,     6,     6,     7,     6,
       6,     6,     6,     7,     7,     7,     9,     9,     6,     6,
       6,     8,     8,     8,     6,    13,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     0,     6,     8,     3,     2,     0,
       2,     2,     2,     2,     3,     3,     2,     2,     2,     2,
       3,     2,     5,     4,     3,     3,     3,     1,     1,     0,
       3,     2,     2,     1,     3,     2,     1,     0,     8,    10,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     6,     4,     6,     6,     5,     7,
       1,     0,     6,    11,    11,    11,    13,     9,    11,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     0,     5,     3,     0,
       1,     1,     1,     1,     3,     8,     3,     0,     2,     3,
       2,     3,     5,     1,     4,     2,     1,     3,     2,     2,
       0,     6,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     7,     1,     3,
       1,     1,     3,     5,     2,     1,     3,     7,     1,     0,
       3,     2,     2,     2,     0,     2,     2,     1,     1,     3,
       3,     1,     2,     4,     4,     2,     3,     5,     5,     1,
       1,     9,     1,     2,     4,     4,     4,     2,     3,     1,
       3,     4,     2,     0,     3,     3,     4,     4,     4,     4,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     2,     0,     1,     3,     1,     0,     1,     2,
       4,     4,     2,     0,     2,     3,     2,     0,     1,     3,
       1,     2,     1,     2,     5,     6,     5,     1,     2,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     1,     2,
       0,     2,     4,     0,     1,     3,     2,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     5,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     5,     2,     2,     2,     1,     3,
       3,     2,     1,     0,     3,     0,     5,     2,     5,     2,
       1,     2,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     5,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       3,     5,     4,     6,     3,     5,     4,     6,     4,     6,
       5,     7,     3,     2,     4,     2,     3,     3,     4,     3,
       4,     3,     4,     5,     6,     6,     7,     6,     7,     6,
       7,     3,     4,     4,     6,     2,     3,     4,     1,     3,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     4,     5,     6,     8,     6,     7,     7,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     6,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     4,     6,     5,     7,     7,     7,
       2,     3,     3,     3,     4,     0,     4,     1,     3,     3,
       1,     1,     1,     2,     2,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     5,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
     107,   979,   485,  1059,  1058,   979,   230,     0,  1061,     0,
     979,   319,   791,     0,     0,     0,     0,     0,   485,   979,
       0,     0,     0,     0,     0,     0,     0,  1183,     0,     0,
       0,     0,     0,     0,     0,     0,   979,     0,  1190,     0,
       0,     0,     0,  1183,     0,     0,  1063,     0,     0,     0,
       0,     2,     4,    49,    50,    18,    17,    23,    22,    72,
      73,    39,    12,    63,    44,   104,   103,   105,    29,    25,
      57,    16,    26,    30,    46,    31,    45,    15,    43,    67,
      47,    70,    36,    61,     9,    37,    62,    10,    51,    74,
      21,    48,    71,    32,    59,    55,    40,    41,    42,    64,
      65,    66,    88,    69,    99,    28,    78,    79,    94,    80,
      95,     7,    81,    38,    11,    91,    90,    92,    58,    33,
      60,    89,    93,    13,    14,    96,    68,    86,    83,   100,
      98,   106,    84,    52,     5,     6,    75,    35,     8,    20,
      19,    34,    27,   102,    24,  1061,    77,    87,    76,    53,
      82,    56,    85,   101,    54,    97,  1160,  1147,  1192,  1159,
       0,  1162,   978,   977,   963,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   484,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   987,
    1681,  1696,  1697,  1698,  1699,  1700,  1701,  1702,  1703,   295,
    1704,  1705,  1706,  1707,  1708,  1709,  1710,  1711,  1712,  1947,
    1948,  1949,  1950,  1713,  1714,  1715,  1716,  1717,  1718,  1719,
    1951,  1952,  1720,  1721,  1722,  1723,  1724,  1953,  1725,  1726,
    1727,  1728,  1729,  1730,  1731,  1732,  1733,  1734,  1735,  1736,
    1737,  1738,  1739,  1740,  1741,  1742,  1743,  1744,  1745,  1746,
    1747,  1954,  1955,  1748,  1749,  1750,  1751,  1752,  1753,  1754,
    1755,  1756,  1757,  1758,  1759,  1760,  1761,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1956,  1772,  1773,
    1957,  1774,  1775,  1958,  1776,  1777,  1778,  1779,  1780,  1781,
    1782,  1959,  1783,  1784,  1785,  1786,  1787,  1788,  1789,  1790,
    1791,  1792,  1793,  1794,  1795,  1796,  1797,  1798,  1960,  1799,
    1800,  1801,  1802,  1961,  1962,  1963,  1803,  1804,  1805,  1806,
    1807,  1808,  1809,  1810,  1964,  1811,  1812,  1813,  1814,  1815,
    1816,  1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,  1825,
    1826,  1827,  1965,  1966,  1828,  1829,  1830,  1831,  1832,  1833,
    1834,  1967,  1835,  1836,  1837,  1838,  1968,  1839,  1969,  1840,
    1841,  1842,  1843,  1844,  1845,  1846,  1970,  1971,  1847,  1848,
    1849,  1850,  1851,  1852,  1853,  1972,  1854,  1973,  1857,  1855,
    1856,  1858,  1859,  1860,  1861,  1862,  1863,  1864,  1974,  1865,
    1866,  1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,  1875,
    1876,  1877,  1878,  1879,  1880,  1881,  1975,  1882,  1883,  1884,
    1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,
    1895,  1976,  1896,  1897,  1898,  1977,  1899,  1900,  1901,  1902,
    1903,  1904,  1905,  1906,  1907,  1908,  1978,  1909,  1910,  1911,
    1912,  1913,  1914,  1915,  1916,  1917,  1979,  1980,  1918,  1981,
    1919,  1982,  1920,  1921,  1922,  1923,  1924,  1925,  1926,  1927,
    1928,  1929,  1930,  1931,  1932,  1933,  1983,  1984,  1934,  1935,
    1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1985,  1986,
    1987,  1988,  1989,  1990,  1991,  1992,  1944,  1945,  1946,   294,
    1138,  1654,  1682,  1683,  1060,  1041,   485,     0,   966,   318,
       0,     0,     0,     0,     0,     0,     0,   612,     0,     0,
       0,     0,     0,     0,     0,     0,   160,     0,     0,   340,
     339,     0,     0,     0,   765,     0,     0,     0,     0,   473,
    1100,  1855,  1098,  1139,     0,   231,   234,   232,   233,  1676,
       0,   861,   862,   864,     0,     0,   874,   639,     0,   638,
       0,     0,     0,   636,     0,     0,     0,     0,   640,   634,
       0,   633,     0,     0,     0,   637,     0,   635,     0,     0,
     967,  1097,   345,     0,     0,  1077,  1061,  1068,  1078,  1073,
    1075,  1074,  1076,  1072,  1675,  1697,   707,   707,   707,   707,
     704,   705,   707,   707,   707,  1869,     0,     0,   686,     0,
     688,  1678,   707,   712,   395,   395,   395,     0,   711,   716,
     395,     0,   960,   994,  1659,  1182,     0,   687,   959,  1918,
    1089,     0,     0,   878,     0,   879,     0,  1884,   971,   217,
    1894,  1979,  1918,   213,   187,  1701,     0,     0,   711,     0,
     968,   969,  1189,  1187,     0,  1718,  1731,  1814,   210,  1880,
    1885,  1894,  1979,  1918,  1943,   169,     0,   224,  1894,  1979,
    1918,   220,   987,     0,  1163,  1269,  1650,     0,   962,   961,
    1275,     0,  1062,     0,  1065,     0,  1234,  1867,  1167,  1169,
    1067,  1160,     0,     1,   107,  1056,  1186,  1186,     0,  1186,
       0,  1152,  1160,  1155,  1159,     0,  1681,  1993,  1994,  1995,
    1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,  2005,
    2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,     0,
       0,  1660,  1682,  1686,     0,   647,   110,  1655,   754,     0,
       0,     0,     0,  1687,     0,  1677,  1688,  1689,  1690,     0,
       0,  1555,  1722,  1774,  1565,  1563,  1564,  1557,  1558,  1559,
    1560,  1561,  1562,     0,   859,  1556,     0,   110,     0,     0,
       0,     0,     0,     0,     0,     0,  1818,   110,     0,     0,
       0,     0,   983,   986,   964,  1044,     0,  1650,     0,     0,
     672,     0,   681,   673,   678,     0,   675,     0,     0,   683,
       0,   674,   676,   677,   682,     0,     0,   679,   680,     0,
       0,   975,   395,     0,     0,     0,     0,     0,   110,  1031,
       0,   344,   343,   110,   342,   341,  1722,  1774,     0,   790,
     110,     0,   162,   513,   488,     0,     0,   577,  1818,   110,
       0,     0,     0,     0,   768,     0,     0,   472,   485,  1101,
    1099,     0,  1113,   865,   212,   211,   863,  1788,     0,   282,
       0,     0,  1788,  1022,     0,  1788,     0,  1788,   155,  1652,
    1722,  1774,  1788,     0,     0,  1788,   147,  1788,     0,  1788,
     282,  1788,   489,     0,  1788,     0,  1788,  1818,   149,     0,
    1788,   282,   645,     0,  1094,     0,  1070,  1983,  1083,     0,
    1079,  1086,  1082,     0,   707,   706,     0,   707,     0,   707,
       0,   707,     0,   707,     0,     0,     0,   707,  1679,  1680,
     689,     0,   713,     0,     0,   720,   719,   718,     0,     0,
       0,   721,     0,  1273,  1116,     0,   957,   974,     0,     0,
       0,   881,   881,   881,   970,   216,   214,     0,     0,     0,
       0,     0,     0,   976,     0,     0,  1663,  1665,  1666,  1566,
    1633,     0,  1948,  1949,  1950,  1624,     0,  1951,  1952,  1953,
    1483,  1470,  1479,  1484,  1471,  1473,  1480,  1954,  1955,  1760,
    1956,  1957,  1673,  1958,  1959,  1961,  1962,  1963,  1964,  1475,
    1477,  1965,  1966,     0,  1674,  1968,  1969,  1844,  1971,  1972,
    1974,  1975,  1481,  1977,  1978,  1979,  1980,  1981,  1982,  1672,
       0,  1482,  1984,  1986,  1987,  1988,  1989,  1990,  1991,  1992,
       0,     0,  1647,     0,  1456,     0,  1303,  1304,  1326,  1327,
    1305,  1332,  1333,  1345,  1306,     0,  1646,  1370,  1455,  1461,
       0,  1454,  1450,  1173,  1642,     0,  1451,  1662,  1664,  1625,
     180,   226,     0,   227,  1648,  1894,   170,   209,   182,   208,
     183,   181,     0,  1720,   171,     0,   178,     0,     0,     0,
       0,   223,   221,     0,   965,     0,  1271,  1270,     0,     0,
    1631,  1651,   654,     0,  1276,     0,  1054,  1055,  1053,     0,
    1050,  1052,  1064,  1061,  1638,  1637,  1639,     0,  1168,     0,
       0,     0,  1150,  1149,     3,  1067,  1184,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,  1200,  1201,  1203,
    1224,  1228,     0,  1156,  1235,     0,     0,  1661,     0,     0,
       0,   648,     0,     0,     0,   109,  1020,   219,  1018,     0,
       0,     0,     0,     0,  1025,     0,     0,     0,     0,   823,
       0,     0,     0,     0,     0,     0,   824,   822,   825,   832,
     845,   848,     0,   744,   153,   154,     0,     0,     0,   908,
       0,     0,   908,     0,     0,     0,     0,     0,     0,     0,
     236,   239,   465,     0,     0,   467,     0,     0,     0,     0,
       0,     0,     0,   114,     0,     0,     0,     0,   452,   464,
       0,     0,     0,     0,     0,   461,     0,   110,   237,   446,
     449,     0,     0,     0,   522,   521,   908,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   114,   146,     0,     0,   238,     0,
       0,   981,   982,     0,   985,     0,  1040,     0,     0,     0,
       0,     0,     0,  1722,  1774,     0,     0,     0,     0,     0,
       0,   321,   301,   302,   110,   300,     0,     0,   574,     0,
    1684,  1314,  1343,  1321,  1343,  1343,  1310,  1310,  1323,  1311,
    1312,  1350,     0,  1343,  1310,  1315,     0,  1313,  1353,  1353,
    1338,     0,  1295,  1296,  1297,  1298,  1324,  1325,  1299,  1330,
    1331,  1300,  1367,  1310,  1685,     0,   997,  1030,     0,     0,
     112,   613,     0,     0,   575,     0,   112,     0,   158,     0,
     517,     0,     0,     0,     0,     0,     0,   533,   532,     0,
       0,   576,     0,   112,   448,     0,   438,   395,     0,   767,
     770,     0,     0,     0,  1142,  1144,  1143,     0,  1141,     0,
    1283,     0,   282,   280,   281,   572,   873,     0,     0,     0,
       0,   282,     0,     0,  1788,     0,  1788,     0,     0,   282,
     282,     0,     0,     0,     0,   518,     0,   644,   642,   641,
     643,     0,     0,     0,     0,     0,  1788,   282,     0,     0,
     632,  1576,     0,     0,     0,     0,   198,   199,   197,  1084,
     200,  1085,  1081,  1069,     0,   697,     0,   701,     0,   692,
       0,   698,     0,   693,   690,   691,     0,   696,     0,     0,
     396,   398,     0,     0,  1745,     0,  1779,  1806,  1807,  1885,
    1890,     0,  1913,     0,   722,   749,   717,     0,     0,  1110,
    1103,     0,     0,  1126,   958,  1582,     0,     0,     0,   880,
     877,   876,   875,   215,   188,     0,     0,     0,   751,  1884,
     973,     0,  1452,     0,  1459,  1460,  1342,  1329,  1623,     0,
       0,  1337,  1336,     0,     0,     0,     0,  1319,  1318,  1317,
    1458,  1590,     0,  1316,     0,     0,     0,     0,  1343,  1343,
    1341,  1389,     0,  1320,     0,     0,  1603,     0,  1609,     0,
       0,     0,  1349,     0,  1347,     0,     0,  1425,     0,     0,
       0,     0,     0,     0,     0,  1373,  1374,  1456,  1576,     0,
    1457,  1669,     0,     0,  1335,     0,  1367,  1645,  1566,     0,
       0,     0,     0,  1636,  1574,     0,     0,  1403,  1572,     0,
    1405,     0,     0,     0,  1565,  1563,  1564,  1557,  1558,  1559,
    1560,  1561,  1562,  1570,  1386,     0,     0,  1385,     0,     0,
    1237,     0,  1667,  1626,   228,   229,   225,     0,     0,   185,
     184,     0,   202,   206,   207,   177,   205,     0,   201,  1522,
    1521,   186,   176,   174,   172,   189,   191,   192,   175,   173,
     222,     0,     0,  1691,  2015,  2016,  2017,  2018,  2019,  2020,
    2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,
    2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,
    2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,
    2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,
    2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,  2079,  2080,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    1628,  1627,  1657,  1692,  1693,  1694,  1695,  1632,     0,     0,
     282,  1277,     0,  1237,  1128,  1130,  1131,     0,  1633,  1048,
       0,  1045,  1641,     0,  1170,     0,     0,  1057,  1166,  1165,
    1193,  1194,   783,  1164,  1218,  1219,  1214,     0,  1233,  1233,
    1210,  1204,  1209,  1207,     0,  1211,  1370,  1226,  1154,  1198,
    1199,  1202,  1153,     0,  1229,  1227,  1203,     0,     0,     0,
       0,     0,     0,     0,   649,     0,     0,     0,  1913,   218,
    1016,     0,     0,     0,     0,   753,   752,     0,     0,   772,
       0,     0,     0,  1028,   388,     0,   279,     0,     0,     0,
       0,     0,     0,     0,   830,     0,     0,     0,     0,   831,
     828,   829,  1885,   847,   846,   844,   805,   807,   806,     0,
     809,   793,     0,   794,     0,     0,   804,   812,   810,     0,
       0,     0,  1768,   241,   253,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   272,     0,     0,
       0,     0,   277,     0,     0,     0,   276,     0,   466,     0,
       0,     0,     0,     0,     0,   860,     0,     0,   141,   144,
       0,     0,   451,   463,     0,   455,   456,   453,   457,   458,
       0,     0,     0,     0,     0,     0,   450,     0,     0,   515,
     514,   520,     0,     0,     0,     0,     0,   901,   900,     0,
       0,     0,     0,     0,     0,     0,     0,   524,   525,     0,
     526,     0,   145,     0,     0,     0,     0,     0,     0,   196,
     980,   984,  1043,  1658,  1042,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   306,  1684,     0,   597,   573,     0,
    1295,     0,  1291,  1287,  1356,  1357,  1358,  1355,  1368,  1354,
       0,  1301,  1359,  1310,  1307,     0,   995,   362,   481,   151,
       0,     0,     0,   585,   588,     0,   108,   162,   345,     0,
     161,   163,   165,   166,   167,   164,   168,   512,   516,     0,
     487,     0,     0,     0,     0,     0,   537,   536,   540,   538,
       0,   534,     0,     0,     0,   140,   445,   447,     0,     0,
     347,   426,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,  1140,     0,  1247,  1112,  1238,  1249,  1240,
    1242,  1278,     0,  1650,     0,  1110,     0,   851,     0,  1023,
    1788,   282,     0,   849,   156,  1653,     0,     0,     0,     0,
       0,   853,   629,   148,     0,   282,   282,   490,     0,   282,
     150,     0,     0,     0,   482,   282,   646,  1096,     0,   438,
    1071,  1080,   694,   703,   702,   700,   699,   695,     0,   714,
       0,   394,     0,     0,     0,   728,     0,     0,   727,   742,
     729,     0,   731,   724,   723,   732,     0,     0,   751,  1105,
       0,  1106,  1633,     0,  1102,     0,  1123,     0,  1121,     0,
    1274,  1125,  1114,  1088,     0,  1087,  1091,  1093,  1092,  1090,
       0,     0,     0,   711,     0,     0,   282,   972,     0,  1634,
    1586,     0,  1587,     0,     0,     0,  1622,  1618,     0,     0,
       0,     0,     0,  1591,  1594,  1595,  1596,  1593,  1597,  1592,
       0,     0,  1598,     0,     0,     0,     0,     0,  1340,  1339,
       0,     0,     0,     0,     0,     0,     0,  1428,  1461,     0,
       0,  1550,     0,  1576,  1608,     0,     0,  1351,     0,     0,
       0,     0,     0,     0,     0,  1576,  1614,     0,     0,     0,
    1520,     0,  1517,     0,     0,     0,     0,  1633,     0,     0,
       0,     0,  1670,  1371,  1387,  1644,     0,  1635,     0,     0,
    1394,     0,  1615,  1421,     0,  1426,  1409,     0,  1402,     0,
    1407,  1411,  1390,  1636,  1575,     0,  1573,     0,     0,  1388,
       0,  1383,  1381,  1382,  1375,  1376,  1377,  1378,  1379,  1380,
    1384,  1554,  1552,  1553,     0,     0,     0,  1406,  1781,  1814,
       0,  1183,  1183,  1172,  1181,  1643,     0,  1280,     0,     0,
       0,     0,  1533,     0,  1580,     0,  1578,  1660,  1649,     0,
       0,  1367,     0,  1272,  1629,     0,   652,   653,   651,  1135,
       0,     0,  1283,     0,  1134,  1067,  1051,  1047,  1046,  1640,
    1066,  1171,     0,   781,   782,     0,   786,     0,     0,  1212,
    1225,     0,  1126,  1126,     0,  1216,  1217,  1208,  1158,  1157,
     595,   594,     0,     0,     0,   919,   883,   650,   920,   884,
    1017,     0,  1019,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   282,  1026,   921,   278,
    1027,   912,     0,     0,     0,   495,   496,     0,   826,   827,
     922,   885,     0,   913,   808,  1310,   792,     0,     0,   803,
       0,   802,  1310,  1310,   886,   152,   242,   362,   910,   258,
     271,   266,   267,   265,  1788,   282,  1788,   282,     0,     0,
       0,     0,   268,   263,   264,   260,   273,   274,   894,     0,
     288,   291,   275,   256,   259,   257,   240,     0,     0,  1656,
       0,     0,   855,     0,     0,   143,   897,     0,   123,   125,
     127,     0,   121,   129,   124,   126,   128,   122,   130,   120,
       0,   119,     0,     0,     0,   113,   928,   890,   454,   459,
     892,   462,   915,   460,  1700,  1761,  1895,     0,   502,   504,
       0,   509,   934,   891,     0,   914,   930,   899,     0,     0,
       0,     0,     0,     0,     0,  1032,     0,     0,     0,   929,
     906,   917,     0,   898,   893,   916,     0,     0,   194,   193,
     195,     0,     0,     0,     0,     0,     0,     0,     0,   685,
     661,   684,     0,     0,     0,     0,     0,     0,     0,   655,
     320,   298,   299,     0,     0,   297,   303,     0,   596,     0,
       0,  1292,  1288,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1308,     0,     0,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,   996,  1024,   480,   498,     0,     0,     0,     0,
     134,   111,     0,   618,   584,     0,     0,   395,   157,     0,
       0,     0,   486,   583,   581,   580,   582,     0,     0,     0,
     601,     0,  1284,     0,     0,     0,   444,   349,     0,     0,
     346,   350,   354,   355,   356,     0,   439,   441,     0,     0,
     430,     0,     0,     0,   797,     0,   815,   798,     0,     0,
       0,   835,   840,   836,   818,     0,   470,  1145,  1146,     0,
    1160,     0,  1249,     0,  1248,  1260,     0,     0,  1266,  1264,
       0,  1266,     0,  1266,     0,  1241,     0,  1243,  1260,     0,
    1651,  1741,  1281,  1111,   282,     0,     0,   492,   282,     0,
     282,     0,   282,   282,     0,   955,   519,     0,   569,     0,
       0,   282,   631,  1577,     0,   715,   397,     0,     0,     0,
       0,   726,     0,   468,   730,     0,   741,   736,   738,     0,
     745,     0,     0,  1108,  1109,  1124,  1117,  1119,  1118,     0,
       0,  1115,  1583,   630,     0,     0,   282,     0,   746,  1188,
    1584,  1585,     0,     0,     0,     0,  1619,     0,     0,  1496,
    1472,  1474,  1309,  1486,     0,  1322,  1497,  1498,  1476,  1478,
       0,  1567,     0,     0,  1487,  1430,  1431,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,  1442,  1488,  1549,     0,     0,  1606,  1607,  1489,  1352,
    1353,  1353,     0,     0,  1613,     0,     0,     0,  1494,  1499,
       0,     0,  1504,     0,  1525,     0,     0,     0,  1453,  1577,
    1344,  1345,     0,     0,     0,     0,     0,     0,     0,     0,
    1427,  1410,  1404,     0,  1408,  1412,     0,     0,     0,     0,
    1396,  1422,  1392,     0,     0,  1398,     0,  1423,  1183,  1183,
    1183,  1183,  1180,     0,     0,  1236,     0,  1221,  1192,  1192,
       0,  1533,     0,  1462,     0,  1533,     0,     0,   179,     0,
     203,   190,     0,     0,     0,  1129,  1110,  1132,  1049,  1195,
       0,  1568,   786,   784,   785,  1197,     0,     0,  1232,  1231,
    1230,  1205,   918,   882,   911,  1015,   756,   757,     0,   755,
       0,     0,     0,   387,   771,     0,     0,     0,     0,  1029,
     479,     0,   478,   474,   494,   820,     0,  1310,   795,   800,
     801,     0,   359,     0,     0,     0,   243,     0,     0,   255,
       0,   251,   269,   261,   270,   262,   285,     0,     0,     0,
     924,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     925,     0,     0,   116,   115,     0,   133,     0,   506,   507,
     505,   501,     0,   508,   510,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   923,   887,   656,
       0,     0,   657,   665,     0,     0,   658,     0,     0,     0,
       0,     0,     0,   667,   323,     0,   326,   333,   307,   311,
    1031,  1031,     0,   312,  1031,   308,  1031,   305,  1844,  1557,
    1558,   592,   599,   589,   591,   593,   590,     0,   598,   564,
       0,     0,     0,  1293,     0,  1361,  1362,  1363,  1364,  1365,
    1366,     0,  1360,  1367,     0,  1015,  1014,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   373,     0,     0,
     367,     0,     0,   840,   361,   364,   365,     0,   491,   136,
       0,     0,   137,   135,     0,   586,   587,     0,   345,     0,
       0,   539,   542,   535,     0,   600,   602,   578,     0,  1286,
     498,  1097,     0,   435,     0,   426,   380,   422,     0,   437,
       0,   424,   423,   425,     0,   432,   993,     0,   772,   796,
       0,     0,     0,   833,   837,   834,     0,     0,   811,     0,
     819,   789,   950,   951,   948,   949,     0,     0,  1137,  1251,
    1258,     0,  1239,     0,  1265,  1261,     0,  1262,     0,     0,
    1263,     0,     0,  1258,     0,     0,     0,   852,     0,   282,
     850,     0,   625,     0,   627,   854,   282,   282,   527,     0,
     483,   441,     0,     0,     0,   725,   743,     0,   739,     0,
       0,   708,   748,  1104,  1107,  1122,  1120,   751,     0,   709,
     750,  1588,  1328,     0,  1621,  1617,     0,  1589,     0,  1601,
    1600,  1429,  1602,     0,  1448,     0,     0,  1440,  1438,  1439,
    1432,  1433,  1434,  1435,  1436,  1437,  1441,  1611,  1610,  1604,
    1605,  1348,  1346,     0,  1491,  1492,  1493,  1612,  1500,     0,
    1519,  1518,     0,     0,     0,  1506,     0,     0,  1515,     0,
    1551,  1334,  1367,  1372,     0,     0,  1395,  1616,  1413,     0,
       0,     0,  1391,     0,     0,     0,     0,  1400,  1567,     0,
       0,     0,     0,     0,     0,  1175,  1174,  1279,     0,  1223,
       0,     0,  1191,     0,  1533,  1469,  1536,  1531,  1532,  1581,
    1463,  1668,     0,  1579,  1533,     0,  1630,     0,  1136,  1127,
       0,  1196,  1213,  1206,     0,   762,   763,   761,     0,     0,
       0,   564,     0,     0,   403,     0,   780,   780,     0,     0,
     840,   933,   475,   821,     0,   813,     0,   248,   909,     0,
       0,     0,   247,     0,   282,   282,   289,   290,   293,     0,
       0,     0,     0,     0,   619,   605,     0,     0,   620,   621,
       0,     0,   857,   858,   856,   131,   117,   118,   132,   503,
     895,     0,     0,     0,     0,     0,   932,   905,   931,   903,
     902,   904,   896,   529,     0,   659,     0,     0,   660,   671,
     669,   668,   670,   662,   324,   110,     0,   304,     0,   331,
       0,   329,   328,   330,     0,     0,     0,     0,     0,     0,
     566,     0,     0,   571,   560,   562,     0,     0,     0,  1289,
    1294,  1369,  1302,   559,     0,  1006,  1005,  1004,  1008,  1007,
    1010,  1009,  1001,  1000,  1013,  1012,   999,   998,  1003,  1002,
       0,     0,   371,   375,   376,   374,   366,   840,   395,   434,
       0,   139,   138,     0,     0,     0,     0,   544,   548,   579,
       0,  1285,   523,  1095,   442,     0,     0,   352,   357,   358,
       0,   430,   377,     0,   426,   351,   440,     0,     0,   436,
       0,   988,     0,     0,   799,   816,   817,     0,     0,   840,
     839,     0,   477,  1250,     0,     0,  1252,     0,     0,  1254,
    1256,     0,     0,     0,     0,     0,  1654,  1533,  1282,   282,
     493,   282,   282,   956,   570,     0,   735,   734,   733,   469,
       0,   737,   282,     0,  1620,  1485,  1495,  1599,     0,     0,
    1449,     0,     0,  1490,  1985,     0,     0,  1523,  1524,  1505,
       0,  1829,  1510,     0,     0,     0,  1671,  1419,  1417,  1414,
       0,  1415,     0,     0,  1397,  1393,     0,  1399,  1424,  1179,
    1178,  1177,  1176,     0,     0,  1527,  1533,  1533,  1464,  1538,
    1535,     0,  1466,  1367,  1133,     0,  1021,     0,     0,     0,
     389,     0,   840,     0,     0,     0,   778,   783,   783,     0,
     840,   434,   814,   244,   245,   246,   249,   284,   254,   250,
       0,   926,   888,     0,     0,   611,     0,     0,     0,     0,
     927,   889,     0,     0,     0,  1037,     0,     0,   663,   664,
     306,     0,   327,   336,     0,   334,   309,   314,     0,   316,
     315,   310,   313,   568,   567,   565,   561,   563,  1290,     0,
     871,   871,     0,   564,  1011,     0,     0,   363,   434,   402,
       0,   368,     0,   499,     0,   993,   347,   498,   543,     0,
       0,     0,   603,   443,   348,     0,     0,   432,     0,     0,
       0,   430,     0,   427,     0,   431,     0,     0,     0,     0,
       0,   838,     0,   842,     0,   810,   787,  1280,     0,   481,
       0,  1259,  1268,     0,  1255,  1253,  1244,     0,  1246,   872,
     626,   628,   528,   740,   747,   282,  1444,     0,     0,     0,
       0,  1501,     0,  1502,  1507,  1511,     0,  1508,  1509,  1416,
    1420,  1418,  1401,  1220,  1222,     0,  1161,  1467,  1468,     0,
    1192,  1533,   204,  1569,   741,     0,   282,   780,   434,   404,
    1844,   405,   779,   786,   786,     0,   434,   564,     0,   252,
     292,     0,     0,   617,   606,     0,     0,   622,     0,     0,
       0,     0,     0,   666,   296,   322,   332,     0,   317,   871,
       0,   868,   867,   558,     0,   370,   369,     0,   413,     0,
     497,     0,   615,   989,   511,   545,   546,   541,     0,     0,
     353,   362,   338,   386,   385,   382,   381,   383,   384,   379,
     378,     0,   432,   428,   429,     0,   990,     0,  1039,     0,
     773,   841,     0,     0,     0,   476,   471,  1257,     0,  1245,
     710,  1445,     0,  1446,     0,     0,  1513,  1512,  1526,  1528,
       0,     0,  1541,  1465,   758,     0,   759,   783,   408,     0,
     776,   775,   395,   564,   390,   283,     0,   609,   616,   607,
     617,     0,     0,  1033,     0,  1034,  1035,  1038,   335,   866,
     870,   869,     0,   399,   400,   401,     0,   372,   409,   410,
       0,   500,     0,     0,     0,     0,   360,   421,   337,   991,
     992,   287,     0,   840,   843,   954,  1267,  1447,  1516,  1503,
    1514,     0,     0,  1537,     0,     0,     0,     0,   786,     0,
     564,     0,   402,   391,     0,   608,   624,   623,     0,     0,
       0,     0,     0,   411,     0,   412,   433,   614,     0,   547,
       0,     0,   432,   774,   788,   953,   952,     0,  1529,  1530,
    1947,  1741,  1923,     0,  1539,  1542,  1540,  1534,   282,   777,
       0,   392,   406,   413,     0,  1036,   548,   418,     0,   417,
       0,   415,   414,   604,   551,   286,  1280,   936,   947,   935,
     937,   945,   942,   944,   943,   941,     0,  1546,  1545,  1544,
    1548,  1547,   760,     0,   564,   610,     0,   416,   420,   419,
     553,   555,   556,     0,   549,   552,   554,   557,   764,     0,
     946,   940,  1160,  1147,     0,   407,   393,     0,   530,     0,
     938,   947,  1543,     0,   550,   939,     0,   551,     0,   531
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    50,    51,    52,    53,  1126,  1919,  1818,  2480,  2481,
      54,    55,  1184,    56,    57,    58,    59,    60,    61,    62,
    1157,    63,    64,   821,  1308,  1930,    65,  1729,   656,  1574,
    1575,  1870,  1576,  1565,  1048,  1390,  1127,  1149,    67,    68,
    1042,  1556,    69,    70,    71,  1170,  1171,  1134,  1345,  3579,
    1806,  3752,  2339,  2340,    72,    73,  2443,  1254,  2445,  2446,
    2877,   500,  1893,  3225,  3226,  2865,  2866,  3232,  3454,  3455,
      74,  1305,  2509,  2955,  2510,  3296,  2511,  3297,  2512,  3298,
    2473,  2924,  2925,  2926,  2513,  3302,  3629,  2514,  1744,   915,
    1409,  1410,  3608,  3153,  3154,  3730,  3697,  3698,  3699,  3781,
    3304,  2520,  2965,  3309,  3481,   575,  1325,  1961,  2515,  2516,
    2953,    76,    77,  1956,  1199,  1200,  1824,  2881,  2594,    78,
     838,  2782,  3519,  2474,  2475,    79,   188,    80,  1312,    81,
      82,    83,    84,  2928,  3482,  1204,  2387,  2388,  2389,  2390,
    2833,    85,  1310,  1205,  1939,    86,    87,    88,  1859,    89,
      90,    91,  1319,  1950,  1951,  3288,  3489,  3617,  3491,  3813,
    3814,  3473,  3243,  3244,  3245,    92,    93,    94,    95,  1304,
    1922,  1923,  2882,  1116,  1258,  1896,  1897,  2944,  2945,    96,
    3184,  3185,   527,  3703,  3679,    97,    98,  3188,  3189,    99,
     100,   101,   102,   103,   569,   881,   882,  2313,   104,  1670,
     105,   800,  2430,   106,   598,   895,   896,   107,   108,   607,
    2073,   609,  1423,  2596,  2597,  3031,  2038,   731,   109,   110,
    2048,  2076,   111,  1129,  1735,  1736,  3148,   112,   528,  1330,
    1964,  2282,  3639,  3155,  3417,  2246,  2755,   113,   529,  1153,
    1772,  1967,  2525,  2526,  1774,  2213,  2977,  1776,  2527,  2532,
    2533,  2534,  2973,  2981,  3513,  3514,   114,  1151,  1765,   115,
     116,   117,  1179,   753,   118,   541,   542,   119,  3601,   120,
     851,   121,   626,  1440,   122,  1787,  2797,   123,   124,   125,
    3789,  3819,  3820,  3821,  2986,  3757,   126,  3791,   926,   128,
     129,   130,   164,   772,   773,   774,   131,  3311,   132,   133,
    1916,  2472,  2907,   134,   135,  1730,  2272,   136,   137,   138,
    1298,   139,   140,   141,   142,  1236,   143,  1079,  1080,   144,
     145,   495,   674,  1083,  1091,   146,   577,   889,   890,   891,
    1392,   147,   929,  2065,   578,   884,   149,   579,  1429,  2050,
    2051,  2054,   580,  1340,   152,  1433,  2059,  2062,   581,  1673,
    1674,  1675,  1676,  1677,  2230,   582,   600,   841,  1972,   583,
    1014,   157,   158,   159,   160,   678,   679,  1550,  2203,   616,
    1098,   644,   690,  3122,  1690,  1691,  1711,  1712,  1107,  1108,
    1701,  1703,  2248,  1704,  2257,  1696,  3119,  3395,  1707,  1708,
    1110,  1111,  2252,   161,  2207,  1976,  1977,  1978,  2544,  2554,
    2995,  3329,  1979,   924,   671,  1980,  2727,  1985,  2501,  2502,
    1777,  1903,  1282,  1015,  1283,  1914,  1016,  1473,  1285,  1017,
    1018,  1019,  1288,  1020,  1021,  1022,  1023,  1457,  1514,  1024,
    1025,  1492,  1911,  1912,  1381,  2116,  1027,  1028,  3088,  3374,
    3365,  2141,  2142,  1571,  3084,  3556,  3658,  3659,  3130,  3127,
    3399,  3560,  3726,  3764,  3765,  1029,  2194,  1543,   755,  1030,
    2884,  1545,  2136,  2215,  2216,  1718,  1455,  2083,  2100,  2101,
    2113,  2643,  2120,  2125,  2666,  2667,  2137,  2163,  1031,  2086,
    2087,  2627,  1459,  1032,  1070,  1071,  1452,  2159,  1086,  1087,
     676,  1033,  1034,  1424,   665,  3325,   859,   726,  2348,  1661,
     776,   613,  1035,  1036,  1037,  1038,  2598,  1175,   491,   721,
     735,  2391,   492,   493,   723,  1666
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3274
static const int yypact[] =
{
   12206,   816,  4439, -3274, -3274,   816, -3274, 45747,   -43,   102,
     969,   131,  7747, 46153, 52243,   660,   169,   223,  7666,   816,
   52243,  1889, 34379, 43311,   585, 52243,   828,   519, 34379, 52243,
   52649,   690,   624, 53055, 46559, 41687,  1103, 52243,   276, 53461,
   46965,   646, 47371,   519, 31557, 47371,    91,   614, 53867,  1160,
    1140,   734, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274,   -43, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274,   171, -3274,   887,   201,
    1244,   824, -3274, -3274, -3274, 38439, 52243, 52243,   960, 52243,
    1169, 38439, 38845, 52243,  1029, 28648, -3274, 38845, 52243, 52243,
   52243, 47371, 52243,   976, 52243, 52243, 39251, 52243,  1132,    93,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, 52243,  5721,   828, -3274, -3274,
   52243,  1041, 38439, 52243,  1011,  1094, 52243, -3274, 52243,  1390,
    1394, 38845,  1491, 29067,  1175, 38845, 52243, 52243, 52243, -3274,
   -3274,  1186, 52243, 52243, -3274, 39657,  1021,  1430,  1349,   112,
   -3274, 47777, -3274, -3274, 47371, -3274, -3274, -3274, -3274, -3274,
   37221,   223, -3274, -3274, 40063, 52243,  1402, -3274, 54273, -3274,
    1474, 40469, 54679, -3274, 29486,  1534, 55085, 55491, -3274, -3274,
   55897, -3274, 56303,  1265, 56709, -3274, 57115, -3274,  1388, 57521,
   -3274,  1177,   718,  1278, 25345, -3274,   -43, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274,   295,   750,   226,   141,   279,
   -3274, -3274,   149,   157,   159,   295,  1582,  1582, -3274, 52243,
   -3274, -3274,   750,   -14,  1225,  1225,  1225,  1406,   -20, -3274,
    1225, 52243, -3274, -3274, -3274, -3274, 47371, -3274,  1269,   828,
    1284,  1613, 52243, -3274, 52243, -3274, 52243, 52243, -3274, -3274,
    1677,  1311,  1558,  1300, -3274,  1481,  1518,  1517,    67,   828,
    1424, -3274, -3274,  1554, 17363,   828, 48183, 57927,   262, 37221,
     828, 48589,  1379,    93,  1555, -3274,    38, -3274,  1782,  1419,
    1695,  1300,    93, 26581, -3274,  1431,   929, 47371, -3274, -3274,
   58333,  1572, -3274,   183,  1760, 17786, -3274, 52243,  1448, -3274,
    1493,  1505,  1516, -3274, 12206, 52243,   339,   339,  1852,   339,
    1068,  1333, -3274,  1580, -3274,   614,   173, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,  1521,
     929, -3274,   184, -3274,  1170,  1486,  1093, -3274, -3274,   228,
    1566,  3008,  1525, -3274,   204, -3274, -3274, -3274, -3274,  2142,
     288, -3274, 52243, 52243, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274,  1546, -3274, -3274,  1574,   685,  1231,  4431,
     953,  3071,  1109,   160,  1730,  1371,  1881,  1286,  3319, 52243,
    1828,   513, -3274,   486, -3274,  1669,  1801,   475, 38439,  1631,
   -3274, 52243, -3274, -3274, -3274, 38439, -3274,  1814, 29905, -3274,
   52243, -3274, -3274, -3274, -3274,  1766, 52243, -3274, -3274,  1875,
   52243, -3274,  1225,   410,  1664,  2034, 63973, 52243,  1712,  2081,
    1724, -3274, -3274,  1712, -3274, -3274, 52243, 52243,  1699,   615,
    1712,  2103,  2112,  1789,  1891,   187,  1316,   139,  2025,  1712,
   52243, 52243, 52243, 52243,  2109, 38439, 52243, -3274,  1894, -3274,
   -3274,  1102,  1806, -3274, -3274, -3274, -3274,  2052,  1521,   260,
    2056,  1772,  2060, -3274,  1805,  2072,  1525,  2074,  1781, -3274,
   58739, 59145,  2077,  1546, 52243,  2080,  1781,  2082,  1965,  2083,
     260,  2085, -3274,   647,  2086,  1971,  2088,   987,  1781, 37627,
    2089,   123, -3274, 19478, -3274,  1880, -3274,   614, -3274,   775,
   -3274, 33973, -3274,  1278,   750, -3274, 52243,   750, 52243,   750,
   52243,   750, 52243,   750, 52243, 52243, 52243,   750, -3274, -3274,
   -3274, 52243,  1803, 52243, 52243, -3274, -3274, -3274, 43717, 52243,
   44123, -3274,   834, -3274,   110,   828, -3274, -3274, 63973,  2198,
   52243,  2084,  2084,  2084, -3274, -3274, -3274,  2027, 52243,  2087,
    2090, 43717, 52243, -3274, 59551,  1815, -3274, -3274, -3274, -3274,
   -3274,  1464,  2234,   213,  2236, 19478,  1817,   146,   146,  1818,
   -3274, -3274, -3274,   189,  1823,  1824, -3274,   170,   170,  1977,
    1826,  1829, -3274,   190,  1832,  2248,  2253,   207,  1835,  1836,
    1839,  1666,   146, 19478, -3274,  1840,   170,  1842,  1843,  1846,
    2270,  1851, -3274,  2273,  1854,   147,   309,  1855,  1857, -3274,
    1826, -3274,   151,  1859,  1860,  1861,  1863,  1864,  1867,  1868,
   19478, 19478, -3274, 16517,   929,   828, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274,   238, -3274,   210,  3459, -3274, -3274,  2033,
   19478, -3274, -3274,   280, -3274,   220, -3274, -3274, -3274,   929,
   -3274, -3274,   911,  1866, -3274,  1345, -3274, -3274, -3274, -3274,
   -3274, -3274, 36003,  2265, -3274,   236,   486,   947,  2210, 33161,
   33567, -3274, -3274,  2094, -3274, 52243, -3274, -3274, 19478, 31151,
   -3274,   929,    84, 52243, -3274, 26993, -3274, -3274, -3274,  1023,
   -3274, -3274, -3274,   -43, -3274,  9465, -3274,  1166,  1448, 52243,
   52243,  2268, -3274, -3274, -3274,  1493, -3274, -3274,  1244,  1244,
   19478,  1244,   637,   810, 18209, 19478,  2155,  2053,   735,  1314,
    2156, -3274,  1068,  1333, -3274, 32369,  1373,   929,  1948,  1950,
   34785,  1879,  1952,  1953, 59957, -3274, -3274, -3274, -3274,   958,
     689,   788,  1954,   153, -3274, 52243,  2059,   288,  1997, -3274,
    1957,  1958,  2073,   288,   185, 60363, -3274, -3274, -3274, -3274,
   -3274,  2065, 15304, -3274, -3274, -3274,  1964,  1959, 40875,  2256,
    2091,   792,  1471,   162, 52243,  2161,  1982,  1983,  1915,  1118,
    1914, -3274, -3274,  1320,  2093, -3274,  1972,  1974, 62777,  2095,
   30324,  2252,  1991, -3274,    45,  1996,  1999,   288, -3274,  2305,
     288,   288,  1197,  2308,  2003,   311,  1122,  1712,  1914,   983,
   -3274,  1935,  2010,   232, -3274,  2113,   148,  1256,  1914,  2012,
    2018,  1915,  1915, 52243, 52243, 52243, 52243, 52243,  2020,  2021,
    2067, 36409,  2029, 57927, -3274, -3274,  2030,  1262,  1914,  1253,
      34, -3274, -3274,    93, -3274, 52243, -3274, 52243,  1521, 63973,
    2127,  1525,   288, 52243, 52243,  1546,   936,   732,  2129, 52243,
    2191,  1998, -3274, -3274,  1712, -3274, 32765,  1699, -3274,  1966,
   -3274, -3274,  2006, -3274,  2006,  2006,  1967,  1967,  1968, -3274,
   -3274, -3274,  1666,  2006,  1967, -3274, 64763, -3274,  1110,  1248,
   -3274,  2363,  2366, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274,   774,  1530, -3274,  2379, -3274, -3274, 63973, 52243,
   -3274,  2296,  2026, 34785, -3274,  2016, -3274, 38845,   258,   828,
    2019, 52243,  2193, 52243, 52243, 52243, 52243, -3274, -3274,   382,
      65, -3274, 36409, -3274,   983,  2377,    13,  1225,  2264, -3274,
   52243,  1986,  2382,  2218, -3274,  1296, -3274,  2106, -3274, 24109,
    2031, 38439,   260, -3274, -3274, -3274, -3274, 63973, 52243, 60769,
   38439,   260, 52243, 52243,  2286,  2048,  2289,  2055, 30324,   260,
     194, 52243, 52243, 52243, 52243, -3274, 52243, -3274, -3274, -3274,
   -3274, 52243, 52243, 52243, 36409,  2292,  2293,   260, 52243, 52243,
   -3274,  9465,  1185, 52243,  1278, 36815, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, 52243, -3274, 52243, -3274, 52243, -3274,
   52243, -3274, 52243, -3274, -3274, -3274, 52243, -3274, 52243,  1246,
   -3274, -3274,  1250,    90, 52243,   124, 38439, 52243,  2187, 52243,
   52243, 52243, 52243,  2092,  1866,   -55, -3274,  2057, 26169,  2140,
   -3274,   222, 47371,  2200, -3274, -3274,  1276,  1181,   599, -3274,
   -3274, -3274, -3274, -3274, -3274, 44123, 43311,  2294,    78, 52243,
   -3274, 19478,   929, 16940, -3274, -3274, -3274,  2028,  9465,  2058,
   19478, -3274, -3274, 19478,  1582,  1582, 19478, -3274, -3274, -3274,
   -3274,   772,  1582, -3274, 19478, 19478,  1582,  1582,  2006,  2006,
   -3274,  3932, 19478, -3274, 30324, 19478, 22016, 14476, 19478,  2098,
    2035,  1582, -3274,  1582, -3274, 19478, 16094, -3274, 19478,  2222,
   19478,   947,  2227, 19478,   947,  2444,  2444,  2370,  4262,  2032,
     929, -3274,  2134,  1582, -3274,  1582,   809, -3274,   176, 63973,
   19478, 34785,  2104,   188, 19478,  2037,  1235, -3274, 19478,   673,
   -3274,  2042, 19478,  2105, 19478, 19478, 19478, 19478, 19478, 19478,
   19478, 19478, 19478, -3274, 22862,   241,   -17,  1364, 48995, 17363,
    2309, 14052, -3274,   167, -3274, -3274, -3274, 52243,  2265, -3274,
   -3274,  2101, -3274, -3274, -3274, -3274, -3274,   225, -3274, -3274,
   -3274, -3274, -3274, -3274,  2043, -3274, -3274, -3274, -3274,  2043,
   -3274,  2064,  1911, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,  2319,  2328,
     260, -3274, 52243,    69, -3274, -3274, -3274,  2100, -3274, 52243,
     183, 44529, -3274, 17786, -3274,  1323,  1826, -3274,  2306, -3274,
    2069, -3274,  6814,  2306, -3274, -3274,   281,  2242,  2249,  2249,
   -3274,  2070,  9465, -3274,  1439,  9465,  1487, -3274, -3274, -3274,
   -3274, -3274, -3274,   557, -3274,  2155,  1314,  2071,  1329,  2146,
    2148,  2196, 38845, 52243, -3274, 34785, 38845, 52243, 52243, -3274,
    2434,   479, 43311,  2199, 42093, -3274, -3274,  2099, 52243,  2141,
    2315,  2322,  2102, -3274, -3274, 52243, -3274,  2281, 38845, 19478,
    2287, 52243,  1105,  2291, -3274,   736, 38845, 52243,  2277, -3274,
   -3274, -3274, 49401, -3274, -3274, -3274,  2276, -3274, -3274, 64763,
   -3274, -3274,  1330, -3274, 64368, 61175, -3274, -3274,   423, 38845,
   52243, 52243,   -54, -3274, -3274, 63973, -3274, 52243, 52243, 52243,
   44935, 61570, 61976,   876,  1019, 52243, 45341, -3274, 52243, 38845,
   52243, 34785, -3274, 52243,  2285,   214, -3274,  2023, -3274,  2176,
   52243, 52243,  2107,  1331,  2182, -3274, 52243, 38845,  2750, -3274,
   38845, 52243, -3274, -3274,   288, -3274, -3274, -3274, -3274, -3274,
   52243, 52243,   288, 52243,   288,  1001, -3274, 35191, 38845, -3274,
   -3274, -3274, 52243, 52243, 52243, 38845, 52243, -3274, -3274,   209,
     716,  2245,  2250,  2251, 38845, 52243, 52243, -3274, -3274,  2223,
   -3274, 38845,  2750, 52243, 52243,  2186,  2190,   111,  2263, -3274,
   -3274, -3274, -3274, -3274, -3274,  2367,  2528, 52243,  2372,  2373,
    2192,  2197,  2374,   242, 52243, 52243, 52243, 52243, 52243, 52243,
    2380,   242,  2318,    86,  2150,  2165,  1362, -3274, -3274, 19478,
    2543, 63973,  2157,  2158,  2224,  2229,  2230, -3274,  2153,  2232,
    1582, -3274, -3274,  1542, -3274,   382,   986, -3274,    88,  3880,
    2437, 52243,  1363, -3274,  2177, 52243,  3880, -3274,   789, 43311,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,  2441,
   -3274,   828,  1699,  1699,  1699,  1699, -3274, -3274, -3274,  2357,
    1361, -3274,  2180, 52243,  2288,  3880, -3274,   983,   704, 52243,
   41281,  1473,  2575,   828,  2359, -3274, 15699,  3283,  2361, 37221,
    2446,  2455,  2473, -3274, 23697, 49807,  2195,  1827, -3274, 49807,
   50213, -3274,  2203,   929, 19901,  2140,  1521, -3274,  2589, -3274,
    2486,   260,  1525, -3274,  1781, -3274, 52243, 52243, 52243, 52243,
    1546, -3274, -3274,  1781,  2378,   260,   260, -3274,  2381,   260,
    1781,  2312,  2489, 37221, -3274,   123, -3274, -3274, 19478,  2211,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,  1381, -3274,
   52243, -3274,  2465,  2467,  2470,  1781,  2246, 52243,  2213, -3274,
    1781,   288,  1781,  1866,  1866,  1781, 38033,  2624,  2490, -3274,
    1397, -3274, -3274, 17363, -3274,   118, -3274,   559,    10,  2425,
   -3274, -3274, -3274, -3274, 63973, -3274, -3274, -3274, -3274, -3274,
   52243,    70,  2396,  2219, 38033,  2602,   260, -3274,  1399, -3274,
   -3274,  1062, -3274,  1141, 19478, 19478,   106, -3274,  8050,  1425,
    2225,  2226,  1427, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
    2228,  2500, -3274,  2231,  1432,  1433,  2233,  2237, -3274, -3274,
    3894,  2238,  7990,  2239, 22016, 22016,   751, -3274, -3274, 22016,
    2240, -3274,  1438,  6837,  2241,  2243,  2247, -3274,  2254,  2255,
    8160, 18632, 19478, 18632, 18632,  8873,  2241,  2258,  1450, 34785,
    9492,  1455, -3274, 19478, 34785,  4150, 19478, -3274, 19478, 52243,
    2259,  2260, -3274, -3274,  3932, -3274,  2267, -3274, 22016, 22016,
    3312, 16517, -3274, -3274,  2503, -3274, -3274,  1482, -3274,  2235,
   -3274, -3274,  4291,   196, 19478,  2037, 19478,  2301, 30324,  1357,
   19478,  2178,  2603,  2603,   297,   297,   239,   239,   239,  1408,
    1364, -3274, -3274, -3274,  2257,  1851, 19478, -3274,  1647,  1665,
   52243,  1750,  3092, -3274, -3274, -3274, 24109,  2269, 19478, 19478,
   19478,  2262,  2407,  2655,  9465,   521, -3274,  2658, -3274,    93,
    1582,   809, 33973, -3274, -3274, 19478, -3274, -3274, -3274, -3274,
    1457, 26993,  2031, 17786,   929,  1493, -3274, -3274, -3274, -3274,
   -3274, -3274, 19478, -3274, -3274,   409,  1462, 19478,  1439, -3274,
   -3274, 52243,  2200,  2200, 19478, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, 38845, 52243, 52243, -3274, -3274, -3274, -3274, -3274,
   -3274,  2466, -3274, 52243, 52243,  2428, 52243,  2436,  2440, 19478,
     137, 52243,  2271,  2272,  2274, 52243,   260, -3274, -3274,  9465,
   -3274, -3274,  2314,  2338, 52243,  2113, -3274,  2513, -3274, -3274,
   -3274, -3274,  2453, -3274, -3274,  1530, -3274, 61175, 64368, -3274,
   64368, -3274,  1530,  1293, -3274,  1781, -3274, -3274,   150, -3274,
   -3274, -3274, -3274, -3274,  2569,   260,  2570,   260, 52243, 52243,
   52243, 52243, -3274, -3274, -3274, -3274, -3274, -3274, -3274,  1472,
   -3274,  1106, -3274, -3274, -3274, -3274, -3274, 38845,  1326, -3274,
     780, 63973, -3274, 63172, 38845, -3274, -3274,  2501, -3274, -3274,
   -3274,  2438, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
     416, -3274,  2442, 52243,  2336, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, 34785, 34785, 34785,  1477, -3274, -3274,
     828, -3274, -3274, -3274,  2354, -3274, -3274, -3274,  2496,  2497,
    2502,  2360,  2365,  2368,  2369, -3274,  2376,  2386,  2390, -3274,
   -3274, -3274, 52243, -3274, -3274, -3274, 38845, 52243, -3274, -3274,
   -3274,   242, 63973,  2527,   242,   242, 52243, 52243,   242, -3274,
   -3274, -3274,  2530,  2531,  2534,  2536,  2537,  2538,   242, -3274,
   -3274, -3274, -3274,   410, 34785, -3274,  1792, 28229, -3274,  2729,
    4740,  2310,  2158,  2311,  1582,   198,   120,    76,  2421,  1582,
    2515,  2320, -3274,  1405,  2541,  2337,  2337,  2337,  2337,  2337,
    2337,  2337, -3274,  2097, -3274,  2493, 52243,   155, 52243,  1582,
   -3274, -3274,  2387, -3274, -3274, 34785, 28229,  1225,   258,  2457,
    1155,  2653, -3274, -3274, -3274, -3274, -3274, 52243, 52243,   382,
     828,  1478, -3274, 63973, 52243, 52243,  2362,  2330, 52243,  2327,
    2329, -3274, -3274, -3274, -3274,  1488, -3274, 63973,   492,  2506,
    2508,  1160,  2402, 52243, -3274,  1494,    96, -3274,   828, 37221,
   62382, -3274,  3280, -3274, -3274,   757,  2601, -3274, -3274,  1160,
   14891,  1827,  2335, 52243, -3274,  2339, 24109,  2568,  2504, -3274,
   24109,  2504,  1254,  2504,  2571, -3274, 27405, -3274,  2342, 14052,
    1309,  2523,  9465, -3274,   260, 63973, 52243, -3274,   260,  2399,
     260,  2400,   260,   260, 52243, -3274, -3274, 52243, -3274, 52243,
   36409,   260, -3274,  9465, 52243, -3274, -3274,  2469,  2474,  2476,
   52243,  1781, 38439, -3274,  2371, 38845,   966, -3274, -3274,  2535,
   -3274,  1160, 52243,   929,  2375, -3274, -3274, -3274, -3274,  2657,
    2659, -3274, -3274, -3274, 52243, 43717,   376, 38845, -3274, -3274,
   -3274, -3274,  2383,  1498,  9982, 19478, -3274,  2664, 63973, -3274,
   -3274, -3274, -3274, -3274, 19478, -3274, -3274, -3274, -3274, -3274,
   19478, -3274, 19478,  2648, -3274,  2790,  2790, 63973, 22016,  1133,
    1842, 22016, 22016, 22016, 22016, 22016, 22016, 22016, 22016, 22016,
   23285,   440, -3274, -3274, 19478, 19478,  2660,  2648, -3274, -3274,
     -48,   -48, 63973,  2384,  2241,  2385,  2388, 19478, -3274, -3274,
    1499, 34785, -3274, 19478,  7098,  1504,  2417, 10422,   929,  4764,
   -3274,  2755,   828, 19478,   928,  1213, 19478,  1514, 19478,  2667,
   -3274, -3274, -3274,  2394, -3274, -3274, 63973, 19478, 22016, 22016,
    4689, -3274,  5567, 19478,  2401,  6479, 16517, -3274,   519,   519,
     519,   519, -3274, 52243, 52243,  2195, 19478,  2649,    17,    17,
    2403,  2407, 27817, -3274, 19478,   244, 19055,  2404,   486,  2405,
   -3274, -3274,  6555,  2408, 52243, -3274,  2140, -3274, -3274, -3274,
    2397, -3274,  1462, -3274, -3274, -3274,  4842,  2573,  1866, -3274,
   -3274, -3274, -3274, -3274, -3274,  2337,  1781,  1781,   629,  1781,
    2683,   629,  5109, -3274, -3274, 24521, 52243, 52243,  1515, -3274,
   -3274, 38845, -3274,  1486, -3274, -3274,  2654,  1306, -3274, -3274,
   -3274,  2472,  2097,   669,  1915,   771, -3274,  2475, 52243, -3274,
   52243, -3274, -3274, -3274, -3274, -3274, -3274, 34785, 28229, 34785,
   -3274,  2492,  2505,   117,   144,  2510,  2511,  2418,  2419,  2429,
   -3274,   295,   828, -3274, -3274,   828,  1781,   828, -3274, -3274,
   -3274, -3274, 35191, -3274, -3274, 52243,  2712,   140,  1078, 38845,
   52243, 38845, 52243, 52243, 52243, 52243,  2113, -3274, -3274, -3274,
    2435,   242, -3274, -3274,  2676,  2678, -3274,   242,   242,   242,
     242,   242,   242, -3274,   290,  1536, -3274, 24933, -3274, -3274,
    2081,  2081,    75, -3274,  2081, -3274,  2081, -3274,  2397,  1582,
    1320, -3274, -3274, -3274, -3274, -3274, -3274,  2165, -3274,   843,
    1582,  1543,  2447, -3274,  2449, -3274, -3274, -3274, -3274, -3274,
   -3274,  2448, -3274,   809, 52243,  2337, -3274,  1101,   282,   875,
     898, 50619, 51025, 51431,  2445, 52243, 22016, -3274,  1049,   763,
   -3274,  2680, 52243,  2485, -3274, -3274, -3274,  2456, -3274,  1781,
   52243, 52243,  1781, -3274, 63973, -3274, -3274,  2851,   718, 52243,
    2491,  2459,  2740, -3274,  2463,  2461, -3274, -3274, 52243, -3274,
    2493,  1177,   684, -3274, 42499,  1473, -3274,  2715, 41281, -3274,
   52243, -3274, -3274, -3274,  2823,  2546,  2512,   828,  2141, -3274,
   61175, 19478, 19478, -3274,  2468, -3274,  2477,  3687, -3274,  1699,
   -3274, -3274, -3274, -3274, -3274, -3274,  2539, 52243, -3274, 49807,
    2478, 52243,  1827, 24109, -3274, -3274,  1325, -3274, 24109,  2711,
   -3274, 24109, 52243,  2488, 52243,   545, 52243, -3274,  2494,   260,
   -3274, 52243, -3274, 52243, -3274, -3274,   260,   260, -3274,  2592,
   -3274, -3274, 52243, 52243, 52243,  1781, -3274,   288, -3274,  2760,
   38033, -3274, -3274, -3274, -3274, -3274, -3274,    78,  2767, -3274,
   -3274, -3274, -3274, 19478,  9465, -3274,  2495,  9465,  5181,  9465,
    2660, -3274,  1383,  2769, -3274,  1017,  2507,  1383,  2135,  2135,
     333,   333,   205,   205,   205,  2790,   440,  9465,  9465, -3274,
   -3274, -3274, -3274,  2509, -3274, -3274, -3274,  2241, -3274, 20324,
   -3274, -3274,  2547,  2548,  2514, -3274, 19478, 20747,  2516, 64763,
   -3274, -3274,   809,  2444, 22016, 22016,   878, -3274,   370, 19478,
   63973,  1537,   878,  1226,  2068, 19478, 19478,  7141,   340, 19478,
    5634, 52243, 52243, 52243, 52243, -3274, -3274,  9465,  2879,  2771,
   19478,  2517, -3274,  2518,  2407, -3274, 63567, -3274, -3274,  9465,
   -3274, -3274, 19478, -3274,  2407,   828, -3274,   614, -3274, -3274,
   30324, -3274, -3274, -3274,   295, -3274, -3274, -3274,  2578, 43311,
    2789,   843, 19478,  1547, -3274,  2549, 51837, 13627,  1551,  1567,
    2485, -3274,  1879, -3274,  2582, -3274,  2700, -3274, -3274,  2705,
     295, 52243, -3274, 63973,   260,   260, -3274, -3274,  2540, 38845,
   52243,  1582,  1582, 63973,  2519, -3274,  1582,  1582,  2520, -3274,
   38845, 52243, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, 52243, 52243, 52243, 52243,  2815, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274,  2762, -3274,   242,   242, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274,  1712,  2840, -3274, 34785, -3274,
   35597, -3274, -3274, -3274,   828,   828,  2713, 31963,   828,   828,
   -3274,  1163,  2848, -3274,  2779,   695,  2533,  1067,  2807, -3274,
   -3274, -3274, -3274,  2811,   295, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   19478,  1217,  1383, -3274, -3274, -3274, -3274,  2485,  1225,  2587,
   34785,  1781,  1781,  2588,  1160,   485, 52243,  2843,  2579, -3274,
     828, -3274, -3274, -3274, -3274,  2869,  1583, -3274, -3274, -3274,
    2576,  2508,   975,  2544,  1473, -3274, -3274,   270, 52243, -3274,
     826, -3274,  2821,  2550, -3274,  9465,  9465,   828, 65158,  3280,
   -3274, 52243,  2794, -3274, 52243,  1598, -3274, 19478,  2551, -3274,
   -3274, 24109,  1325,  1617, 52243,  1625, 63973,  2407, -3274,   260,
   -3274,   260,   260, -3274, -3274, 52243,  1781,  1781,  1781, -3274,
    2719, -3274,   260, 38033,  9465, -3274, -3274, -3274, 22016,  2824,
   -3274,  2552, 63973, -3274,  2553,  1632,  1633, -3274, -3274, -3274,
    5774,  2600,  9465,  2656,  2559,  2562, -3274,  1004,  1004,   370,
    1638, -3274, 22016, 22016,   878,   878, 19478,   878, -3274, -3274,
   -3274, -3274, -3274, 19478, 19478,  2598,  2407,  2407, -3274,  2723,
   -3274,  2565, -3274,   809, -3274,  2566, -3274, 38033,  2744, 38033,
   -3274,  5805,  2485, 24521, 30743, 52243, -3274,   944,   944,  2707,
    2485,  2587, -3274, -3274, -3274, -3274, -3274,  2619, -3274, -3274,
   28229, -3274, -3274, 25757, 30324, -3274,   117,  2572,  2574,   144,
   -3274, -3274,   979,   -19,  2608,  1781,  2857,   242, -3274, -3274,
    2150,   828, -3274, -3274,  1639, -3274, -3274, -3274, 52243, -3274,
    2459, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, 38439,
    2972,  2972, 52243,   843, -3274,  6248,  2763, -3274,  2587,  2788,
    2833, -3274,  1644, -3274, 52243,  2512, 41281,  2493, -3274,    25,
    2583,  2873, -3274, -3274, -3274, 42499,  2754,  2546,   820,   820,
   52243,  2508,  2708, -3274,  2718, -3274,  2955,  2772,  2969, 52243,
   24521, -3274, 64368, -3274,  1654, -3274, -3274,  2269, 52243,    88,
    1656, -3274,  9465, 52243, -3274, -3274, -3274,  1661, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274,   376,   567, 22016, 63973,  1679,
   19478, -3274, 19478, -3274, -3274, -3274,   511, -3274, -3274, -3274,
    1004,  1004,   878,  2241,  9465, 52243, -3274, -3274, -3274,  2982,
    2773,  2407, -3274, -3274,   966,   629,   376, 51837,  2587, -3274,
    2606, -3274, -3274,  1462,  1462, 52243,  2587,   843, 19478, -3274,
   -3274, 63973,  1525,   462, -3274, 63973, 63973, -3274, 52243, 52243,
   52243, 52243, 52243, -3274, -3274, -3274, -3274, 35597,  2459,  2972,
     798, -3274, -3274, -3274,  2887, -3274, -3274,   121,  2784,  2689,
   -3274, 34785,  2897, -3274, -3274, -3274, -3274, -3274, 19478,  2757,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274,  1680,  2546, -3274, -3274,  2785, -3274,  2786, -3274,  1684,
   -3274, -3274,  3687, 65158,  2924, -3274, -3274, -3274,  1691, -3274,
   -3274,   567,  1697, -3274,  1728,  1733,  2665, -3274,  2616, -3274,
    3015, 19478,    53, -3274, -3274,  2898, -3274,   944,  2661, 30324,
   -3274, -3274,  1225,   843, -3274,  9465,  1739, -3274, -3274, -3274,
    2764,  1743,  1753,  2618,  2662,  2618, -3274,  1781, -3274, -3274,
   -3274, -3274,  2927, -3274, -3274, -3274,   335, -3274,  2801,  2802,
   52243, -3274, 52243,  3024,  6284, 38439,  2097, -3274, -3274, -3274,
   -3274,  2666, 24521,  3280, -3274,   243, -3274, -3274, -3274, -3274,
   -3274, 52243,  2631,  2241, 21170, 21170,  2634, 38033,  1462,  2647,
     843,  2650,  2788, -3274, 38439, -3274, -3274, -3274, 52243,  2768,
     730,   730,  2964, -3274,  2702, -3274, -3274, -3274,   117, -3274,
    2652,  1915,  2546, -3274, -3274, -3274, -3274,  1630, -3274, -3274,
   22439,  2776,   622,  7625, -3274, -3274, -3274, -3274,   376, -3274,
   19478, -3274, -3274,  2784,  1525, -3274,  2579, -3274,  3061, -3274,
     174, -3274, -3274,  2519, 42905, -3274,  2269, -3274,   722, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274,  3051, -3274, -3274, -3274,
   -3274, -3274, -3274,  6521,   843, -3274,  2949, -3274, -3274, -3274,
   -3274, -3274, -3274,  1759, -3274, -3274, -3274, -3274, -3274,  1591,
   -3274, -3274,  1605,  1516, 21593, -3274, -3274,  2803, -3274, 42905,
   -3274,   722, -3274, 38439, -3274, -3274,  2668, 42905,  1770, -3274
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3274, -3274, -3274,  2406, -3274,  -712,   103,  1870, -1015, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274,  1171, -3274, -3274,    92,   314,  2039,
     881, -3274,  -867, -3274, -3274,  -501,   129,  -584, -3274, -3274,
   -3274, -3274, -3274, -3274, -3274,   906,  1290,   782,  -726, -3274,
   -1142, -3274, -3274,   298, -3274, -3274, -3274,   661,  -344, -3274,
   -3274, -3274, -3274, -3274, -3274, -3274,  -121, -3274, -3274,  -489,
   -1220,    36, -3274, -3274, -3274, -3274,   152,  -386, -1031, -3274,
   -2244, -3274,  -160, -3274, -3274, -3274,  -385, -1097,   833,  -591,
    -884,  1085,  -616, -3274,  -295, -3274,  -651,  -576,  -573,  -613,
   -3274, -2786, -3040, -3273, -2587,   130, -3274, -3274, -3274,   172,
   -3274, -1216, -3274, -3274,  1807, -1073, -3274,  -709, -3274, -3274,
   -3274, -2840, -3274,  1377,  -384, -3274,    95, -3274, -3274, -3274,
   -3274, -3274, -3274, -2817, -3274, -1145, -3274,   301, -2289,   752,
   -3274, -3274, -3274,  1830, -3274, -3274, -3274, -3274, -1264, -3274,
   -3274, -1215, -3274,  1224,   642, -3274, -3274, -3274,  -634,  -694,
    -685, -3274, -2997,   -99,   -97, -3274, -3274, -3274, -3274,  -768,
   -3274,   663, -2377,  -723, -3274, -3274,   700, -3274, -3274, -3274,
    -598,  -285,  1853, -3274,  -528, -3274, -3274, -3274,  -286, -3274,
   -3274, -3274, -3274, -3274, -3274, -1344,  -123,  -689, -3274, -3274,
   -3274, -3274, -1629, -3274,  3127,  1522,  1228, -1210, -3274,   -28,
      56,  2261,  -887, -2010,   126,  -407, -3274, -1381, -3274, -3274,
   -3274, -1949, -3274, -3274, -3274, -3274, -2668, -1203, -3274, -3274,
   -3274,   191, -3274, -3252, -2901, -3112, -2645, -3274, -3274,  -838,
   -3274, -3274, -3274, -1065,  1386, -1125, -3274, -1722,   193, -2849,
    -569, -2452, -3274, -2765,  -485, -3274, -3274, -3274, -3274, -3274,
   -3274, -3274,  -840,  -507, -3274, -3274,  2625, -3274, -2665, -3274,
   -3274, -3274, -3274,  1165, -3274,   161, -3274, -3274, -3274, -3274,
   -3274, -3274,  -592,  -664, -3274, -3274, -3274,   132, -3274, -3274,
   -3274, -3274,  1658,  -733,  -597,  2525, -1196,  -317, -3274, -3274,
   -3274, -3274, -2303, -3274, -3274, -3274, -3274, -3274, -3274, -3274,
   -1133, -3274, -3274, -3274, -3274, -3274, -3274, -3274,  1489,  1490,
      50,   -23, -3274, -3274,  -995, -3274,  -453, -3274,  1785, -3274,
   -3274, -3274, -3274, -3274,   134,   221, -3274,     2, -3274, -3274,
     572, -1867,     3, -3274, -3274, -3274, -3274,  -215,     4, -3274,
     946, -3274, -3274, -1583, -3274,   135,   136, -3274, -3274,     1,
       0,   -40,   -44,   -37, -3274,  2498,  2110, -3274, -3274,   -18,
    1445, -3274,  -680,  -146, -3274,   938,  -544,  1466,  2096,  2108,
   -3274,   924, -3274, -3274,   940, -3274, -3274, -3274,  -537,  1475,
   -3274,  2079,  1492, -3274,  1520,   988, -1889,  1222, -1865,   648,
    -415,  -131,    32,  2542,  2671, -3274, -3263,   974, -2812,   263,
    -402,  1310, -1226, -3274, -3274,  -902,  7876, -3274, -3274, -3274,
    8025,  8470, -3274, -3274,  8846,  9170, -3274,  -778,   522,  9456,
    7824,  -955, -1474,  -624,  7947,  -669,   411, -1302, -3274, -3274,
   -3274,  -328,   531,   -74, -3274, -3274, -3274,  -505, -2110,  -504,
   -3274, -3274, -3274,  -506, -2802, -1347, -3274,  -170, -3274, 10011,
     978, -3274,  -807, -2024, -2099,  -908, -1370, -3274, -3274, -3274,
   -3274, -3274, -3274, -3274, -1501, -2490,  -449,  1052, -3274, -3274,
    1138, -3274, -3274, -3274,  -996,  -692, -1541,  1058, -1543, -3274,
    -663,  1179,  1685,  -636,  -101,  -462,  5028,  -424, -1744,  -984,
    -932, -3274,  -114, -3274,    16,    -9,   246,    -6,  2743,  1327,
    -511, -1001,  6003,  5863,  7479, -2341
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1998
static const yytype_int16 yytable[] =
{
     156,   155,   150,   151,   153,   754,   818,   637,   543,   682,
    1043,   501,   691,  1112,   916,   917,   602,   614,  1351,   921,
    1436,   156,   602,  1359,  1389,   667,  1802,  1775,  1117,   845,
    1412,  1174,  1114,  1743,  2015,  2039,  1121,  1981,   601,   843,
    1234,  1494,  2152,   724,   601,  1183,   729,   863,   526,   681,
    1900,   719,  2309,  2311,  1447,  1224,  1056,   732,  1954,  1321,
    1841,  1784,   765,   892,  2616,  1467,  1468,  2350,  1662,  1847,
    1848,   576,   739,  2792,   664,  1667,  1382,   670,   759,   608,
    2980,  1257,   808,  2082,  1483,  2541,   768,  1773,  1931,  2229,
     858,   638,  1932,  1933,   866,  2828,  1296,  2830,  1934,  2600,
    1687,  1300,  2733,  3150,   878,  1935,  2886,  3141,  1306,  2936,
    2011,  2730,  1936,   568,  2555,  2557,   693,  1323,  2563,  1662,
     886,  1667,   685,   694,   853,  1342,  1836,  1783,  3319,    66,
      75,   655,   127,  3292,   148,   154,  1724,  2234,   845,  2118,
    2239, -1775,  1128,   489,  1365,  2886,  1106,  3322,  1050, -1808,
     533, -1343, -1353,  1109,  3410,  1380, -1338, -1828,  3279, -1858,
     692,  1668,  1150,  2908,  2909,  2910,  2911,  2912,  2913,  3301,
    1320, -1148, -1661,  1343,   499, -1310,  3069,  2483, -1684,  1461,
    1462,  2418,  1391,  1225,  2728,  2729, -1684,  1793,  1058, -1685,
    3333,   535,  3335,  1952, -1997, -1323,  1737, -1685, -1555,  2197,
    2971, -1151, -1997, -1343,  1480, -1555,  1509,   584, -1338,     3,
       4,  1251, -1350,   761,  1786,   539,  2647,   942, -1343,  2206,
    2614,  2036,  1154,  2157,  3622,   539, -1710,  2398,   539,  2625,
     539,  2157,  1213,  2399,  2075,   584,  2441,   539,  2055,  1562,
    1172,   539,   672,  2032,  1343,   584,  1130,   539,   897,   539,
    1519,  2605, -1148,  2570,  3644,  2572,  3418,  1749,  3640,  1313,
    1959,  3497,  2439,  2191,   835,   912,  3755,   539,  1739,  3181,
    2192,  2793,  3693,  1214,   688,  1522,  3589,  2344,  3808, -1778,
    1431,  1245, -1151,  2895,  1740,  3202,   770,   539,   584,  2195,
     584,   590,  1172,  1760,  2898,  1512,  3186,   584,   642,   590,
    1314,   901,  1924,  1872,   584,  3573,  3574,   590,  1519,   590,
    1343,   591,  3236,  2930, -1353,  -110,  2609,  2292,  1867,   591,
    -110,  2281,  1510,  1234,  1494,  1155, -1148,   591,  1868,   591,
    2400,  3615,  1076,  1522,  1077,   919,  3724,  2047,  2896,  1928,
    1563,   494,    34,   754,  2647,  1489,  1566,  1553,   633,  1131,
    1577,  1577,  1869,   496,   661,  2056, -1151,  3237,  3616,  3708,
    3725,  1096, -1571,  1490,  1467,  1468,  1047,  1223,   845, -1571,
    3182,  -772,  1483,  3590,  1353,  1761,   590,   771,  1377,  3502,
     845,  1519,  1669,  2610,   754,   809,  3258,  3694,   804,  1908,
    1750,  3503,   643,  1059,   775,  3421,   591,  3187,  1965,   802,
     827,  -325,  1360,  1878,  1281,  1882,  1522,  2033,  2196,   920,
    1353,   913, -1827,  1929,  1741,   539,  3809,   741,   734,   540,
     836,   539,  1344,   757,  1271,  1215,  1343,  3756,  1754,   590,
     848,  3177,   767,  1908,  1759,  3203,  2034,   856,  1960,   536,
    1393,  2442,  2606,  2037,  3740,  1564,  3120,  2794,  3695,   591,
    1060,  2647,  1315, -1310,  3183,  1097,  2079,  1425,  1794,  2931,
    3753,  3632,  3144,  1751,  2345,   938,  2294,  2886,  1438,  1548,
    1795, -1148,  2795,  2401,  1839,   837,  3604,  2419,  1822,  3786,
    1448,  1825,  1826,  1832,  2429,  1834,  1461,  1462,   801,  1898,
    1953,  1946,  1132,  1344,  2085,  1480,   920,  1156,  2231,   920,
    1871, -1151,  2402,  1842,  2732, -1555,  1742,  1353,  2972,  1216,
     922,  2603,  3478,  1432,  1667,  1875,   673,   537,  3501,   538,
    2155,  1796,  3527,  3818,  2028,   933,  1435, -1310,  2057,  1456,
    2158,   844,   543,  1879,   682,  3005,  1316,  2774,  2708,  1432,
    1489,   845,  1894,  1900,  3504,  1044,  2058,  1113,   845,   845,
    1133,  1560,  1379,   893,  3516,  3728,    49,  1667,  1490,  1344,
    3357, -1998,  1066, -1148,  1303,  1947,   670,  1078,  1715, -1775,
    2193, -1343,  1491,   156,   681,  1716, -1338, -1808,  2647,   894,
    3674,   899,  1764,   903,  1095, -1828,  2789, -1858,  2790,   907,
    1068,   799, -1661, -1151,  1069,  1466,  1456, -1148, -1684, -1148,
    1819,   601,  3254,   601,  1913,   601,  2688,  2296,   885, -1685,
     927,   601,   908,   909, -1997,  1472,  1987, -1827,   754,  1176,
    1177,  3125,  2893,  1353,   888,  1993,  2659, -1151,  1685, -1151,
     943,  2649, -1350,  2001,  2002,  1515,  1040,  3133, -1343,  1049,
     844,  1051,   596,   597,  2078,  1551,  2081,  3568,   923,  2308,
    2220,  2014,   596,  1173, -1710,  3576,  2089,  2992,  2823,  2092,
    1542,  2996,  2750,  1513,  1238,  3224,  3667,  2104,  2105, -1571,
    3614,  1241,  1981,  1815, -1827,  1344,  3733,  1250,  3645,   770,
    2122,  2124,  2854,  2855,   156,   155,   150,   151,   153, -1827,
    2747,  2138,  2607,  1301,  1302,   596,   597,   596,   597,   923,
    2108,  2109,  1489,  1125,   596,  1173,  2247, -1778,  3741,  1549,
    1328,   596,   597,  1435,  2173,  1539,  1540,  1541,  1542,  1367,
    1490,  1331,   622,  1081,  1662,  2883, -1658,  -110,  -110,  1324,
    1326,  1327,  1959,  3771,  1493,   910,  1962,  1355,  1357,  1046,
    3656,  2267,  2961,  1054,  1948,  1252,  1253,  2740,  1737,  3678,
    2316,  2656,  2657,  2658,  2659,  1949,   601,   813, -1998,   949,
    1368,   820,  2647,  1738,  2883,  1231,  3798,  2118,  2118,   510,
     771,   829,  2118,  1746,   611,  2093,  1813,   539,   688,  1694,
    3777,  3294,  3145,  2273,  2043,  2044,  1537,  1538,  1539,  1540,
    1541,  1542,  2849,  3713,  1255,  2852,  2853,   623,  2813,  2856,
    2341,  3240,   688,  2375,  1885,  3030,  3602,  3826,  2978,  2863,
     534,  2118,  2118,    66,    75,  1510,   127,  1044,   148,   154,
    1739,   744,   745,   746,   512,   747,   748,   749,   750,   751,
     752,    15,  3690,   539,  3577, -1310,  1740,  1876,  2505,  2174,
    1044,  1775,  3623,  2175,  2298,  1886, -1310,  2375,  1466, -1310,
    1120,  2000, -1310,  2274,  1435,  1181,  2654,  2655,  2656,  2657,
    2658,  2659,  1745,   505,   615,  1695,  2982,  2980,  3168,  3275,
     844,  2094,   510,  1904,   892,  1749,  1102,  3506,  2176,  3139,
     539,  1698,   844,  2608,  1836,  3507,  1518,  1178,  3624,  1519,
    1994,  3606,  1746,   156,  3799,  3625,  1917,  3665,  1068,  2003,
     590,  2814,  1069,   539,  1981,    24,  3166,   601,  1904,  1232,
    3486,  2010,  1369,  3295,  1522,  1233,  1434,  1801,  3657,  1523,
     591,  2648,   156,  1430,  1989,  3626,  2299,   512,  3670,  3671,
    1699,  2020,  3242,  1333,  3689,  2095,   949,  1905,  1427,  2647,
    2983,  1104,  2649,   510,  2228,  1988,  3146,  2735,  3754,  3240,
    2736,  1454,  2035,   621,  2070,  2040,  3094,  2042,  3796,  3778,
    2045,    29,  -766,   519,  1581,   520,  1741,  3691,   624,   625,
    1470,  3337,  1905,   682,  2736,  3147,  2243,  2111,  1182,  3260,
    2403,  3668,  -142,  2654,  2655,  2656,  2657,  2658,  2659,  3673,
    2096,  3483,  1906,  2097,  3627,  1907,  1370,  1887,   512,  2177,
    1497,  -345,  3262,   662,  2650,  3276,  1511,  -142,  3169,  2404,
     754,  2462,   949,  1507,  3398,  2647,  1516,   686,  1554,    38,
    3241,  3133,  3832,  1569,  3402,  1747,  1552,  1906,  1353,  3779,
    1907,  1187,  1395,  3401,  1397,  3508,  1399,    38,  1401,   675,
    1403,  1404,  1405,   844,  2815,  2489,  1568,  1407,  1525,    42,
     844,   844,  3780,  3580,  1688,  1689,  2244,  1693,  1742,  2464,
    1681,   694,   694,  1797,   694,  1570,   519,    42,   520,  1526,
    1527,   601,  2984,  2816,   687,   601,   601,  1125,  1555,  1188,
    3242,  1888,  2405,  3769,    47,  2098,  2883,  1908,  3352,  2886,
    1849,  1850,  1851,  1852,  1697,    45,    48,  1827,   692,   692,
    1789,   692,    47,  1731,  3326,  3170,   539,  3498,  3171,  3330,
     584,  2465,  3332,  1732,    48,  2378,  1853,  2153,  1530,  2649,
    1880,  1881,  1908,  2381,  3323,  2383,  1890,  1883,  1733,    49,
    2985,  1531,  1374,  3359,  1698,  3360,  1874,   519,  2680,   520,
     683,  1303,  3050,  2685,   688,  1334,  3499,    49,   522,    38,
    2784,  1790,  1375,   601,  2568,  1189,  3273,  3628,   524,   601,
    2573,  3138,   684,  2651,  2652,  2653,  3070,  2654,  2655,  2656,
    2657,  2658,  2659,   162,  2493,  2494,  2495,  2496,  2099,    42,
    1909,  2650,  1775,  1699,  2328,  2466,  2467,  1884,   754,   909,
    1942,  1943,  1944,  1945,  1840,  2649,  1801,  1335,  2468,  1910,
    1190,  1384,  1191,   601,  1385,  3255,   601,   601,  1201,  1102,
     163,  3026,  1835,  1103,    47,  1909,  3274,  1202,  1828,  3469,
    1829,   949,  3215,  3204,  2647,  1982,    48,  1986,  3218,  3219,
    3220,  3221,  3222,  3223,   949,  2329,  1992,  2647,  2079,   728,
    2748,  3095,  2788,  3205,  1981,   497,  1193,  3470,  1981,  3053,
    2469,  3054,  3041,   695,  3382,   689,  2016,  2650,   601,  1428,
    1734,  2980,  2005,  2564,  3361,  2567,   730,  3341,  1931,  3342,
    3463,  2009,  1932,  1933,  1104,   740,  2914,  2623,  1934,  2575,
    2576,  1195,  2019,  2578,  1336,  1935,  3557,  3558,   763,  2582,
      15,  2560,  1936,  1827,  1537,  1538,  1539,  1540,  1541,  1542,
    1937,  2118,   732,  2269,  2118,  2118,  2118,  2118,  2118,  2118,
    2118,  2118,  2118,  2118,   754,  1197,  3019,  1105,  2315,  1044,
    1044,  2916,  3701,  1792,  1808,  2674,   162,  2330,   769,   584,
    3464,  1337,  2593,  2470,  2292,  2471,  1317,   830,  1203,  1975,
    2651,  2652,  2653,  3535,  2654,  2655,  2656,  2657,  2658,  2659,
    2618,  2164,  1068,  2165,  2697,  1318,  1069,  1122,  3029,   572,
    1201,  2118,  2118,   163,    24,  1518,   831,  1843,  1519,  2293,
    3055,  3588,  1798,  1209,  2166,  1519,  2962,  3706,  2331,   639,
    3056,    14,  1052,  2317,   156,  1520,  1123,    15,   682,  1509,
      34,   949,  2355,  1522,  2647,  3030,   803,  3564,  1523,  3566,
    1522,  2778,  1210,  1558,  2649,  2548,  1211,   832,  1353,  1926,
    2547,  2462,    20,  1338,  1828,  1124,  1829,  2649,  2072,  1519,
    2654,  2655,  2656,  2657,  2658,  2659,  1955,  2143,   681,  3252,
    2146,  1212,  1833,  2549,  1118,   888,   806,   156,  2069,  2066,
    2067,  2068,  3524,  2867,  1522,  2645,  2646,  2204,  2998,  1679,
    2661,  3663,  1680,   807,  3476,  1102,  2218,  2551,   845,  2920,
     162,    24,  2102,  1119,  2060,  1803,  2650,  1860,  2536,  1803,
     819,   830,  2167,  3156, -1191,    38,  2548,  2168, -1191,  2650,
    2090,  2091,  2169,  2294,  1924,  1125,  2620,   810,  2103,  2694,
    2695,  2018,  2106,  2107,  2921,  1185,    38,   163,   825,  2453,
    2939,  2071,   845,  1489,  2549,    42,  2922,  2128,   833,  2129,
    1804,  1805,  2581,  1577,  1804,  1805,  1706,  1865,  2808,  2550,
    1104,  1490,   834,  1524,  1186,  2162,    42,  1525,  2551,  2150,
    2022,  2151,  2023,  2809,  2024,  1491,  2025,  1786,  2026, -1191,
      47,   832,  2027,  1801,   599,  1791,  1866,  1801,  1526,  1527,
     599,  2552,    48,  1927,    45,  1526,  1527,  2553,  2221,    38,
    2779,    47,  1528,  1105,  1667,  2621,  1844,   850,  1860,  2118,
    2622,   854,  1864,    48,  2649,  2591,  3327,   873,  2235,  1222,
    2238,   864, -1191,    34,   879,    49,  2923,  3448,  3449,    42,
    2811,   584,  1682,    38,  1529,  1683,  2170,  1530,  2699,  2799,
    2700,  2801,   883,  1803,  1530,  2171,    49,  2079,  1223,  1803,
    1531,  2017,  2498,  2941,  2018,  2758,  2787,  2499,  3376,  2812,
    1860,  2701,  2738,    42,    47,  2651,  2652,  2653,  2553,  2654,
    2655,  2656,  2657,  2658,  2659,  1218,  2650,  1719,  2651,  2652,
    2653,  1489,  2654,  2655,  2656,  2657,  2658,  2659,  1804,  1805,
     914,    45,  3167,  3172,  1804,  1805,  2904,   918,    47,  1490,
     930,  2499,  2612,   189,  1219,  1198,  1720,  1208,   498,    49,
      48,  2714,  2029,  1493,  1228,  2030,  2031,   570,  1125,  2030,
    3080,  1801,  2673,  1533,  2675,  2676,  2241,  1801,  1970,  1971,
    2249,  1981,  2079,  1220,   640,  1721,  1981,  2336,   925,  1981,
    3328,  3213,  2063,    49,  2275,  2064,  2278,  2379,  2883,   928,
     686,   845,   601,  2791,   935,  3071,  3072,  3768,  1466,   936,
    1725, -1192,  1478,  1479,  2702, -1192,  3164,   938,  3038,  2703,
    1081,  1466,  1068,  1725, -1661,   939,  1069,  3234,  3235,    15,
    3612,  3238,   811,  3239,   812,  2255,  2256,  2118,  2118,  2240,
   -1914,   937,  1353,  1051,  2423,  2261,  2306,  2352,  2064,  2307,
    2353,  2432,  2433,  2434,  2435,  2436,  2437,   687,   941,  1534,
    1535,  1536,   940,  1537,  1538,  1539,  1540,  1541,  1542,   944,
    1537,  1538,  1539,  1540,  1541,  1542, -1192,  1055,  2448,  2484,
    3641,  2449,  2485, -1215, -1215,  2651,  2652,  2653,  3101,  2654,
    2655,  2656,  2657,  2658,  2659,   945,  2341,  2585,  3178,  1057,
    2030,  2766,  2767,    24,  2769,   898,   900,   902,  3593,  1061,
     904,   905,   906,  2601,  2487,  2619,  2602,  1062,  2018, -1192,
     911, -1914,  2897,  2899,  2900,  2868,  2507,   688,  3007,   814,
     601,   815,  3010,  2704,  3012,  1775,  3014,  3015,   601,  1067,
     601,  2629,  2705,  2632,  2018,  3020,  2018,  3299,  2636,  2637,
    1982,  2018,  2018,  3375,  2663,  2518,  2519,  2018,  3787,    29,
    3077,  2753,  2754,  2569,  2431,  2571,  2679,  1089,  2869,  2018,
   -1914,  2682,  2431,  2743,  2683,  2462,  2744,  1453,  1063,    49,
    3039, -1914,  3158,  3159,  1075, -1914,  2937,  2117,  2806,  1100,
   -1914,  2807,  2870,  2831,  2947, -1914,  2832,  2948, -1914,  1082,
   -1914,  2826,  2547,  1120,  2959,     3,     4,  2960,  1090,  1518,
    2969,  2871,  1519,  2970,  3042,  3078,  2461,  2018,  3079,  3562,
    3085,  1092,  2492,  3086,   682,  3247,  3248, -1914,  2872,  1520,
    3097,  3160,  1093,  2018,  2030,    38,  1115,  1522,   689,  2817,
    1152,  2819,  1523,  2873,  2522,  1466, -1914,  1120,   156,  2506,
     844,  1135,  3227,  3381,  2490,  3228,  2064,  1466,  2265,  1725,
     572,  1178,  2268,  3412,  2540,    42,  3413,  3419,  2548,  3052,
    2030,  1217,  3057,  3058,  3059,  3060,  3061,  3062,  3063,  3064,
    3065,  3066,    14,  3420,  2288,  2718,  2030,  2719,    15, -1914,
    3231,  1180,  2300,    45,   844,  1234,  2549, -1914,   754,  3494,
      47,  2118,  3495,  2720,  2929,  2721,  2932,  3830,   845,  3831,
    2850,  2550,    48,    20,  3521,  2314,  1221,  1353,  2975,  1981,
    2551,  1092,  1230, -1148,  2874,  2118,  2118,  2759,  2760,  3103,
    3104,  1158,  2875,  3526,  1235,  2337,  2948,  1159,  3121,  3123,
   -1914,  3528,  1237,  2552,  2948,  3788,  1239,   601,  3541,  3543,
    1242,  3542,  2018,  2356,  3549,  3596,  2376,  2064,  3597,  2737,
    3610,  1249,    24,  3611,  2876,  2751,   949,  1524,  1247,  2647,
    3642,  1525,  3647,  3643,  2392,  1353,  1160,  3649,  3599,  1256,
    2948,  2396,  1982,  1259,  3162,   615,  3383,  1441,  1442,  2722,
    2409,  2949,  1526,  1527,  1125,  3653,  3707,  2413,  2064,  1557,
    3711,  3156,  1297,  3712,  1136,  2317,  1528,  3716, -1914,  1299,
    1353,   682,  1394,  3717,  1303,  1396,  2064,  1398,  3025,  1400,
    2553,  1402,  1099,  1293,  1101,  1406,  2997,  1161,  3000, -1914,
    1307, -1914, -1914,   949,  1162,  1137,  2647,  1163,  1529,  -159,
    1044,  1530,  3037,  1309,  3718,  1311,  2914,  2683,  3233,  3719,
    1158,  1507,  2018,  3008,  1531,  3734,  1159,  1532,  2064,  3736,
    1322,  2915,  2064, -1914,   176,  2162, -1914, -1914, -1914,  3737,
    1329,  1339,  2064,  2723,  2724,  3828,  1518,  1341,  3829,  1519,
    2118,  1346,  3380,  3512,  2717,  1348,  3839,  1347,  1164,  3829,
    1349,  2916,  1138,  2917,    38,  1160,  1975,  1350,  3156,  1352,
    1353,  3320,  1358,   844,  1522,  1361,  1363,  1362,  1364,  1523,
    1366,  1371,  1372,  1373,  1378,  1383,  3046,  2867,  1408,  1437,
    1439,  1443,  1445,  1139,    42,  1446,  2739,  1533,   601, -1314,
    1451, -1321,  1460,  1463,  3683,  3051,  3685,  3272,  1464,  1465,
    1469,    49,  1165, -1311,  1471,  1293,  1161,  1474, -1312,  2649,
    1475,  1476,    45,  1162,  1477,  1482,  1163,  1484,  1485,    47,
    3073,  1486,  3366,   573,  2918, -1315,  1487,  2751, -1313,  1488,
    1495,    48,  1496,  3340,  1498,  1499,  1500,  1166,  1501,  1502,
    3343,  3344,  1503,  1504,  1546,  1557,  1561,  1572,  1580,  1686,
    1103,  1713,  1105,  1722,  1435,  1723,  1725,  1726,  1727,  1748,
    1753,  1755,  1756,  1757,   574,  1758,  2751,  1164,  3349,  1779,
    1168,  2650,  1786,  1534,  1535,  1536,  2649,  1537,  1538,  1539,
    1540,  1541,  1542,  1780,  2919,  2224,  1798,  1799,  1800,  2920,
    1801,  2225,  1788,  1807,  1524,  1169,  1817,  1810,  1525,  1811,
    1816,  1820,  1823,  3460,  1821,  1830,   845,  1809,  1831,  1814,
    1837,  2824,    34,  3453,  1763,  1838,  1142,  1845,  1201,  1526,
    1527,  1165,  1143,  1846,  2921,  1854,  1855,  1856,  1877,  1144,
    1889,  2834,  1891,  1528,  1861,  1863,  2922,  1223,  2650,  1456,
    1892,  1899,  1466,  1472,  1901,  1146,  1902,  2942,  3299,  1915,
     507,  1921,  1925,  1147,  1203,  1941,  1166,  2956,  1958,  1963,
    3156,  1966,  2431,  1968,  1969,  2431,  2431,  1973,  1530,  2431,
    1984,  1996,  2968,  1997,  1998,  3377,  3378,  2012,  2013,  2431,
    1999,  1531,  1982,  2041,  1255,  1167,  1982,  2049,  2885,  1168,
    2053,  2061,  1293,  2127,  2074,  2139,  2085,  2046,  3428,  3429,
    2144,  2126,  1148,  2084,  3539,  1519,  2149,  2156,  2219,  2206,
    2180,  2148,  2161,   601,  1169,  1117,  2923,  2178,  3281,  3282,
    2892,  2894,  2222,  3016,  3404,  2901,  3017,  2885,   732,  1778,
    2651,  2652,  2653,  2226,  2654,  2655,  2656,  2657,  2658,  2659,
    2223,  2946,  2227,   687,  2250,  2933,  2251,  2260,  2242,  2254,
   -1160,  2262,   601,  2263,  1533,  1293,  2264,  2271,  2762,  2276,
    2283, -1160,  2233,  3450,  1044, -1160,  2281,  2284,  3512,  2974,
     844,   156,  2966,  2287,  2279,  2117,  2117,  2285,  2302,  2290,
    2117,  2347,  3283,  2297,  2304,  2343,  2351,  2354,  2406,   156,
    2988,  2416,  2412,  2407,  2408,  2417,  1975,  2420, -1998, -1998,
    1975,  2654,  2655,  2656,  2657,  2658,  2659, -1160,  2421,  2422,
    3346,  3347,  3348,  2424,  2425,  2428,  1293,  2426,  2440,  2117,
    2117,  2438,  2427,  2451,  3598,  2444, -1160,  2447,  2459,  2456,
    2454,  2455,  2482,  1293,  2457,  2458,  3553,  2460,  2491,  2486,
    1534,  1535,  1536,  2810,  1537,  1538,  1539,  1540,  1541,  1542,
    2820,   156,  3033,  1293,  2497,  2500,  2521,  2504,  2537,  3785,
    2523,  1518,  2535,  3529,  1519,  3530,  3531,  2538,  2539, -1160,
    2565,  2566,  3115,  3116,  2546,  1293,  3534, -1160,  2559,  2574,
    3652,  2579,  2577,  3405,  2580,  2587,  2584,  2588,  2751,  1522,
    2589,  2590,  2592,  2599,  1523,  2611,  2075,  2615,   920,  2617,
    2634,  2630,  2631,  2698,  2633,  2669,  2713,  2635,  2726,  2638,
    2706,  1982,  2847,  2639,  2641,  2644,  2662,  2732,  2734,  2668,
    2018,  -810,  2765,  3676,  1293,  2693,   682,  3681,  3682,  2768,
    2670,  2671,  2716,  3092,  2678,  2691,  2692,  3479,  2731,  3536,
    2770,  2771,  2780,  2781,  2785,  2786,  2775,  2776,  1435,  2777,
    3111,  3112,  3113,  3114,  2798,  2800,  2822,  2821,  2827,  2835,
    2825,  2836,  2837,  3550,  3551,  2839,  1507,  2838,  2851,   845,
    2840,  2857,  2858,  2841,  2842,  2859,  3131,  2860,  2861,  2862,
    3453,  2843,  2887,  2890,  1908,  3655,  2902,  2891, -1160,  3442,
    3443,  2844,  3445,  3680,  3677,  2845,  2903,  2905,  2927,  2906,
    2940,  2934,  2938,  2957,  2952,  2954,  2963,  2967,  2958,  2964,
    2987,  2989,  2993,  2994,  2991,  3001,   610,  3004,   612,  1524,
    3006,  3427,   618,  1525,  3011,  3013,   628,   634,   610,  3022,
     641,  3435,   634,   634,  3023,   666,  3024,   669,   666,  3032,
    3035,  3045,  3036,  1068,  1526,  1527,  1092,  1069,  2665,  2885,
    3027,  2647,  3087,  3253,  1549,  2664,  1453,  3118,  1528,  3650,
    3074,  3075,  1512,  3196,  3076,  3195,  3197,  3099,  3198,  3100,
    3137,  3278,  3140,  2357,   601,  3143,  1860,  3108,  3149,  3124,
    3134,  3135,  2358,  2359,  2360,  3163,  3165,   601,  3285,  3173,
    3666,  3028,  2431,  1530,  3192,  3193,  1293,  3179,  2431,  2431,
    2431,  2431,  2431,  2431,  3723,  3194,  1531,  3201,   844,  2737,
    3180,  3214,  3520,  3040,  3631,  3190,  3191,  3216,  3651,  3217,
    3270,  3249,  3520,  3250,  3251,  3277,  2361,  2979,  2217,  1982,
    3662,  3280,  3284,   601,  1982,  3287,  3286,  1982,  2030,  3289,
    3290,  3303,  3307,  3308,  3321,   908,   909,  3317,  3257,  3259,
    3261,  3263,  3318,  3324,  3310,  3331,  3246,  3571,   720,   725,
     727,  3345,   725,  3334,   720,  3350,   666,  3353,   756,  3358,
    3339,  3355,   666,  3256,   666,  2362,  3393,  3583,   725,  1533,
     666,  3394,  3362,  3407,  2949,  3363,  3805,  3367,  3368,  3409,
    3369,  3414,  3423,  3396,  3397,  3373,  3422,  3424,  3436,  3439,
    3446,  3451,  3430,  3447,  3465,  3458,  3241,  3468,  3312,  3471,
    1435,  3472,  3480,  3484,  2363,  3488,  3493,  3490,  3496,  3500,
     754,  3509,  3518,  3533,  3537,  3510,  3523,  3538,  3540,  3545,
    2364,  2365,  2366,  2367,  2368,  3547,  2369,  3546,  3548,  3555,
    3559,  3561,  3563,  1975,  3578,  3565,  3575,  3585,  1975,  3586,
    3591,  1975,  3592,  3600,  3607,  3276,  3609,  3619,  3618,  3621,
    3389,  3390,  3391,  3392,  3635,  3633, -1998, -1998,  2370,  1537,
    1538,  1539,  1540,  1541,  1542,  3634,  3636,  3161,  3637,  3661,
     688,  3669,  3692,  3416,  3416,  3696,  3700,  3702,  3705,  3709,
    3710,  3715,  3802,   601,  3720,  3721,  3722,  1379,  3727,  3739,
    3729,  3678,  3742,  3744,  3738,  3748,  3126,  1136,  3751,  2117,
    3767,  3648,  2117,  2117,  2117,  2117,  2117,  2117,  2117,  2117,
    2117,  2117,  3770,  3740,  3776,  3741,  3772,  3784,  3807,  3824,
    3444,  3732,  3797,  3827,  3833,  3206,   845,  3208,  1137,  1158,
    1094,  2371, -1916,  3837,  1862,  1159,  2305,  2346,  2488,  1579,
    2796,  1778,  2312,  2741,  2864,  3176,  3594,  3452,  3688,  3620,
    3305,  3477,  1293,  2773,  3630,  2586,  3773,  2372,  3569,  2117,
    2117,  3408,  3804,  3745,  2373,  3743,  3403,  2374,  3782,  2295,
    3687,  1957,  3306,  3199,  1160,  3646,  1435,  2829,  3406,  2463,
    1938,  2943,  3806,  3838,  3834,  1138,  3467,  3466,  2935,  2888,
    3783,  3584,  3735,  3587,  1920,   617,  3351,  3664,  3714,  3313,
     601,  2310,  3731,  3314,  3425,  3790,   846,  3835,  3613,  2236,
    2021,  2237,  3293, -1916,  3034,  1088,  1139,  2745,  2761,  1435,
    2749,  1426,  2259,  1435,  1435,  1161,   601,  1064,  2757,  1714,
    2258,  2253,  1162,  2232,  2725,  1163,  2542,  3433,  3434,  1684,
    2999,  3525,  3437,  3438,  1710,   842,  2746,  2431,  2431,  1072,
    2452,  3291,  3654,  3091,  3081,  1709,  3758,  1982,  3759,  3766,
    3517,   844, -1916,  2752,  2626,  3456,  3457,  2711,  1293,  3461,
    3462,  2709,  2604, -1916,  2205,     0,     0, -1916,   777,     0,
       0,     0, -1916,   666,   754,   720,  1164, -1916,  3474,   727,
   -1916,   725, -1916,     0,     0,     0,   756,     0,     0,   822,
    2751,     0,     0,     0,   754,     0,   725,     0,     0,     0,
     601,     0,  1140,     0,     0,     0,     0,   666,     0, -1916,
       0,  3492,     0,     0,   156,  3485,     0,   720,     0,     0,
       0,   727,  3572,  1778,   720,     0,     0,   756, -1916,  1982,
    1165,  1141,     0,     0,     0,    34,     0,     0,  3511,  1142,
       0,  2528,   725,     0,  2528,  1143,     0,     0,     0,  3582,
    1518,     0,  1144,  1519,     0,     0,     0,  2117,     0,  1136,
    1145,  1975,  1136,     0,     0,  1166,     0,  1158,  1146,     0,
       0, -1916,     0,  1159,     0,     0,  1147,     0,  1522, -1916,
       0,     0,     0,  1523,   666,   732,     0,     0,     0,   666,
    1137,     0,     0,  1137,  1206,     0,     0,     0,  1168,   666,
     934,  3603,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1160,     0,     0,     0,  3638,  1039,     0,   666,
     634,  1293, -1916,  1207,   634,  1148,  1982,     0,     0,  1044,
       0,     0,     0,     0,     0,     0,   666,     0,     0,     0,
     666,     0,     0,  1074,     0,     0,     0,  1138,  1039,     0,
    1138,  2885,     0,     0,     0,  3431,     0,     0,   666,     0,
       0,     0,     0,  1161,     0,     0,  3440,   615,  2431,     0,
    1162,  2696,  3595,  1163,  3416,     0,   601,     0,  1139,     0,
       0,  1139,     0,     0,     0,     0,     0,     0,     0,     0,
   -1916,     0,  1517,     0,     0,     0,  3684,  1518,  3686,     0,
    1519,     0,     0,     0,  3672,     0,  2529,     0, -1998,  2529,
       0, -1916,  1525, -1916, -1916,   725,   725,  1520,     0,     0,
    1521,     0,     0,     0,  1164,  1522,     0,     0,     0,   754,
    1523,     0,     0,  1526,  1527,  2117,  2117,     0,     0,     0,
       0,     0,     0,     0,     0, -1916,     0, -1998, -1916, -1916,
   -1916,   720,     0,     0,     0,     0,     0,     0,   720,     0,
       0,   756,     0,     0,     0,  2217,  2217,  2217,     0,     0,
       0,     0,     0,   725,     0,     0,     0,     0,  1165,     0,
       0,     0,  1530,     0,     0,     0,     0,     0,     0,   725,
     725,     0,     0,     0,     0,  1531,     0,     0,     0,     0,
       0,     0,     0,   666,   666,   666,   725,    34,   720,  3747,
      34,  1142,     0,  1166,  2530,     0,     0,  1143,   844,     0,
    1143,  3750,     0,     0,  1144,     0,     0,  1144,  1982,     0,
       0,     0,  1223,   725,   725,  1223,     0,     0,     0,     0,
    1146,     0,  1226,  1146,     0,  3775,  1168,     0,  1147,     0,
    3774,  1147,     0,     0,     0,  1524,  1039,     0,     0,  1525,
       0,     0,     0,     0,  1778,  2312,     0,  2312, -1998,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
    1526,  1527,     0,     0,     0,     0,  1411,  1411,     0,     0,
       0,   666,     0,   610,  1528,     0,     0,  1148,     0,     0,
    1148,  2531,  2979,     0,  2531,     0,     0,     0,  1293,     0,
    1293,  1444,     0,     0,   666,     0,     0,  1450,     0,     0,
       0,     0,     0,     0,     0,     0,  1529,     0,  1039,  1530,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1531,     0,     0,  1532,     0,     0,  2528,  3836,
       0,     0,     0,     0,     0,     0,  1039,     0,  1537,  1538,
    1539,  1540,  1541,  1542,     0,     0,  1136,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3823,  1293,
       0,     0,     0,  1039,  1039,     0,  1039,   156,  3795,  3792,
    3793,  3794,     0,     0,     0,     0,     0,  1137,     0,  2117,
       0,     0,     0,  1039,  2312,  3816,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1533,     0,     0,  3822,  3795,
    3792,  3793,  3794,  2117,  2117,     0,     0,     0,     0,     0,
    3815,     0,     0,     0,     0,     0,     0,     0,   666,     0,
       0,  1039,     0,  2312,     0,     0,  1671,     0,  1678,     0,
    3816,     0,     0,     0,  1138,     0,     0,     0,  3816,     0,
    1293,   156,  3795,  3792,  3793,  3794,     0,     0,     0,     0,
       0,     0,     0,  1039,  1293,  3815,     0,  1039,  1039,     0,
       0,     0,     0,  3815,     0,  1139,     0,  2312,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   634,     0,     0,
       0,  1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,  1541,
    1542,     0,     0,  2529,     0,     0,  2217,     0,   634,     0,
       0,     0,  1293,     0,     0,     0,     0,     0,     0,  2476,
       0,  1785,  1518,     0,     0,  1519,     0,   666,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,   756,     0,     0,     0,     0,     0,     0,
    1522,     0,     0,     0,     0,  1523,     0,     0,     0,     0,
    1518,     0,     0,  1519,     0,     0,     0,     0,  2117,     0,
       0,     0,     0,  2357,     0,  1293,   725,   725,   725,   725,
     666,     0,  2358,  2359,  2360,     0,   634,     0,  1522,     0,
       0,     0,     0,  1523,  1293,     0,     0,     0,  1873,     0,
     666,     0,     0,     0,    34,     0,   725,   725,  1142,     0,
       0,     0,   725,     0,  1143,     0,     0,     0,     0,  1293,
       0,  1144,     0,     0,     0,     0,  2361,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,  1146,     0,     0,
       0,     0,     0,     0,     0,  1147,     0,     0,     0,     0,
       0,     0,     0,  1293,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2477,     0,     0,     0,     0,  2362,   725,   725,   725,   725,
    1524,     0,     0,  2217,  1525,     0,     0,     0,     0,     0,
       0,     0,     0,  1873,  1148,     0,     0,     0,  2531,     0,
       0,     0,  1983,     0,   720,  1526,  1527,     0,     0,     0,
       0,   727,     0,   720,  2363,     0,     0,     0,  1524,  1528,
       0,   756,  1525,     0,     0,     0,   666,     0,     0,     0,
    2364,  2365,  2366,  2367,  2368,   666,  2369,     0,     0,     0,
       0,   725,   725,  1526,  1527,     0,   666,     0,     0,     0,
       0,  1529,     0,     0,  1530,  2312,     0,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1531,  2370,     0,
    1532,  1411,     0,     0,     0,     0,     0,     0,  1518,   720,
       0,  1519,     0,   666,   666,     0,     0,     0,     0,  1529,
       0,  2052,  1530,     0,     0,   666,     0,     0,  1520,     0,
       0,     0,     0,     0,  2478,  1531,  1522,     0,   610,   610,
       0,  1523,  2077,     0,  1039,     0,  1039,     0,     0,     0,
       0,     0,     0,  1039,     0,     0,  1039,     0,     0,  1039,
       0,     0,     0,     0,     0,     0,     0,  1039,  1039,     0,
    1533,  2371,     0,  2479,     0,  1039,     0,   756,  1039,  1039,
    1039,  1039,     0,     0,     0,     0,     0,     0,  1039,  1039,
       0,  1039,     0,  1039,     0,     0,  1039,  2372,     0,     0,
       0,     0,     0,     0,  2373,     0,     0,  2374,  1533,     0,
       0,  1293,     0,  1039,     0,     0,     0,  1039,     0,     0,
    1518,  1039,     0,  1519,     0,  1039,     0,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,     0,  1039,     0,     0,
    1520,   666,  1039,     0,  1039,     0,     0,  1778,  1522,  1518,
     666,     0,  1519,  1523,     0,     0,  1534,  1535,  1536,     0,
    1537,  1538,  1539,  1540,  1541,  1542,  1524,     0,     0,     0,
    1525,     0,     0,  2640,     0,     0,     0,  1522,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,  1527,     0,  1534,  1535,  1536,     0,  1537,  1538,
    1539,  1540,  1541,  1542,     0,  1528,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1529,     0,     0,
    1530,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,     0,     0,  1532,     0,     0,     0,
       0,     0,     0,     0,     0,  1678,  1293,     0,     0,     0,
    2707,     0,   666,     0,   666,     0,  1039,  1293,  1524,     0,
       0,     0,  1525,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2217,     0,  1158,
       0,     0,     0,  1526,  1527,  1159,     0, -1998,     0,  2217,
     165,  1525,     0,     0,     0,     0,     0,  1528,     0,     0,
     727,     0,     0,     0,     0,   610,  1533,   610,     0,  1187,
       0,     0,  1526,  1527,     0,     0,     0,     0,     0,     0,
       0,     0,  1039,     0,  1160,     0, -1998,     0,     0,  1529,
    1293,     0,  1530,     0,     0,     0,     0,     0,     0,     0,
    1293,     0,     0,     0,     0,  1531,     0,   166,  1532,     0,
       0,     0,     0,     0,  1785,     0,     0,  1188,     0,     0,
    2318,  1530,     0,     0,     0,  2327,     0,   167,     0,     0,
       0,   666,     0,   168,  1531,  1161,     0,     0,     0,     0,
       0,     0,  1162,  2349,  2349,  1163,     0,     0,   169,   727,
       0,     0,  1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,
    1541,  1542,     0,   725,     0,     0,     0,     0,     0,  2686,
       0,     0,     0,     0,     0,     0,   170,     0,  1533,     0,
       0,   171,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,  1189,     0,     0,  1164,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0, -1998,     0,     0,
     725,     0,     0,     0,     0,     0,     0,   725,   725,   725,
     725,   725,   725,     0,     0,     0,   174,     0,     0,     0,
       0,     0,  1039,     0,     0,  3515,     0,     0,  1190,     0,
    1191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,  1293,  2349,     0,     0,     0,   666,     0,
       0,     0,   610,     0,  1534,  1535,  1536,     0,  1537,  1538,
    1539,  1540,  1541,  1542,     0,     0,     0,     0,  2147,  1293,
       0,     0,   175,     0,  1193,  1166,  2503,  1518,     0,     0,
    1519,     0,   725,  2517,     0,     0,     0,  1537,  1538,  1539,
    1540,  1541,  1542,     0,     0,     0,     0,  1983,  2545,   176,
       0,     0,  2545,  2558,  1194,  1522,     0,  1039,  1168,  1195,
    1523,     0,     0,     0,     0,     0,     0,     0,     0,   725,
    2349,   725,  2349,   177,     0,     0,     0,     0,  1518,   178,
       0,  1519,     0,  1196,     0,   179,     0,  2312,   180,     0,
       0,  1039,     0,  1197,     0,     0,     0,     0,  1520,     0,
       0,     0,  1518,  1411,     0,  1519,  1522,     0,     0,     0,
       0,  1523,     0,     0,   181,     0,   182,     0,     0,     0,
     183,     0,  1520,     0,     0,     0,  1039,     0,   184,     0,
    1522,     0,     0,   185,     0,  1523,     0,     0,     0,     0,
       0,     0,     0,   186,     0,     0,     0,     0,  3105,     0,
       0,     0,     0,     0,     0,   187,     0,  1039,  1039,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2312,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1518,     0,     0,  1519,     0, -1998,     0,  1039,  1039,  1525,
       0,     0,  1039,     0,     0,  1293,     0,     0,     0,     0,
    1520,     0,     0,     0,  1039,  1039,  1039,  1039,  1522,     0,
    1526,  1527,     0,  1523,     0,     0,  1039,     0,     0,  1039,
       0,  1039,  2690,     0, -1998,     0,     0,     0,     0,     0,
       0,  1039,  1039,     0,  1039,     0,  1524,     0,  1293,     0,
    1525,     0,  1293,  1293,     0,     0,     0,  1039,     0,  1039,
       0,   756,     0,  1039,     0,     0,     0,     0,     0,  1530,
    1524,  1526,  1527,     0,  1525,     0,     0,     0,     0,  1039,
       0,     0,  1531,   666,     0,  1528,     0,     0,     0,  1983,
       0,  1039,  1039,  1039,     0,  1526,  1527,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1039,  1528,
    3515,     0,     0,     0,  1678,     0,  1039,  1529,     0,     0,
    1530,     0,     0,     0,     0,  1039,     0,     0,     0,     0,
    1039,     0,     0,  1531,   666,     0,  1532,  1039,     0,     0,
       0,  1529,     0,     0,  1530,     0,     0,     0,  1524,     0,
       0,     0,  1525,     0,     0, -1998,     0,  1531,     0,     0,
    1532,     0,  1039,     0,  2349,     0,     0,     0,  1411,     0,
       0,     0,     0,  1526,  1527,   490,     0,     0,     0,     0,
       0,   532,   490,     0,     0,     0,     0,  1528,   571,     0,
     490,     0,     0,     0,     0,     0,   490,     0,   620,     0,
       0,     0,     0,     0,     0,     0,  1533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   680,     0,     0,  1529,
       0,     0,  1530,     0,     0,     0,     0,     0,     0,     0,
    1533,     0,     0,     0,     0,  1531,     0,     0,  1532,     0,
       0,     0,     0,     0,     0,  1537,  1538,  1539,  1540,  1541,
    1542,     0,     0,     0,     0,     0,     0,  1518,     0,     0,
    1519,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,     0,     0,  1522,     0,     0,     0,     0,
    1523,     0,  1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,
    1541,  1542,     0,     0,     0,     0,  2889,     0,  1533,  2349,
    2349,     0,     0,     0,     0,     0,  1534,  1535,  1536,     0,
    1537,  1538,  1539,  1540,  1541,  1542,     0,     0,     0,  1518,
    3090,     0,  1519,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,     0,   760,  1520,
     762,     0,   764,     0,     0,     0,     0,  1522,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1411,   666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   666,     0,     0,  1534,  1535,  1536,     0,  1537,  1538,
    1539,  1540,  1541,  1542,     0,     0,   666,     0,  3142,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,  1525,
       0,     0,     0,  2545,     0,     0,  2990,     0,     0,  1983,
       0,     0,     0,  1983,     0,     0,     0,     0,     0,  3003,
    1526,  1527,  1039,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1528,     0,     0,   666,     0,     0,
     666,     0,     0,     0,     0,     0,     0,  3021,     0,     0,
       0,     0,     0,     0,     0,   720,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2052,  1529,  1524,     0,  1530,
       0,  1525,     0,     0,     0,     0,     0,     0,   666,     0,
       0,     0,  1531,     0,     0,  1532,     0,     0,  1039,     0,
       0,     0,  1526,  1527,     0,     0,     0,  1039,     0,     0,
       0,     0,     0,  1039,     0,  1039,  1528,     0,     0,     0,
       0,  1039,     0,     0,  1039,  1039,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,     0,     0,     0,  1039,  1039,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1529,     0,
    1039,  1530,     0,     0,     0,     0,  1039,     0,     0,     0,
       0,     0,     0,     0,  1531,  1533,  1039,  1532,     0,  1039,
       0,  1039,     0,     0,     0,     0,     0,     0,     0,     0,
    1039,  1039,  1039,     0,     0,     0,  1039,     0,     0,  1039,
       0,     0,     0,     0,     0,     0,   666,   666,     0,  1039,
       0,     0,     0,     0,     0,  3128,     0,  1039,     0,  1039,
       0,     0,     0,     0,     0,     0,     0,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3157,  1411,
    1411,  1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,  1541,
    1542,   805,     0,     0,     0,  3151,     0,     0,     0,     0,
       0,     0,     0,  3175,     0,   823,   824,     0,     0,     0,
     826,     0,     0,     0,     0,     0,     0,     0,     0,   840,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   849,     0,  1518,     0,     0,  1519,     0,
       0,     0,     0,     0,     0,   868,     0,     0,   870,     0,
     872,     0,   875,  1534,  1535,  1536,     0,  1537,  1538,  1539,
    1540,  1541,  1542,  1522,     0,     0,     0,  3356,  1523,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1518,     0,     0,  1519,     0,   666,     0,     0,
     931,     0,   932,     0,     0,     0,     0,     0,     0,  1039,
       0,     0,  1520,     0,     0,   666,     0,     0,     0,     0,
    1522,     0,     0,     0,     0,  1523,     0,     0,     0,     0,
       0,     0,   666,     0,     0,     0,     0,     0,     0,     0,
       0,  2503,     0,     0,     0,     0,  3106,  3300,     0,     0,
       0,  1785,     0,  3021,     0,   680,     0,     0,     0,     0,
       0,     0,     0,     0,  1039,  1039,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2545, -1998,     0,     0,  1983,  1525,     0,     0,
       0,  1983,   778,     0,  1983,  2503,     0,  3336,     0,     0,
       0,     0,     0,     0,  2349,     0,  2349,     0,  1526,  1527,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -1998,     0,   779,     0,     0,     0,     0,     0,
       0,     0,  1518,     0,     0,  1519,  1039,   780,     0,     0,
       0,     0,     0,     0,     0,   781,     0,  1229,     0,   782,
    1524,     0,  1520,     0,  1525,     0,     0,  1530,     0,  1240,
    1522,     0,     0,  1518,     0,  1523,  1519,     0,  1246,   783,
    1531,     0,  1039,     0,  1248,  1526,  1527,     0,     0,  1039,
    1039,     0,     0,  1520,     0,  1295,     0,  1039,  1039,  1528,
     784,  1522,  1039,     0,     0,     0,  1523,     0,  1039,  1039,
       0,     0,  1039,     0,   666,   666,   666,   666,     0,     0,
       0,     0,     0,  1039,  1332,     0,     0,     0,     0,  3400,
       0,  1529,     0,   785,  1530,  1039,     0,     0,     0,     0,
       0,     0,     0,   756,     0,     0,     0,  1531,     0,     0,
    1532,     0,   610, -1998,   786,  1039,     0,     0,     0,   725,
     725,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3426,     0,     0,     0,   787,     0,
       0,     0,     0,     0,   490,     0,   490,     0,   490,     0,
     490,     0,   490,   490,   490,     0,     0,     0,     0,   490,
    1524,     0,     0,     0,  1525,     0,   725,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1533,     0,     0,     0,     0,  1526,  1527,     0,     0,     0,
       0,  1524,     0,     0,   788,  1525,     0,     0,     0,  1528,
    1411,     0,     0,  1537,  1538,  1539,  1540,  1541,  1542,     0,
       0,     0,     0,     0,     0,     0,  1526,  1527,     0,     0,
       0,   176,     0,     0,     0,     0,     0,     0,     0,     0,
    1528,  1529,     0,  1039,  1530,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   789,     0,  1531,     0,   790,
    1532,   791,     0,     0,     0,   737,     0,   792,     0,     0,
     737,     0,  1529,     0,     0,  1530,  1534,  1535,  1536,   737,
    1537,  1538,  1539,  1540,  1541,  1542,     0,     0,  1531,     0,
    3388,  1532,     0,     0,   666,     0,   793,     0,   794,     0,
    1039,     0,   795,     0,  1983,     0,     0,  3336,     0,     0,
     796,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1533,  1039,     0,     0,     0,     0,     0,   798,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   680,     0,     0,
       0,     0,     0,     0,     0,  1039,  1039,     0,     0,  1039,
       0,  1533,     0,     0,     0,     0,  1039,  1039,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3157,   756,   725,     0,
       0,     0,     0,  1752,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,   722,   736,   720,   756,     0,     0,
     736,     0,     0,     0,     0,     0,  1534,  1535,  1536,   736,
    1537,  1538,  1539,  1540,  1541,  1542,     0,     0,     0,     0,
    3544,  1411,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,     0,   666,     0,  1534,  1535,  1536,
       0,  1537,  1538,  1539,  1540,  1541,  1542,  2349,     0,  1785,
       0,  3567,     0,     0,     0,     0,     0,     0,  3300,     0,
       0,     0,     0,   666,     0,     0,     0,     0,     0,     0,
       0,     0,   725,  3157,     0,     0,  1518,     0,     0,  1519,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
    1039,     0,     0,  1039,  1522,  1039,     0,     0,     0,  1523,
       0,     0,  1518,     0,     0,  1519,     0,     0,  3660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     725,     0,  1520,     0,     0,     0,     0,     0,   666,     0,
    1522,  1039,     0,     0,     0,  1523,     0,  1918,     0,     0,
       0,   725,   725,   725,   725,     0,     0,     0,     0,  1940,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   737,     0,     0,  1991,   737,     0,
       0,  1995,     0,     0,     0,     0,     0,     0,   737,     0,
    2004,     0,  2006,     0,  2007,     0,     0,     0,     0,  2008,
       0,     0,     0,   737,  1039,     0,     0,     0,     0,     0,
       0,     0,   756,     0,  1524,     0,     0,     0,  1525,     0,
       0,     0,   490,     0,   490,     0,   490,     0,   490,     0,
     490,     0,     0,     0,   490,     0,     0,   737,     0,  1526,
    1527,     0,     0,     0,     0,   725,     0,     0,   720,     0,
    1524,     0,     0,  1528,  1525,  3157,     0,     0,     0,     0,
       0,     0,     0,     0,  3660,     0,     0,  1039,  1039,     0,
       0,     0,     0,     0,     0,  1526,  1527,   720,     0,     0,
       0,   725,     0,     0,     0,  1529,     0,  1518,  1530,  1528,
    1519,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1531,     0,  1039,  1532,   722,     0,     0,     0,     0,
       0,     0,   737,  1039,   736,  1522,     0,     0,   736,     0,
    1523,  1529,     0,     0,  1530,     0,     0,  3817,   736,  1518,
       0,     0,  1519,     0,     0,     0,     0,  1531,     0,     0,
    1532,     0,     0,   736,     0,     0,     0,   722,     0,  1520,
       0,     0,     0,     0,   722,     0,     0,  1522,     0,     0,
       0,     0,  1523,  1518,     0,     0,  1519,  1039,     0,     0,
       0,     0,  3817,     0,  1533,     0,   720,   736,     0,     0,
    3817,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,  1522,     0,     0,     0,     0,  1523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3109,     0,
    1533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -1998,     0,   722,     0,  1525,
       0,     0,   736,     0,     0,     0,     0,     0,     0,     0,
    1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,  1541,  1542,
    1526,  1527,     0,     0,  3605,     0,     0,     0,   722,     0,
       0,     0,     0,     0, -1998,     0,     0,  1524,     0,     0,
       0,  1525,     0,     0,     0,     0,  1534,  1535,  1536,     0,
    1537,  1538,  1539,  1540,  1541,  1542,     0,     0,     0,     0,
    3749,     0,  1526,  1527,     0,     0,     0,     0,     0,  1530,
       0,  1524,     0,     0,     0,  1525,  1528,     0,     0,     0,
       0,     0,  1531,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   737,     0,     0,     0,  1526,  1527,     0,     0,
       0,  2266,     0,     0,   737,     0,  2270,     0,  1529,     0,
    1528,  1530,     0,     0,     0,     0,  2280,     0,     0,     0,
       0,     0,     0,  2286,  1531,     0,     0,  1532,     0,  2291,
       0,   722,     0,     0,     0,  2301,     0,     0,   722,     0,
    2303,     0,  1529,     0,     0,  1530,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -1998,     0,     0,  1531,  1294,
       0,  1532,     0,     0,     0,     0,  2319,  2320,  2323,  2325,
       0,     0,  1518,  2332,  2335,  1519,     0,     0,  2338,     0,
       0,  2342,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,  1520,     0,     0,  1518,  2243,  1533,  1519,  2377,
    1522,     0,     0,     0,     0,  1523,     0,     0,     0,  2380,
       0,  2382,     0,     0,     0,  1520,     0,     0,     0,     0,
    2393,  2394,  2395,  1522,  2397,     0,     0,     0,  1523,     0,
       0,  1533,   736,  2410,  2411,     0,   722,     0,     0,     0,
       0,  2414,  2415,     0,   736,  1537,  1538,  1539,  1540,  1541,
    1542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   737,     0,     0,     0,     0,
       0,     0,   737,   737,     0,     0,  2244,     0,     0,     0,
       0,  1294,  1664,  1534,  1535,  1536,     0,  1537,  1538,  1539,
    1540,  1541,  1542,     0,     0,     0,     0,  3825,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,  1534,  1535,  1536,
       0,  1537,  1538,  1539,  1540,  1541,  1542,     0,     0,  3136,
    1524,     0,  2664,  1664,  1525,     0,   722,  2665,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1524,     0,  1526,  1527,  1525,     0,     0,
       0,     0,     0,   722,   722,     0,   722,     0,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,  1526,  1527,
       0,     0,     0,   722,     0,     0,     0,     0,     0,     0,
       0,     0,  1528,     0,     0,     0,     0,     0,     0,     0,
       0,  1529,     0,     0,  1530,   736,     0,     0,     0,     0,
       0,     0,   736,   736,     0,     0,     0,  1531,     0,     0,
    1532,   722,  1663,     0,  1529,     0,     0,  1530,     0,     0,
       0,     0,     0,     0,   737,     0,     0,     0,     0,     0,
    1531,     0,     0,  1532,     0,     0,     0,     0,  2613,     0,
       0,     0,     0,   722,     0,     0,  1518,   722,   722,  1519,
       0,     0,     0,     0,     0,     0,     0,     0,  1294,     0,
       0,     0,     0,  1663,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,  1522,     0,     0,     0,     0,  1523,
    1533,     0,     0,     0,     0,     0,     0,     0,     0,  1518,
       0,     0,  1519,     0,     0,  1294,     0,     0,     0,     0,
       0,     0,     0,  1533,     0,     0,  1664,     0,     0,     0,
     737,     0,     0,     0,     0,     0,     0,  1522,     0,     0,
       0,  1294,  1523,     0,     0,   737,     0,     0,     0,  2245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   736,     0,  1534,  1535,  1536,     0,
    1537,  1538,  1539,  1540,  1541,  1542,     0,   737,     0,     0,
       0,     0,  1294,     0,     0,     0,     0,     0,   737,  1534,
    1535,  1536,     0,  1537,  1538,  1539,  1540,  1541,  1542,  1294,
       0,     0,     0,     0,  1524,     0,     0,     0,  1525,     0,
    3386,     0,     0,     0,     0,     0,     0,     0,     0,  1294,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1526,
    1527,  2763,  2764,     0,     0,     0,     0,     0,     0,     0,
       0,  1294,     0,  1528,     0,     0,  1663, -1998,     0,     0,
     736,  1525,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2783,     0,     0,   736,     0,     0,     0,     0,
       0,     0,  1526,  1527,     0,  1529,     0,     0,  1530,     0,
       0,     0,   722,     0,   722,     0, -1998,     0,     0,     0,
    1294,  1531,     0,   722,  1532,     0,  2802,  2803,  2804,  2805,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3082,     0,     0,     0,     0,   736,     0,     0,
       0,  1530,     0,     0,  1664,     0,     0,     0,   736,     0,
       0,     0,     0,     0,  1531,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   722,
       0,     0,     0,     0,  1533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3083,     0,     0,
    2846,     0,     0,     0,     0,  2848,     0,     0,     0,     0,
       0,     0,     0,     0,   722,     0,   722,     0,     0,     0,
       0,     0,     0,   722,     0,     0,   722, -1998,     0,   722,
       0,     0,     0,     0,     0,     0,     0,   722,   722,     0,
       0,     0,     0,     0,     0,   722,     0,     0,   722,   722,
     722,   722,     0,     0,     0,     0,     0,     0,   722,   722,
       0,   722,     0,   722,     0,     0,   722,     0,     0,     0,
    1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,  1541,  1542,
       0,     0,  1294,   722,  1663,     0,     0,   722,     0,     0,
       0,   722,  2950,  2951,     0,   722,     0,   722,   722,   722,
     722,   722,   722,   722,   722,   722,     0,   722,     0,     0,
       0,     0,   722,     0,   722,     0,     0,  1537,  1538,  1539,
    1540,  1541,  1542,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   737,     0,     0,  1664,   737,
       0,     0,     0,     0,  3009,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3018,     0,     0,
       0,   737,     0,     0,     0,     0,     0,     0,     0,   737,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1518,     0,     0,  1519,     0,     0,     0,
       0,     0,   737,     0,     0,     0,     0,     0,     0,     0,
       0,   738,     0,  1520,     0,     0,   738,     0,     0,     0,
       0,  1522,   737,     0,  1664,   738,  1523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     737,     0,     0,   737,     0,     0,   722,   544,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   545,
    1664,   737,     0,     0,     0,     0,     0,     0,   737,     0,
       0,     0,     0,     0,     0,     0,     0,   737,     0,   546,
       0,     0,     0,     0,   737,   736,     0,     0,  1663,   736,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   547,     0,     0,     0,     0,     0,
       0,   736,   722,     0,     0,     0,     0,     0,     0,   736,
       0,     0,     0,     0,   548,     0,     0,     0,   502,  3800,
       0,     0,  1294,     0,     0,     0,     0,  1294,  1294,     0,
     503,     0,   736,     0,     0,   549,     0,     0,  1294,     0,
       0,  1524,     0,     0,     0,  1525,     0,     0,     0,     0,
     504,     0,   736,     0,  1663,     0,     0,     0,     0,     0,
       0,     0,     0,   550,     0,     0,  1526,  1527,   551,     0,
     736,   505,     0,   736,   552,  -613,  3174,     0,     0,     0,
    1528,     0,   737,     0,     0,     0,     0,     0,     0,   553,
    1663,   736,     0,     0,     0,   506,     0,     0,   736,     0,
       0,   507,     0,     0,     0,     0,     0,   736,     0,     0,
       0,     0,  1529,  3200,   736,  1530,   508,     0,  3207,     0,
    3209,  3210,  3211,  3212,     0,     0,   737,     0,  1531,     0,
       0,  1532,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   509,     0,     0,  3801,     0,     0,
       0,   510,   722,     0,  1294,   511,     0,     0,     0,   737,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   554,
    -766,     0,     0,     0,     0,     0,     0,     0,     0,   555,
       0,     0,     0,     0,     0,     0,     0,   737,     0,  3265,
    3267,  3269,     0,  3271,     0,     0,   176,     0,     0,     0,
       0,  1533,     0,     0,     0,     0,   512,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1294,
     556,     0,   736,     0,   557,     0,   558,   722,     0,     0,
       0,     0,   559,     0,     0,   560,     0,   722,     0,     0,
     738,     0,     0,     0,   738,     0,     0,     0,  1518,     0,
     513,  1519,  1664,   514,   738,     0,     0,  1664,     0,     0,
       0,   561,     0,   562,     0,  2783,   736,   563,  1520,   738,
       0,   722,     0,     0,     0,   564,  1522,     0,     0,     0,
     565,  1523,     0,     0,  3338,     0,     0,  1534,  1535,  1536,
     566,  1537,  1538,  1539,  1540,  1541,  1542,     0,     0,   736,
       0,   515,   567,   738,     0,     0,   722,   516,  1518,     0,
       0,  1519,     0,  -345,     0,     0,   517,  1294,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   736,  1520,     0,
       0,  2628,     0,     0,     0,   737,  1522,   722,   722,     0,
       0,  1523,  -345,     0,   518,   519,     0,   520,   521,     0,
       0,     0,     0,     0,     0,     0,   522,     0,     0,     0,
       0,   523,     0,     0,     0,     0,   524,   722,   722,     0,
       0,   525,   722,     0,     0,   737,     0,     0,   738,     0,
       0,     0,     0,  -345,   722,   722,   722,   722,     0,     0,
       0,     0,  1663,     0,     0,     0,   722,  1663,     0,   722,
       0,   722,     0,     0,     0,     0,  1524,     0,     0,     0,
    1525,   722,   722,     0,   722,     0,     0,     0,  1518,     0,
       0,  1519,     0,     0,     0,     0,     0,   722,     0,   722,
       0,  1526,  1527,   722,     0,     0,     0,     0,  1520,     0,
       0,  2672,     0,     0,     0,  1528,  1522,     0,     0,   722,
       0,  1523,     0,     0,     0,     0,     0,     0,  3432,   722,
     737,   722,   722,   722,     0,     0,  1524,   737,     0,  3441,
    1525,     0,     0,     0,     0,   736,     0,  1529,   722,     0,
    1530,     0,     0,     0,     0,     0,   722,     0,     0,     0,
       0,  1526,  1527,  1531,     0,   722,  1532,  1664,  1664,  1664,
     722,     0,     0,     0,     0,  1528,     0,   722,     0,  2642,
       0,     0,     0,     0,     0,   736,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   737,
       0,     0,   722,     0,     0,     0,     0,  1529,     0,     0,
    1530,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,     0,     0,  1532,  1664,     0,     0,
    1294,  1294,     0,  1294,  3487,     0,  1533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1524,     0,     0,     0,
    1525,     0,     0,     0,     0,     0,  3505,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1664,     0,
     736,  1526,  1527,     0,  1294,     0,  1294,   736,   738,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,     0,
     738,     0,     0,  3532,     0,     0,  1533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1663,  1663,  1663,
       0,     0,   737,     0,     0,     0,     0,  1529,     0,     0,
    1530,     0,  1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,
    1541,  1542,     0,  1531,     0,     0,  1532,     0,     0,   736,
       0,     0,     0,     0,     0,  1294,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   737,     0,     0,     0,  1663,     0,     0,
    1294,     0,     0,     0,     0,     0,     0,     0,   737,     0,
       0,     0,  1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,
    1541,  1542,     0,     0,     0,     0,     0,     0,     0,     0,
     737,     0,     0,     0,     0,     0,  1533,     0,  1663,  1294,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1294,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1294,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   738,   736,  1294,     0,     0,     0,     0,   738,   738,
       0,     0,     0,     0,  1664,     0,  2783,     0,  1665,   722,
       0,     0,     0,   722,     0,     0,     0,     0,     0,     0,
       0,     0,   722,     0,     0,     0,     0,     0,  1294,     0,
       0,     0,  1534,  1535,  1536,     0,  1537,  1538,  1539,  1540,
    1541,  1542,     0,   736,     0,     0,     0,     0,     0,     0,
       0,  1026,     0,     0,     0,   722,     0,     0,   736,  1665,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     736,     0,  1085,     0,     0,     0,     0,     0,   722,     0,
    1292,  1294,     0,     0,     0,     0,     0,   722,     0,     0,
       0,     0,     0,   722,   737,   722,     0,     0,     0,     0,
    1294,   722,     0,     0,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,     0,     0,     0,   722,   722,     0,
    1664,     0,  1664,     0,     0,  1294,     0,     0,     0,     0,
     722,     0,  1284,     0,  1663,     0,   722,     0,     0,     0,
       0,     0,     0,     0,     0,  1664,   722,     0,     0,   722,
     738,   722,   737,     0,   737,     0,     0,     0,     0,  1294,
     722,   722,   722,     0,     0,     0,   722,     0,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,  3746,   722,
     737,     0,     0,     0,     0,     0,     0,   722,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1292,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,  1665,     0,   736,     0,   738,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   738,     0,     0,  1284,     0,     0,     0,     0,     0,
    1663,  1294,  1663,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1286,     0,     0,     0,  1663,     0,     0,     0,     0,
       0,     0,   736,     0,   736,     0,     0,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
     736,     0,     0,     0,     0,     0,     0,     0,     0,  1567,
       0,  1518,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,   737,     0,     0,     0,     0,     0,     0,
       0,  1520,  1458,     0,     0,     0,     0,     0,     0,  1522,
       0,     0,     0,     0,  1523,     0,     0,     0,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1481,     0,     0,     0,     0,     0,     0,  1294,     0,  1292,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1286,     0,     0,     0,  1505,  1506,     0,
    1508,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1294,   722,   722,  1292,  1547,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1284,     0,     0,     0,     0,   722,     0,     0,     0,
    1665,   722,  1292,     0,   722,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,  2677,     0,     0,     0,     0,  1284,     0,
       0,     0,     0,   736,     0,     0,     0,     0,     0,  1524,
       0,     0,   737,  1525,     0,     0,   722,  1692,     0,     0,
       0,  1702,  1705,   737,  1284,     0,     0,     0,     0,     0,
       0,     0,     0,  1292,  1526,  1527,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,     0,
    1292,     0,   722,     0,     0,     0,     0,     0,     0,   722,
     722,  1664,  1294,   737,     0,     0,     0,   722,   722,     0,
    1292,     0,   722,  1294,     0,     0,     0,     0,   722,   722,
    1529,     0,   722,  1530,     0,  1284,     0,     0,     0,     0,
       0,     0,  1292,   722,     0,     0,  1531,     0,     0,  1532,
       0,     0,  1284,     0,     0,   722,     0,     0,     0,     0,
    1286,     0,     0,  1664,     0,     0,     0,     0,     0,     0,
       0,     0,  1284,     0,     0,   722,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1292,     0,     0,  1284,     0,  1294,  1286,     0,     0,
       0,     0,   736,     0,     0,     0,  1294,     0,     0,     0,
       0,     0,     0,   736,     0,     0,     0,     0,     0,  1533,
       0,   738,     0,  1286,  1665,   738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   737,     0,     0,     0,
       0,     0,     0,  1284,     0,     0,     0,   738,     0,     0,
       0,  1663,     0,   736,     0,   738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   738,     0,
       0,     0,     0,     0,  1286,     0,     0,     0,     0,     0,
     737,     0,   737,   722,     0,     0,  1287,     0,   738,     0,
    1665,  1286,     0,  1663,     0,  1534,  1535,  1536,     0,  1537,
    1538,  1539,  1540,  1541,  1542,     0,   738,     0,     0,   738,
       0,  1286,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1665,   738,     0,     0,
       0,  1294,     0,  1286,   738,     0,     0,     0,     0,     0,
     722,     0,     0,   738,   722,     0,     0,     0,     0,  1294,
     738,     0,     0,  1292,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   736,     0,     0,     0,
       0,   722,     0,     0,     0,  1294,     0,     0,     0,     0,
       0,     0,  1286,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,   722,     0,     0,   722,
       0,     0,     0,     0,     0,  1284,   722,   722,  1287,     0,
       0,     0,     0,     0,     0,     0,     0,  2088,     0,     0,
     736,     0,   736,     0,     0,     0,   722,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2110,
       0,     0,  2112,  1294,     0,  2123,   722,     0,     0,     0,
       0,     0,  2130,  2135,     0,     0,     0,  2140,   738,     0,
    2145,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     737,     0,     0,     0,     0,     0,     0,  2154,     0,     0,
       0,  2160,   722,  1518,  1664,  2172,  1519,     0,     0,  2179,
       0,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
       0,  2190,   738,  1520,     0,     0,  1026,     0,  2214,     0,
    1518,  1522,     0,  1519,     0,     0,  1523,     0,     0,     0,
       0,     0,     0,   722,     0,  1294,     0,     0,     0,     0,
    1520,     0,     0,  2681,     0,   738,     0,     0,  1522,     0,
       0,     0,     0,  1523,     0,     0,     0,     0,     0,     0,
     722,  1294,     0,   722,  1286,   722,     0,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   722,     0,     0,  1294,  1287,     0,     0,  1294,  1294,
     737,     0,     0,  1292,     0,     0,     0,     0,  1292,  1292,
     736,     0,     0,     0,     0,     0,     0,     0,     0,  1292,
       0,     0,     0,     0,  1663,     0,     0,     0,  1665,     0,
       0,   722,  1287,  1665,     0,     0,     0,     0,     0,     0,
    1085,  1524,     0,     0,     0,  1525,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1284,  1294,     0,  1287,     0,
    1284,  1284,  1289,     0,     0,     0,  1526,  1527,  1524,     0,
       0,  1284,  1525,     0,   722,     0,     0,     0,     0,     0,
    1528,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1526,  1527,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2289,  1528,     0,     0,
       0,   738,  1529,     0,     0,  1530,     0,     0,   722,  1287,
       0,     0,     0,     0,     0,   722,     0,     0,  1531,     0,
       0,  1532,     0,     0,     0,  1292,  1287,   722,   722,  1529,
     736,     0,  1530,     0,     0,     0,     0,   722,     0,     0,
       0,   738,     0,     0,     0,  1531,  1287,     0,  1532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   722,     0,     0,     0,     0,  1287,     0,
       0,     0,     0,   722,  1289,     0,     0,  1284,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1292,  1533,     0,     0,  1286,     0,     0,     0,     0,  1286,
    1286,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1286,     0,     0,     0,     0,     0,     0,  1287,  1533,     0,
       0,     0,     0,     0,     0,     0,   738,   722,     0,     0,
       0,     0,     0,   738,     0,     0,   722,     0,     0,     0,
       0,     0,  1284,     0,     0,     0,  2450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1665,  1665,  1665,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1534,  1535,  1536,
       0,  1537,  1538,  1539,  1540,  1541,  1542,     0,  1292,     0,
       0,     0,     0,     0,     0,   738,     0,     0,     0,     0,
       0,     0,     0,     0,  1534,  1535,  1536,     0,  1537,  1538,
    1539,  1540,  1541,  1542,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1665,     0,     0,  1286,     0,     0,     0,
       0,  2562,     0,     0,     0,     0,     0,     0,     0,     0,
    1284,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1289,     0,     0,  1665,  2583,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1290,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1287,
    1518,  1286,     0,  1519,     0,     0,     0,     0,  1289,     0,
    1026,     0,     0,     0,     0,     0,     0,     0,   738,     0,
    1520,     0,     0,     0,     0,     0,     0,     0,  1522,     0,
       0,     0,     0,  1523,  1289,     0,     0,     0,     0,     0,
       0,     0,  2624,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   738,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   738,     0,     0,     0,  2135,     0,
    2135,  2135,     0,     0,     0,  1289,     0,     0,     0,  1286,
    2684,     0,     0,  2687,     0,  2689,   738,     0,  1290,     0,
       0,     0,  1289,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2710,  1289,  2712,     0,     0,     0,  2715,     0,     0,
       0,  1292,  1292,     0,  1292,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1289,     0,     0,     0,  1524,     0,
       0,     0,  1525,     0,     0,  2214,  2214,  2214,     0,     0,
    1665,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2742,  1526,  1527,  1292,     0,  1292,     0,     0,
    1085,     0,     0,  1284,  1284,     0,  1284,  1528,     0,  1692,
       0,     0,     0,  1289,  2756,     0,     0,     0,     0,     0,
       0,  1705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1529,
       0,     0,  1530,     0,     0,     0,  2772,  1284,     0,  1284,
       0,     0,     0,     0,     0,  1531,     0,     0,  1532,  1287,
       0,     0,     0,     0,  1287,  1287,  1292,     0,     0,     0,
       0,     0,     0,     0,     0,  1287,     0,     0,     0,     0,
     738,     0,  1291,     0,     0,     0,     0,     0,     0,     0,
       0,  1292,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1290,  1665,     0,  1665,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1284,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1533,     0,
    1292,  1665,     0,     0,     0,     0,     0,     0,   738,     0,
     738,     0,  1290,  1284,     0,     0,     0,  1292,     0,     0,
       0,     0,  1286,  1286,  3043,  1286,     0,     0,     0,     0,
       0,  1292,     0,     0,     0,     0,   738,     0,  1290,     0,
       0,     0,     0,     0,  1292,     0,     0,     0,     0,     0,
       0,     0,  1284,     0,     0,  1289,     0,     0,     0,     0,
       0,  1287,     0,     0,     0,     0,  1286,     0,  1286,  1284,
       0,     0,     0,     0,  1291,     0,     0,     0,     0,  1292,
       0,     0,     0,  1284,  1534,  1535,  1536,     0,  1537,  1538,
    1539,  1540,  1541,  1542,     0,     0,  1284,     0,     0,  1290,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1290,     0,     0,     0,
    1518,     0,     0,  1519,     0,     0,  1287,     0,     0,     0,
       0,  1284,     0,     0,     0,     0,  1290,  1286,     0,     0,
    1520,     0,  1292,  3089,     0,     0,     0,     0,  1522,     0,
       0,     0,     0,  1523,     0,     0,     0,     0,  1290,     0,
       0,  1292,  1286,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1292,     0,     0,     0,
       0,     0,     0,     0,  1284,     0,  2214,     0,     0,   738,
       0,  1286,     0,     0,     0,     0,     0,  1290,     0,     0,
       0,     0,     0,  1284,     0,     0,     0,     0,  1286,     0,
    1292,     0,     0,     0,  1287,     0,     0,     0,     0,     0,
       0,     0,  1286,     0,     0,     0,     0,     0,  1284,     0,
       0,     0,     0,     0,     0,  1286,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1291,  3044,     0,     0,     0,     0,     0,     0,     0,
       0,  3047,  1284,     0,     0,     0,     0,  3048,  1524,  3049,
    1286,     0,  1525,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1291,     0,
       0,  3067,  3068,  1526,  1527,  1289,     0,     0,     0,     0,
    1289,  1289,     0,     0,     0,     0,     0,  1528,     0,     0,
    2140,  1289,  1292,     0,  1291,     0,     0,     0,     0,     0,
    3093,     0,     0,  3096,     0,  3098,     0,     0,     0,     0,
       0,     0,     0,  1286,  3102,     0,     0,     0,   738,  1529,
    3107,     0,  1530,  3110,     0,     0,     0,     0,     0,   738,
       0,     0,  1286,  3117,     0,  1531,     0,     0,  1532,     0,
       0,  3129,     0,  2214,  1284,     0,     0,     0,     0,  1290,
       0,     0,     0,     0,     0,  1291,     0,  1286,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1665,     0,   738,
       0,     0,  1291,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1286,  1291,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1289,  1533,     0,
       0,     0,     0,     0,  1291,     0,     0,     0,  1292,  1665,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1287,  1287,     0,
    1287,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1292,     0,     0,     0,     0,     0,
       0,     0,     0,  1291,     0,     0,     0,     0,     0,     0,
    1284,     0,  1289,     0,     0,     0,     0,     0,     0,     0,
       0,  1287,     0,  1287,     0,     0,     0,     0,     0,     0,
       0,     0,   738,  1286,  1534,  1535,  1536,     0,  1537,  1538,
    1539,  1540,  1541,  1542,     0,     0,  1284,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   738,     0,   738,     0,
       0,     0,  1287,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1289,     0,     0,  1292,     0,     0,     0,  1287,  3315,  3316,
       0,     0,     0,     0,  1292,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1290,
       0,     0,     0,     0,  1290,  1290,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1290,  1287,     0,     0,  1286,
       0,     0,     0,     0,     0,  1284,     0,     0,     0,     0,
       0,     0,     0,  1287,     0,  1291,  1284,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1287,     0,     0,
    3354,     0,     0,     0,     0,  1286,     0,  1292,     0,     0,
    1287,     0,     0,     0,     0,     0,     0,  1292,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3370,  3372,  1287,     0,  1544,     0,     0,
       0,     0,     0,     0,     0,     0,  3379,     0,     0,  1284,
       0,     0,  3384,  3385,     0,     0,  3387,     0,     0,  1284,
       0,     0,     0,     0,     0,     0,     0,  2214,     0,     0,
       0,  1290,     0,     0,     0,     0,   738,     0,     0,  2214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1665,     0,     0,     0,     0,     0,  1544,     0,  1287,  3411,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1286,     0,     0,  1287,     0,     0,
       0,     0,     0,     0,     0,  1286,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1290,     0,     0,     0,
       0,     0,  1287,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1289,  1289,     0,  1289,     0,     0,     0,
    1292,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1292,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1289,  1286,  1289,
       0,     0,     0,     0,     0,     0,   738,     0,  1286,     0,
       0,     0,  1284,     0,     0,     0,     0,  3475,     0,     0,
       0,     0,     0,     0,     0,  1291,     0,     0,     0,     0,
    1291,  1291,     0,     0,  1290,     0,     0,     0,  1284,     0,
       0,  1291,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1292,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1289,     0,
       0,     0,     0,     0,  3522,     0,     0,     0,  1287,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1289,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1284,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1289,  3552,     0,     0,  1292,     0,     0,     0,
       0,  3554,     0,     0,     0,     0,     0,     0,     0,  1289,
       0,     0,     0,     0,     0,     0,     0,  1291,     0,     0,
       0,  1286,  1292,  1289,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1289,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1286,  1284,     0,
       0,     0,  1544,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1287,  1292,     0,     0,     0,  1292,
    1292,  1289,     0,     0,  1284,     0,     0,     0,     0,     0,
       0,     0,  1291,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1287,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1286,     0,  1284,     0,     0,
       0,  1284,  1284,     0,     0,     0,     0,     0,     0,  1544,
       0,     0,     0,     0,  1289,     0,     0,  1290,  1290,     0,
    1290,     0,     0,     0,     0,     0,     0,  2140,     0,     0,
       0,     0,  1544,  1289,     0,     0,     0,  2119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1544,  1544,  1289,  1544,
    1291,  1290,     0,  1290,     0,  3675,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1286,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1289,     0,     0,     0,     0,     0,  1544,  1287,
       0,     0,     0,  1286,     0,  3704,     0,     0,     0,     0,
    1287,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1290,  1544,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1286,     0,     0,     0,
    1286,  1286,     0,     0,     0,     0,     0,  1290,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1287,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1287,  1289,     0,  1290,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3763,  3763,  1290,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1290,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1290,     0,     0,  1544,     0,     0,     0,  3763,     0,     0,
       0,     0,     0,  1544,     0,     0,  1544,  3803,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1290,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1291,  1291,     0,  1291,     0,     0,     0,
       0,  3763,     0,     0,     0,     0,     0,     0,     0,     0,
    1289,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1290,     0,
       0,     0,     0,     0,     0,     0,  1287,  1291,     0,  1291,
       0,     0,     0,     0,     0,     0,  1289,  1290,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1287,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1290,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1290,     0,  1291,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1287,     0,     0,  1291,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1289,     0,     0,     0,     0,
       0,     0,  1291,     0,     0,     0,  1289,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1291,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1291,     0,     0,     0,     0,  1290,     0,
       0,     0,  1287,     0,     0,     0,  1291,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1287,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1289,
       0,  1291,     0,     0,     0,     0,     0,     0,     0,  1289,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1287,     0,     0,     0,  1287,  1287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1291,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1544,
       0,     0,     0,  1291,  1290,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1544,     0,  1544,     0,  2119,  2119,  2660,  1291,     0,
    2119,     0,     0,     0,  1544,     0,     0,     0,     0,     0,
    1290,  1544,     0,     0,     0,     0,  1544,     0,     0,     0,
       0,  1544,     0,     0,     0,     0,  1544,     0,     0,     0,
       0,     0,  1291,     0,     0,  1544,     0,     0,     0,  2119,
    2119,  1544,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1289,  1544,     0,     0,     0,     0,     0,     0,
    1544,     0,  1544,  1544,  1544,  1544,  1544,  1544,  1544,  1544,
    1544,  1544,     0,     0,     0,     0,     0,     0,  1289,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       1,     0,     0,     0,     0,  1544,     0,     0,     0,     0,
       2,     0,     3,     4,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1290,
       0,     0,     0,     0,  1291,     0,     6,     0,     7,     8,
    1290,     0,     0,     9,     0,    10,  1289,     0,     0,     0,
       0,     0,     0,     0,     0,    11,     0,    12,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1544,     0,     0,     0,     0,     0,    13,     0,     0,    14,
       0,     0,     0,     0,     0,    15,     0,     0,     0,     0,
       0,    16,     0,    17,     0,     0,     0,    18,     0,     0,
       0,     0,     0,    19,     0,     0,     0,     0,     0,     0,
      20,     0,    21,  1290,     0,     0,     0,    22,     0,     0,
       0,     0,     0,  1290,     0,     0,     0,     0,  1289,     0,
       0,    23,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1289,     0,     0,     0,     0,    24,
    1291,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    25,    26,     0,     0,     0,     0,    27,
       0,     0,     0,     0,     0,     0,  1291,  1289,    28,     0,
       0,  1289,  1289,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    29,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1544,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    30,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    31,     0,     0,     0,    32,     0,    33,     0,
       0,     0,     0,    34,     0,     0,  1290,     0,    35,     0,
       0,    36,     0,     0,     0,    37,     0,     0,     0,     0,
       0,    38,     0,     0,     0,     0,     0,     0,    39,     0,
       0,    40,  1290,     0,     0,     0,     0,     0,    41,     0,
       0,     0,     0,     0,     0,  1291,     0,     0,     0,     0,
       0,    42,     0,     0,     0,     0,  1291,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    43,     0,
       0,     0,     0,  1544,     0,     0,     0,    44,     0,    45,
       0,     0,    46,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,  1544,     0,     0,     0,    48,     0,
    1290,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1291,
       0,    49,     0,     0,     0,  1544,     0,     0,     0,  1291,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2660,  2660,     0,  2119,
       0,     0,  2119,  2119,  2119,  2119,  2119,  2119,  2119,  2119,
    2119,  2119,  2660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1290,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1544,     0,     0,  1544,     0,
    1544,     0,     0,     0,     0,  2660,  2660,     0,  1290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2119,
    2119,  1544,     0,  1544,     0,     0,  1544,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1290,     0,  1544,     0,  1290,  1290,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1544,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1544,     0,     0,     0,     0,     0,     0,
       0,     0,  1291,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1291,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1291,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1291,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1291,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1291,     0,     0,
       0,  1291,  1291,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1544,     0,     0,  1544,  1544,
    1544,     0,     0,  2660,     0,     0,     0,     0,  2660,  2660,
    2660,  2660,  2660,  2660,  2660,  2660,  2660,  2660,  1544,  1544,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1544,  2119,  2119,  1544,     0,  1544,
       0,     0,     0,  1544,  2660,  2660,     0,     0,  1544,     0,
       0,  1544,     0,     0,     0,     0,     0,     0,  1544,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1544,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2660,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1544,  1544,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1544,     0,     0,     0,  2119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1544,     0,  1544,     0,     0,     0,     0,  2660,  2660,
    1544,     0,     0,  2119,  2119,  1544,  1544,     0,  1544,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1544,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1544,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1544,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2660,  2119,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2660,  2660,  1544,     0,  1544,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,  2660,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,  1544,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,  1544,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,  1544,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,  1544,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,  3415,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,  1069,   696,   946,   539,   947,   948,
     949,   584,   950,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,  2208,   200,   201,   202,     0,     0,
       0,     0,   951,     0,     0,   203,   204,     0,   205,   697,
     206,   207,   208,   209,   952,   698,   953,   954,     0,   213,
     214,   215,   216,   217,   955,   956,   218,   219,   957,   958,
     222,     0,   223,   224,   225,   226,   959,     0,     0,   228,
     229,   230,   231,   699,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   700,   243,   244,
     960,   961,   962,   963,   964,   965,   966,   245,   246,   247,
     248,   249,   250,   967,   968,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,  2209,     0,
     263,   264,   969,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,   970,   278,   279,
     971,   972,   281,     0,   282,   973,   284,     0,   285,     0,
     286,   702,     0,   703,   287,   288,   289,     0,   290,   974,
       0,   292,     0,   293,   294,   295,   296,   297,   704,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   705,   308,   309,   310,   311,   312,   975,   976,     0,
     977,     0,   316,   706,   707,   317,   708,   318,   319,   320,
     321,   322,   323,     0,   978,   709,   325,   710,     0,   326,
     327,   328,   979,   980,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   981,   711,   982,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   983,
     353,   354,   712,   355,   984,   985,   357,   986,   359,   360,
     361,     0,   362,     0,     0,   987,   364,   365,     0,     0,
     366,   713,   714,   715,   988,   368,   369,   370,   371,   372,
     373,     0,   374,   989,   376,   377,   378,   379,   380,     0,
     381,   382,   383,   384,   385,   386,   387,   990,   389,   390,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   716,   404,   405,   991,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   992,   420,   421,   422,   423,   717,   424,
     993,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   994,   437,     0,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,   995,   996,     0,     0,   448,
     997,   450,   998,   999,   452,   453,   454,   455,   456,   457,
       0,  1000,   458,   459,   460,   461,  1001,     0,   462,   463,
     464,   465,   466,  1002,  2210,   468,   718,   469,   470,   471,
       0,     0,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1003,  1004,  1005,  1006,  1007,  1008,  1009,   486,   487,
     488,     0,     0,     0,     0,     0,     0,     0,  1010,  1011,
    2211,     0,     0,     0,     0,     0,     0,  1013,  2212,   696,
     946,   539,   947,   948,   949,   584,   950,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,   951,     0,     0,   203,
     204,     0,   205,   697,   206,   207,   208,   209,   952,   698,
     953,   954,     0,   213,   214,   215,   216,   217,   955,   956,
     218,   219,   957,   958,   222,     0,   223,   224,   225,   226,
     959,     0,     0,   228,   229,   230,   231,   699,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,   700,   243,   244,   960,   961,   962,   963,   964,   965,
     966,   245,   246,   247,   248,   249,   250,   967,   968,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   969,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   970,   278,   279,   971,   972,   281,     0,   282,   973,
     284,     0,   285,     0,   286,   702,     0,   703,   287,   288,
     289,     0,   290,   974,     0,   292,     0,   293,   294,   295,
     296,   297,   704,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   705,   308,   309,   310,   311,
     312,   975,   976,     0,   977,     0,   316,   706,   707,   317,
     708,   318,   319,   320,   321,   322,   323,     0,   978,   709,
     325,   710,     0,   326,   327,   328,   979,   980,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   981,   711,   982,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   983,   353,   354,   712,   355,   984,   985,
     357,   986,   359,   360,   361,     0,   362,     0,     0,   987,
     364,   365,     0,     0,   366,   713,   714,   715,   988,   368,
     369,   370,   371,   372,   373,     0,   374,   989,   376,   377,
     378,   379,   380,     0,   381,   382,   383,   384,   385,   386,
     387,   990,   389,   390,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   716,
     404,   405,   991,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   992,   420,   421,
     422,   423,   717,   424,   993,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   994,   437,     0,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,   995,
     996,     0,     0,   448,   997,   450,   998,   999,   452,   453,
     454,   455,   456,   457,     0,  1000,   458,   459,   460,   461,
    1001,     0,   462,   463,   464,   465,   466,  1002,     0,   468,
     718,   469,   470,   471,     0,     0,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1003,  1004,  1005,  1006,  1007,
    1008,  1009,   486,   487,   488,     0,     0,     0,     0,     0,
       0,     0,  1010,  1011,   190,     0,     0,     0,     0,     0,
       0,  1013,  2121,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,  2543,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242, -1247,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0, -1247,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
   -1247,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317, -1247,   318,   319,   320,   321,
     322,   323,     0,   324, -1247,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342, -1247,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403, -1247,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,     0,     0,     0,     0,     0,     0,  1260,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,   191,   192,
     193,   194,   195,   196,   197,   198,     0,   200,   201,   202,
       0,     0,     0,     0,     0,     0,     0,   203,   204,     0,
     205,   697,   206,   207,   208,     0,  1261,   698,  1262,  1263,
       0,   213,   214,   215,   216,   217,     0,     0,   218,   219,
    1264,  1265,   222,     0,   223,   224,   225,   226,     0,     0,
       0,   228,   229,   230,   231,   699,   232,   233,     0,   234,
     235,   236,   237,   238,   239,     0,   240,   241,   242,   700,
     243,   244,     0,     0,     0,   701,     0,     0,     0,   245,
     246,   247,   248,   249,   250,  1266,  1267,   253,     0,   254,
       0,   255,   256,   257,   258,   259,     0,   260,   261,   262,
       0,     0,   263,   264,   969,   266,   267,     0,   268,   269,
     270,     0,   271,   272,     0,   273,   274,   275,   276,     0,
     278,   279,     0,     0,   281,     0,   282,  1268,   284,     0,
     285,     0,   286,   702,     0,   703,   287,   288,   289,     0,
     290,     0,     0,   292,     0,   293,   294,   295,   296,   297,
     704,   298,   299,   300,  1766,   301,   302,   303,   304,   305,
     306,     0,   307,   705,  1767,   309,   310,   311,   312,  1269,
    1270,     0,  1271,     0,   316,   706,   707,   317,   708,   318,
     319,   320,   321,   322,   323,     0,     0,   709,   325,   710,
       0,   326,   327,   328,     0,     0,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,  1272,
     711,  1273,   344,   345,   346,   347,   348,   349,   350,     0,
     352,     0,   353,   354,   712,   355,     0,     0,   357,  1274,
     359,   360,   361,     0,   362,     0,     0,   363,   364,   365,
       0,     0,  1768,   713,   714,   715,     0,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   376,     0,   378,   379,
     380,     0,   381,   382,   383,   384,   385,   386,   387,  1275,
     389,   390,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   716,   404,   405,
       0,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,     0,   420,  1769,   422,   423,
     717,   424,  1277,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,     0,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,  1278,  1279,     0,
       0,   448,     0,   450,     0,     0,   452,   453,   454,   455,
     456,   457,     0,     0,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,     0,  1280,  1770,   468,   718,   469,
     470,   471,     0,     0,   472,     0,     0,   473,   474,   475,
     476,   477,  1260,     0,     0,     0,     0,     0,     0,     0,
     486,   487,   488,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
    1771,     0,   203,   204,     0,   205,   697,   206,   207,   208,
       0,  1261,   698,  1262,  1263,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,  1264,  1265,   222,     0,   223,
     224,   225,   226,     0,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,   244,     0,     0,     0,
     701,     0,     0,     0,   245,   246,   247,   248,   249,   250,
    1266,  1267,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   969,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,     0,   278,   279,     0,     0,   281,
       0,   282,  1268,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,     0,     0,   292,     0,
     293,   294,   295,   296,   297,   704,   298,   299,   300,  1766,
     301,   302,   303,   304,   305,   306,     0,   307,   705,  1767,
     309,   310,   311,   312,  1269,  1270,     0,  1271,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,     0,   709,   325,   710,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,  1272,   711,  1273,   344,   345,   346,
     347,   348,   349,   350,     0,   352,     0,   353,   354,   712,
     355,     0,     0,   357,  1274,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,  1768,   713,   714,
     715,     0,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   376,     0,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,  1275,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,  1769,   422,   423,   717,   424,  1277,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,  1278,  1279,     0,     0,   448,     0,   450,     0,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,     0,
    1280,  1770,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   696,   946,   539,
     947,   948,   949,   584,   950,   486,   487,   488,   191,   192,
     193,   194,   195,   196,   197,   198,     0,   200,   201,   202,
       0,     0,     0,     0,   951,  2524,     0,   203,   204,     0,
     205,   697,   206,   207,   208,   209,   952,   698,   953,   954,
    2131,   213,   214,   215,   216,   217,   955,   956,   218,   219,
     957,   958,   222,     0,   223,   224,   225,   226,   959,     0,
       0,   228,   229,   230,   231,   699,   232,   233,     0,   234,
     235,   236,   237,   238,   239,     0,   240,   241,   242,   700,
     243,   244,   960,   961,   962,   963,   964,   965,   966,   245,
     246,   247,   248,   249,   250,   967,   968,   253,     0,   254,
       0,   255,   256,   257,   258,   259,     0,   260,   261,   262,
       0,     0,   263,   264,   969,   266,   267,     0,   268,   269,
     270,     0,   271,   272,     0,   273,   274,   275,   276,   970,
     278,   279,   971,   972,   281,     0,   282,   973,   284,     0,
     285,     0,   286,   702,  2132,   703,   287,   288,   289,     0,
     290,   974,     0,   292,     0,   293,   294,   295,   296,   297,
     704,   298,   299,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   705,   308,   309,   310,   311,   312,   975,
     976,     0,   977,     0,   316,   706,   707,   317,   708,   318,
     319,   320,   321,   322,   323,  2133,   978,   709,   325,   710,
       0,   326,   327,   328,   979,   980,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   981,
     711,   982,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   983,   353,   354,   712,   355,   984,   985,   357,   986,
     359,   360,   361,     0,   362,     0,     0,   987,   364,   365,
       0,     0,   366,   713,   714,   715,   988,   368,   369,   370,
     371,   372,   373,     0,   374,   989,   376,   377,   378,   379,
     380,     0,   381,   382,   383,   384,   385,   386,   387,   990,
     389,   390,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   716,   404,   405,
     991,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   992,   420,   421,   422,   423,
     717,   424,   993,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   994,   437,     0,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,   995,   996,     0,
    2134,   448,   997,   450,   998,   999,   452,   453,   454,   455,
     456,   457,     0,  1000,   458,   459,   460,   461,  1001,     0,
     462,   463,   464,   465,   466,  1002,     0,   468,   718,   469,
     470,   471,     0,     0,   472,     0,     0,   473,   474,   475,
     476,   477,   478,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
     486,   487,   488,     0,     0,     0,     0,     0,     0,     0,
    1010,  1011,     0,     0,     0,     0,     0,     0,     0,  1013,
     696,   946,   539,   947,   948,   949,   584,   950,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,   951,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   952,
     698,   953,   954,     0,   213,   214,   215,   216,   217,   955,
     956,   218,   219,   957,   958,   222,     0,   223,   224,   225,
     226,   959,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,   960,   961,   962,   963,   964,
     965,   966,   245,   246,   247,   248,   249,   250,   967,   968,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   969,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   970,   278,   279,   971,   972,   281,     0,   282,
     973,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   974,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   975,   976,     0,   977,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   978,
     709,   325,   710,     0,   326,   327,   328,   979,   980,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   981,   711,   982,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   983,   353,   354,   712,   355,   984,
     985,   357,   986,   359,   360,   361,     0,   362,     0,     0,
     987,   364,   365,     0,     0,   366,   713,   714,   715,   988,
     368,   369,   370,   371,   372,   373,     0,   374,   989,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   990,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   991,   407,   408,   409,   410,   411,   412,
     413,   414,    38,   415,   416,   417,   418,   419,   992,   420,
     421,   422,   423,   717,   424,   993,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   994,   437,     0,
     438,   439,    42,   440,   441,   442,   443,   444,   445,     0,
     995,   996,     0,     0,   448,   997,   450,   998,   999,   452,
     453,   454,   455,   456,   457,     0,  1000,   458,   459,   460,
     461,  1001,     0,   462,   463,   464,   465,   887,  1002,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,    48,
     473,   474,   475,   476,   477,   478,  1003,  1004,  1005,  1006,
    1007,  1008,  1009,   486,   487,   488,     0,     0,     0,     0,
       0,     0,     0,  1010,  1011,     0,     0,     0,     0,     0,
       0,     0,  1013,   696,   946,   539,   947,   948,   949,   584,
     950,     0,     0,     0,   191,   192,   193,   194,   195,   196,
     197,   198,     0,   200,   201,   202,     0,     0,     0,     0,
     951,     0,     0,   203,   204,     0,   205,   697,   206,   207,
     208,   209,   952,   698,   953,   954,     0,   213,   214,   215,
     216,   217,   955,   956,   218,   219,   957,   958,   222,     0,
     223,   224,   225,   226,   959,     0,     0,   228,   229,   230,
     231,   699,   232,   233,     0,   234,   235,   236,   237,   238,
     239,     0,   240,   241,   242,   700,   243,   244,   960,   961,
     962,   963,   964,   965,   966,   245,   246,   247,   248,   249,
     250,   967,   968,   253,     0,   254,     0,   255,   256,   257,
     258,   259,     0,   260,   261,   262,     0,     0,   263,   264,
     969,   266,   267,     0,   268,   269,   270,     0,   271,   272,
       0,   273,   274,   275,   276,   970,   278,   279,   971,   972,
     281,     0,   282,   973,   284,     0,   285,     0,   286,   702,
       0,   703,   287,   288,   289,     0,   290,   974,     0,   292,
       0,   293,   294,   295,   296,   297,   704,   298,   299,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   705,
     308,   309,   310,   311,   312,   975,   976,     0,   977,     0,
     316,   706,   707,   317,   708,   318,   319,   320,   321,   322,
     323,     0,   978,   709,   325,   710,     0,   326,   327,   328,
     979,   980,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   981,   711,   982,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   983,   353,   354,
     712,   355,   984,   985,   357,   986,   359,   360,   361,     0,
     362,     0,     0,   987,   364,   365,     0,     0,   366,   713,
     714,   715,   988,   368,   369,   370,   371,   372,   373,     0,
     374,   989,   376,   377,   378,   379,   380,     0,   381,   382,
     383,   384,   385,   386,   387,   990,   389,   390,   391,     0,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   716,   404,   405,   991,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   992,   420,   421,   422,   423,   717,   424,   993,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     994,   437,     0,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,   995,   996,     0,     0,   448,   997,   450,
     998,   999,   452,   453,   454,   455,   456,   457,     0,  1000,
     458,   459,   460,   461,  1001,     0,   462,   463,   464,   465,
     466,  1002,     0,   468,   718,   469,   470,   471,     0,     0,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1003,
    1004,  1005,  1006,  1007,  1008,  1009,   486,   487,   488,     0,
       0,     0,     0,     0,     0,     0,  1010,  1011,     0,     0,
       0,     0,     0,  1453,  2080,  1013,   696,   946,   539,   947,
     948,   949,   584,   950,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,   951,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,   209,   952,   698,   953,   954,     0,
     213,   214,   215,   216,   217,   955,   956,   218,   219,   957,
     958,   222,     0,   223,   224,   225,   226,   959,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,   960,   961,   962,   963,   964,   965,   966,   245,   246,
     247,   248,   249,   250,   967,   968,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   969,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   970,   278,
     279,   971,   972,   281,     0,   282,   973,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
     974,     0,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,   308,   309,   310,   311,   312,   975,   976,
       0,   977,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,   978,   709,   325,   710,     0,
     326,   327,   328,   979,   980,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   981,   711,
     982,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     983,   353,   354,   712,   355,   984,   985,   357,   986,   359,
     360,   361,     0,   362,     0,     0,   987,   364,   365,     0,
       0,   366,   713,   714,   715,   988,   368,   369,   370,   371,
     372,   373,     0,   374,   989,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   990,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,   991,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   992,   420,   421,   422,   423,   717,
     424,   993,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   994,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   995,   996,     0,     0,
     448,   997,   450,   998,   999,   452,   453,   454,   455,   456,
     457,     0,  1000,   458,   459,   460,   461,  1001,     0,   462,
     463,   464,   465,   466,  1002,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1003,  1004,  1005,  1006,  1007,  1008,  1009,   486,
     487,   488,     0,     0,     0,     0,     0,     0,     0,  1010,
    1011,  1012,     0,     0,     0,     0,     0,     0,  1013,   696,
     946,   539,   947,   948,   949,   584,   950,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,   951,     0,     0,   203,
     204,     0,   205,   697,   206,   207,   208,   209,   952,   698,
     953,   954,     0,   213,   214,   215,   216,   217,   955,   956,
     218,   219,   957,   958,   222,     0,   223,   224,   225,   226,
     959,     0,     0,   228,   229,   230,   231,   699,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,   700,   243,   244,   960,   961,   962,   963,   964,   965,
     966,   245,   246,   247,   248,   249,   250,   967,   968,   253,
    1084,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   969,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   970,   278,   279,   971,   972,   281,     0,   282,   973,
     284,     0,   285,     0,   286,   702,     0,   703,   287,   288,
     289,     0,   290,   974,     0,   292,     0,   293,   294,   295,
     296,   297,   704,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   705,   308,   309,   310,   311,
     312,   975,   976,     0,   977,     0,   316,   706,   707,   317,
     708,   318,   319,   320,   321,   322,   323,     0,   978,   709,
     325,   710,     0,   326,   327,   328,   979,   980,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   981,   711,   982,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   983,   353,   354,   712,   355,   984,   985,
     357,   986,   359,   360,   361,     0,   362,     0,     0,   987,
     364,   365,     0,     0,   366,   713,   714,   715,   988,   368,
     369,   370,   371,   372,   373,     0,   374,   989,   376,   377,
     378,   379,   380,     0,   381,   382,   383,   384,   385,   386,
     387,   990,   389,   390,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   716,
     404,   405,   991,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   992,   420,   421,
     422,   423,   717,   424,   993,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   994,   437,     0,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,   995,
     996,     0,     0,   448,   997,   450,   998,   999,   452,   453,
     454,   455,   456,   457,     0,  1000,   458,   459,   460,   461,
    1001,     0,   462,   463,   464,   465,   466,  1002,     0,   468,
     718,   469,   470,   471,     0,     0,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1003,  1004,  1005,  1006,  1007,
    1008,  1009,   486,   487,   488,     0,     0,     0,     0,     0,
       0,     0,  1010,  1011,     0,     0,     0,     0,     0,     0,
       0,  1013,   696,   946,   539,   947,   948,   949,   584,   950,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,  1700,   200,   201,   202,     0,     0,     0,     0,   951,
       0,     0,   203,   204,     0,   205,   697,   206,   207,   208,
     209,   952,   698,   953,   954,     0,   213,   214,   215,   216,
     217,   955,   956,   218,   219,   957,   958,   222,     0,   223,
     224,   225,   226,   959,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,   244,   960,   961,   962,
     963,   964,   965,   966,   245,   246,   247,   248,   249,   250,
     967,   968,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   969,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   970,   278,   279,   971,   972,   281,
       0,   282,   973,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,   974,     0,   292,     0,
     293,   294,   295,   296,   297,   704,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   705,   308,
     309,   310,   311,   312,   975,   976,     0,   977,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,   978,   709,   325,   710,     0,   326,   327,   328,   979,
     980,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   981,   711,   982,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   983,   353,   354,   712,
     355,   984,   985,   357,   986,   359,   360,   361,     0,   362,
       0,     0,   987,   364,   365,     0,     0,   366,   713,   714,
     715,   988,   368,   369,   370,   371,   372,   373,     0,   374,
     989,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   990,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,   991,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     992,   420,   421,   422,   423,   717,   424,   993,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   994,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   995,   996,     0,     0,   448,   997,   450,   998,
     999,   452,   453,   454,   455,   456,   457,     0,  1000,   458,
     459,   460,   461,  1001,     0,   462,   463,   464,   465,   466,
    1002,     0,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1003,  1004,
    1005,  1006,  1007,  1008,  1009,   486,   487,   488,     0,     0,
       0,     0,     0,     0,     0,  1010,  1011,     0,     0,     0,
       0,     0,     0,     0,  1013,   696,   946,   539,   947,   948,
     949,   584,   950,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,   951,     0,     0,   203,   204,     0,   205,   697,
     206,   207,   208,   209,   952,   698,   953,   954,     0,   213,
     214,   215,   216,   217,   955,   956,   218,   219,   957,   958,
     222,     0,   223,   224,   225,   226,   959,     0,     0,   228,
     229,   230,   231,   699,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   700,   243,   244,
     960,   961,   962,   963,   964,   965,   966,   245,   246,   247,
     248,   249,   250,   967,   968,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   969,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,   970,   278,   279,
     971,   972,   281,     0,   282,   973,   284,     0,   285,     0,
     286,   702,  2132,   703,   287,   288,   289,     0,   290,   974,
       0,   292,     0,   293,   294,   295,   296,   297,   704,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   705,   308,   309,   310,   311,   312,   975,   976,     0,
     977,     0,   316,   706,   707,   317,   708,   318,   319,   320,
     321,   322,   323,     0,   978,   709,   325,   710,     0,   326,
     327,   328,   979,   980,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   981,   711,   982,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   983,
     353,   354,   712,   355,   984,   985,   357,   986,   359,   360,
     361,     0,   362,     0,     0,   987,   364,   365,     0,     0,
     366,   713,   714,   715,   988,   368,   369,   370,   371,   372,
     373,     0,   374,   989,   376,   377,   378,   379,   380,     0,
     381,   382,   383,   384,   385,   386,   387,   990,   389,   390,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   716,   404,   405,   991,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   992,   420,   421,   422,   423,   717,   424,
     993,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   994,   437,     0,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,   995,   996,     0,     0,   448,
     997,   450,   998,   999,   452,   453,   454,   455,   456,   457,
       0,  1000,   458,   459,   460,   461,  1001,     0,   462,   463,
     464,   465,   466,  1002,     0,   468,   718,   469,   470,   471,
       0,     0,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1003,  1004,  1005,  1006,  1007,  1008,  1009,   486,   487,
     488,     0,     0,     0,     0,     0,     0,     0,  1010,  1011,
       0,     0,     0,     0,     0,     0,     0,  1013,   696,   946,
     539,   947,   948,   949,   584,   950,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,   951,     0,     0,   203,   204,
       0,   205,   697,   206,   207,   208,   209,   952,   698,   953,
     954,     0,   213,   214,   215,   216,   217,   955,   956,   218,
     219,   957,   958,   222,     0,   223,   224,   225,   226,   959,
       0,     0,   228,   229,   230,   231,   699,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     700,   243,   244,   960,   961,   962,   963,   964,   965,   966,
     245,   246,   247,   248,   249,   250,   967,   968,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   969,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     970,   278,   279,   971,   972,   281,     0,   282,   973,   284,
       0,   285,     0,   286,   702,     0,   703,   287,   288,   289,
       0,   290,   974,     0,   292,     0,   293,   294,   295,   296,
     297,   704,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   705,   308,   309,   310,   311,   312,
     975,   976,     0,   977,     0,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,     0,   978,   709,   325,
     710,     0,   326,   327,   328,   979,   980,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     981,   711,   982,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   983,   353,   354,   712,   355,   984,   985,   357,
     986,   359,   360,   361,     0,   362,     0,     0,   987,   364,
     365,     0,     0,   366,   713,   714,   715,   988,   368,   369,
     370,   371,   372,   373,     0,   374,   989,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     990,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   716,   404,
     405,   991,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   992,   420,   421,   422,
     423,   717,   424,   993,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   994,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   995,   996,
       0,     0,   448,   997,   450,   998,   999,   452,   453,   454,
     455,   456,   457,     0,  1000,   458,   459,   460,   461,  1001,
       0,   462,   463,   464,   465,   466,  1002,  3132,   468,   718,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1003,  1004,  1005,  1006,  1007,  1008,
    1009,   486,   487,   488,     0,     0,     0,     0,     0,     0,
       0,  1010,  1011,     0,     0,     0,     0,     0,     0,     0,
    1013,   696,   946,   539,   947,   948,   949,   584,   950,     0,
       0,     0,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,   951,     0,
       0,   203,   204,     0,   205,   697,   206,   207,   208,   209,
     952,   698,   953,   954,     0,   213,   214,   215,   216,   217,
     955,   956,   218,   219,   957,   958,   222,     0,   223,   224,
     225,   226,   959,     0,     0,   228,   229,   230,   231,   699,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   700,   243,   244,   960,   961,   962,   963,
     964,   965,   966,   245,   246,   247,   248,   249,   250,   967,
     968,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   969,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,   970,   278,   279,   971,   972,   281,     0,
     282,   973,   284,     0,   285,     0,   286,   702,     0,   703,
     287,   288,   289,     0,   290,   974,     0,   292,     0,   293,
     294,   295,   296,   297,   704,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   705,   308,   309,
     310,   311,   312,   975,   976,     0,   977,     0,   316,   706,
     707,   317,   708,   318,   319,   320,   321,   322,   323,     0,
     978,   709,   325,   710,     0,   326,   327,   328,   979,   980,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   981,   711,   982,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   983,   353,   354,   712,   355,
     984,   985,   357,   986,   359,   360,   361,     0,   362,     0,
       0,   987,   364,   365,     0,     0,   366,   713,   714,   715,
     988,   368,   369,   370,   371,   372,   373,     0,   374,   989,
     376,   377,   378,   379,   380,     0,   381,   382,   383,   384,
     385,   386,   387,   990,   389,   390,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   716,   404,   405,   991,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,   992,
     420,   421,   422,   423,   717,   424,   993,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   994,   437,
       0,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,   995,   996,     0,     0,   448,   997,   450,   998,   999,
     452,   453,   454,   455,   456,   457,     0,  1000,   458,   459,
     460,   461,  1001,     0,   462,   463,   464,   465,   466,  1002,
       0,   468,   718,   469,   470,   471,     0,     0,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1003,  1004,  1005,
    1006,  1007,  1008,  1009,   486,   487,   488,     0,     0,     0,
       0,     0,     0,     0,  1010,  1011,     0,     0,     0,     0,
       0,     0,     0,  1013,   696,   946,   539,   947,   948,   949,
     584,   950,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,   951,     0,     0,   203,   204,     0,   205,   697,   206,
     207,   208,   209,   952,   698,   953,   954,     0,   213,   214,
     215,   216,   217,   955,   956,   218,   219,   957,   958,   222,
       0,   223,   224,   225,   226,   959,     0,     0,   228,   229,
     230,   231,   699,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   700,   243,  2561,   960,
     961,   962,   963,   964,   965,   966,   245,   246,   247,   248,
     249,   250,   967,   968,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   969,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   970,   278,   279,   971,
     972,   281,     0,   282,   973,   284,     0,   285,     0,   286,
     702,     0,   703,   287,   288,   289,     0,   290,   974,     0,
     292,     0,   293,   294,   295,   296,   297,   704,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     705,   308,   309,   310,   311,   312,   975,   976,     0,   977,
       0,   316,   706,   707,   317,   708,   318,   319,   320,   321,
     322,   323,     0,   978,   709,   325,   710,     0,   326,   327,
     328,   979,   980,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   981,   711,   982,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   983,   353,
     354,   712,   355,   984,   985,   357,   986,   359,   360,   361,
       0,   362,     0,     0,   987,   364,   365,     0,     0,   366,
     713,   714,   715,   988,   368,   369,   370,   371,   372,   373,
       0,   374,   989,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   990,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   716,   404,   405,   991,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   992,   420,   421,   422,   423,   717,   424,   993,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   994,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   995,   996,     0,     0,   448,   997,
     450,   998,   999,   452,   453,   454,   455,   456,   457,     0,
    1000,   458,   459,   460,   461,  1001,     0,   462,   463,   464,
     465,   466,  1002,     0,   468,   718,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
    1003,  1004,  1005,  1006,  1007,  1008,  1009,   486,   487,   488,
       0,     0,     0,     0,     0,     0,     0,  1010,  1011,     0,
       0,     0,     0,     0,     0,     0,  1013,   696,   946,   539,
     947,   948,   949,   584,   950,     0,     0,     0,   191,   192,
     193,   194,   195,   196,   197,   198,     0,   200,   201,   202,
       0,     0,     0,     0,   951,     0,     0,   203,   204,     0,
     205,   697,   206,   207,   208,   209,   952,   698,   953,   954,
       0,   213,   214,   215,   216,   217,   955,   956,   218,   219,
     957,   958,   222,     0,   223,   224,   225,   226,   959,     0,
       0,   228,   229,   230,   231,   699,   232,   233,     0,   234,
     235,   236,   237,   238,   239,     0,   240,   241,   242,   700,
     243,   244,   960,   961,   962,   963,   964,   965,   966,   245,
     246,   247,   248,   249,   250,   967,   968,   253,     0,   254,
       0,   255,   256,   257,   258,   259,     0,   260,   261,   262,
       0,     0,   263,   264,   969,   266,   267,     0,   268,   269,
     270,     0,   271,   272,     0,   273,   274,   275,   276,   970,
     278,   279,   971,   972,   281,     0,   282,   973,   284,     0,
     285,     0,   286,   702,     0,   703,   287,   288,   289,     0,
     290,   974,     0,   292,     0,   293,   294,   295,   296,   297,
     704,   298,   299,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   705,   308,   309,   310,   311,   312,   975,
     976,     0,   977,     0,   316,   706,   707,   317,   708,   318,
     319,   320,   321,   322,   323,     0,   978,   709,   325,   710,
       0,   326,   327,   328,   979,   980,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   981,
     711,   982,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   983,   353,   354,   712,   355,   984,   985,   357,   986,
     359,   360,   361,     0,   362,     0,     0,   987,   364,   365,
       0,     0,   366,   713,   714,   715,   988,   368,   369,   370,
     371,   372,   373,     0,   374,   989,   376,   377,   378,   379,
     380,     0,   381,   382,   383,   384,   385,   386,   387,   990,
     389,   390,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   716,   404,   405,
     991,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,   992,   420,   421,   422,   423,
     717,   424,   993,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   994,   437,     0,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,   995,   996,     0,
       0,   448,   997,   450,   998,   999,   452,   453,   454,   455,
     456,   457,     0,  1000,   458,   459,   460,   461,  1001,     0,
     462,   463,   464,   465,   466,  1002,     0,   468,   718,   469,
     470,   471,     0,     0,   472,     0,     0,   473,   474,   475,
     476,   477,  3364,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
     486,   487,   488,     0,     0,     0,     0,     0,     0,     0,
    1010,  1011,     0,     0,     0,     0,     0,     0,     0,  1013,
     696,   946,   539,   947,   948,   949,   584,   950,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,   951,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   952,
     698,   953,   954,     0,   213,   214,   215,   216,   217,   955,
     956,   218,   219,   957,   958,   222,     0,   223,   224,   225,
     226,   959,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,   960,   961,   962,   963,   964,
     965,   966,   245,   246,   247,   248,   249,   250,   967,   968,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   969,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   970,   278,   279,   971,   972,   281,     0,   282,
     973,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   974,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   975,   976,     0,   977,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   978,
     709,   325,   710,     0,   326,   327,   328,   979,   980,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   981,   711,   982,   344,  3371,   346,   347,   348,
     349,   350,   351,   352,   983,   353,   354,   712,   355,   984,
     985,   357,   986,   359,   360,   361,     0,   362,     0,     0,
     987,   364,   365,     0,     0,   366,   713,   714,   715,   988,
     368,   369,   370,   371,   372,   373,     0,   374,   989,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   990,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   991,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,   992,   420,
     421,   422,   423,   717,   424,   993,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   994,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     995,   996,     0,     0,   448,   997,   450,   998,   999,   452,
     453,   454,   455,   456,   457,     0,  1000,   458,   459,   460,
     461,  1001,     0,   462,   463,   464,   465,   466,  1002,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,  1003,  1004,  1005,  1006,
    1007,  1008,  1009,   486,   487,   488,     0,     0,     0,     0,
       0,     0,     0,  1010,  1011,     0,     0,     0,     0,     0,
       0,     0,  1013,   696,   946,   539,   947,   948,   949,   584,
     950,     0,     0,     0,   191,   192,   193,   194,   195,   196,
     197,   198,     0,   200,   201,   202,     0,     0,     0,     0,
     951,     0,     0,   203,   204,     0,   205,   697,   206,   207,
     208,  3760,   952,   698,   953,   954,     0,   213,   214,   215,
     216,   217,   955,   956,   218,   219,   957,   958,   222,     0,
     223,   224,   225,   226,   959,     0,     0,   228,   229,   230,
     231,   699,   232,   233,     0,   234,   235,   236,   237,   238,
     239,     0,   240,   241,   242,   700,   243,  3761,   960,   961,
     962,   963,   964,   965,   966,   245,   246,   247,   248,   249,
     250,   967,   968,   253,     0,   254,     0,   255,   256,   257,
     258,   259,     0,   260,   261,   262,     0,     0,   263,   264,
     969,   266,   267,     0,   268,   269,   270,     0,   271,   272,
       0,   273,   274,   275,   276,   970,   278,   279,   971,   972,
     281,     0,   282,   973,   284,     0,   285,     0,   286,   702,
       0,   703,   287,   288,   289,     0,   290,   974,     0,   292,
       0,   293,   294,   295,   296,   297,   704,   298,   299,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   705,
     308,   309,   310,   311,   312,   975,   976,     0,   977,     0,
     316,   706,   707,   317,   708,   318,   319,   320,   321,   322,
     323,     0,   978,   709,   325,   710,     0,   326,   327,   328,
     979,   980,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   981,   711,   982,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   983,   353,   354,
     712,   355,   984,   985,   357,   986,   359,   360,   361,     0,
     362,     0,     0,   987,   364,   365,     0,     0,   366,   713,
     714,   715,   988,   368,   369,   370,   371,   372,   373,     0,
     374,   989,   376,   377,   378,   379,   380,     0,   381,   382,
     383,   384,   385,   386,   387,   990,   389,   390,   391,     0,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   716,   404,   405,   991,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,   992,   420,   421,   422,   423,   717,   424,   993,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     994,   437,     0,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,   995,   996,     0,     0,   448,   997,   450,
     998,   999,   452,   453,   454,  3762,   456,   457,     0,  1000,
     458,   459,   460,   461,  1001,     0,   462,   463,   464,   465,
     466,  1002,     0,   468,   718,   469,   470,   471,     0,     0,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1003,
    1004,  1005,  1006,  1007,  1008,  1009,   486,   487,   488,     0,
       0,     0,     0,     0,     0,     0,  1010,  1011,     0,     0,
       0,     0,     0,     0,     0,  1013,   696,   946,   539,   947,
     948,   949,   584,   950,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,   951,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,   209,   952,   698,   953,   954,     0,
     213,   214,   215,   216,   217,   955,   956,   218,   219,   957,
     958,   222,     0,   223,   224,   225,   226,   959,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
    3761,   960,   961,   962,   963,   964,   965,   966,   245,   246,
     247,   248,   249,   250,   967,   968,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   969,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   970,   278,
     279,   971,   972,   281,     0,   282,   973,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
     974,     0,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,   308,   309,   310,   311,   312,   975,   976,
       0,   977,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,   978,   709,   325,   710,     0,
     326,   327,   328,   979,   980,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   981,   711,
     982,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     983,   353,   354,   712,   355,   984,   985,   357,   986,   359,
     360,   361,     0,   362,     0,     0,   987,   364,   365,     0,
       0,   366,   713,   714,   715,   988,   368,   369,   370,   371,
     372,   373,     0,   374,   989,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   990,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,   991,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,   992,   420,   421,   422,   423,   717,
     424,   993,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   994,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   995,   996,     0,     0,
     448,   997,   450,   998,   999,   452,   453,   454,  3762,   456,
     457,     0,  1000,   458,   459,   460,   461,  1001,     0,   462,
     463,   464,   465,   466,  1002,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1003,  1004,  1005,  1006,  1007,  1008,  1009,   486,
     487,   488,     0,     0,     0,     0,     0,     0,     0,  1010,
    1011,     0,     0,     0,     0,     0,     0,     0,  1013,   696,
     946,   539,   947,   948,   949,   584,   950,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,   951,     0,     0,   203,
     204,     0,   205,   697,   206,   207,   208,   209,   952,   698,
     953,   954,     0,   213,   214,   215,   216,   217,   955,   956,
     218,   219,   957,   958,   222,     0,   223,   224,   225,   226,
     959,     0,     0,   228,   229,   230,   231,   699,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,   700,   243,   244,   960,   961,   962,   963,   964,   965,
     966,   245,   246,   247,   248,   249,   250,   967,   968,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   969,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   970,   278,   279,   971,   972,   281,     0,   282,   973,
     284,     0,   285,     0,   286,   702,     0,   703,   287,   288,
     289,     0,   290,   974,     0,   292,     0,   293,   294,   295,
     296,   297,   704,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   705,   308,   309,   310,   311,
     312,   975,   976,     0,   977,     0,   316,   706,   707,   317,
     708,   318,   319,   320,   321,   322,   323,     0,   978,   709,
     325,   710,     0,   326,   327,   328,   979,   980,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   981,   711,   982,   344,   345,   346,   347,   348,   349,
     350,   351,   352,     0,   353,   354,   712,   355,   984,   985,
     357,   986,   359,   360,   361,     0,   362,     0,     0,   987,
     364,   365,     0,     0,   366,   713,   714,   715,   988,   368,
     369,   370,   371,   372,   373,     0,   374,   989,   376,   377,
     378,   379,   380,     0,   381,   382,   383,   384,   385,   386,
     387,   990,   389,   390,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   716,
     404,   405,   991,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,   992,   420,   421,
     422,   423,   717,   424,   993,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   994,   437,     0,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,   995,
     996,     0,     0,   448,   997,   450,   998,   999,   452,   453,
     454,   455,   456,   457,     0,     0,   458,   459,   460,   461,
    1001,     0,   462,   463,   464,   465,   466,  1002,     0,   468,
     718,   469,   470,   471,     0,     0,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1003,  1004,  1005,  1006,  1007,
    1008,  1009,   486,   487,   488,     0,     0,     0,     0,     0,
       0,     0,  2114,  2115,     0,     0,     0,     0,     0,     0,
       0,  1013,   696,   946,   539,   947,   948,   949,   584,   950,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,   951,
       0,     0,   203,   204,     0,   205,   697,   206,   207,   208,
   -1998,   952,   698,   953,   954,     0,   213,   214,   215,   216,
     217,   955,   956,   218,   219,   957,   958,   222,     0,   223,
     224,   225,   226,   959,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,  3761,   960,   961,   962,
     963,   964,   965,   966,   245,   246,   247,   248,   249,   250,
     967,   968,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   969,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   970,   278,   279,   971,   972,   281,
       0,   282,   973,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,   974,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   705,   308,
     309,   310,   311,   312,   975,   976,     0,   977,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,   978,   709,   325,     0,     0,   326,   327,   328,   979,
     980,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   981,   711,   982,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,   712,
     355,   984,   985,   357,   986,   359,   360,   361,     0,   362,
       0,     0,   987,   364,   365,     0,     0,   366,   713,   714,
     715,   988,   368,   369,   370,   371,   372,   373,     0,   374,
     989,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   990,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,   991,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     992,   420,   421,   422,   423,     0,   424,   993,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   994,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   995,   996,     0,     0,   448,   997,   450,   998,
     999,   452,   453,   454,  3762,   456,   457,     0,  1000,   458,
     459,   460,   461,  1001,     0,   462,   463,   464,   465,   466,
    1002,     0,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1003,  1004,
    1005,  1006,  1007,  1008,  1009,   486,   487,   488,     0,     0,
       0,     0,     0,     0,     0,  1010,  1011,     0,     0,     0,
       0,     0,     0,     0,  1013,   696,   946,   539,   947,   948,
     949,   584,   950,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,   951,     0,     0,   203,   204,     0,   205,   697,
     206,   207,   208,     0,   952,   698,   953,   954,     0,   213,
     214,   215,   216,   217,   955,   956,   218,   219,   957,   958,
     222,     0,   223,   224,   225,   226,   959,     0,     0,   228,
     229,   230,   231,   699,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   700,   243,   244,
     960,   961,   962,   963,   964,   965,   966,   245,   246,   247,
     248,   249,   250,   967,   968,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   969,   266,   267,     0,   268,   269,   270,     0,
     271,     0,     0,   273,   274,   275,   276,   970,   278,   279,
     971,   972,   281,     0,   282,   973,   284,     0,   285,     0,
     286,   702,     0,   703,   287,   288,   289,     0,   290,   974,
       0,   292,     0,   293,   294,   295,   296,   297,     0,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   705,   308,   309,   310,   311,   312,   975,   976,     0,
     977,     0,   316,   706,   707,   317,   708,   318,   319,   320,
     321,   322,   323,     0,   978,   709,   325,     0,     0,   326,
     327,   328,   979,   980,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   981,   711,   982,
     344,   345,   346,   347,   348,   349,   350,   351,   352,     0,
     353,   354,   712,   355,   984,   985,   357,   986,   359,   360,
     361,     0,   362,     0,     0,   987,   364,   365,     0,     0,
     366,   713,   714,   715,   988,   368,   369,   370,   371,   372,
     373,     0,   374,   989,   376,   377,   378,   379,   380,     0,
     381,   382,   383,   384,   385,   386,   387,   990,   389,   390,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   716,   404,   405,   991,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,   992,   420,   421,   422,   423,     0,   424,
     993,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   994,   437,     0,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,   995,   996,     0,     0,   448,
     997,   450,   998,   999,   452,   453,   454,   455,   456,   457,
       0,  1000,   458,   459,   460,   461,  1001,     0,   462,   463,
     464,   465,   466,  1002,     0,   468,   718,   469,   470,   471,
       0,     0,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1003,  1004,  1005,  1006,  1007,  1008,  1009,   486,   487,
     488,     0,     0,     0,     0,     0,     0,     0,  1010,  1011,
       0,     0,     0,     0,     0,     0,     0,  1013,   696,   946,
     539,   947,   948,   949,   584,   950,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,   951,     0,     0,   203,   204,
       0,   205,   697,   206,   207,   208,     0,   952,   698,   953,
     954,     0,   213,   214,   215,   216,   217,   955,   956,   218,
     219,   957,   958,   222,     0,   223,   224,   225,   226,   959,
       0,     0,   228,   229,   230,   231,   699,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     700,   243,   244,   960,   961,   962,   963,   964,   965,   966,
     245,   246,   247,   248,   249,   250,   967,   968,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   969,   266,   267,     0,   268,
     269,   270,     0,   271,     0,     0,   273,   274,   275,   276,
     970,   278,   279,   971,   972,   281,     0,   282,   973,   284,
       0,   285,     0,   286,   702,     0,   703,   287,   288,   289,
       0,   290,   974,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   705,   308,   309,   310,   311,   312,
     975,   976,     0,   977,     0,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,     0,   978,   709,   325,
       0,     0,   326,   327,   328,   979,   980,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     981,   711,   982,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,   712,   355,   984,   985,   357,
     986,   359,   360,   361,     0,   362,     0,     0,   987,   364,
     365,     0,     0,   366,   713,   714,   715,   988,   368,   369,
     370,   371,   372,   373,     0,   374,   989,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     990,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   716,   404,
     405,   991,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,   992,   420,   421,   422,
     423,     0,   424,   993,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   994,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   995,   996,
       0,     0,   448,   997,   450,   998,   999,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,  1001,
       0,   462,   463,   464,   465,   466,  1002,     0,   468,   718,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1003,  1004,  1005,  1006,  1007,  1008,
    1009,   486,   487,   488,     0,     0,     0,     0,     0,     0,
     696,  2114,  2115,     0,     0,     0,     0,     0,     0,     0,
    1013,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   210,
     698,   211,   212,     0,   213,   214,   215,   216,   217,     0,
     956,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   959,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,   960,   961,   962,   963,   964,
     965,   966,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   971,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   974,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   978,
     709,   325,   710,     0,   326,   327,   328,   979,   980,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   711,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,   712,   355,     0,
     985,   357,   358,   359,   360,   361,     0,   362,     0,   663,
     363,   364,   365,     0,     0,   366,   713,   714,   715,   988,
     368,   369,   370,   371,   372,   373,     0,   374,   989,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    38,   415,   416,   417,   418,   419,   992,   420,
     421,   422,   423,   717,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   994,   437,     0,
     438,   439,    42,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   997,   450,   998,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,  1001,     0,   462,   463,   464,   465,   887,   467,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,    48,
     473,   474,   475,   476,   477,   478,  1003,  1004,  1005,  1006,
    1007,  1008,  1009,   486,   487,   488,     0,     0,     0,     0,
       0,     0,   696,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1974,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,   697,   206,   207,   208,
     209,   210,   698,   211,   212,     0,   213,   214,   215,   216,
     217,     0,   956,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   959,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,   244,   960,   961,   962,
     963,   964,   965,   966,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   971,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,   974,     0,   292,     0,
     293,   294,   295,   296,   297,   704,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   705,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,   978,   709,   325,   710,     0,   326,   327,   328,   979,
     980,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   711,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,   712,
     355,     0,   985,   357,   358,   359,   360,   361,     0,   362,
       0,   663,   363,   364,   365,     0,     0,   366,   713,   714,
     715,   988,   368,   369,   370,   371,   372,   373,     0,   374,
     989,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
     992,   420,   421,   422,   423,   717,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   994,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   997,   450,   998,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,  1001,     0,   462,   463,   464,   465,   466,
     467,     0,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1003,  1004,
    1005,  1006,  1007,  1008,  1009,   486,   487,   488,     0,     0,
       0,     0,     0,     0,   696,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1974,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,   697,   206,
     207,   208,   209,   210,   698,   211,   212,     0,   213,   214,
     215,   216,   217,     0,   956,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   959,     0,     0,   228,   229,
     230,   231,   699,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   700,   243,   244,   960,
     961,   962,   963,   964,   965,   966,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   971,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
     702,     0,   703,   287,   288,   289,     0,   290,   974,     0,
     292,     0,   293,   294,   295,   296,   297,   704,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     705,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   706,   707,   317,   708,   318,   319,   320,   321,
     322,   323,     0,   978,   709,   325,   710,     0,   326,   327,
     328,   979,   980,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   711,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,   712,   355,     0,   985,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
     713,   714,   715,   988,   368,   369,   370,   371,   372,   373,
       0,   374,   989,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   716,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,   992,   420,   421,   422,   423,   717,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   994,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   997,
     450,   998,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,  1001,     0,   462,   463,   464,
     465,   466,   467,     0,   468,   718,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
    1003,  1004,  1005,  1006,  1007,  1008,  1009,   486,   487,   488,
       0,     0,     0,     0,     0,     0,   733,  1172,   539,     0,
       0,     0,   584,     0,     0,     0,  3152,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,   209,   210,   698,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,     0,     0,     0,   701,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,  1386,   281,     0,   282,   283,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,   324,   709,   325,   710,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   711,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,   712,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,  1387,     0,   363,   364,   365,     0,
       0,   366,   713,   714,   715,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   717,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,  1388,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,     0,     0,     0,     0,     0,   733,   596,
    1173,  3229,     0,     0,     0,     0,     0,     0,  3230,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     3,     4,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   697,   206,   207,   208,   209,   210,   698,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   699,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     700,   243,   244,     0,     0,     0,   701,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,   702,     0,   703,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,   704,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   705,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,     0,   324,   709,   325,
     710,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   711,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,   712,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,   713,   714,   715,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   716,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      38,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   717,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
      42,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   887,   467,     0,   468,   718,
     469,   470,   471,     0,     0,   472,     0,    48,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,     0,     0,     0,     0,     0,
     696,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      49,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   210,
     698,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,     0,     0,     0,   701,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   324,
     709,   325,   710,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   711,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,   712,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,   713,   714,   715,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   717,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,     0,     0,     0,
       0,     0,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3581,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    38,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,    42,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   887,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,    48,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,     0,
       0,     0,     0,     0,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,     0,     0,     0,     0,     0,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,     0,     0,     0,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1672,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,     0,     0,     0,     0,     0,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3002,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,     0,     0,     0,
       0,     0,  1260,  1172,   539,     0,     0,   741,   584,     0,
       0,     0,  3126,   191,   192,   193,   194,   195,   196,   197,
     198,  1584,   200,   201,   202,  1585,  1586,  1587,  1588,  1589,
    1590,  1591,   203,   204,  1592,   205,   697,   206,   207,   208,
       0,  1261,   698,  1262,  1263,  1593,   213,   214,   215,   216,
     217,  1594,  1595,   218,   219,  1264,  1265,   222,  1596,   223,
     224,   225,   226,     0,  1597,  1598,   228,   229,   230,   231,
     699,   232,   233,  1599,   234,   235,   236,   237,   238,   239,
    1600,   240,   241,   242,   700,   243,   244,  1601,  1602,  1603,
     701,  1604,  1605,  1606,   245,   246,   247,   248,   249,   250,
    1266,  1267,   253,  1607,   254,  1608,   255,   256,   257,   258,
     259,  1609,   260,   261,   262,  1610,  1611,   263,   264,   969,
     266,   267,  1612,   268,   269,   270,  1613,   271,   272,  1614,
     273,   274,   275,   276,     0,   278,   279,     0,  1615,   281,
    1616,   282,  1268,   284,  1617,   285,  1618,   286,   702,  1619,
     703,   287,   288,   289,  1620,   290,     0,  1621,   292,  1622,
     293,   294,   295,   296,   297,   704,   298,   299,   300,  1623,
     301,   302,   303,   304,   305,   306,  1624,   307,   705,     0,
     309,   310,   311,   312,  1269,  1270,  1625,  1271,  1626,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
    1627,     0,   709,   325,   710,  1628,   326,   327,   328,  1629,
    1630,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,  1272,   711,  1273,   344,   345,   346,
     347,   348,   349,   350,     0,   352,  1631,   353,   354,   712,
     355,  1632,     0,   357,  1274,   359,   360,   361,  1633,   362,
    1634,  1635,  2878,   364,   365,  1636,  1637,     0,   713,   714,
     715,     0,   368,   369,   370,   371,   372,   373,  1638,   374,
       0,   376,     0,   378,   379,   380,  1639,   381,   382,   383,
     384,   385,   386,   387,  1275,   389,   390,   391,  1640,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,  1641,
     402,   403,   716,   404,   405,     0,   407,   408,   409,   410,
     411,   412,   413,   414,  1642,   415,   416,   417,   418,   419,
    1643,   420,  1769,   422,   423,   717,   424,  1277,  1644,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,  1645,   438,   439,  1646,   440,   441,   442,   443,   444,
     445,  1647,  1278,  1279,  1648,  1649,   448,     0,   450,     0,
    1650,   452,   453,   454,   455,   456,   457,  1651,  1652,   458,
     459,   460,   461,  1653,  1654,   462,   463,   464,   465,     0,
    1280,  1655,   468,   718,   469,   470,   471,  1656,  1657,   472,
    1658,  1659,   473,   474,   475,   476,   477,     0,     0,     0,
       0,     0,     0,     0,     0,   486,   487,   488,     0,     0,
       0,   744,   745,   746,     0,  2879,  2880,   749,   750,   751,
     752,   190,     0,     0,     0,     0,   741,     0,     0,     0,
       0,     0,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,     0,     0,
       0,   203,   204,     0,   205,     0,   206,   207,   208,   209,
     210,     0,   211,   212,     0,   213,   214,   215,   216,   217,
       0,     0,   218,   219,   220,   221,   222,     0,   223,   742,
     225,   226,   227,     0,     0,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,   248,   249,   250,   251,
     252,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,   277,   278,   279,   280,     0,   743,     0,
     282,   283,   284,     0,   285,     0,   286,     0,     0,     0,
     287,   288,   289,     0,   290,   291,     0,   292,     0,   293,
     294,   295,   296,   297,     0,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,   327,   328,     0,     0,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,     0,   353,   354,     0,   355,
       0,   356,   357,   358,   359,   360,   361,     0,   362,     0,
       0,   363,   364,   365,     0,     0,   366,     0,     0,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,     0,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,     0,   402,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,     0,   424,   425,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,   446,   447,     0,     0,   448,   449,   450,   451,     0,
     452,   453,   454,   455,   456,   457,     0,     0,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,   467,
       0,   468,     0,   469,   470,   471,     0,     0,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,     0,     0,     0,
     744,   745,   746,     0,   747,   748,   749,   750,   751,   752,
     190,     0,     0,     0,     0,   741,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   816,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   817,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,     0,     0,   744,
     745,   746,     0,   747,   748,   749,   750,   751,   752,   190,
       0,     0,     0,     0,   741,     0,     0,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,     0,     0,     0,   203,
     204,     0,   205,     0,   206,   207,   208,   209,   210,     0,
     211,   212,     0,   213,   214,   215,   216,   217,     0,     0,
     218,   219,   220,   221,   222,     0,   223,   860,   225,   226,
     227,     0,     0,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,   248,   249,   250,   251,   252,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   277,   278,   279,   280,     0,   861,     0,   282,   283,
     284,     0,   285,     0,   286,     0,     0,     0,   287,   288,
     289,     0,   290,   291,     0,   292,     0,   293,   294,   295,
     296,   862,     0,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,   327,   328,     0,     0,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,     0,   353,   354,     0,   355,     0,   356,
     357,   358,   359,   360,   361,     0,   362,     0,     0,   363,
     364,   365,     0,     0,   366,     0,     0,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,     0,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,     0,   402,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,     0,   424,   425,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,   446,
     447,     0,     0,   448,   449,   450,   451,     0,   452,   453,
     454,   455,   456,   457,     0,     0,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,   467,     0,   468,
       0,   469,   470,   471,     0,     0,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,     0,     0,     0,   744,   745,
     746,     0,   747,   748,   749,   750,   751,   752,   190,     0,
       0,     0,     0,   741,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,  1243,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,  1244,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,     0,     0,   744,   745,   746,
       0,   747,   748,   749,   750,   751,   752,   190,     0,     0,
       0,     0,   741,     0,     0,     0,     0,     0,   191,   192,
     193,   194,   195,   196,   197,   198,     0,   200,   201,   202,
       0,     0,     0,     0,     0,     0,     0,   203,   204,     0,
     205,     0,   206,   207,   208,   209,   210,     0,   211,   212,
       0,   213,   214,   215,   216,   217,     0,     0,   218,   219,
     220,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,   239,     0,   240,   241,   242,     0,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,   248,   249,   250,   251,   252,   253,     0,   254,
       0,   255,   256,   257,   258,   259,     0,   260,   261,   262,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,     0,   273,   274,   275,   276,   277,
     278,   279,   280,     0,   281,     0,   282,   283,   284,     0,
     285,     0,   286,     0,     0,     0,   287,   288,   289,     0,
     290,   291,     0,   292,     0,   293,   294,   295,   296,   297,
       0,   298,   299,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,   327,   328,     0,     0,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
       0,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,     0,   353,   354,     0,   355,     0,   356,   357,   358,
     359,   360,   361,     0,   362,     0,     0,   363,   364,   365,
       0,     0,   366,     0,     0,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,     0,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,     0,   402,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     0,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
       0,   424,   425,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,   446,   447,     0,
       0,   448,   449,   450,   451,     0,   452,   453,   454,   455,
     456,   457,     0,     0,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,   467,     0,   468,     0,   469,
     470,   471,     0,     0,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,     0,     0,     0,   744,   745,   746,     0,
     747,   748,   749,   750,   751,   752,   190,     0,     0,     0,
       0,   741,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,  3570,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,     0,  1583,   744,   745,   746,     0,   747,
     748,   749,   750,   751,   752,   191,   192,   193,   194,   195,
     196,   197,   198,  1584,   200,   201,   202,  1585,  1586,  1587,
    1588,  1589,  1590,  1591,   203,   204,  1592,   205,   697,   206,
     207,   208,   209,   210,   698,   211,   212,  1593,   213,   214,
     215,   216,   217,  1594,  1595,   218,   219,   220,   221,   222,
    1596,   223,   224,   225,   226,   227,  1597,  1598,   228,   229,
     230,   231,   699,   232,   233,  1599,   234,   235,   236,   237,
     238,   239,  1600,   240,   241,   242,   700,   243,   244,  1601,
    1602,  1603,   701,  1604,  1605,  1606,   245,   246,   247,   248,
     249,   250,   251,   252,   253,  1607,   254,  1608,   255,   256,
     257,   258,   259,  1609,   260,   261,   262,  1610,  1611,   263,
     264,   265,   266,   267,  1612,   268,   269,   270,  1613,   271,
     272,  1614,   273,   274,   275,   276,   277,   278,   279,   280,
    1615,   281,  1616,   282,   283,   284,  1617,   285,  1618,   286,
     702,  1619,   703,   287,   288,   289,  1620,   290,   291,  1621,
     292,  1622,   293,   294,   295,   296,   297,   704,   298,   299,
     300,  1623,   301,   302,   303,   304,   305,   306,  1624,   307,
     705,   308,   309,   310,   311,   312,   313,   314,  1625,   315,
    1626,   316,   706,   707,   317,   708,   318,   319,   320,   321,
     322,   323,  1627,   324,   709,   325,   710,  1628,   326,   327,
     328,  1629,  1630,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   711,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,  1631,   353,
     354,   712,   355,  1632,   356,   357,   358,   359,   360,   361,
    1633,   362,  1634,  1635,   363,   364,   365,  1636,  1637,   366,
     713,   714,   715,   367,   368,   369,   370,   371,   372,   373,
    1638,   374,   375,   376,   377,   378,   379,   380,  1639,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1640,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,  1641,   402,   403,   716,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,  1642,   415,   416,   417,
     418,   419,  1643,   420,   421,   422,   423,   717,   424,   425,
    1644,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1645,   438,   439,  1646,   440,   441,   442,
     443,   444,   445,  1647,   446,   447,  1648,  1649,   448,   449,
     450,   451,  1650,   452,   453,   454,   455,   456,   457,  1651,
    1652,   458,   459,   460,   461,  1653,  1654,   462,   463,   464,
     465,   466,   467,  1655,   468,   718,   469,   470,   471,  1656,
    1657,   472,  1658,  1659,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,  1660,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,   668,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,  1260,     0,     0,     0,     0,     0,     0,     0,
       0,  3459,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,   697,   206,   207,   208,
       0,  1261,   698,  1262,  1263,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,  1264,  1265,   222,     0,   223,
     224,   225,   226,     0,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,   244,     0,     0,     0,
     701,     0,     0,     0,   245,   246,   247,   248,   249,   250,
    1266,  1267,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   969,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,     0,   278,   279,     0,     0,   281,
       0,   282,  1268,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,     0,     0,   292,     0,
     293,   294,   295,   296,   297,   704,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   705,     0,
     309,   310,   311,   312,  1269,  1270,     0,  1271,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,     0,   709,   325,   710,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,  1272,   711,  1273,   344,   345,   346,
     347,   348,   349,   350,     0,   352,     0,   353,   354,   712,
     355,     0,     0,   357,  1274,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,     0,   713,   714,
     715,     0,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   376,     0,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,  1275,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,     0,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,  1276,   422,   423,   717,   424,  1277,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,  1278,  1279,     0,     0,   448,     0,   450,     0,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,     0,
    1280,     0,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,     0,  1895,     0,
       0,     0,     0,     0,     0,   486,   487,   488,     0,   191,
     192,   193,   194,   195,   196,   197,   198,  1717,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   697,   206,   207,   208,     0,  1261,   698,  1262,
    1263,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,  1264,  1265,   222,     0,   223,   224,   225,   226,     0,
       0,     0,   228,   229,   230,   231,   699,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     700,   243,   244,     0,     0,     0,   701,     0,     0,     0,
     245,   246,   247,   248,   249,   250,  1266,  1267,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   969,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
       0,   278,   279,     0,     0,   281,     0,   282,  1268,   284,
       0,   285,     0,   286,   702,     0,   703,   287,   288,   289,
       0,   290,     0,     0,   292,     0,   293,   294,   295,   296,
     297,   704,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   705,     0,   309,   310,   311,   312,
    1269,  1270,     0,  1271,     0,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,     0,     0,   709,   325,
     710,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
    1272,   711,  1273,   344,   345,   346,   347,   348,   349,   350,
       0,   352,     0,   353,   354,   712,   355,     0,     0,   357,
    1274,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,     0,   713,   714,   715,     0,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   376,     0,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
    1275,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   716,   404,
     405,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,  1276,   422,
     423,   717,   424,  1277,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,  1278,  1279,
       0,     0,   448,     0,   450,     0,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,     0,  1280,     0,   468,   718,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,     0,   733,  1172,   539,     0,     0,     0,
     584,   486,   487,   488,     0,   191,   192,   193,   194,   195,
     196,   197,   198,  1717,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,   697,   206,
     207,   208,   209,   210,   698,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   699,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   700,   243,   244,     0,
       0,     0,   701,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,  1573,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
    1386,   281,     0,   282,   283,   284,     0,   285,     0,   286,
     702,     0,   703,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,   704,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     705,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   706,   707,   317,   708,   318,   319,   320,   321,
     322,   323,     0,   324,   709,   325,   710,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   711,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,   712,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,  1387,     0,   363,   364,   365,     0,     0,   366,
     713,   714,   715,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   716,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   717,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,  1388,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,   718,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     733,  1172,   539,     0,     0,     0,   584,   596,  1173,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   210,
     698,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,     0,     0,     0,   701,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,  1578,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,  1386,   281,     0,   282,
     283,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   324,
     709,   325,   710,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   711,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,   712,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,  1387,     0,
     363,   364,   365,     0,     0,   366,   713,   714,   715,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   717,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,  1388,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   733,  1172,   539,     0,
       0,     0,   584,   596,  1173,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,   209,   210,   698,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,     0,     0,     0,   701,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,  1386,   281,     0,   282,   283,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,   324,   709,   325,   710,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   711,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,   712,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,  1387,     0,   363,   364,   365,     0,
       0,   366,   713,   714,   715,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   717,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,  1388,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,   584,   596,
    1173,     0,     0,   191,   585,   193,   194,   195,   196,   197,
     198,   586,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   587,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   588,   283,   284,     0,   285,     0,   589,     0,   590,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   591,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   592,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   593,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   594,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     595,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,  1583,     0,
       0,     0,     0,     0,     0,   596,   597,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,  1584,   200,   201,
     202,  1585,  1586,  1587,  1588,  1589,  1590,  1591,   203,   204,
    1592,   205,   697,   206,   207,   208,   209,   210,   698,   211,
     212,  1593,   213,   214,   215,   216,   217,  1594,  1595,   218,
     219,   220,   221,   222,  1596,   223,   224,   225,   226,   227,
    1597,  1598,   228,   229,   230,   231,   699,   232,   233,  1599,
     234,   235,   236,   237,   238,   239,  1600,   240,   241,   242,
     700,   243,   244,  1601,  1602,  1603,   701,  1604,  1605,  1606,
     245,   246,   247,   248,   249,   250,   251,   252,   253,  1607,
     254,  1608,   255,   256,   257,   258,   259,  1609,   260,   261,
     262,  1610,  1611,   263,   264,   265,   266,   267,  1612,   268,
     269,   270,  1613,   271,   272,  1614,   273,   274,   275,   276,
     277,   278,   279,   280,  1615,   281,  1616,   282,   283,   284,
    1617,   285,  1618,   286,   702,  1619,   703,   287,   288,   289,
    1620,   290,   291,  1621,   292,  1622,   293,   294,   295,   296,
     297,   704,   298,   299,   300,  1623,   301,   302,   303,   304,
     305,   306,  1624,   307,   705,   308,   309,   310,   311,   312,
     313,   314,  1625,   315,  1626,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,  1627,   324,   709,   325,
     710,  1628,   326,   327,   328,  1629,  1630,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   711,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,  1631,   353,   354,   712,   355,  1632,   356,   357,
     358,   359,   360,   361,  1633,   362,  1634,  1635,   363,   364,
     365,  1636,  1637,   366,   713,   714,   715,   367,   368,   369,
     370,   371,   372,   373,  1638,   374,   375,   376,   377,   378,
     379,   380,  1639,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,  1640,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,  1641,   402,   403,   716,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
    1642,   415,   416,   417,   418,   419,  1643,   420,   421,   422,
     423,   717,   424,   425,  1644,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1645,   438,   439,
    1646,   440,   441,   442,   443,   444,   445,  1647,   446,   447,
    1648,  1649,   448,   449,   450,   451,  1650,   452,   453,   454,
     455,   456,   457,  1651,  1652,   458,   459,   460,   461,  1653,
    1654,   462,   463,   464,   465,   466,   467,  1655,   468,   718,
     469,   470,   471,  1656,  1657,   472,  1658,  1659,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,  2384,
     196,   197,   198,  1584,   200,   201,   202,  1585,  1586,  1587,
    1588,  1589,  1590,  1591,   203,   204,  1592,   205,   697,   206,
     207,   208,   209,   210,   698,   211,   212,  1593,   213,   214,
     215,   216,   217,  1594,  1595,   218,   219,   220,   221,   222,
    1596,   223,   224,   225,   226,   227,  1597,  1598,   228,   229,
     230,   231,   699,   232,   233,  1599,   234,   235,   236,   237,
     238,   239,  1600,   240,   241,   242,   700,   243,   244,  1601,
    1602,  1603,   701,  1604,  1605,  1606,   245,   246,   247,   248,
     249,   250,   251,   252,   253,  1607,   254,  1608,   255,   256,
     257,   258,   259,  1609,   260,   261,   262,  1610,  1611,   263,
     264,   265,  2385,   267,  1612,   268,   269,   270,  1613,   271,
     272,  1614,   273,   274,   275,   276,   277,   278,   279,   280,
    1615,   281,  1616,   282,   283,   284,  1617,   285,  1618,   286,
     702,  1619,   703,   287,   288,   289,  1620,   290,   291,  1621,
     292,  1622,   293,   294,   295,   296,   297,   704,   298,   299,
     300,  1623,   301,   302,   303,   304,   305,   306,  1624,   307,
     705,   308,   309,   310,   311,   312,   313,   314,  1625,   315,
    1626,   316,   706,   707,   317,   708,   318,   319,   320,   321,
     322,   323,  1627,   324,   709,   325,   710,  1628,   326,   327,
     328,  1629,  1630,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   711,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,  1631,   353,
     354,   712,   355,  1632,   356,   357,   358,   359,   360,   361,
    1633,   362,  1634,  1635,   363,   364,   365,  1636,  1637,   366,
     713,   714,   715,   367,   368,   369,   370,   371,   372,   373,
    1638,   374,   375,   376,   377,   378,   379,   380,  1639,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
    1640,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,  1641,   402,   403,   716,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,  1642,   415,   416,   417,
     418,   419,  1643,  2386,   421,   422,   423,   717,   424,   425,
    1644,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1645,   438,   439,  1646,   440,   441,   442,
     443,   444,   445,  1647,   446,   447,  1648,  1649,   448,   449,
     450,   451,  1650,   452,   453,   454,   455,   456,   457,  1651,
    1652,   458,   459,   460,   461,  1653,  1654,   462,   463,   464,
     465,   466,   467,  1655,   468,   718,   469,   470,   471,  1656,
    1657,   472,  1658,  1659,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     733,     0,   539,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   210,
     698,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,     0,     0,     0,   701,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,  1386,   281,     0,   282,
     283,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   324,
     709,   325,   710,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   711,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,   712,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,  1387,     0,
     363,   364,   365,     0,     0,   366,   713,   714,   715,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   717,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,  1388,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   733,     0,   539,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,   209,   210,   698,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,     0,     0,     0,   701,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,  1559,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,   324,   709,   325,   710,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   711,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,   712,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,   713,   714,   715,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   717,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   733,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,   697,   206,   207,   208,
     209,   210,   698,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,   244,     0,     0,     0,
     701,     0,     0,  1857,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,   704,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   705,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,   324,   709,   325,   710,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   711,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,   712,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,   713,   714,
     715,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   717,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,  1858,     0,   462,   463,   464,   465,   466,
     467,     0,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   733,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     3,     4,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   697,   206,   207,   208,   209,   210,   698,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   699,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     700,   243,   244,     0,     0,     0,   701,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,   702,     0,   703,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,   704,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   705,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,     0,   324,   709,   325,
     710,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   711,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,   712,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,   713,   714,   715,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   716,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   717,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,   718,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   733,     0,   539,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,   697,   206,
     207,   208,   209,   210,   698,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   699,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   700,   243,   244,     0,
       0,     0,   701,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
     702,     0,   703,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,   704,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     705,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   706,   707,   317,   708,   318,   319,   320,   321,
     322,   323,     0,   324,   709,   325,   710,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   711,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,   712,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
     713,   714,   715,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   716,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   717,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,   718,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     733,     0,   539,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   210,
     698,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,     0,     0,     0,   701,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,  1376,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   324,
     709,   325,   710,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   711,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,   712,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,   713,   714,   715,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   717,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   733,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,   209,   210,   698,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,     0,     0,     0,   701,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
     291,  2595,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,   324,   709,   325,   710,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   711,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,   712,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,   713,   714,   715,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   717,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   696,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,   697,   206,   207,   208,
     209,   210,   698,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,   244,     0,     0,     0,
     701,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,   704,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   705,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,   324,   709,   325,   710,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   711,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,   712,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,   713,   714,
     715,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   717,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   733,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   697,   206,   207,   208,   209,   210,   698,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   699,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     700,   243,   244,     0,     0,     0,   701,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,   702,     0,   703,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,   704,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   705,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,     0,   324,   709,   325,
     710,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   711,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,   712,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,   713,   714,   715,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   716,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   717,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,   718,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   733,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,   697,   206,
     207,   208,   209,   210,   698,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   699,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   700,   243,   244,     0,
       0,     0,   701,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
     702,     0,   703,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,   704,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     705,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   706,   707,   317,   708,   318,   319,   320,   321,
     322,   323,     0,   324,   709,   325,   710,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   766,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   711,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,   712,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
     713,   714,   715,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   716,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   717,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,   718,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     733,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,   209,   210,
     698,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,     0,     0,     0,   701,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,   324,
     709,   325,   710,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   828,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   711,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,   712,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,   713,   714,   715,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   717,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   696,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,   209,   210,   698,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,     0,     0,     0,   701,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   847,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,   324,   709,   325,   710,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   711,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,   712,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,   713,   714,   715,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   717,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   696,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,   697,   206,   207,   208,
     209,   210,   698,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     699,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   700,   243,   244,     0,     0,     0,
     701,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,   702,     0,
     703,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   855,   704,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   705,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     706,   707,   317,   708,   318,   319,   320,   321,   322,   323,
       0,   324,   709,   325,   710,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   711,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,   712,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,   713,   714,
     715,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   716,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   717,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,   718,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,  1737,   223,   224,   225,   226,   227,
       0,  1781,   228,   229,   230,   231,     0,   232,   233,  1738,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,  1782,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,  1740,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,  1741,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,  1742,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
    1737,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,  1738,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,  1782,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,  1740,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,  2508,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,  1741,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
    1742,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   635,   197,   198,   603,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,   604,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,   636,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   605,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   606,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,   603,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,   604,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,  2277,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   605,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   606,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,  1737,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,  1738,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
    1782,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,  1740,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,  1741,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,  1742,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,  3810,
     539,  3811,  3812,     0,   584,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,   603,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,   604,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     605,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   606,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,  1413,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,  1414,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,  1415,   286,     0,     0,     0,  1416,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,  1417,  1418,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,  1419,   411,   412,
     413,   414,     0,  1420,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,  1421,   440,  1422,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,   604,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   605,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   606,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     3,     4,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,  2321,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,  2322,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,  2333,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,  2334,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,   530,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   531,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,   629,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   630,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   631,   447,     0,     0,   632,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,   657,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   658,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   659,   447,
       0,     0,   660,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,   663,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,   839,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,  1041,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,  1052,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   645,   219,   220,   221,  1053,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   648,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   649,   405,   406,   407,   408,   409,   650,
     411,   412,   413,   414,     0,   415,   416,   417,   418,  1045,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   652,   447,     0,     0,   653,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   654,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,  2198,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,  2199,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
    2200,   440,   441,  2201,   443,  2202,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,   539,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,  2543,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,  2556,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,  3264,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,  3266,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,  3268,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,  3415,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   619,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   627,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   645,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   646,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     647,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   648,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   649,   405,   406,   407,   408,
     409,   650,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   651,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   652,   447,     0,     0,   653,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   654,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   677,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   852,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   857,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     865,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   867,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   869,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   871,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   874,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     876,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     877,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   880,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   645,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   648,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   649,   405,   406,   407,   408,   409,   650,   411,   412,
     413,   414,     0,   415,   416,   417,   418,  1045,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     652,   447,     0,     0,   653,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   654,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,  1073,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,     0,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   446,   447,     0,     0,
     448,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,  1354,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
    1356,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,   366,     0,     0,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,     0,   424,   425,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,   446,   447,
       0,     0,   448,   449,   450,   451,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,   467,     0,   468,     0,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,   361,
       0,   362,     0,     0,   363,   364,   365,     0,     0,   366,
       0,     0,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,     0,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,     0,   402,   403,     0,   404,   405,   406,   407,   408,
    1449,   410,   411,   412,   413,   414,     0,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,     0,   424,   425,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,   446,   447,     0,     0,   448,   449,
     450,   451,     0,   452,   453,   454,   455,   456,   457,     0,
       0,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,   467,     0,   468,     0,   469,   470,   471,     0,
       0,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   645,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   648,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   649,   405,   406,   407,   408,   409,   650,   411,   412,
     413,   414,     0,   415,   416,   417,   418,  1045,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,  1728,   442,   443,   444,   445,     0,
     652,   447,     0,     0,   653,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   654,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   645,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   648,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,   366,     0,     0,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,     0,   649,   405,   406,
     407,   408,   409,  1762,   411,   412,   413,   414,     0,   415,
     416,   417,   418,  1045,     0,   420,   421,   422,   423,     0,
     424,   425,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,   652,   447,     0,     0,
     653,   449,   450,   451,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,   467,     0,   468,     0,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     654,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,  1990,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,   361,     0,   362,
       0,     0,   363,   364,   365,     0,     0,   366,     0,     0,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,     0,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,     0,
     402,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     0,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,     0,   424,   425,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,   446,   447,     0,     0,   448,   449,   450,   451,
       0,   452,   453,   454,   455,   456,   457,     0,     0,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
     467,     0,   468,     0,   469,   470,   471,     0,     0,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,  1260,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   697,   206,   207,   208,     0,  1261,   698,  1262,
    1263,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,  1264,  1265,   222,     0,   223,   224,   225,   226,     0,
       0,     0,   228,   229,   230,   231,   699,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     700,   243,   244,     0,     0,     0,   701,     0,     0,     0,
     245,   246,   247,   248,   249,   250,  1266,  1267,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   969,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
       0,   278,   279,     0,     0,   281,     0,   282,  1268,   284,
       0,   285,     0,   286,   702,     0,   703,   287,   288,   289,
       0,   290,     0,     0,   292,     0,   293,   294,   295,   296,
     297,   704,   298,   299,   300,  1766,   301,   302,   303,   304,
     305,   306,     0,   307,   705,  1767,   309,   310,   311,   312,
    1269,  1270,     0,  1271,     0,   316,   706,   707,   317,   708,
     318,   319,   320,   321,   322,   323,     0,     0,   709,   325,
     710,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
    1272,   711,  1273,   344,   345,   346,   347,   348,   349,   350,
       0,   352,     0,   353,   354,   712,   355,     0,     0,   357,
    1274,   359,   360,   361,     0,   362,     0,     0,   363,   364,
     365,     0,     0,  1768,   713,   714,   715,     0,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   376,     0,   378,
     379,   380,     0,   381,   382,   383,   384,   385,   386,   387,
    1275,   389,   390,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   716,   404,
     405,     0,   407,   408,   409,   410,   411,   412,   413,   414,
       0,   415,   416,   417,   418,   419,     0,   420,  1769,   422,
     423,   717,   424,  1277,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,     0,   438,   439,
       0,   440,   441,   442,   443,   444,   445,     0,  1278,  1279,
       0,     0,   448,     0,   450,     0,     0,   452,   453,   454,
     455,   456,   457,     0,     0,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,     0,  1280,  1770,   468,   718,
     469,   470,   471,     0,     0,   472,     0,     0,   473,   474,
     475,   476,   477,   190,     0,     0,     0,     0,     0,     0,
       0,   486,   487,   488,   191,   192,   193,   194,   195,   196,
     197,   198,     0,   200,   201,   202,     0,     0,     0,     0,
       0,     0,     0,   203,   204,     0,   205,     0,   206,   207,
     208,   209,   210,     0,   211,   212,     0,   213,   214,   215,
     216,   217,     0,     0,   218,   219,   220,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
     239,     0,   240,   241,   242,     0,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,   248,   249,
     250,   251,   252,   253,     0,   254,     0,   255,   256,   257,
     258,   259,     0,   260,   261,   262,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
       0,   273,   274,   275,   276,   277,   278,   279,   280,     0,
     281,     0,   282,   283,   284,     0,   285,     0,   286,     0,
       0,     0,   287,   288,   289,     0,   290,   291,     0,   292,
       0,   293,   294,   295,   296,  2324,     0,   298,   299,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,   327,   328,
       0,     0,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,     0,   353,   354,
       0,   355,     0,   356,   357,   358,   359,   360,   361,     0,
     362,     0,     0,   363,   364,   365,     0,     0,   366,     0,
       0,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,     0,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
       0,   402,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     0,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,     0,   424,   425,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,   446,   447,     0,     0,   448,   449,   450,
     451,     0,   452,   453,   454,   455,   456,   457,     0,     0,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,   467,     0,   468,     0,   469,   470,   471,     0,     0,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,     0,     0,     0,   203,
     204,     0,   205,     0,   206,   207,   208,   209,   210,     0,
     211,   212,     0,   213,   214,   215,   216,   217,     0,     0,
     218,   219,   220,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,   248,   249,   250,   251,   252,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   277,   278,   279,   280,     0,   281,     0,   282,   283,
     284,     0,   285,     0,   286,     0,     0,     0,   287,   288,
     289,     0,   290,   291,     0,   292,     0,   293,   294,   295,
     296,  2326,     0,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,   327,   328,     0,     0,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,     0,   353,   354,     0,   355,     0,   356,
     357,   358,   359,   360,   361,     0,   362,     0,     0,   363,
     364,   365,     0,     0,   366,     0,     0,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,     0,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,     0,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,     0,   402,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     0,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,     0,   424,   425,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,   446,
     447,     0,     0,   448,   449,   450,   451,     0,   452,   453,
     454,   455,   456,   457,     0,     0,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,   467,     0,   468,
       0,   469,   470,   471,     0,     0,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,  1260,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,     0,     0,     0,   203,   204,     0,   205,   697,
     206,   207,   208,     0,  1261,   698,  1262,  1263,     0,   213,
     214,   215,   216,   217,     0,     0,   218,   219,  1264,  1265,
     222,     0,   223,   224,   225,   226,     0,     0,     0,   228,
     229,   230,   231,   699,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   700,   243,   244,
       0,     0,     0,   701,     0,     0,     0,   245,   246,   247,
     248,   249,   250,  1266,  1267,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   969,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,     0,   278,   279,
       0,     0,   281,     0,   282,  1268,   284,     0,   285,     0,
     286,   702,     0,   703,   287,   288,   289,     0,   290,     0,
       0,   292,     0,   293,   294,   295,   296,   297,   704,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   705,     0,   309,   310,   311,   312,  1269,  1270,     0,
    1271,     0,   316,   706,   707,   317,   708,   318,   319,   320,
     321,   322,   323,     0,     0,   709,   325,   710,     0,   326,
     327,   328,     0,     0,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,  1272,   711,  1273,
     344,   345,   346,   347,   348,   349,   350,     0,   352,     0,
     353,   354,   712,   355,  1758,     0,   357,  1274,   359,   360,
     361,     0,   362,     0,     0,   363,   364,   365,     0,     0,
       0,   713,   714,   715,     0,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   376,     0,   378,   379,   380,     0,
     381,   382,   383,   384,   385,   386,   387,  1275,   389,   390,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   716,   404,   405,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,     0,   420,  1769,   422,   423,   717,   424,
    1277,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,     0,   438,   439,  2976,   440,   441,
     442,   443,   444,   445,     0,  1278,  1279,     0,     0,   448,
       0,   450,     0,     0,   452,   453,   454,   455,   456,   457,
       0,     0,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,     0,  1280,     0,   468,   718,   469,   470,   471,
       0,     0,   472,     0,     0,   473,   474,   475,   476,   477,
    1260,     0,     0,     0,     0,     0,     0,     0,   486,   487,
     488,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   697,   206,   207,   208,     0,  1261,
     698,  1262,  1263,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,  1264,  1265,   222,     0,   223,   224,   225,
     226,     0,     0,     0,   228,   229,   230,   231,   699,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   700,   243,   244,     0,     0,     0,   701,     0,
       0,     0,   245,   246,   247,   248,   249,   250,  1266,  1267,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   969,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,     0,   278,   279,     0,     0,   281,     0,   282,
    1268,   284,     0,   285,     0,   286,   702,     0,   703,   287,
     288,   289,     0,   290,     0,     0,   292,     0,   293,   294,
     295,   296,   297,   704,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   705,     0,   309,   310,
     311,   312,  1269,  1270,     0,  1271,     0,   316,   706,   707,
     317,   708,   318,   319,   320,   321,   322,   323,     0,     0,
     709,   325,   710,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,  1272,   711,  1273,   344,   345,   346,   347,   348,
     349,   350,  1812,   352,     0,   353,   354,   712,   355,     0,
       0,   357,  1274,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,     0,   713,   714,   715,     0,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   376,
       0,   378,   379,   380,     0,   381,   382,   383,   384,   385,
     386,   387,  1275,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     716,   404,   405,     0,   407,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
    1276,   422,   423,   717,   424,  1277,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
    1278,  1279,     0,     0,   448,     0,   450,     0,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,     0,  1280,     0,
     468,   718,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,  1260,     0,     0,     0,     0,
       0,     0,     0,   486,   487,   488,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,     0,     0,     0,   203,   204,     0,   205,   697,
     206,   207,   208,     0,  1261,   698,  1262,  1263,     0,   213,
     214,   215,   216,   217,     0,     0,   218,   219,  1264,  1265,
     222,     0,   223,   224,   225,   226,     0,     0,     0,   228,
     229,   230,   231,   699,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   700,   243,   244,
       0,     0,     0,   701,     0,     0,     0,   245,   246,   247,
     248,   249,   250,  1266,  1267,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   969,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,     0,   278,   279,
       0,     0,   281,     0,   282,  1268,   284,     0,   285,     0,
     286,   702,     0,   703,   287,   288,   289,     0,   290,     0,
       0,   292,     0,   293,   294,   295,   296,   297,   704,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   705,     0,   309,   310,   311,   312,  1269,  1270,     0,
    1271,     0,   316,   706,   707,   317,   708,   318,   319,   320,
     321,   322,   323,     0,     0,   709,   325,   710,     0,   326,
     327,   328,     0,     0,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,  1272,   711,  1273,
     344,   345,   346,   347,   348,   349,   350,  2818,   352,     0,
     353,   354,   712,   355,     0,     0,   357,  1274,   359,   360,
     361,     0,   362,     0,     0,   363,   364,   365,     0,     0,
       0,   713,   714,   715,     0,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   376,     0,   378,   379,   380,     0,
     381,   382,   383,   384,   385,   386,   387,  1275,   389,   390,
     391,     0,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   716,   404,   405,     0,   407,
     408,   409,   410,   411,   412,   413,   414,     0,   415,   416,
     417,   418,   419,     0,   420,  1276,   422,   423,   717,   424,
    1277,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,     0,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,  1278,  1279,     0,     0,   448,
       0,   450,     0,     0,   452,   453,   454,   455,   456,   457,
       0,     0,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,     0,  1280,     0,   468,   718,   469,   470,   471,
       0,     0,   472,     0,     0,   473,   474,   475,   476,   477,
     190,     0,     0,     0,     0,     0,     0,     0,   486,   487,
     488,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,   361,     0,   362,     0,     0,
     363,   364,   365,     0,     0,   366,     0,     0,     0,   367,
     368,   369,   370,   371,     0,   373,     0,   374,   375,   376,
     377,   378,   379,   380,     0,   381,   382,   383,   384,   385,
       0,   387,   388,   389,   390,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,     0,   402,   403,
       0,   404,   405,   406,     0,   408,   409,   410,   411,   412,
     413,   414,     0,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,     0,   424,   425,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
     446,   447,     0,     0,   448,   449,   450,   451,     0,   452,
     453,   454,   455,   456,   457,     0,     0,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,   467,     0,
     468,     0,   469,   470,   471,     0,     0,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,  1260,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,     0,  1261,   698,  1262,  1263,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,  1264,
    1265,   222,     0,   223,   224,   225,   226,     0,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,     0,     0,     0,   701,     0,     0,     0,   245,   246,
     247,   248,   249,   250,  1266,  1267,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   969,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,     0,   278,
     279,     0,     0,   281,     0,   282,  1268,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
       0,     0,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,     0,   309,   310,   311,   312,  1269,  1270,
       0,  1271,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,     0,   709,   325,   710,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,  1272,   711,
    1273,   344,   345,   346,   347,   348,   349,   350,     0,   352,
       0,   353,   354,   712,   355,     0,     0,   357,  1274,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,     0,   713,   714,   715,     0,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   376,     0,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,  1275,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,  1276,   422,   423,   717,
     424,  1277,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,  1278,  1279,     0,     0,
     448,     0,   450,     0,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,     0,  1280,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,  1260,     0,     0,     0,     0,     0,     0,     0,   486,
     487,   488,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,     0,     0,
       0,   203,   204,     0,   205,   697,   206,   207,   208,     0,
    1261,   698,  1262,  1263,     0,   213,   214,   215,   216,   217,
       0,     0,   218,   219,  1264,  1265,   222,     0,   223,   224,
     225,   226,     0,     0,     0,   228,   229,   230,   231,   699,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   700,   243,   244,     0,     0,     0,   701,
       0,     0,     0,   245,   246,   247,   248,   249,   250,  1266,
    1267,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   969,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,     0,   278,   279,     0,     0,   281,     0,
     282,  1268,   284,     0,   285,     0,   286,   702,     0,   703,
     287,   288,   289,     0,   290,     0,     0,   292,     0,   293,
     294,   295,   296,   297,   704,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   705,     0,   309,
     310,   311,   312,  1269,  1270,     0,  1271,     0,   316,   706,
     707,   317,   708,   318,   319,   320,   321,   322,   323,     0,
       0,   709,   325,   710,     0,   326,   327,   328,     0,     0,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,  1272,   711,  1273,   344,   345,   346,   347,
     348,   349,   350,     0,   352,     0,   353,   354,   712,   355,
       0,     0,   357,  1274,   359,   360,   361,     0,   362,     0,
       0,   363,   364,   365,     0,     0,     0,   713,   714,   715,
       0,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     376,     0,   378,   379,   380,     0,   381,   382,   383,   384,
     385,   386,   387,  1275,   389,   390,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   716,   404,   405,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,     0,
     420,  1769,   422,   423,   717,   424,  1277,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
       0,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,  1278,  1279,     0,     0,   448,     0,   450,     0,     0,
     452,   453,   454,   455,   456,   457,     0,     0,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,     0,  1280,
       0,   468,   718,   469,   470,   471,     0,     0,   472,     0,
       0,   473,   474,   475,   476,   477,  1260,     0,     0,     0,
       0,     0,     0,     0,   486,   487,   488,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     697,   206,   207,   208,     0,  1261,   698,  1262,  1263,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,  1264,
    1265,   222,     0,   223,   224,   225,   226,     0,     0,     0,
     228,   229,   230,   231,   699,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   700,   243,
     244,     0,     0,     0,   701,     0,     0,     0,   245,   246,
     247,   248,   249,   250,  1266,  1267,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   969,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,     0,   278,
     279,     0,     0,   281,     0,   282,  1268,   284,     0,   285,
       0,   286,   702,     0,   703,   287,   288,   289,     0,   290,
       0,     0,   292,     0,   293,   294,   295,   296,   297,   704,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   705,     0,   309,   310,   311,   312,  1269,  1270,
       0,  1271,     0,   316,   706,   707,   317,   708,   318,   319,
     320,   321,   322,   323,     0,     0,   709,   325,   710,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,  1272,   711,
    1273,   344,   345,   346,   347,   348,   349,   350,     0,   352,
       0,   353,   354,   712,   355,     0,     0,   357,  1274,   359,
     360,   361,     0,   362,     0,     0,   363,   364,   365,     0,
       0,     0,   713,   714,   715,     0,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   376,     0,   378,   379,   380,
       0,   381,   382,   383,   384,   385,   386,   387,  1275,   389,
     390,   391,     0,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   716,   404,   405,     0,
     407,   408,   409,   410,   411,   412,   413,   414,     0,   415,
     416,   417,   418,   419,     0,   420,     0,   422,   423,   717,
     424,  1277,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,     0,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,  1278,  1279,     0,     0,
     448,     0,   450,     0,     0,   452,   453,   454,   455,   456,
     457,     0,     0,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,     0,  1280,     0,   468,   718,   469,   470,
     471,     0,     0,   472,     0,     0,   473,   474,   475,   476,
     477,  1260,     0,     0,     0,     0,     0,     0,     0,   486,
     487,   488,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,     0,     0,
       0,   203,   204,     0,   205,   697,   206,   207,   208,     0,
       0,   698,     0,     0,     0,   213,   214,   215,   216,   217,
       0,     0,   218,   219,     0,     0,   222,     0,   223,   224,
     225,   226,     0,     0,     0,   228,   229,   230,   231,   699,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   700,   243,   244,     0,     0,     0,   701,
       0,     0,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,     0,   278,   279,     0,     0,   281,     0,
     282,     0,   284,     0,   285,     0,   286,   702,     0,   703,
     287,   288,   289,     0,   290,     0,     0,   292,     0,   293,
     294,   295,   296,   297,   704,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   705,     0,   309,
     310,   311,   312,     0,     0,     0,     0,     0,   316,   706,
     707,   317,   708,   318,   319,   320,   321,   322,   323,     0,
       0,   709,   325,   710,     0,   326,   327,   328,     0,     0,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   711,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   352,     0,   353,   354,   712,   355,
       0,     0,   357,     0,   359,   360,   361,     0,   362,     0,
       0,   363,   364,   365,     0,     0,     0,   713,   714,   715,
       0,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     376,     0,   378,   379,   380,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   389,   390,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   716,   404,   405,     0,   407,   408,   409,   410,   411,
     412,   413,   414,     0,   415,   416,   417,   418,   419,     0,
     420,     0,   422,   423,   717,   424,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
       0,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,     0,     0,     0,   448,     0,   450,     0,     0,
     452,   453,   454,   455,   456,   457,     0,     0,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,     0,     0,
       0,   468,   718,   469,   470,   471,     0,     0,   472,     0,
       0,   473,   474,   475,   476,   477,     0,     0,     0,     0,
       0,     0,     0,     0,   486,   487,   488
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-3274))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-1998))

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,   175,   513,    35,    17,    49,
     646,    11,   158,   693,   605,   606,    22,    26,   856,   610,
     928,    21,    28,   863,   891,    43,  1168,  1152,   720,   540,
     914,   740,   695,  1130,  1378,  1416,   725,  1339,    22,   540,
     773,   996,  1516,   166,    28,   757,   169,   554,    12,    49,
    1276,   165,  1774,  1775,   941,   767,   653,   171,  1322,   827,
    1205,  1158,   185,   574,  2074,   967,   968,  1811,  1069,  1211,
    1212,    21,   173,  2317,    42,  1071,   883,    45,   179,    23,
    2532,   804,   506,  1453,   986,  1974,   187,  1152,  1308,  1672,
     552,    35,  1308,  1308,   556,  2384,   808,  2386,  1308,  2048,
    1095,   813,  2212,  2771,   566,  1308,  2447,  2752,   820,  2486,
    1374,  2210,  1308,    18,  1979,  1980,   160,   829,  1985,  1120,
     573,  1117,   145,   160,   548,   848,  1199,  1158,  2977,     0,
       0,    39,     0,  2950,     0,     0,  1120,  1678,   649,  1486,
    1683,     0,   726,     7,   870,  2486,   690,  2987,   649,     0,
      14,     5,     5,   690,  3151,   881,     5,     0,  2923,     0,
     160,    77,   731,  2466,  2467,  2468,  2469,  2470,  2471,  2955,
      31,     0,     5,    50,    43,     5,  2666,  1921,     5,   957,
     958,    70,   891,   767,  2208,  2209,    13,    25,   150,     5,
    3002,    22,  3004,   128,     5,     5,    59,    13,    22,  1546,
     104,     0,    13,    57,   982,    29,  1013,     9,    57,    26,
      27,   802,     5,   181,    66,     5,    11,   150,     5,   150,
     150,    97,    18,    35,  3497,     5,     0,    18,     5,   123,
       5,    35,    72,    24,   156,     9,   150,     5,    16,     3,
       4,     5,   151,   153,    50,     9,    18,     5,    22,     5,
      11,   133,    81,  1997,  3517,  1999,  3157,   104,  3510,    72,
     247,  3301,  1891,    22,   152,   279,    23,     5,   131,   152,
      29,   121,   151,   113,   257,    36,   295,    63,   104,     0,
     170,   788,    81,   163,   147,   145,   193,     5,     9,   306,
       9,   150,     4,   108,   218,    57,   152,     9,    22,   150,
     113,    22,  1303,  1235,     9,  3417,  3418,   150,    11,   150,
      50,   170,   237,   158,     5,     4,   306,   229,   284,   170,
       9,   375,  1014,  1056,  1279,   121,   155,   170,   294,   170,
     121,   306,   149,    36,   151,   355,   283,   392,   218,    81,
     104,   384,   297,   513,    11,   393,  1055,  1039,    34,   121,
    1059,  1060,   318,   251,    40,   133,   155,   282,   333,  3632,
     307,    22,    22,   411,  1266,  1267,   104,   322,   879,    29,
     253,   425,  1274,   392,   429,   190,   150,   284,   879,   109,
     891,    11,   298,   373,   554,   508,   104,   266,   502,   313,
     237,   121,   116,   355,   495,  3160,   170,   253,  1330,   500,
     523,   111,   864,  1241,   806,  1245,    36,   317,   425,   429,
     429,   425,   150,   155,   277,     5,   242,     8,   172,   196,
     308,     5,   299,   177,   188,   265,    50,   184,  1137,   150,
     544,  2808,   186,   313,  1143,   295,   346,   551,   425,   270,
     893,   355,   324,   319,   109,   209,   429,   297,   327,   170,
     412,    11,   265,    30,   337,   116,  1452,   919,   296,   304,
    3712,  3501,  2765,   310,   250,   427,   378,  2808,   930,   189,
     308,   300,   322,   264,   242,   363,  3473,   366,  1187,  3752,
     942,  1190,  1191,  1195,   242,  1197,  1264,  1265,   497,  1257,
     425,   109,   264,   299,   388,  1273,   429,   293,   429,   429,
    1233,   300,   293,   355,   260,   329,   369,   429,   412,   349,
     611,  2052,  3277,   429,  1510,  1238,   425,   348,  3304,   350,
    1521,   359,  3334,  3786,  1408,   626,   928,   104,   306,   383,
     342,   540,   541,  1242,   574,  2559,   349,  2281,   342,   429,
     393,  1052,  1254,  1769,   274,   646,   324,   693,  1059,  1060,
     322,  1052,   429,   576,  3319,  3667,   425,  1553,   411,   299,
    3050,   191,   663,   392,   425,   183,   534,   384,  1112,   428,
     329,   425,   425,   573,   574,  1112,   425,   428,    11,   585,
    3577,   587,  1151,   589,   685,   428,  2308,   428,  2310,   595,
     423,   496,   425,   392,   427,   425,   383,   426,   425,   428,
    1184,   585,  2905,   587,  1293,   589,  2147,  1752,   572,   425,
     619,   595,   596,   597,   425,   425,  1342,   355,   788,   742,
     743,  2731,   424,   429,   574,  1351,   421,   426,  1090,   428,
     639,   191,   425,  1359,  1360,   425,   645,  2736,   425,   648,
     649,   650,   416,   417,  1451,   425,  1453,  3412,   616,  1774,
     425,  1377,   416,   417,   428,  3420,  1463,  2546,   242,  1466,
     421,  2550,   253,   425,   778,   375,  3567,  1474,  1475,   329,
    3487,   785,  1974,  1180,   412,   299,  3673,   800,  3518,   193,
    1487,  1488,  2426,  2427,   684,   684,   684,   684,   684,   427,
    2233,  1498,   133,   816,   817,   416,   417,   416,   417,   667,
    1478,  1479,   393,   392,   416,   417,   425,   428,   373,   429,
     833,   416,   417,  1115,    41,   418,   419,   420,   421,    72,
     411,   835,    98,   673,  1725,  2447,   251,   416,   417,   830,
     831,   832,   247,  3730,   425,   599,  1327,   860,   861,   647,
     229,  1725,   250,   651,   362,   335,   336,  2221,    59,   287,
    1781,   418,   419,   420,   421,   373,   740,   511,   191,     8,
     113,   515,    11,    74,  2486,   252,   144,  2114,  2115,   154,
     284,   525,  2119,   104,   189,     3,  1178,     5,   257,   142,
      50,    97,   153,   304,  1420,  1421,   416,   417,   418,   419,
     420,   421,  2421,  3642,   803,  2424,  2425,   173,    18,  2428,
    1801,   106,   257,  1818,    72,   429,  3471,  3804,  2530,  2438,
     150,  2158,  2159,   684,   684,  1507,   684,   918,   684,   684,
     131,   412,   413,   414,   209,   416,   417,   418,   419,   420,
     421,   109,    34,     5,  3421,   412,   147,  1239,   134,   166,
     941,  1966,    22,   170,   108,   113,   423,  1862,   425,   426,
     427,  1358,   429,   374,  1256,   170,   416,   417,   418,   419,
     420,   421,    74,    74,   345,   228,   109,  3319,    97,   106,
     879,    99,   154,    99,  1385,   104,   141,    51,   205,  2746,
       5,   324,   891,   324,  1957,    59,     8,   425,    68,    11,
    1352,  3478,   104,   893,   272,    75,  1298,  3565,   423,  1361,
     150,   121,   427,     5,  2206,   183,   237,   891,    99,   396,
     425,  1373,   265,   229,    36,   429,   925,   425,   407,    41,
     170,   170,   922,   922,  1348,   105,   190,   209,  3573,  3574,
     373,  1384,   237,   838,  3599,   163,     8,   163,   104,    11,
     183,   206,   191,   154,  1670,  1347,   317,   426,  3713,   106,
     429,   951,  1414,   263,   355,  1417,    28,  1419,  3760,   229,
    1422,   239,   173,   348,  1065,   350,   277,   169,   344,   345,
     970,   426,   163,  1013,   429,   346,    32,  1484,   293,   104,
     264,  3568,   297,   416,   417,   418,   419,   420,   421,  3576,
     218,  3280,   218,   221,   174,   221,   349,   265,   209,   326,
    1000,   386,   104,   357,   253,   242,  1015,   322,   237,   293,
    1180,  1913,     8,  1013,  3124,    11,  1025,   130,   107,   315,
     177,  3120,  3824,    76,  3134,   237,  1035,   218,   429,   299,
     221,    48,   896,  3132,   898,   209,   900,   315,   902,   425,
     904,   905,   906,  1052,   264,   256,  1055,   911,   170,   345,
    1059,  1060,   322,  3430,  1098,  1099,   112,  1101,   369,    73,
    1083,  1098,  1099,  1164,  1101,   118,   348,   345,   350,   191,
     192,  1055,   315,   293,   187,  1059,  1060,   392,   167,    96,
     237,   349,  1850,  3728,   380,   313,  2808,   313,  3037,  3430,
    1213,  1214,  1215,  1216,   284,   373,   392,    96,  1098,  1099,
     308,  1101,   380,   145,  2993,   334,     5,   132,   337,  2998,
       9,   125,  3001,   155,   392,  1824,  1217,  1519,   240,   191,
    1243,  1244,   313,  1832,  2989,  1834,  1249,   191,   170,   425,
     373,   253,   145,   116,   324,   118,  1237,   348,  2139,   350,
       0,   425,  2643,  2144,   257,    43,   171,   425,   359,   315,
    2295,   359,   165,  1137,  1992,   172,   107,   337,   369,  1143,
    2000,  2744,   428,   412,   413,   414,  2667,   416,   417,   418,
     419,   420,   421,   357,  1942,  1943,  1944,  1945,   406,   345,
     406,   253,  2307,   373,   308,   199,   200,   251,  1358,  1173,
    1313,  1314,  1315,  1316,  1203,   191,   425,    95,   212,   425,
     217,   426,   219,  1187,   429,   104,  1190,  1191,   255,   141,
     394,  2592,   229,   145,   380,   406,   167,   264,   217,   152,
     219,     8,  2851,   145,    11,  1339,   392,  1341,  2857,  2858,
    2859,  2860,  2861,  2862,     8,   359,  1350,    11,  2234,   279,
    2235,    28,  2307,   165,  2546,   276,   263,   180,  2550,   116,
     264,   118,  2622,   429,    28,   368,  1379,   253,  1242,   425,
     302,  3713,  1363,  1986,   247,  1991,    97,  3011,  2488,  3013,
     107,  1372,  2488,  2488,   206,   246,    59,  2084,  2488,  2005,
    2006,   298,  1383,  2009,   182,  2488,  3396,  3397,   312,  2015,
     109,  1983,  2488,    96,   416,   417,   418,   419,   420,   421,
    1309,  2648,  1416,  1727,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2658,  2659,  2660,  1484,   332,  2580,   249,  1780,  1420,
    1421,   104,  3611,  1162,     4,  2132,   357,   308,   196,     9,
     167,   229,  2041,   347,   229,   349,    20,   316,   385,  1339,
     412,   413,   414,  3353,   416,   417,   418,   419,   420,   421,
    2076,   116,   423,   118,  2161,    39,   427,   264,   392,    81,
     255,  2708,  2709,   394,   183,     8,   345,  1206,    11,   264,
     237,   392,   175,   264,   139,    11,  2518,  3621,   359,   276,
     247,   103,    37,  1785,  1384,    28,   293,   109,  1428,  2196,
     297,     8,  1816,    36,    11,   429,   355,  3407,    41,  3409,
      36,  2285,   293,    58,   191,   151,   297,   386,   429,  1306,
      85,  2313,   134,   311,   217,   322,   219,   191,  1446,    11,
     416,   417,   418,   419,   420,   421,  1323,  1501,  1428,  2903,
    1504,   322,   310,   179,   264,  1385,   425,  1437,  1437,  1437,
    1437,  1437,  3331,  2444,    36,  2114,  2115,  1548,   194,   426,
    2119,  3561,   429,   359,   237,   141,  1557,   203,  1969,   242,
     357,   183,  1471,   293,  1432,   347,   253,  1221,  1969,   347,
     295,   316,   237,  2775,   141,   315,   151,   242,   145,   253,
    1464,  1465,   247,   378,  2485,   392,   424,    97,  1472,  2158,
    2159,   429,  1476,  1477,   277,   264,   315,   394,   312,  1901,
     345,  1445,  2013,   393,   179,   345,   289,  1491,    78,  1493,
     392,   393,  2013,  2222,   392,   393,  1105,   264,   412,   194,
     206,   411,   173,   166,   293,  1525,   345,   170,   203,  1513,
    1394,  1515,  1396,   427,  1398,   425,  1400,    66,  1402,   206,
     380,   386,  1406,   425,    22,    74,   293,   425,   191,   192,
      28,   226,   392,  1307,   373,   191,   192,   303,  1567,   315,
    2286,   380,   205,   249,  2560,   424,   310,   165,  1322,  2916,
     429,    97,   310,   392,   191,  2037,   251,   312,  1679,   293,
    1681,    47,   249,   297,   196,   425,   369,  3216,  3217,   345,
     264,     9,   426,   315,   237,   429,   361,   240,   116,  2325,
     118,  2327,   425,   347,   240,   370,   425,  2603,   322,   347,
     253,   426,   251,  2497,   429,  2251,  2305,   256,  3092,   293,
    1374,   139,  2219,   345,   380,   412,   413,   414,   303,   416,
     417,   418,   419,   420,   421,   264,   253,   264,   412,   413,
     414,   393,   416,   417,   418,   419,   420,   421,   392,   393,
     425,   373,  2794,  2795,   392,   393,   251,   251,   380,   411,
      47,   256,  2064,     5,   293,   759,   293,   761,    10,   425,
     392,  2178,   426,   425,   768,   429,   426,    19,   392,   429,
    2681,   425,  2131,   326,  2133,  2134,  1686,   425,   392,   393,
    1696,  2993,  2688,   322,    36,   322,  2998,  1798,   429,  3001,
     375,  2846,   426,   425,  1732,   429,  1734,  1830,  3430,   425,
     130,  2222,  1696,   420,    37,  2670,  2671,  3727,   425,   408,
     427,   141,    56,    57,   242,   145,   420,   427,  2615,   247,
    1680,   425,   423,   427,   425,   254,   427,  2870,  2871,   109,
    3484,  2874,   348,  2876,   350,   306,   307,  3094,  3095,   426,
       0,   193,   429,  1762,  1877,   426,   426,   426,   429,   429,
     429,  1884,  1885,  1886,  1887,  1888,  1889,   187,   251,   412,
     413,   414,   254,   416,   417,   418,   419,   420,   421,   355,
     416,   417,   418,   419,   420,   421,   206,   408,   426,   426,
    3512,   429,   429,   306,   307,   412,   413,   414,  2706,   416,
     417,   418,   419,   420,   421,   251,  2807,   426,  2809,   254,
     429,  2273,  2274,   183,  2276,   587,   588,   589,  3447,    37,
     592,   593,   594,   426,  1925,   426,   429,   408,   429,   249,
     602,    81,  2456,  2457,  2458,    43,  1959,   257,  2564,   348,
    1824,   350,  2568,   361,  2570,  2970,  2572,  2573,  1832,   418,
    1834,   426,   370,   426,   429,  2581,   429,  2954,   426,   426,
    1974,   429,   429,  3089,   426,   392,   393,   429,   238,   239,
    2677,   409,   410,  1996,  1883,  1998,   426,   429,    86,   429,
     130,   426,  1891,   426,   429,  2787,   429,   423,   193,   425,
    2616,   141,  2776,  2777,   322,   145,  2487,  1486,   426,    47,
     150,   429,   110,   426,   426,   155,   429,   429,   158,   149,
     160,  2373,    85,   427,   426,    26,    27,   429,   425,     8,
     426,   129,    11,   429,   426,   426,  1910,   429,   429,  3403,
     426,   426,  1941,   429,  1974,   392,   393,   187,   146,    28,
     426,   426,   426,   429,   429,   315,   425,    36,   368,  2351,
     425,  2353,    41,   161,  1963,   425,   206,   427,  1958,  1958,
    1969,   395,   426,   426,  1928,   429,   429,   425,  1722,   427,
      81,   425,  1726,   426,  1974,   345,   429,   426,   151,  2648,
     429,   251,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,
    2659,  2660,   103,   426,  1748,   348,   429,   350,   109,   249,
    2867,   427,  1756,   373,  2013,  2738,   179,   257,  2178,   426,
     380,  3358,   429,   348,  2476,   350,  2478,   426,  2529,   428,
    2422,   194,   392,   134,   426,  1779,   145,   429,  2529,  3331,
     203,   426,   204,   428,   242,  3382,  3383,  2252,  2253,  2708,
    2709,    18,   250,   426,   375,  1799,   429,    24,  2728,  2729,
     300,   426,   251,   226,   429,   425,   425,  2041,   426,   426,
     246,   429,   429,  1817,   426,   426,  1820,   429,   429,  2215,
     426,   196,   183,   429,   282,  2245,     8,   166,   312,    11,
     426,   170,   426,   429,  1838,   429,    63,   426,  3469,   425,
     429,  1845,  2206,    59,  2783,   345,    28,   932,   933,  2200,
    1854,  2503,   191,   192,   392,   426,   426,  1861,   429,   429,
     426,  3413,    31,   429,    49,  2517,   205,   426,   368,   395,
     429,  2161,   894,   426,   425,   897,   429,   899,  2590,   901,
     303,   903,   687,   806,   689,   907,  2551,   114,  2553,   389,
      37,   391,   392,     8,   121,    80,    11,   124,   237,    37,
    2251,   240,  2614,   364,   426,   264,    59,   429,  2867,   426,
      18,  2161,   429,  2565,   253,   426,    24,   256,   429,   426,
     145,    74,   429,   423,   280,  2175,   426,   427,   428,   426,
      71,   375,   429,  2201,  2202,   426,     8,   135,   429,    11,
    3537,   135,  3100,  3318,  2194,   135,   426,   425,   175,   429,
     395,   104,   137,   106,   315,    63,  2206,   135,  3510,   135,
     429,  2979,   135,  2222,    36,   135,   251,   135,   135,    41,
     135,   135,   251,   135,   135,   345,  2628,  3228,   425,    31,
     146,   204,   145,   168,   345,   145,  2220,   326,  2222,     5,
     425,     5,   425,   425,  3588,  2647,  3590,  2916,   425,   425,
     273,   425,   229,     5,   425,   928,   114,   425,     5,   191,
     425,   425,   373,   121,   425,   425,   124,   425,   425,   380,
    2672,   425,  3079,   384,   177,     5,   425,  2447,     5,   425,
     425,   392,   425,  3009,   425,   425,   425,   264,   425,   425,
    3016,  3017,   425,   425,   261,   429,    31,    87,   204,    31,
     145,   145,   249,   355,  2706,   355,   427,   355,   355,   355,
     251,   314,   355,   355,   425,   242,  2486,   175,  3027,   355,
     297,   253,    66,   412,   413,   414,   191,   416,   417,   418,
     419,   420,   421,   374,   237,   424,   175,   355,   355,   242,
     425,   430,   251,   429,   166,   322,   355,   375,   170,   375,
      98,   355,    47,  3237,   355,    47,  2867,   264,   355,   264,
     425,  2370,   297,  3230,   299,   355,   301,   355,   255,   191,
     192,   229,   307,   355,   277,   355,   355,   310,   251,   314,
     251,  2390,   191,   205,   355,   355,   289,   322,   253,   383,
     392,   425,   425,   425,    31,   330,    30,  2498,  3495,    20,
     104,   375,   386,   338,   385,   212,   264,  2508,    31,   145,
    3712,   425,  2421,    31,   196,  2424,  2425,   311,   240,  2428,
     389,   135,  2523,   375,   135,  3094,  3095,   135,   135,  2438,
     375,   253,  2546,   246,  2443,   293,  2550,   380,  2447,   297,
     300,   241,  1115,   408,   150,   223,   388,   355,  3174,  3175,
     223,   353,   387,   425,  3362,    11,   322,   353,   357,   150,
     355,   429,   425,  2447,   322,  3157,   369,   425,  2930,  2931,
    2454,  2455,   429,  2574,  3137,  2459,  2577,  2486,  2592,  1152,
     412,   413,   414,   164,   416,   417,   418,   419,   420,   421,
     426,  2500,   164,   187,   252,  2479,   247,   426,   429,   429,
     130,   355,  2486,   355,   326,  1178,   310,    73,  2262,   310,
     195,   141,   412,  3225,  2615,   145,   375,   195,  3643,  2528,
    2529,  2521,  2521,   242,   425,  2114,  2115,   425,   251,   242,
    2119,   355,  2934,   242,   258,   250,   429,   355,   293,  2539,
    2539,   355,   319,   293,   293,   355,  2546,   284,   413,   414,
    2550,   416,   417,   418,   419,   420,   421,   187,   191,    31,
    3022,  3023,  3024,   191,   191,   191,  1239,   375,   250,  2158,
    2159,   191,   375,    30,  3458,   425,   206,   412,   425,   355,
     423,   423,   145,  1256,   355,   355,  3393,   355,   147,   412,
     412,   413,   414,  2347,   416,   417,   418,   419,   420,   421,
    2354,  2601,  2601,  1276,   247,   425,    31,   319,   162,  3751,
     251,     8,   251,  3339,    11,  3341,  3342,   162,   145,   249,
      31,   135,  2723,  2724,   429,  1298,  3352,   257,   425,   251,
    3538,   319,   251,  3140,   145,   170,   425,   170,  2808,    36,
     170,   395,   429,    19,    41,   220,   156,   251,   429,    47,
     150,   426,   426,   150,   426,   408,   355,   426,   389,   426,
     425,  2775,  2416,   426,   426,   426,   426,   260,    13,   426,
     429,    13,   206,  3581,  1347,   408,  2716,  3585,  3586,   251,
     426,   426,   425,  2692,   426,   426,   426,  3278,   426,  3358,
     254,   251,   378,   355,   181,   242,   425,   425,  3100,   425,
    2718,  2719,  2720,  2721,   135,   135,   268,   206,   372,   355,
     268,   215,   215,  3382,  3383,   355,  2716,   215,   191,  3230,
     355,   191,   191,   355,   355,   191,  2735,   191,   191,   191,
    3597,   355,     3,   423,   313,  3542,   221,   426,   368,  3201,
    3202,   355,  3204,  3583,  3582,   355,   426,   206,   255,   412,
      97,   364,   295,   426,   392,   425,   250,   355,   429,   251,
     159,   426,   194,   259,   425,   194,    23,   425,    25,   166,
     247,  3173,    29,   170,   375,   375,    33,    34,    35,   310,
      37,  3183,    39,    40,   310,    42,   310,    44,    45,   254,
     133,   127,   133,   423,   191,   192,   426,   427,   150,  2808,
     429,    11,   385,  2904,   429,   145,   423,   158,   205,  3535,
     426,   426,    57,  2822,   426,  2821,  2825,   150,  2827,   425,
     412,  2922,   425,    73,  2808,   252,  2580,   426,   145,   426,
     426,   426,    82,    83,    84,   181,   364,  2821,  2939,   364,
    3566,  2595,  2851,   240,   426,   426,  1519,   355,  2857,  2858,
    2859,  2860,  2861,  2862,  3661,   426,   253,   145,  2867,  3005,
     355,   426,  3324,  2617,  3500,   355,   355,   191,  3537,   191,
     425,   424,  3334,   424,   426,   195,   126,   392,  1551,  2993,
    3560,   425,    31,  2867,  2998,   145,   395,  3001,   429,   426,
     429,   176,    69,   347,   355,  2879,  2880,   429,  2907,  2908,
    2909,  2910,   425,   425,   392,   194,  2890,  3414,   165,   166,
     167,   319,   169,   425,   171,   155,   173,   150,   175,   150,
     426,   426,   179,  2907,   181,   175,    47,  3434,   185,   326,
     187,   160,   425,   355,  3336,   426,  3774,   390,   390,   150,
     426,   392,   242,   426,   426,   429,   364,   242,   429,   429,
     135,   111,   412,   191,   106,   242,   177,   424,  2967,   152,
    3362,   150,   375,   375,   214,   122,    97,   388,   392,   425,
    3140,   150,   178,   254,   150,   425,   425,   425,   425,   379,
     230,   231,   232,   233,   234,   426,   236,   331,   426,   391,
     267,   426,   426,  2993,   375,   251,   289,   425,  2998,   425,
     392,  3001,   145,    31,   216,   242,   173,   134,   425,   255,
    3111,  3112,  3113,  3114,    59,   307,   413,   414,   268,   416,
     417,   418,   419,   420,   421,   307,   254,  2781,    59,    47,
     257,   425,   145,  3156,  3157,   251,   347,   140,   281,   254,
     254,   117,  3768,  3027,   379,   429,    31,   429,   150,   122,
     389,   287,   251,   251,   392,    31,   425,    49,   392,  2648,
     426,  3523,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,
    2659,  2660,   425,   109,   306,   373,   426,   425,    17,    28,
    3203,  3672,   306,   134,   281,  2839,  3597,  2841,    80,    18,
     684,   341,     0,   425,  1224,    24,  1769,  1807,  1927,  1060,
    2318,  1774,  1775,  2222,  2443,  2807,  3450,  3228,  3597,  3495,
    2958,  3271,  1785,  2280,  3499,  2030,  3732,   367,  3413,  2708,
    2709,  3149,  3773,  3699,   374,  3698,  3135,   377,  3741,  1752,
    3592,  1324,  2960,  2832,    63,  3519,  3538,  2385,  3144,  1915,
    1310,  2499,  3776,  3837,  3829,   137,  3245,  3244,  2485,  2449,
    3748,  3436,  3680,  3439,  1301,    28,  3030,  3564,  3643,  2968,
    3144,  1775,  3669,  2970,  3170,  3757,   541,  3831,  3485,  1680,
    1385,  1681,  2951,    81,  2602,   677,   168,  2231,  2254,  3581,
    2242,   920,  1716,  3585,  3586,   114,  3170,   662,  2248,  1110,
    1715,  1699,   121,  1673,  2206,   124,  1974,  3181,  3182,  1089,
    2552,  3332,  3186,  3187,  1108,   534,  2232,  3216,  3217,   667,
    1900,  2948,  3540,  2691,  2683,  1107,  3721,  3331,  3722,  3725,
    3321,  3230,   130,  2245,  2086,  3234,  3235,  2175,  1901,  3238,
    3239,  2173,  2053,   141,  1549,    -1,    -1,   145,   495,    -1,
      -1,    -1,   150,   500,  3414,   502,   175,   155,  3254,   506,
     158,   508,   160,    -1,    -1,    -1,   513,    -1,    -1,   516,
    3430,    -1,    -1,    -1,  3434,    -1,   523,    -1,    -1,    -1,
    3254,    -1,   264,    -1,    -1,    -1,    -1,   534,    -1,   187,
      -1,  3290,    -1,    -1,  3284,  3284,    -1,   544,    -1,    -1,
      -1,   548,  3415,  1966,   551,    -1,    -1,   554,   206,  3413,
     229,   293,    -1,    -1,    -1,   297,    -1,    -1,  3317,   301,
      -1,    31,   569,    -1,    31,   307,    -1,    -1,    -1,  3433,
       8,    -1,   314,    11,    -1,    -1,    -1,  2916,    -1,    49,
     322,  3331,    49,    -1,    -1,   264,    -1,    18,   330,    -1,
      -1,   249,    -1,    24,    -1,    -1,   338,    -1,    36,   257,
      -1,    -1,    -1,    41,   611,  3469,    -1,    -1,    -1,   616,
      80,    -1,    -1,    80,   293,    -1,    -1,    -1,   297,   626,
     627,  3472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    -1,    -1,  3509,   644,    -1,   646,
     647,  2064,   300,   322,   651,   387,  3510,    -1,    -1,  3500,
      -1,    -1,    -1,    -1,    -1,    -1,   663,    -1,    -1,    -1,
     667,    -1,    -1,   670,    -1,    -1,    -1,   137,   675,    -1,
     137,  3430,    -1,    -1,    -1,  3179,    -1,    -1,   685,    -1,
      -1,    -1,    -1,   114,    -1,    -1,  3190,   345,  3447,    -1,
     121,   129,  3451,   124,  3567,    -1,  3430,    -1,   168,    -1,
      -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     368,    -1,     3,    -1,    -1,    -1,  3589,     8,  3591,    -1,
      11,    -1,    -1,    -1,  3575,    -1,   196,    -1,   166,   196,
      -1,   389,   170,   391,   392,   742,   743,    28,    -1,    -1,
      31,    -1,    -1,    -1,   175,    36,    -1,    -1,    -1,  3669,
      41,    -1,    -1,   191,   192,  3094,  3095,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,    -1,   205,   426,   427,
     428,   778,    -1,    -1,    -1,    -1,    -1,    -1,   785,    -1,
      -1,   788,    -1,    -1,    -1,  2208,  2209,  2210,    -1,    -1,
      -1,    -1,    -1,   800,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,   816,
     817,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   830,   831,   832,   833,   297,   835,  3702,
     297,   301,    -1,   264,   301,    -1,    -1,   307,  3597,    -1,
     307,  3705,    -1,    -1,   314,    -1,    -1,   314,  3712,    -1,
      -1,    -1,   322,   860,   861,   322,    -1,    -1,    -1,    -1,
     330,    -1,   293,   330,    -1,  3738,   297,    -1,   338,    -1,
    3734,   338,    -1,    -1,    -1,   166,   883,    -1,    -1,   170,
      -1,    -1,    -1,    -1,  2307,  2308,    -1,  2310,   326,    -1,
      -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,   913,   914,    -1,    -1,
      -1,   918,    -1,   920,   205,    -1,    -1,   387,    -1,    -1,
     387,   391,   392,    -1,   391,    -1,    -1,    -1,  2351,    -1,
    2353,   938,    -1,    -1,   941,    -1,    -1,   944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,   955,   240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,   256,    -1,    -1,    31,  3833,
      -1,    -1,    -1,    -1,    -1,    -1,   983,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,    49,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,  2422,
      -1,    -1,    -1,  1010,  1011,    -1,  1013,  3757,  3757,  3757,
    3757,  3757,    -1,    -1,    -1,    -1,    -1,    80,    -1,  3358,
      -1,    -1,    -1,  1030,  2447,  3784,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,  3788,  3788,
    3788,  3788,  3788,  3382,  3383,    -1,    -1,    -1,    -1,    -1,
    3784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1065,    -1,
      -1,  1068,    -1,  2486,    -1,    -1,  1073,    -1,  1075,    -1,
    3829,    -1,    -1,    -1,   137,    -1,    -1,    -1,  3837,    -1,
    2503,  3831,  3831,  3831,  3831,  3831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1100,  2517,  3829,    -1,  1104,  1105,    -1,
      -1,    -1,    -1,  3837,    -1,   168,    -1,  2530,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1124,    -1,    -1,
      -1,   412,   413,   414,    -1,   416,   417,   418,   419,   420,
     421,    -1,    -1,   196,    -1,    -1,  2559,    -1,  1145,    -1,
      -1,    -1,  2565,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      -1,  1158,     8,    -1,    -1,    11,    -1,  1164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,  1180,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,  3537,    -1,
      -1,    -1,    -1,    73,    -1,  2628,  1213,  1214,  1215,  1216,
    1217,    -1,    82,    83,    84,    -1,  1223,    -1,    36,    -1,
      -1,    -1,    -1,    41,  2647,    -1,    -1,    -1,  1235,    -1,
    1237,    -1,    -1,    -1,   297,    -1,  1243,  1244,   301,    -1,
      -1,    -1,  1249,    -1,   307,    -1,    -1,    -1,    -1,  2672,
      -1,   314,    -1,    -1,    -1,    -1,   126,    -1,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,   175,  1313,  1314,  1315,  1316,
     166,    -1,    -1,  2736,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1330,   387,    -1,    -1,    -1,   391,    -1,
      -1,    -1,  1339,    -1,  1341,   191,   192,    -1,    -1,    -1,
      -1,  1348,    -1,  1350,   214,    -1,    -1,    -1,   166,   205,
      -1,  1358,   170,    -1,    -1,    -1,  1363,    -1,    -1,    -1,
     230,   231,   232,   233,   234,  1372,   236,    -1,    -1,    -1,
      -1,  1378,  1379,   191,   192,    -1,  1383,    -1,    -1,    -1,
      -1,   237,    -1,    -1,   240,  2808,    -1,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,   268,    -1,
     256,  1408,    -1,    -1,    -1,    -1,    -1,    -1,     8,  1416,
      -1,    11,    -1,  1420,  1421,    -1,    -1,    -1,    -1,   237,
      -1,  1428,   240,    -1,    -1,  1432,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,   304,   253,    36,    -1,  1445,  1446,
      -1,    41,  1449,    -1,  1451,    -1,  1453,    -1,    -1,    -1,
      -1,    -1,    -1,  1460,    -1,    -1,  1463,    -1,    -1,  1466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,  1475,    -1,
     326,   341,    -1,   343,    -1,  1482,    -1,  1484,  1485,  1486,
    1487,  1488,    -1,    -1,    -1,    -1,    -1,    -1,  1495,  1496,
      -1,  1498,    -1,  1500,    -1,    -1,  1503,   367,    -1,    -1,
      -1,    -1,    -1,    -1,   374,    -1,    -1,   377,   326,    -1,
      -1,  2934,    -1,  1520,    -1,    -1,    -1,  1524,    -1,    -1,
       8,  1528,    -1,    11,    -1,  1532,    -1,  1534,  1535,  1536,
    1537,  1538,  1539,  1540,  1541,  1542,    -1,  1544,    -1,    -1,
      28,  1548,  1549,    -1,  1551,    -1,    -1,  2970,    36,     8,
    1557,    -1,    11,    41,    -1,    -1,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,   166,    -1,    -1,    -1,
     170,    -1,    -1,   429,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,   192,    -1,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,    -1,   205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,
     240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1672,  3089,    -1,    -1,    -1,
     129,    -1,  1679,    -1,  1681,    -1,  1683,  3100,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,    18,
      -1,    -1,    -1,   191,   192,    24,    -1,   166,    -1,  3132,
      21,   170,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
    1727,    -1,    -1,    -1,    -1,  1732,   326,  1734,    -1,    48,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1749,    -1,    63,    -1,   205,    -1,    -1,   237,
    3173,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3183,    -1,    -1,    -1,    -1,   253,    -1,    78,   256,    -1,
      -1,    -1,    -1,    -1,  1781,    -1,    -1,    96,    -1,    -1,
    1787,   240,    -1,    -1,    -1,  1792,    -1,    98,    -1,    -1,
      -1,  1798,    -1,   104,   253,   114,    -1,    -1,    -1,    -1,
      -1,    -1,   121,  1810,  1811,   124,    -1,    -1,   119,  1816,
      -1,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,    -1,  1830,    -1,    -1,    -1,    -1,    -1,   429,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,   326,    -1,
      -1,   152,    -1,    -1,    -1,    -1,    -1,   158,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,    -1,    -1,    -1,
      -1,    -1,   173,    -1,    -1,    -1,    -1,   326,    -1,    -1,
    1877,    -1,    -1,    -1,    -1,    -1,    -1,  1884,  1885,  1886,
    1887,  1888,  1889,    -1,    -1,    -1,   197,    -1,    -1,    -1,
      -1,    -1,  1899,    -1,    -1,  3318,    -1,    -1,   217,    -1,
     219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     229,    -1,    -1,  3336,  1921,    -1,    -1,    -1,  1925,    -1,
      -1,    -1,  1929,    -1,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,    -1,    -1,   426,  3362,
      -1,    -1,   253,    -1,   263,   264,  1953,     8,    -1,    -1,
      11,    -1,  1959,  1960,    -1,    -1,    -1,   416,   417,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,  1974,  1975,   280,
      -1,    -1,  1979,  1980,   293,    36,    -1,  1984,   297,   298,
      41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1996,
    1997,  1998,  1999,   304,    -1,    -1,    -1,    -1,     8,   310,
      -1,    11,    -1,   322,    -1,   316,    -1,  3430,   319,    -1,
      -1,  2018,    -1,   332,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,     8,  2030,    -1,    11,    36,    -1,    -1,    -1,
      -1,    41,    -1,    -1,   345,    -1,   347,    -1,    -1,    -1,
     351,    -1,    28,    -1,    -1,    -1,  2053,    -1,   359,    -1,
      36,    -1,    -1,   364,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   374,    -1,    -1,    -1,    -1,   129,    -1,
      -1,    -1,    -1,    -1,    -1,   386,    -1,  2084,  2085,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,   166,    -1,  2114,  2115,   170,
      -1,    -1,  2119,    -1,    -1,  3538,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,  2131,  2132,  2133,  2134,    36,    -1,
     191,   192,    -1,    41,    -1,    -1,  2143,    -1,    -1,  2146,
      -1,  2148,  2149,    -1,   205,    -1,    -1,    -1,    -1,    -1,
      -1,  2158,  2159,    -1,  2161,    -1,   166,    -1,  3581,    -1,
     170,    -1,  3585,  3586,    -1,    -1,    -1,  2174,    -1,  2176,
      -1,  2178,    -1,  2180,    -1,    -1,    -1,    -1,    -1,   240,
     166,   191,   192,    -1,   170,    -1,    -1,    -1,    -1,  2196,
      -1,    -1,   253,  2200,    -1,   205,    -1,    -1,    -1,  2206,
      -1,  2208,  2209,  2210,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2225,   205,
    3643,    -1,    -1,    -1,  2231,    -1,  2233,   237,    -1,    -1,
     240,    -1,    -1,    -1,    -1,  2242,    -1,    -1,    -1,    -1,
    2247,    -1,    -1,   253,  2251,    -1,   256,  2254,    -1,    -1,
      -1,   237,    -1,    -1,   240,    -1,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,   326,    -1,   253,    -1,    -1,
     256,    -1,  2279,    -1,  2281,    -1,    -1,    -1,  2285,    -1,
      -1,    -1,    -1,   191,   192,     7,    -1,    -1,    -1,    -1,
      -1,    13,    14,    -1,    -1,    -1,    -1,   205,    20,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    30,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    48,    -1,    -1,   237,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,    -1,    -1,    -1,    -1,   253,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,   419,   420,
     421,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      41,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,    -1,    -1,    -1,    -1,   426,    -1,   326,  2426,
    2427,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,    -1,    -1,    -1,     8,
     426,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,    -1,   180,    28,
     182,    -1,   184,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2497,  2498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2508,    -1,    -1,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,  2523,    -1,   426,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,  2540,    -1,    -1,  2543,    -1,    -1,  2546,
      -1,    -1,    -1,  2550,    -1,    -1,    -1,    -1,    -1,  2556,
     191,   192,  2559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   205,    -1,    -1,  2574,    -1,    -1,
    2577,    -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2592,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2602,   237,   166,    -1,   240,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,  2615,    -1,
      -1,    -1,   253,    -1,    -1,   256,    -1,    -1,  2625,    -1,
      -1,    -1,   191,   192,    -1,    -1,    -1,  2634,    -1,    -1,
      -1,    -1,    -1,  2640,    -1,  2642,   205,    -1,    -1,    -1,
      -1,  2648,    -1,    -1,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2658,  2659,  2660,    -1,    -1,    -1,  2664,  2665,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,
    2677,   240,    -1,    -1,    -1,    -1,  2683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,   326,  2693,   256,    -1,  2696,
      -1,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2707,  2708,  2709,    -1,    -1,    -1,  2713,    -1,    -1,  2716,
      -1,    -1,    -1,    -1,    -1,    -1,  2723,  2724,    -1,  2726,
      -1,    -1,    -1,    -1,    -1,  2732,    -1,  2734,    -1,  2736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2775,  2776,
    2777,   412,   413,   414,    -1,   416,   417,   418,   419,   420,
     421,   503,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2800,    -1,   517,   518,    -1,    -1,    -1,
     522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   545,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,   557,    -1,    -1,   560,    -1,
     562,    -1,   564,   412,   413,   414,    -1,   416,   417,   418,
     419,   420,   421,    36,    -1,    -1,    -1,   426,    41,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,  2904,    -1,    -1,
     622,    -1,   624,    -1,    -1,    -1,    -1,    -1,    -1,  2916,
      -1,    -1,    28,    -1,    -1,  2922,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    -1,  2939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2948,    -1,    -1,    -1,    -1,   129,  2954,    -1,    -1,
      -1,  2958,    -1,  2960,    -1,   677,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2971,  2972,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2989,   166,    -1,    -1,  2993,   170,    -1,    -1,
      -1,  2998,    21,    -1,  3001,  3002,    -1,  3004,    -1,    -1,
      -1,    -1,    -1,    -1,  3011,    -1,  3013,    -1,   191,   192,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   205,    -1,    53,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,  3043,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    -1,   769,    -1,    78,
     166,    -1,    28,    -1,   170,    -1,    -1,   240,    -1,   781,
      36,    -1,    -1,     8,    -1,    41,    11,    -1,   790,    98,
     253,    -1,  3079,    -1,   796,   191,   192,    -1,    -1,  3086,
    3087,    -1,    -1,    28,    -1,   807,    -1,  3094,  3095,   205,
     119,    36,  3099,    -1,    -1,    -1,    41,    -1,  3105,  3106,
      -1,    -1,  3109,    -1,  3111,  3112,  3113,  3114,    -1,    -1,
      -1,    -1,    -1,  3120,   836,    -1,    -1,    -1,    -1,  3126,
      -1,   237,    -1,   152,   240,  3132,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3140,    -1,    -1,    -1,   253,    -1,    -1,
     256,    -1,  3149,   326,   173,  3152,    -1,    -1,    -1,  3156,
    3157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,   197,    -1,
      -1,    -1,    -1,    -1,   896,    -1,   898,    -1,   900,    -1,
     902,    -1,   904,   905,   906,    -1,    -1,    -1,    -1,   911,
     166,    -1,    -1,    -1,   170,    -1,  3203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,   166,    -1,    -1,   253,   170,    -1,    -1,    -1,   205,
    3237,    -1,    -1,   416,   417,   418,   419,   420,   421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,
      -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     205,   237,    -1,  3270,   240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,   253,    -1,   308,
     256,   310,    -1,    -1,    -1,   172,    -1,   316,    -1,    -1,
     177,    -1,   237,    -1,    -1,   240,   412,   413,   414,   186,
     416,   417,   418,   419,   420,   421,    -1,    -1,   253,    -1,
     426,   256,    -1,    -1,  3321,    -1,   345,    -1,   347,    -1,
    3327,    -1,   351,    -1,  3331,    -1,    -1,  3334,    -1,    -1,
     359,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,  3358,    -1,    -1,    -1,    -1,    -1,   386,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1089,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3382,  3383,    -1,    -1,  3386,
      -1,   326,    -1,    -1,    -1,    -1,  3393,  3394,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3413,  3414,  3415,    -1,
      -1,    -1,    -1,  1135,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,   171,   172,  3433,  3434,    -1,    -1,
     177,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,   186,
     416,   417,   418,   419,   420,   421,    -1,    -1,    -1,    -1,
     426,  3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3469,    -1,    -1,  3472,    -1,   412,   413,   414,
      -1,   416,   417,   418,   419,   420,   421,  3484,    -1,  3486,
      -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,  3495,    -1,
      -1,    -1,    -1,  3500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3509,  3510,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
    3537,    -1,    -1,  3540,    36,  3542,    -1,    -1,    -1,    41,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,  3555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3567,    -1,    28,    -1,    -1,    -1,    -1,    -1,  3575,    -1,
      36,  3578,    -1,    -1,    -1,    41,    -1,  1299,    -1,    -1,
      -1,  3588,  3589,  3590,  3591,    -1,    -1,    -1,    -1,  1311,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   511,    -1,    -1,  1349,   515,    -1,
      -1,  1353,    -1,    -1,    -1,    -1,    -1,    -1,   525,    -1,
    1362,    -1,  1364,    -1,  1366,    -1,    -1,    -1,    -1,  1371,
      -1,    -1,    -1,   540,  3661,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3669,    -1,   166,    -1,    -1,    -1,   170,    -1,
      -1,    -1,  1394,    -1,  1396,    -1,  1398,    -1,  1400,    -1,
    1402,    -1,    -1,    -1,  1406,    -1,    -1,   574,    -1,   191,
     192,    -1,    -1,    -1,    -1,  3702,    -1,    -1,  3705,    -1,
     166,    -1,    -1,   205,   170,  3712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3721,    -1,    -1,  3724,  3725,    -1,
      -1,    -1,    -1,    -1,    -1,   191,   192,  3734,    -1,    -1,
      -1,  3738,    -1,    -1,    -1,   237,    -1,     8,   240,   205,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   253,    -1,  3760,   256,   502,    -1,    -1,    -1,    -1,
      -1,    -1,   649,  3770,   511,    36,    -1,    -1,   515,    -1,
      41,   237,    -1,    -1,   240,    -1,    -1,  3784,   525,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   253,    -1,    -1,
     256,    -1,    -1,   540,    -1,    -1,    -1,   544,    -1,    28,
      -1,    -1,    -1,    -1,   551,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,     8,    -1,    -1,    11,  3824,    -1,    -1,
      -1,    -1,  3829,    -1,   326,    -1,  3833,   574,    -1,    -1,
    3837,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,    -1,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,   644,    -1,   170,
      -1,    -1,   649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
     191,   192,    -1,    -1,   426,    -1,    -1,    -1,   675,    -1,
      -1,    -1,    -1,    -1,   205,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,    -1,    -1,    -1,    -1,
     426,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,   240,
      -1,   166,    -1,    -1,    -1,   170,   205,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   879,    -1,    -1,    -1,   191,   192,    -1,    -1,
      -1,  1723,    -1,    -1,   891,    -1,  1728,    -1,   237,    -1,
     205,   240,    -1,    -1,    -1,    -1,  1738,    -1,    -1,    -1,
      -1,    -1,    -1,  1745,   253,    -1,    -1,   256,    -1,  1751,
      -1,   778,    -1,    -1,    -1,  1757,    -1,    -1,   785,    -1,
    1762,    -1,   237,    -1,    -1,   240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,   253,   806,
      -1,   256,    -1,    -1,    -1,    -1,  1788,  1789,  1790,  1791,
      -1,    -1,     8,  1795,  1796,    11,    -1,    -1,  1800,    -1,
      -1,  1803,    -1,    -1,    -1,    -1,    -1,    -1,   835,    -1,
      -1,    -1,    28,    -1,    -1,     8,    32,   326,    11,  1821,
      36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,  1831,
      -1,  1833,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
    1842,  1843,  1844,    36,  1846,    -1,    -1,    -1,    41,    -1,
      -1,   326,   879,  1855,  1856,    -1,   883,    -1,    -1,    -1,
      -1,  1863,  1864,    -1,   891,   416,   417,   418,   419,   420,
     421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1052,    -1,    -1,    -1,    -1,
      -1,    -1,  1059,  1060,    -1,    -1,   112,    -1,    -1,    -1,
      -1,   928,  1069,   412,   413,   414,    -1,   416,   417,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,   426,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   955,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,
      -1,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     166,    -1,   145,  1120,   170,    -1,   983,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   166,    -1,   191,   192,   170,    -1,    -1,
      -1,    -1,    -1,  1010,  1011,    -1,  1013,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,    -1,  1030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   237,    -1,    -1,   240,  1052,    -1,    -1,    -1,    -1,
      -1,    -1,  1059,  1060,    -1,    -1,    -1,   253,    -1,    -1,
     256,  1068,  1069,    -1,   237,    -1,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,  1221,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,   256,    -1,    -1,    -1,    -1,  2070,    -1,
      -1,    -1,    -1,  1100,    -1,    -1,     8,  1104,  1105,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1115,    -1,
      -1,    -1,    -1,  1120,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,  1152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,  1303,    -1,    -1,    -1,
    1307,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,  1178,    41,    -1,    -1,  1322,    -1,    -1,    -1,   375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1221,    -1,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,    -1,  1374,    -1,    -1,
      -1,    -1,  1239,    -1,    -1,    -1,    -1,    -1,  1385,   412,
     413,   414,    -1,   416,   417,   418,   419,   420,   421,  1256,
      -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1276,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,  2263,  2264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1298,    -1,   205,    -1,    -1,  1303,   166,    -1,    -1,
    1307,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2294,    -1,    -1,  1322,    -1,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,   237,    -1,    -1,   240,    -1,
      -1,    -1,  1339,    -1,  1341,    -1,   205,    -1,    -1,    -1,
    1347,   253,    -1,  1350,   256,    -1,  2328,  2329,  2330,  2331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   274,    -1,    -1,    -1,    -1,  1374,    -1,    -1,
      -1,   240,    -1,    -1,  1521,    -1,    -1,    -1,  1385,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1416,
      -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,
    2412,    -1,    -1,    -1,    -1,  2417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1451,    -1,  1453,    -1,    -1,    -1,
      -1,    -1,    -1,  1460,    -1,    -1,  1463,   326,    -1,  1466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,  1475,    -1,
      -1,    -1,    -1,    -1,    -1,  1482,    -1,    -1,  1485,  1486,
    1487,  1488,    -1,    -1,    -1,    -1,    -1,    -1,  1495,  1496,
      -1,  1498,    -1,  1500,    -1,    -1,  1503,    -1,    -1,    -1,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
      -1,    -1,  1519,  1520,  1521,    -1,    -1,  1524,    -1,    -1,
      -1,  1528,  2504,  2505,    -1,  1532,    -1,  1534,  1535,  1536,
    1537,  1538,  1539,  1540,  1541,  1542,    -1,  1544,    -1,    -1,
      -1,    -1,  1549,    -1,  1551,    -1,    -1,   416,   417,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1722,    -1,    -1,  1725,  1726,
      -1,    -1,    -1,    -1,  2566,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2579,    -1,    -1,
      -1,  1748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1756,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,  1779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    28,    -1,    -1,   177,    -1,    -1,    -1,
      -1,    36,  1799,    -1,  1801,   186,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1817,    -1,    -1,  1820,    -1,    -1,  1683,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
    1837,  1838,    -1,    -1,    -1,    -1,    -1,    -1,  1845,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1854,    -1,    53,
      -1,    -1,    -1,    -1,  1861,  1722,    -1,    -1,  1725,  1726,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,  1748,  1749,    -1,    -1,    -1,    -1,    -1,    -1,  1756,
      -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    21,   144,
      -1,    -1,  1769,    -1,    -1,    -1,    -1,  1774,  1775,    -1,
      33,    -1,  1779,    -1,    -1,   119,    -1,    -1,  1785,    -1,
      -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      53,    -1,  1799,    -1,  1801,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,   191,   192,   152,    -1,
    1817,    74,    -1,  1820,   158,    78,  2798,    -1,    -1,    -1,
     205,    -1,  1969,    -1,    -1,    -1,    -1,    -1,    -1,   173,
    1837,  1838,    -1,    -1,    -1,    98,    -1,    -1,  1845,    -1,
      -1,   104,    -1,    -1,    -1,    -1,    -1,  1854,    -1,    -1,
      -1,    -1,   237,  2835,  1861,   240,   119,    -1,  2840,    -1,
    2842,  2843,  2844,  2845,    -1,    -1,  2013,    -1,   253,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,   272,    -1,    -1,
      -1,   154,  1899,    -1,  1901,   158,    -1,    -1,    -1,  2046,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
     173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,  2911,
    2912,  2913,    -1,  2915,    -1,    -1,   280,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1966,
     304,    -1,  1969,    -1,   308,    -1,   310,  1974,    -1,    -1,
      -1,    -1,   316,    -1,    -1,   319,    -1,  1984,    -1,    -1,
     511,    -1,    -1,    -1,   515,    -1,    -1,    -1,     8,    -1,
     253,    11,  2139,   256,   525,    -1,    -1,  2144,    -1,    -1,
      -1,   345,    -1,   347,    -1,  2987,  2013,   351,    28,   540,
      -1,  2018,    -1,    -1,    -1,   359,    36,    -1,    -1,    -1,
     364,    41,    -1,    -1,  3006,    -1,    -1,   412,   413,   414,
     374,   416,   417,   418,   419,   420,   421,    -1,    -1,  2046,
      -1,   304,   386,   574,    -1,    -1,  2053,   310,     8,    -1,
      -1,    11,    -1,   316,    -1,    -1,   319,  2064,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,    28,    -1,
      -1,    31,    -1,    -1,    -1,  2222,    36,  2084,  2085,    -1,
      -1,    41,   345,    -1,   347,   348,    -1,   350,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,    -1,   369,  2114,  2115,    -1,
      -1,   374,  2119,    -1,    -1,  2262,    -1,    -1,   649,    -1,
      -1,    -1,    -1,   386,  2131,  2132,  2133,  2134,    -1,    -1,
      -1,    -1,  2139,    -1,    -1,    -1,  2143,  2144,    -1,  2146,
      -1,  2148,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
     170,  2158,  2159,    -1,  2161,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,  2174,    -1,  2176,
      -1,   191,   192,  2180,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    31,    -1,    -1,    -1,   205,    36,    -1,    -1,  2196,
      -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,  3180,  2206,
    2347,  2208,  2209,  2210,    -1,    -1,   166,  2354,    -1,  3191,
     170,    -1,    -1,    -1,    -1,  2222,    -1,   237,  2225,    -1,
     240,    -1,    -1,    -1,    -1,    -1,  2233,    -1,    -1,    -1,
      -1,   191,   192,   253,    -1,  2242,   256,  2384,  2385,  2386,
    2247,    -1,    -1,    -1,    -1,   205,    -1,  2254,    -1,   269,
      -1,    -1,    -1,    -1,    -1,  2262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2416,
      -1,    -1,  2279,    -1,    -1,    -1,    -1,   237,    -1,    -1,
     240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,    -1,    -1,   256,  2444,    -1,    -1,
    2307,  2308,    -1,  2310,  3286,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    -1,  3308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2485,    -1,
    2347,   191,   192,    -1,  2351,    -1,  2353,  2354,   879,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,
     891,    -1,    -1,  3345,    -1,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2384,  2385,  2386,
      -1,    -1,  2529,    -1,    -1,    -1,    -1,   237,    -1,    -1,
     240,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,    -1,   253,    -1,    -1,   256,    -1,    -1,  2416,
      -1,    -1,    -1,    -1,    -1,  2422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2580,    -1,    -1,    -1,  2444,    -1,    -1,
    2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2595,    -1,
      -1,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2617,    -1,    -1,    -1,    -1,    -1,   326,    -1,  2485,  2486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1052,  2529,  2530,    -1,    -1,    -1,    -1,  1059,  1060,
      -1,    -1,    -1,    -1,  2681,    -1,  3518,    -1,  1069,  2546,
      -1,    -1,    -1,  2550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2559,    -1,    -1,    -1,    -1,    -1,  2565,    -1,
      -1,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,    -1,  2580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   644,    -1,    -1,    -1,  2592,    -1,    -1,  2595,  1120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2617,    -1,   675,    -1,    -1,    -1,    -1,    -1,  2625,    -1,
     806,  2628,    -1,    -1,    -1,    -1,    -1,  2634,    -1,    -1,
      -1,    -1,    -1,  2640,  2781,  2642,    -1,    -1,    -1,    -1,
    2647,  2648,    -1,    -1,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2658,  2659,  2660,    -1,    -1,    -1,  2664,  2665,    -1,
    2807,    -1,  2809,    -1,    -1,  2672,    -1,    -1,    -1,    -1,
    2677,    -1,   806,    -1,  2681,    -1,  2683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2832,  2693,    -1,    -1,  2696,
    1221,  2698,  2839,    -1,  2841,    -1,    -1,    -1,    -1,  2706,
    2707,  2708,  2709,    -1,    -1,    -1,  2713,    -1,    -1,  2716,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3700,  2726,
    2867,    -1,    -1,    -1,    -1,    -1,    -1,  2734,    -1,  2736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2775,    -1,
      -1,    -1,  1303,    -1,  2781,    -1,  1307,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1322,    -1,    -1,   928,    -1,    -1,    -1,    -1,    -1,
    2807,  2808,  2809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   806,    -1,    -1,    -1,  2832,    -1,    -1,    -1,    -1,
      -1,    -1,  2839,    -1,  2841,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1374,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1385,    -1,    -1,    -1,    -1,    -1,
    2867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1055,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,   955,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,  2916,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     983,    -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,  1115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   928,    -1,    -1,    -1,  1010,  1011,    -1,
    1013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2970,  2971,  2972,  1152,  1030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1115,    -1,    -1,    -1,    -1,  2993,    -1,    -1,    -1,
    1521,  2998,  1178,    -1,  3001,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1068,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,  1152,    -1,
      -1,    -1,    -1,  3030,    -1,    -1,    -1,    -1,    -1,   166,
      -1,    -1,  3179,   170,    -1,    -1,  3043,  1100,    -1,    -1,
      -1,  1104,  1105,  3190,  1178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1239,   191,   192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
    1256,    -1,  3079,    -1,    -1,    -1,    -1,    -1,    -1,  3086,
    3087,  3228,  3089,  3230,    -1,    -1,    -1,  3094,  3095,    -1,
    1276,    -1,  3099,  3100,    -1,    -1,    -1,    -1,  3105,  3106,
     237,    -1,  3109,   240,    -1,  1239,    -1,    -1,    -1,    -1,
      -1,    -1,  1298,  3120,    -1,    -1,   253,    -1,    -1,   256,
      -1,    -1,  1256,    -1,    -1,  3132,    -1,    -1,    -1,    -1,
    1115,    -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1276,    -1,    -1,  3152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1347,    -1,    -1,  1298,    -1,  3173,  1152,    -1,    -1,
      -1,    -1,  3179,    -1,    -1,    -1,  3183,    -1,    -1,    -1,
      -1,    -1,    -1,  3190,    -1,    -1,    -1,    -1,    -1,   326,
      -1,  1722,    -1,  1178,  1725,  1726,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3353,    -1,    -1,    -1,
      -1,    -1,    -1,  1347,    -1,    -1,    -1,  1748,    -1,    -1,
      -1,  3228,    -1,  3230,    -1,  1756,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1779,    -1,
      -1,    -1,    -1,    -1,  1239,    -1,    -1,    -1,    -1,    -1,
    3407,    -1,  3409,  3270,    -1,    -1,   806,    -1,  1799,    -1,
    1801,  1256,    -1,  3280,    -1,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,  1817,    -1,    -1,  1820,
      -1,  1276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1837,  1838,    -1,    -1,
      -1,  3318,    -1,  1298,  1845,    -1,    -1,    -1,    -1,    -1,
    3327,    -1,    -1,  1854,  3331,    -1,    -1,    -1,    -1,  3336,
    1861,    -1,    -1,  1519,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3353,    -1,    -1,    -1,
      -1,  3358,    -1,    -1,    -1,  3362,    -1,    -1,    -1,    -1,
      -1,    -1,  1347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3382,  3383,    -1,    -1,  3386,
      -1,    -1,    -1,    -1,    -1,  1519,  3393,  3394,   928,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1460,    -1,    -1,
    3407,    -1,  3409,    -1,    -1,    -1,  3413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1482,
      -1,    -1,  1485,  3430,    -1,  1488,  3433,    -1,    -1,    -1,
      -1,    -1,  1495,  1496,    -1,    -1,    -1,  1500,  1969,    -1,
    1503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3597,    -1,    -1,    -1,    -1,    -1,    -1,  1520,    -1,    -1,
      -1,  1524,  3469,     8,  3611,  1528,    11,    -1,    -1,  1532,
      -1,  1534,  1535,  1536,  1537,  1538,  1539,  1540,  1541,  1542,
      -1,  1544,  2013,    28,    -1,    -1,  1549,    -1,  1551,    -1,
       8,    36,    -1,    11,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    -1,  3510,    -1,  3512,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    31,    -1,  2046,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,
    3537,  3538,    -1,  3540,  1519,  3542,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3578,    -1,    -1,  3581,  1115,    -1,    -1,  3585,  3586,
    3727,    -1,    -1,  1769,    -1,    -1,    -1,    -1,  1774,  1775,
    3597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1785,
      -1,    -1,    -1,    -1,  3611,    -1,    -1,    -1,  2139,    -1,
      -1,  3618,  1152,  2144,    -1,    -1,    -1,    -1,    -1,    -1,
    1683,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1769,  3643,    -1,  1178,    -1,
    1774,  1775,   806,    -1,    -1,    -1,   191,   192,   166,    -1,
      -1,  1785,   170,    -1,  3661,    -1,    -1,    -1,    -1,    -1,
     205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1749,   205,    -1,    -1,
      -1,  2222,   237,    -1,    -1,   240,    -1,    -1,  3705,  1239,
      -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,   253,    -1,
      -1,   256,    -1,    -1,    -1,  1901,  1256,  3724,  3725,   237,
    3727,    -1,   240,    -1,    -1,    -1,    -1,  3734,    -1,    -1,
      -1,  2262,    -1,    -1,    -1,   253,  1276,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3760,    -1,    -1,    -1,    -1,  1298,    -1,
      -1,    -1,    -1,  3770,   928,    -1,    -1,  1901,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1966,   326,    -1,    -1,  1769,    -1,    -1,    -1,    -1,  1774,
    1775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1785,    -1,    -1,    -1,    -1,    -1,    -1,  1347,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2347,  3824,    -1,    -1,
      -1,    -1,    -1,  2354,    -1,    -1,  3833,    -1,    -1,    -1,
      -1,    -1,  1966,    -1,    -1,    -1,  1899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2384,  2385,  2386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,
      -1,   416,   417,   418,   419,   420,   421,    -1,  2064,    -1,
      -1,    -1,    -1,    -1,    -1,  2416,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2444,    -1,    -1,  1901,    -1,    -1,    -1,
      -1,  1984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1115,    -1,    -1,  2485,  2018,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   806,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1519,
       8,  1966,    -1,    11,    -1,    -1,    -1,    -1,  1152,    -1,
    2053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2529,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    41,  1178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2595,    -1,    -1,    -1,  2131,    -1,
    2133,  2134,    -1,    -1,    -1,  1239,    -1,    -1,    -1,  2064,
    2143,    -1,    -1,  2146,    -1,  2148,  2617,    -1,   928,    -1,
      -1,    -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2174,  1276,  2176,    -1,    -1,    -1,  2180,    -1,    -1,
      -1,  2307,  2308,    -1,  2310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1298,    -1,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,  2208,  2209,  2210,    -1,    -1,
    2681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2225,   191,   192,  2351,    -1,  2353,    -1,    -1,
    2233,    -1,    -1,  2307,  2308,    -1,  2310,   205,    -1,  2242,
      -1,    -1,    -1,  1347,  2247,    -1,    -1,    -1,    -1,    -1,
      -1,  2254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
      -1,    -1,   240,    -1,    -1,    -1,  2279,  2351,    -1,  2353,
      -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,   256,  1769,
      -1,    -1,    -1,    -1,  1774,  1775,  2422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1785,    -1,    -1,    -1,    -1,
    2781,    -1,   806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1115,  2807,    -1,  2809,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
    2486,  2832,    -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,
    2841,    -1,  1152,  2447,    -1,    -1,    -1,  2503,    -1,    -1,
      -1,    -1,  2307,  2308,   352,  2310,    -1,    -1,    -1,    -1,
      -1,  2517,    -1,    -1,    -1,    -1,  2867,    -1,  1178,    -1,
      -1,    -1,    -1,    -1,  2530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2486,    -1,    -1,  1519,    -1,    -1,    -1,    -1,
      -1,  1901,    -1,    -1,    -1,    -1,  2351,    -1,  2353,  2503,
      -1,    -1,    -1,    -1,   928,    -1,    -1,    -1,    -1,  2565,
      -1,    -1,    -1,  2517,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,  2530,    -1,    -1,  1239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,  1966,    -1,    -1,    -1,
      -1,  2565,    -1,    -1,    -1,    -1,  1276,  2422,    -1,    -1,
      28,    -1,  2628,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,  1298,    -1,
      -1,  2647,  2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2628,    -1,  2559,    -1,    -1,  3030,
      -1,  2486,    -1,    -1,    -1,    -1,    -1,  1347,    -1,    -1,
      -1,    -1,    -1,  2647,    -1,    -1,    -1,    -1,  2503,    -1,
    2706,    -1,    -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2517,    -1,    -1,    -1,    -1,    -1,  2672,    -1,
      -1,    -1,    -1,    -1,    -1,  2530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1115,  2625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2634,  2706,    -1,    -1,    -1,    -1,  2640,   166,  2642,
    2565,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1152,    -1,
      -1,  2664,  2665,   191,   192,  1769,    -1,    -1,    -1,    -1,
    1774,  1775,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
    2683,  1785,  2808,    -1,  1178,    -1,    -1,    -1,    -1,    -1,
    2693,    -1,    -1,  2696,    -1,  2698,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2628,  2707,    -1,    -1,    -1,  3179,   237,
    2713,    -1,   240,  2716,    -1,    -1,    -1,    -1,    -1,  3190,
      -1,    -1,  2647,  2726,    -1,   253,    -1,    -1,   256,    -1,
      -1,  2734,    -1,  2736,  2808,    -1,    -1,    -1,    -1,  1519,
      -1,    -1,    -1,    -1,    -1,  1239,    -1,  2672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3228,    -1,  3230,
      -1,    -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2706,  1276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,   326,    -1,
      -1,    -1,    -1,    -1,  1298,    -1,    -1,    -1,  2934,  3280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2307,  2308,    -1,
    2310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2970,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1347,    -1,    -1,    -1,    -1,    -1,    -1,
    2934,    -1,  1966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2351,    -1,  2353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3353,  2808,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,  2970,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3407,    -1,  3409,    -1,
      -1,    -1,  2422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2064,    -1,    -1,  3089,    -1,    -1,    -1,  2447,  2971,  2972,
      -1,    -1,    -1,    -1,  3100,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1769,
      -1,    -1,    -1,    -1,  1774,  1775,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1785,  2486,    -1,    -1,  2934,
      -1,    -1,    -1,    -1,    -1,  3089,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2503,    -1,  1519,  3100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2517,    -1,    -1,
    3043,    -1,    -1,    -1,    -1,  2970,    -1,  3173,    -1,    -1,
    2530,    -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3086,  3087,  2565,    -1,  1026,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3099,    -1,    -1,  3173,
      -1,    -1,  3105,  3106,    -1,    -1,  3109,    -1,    -1,  3183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,    -1,
      -1,  1901,    -1,    -1,    -1,    -1,  3597,    -1,    -1,  3132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3611,    -1,    -1,    -1,    -1,    -1,  1085,    -1,  2628,  3152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3089,    -1,    -1,  2647,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3100,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1966,    -1,    -1,    -1,
      -1,    -1,  2672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2307,  2308,    -1,  2310,    -1,    -1,    -1,
    3336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2706,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2351,  3173,  2353,
      -1,    -1,    -1,    -1,    -1,    -1,  3727,    -1,  3183,    -1,
      -1,    -1,  3336,    -1,    -1,    -1,    -1,  3270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1769,    -1,    -1,    -1,    -1,
    1774,  1775,    -1,    -1,  2064,    -1,    -1,    -1,  3362,    -1,
      -1,  1785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2422,    -1,
      -1,    -1,    -1,    -1,  3327,    -1,    -1,    -1,  2808,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2486,  3386,    -1,    -1,  3512,    -1,    -1,    -1,
      -1,  3394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,    -1,    -1,
      -1,  3336,  3538,  2517,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3362,  3512,    -1,
      -1,    -1,  1381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2934,  3581,    -1,    -1,    -1,  3585,
    3586,  2565,    -1,    -1,  3538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3430,    -1,  3581,    -1,    -1,
      -1,  3585,  3586,    -1,    -1,    -1,    -1,    -1,    -1,  1458,
      -1,    -1,    -1,    -1,  2628,    -1,    -1,  2307,  2308,    -1,
    2310,    -1,    -1,    -1,    -1,    -1,    -1,  3540,    -1,    -1,
      -1,    -1,  1481,  2647,    -1,    -1,    -1,  1486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1505,  1506,  2672,  1508,
    2064,  2351,    -1,  2353,    -1,  3578,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2706,    -1,    -1,    -1,    -1,    -1,  1547,  3089,
      -1,    -1,    -1,  3538,    -1,  3618,    -1,    -1,    -1,    -1,
    3100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2422,  1582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3581,    -1,    -1,    -1,
    3585,  3586,    -1,    -1,    -1,    -1,    -1,  2447,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3183,  2808,    -1,  2486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3724,  3725,  2503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2517,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2530,    -1,    -1,  1692,    -1,    -1,    -1,  3760,    -1,    -1,
      -1,    -1,    -1,  1702,    -1,    -1,  1705,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2565,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2307,  2308,    -1,  2310,    -1,    -1,    -1,
      -1,  3824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2628,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3336,  2351,    -1,  2353,
      -1,    -1,    -1,    -1,    -1,    -1,  2970,  2647,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2706,    -1,  2422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3430,    -1,    -1,  2447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3089,    -1,    -1,    -1,    -1,
      -1,    -1,  2486,    -1,    -1,    -1,  3100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2517,    -1,    -1,    -1,    -1,  2808,    -1,
      -1,    -1,  3512,    -1,    -1,    -1,  2530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3173,
      -1,  2565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3581,    -1,    -1,    -1,  3585,  3586,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2628,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2088,
      -1,    -1,    -1,  2647,  2934,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2110,    -1,  2112,    -1,  2114,  2115,  2116,  2672,    -1,
    2119,    -1,    -1,    -1,  2123,    -1,    -1,    -1,    -1,    -1,
    2970,  2130,    -1,    -1,    -1,    -1,  2135,    -1,    -1,    -1,
      -1,  2140,    -1,    -1,    -1,    -1,  2145,    -1,    -1,    -1,
      -1,    -1,  2706,    -1,    -1,  2154,    -1,    -1,    -1,  2158,
    2159,  2160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3336,  2172,    -1,    -1,    -1,    -1,    -1,    -1,
    2179,    -1,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,
    2189,  2190,    -1,    -1,    -1,    -1,    -1,    -1,  3362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    -1,    -1,    -1,    -1,  2214,    -1,    -1,    -1,    -1,
      24,    -1,    26,    27,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3089,
      -1,    -1,    -1,    -1,  2808,    -1,    60,    -1,    62,    63,
    3100,    -1,    -1,    67,    -1,    69,  3430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2289,    -1,    -1,    -1,    -1,    -1,   100,    -1,    -1,   103,
      -1,    -1,    -1,    -1,    -1,   109,    -1,    -1,    -1,    -1,
      -1,   115,    -1,   117,    -1,    -1,    -1,   121,    -1,    -1,
      -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,   136,  3173,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,    -1,  3183,    -1,    -1,    -1,    -1,  3512,    -1,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3538,    -1,    -1,    -1,    -1,   183,
    2934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   207,   208,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,  2970,  3581,   222,    -1,
      -1,  3585,  3586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,    -1,    -1,   290,    -1,   292,    -1,
      -1,    -1,    -1,   297,    -1,    -1,  3336,    -1,   302,    -1,
      -1,   305,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,   325,  3362,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,  3089,    -1,    -1,    -1,    -1,
      -1,   345,    -1,    -1,    -1,    -1,  3100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,  2562,    -1,    -1,    -1,   371,    -1,   373,
      -1,    -1,   376,    -1,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2583,    -1,    -1,    -1,   392,    -1,
    3430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3173,
      -1,   425,    -1,    -1,    -1,  2624,    -1,    -1,    -1,  3183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2645,  2646,    -1,  2648,
      -1,    -1,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,
    2659,  2660,  2661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2684,    -1,    -1,  2687,    -1,
    2689,    -1,    -1,    -1,    -1,  2694,  2695,    -1,  3538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2708,
    2709,  2710,    -1,  2712,    -1,    -1,  2715,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3581,    -1,  2742,    -1,  3585,  3586,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2916,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3581,    -1,    -1,
      -1,  3585,  3586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,  3047,  3048,
    3049,    -1,    -1,  3052,    -1,    -1,    -1,    -1,  3057,  3058,
    3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3093,  3094,  3095,  3096,    -1,  3098,
      -1,    -1,    -1,  3102,  3103,  3104,    -1,    -1,  3107,    -1,
      -1,  3110,    -1,    -1,    -1,    -1,    -1,    -1,  3117,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3315,  3316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3354,    -1,    -1,    -1,  3358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3370,    -1,  3372,    -1,    -1,    -1,    -1,  3377,  3378,
    3379,    -1,    -1,  3382,  3383,  3384,  3385,    -1,  3387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3536,  3537,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3550,  3551,  3552,    -1,  3554,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,  3651,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,  3675,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,  3704,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,  3763,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,  3803,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,    -1,    -1,    -1,   427,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,   425,   426,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,     3,    -1,    -1,    -1,    -1,    -1,
      -1,   425,   426,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    51,    -1,    -1,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    -1,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
      -1,   107,   108,   109,   110,   111,    -1,   113,   114,   115,
      -1,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,    -1,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,    -1,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
      -1,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,    -1,    -1,   244,   245,
     246,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,    -1,   270,    -1,   272,    -1,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,    -1,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,    -1,   353,   354,    -1,
      -1,   357,    -1,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,   407,   408,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
     426,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    -1,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,    -1,    -1,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,    -1,   270,
      -1,   272,    -1,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,    -1,   359,    -1,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,     3,     4,     5,
       6,     7,     8,     9,    10,   406,   407,   408,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,   426,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
      -1,   107,   108,   109,   110,   111,    -1,   113,   114,   115,
      -1,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,    -1,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,    -1,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    72,    73,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,    -1,   105,    -1,   107,   108,   109,
     110,   111,    -1,   113,   114,   115,    -1,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,    -1,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,    -1,   353,   354,    -1,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,
      -1,    -1,    -1,   423,   424,   425,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,   425,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   425,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
      -1,   107,   108,   109,   110,   111,    -1,   113,   114,   115,
      -1,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,    -1,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,    -1,   353,   354,    -1,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    72,    73,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,    -1,   105,    -1,   107,   108,   109,
     110,   111,    -1,   113,   114,   115,    -1,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,    -1,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,    -1,   353,   354,    -1,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   425,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,    -1,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,    -1,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,    -1,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
       3,   416,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,   425,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,     3,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,   425,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,    -1,    -1,     8,     9,    -1,
      -1,    -1,   425,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,    -1,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   406,   407,   408,    -1,    -1,
      -1,   412,   413,   414,    -1,   416,   417,   418,   419,   420,
     421,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    -1,    38,    39,    40,    41,
      42,    -1,    44,    45,    -1,    47,    48,    49,    50,    51,
      -1,    -1,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    -1,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    95,    96,    97,    98,    99,   100,   101,
     102,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,    -1,
     202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,    -1,   238,   239,    -1,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,    -1,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,    -1,    -1,   370,   371,
     372,   373,    -1,    -1,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,    -1,    -1,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,   412,
     413,   414,    -1,   416,   417,   418,   419,   420,   421,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    -1,    38,    39,    40,    41,    42,    -1,
      44,    45,    -1,    47,    48,    49,    50,    51,    -1,    -1,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    -1,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,    -1,   202,    -1,
     204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,    -1,   238,   239,    -1,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,    -1,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,    -1,    -1,   370,   371,   372,   373,
      -1,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,    -1,    -1,   412,   413,
     414,    -1,   416,   417,   418,   419,   420,   421,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,   412,   413,   414,
      -1,   416,   417,   418,   419,   420,   421,     3,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    -1,    38,    39,    40,    41,    42,    -1,    44,    45,
      -1,    47,    48,    49,    50,    51,    -1,    -1,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    -1,    72,    73,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    -1,
      86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
      -1,   107,   108,   109,   110,   111,    -1,   113,   114,   115,
      -1,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,    -1,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,    -1,   202,    -1,   204,    -1,
      -1,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,    -1,   238,   239,    -1,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
      -1,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,    -1,   353,   354,    -1,
      -1,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,    -1,    -1,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,     3,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,     3,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   418,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    -1,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,    -1,    -1,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,    -1,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,    -1,   270,
      -1,   272,    -1,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,    -1,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,    -1,   359,    -1,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,    -1,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   406,   407,   408,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,   418,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    -1,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,    -1,    -1,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,    -1,   270,    -1,   272,    -1,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,    -1,   359,    -1,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,    -1,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,   406,   407,   408,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,   418,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,     4,     5,    -1,    -1,    -1,     9,   416,   417,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,     4,     5,    -1,
      -1,    -1,     9,   416,   417,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,     9,   416,
     417,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,   150,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,   205,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,     4,
       5,     6,     7,    -1,     9,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,   252,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    -1,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,    -1,    -1,   244,
     245,   246,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,    -1,   270,    -1,   272,    -1,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,    -1,   359,    -1,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,   407,   408,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,
      40,    41,    42,    -1,    44,    45,    -1,    47,    48,    49,
      50,    51,    -1,    -1,    54,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    -1,    72,    73,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,
     100,   101,   102,   103,    -1,   105,    -1,   107,   108,   109,
     110,   111,    -1,   113,   114,   115,    -1,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,    -1,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,
      -1,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,    -1,   238,   239,
      -1,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,
      -1,    -1,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,    -1,   353,   354,    -1,    -1,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,    -1,    -1,
     370,   371,   372,   373,    -1,    -1,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    -1,    38,    39,    40,    41,    42,    -1,
      44,    45,    -1,    47,    48,    49,    50,    51,    -1,    -1,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    -1,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,    -1,   202,    -1,
     204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,    -1,   238,   239,    -1,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,    -1,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,    -1,    -1,   370,   371,   372,   373,
      -1,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    -1,    -1,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,    -1,   207,
     208,   209,    -1,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,    -1,   270,    -1,   272,    -1,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,    -1,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
      -1,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,   407,
     408,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    -1,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
      -1,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,    -1,   270,    -1,   272,
      -1,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,    -1,   359,    -1,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,   407,   408,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    -1,    -1,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,    -1,   207,
     208,   209,    -1,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,    -1,    -1,   244,   245,   246,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,    -1,   270,    -1,   272,    -1,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,    -1,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
      -1,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,   407,
     408,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,    -1,    -1,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,    -1,   270,    -1,   272,    -1,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,    -1,   359,    -1,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,
     407,   408,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    51,
      -1,    -1,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    -1,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    95,    96,    97,    98,    99,   100,   101,
     102,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,    -1,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
      -1,    -1,   244,   245,   246,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,    -1,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,    -1,   270,    -1,
     272,    -1,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,    -1,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,    -1,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,    -1,   370,   371,
     372,   373,    -1,    -1,   376,   377,   378,   379,    -1,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,   407,   408,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,    -1,    -1,   244,   245,   246,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,    -1,   270,    -1,   272,    -1,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,    -1,   359,    -1,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,
     407,   408,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,    51,
      -1,    -1,    54,    55,    -1,    -1,    58,    -1,    60,    61,
      62,    63,    -1,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    95,    96,    97,    98,    99,   100,    -1,
      -1,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,    -1,    -1,   140,    -1,
     142,    -1,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,    -1,   181,
     182,   183,   184,    -1,    -1,    -1,    -1,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,    -1,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
      -1,    -1,   244,    -1,   246,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,    -1,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,    -1,   270,    -1,
     272,    -1,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,   324,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,    -1,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,    -1,   370,   371,
     372,   373,    -1,    -1,   376,   377,   378,   379,    -1,    -1,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,   407,   408
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    40,    60,    62,    63,    67,
      69,    79,    81,   100,   103,   109,   115,   117,   121,   127,
     134,   136,   141,   155,   183,   207,   208,   213,   222,   239,
     275,   286,   290,   292,   297,   302,   305,   309,   315,   322,
     325,   332,   345,   362,   371,   373,   376,   380,   392,   425,
     432,   433,   434,   435,   441,   442,   444,   445,   446,   447,
     448,   449,   450,   452,   453,   457,   467,   469,   470,   473,
     474,   475,   485,   486,   501,   536,   542,   543,   550,   556,
     558,   560,   561,   562,   563,   572,   576,   577,   578,   580,
     581,   582,   596,   597,   598,   599,   610,   616,   617,   620,
     621,   622,   623,   624,   629,   631,   634,   638,   639,   649,
     650,   653,   658,   668,   687,   690,   691,   692,   695,   698,
     700,   702,   705,   708,   709,   710,   717,   718,   720,   721,
     722,   727,   729,   730,   734,   735,   738,   739,   740,   742,
     743,   744,   745,   747,   750,   751,   756,   762,   765,   767,
     768,   773,   775,   779,   786,   790,   791,   792,   793,   794,
     795,   824,   357,   394,   723,    21,    78,    98,   104,   119,
     147,   152,   158,   173,   197,   253,   280,   304,   310,   316,
     319,   345,   347,   351,   359,   364,   374,   386,   557,   723,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    38,    39,    40,    41,
      42,    44,    45,    47,    48,    49,    50,    51,    54,    55,
      56,    57,    58,    60,    61,    62,    63,    64,    67,    68,
      69,    70,    72,    73,    75,    76,    77,    78,    79,    80,
      82,    83,    84,    86,    87,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   105,   107,   108,   109,   110,   111,
     113,   114,   115,   118,   119,   120,   121,   122,   124,   125,
     126,   128,   129,   131,   132,   133,   134,   135,   136,   137,
     138,   140,   142,   143,   144,   146,   148,   152,   153,   154,
     156,   157,   159,   161,   162,   163,   164,   165,   167,   168,
     169,   171,   172,   173,   174,   175,   176,   178,   180,   181,
     182,   183,   184,   185,   186,   188,   190,   193,   195,   196,
     197,   198,   199,   200,   202,   204,   207,   208,   209,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   238,   239,   241,   243,   244,   245,   246,
     247,   248,   250,   253,   254,   255,   258,   262,   263,   264,
     265,   266,   267,   268,   270,   271,   272,   273,   274,   275,
     276,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   301,   302,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   316,   317,   318,   319,   320,
     322,   323,   324,   325,   327,   328,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   343,   344,
     346,   347,   348,   349,   350,   351,   353,   354,   357,   358,
     359,   360,   362,   363,   364,   365,   366,   367,   370,   371,
     372,   373,   376,   377,   378,   379,   380,   381,   383,   385,
     386,   387,   390,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   787,
     927,   939,   943,   944,   384,   752,   251,   276,   723,    43,
     492,   791,    21,    33,    53,    74,    98,   104,   119,   147,
     154,   158,   209,   253,   256,   304,   310,   319,   347,   348,
     350,   351,   359,   364,   369,   374,   502,   613,   659,   669,
      22,   275,   927,   787,   150,    22,   270,   348,   350,     5,
     196,   696,   697,   936,    21,    33,    53,    78,    98,   119,
     147,   152,   158,   173,   253,   263,   304,   308,   310,   316,
     319,   345,   347,   351,   359,   364,   374,   386,   557,   625,
     723,   927,    81,   384,   425,   536,   751,   757,   765,   768,
     773,   779,   786,   790,     9,    15,    22,    38,   142,   148,
     150,   170,   198,   228,   278,   291,   416,   417,   635,   636,
     787,   935,   938,    22,    81,   289,   315,   640,   641,   642,
     939,   189,   939,   932,   936,   345,   800,   635,   939,   357,
     927,   263,    98,   173,   344,   345,   703,   309,   939,    22,
     320,   353,   357,   459,   939,    19,   155,   640,   641,   276,
     723,   939,    22,   116,   802,    54,    75,   209,   224,   304,
     310,   320,   353,   357,   397,   458,   459,    22,   320,   353,
     357,   459,   357,   252,   833,   925,   939,   800,   418,   939,
     833,   835,   151,   425,   753,   425,   921,   288,   796,   797,
     927,   791,   792,     0,   428,   752,   130,   187,   257,   368,
     803,   804,   791,   793,   794,   429,     3,    37,    43,    71,
      85,    91,   149,   151,   166,   179,   191,   192,   194,   203,
     205,   226,   240,   259,   260,   261,   303,   326,   384,   933,
     939,   940,   943,   945,   627,   939,   928,   939,   279,   627,
      97,   648,   933,     3,   937,   941,   943,   944,   945,   925,
     246,     8,    61,   140,   412,   413,   414,   416,   417,   418,
     419,   420,   421,   694,   888,   889,   939,   937,   927,   925,
     927,   833,   927,   312,   927,   627,   215,   937,   925,   196,
     193,   284,   724,   725,   726,   925,   931,   939,    21,    53,
      66,    74,    78,    98,   119,   152,   173,   197,   253,   304,
     308,   310,   316,   345,   347,   351,   359,   364,   386,   557,
     632,   936,   925,   355,   933,   927,   425,   359,   928,   627,
      97,   348,   350,   937,   348,   350,    61,   140,   694,   295,
     937,   454,   939,   927,   927,   312,   927,   627,   215,   937,
     316,   345,   386,    78,   173,   152,   308,   363,   551,    22,
     927,   788,   835,   466,   936,   941,   697,   165,   933,   927,
     165,   701,   165,   928,    97,   165,   933,   165,   926,   927,
      61,   140,   165,   694,    47,   165,   926,   165,   927,   165,
     927,   165,   927,   312,   165,   927,   165,   215,   926,   196,
     165,   626,   627,   425,   766,   502,   757,   380,   751,   758,
     759,   760,   941,   752,   938,   636,   637,    22,   637,   938,
     637,    22,   637,   938,   637,   637,   637,   938,   935,   935,
     787,   637,   279,   425,   425,   520,   520,   520,   251,   355,
     429,   520,   925,   833,   834,   429,   719,   936,   425,   763,
      47,   927,   927,   925,   939,    37,   408,   193,   427,   254,
     254,   251,   150,   936,   355,   251,     4,     6,     7,     8,
      10,    30,    42,    44,    45,    52,    53,    56,    57,    64,
      88,    89,    90,    91,    92,    93,    94,   101,   102,   120,
     135,   138,   139,   143,   157,   185,   186,   188,   202,   210,
     211,   225,   227,   237,   242,   243,   245,   253,   262,   271,
     285,   306,   321,   328,   340,   353,   354,   358,   360,   361,
     369,   374,   381,   399,   400,   401,   402,   403,   404,   405,
     416,   417,   418,   425,   791,   844,   847,   850,   851,   852,
     854,   855,   856,   857,   860,   861,   865,   867,   868,   886,
     890,   909,   914,   922,   923,   933,   934,   935,   936,   939,
     936,    22,   471,   924,   925,   320,   458,   104,   465,   936,
     466,   936,    37,    58,   458,   408,   725,   254,   150,   355,
     412,    37,   408,   193,   726,   425,   925,   418,   423,   427,
     915,   916,   834,    31,   939,   322,   149,   151,   384,   748,
     749,   751,   149,   754,   104,   865,   919,   920,   796,   429,
     425,   755,   426,   426,   434,   925,    22,   116,   801,   801,
      47,   801,   141,   145,   206,   249,   807,   809,   810,   819,
     821,   822,   803,   804,   921,   425,   604,   916,   264,   293,
     427,   628,   264,   293,   322,   392,   436,   467,   468,   654,
      18,   121,   264,   322,   478,   395,    49,    80,   137,   168,
     264,   293,   301,   307,   314,   322,   330,   338,   387,   468,
     681,   688,   425,   670,    18,   121,   293,   451,    18,    24,
      63,   114,   121,   124,   175,   229,   264,   293,   297,   322,
     476,   477,     4,   417,   548,   938,   627,   627,   425,   693,
     427,   170,   293,   436,   443,   264,   293,    48,    96,   172,
     217,   219,   229,   263,   293,   298,   322,   332,   476,   545,
     546,   255,   264,   385,   566,   574,   293,   322,   476,   264,
     293,   297,   322,    72,   113,   265,   349,   251,   264,   293,
     322,   145,   293,   322,   436,   468,   293,   322,   476,   927,
     204,   252,   396,   429,   724,   375,   746,   251,   933,   425,
     927,   933,   246,    61,   140,   694,   927,   312,   927,   196,
     627,   520,   335,   336,   488,   936,   425,   604,   605,    59,
       3,    42,    44,    45,    56,    57,   101,   102,   143,   185,
     186,   188,   225,   227,   245,   285,   323,   328,   353,   354,
     381,   841,   843,   845,   847,   849,   851,   852,   853,   855,
     856,   860,   861,   940,   943,   927,   436,    31,   741,   395,
     436,   627,   627,   425,   600,   502,   436,    37,   455,   364,
     573,   264,   559,    72,   113,   265,   349,    20,    39,   583,
      31,   600,   145,   436,   925,   537,   925,   925,   627,    71,
     660,   933,   927,   557,    43,    95,   182,   229,   311,   375,
     774,   135,   604,    50,   299,   479,   135,   425,   135,   395,
     135,   670,   135,   429,   165,   627,   165,   627,   135,   693,
     926,   135,   135,   251,   135,   479,   135,    72,   113,   265,
     349,   135,   251,   135,   145,   165,   165,   466,   135,   429,
     479,   865,   893,   345,   426,   429,   139,   251,   361,   463,
     466,   548,   761,   757,   637,   787,   637,   787,   637,   787,
     637,   787,   637,   787,   787,   787,   637,   787,   425,   521,
     522,   939,   521,    22,    98,   147,   152,   196,   197,   310,
     316,   345,   347,   643,   924,   926,   642,   104,   425,   769,
     790,   170,   429,   776,   936,   841,   896,    31,   926,   146,
     704,   704,   704,   204,   939,   145,   145,   643,   926,   309,
     939,   425,   917,   423,   791,   897,   383,   858,   865,   913,
     425,   858,   858,   425,   425,   425,   425,   846,   846,   273,
     791,   425,   425,   848,   425,   425,   425,   425,    56,    57,
     858,   865,   425,   846,   425,   425,   425,   425,   425,   393,
     411,   425,   862,   425,   862,   425,   425,   791,   425,   425,
     425,   425,   425,   425,   425,   865,   865,   791,   865,   893,
     916,   936,    57,   425,   859,   425,   936,     3,     8,    11,
      28,    31,    36,    41,   166,   170,   191,   192,   205,   237,
     240,   253,   256,   326,   412,   413,   414,   416,   417,   418,
     419,   420,   421,   888,   890,   892,   261,   865,   189,   429,
     798,   425,   936,   916,   107,   167,   472,   429,    58,   104,
     466,    31,     3,   104,   209,   464,   548,   861,   936,    76,
     118,   874,    87,   104,   460,   461,   463,   548,   104,   460,
     204,   925,   865,     3,    22,    26,    27,    28,    29,    30,
      31,    32,    35,    46,    52,    53,    59,    65,    66,    74,
      81,    88,    89,    90,    92,    93,    94,   104,   106,   112,
     116,   117,   123,   127,   130,   139,   141,   145,   147,   150,
     155,   158,   160,   170,   177,   187,   189,   201,   206,   210,
     211,   237,   242,   249,   251,   252,   256,   257,   269,   277,
     289,   300,   315,   321,   329,   342,   345,   352,   355,   356,
     361,   368,   369,   374,   375,   382,   388,   389,   391,   392,
     418,   930,   942,   943,   944,   945,   946,   915,    77,   298,
     630,   939,   425,   780,   781,   782,   783,   784,   939,   426,
     429,   752,   426,   429,   797,   926,    31,   755,   793,   793,
     805,   806,   865,   793,   142,   228,   816,   284,   324,   373,
      22,   811,   865,   812,   814,   865,   867,   819,   820,   810,
     809,   807,   808,   145,   822,   807,   819,   418,   896,   264,
     293,   322,   355,   355,   930,   427,   355,   355,   347,   458,
     736,   145,   155,   170,   302,   655,   656,    59,    74,   131,
     147,   277,   369,   518,   519,    74,   104,   237,   355,   104,
     237,   310,   927,   251,   548,   314,   355,   355,   242,   548,
     108,   190,   310,   299,   681,   689,   170,   180,   258,   323,
     382,   426,   671,   674,   675,   676,   678,   841,   940,   355,
     374,    66,   131,   509,   518,   939,    66,   706,   251,   308,
     359,    74,   706,    25,   296,   308,   359,   925,   175,   355,
     355,   425,   481,   347,   392,   393,   481,   429,     4,   264,
     375,   375,   235,   841,   264,   694,    98,   355,   438,   468,
     355,   355,   548,    47,   547,   548,   548,    96,   217,   219,
      47,   355,   436,   310,   436,   229,   546,   425,   355,   242,
     936,   566,   355,   706,   310,   355,   355,   481,   481,   627,
     627,   627,   627,   925,   355,   355,   310,    94,   374,   579,
     937,   355,   438,   355,   310,   264,   293,   284,   294,   318,
     462,   724,   931,   939,   925,   604,   841,   251,   670,   548,
     627,   627,   693,   191,   251,    72,   113,   265,   349,   251,
     627,   191,   392,   493,   436,     3,   606,   607,   600,   425,
     843,    31,    30,   842,    99,   163,   218,   221,   313,   406,
     425,   863,   864,   628,   846,    20,   731,   841,   927,   437,
     613,   375,   601,   602,   942,   386,   437,   937,    81,   155,
     456,   501,   542,   582,   638,   658,   727,   936,   574,   575,
     927,   212,   627,   627,   627,   627,   109,   183,   362,   373,
     584,   585,   128,   425,   579,   437,   544,   545,    31,   247,
     425,   538,   520,   145,   661,   931,   425,   672,    31,   196,
     392,   393,   789,   311,   425,   791,   826,   827,   828,   833,
     836,   868,   933,   939,   389,   838,   933,   479,   841,   928,
     165,   927,   933,   479,   926,   927,   135,   375,   135,   375,
     694,   479,   479,   926,   927,   925,   927,   927,   927,   925,
     926,   579,   135,   135,   479,   626,   627,   426,   429,   925,
     757,   759,   787,   787,   787,   787,   787,   787,   521,   426,
     429,   426,   153,   317,   346,   926,    97,   319,   647,   648,
     926,   246,   926,   924,   924,   926,   355,   392,   651,   380,
     770,   771,   939,   300,   772,    16,   133,   306,   324,   777,
     833,   241,   778,   426,   429,   764,   768,   773,   779,   790,
     355,   641,   640,   641,   150,   156,   652,   939,   893,   915,
     424,   893,   897,   898,   425,   388,   910,   911,   865,   893,
     935,   935,   893,     3,    99,   163,   218,   221,   313,   406,
     899,   900,   936,   935,   893,   893,   935,   935,   858,   858,
     865,   694,   865,   901,   416,   417,   866,   867,   886,   890,
     903,   426,   893,   865,   893,   904,   353,   408,   935,   935,
     865,    46,   150,   201,   356,   865,   893,   907,   893,   223,
     865,   872,   873,   874,   223,   865,   874,   426,   429,   322,
     935,   935,   863,   841,   865,   942,   353,    35,   342,   918,
     865,   425,   791,   908,   116,   118,   139,   237,   242,   247,
     361,   370,   865,    41,   166,   170,   205,   326,   425,   865,
     355,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,    22,    29,   329,   887,   306,   425,   886,   154,   209,
     345,   348,   350,   799,   925,   923,   150,   825,    22,   116,
     382,   418,   426,   676,   865,   894,   895,   940,   925,   357,
     425,   936,   429,   426,   424,   430,   164,   164,   479,   784,
     785,   429,   825,   412,   917,   925,   749,   750,   925,   919,
     426,   791,   429,    32,   112,   375,   666,   425,   813,   938,
     252,   247,   823,   823,   429,   306,   307,   815,   820,   808,
     426,   426,   355,   355,   310,   937,   927,   930,   937,   928,
     927,    73,   737,   304,   374,   640,   310,   155,   640,   425,
     927,   375,   662,   195,   195,   425,   927,   242,   937,   865,
     242,   927,   229,   264,   378,   554,   566,   242,   108,   190,
     937,   927,   251,   927,   258,   940,   426,   429,   676,   678,
     675,   678,   940,   628,   937,   926,   509,   841,   939,   927,
     927,    22,   374,   927,   165,   927,   165,   939,   308,   359,
     308,   359,   927,    22,   374,   927,   925,   937,   927,   483,
     484,   942,   927,   250,    63,   250,   477,   355,   929,   939,
     929,   429,   426,   429,   355,   928,   937,    73,    82,    83,
      84,   126,   175,   214,   230,   231,   232,   233,   234,   236,
     268,   341,   367,   374,   377,   439,   937,   927,   548,   627,
     927,   548,   927,   548,    18,   121,   322,   567,   568,   569,
     570,   942,   937,   927,   927,   927,   937,   927,    18,    24,
     121,   264,   293,   264,   293,   600,   293,   293,   293,   937,
     927,   927,   319,   937,   927,   927,   355,   355,    70,   366,
     284,   191,    31,   627,   191,   191,   375,   375,   191,   242,
     633,   936,   627,   627,   627,   627,   627,   627,   191,   633,
     250,   150,   355,   487,   425,   489,   490,   412,   426,   429,
     865,    30,   842,   841,   423,   423,   355,   355,   355,   425,
     355,   935,   846,   584,    73,   125,   199,   200,   212,   264,
     347,   349,   732,   511,   554,   555,    19,   170,   304,   343,
     439,   440,   145,   929,   426,   429,   412,   925,   455,   256,
     502,   147,   936,   600,   600,   600,   600,   247,   251,   256,
     425,   839,   840,   939,   319,   134,   790,   627,   205,   503,
     505,   507,   509,   515,   518,   539,   540,   939,   392,   393,
     532,    31,   936,   251,   426,   673,   674,   679,    31,   196,
     301,   391,   680,   681,   682,   251,   466,   162,   162,   145,
     791,   827,   828,    31,   829,   939,   429,    85,   151,   179,
     194,   203,   226,   303,   830,   829,    31,   829,   939,   425,
     916,    87,   865,   772,   604,    31,   135,   479,   670,   627,
     929,   627,   929,   693,   251,   479,   479,   251,   479,   319,
     145,   466,   479,   865,   425,   426,   522,   170,   170,   170,
     395,   926,   429,   548,   549,   158,   644,   645,   937,    19,
     652,   426,   429,   917,   922,   133,   324,   133,   324,   306,
     373,   220,   841,   927,   150,   251,   644,    47,   479,   426,
     424,   424,   429,   893,   865,   123,   911,   912,    31,   426,
     426,   426,   426,   426,   150,   426,   426,   426,   426,   426,
     429,   426,   269,   902,   426,   866,   866,    11,   170,   191,
     253,   412,   413,   414,   416,   417,   418,   419,   420,   421,
     890,   866,   426,   426,   145,   150,   905,   906,   426,   408,
     426,   426,    31,   907,   893,   907,   907,   150,   426,   426,
     942,    31,   426,   429,   865,   942,   429,   865,   917,   865,
     939,   426,   426,   408,   866,   866,   129,   893,   150,   116,
     118,   139,   242,   247,   361,   370,   425,   129,   342,   918,
     865,   908,   865,   355,   694,   865,   425,   791,   348,   350,
     348,   350,   925,   800,   800,   826,   389,   837,   894,   894,
     895,   426,   260,   879,    13,   426,   429,   804,   725,   935,
     863,   461,   865,   426,   429,   781,   838,   919,   755,   806,
     253,   888,   891,   409,   410,   667,   865,   815,   924,   778,
     778,   812,   937,   927,   927,   206,   926,   926,   251,   926,
     254,   251,   865,   519,   929,   425,   425,   425,   521,   479,
     378,   355,   552,   927,   566,   181,   242,   628,   674,   678,
     678,   420,   511,   121,   297,   322,   478,   707,   135,   479,
     135,   479,   927,   927,   927,   927,   426,   429,   412,   427,
     937,   264,   293,    18,   121,   264,   293,   841,   235,   841,
     937,   206,   268,   242,   936,   268,   926,   372,   569,   570,
     569,   426,   429,   571,   936,   355,   215,   215,   215,   355,
     355,   355,   355,   355,   355,   355,   927,   937,   927,   633,
     841,   191,   633,   633,   929,   929,   633,   191,   191,   191,
     191,   191,   191,   633,   488,   496,   497,   942,    43,    86,
     110,   129,   146,   161,   242,   250,   282,   491,   253,   416,
     417,   548,   603,   678,   891,   936,   946,     3,   607,   426,
     423,   426,   935,   424,   935,   163,   218,   864,   218,   864,
     864,   935,   221,   426,   251,   206,   412,   733,   733,   733,
     733,   733,   733,   733,    59,    74,   104,   106,   177,   237,
     242,   277,   289,   369,   512,   513,   514,   255,   564,   926,
     158,   304,   926,   935,   364,   602,   603,   520,   295,   345,
      97,   521,   925,   585,   608,   609,   936,   426,   429,   841,
     927,   927,   392,   541,   425,   504,   925,   426,   429,   426,
     429,   250,   481,   250,   251,   533,   790,   355,   925,   426,
     429,   104,   412,   683,   936,   466,   345,   677,   678,   392,
     682,   684,   109,   183,   315,   373,   715,   159,   790,   426,
     939,   425,   827,   194,   259,   831,   827,   831,   194,   830,
     831,   194,   425,   939,   425,   894,   247,   479,   841,   927,
     479,   375,   479,   375,   479,   479,   925,   925,   927,   579,
     479,   939,   310,   310,   310,   926,   648,   429,   937,   392,
     429,   646,   254,   790,   771,   133,   133,   926,   643,   479,
     937,   897,   426,   352,   865,   127,   841,   865,   865,   865,
     905,   841,   866,   116,   118,   237,   247,   866,   866,   866,
     866,   866,   866,   866,   866,   866,   866,   865,   865,   906,
     905,   862,   862,   841,   426,   426,   426,   893,   426,   429,
     942,   873,   274,   339,   875,   426,   429,   385,   869,    31,
     426,   859,   936,   865,    28,    28,   865,   426,   865,   150,
     425,   896,   865,   866,   866,   129,   129,   865,   426,   129,
     865,   800,   800,   800,   800,   925,   925,   865,   158,   817,
     429,   803,   804,   803,   426,   879,   425,   880,   939,   865,
     879,   936,   382,   895,   426,   426,   424,   412,   784,   772,
     425,   667,   426,   252,   733,   153,   317,   346,   657,   145,
     657,   426,   425,   524,   525,   664,   868,   939,   521,   521,
     426,   937,   628,   181,   420,   364,   237,   481,    97,   237,
     334,   337,   481,   364,   927,   939,   484,   603,   942,   355,
     355,   152,   253,   337,   611,   612,   152,   253,   618,   619,
     355,   355,   426,   426,   426,   938,   936,   936,   936,   568,
     927,   145,   145,   295,   145,   165,   937,   927,   937,   927,
     927,   927,   927,   566,   426,   633,   191,   191,   633,   633,
     633,   633,   633,   633,   375,   494,   495,   426,   429,   418,
     425,   463,   498,   548,   741,   741,   237,   282,   741,   741,
     106,   177,   237,   593,   594,   595,   935,   392,   393,   424,
     424,   426,   863,   925,   733,   104,   935,   936,   104,   936,
     104,   936,   104,   936,   104,   927,   104,   927,   104,   927,
     425,   927,   866,   107,   167,   106,   242,   195,   925,   684,
     425,   926,   926,   841,    31,   925,   395,   145,   586,   426,
     429,   840,   564,   766,    97,   229,   506,   508,   510,   518,
     939,   532,   516,   176,   531,   507,   540,    69,   347,   534,
     392,   728,   936,   662,   679,   865,   865,   429,   425,   680,
     600,   355,   552,   829,   425,   926,   827,   251,   375,   832,
     827,   194,   827,   839,   425,   839,   939,   426,   927,   426,
     479,   929,   929,   479,   479,   319,   926,   926,   926,   548,
     155,   645,   652,   150,   865,   426,   426,   906,   150,   116,
     118,   247,   425,   426,   398,   871,   893,   390,   390,   426,
     865,   229,   865,   429,   870,   843,   863,   866,   866,   865,
     896,   426,    28,    28,   865,   865,   129,   865,   426,   925,
     925,   925,   925,    47,   160,   818,   426,   426,   879,   881,
     939,   895,   879,   936,   921,   694,   938,   355,   640,   150,
     593,   865,   426,   429,   392,   375,   627,   665,   665,   426,
     426,   684,   364,   242,   242,   938,   939,   841,   479,   479,
     412,   937,   927,   935,   935,   841,   429,   935,   935,   429,
     937,   927,   926,   926,   627,   926,   135,   191,   633,   633,
     436,   111,   497,   463,   499,   500,   936,   936,   242,   418,
     521,   936,   936,   107,   167,   106,   595,   594,   424,   152,
     180,   152,   150,   592,   938,   865,   237,   513,   684,   520,
     375,   535,   565,   569,   375,   790,   425,   927,   122,   587,
     388,   589,   936,    97,   426,   429,   392,   533,   132,   171,
     425,   532,   109,   121,   274,   927,    51,    59,   209,   150,
     425,   936,   676,   685,   686,   940,   684,   925,   178,   553,
     926,   426,   865,   425,   827,   832,   426,   839,   426,   479,
     479,   479,   927,   254,   479,   644,   866,   150,   425,   896,
     425,   426,   429,   426,   426,   379,   331,   426,   426,   426,
     866,   866,   865,   893,   865,   391,   876,   879,   879,   267,
     882,   426,   863,   426,   644,   251,   644,   426,   684,   525,
     253,   694,   627,   666,   666,   289,   684,   535,   375,   480,
     603,   425,   933,   694,   612,   425,   425,   619,   392,   295,
     392,   392,   145,   633,   489,   936,   426,   429,   521,   648,
      31,   699,   699,   925,   593,   426,   535,   216,   523,   173,
     426,   429,   929,   728,   564,   306,   333,   588,   425,   134,
     508,   255,   534,    22,    68,    75,   105,   174,   337,   517,
     517,   924,   533,   307,   307,    59,   254,    59,   627,   663,
     664,   678,   426,   429,   837,   552,   555,   426,   926,   426,
     479,   866,   896,   426,   872,   893,   229,   407,   877,   878,
     939,    47,   803,   879,   646,   657,   479,   665,   535,   425,
     667,   667,   925,   535,   593,   865,   896,   670,   287,   615,
     693,   896,   896,   626,   627,   626,   627,   926,   500,   699,
      34,   169,   145,   151,   266,   327,   251,   527,   528,   529,
     347,   569,   140,   614,   865,   281,   511,   426,   534,   254,
     254,   426,   429,   680,   685,   117,   426,   426,   426,   426,
     379,   429,    31,   893,   283,   307,   883,   150,   666,   389,
     526,   694,   520,   593,   426,   615,   426,   426,   392,   122,
     109,   373,   251,   529,   251,   528,   927,   627,    31,   426,
     933,   392,   482,   664,   684,    23,   184,   716,   878,   880,
      41,    87,   365,   865,   884,   885,   884,   426,   644,   667,
     425,   593,   426,   523,   933,   627,   306,    50,   229,   299,
     322,   530,   530,   611,   425,   481,   534,   238,   425,   711,
     713,   718,   768,   773,   779,   790,   885,   306,   144,   272,
     144,   272,   479,   865,   527,   670,   589,    17,   104,   242,
       4,     6,     7,   590,   591,   935,   936,   939,   837,   712,
     713,   714,   791,   792,    28,   426,   593,   134,   426,   429,
     426,   428,   885,   281,   591,   714,   933,   425,   590,   426
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 625 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 632 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 639 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				}
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 751 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 762 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 772 "gram.y"
    {}
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 773 "gram.y"
    {}
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 782 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 783 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 787 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 788 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 793 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 798 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 802 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 807 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 812 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
				}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 816 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
				}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 820 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 824 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
				}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 828 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
				}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 832 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
				}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 836 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
				}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 840 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
				}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 844 "gram.y"
    {
					/* For backwards compatibility, synonym for SUPERUSER */
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
				}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 849 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
				}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 853 "gram.y"
    {
					(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
				}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 857 "gram.y"
    {
					(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
				}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 861 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 865 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 870 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 876 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 879 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 883 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 887 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 891 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 895 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 909 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 927 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 937 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 938 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 943 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 961 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 973 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 994 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1001 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1020 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1027 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1044 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1062 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1072 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1073 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1086 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1093 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1110 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1122 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1133 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1134 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1138 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1139 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1167 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1173 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1179 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 1188 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1196 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1204 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1211 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1218 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1226 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1237 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1245 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1253 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 1261 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1269 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1280 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1288 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1296 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1303 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1312 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1314 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1320 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1321 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1325 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1327 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1330 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1331 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1332 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1333 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1337 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1338 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1339 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1345 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1358 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1362 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1366 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1381 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1403 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1404 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1405 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1409 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1410 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1411 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1415 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1416 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 1421 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1428 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1435 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1442 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1449 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1458 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1459 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1465 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1471 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1477 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1483 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1489 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1499 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred    = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1508 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1509 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1513 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1514 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1523 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1538 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1544 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1550 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1556 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1574 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1582 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					(yyval.node) = (Node *)n;
				}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1590 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1598 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					(yyval.node) = (Node *)n;
				}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1608 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1609 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1615 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1623 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1631 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1640 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1648 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1656 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1665 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1674 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1683 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1692 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1702 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1715 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (7)].str);
					n->def = (Node *) (yyvsp[(6) - (7)].typnam);
					n->transform = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1725 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1733 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1743 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1753 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1760 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1767 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1775 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1783 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1791 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1799 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1807 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1814 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1821 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1829 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1836 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1843 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1851 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1859 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1867 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1875 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1883 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1891 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1899 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1907 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1915 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1924 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 1925 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 1929 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 1930 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 1931 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 1935 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 1936 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 1940 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 1943 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 1944 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 1948 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 1949 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 1955 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 1959 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 1963 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 1968 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 1983 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 1989 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2017 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2038 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2051 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2052 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2061 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2062 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2063 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2066 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2067 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2072 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2073 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2078 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2082 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2086 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2090 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2094 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2098 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2102 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2106 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2110 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2114 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2118 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2127 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2130 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2135 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2138 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2143 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2146 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2150 "gram.y"
    {}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2151 "gram.y"
    {}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2157 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2161 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2168 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2174 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2175 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2176 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2177 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2178 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2183 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2187 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2194 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2207 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->istemp = (yyvsp[(2) - (11)].boolean);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2221 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->istemp = (yyvsp[(2) - (10)].boolean);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2243 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2244 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2245 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2246 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2247 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2248 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2249 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2253 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2254 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2258 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2259 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2264 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2268 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2275 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2279 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2285 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2286 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2287 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2291 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2292 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2296 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->constraints = (yyvsp[(3) - (3)].list);
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2307 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->constraints = (yyvsp[(4) - (4)].list);
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2317 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2318 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2323 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2330 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2331 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2351 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2358 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2365 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2375 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2385 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (4)]);
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2394 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2403 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 2432 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 2439 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 2446 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 2453 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 2472 "gram.y"
    {
					InhRelation *n = makeNode(InhRelation);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 2481 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 2482 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 2483 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 2487 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 2488 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 2489 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 2490 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 2491 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 2492 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 2502 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 2509 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 2514 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					if ((yyvsp[(5) - (5)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CHECK constraints cannot be deferred"),
								 parser_errposition((yylsp[(5) - (5)]))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 2529 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexspace = (yyvsp[(6) - (7)].str);
					n->deferrable = ((yyvsp[(7) - (7)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(7) - (7)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 2542 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexspace = (yyvsp[(7) - (8)].str);
					n->deferrable = ((yyvsp[(8) - (8)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(8) - (8)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 2556 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					n->deferrable		= ((yyvsp[(9) - (9)].ival) & 1) != 0;
					n->initdeferred		= ((yyvsp[(9) - (9)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 2571 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					n->skip_validation  = FALSE;
					n->deferrable		= ((yyvsp[(11) - (11)].ival) & 1) != 0;
					n->initdeferred		= ((yyvsp[(11) - (11)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 2589 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 2590 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 2594 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 2595 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2599 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2605 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2609 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2617 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2621 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2627 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2629 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2633 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2638 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2644 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2645 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2656 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2658 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2660 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2662 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2664 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2667 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2670 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2674 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 2675 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 2676 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2677 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2678 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2681 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2682 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2687 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2688 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2689 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 2690 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 2693 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 2694 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 2695 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 2696 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 2699 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 2700 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 2703 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 2704 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 2715 "gram.y"
    {
					/*
					 * When the SelectStmt is a set-operation tree, we must
					 * stuff the INTO information into the leftmost component
					 * Select, because that's where analyze.c will expect
					 * to find it.	Similarly, the output column names must
					 * be attached to that Select's target list.
					 */
					SelectStmt *n = findLeftmostSelect((SelectStmt *) (yyvsp[(6) - (7)].node));
					if (n->intoClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE AS cannot specify INTO"),
								 parser_errposition(exprLocation((Node *) n->intoClause))));
					(yyvsp[(4) - (7)].into)->rel->istemp = (yyvsp[(2) - (7)].boolean);
					n->intoClause = (yyvsp[(4) - (7)].into);
					/* Implement WITH NO DATA by forcing top-level LIMIT 0 */
					if (!(yyvsp[(7) - (7)].boolean))
						((SelectStmt *) (yyvsp[(6) - (7)].node))->limitCount = makeIntConst(0, -1);
					(yyval.node) = (yyvsp[(6) - (7)].node);
				}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 2740 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
				}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 2751 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 2752 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 2756 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 2757 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 2762 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (1)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 2777 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 2778 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 2779 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 2793 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->istemp = (yyvsp[(2) - (5)].boolean);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 2805 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 2813 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 2814 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 2817 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 2818 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 2822 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 2826 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 2830 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 2834 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 2838 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 2842 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 2846 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 2850 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 2854 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 2858 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 2862 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 2866 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 2871 "gram.y"
    {}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 2872 "gram.y"
    {}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 2876 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 2878 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 2882 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 2885 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 2886 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 2899 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 2912 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 2925 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 2926 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 2934 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 2935 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 2939 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 2940 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 2944 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 2945 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 2949 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 2950 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 2955 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(4) - (5)].str);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 2963 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 2973 "gram.y"
    {}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 2974 "gram.y"
    {}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 2985 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 2994 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 2995 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3009 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3016 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3032 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->validator = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3049 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3057 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(7) - (8)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3074 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->validator = (yyvsp[(6) - (7)].list);
					n->change_validator = true;
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3083 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->validator = (yyvsp[(6) - (6)].list);
					n->change_validator = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3091 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3101 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3102 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3107 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3111 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3118 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3123 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3127 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3134 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3138 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3143 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3148 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3155 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3161 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3166 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3178 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3190 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3191 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3196 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3197 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3201 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3202 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3213 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3221 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3238 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3247 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3255 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3271 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3282 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3283 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3284 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3295 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3303 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3320 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3341 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->before = (yyvsp[(4) - (15)].boolean);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3362 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->before = FALSE;
					n->row = TRUE;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					n->deferrable = ((yyvsp[(10) - (20)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(10) - (20)].ival) & 2) != 0;
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3382 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3383 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3388 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3390 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3412 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3414 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3416 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3418 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3420 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3425 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3429 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3439 "gram.y"
    {}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3440 "gram.y"
    {}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3444 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3445 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3449 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3450 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3454 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3455 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3456 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3461 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3466 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3467 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3468 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3469 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3470 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3474 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3475 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3480 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 3482 "gram.y"
    {
					if ((yyvsp[(1) - (2)].ival) == 0 && (yyvsp[(2) - (2)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 3491 "gram.y"
    {
					if ((yyvsp[(1) - (1)].ival) != 0)
						(yyval.ival) = 3;
					else
						(yyval.ival) = 0;
				}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 3498 "gram.y"
    {
					if ((yyvsp[(2) - (2)].ival) == 0 && (yyvsp[(1) - (2)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 3507 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 3511 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 3512 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 3516 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 3517 "gram.y"
    { (yyval.ival) = 2; }
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 3523 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 3533 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 3556 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					n->deferrable = ((yyvsp[(8) - (8)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(8) - (8)].ival) & 2) != 0;

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 3574 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = NULL;
					n->property = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 3597 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 3607 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 3618 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 3628 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 3638 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 3649 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);
					RangeVar *r = makeNode(RangeVar);

					/* can't use qualified_name, sigh */
					switch (list_length((yyvsp[(3) - (7)].list)))
					{
						case 1:
							r->catalogname = NULL;
							r->schemaname = NULL;
							r->relname = strVal(linitial((yyvsp[(3) - (7)].list)));
							break;
						case 2:
							r->catalogname = NULL;
							r->schemaname = strVal(linitial((yyvsp[(3) - (7)].list)));
							r->relname = strVal(lsecond((yyvsp[(3) - (7)].list)));
							break;
						case 3:
							r->catalogname = strVal(linitial((yyvsp[(3) - (7)].list)));
							r->schemaname = strVal(lsecond((yyvsp[(3) - (7)].list)));
							r->relname = strVal(lthird((yyvsp[(3) - (7)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString((yyvsp[(3) - (7)].list))),
											parser_errposition((yylsp[(3) - (7)]))));
							break;
					}
					r->location = (yylsp[(3) - (7)]);
					n->typevar = r;
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 3685 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 3692 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 3701 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 3710 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 3719 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 3729 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 3732 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 3733 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 3737 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 3741 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 3747 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 3748 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 3749 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 3750 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 3751 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 3754 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 3755 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 3758 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 3761 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 3762 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 3771 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 3777 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 3778 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 3782 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 3784 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 3802 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 3815 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 3816 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 3821 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 3830 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->number = (yyvsp[(2) - (5)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 3839 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 3848 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 3858 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 3866 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 3867 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 3870 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 3871 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 3875 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 3888 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 3894 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 3904 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 3913 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 3924 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 3925 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 3930 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 3938 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 3950 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 3959 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 3971 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 3980 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4001 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4011 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4029 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4038 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4049 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4050 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4051 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4052 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4053 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4054 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4055 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4056 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4057 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4058 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4059 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4060 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4064 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4065 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4068 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4069 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4073 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4075 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4088 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4098 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4099 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4100 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4126 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4135 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4144 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4153 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4162 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4171 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4180 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4190 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4199 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4208 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4217 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4226 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4235 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4244 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4252 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4260 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4268 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4278 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4279 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4280 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4281 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4282 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4283 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4284 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4285 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4286 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4287 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4288 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4289 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4293 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4294 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4305 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4311 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4319 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4327 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4335 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4343 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4351 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4359 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4367 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4375 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4383 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4391 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4399 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4407 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4415 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4423 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4431 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4439 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4448 "gram.y"
    {}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4449 "gram.y"
    {}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4452 "gram.y"
    {}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4453 "gram.y"
    {}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4465 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4481 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4495 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4520 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4522 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4524 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4526 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4533 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4541 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4542 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4546 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4553 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4560 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4567 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4581 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4589 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4597 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4605 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4613 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4621 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4629 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 4637 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 4645 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 4653 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 4661 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 4669 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 4677 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 4685 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 4696 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 4697 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 4701 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 4711 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 4724 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 4725 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 4729 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 4731 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 4736 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 4752 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 4765 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 4775 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 4786 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 4787 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 4790 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 4791 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 4802 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 4811 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 4812 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 4817 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 4821 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 4825 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 4837 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 4850 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 4864 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 4879 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 4880 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 4881 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 4896 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 4912 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 4913 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 4917 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 4918 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 4922 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 4923 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 4927 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 4928 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 4931 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 4932 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 4941 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (4)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->opclass = (yyvsp[(2) - (4)].list);
					(yyval.ielem)->ordering = (yyvsp[(3) - (4)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(4) - (4)].ival);
				}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 4951 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (4)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->opclass = (yyvsp[(2) - (4)].list);
					(yyval.ielem)->ordering = (yyvsp[(3) - (4)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(4) - (4)].ival);
				}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 4961 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (6)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->opclass = (yyvsp[(4) - (6)].list);
					(yyval.ielem)->ordering = (yyvsp[(5) - (6)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(6) - (6)].ival);
				}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 4972 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 4973 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 4974 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 4977 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 4978 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 4979 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 4982 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 4983 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 4984 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5002 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5014 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5027 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5040 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5041 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5044 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5045 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5049 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5050 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5058 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5059 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5063 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5065 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5080 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5089 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5098 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5107 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5116 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5127 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5128 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5129 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5130 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5131 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5142 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5156 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5158 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5164 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5174 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
			    }
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5178 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5183 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5192 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5193 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5201 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5205 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5209 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5213 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5217 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5221 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5225 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5229 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5233 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5237 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5241 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5245 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5249 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5257 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5261 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5265 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5269 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5274 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5276 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5282 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5283 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5287 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5299 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5303 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5318 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5328 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5329 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5351 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = extractArgTypes((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5361 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = extractArgTypes((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5374 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5384 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5397 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5407 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5420 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5428 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5430 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5432 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5437 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5439 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5452 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5460 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5461 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5466 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5470 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5483 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5494 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5505 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5516 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5517 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5518 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5523 "gram.y"
    {
					DropCastStmt *n = makeNode(DropCastStmt);
					n->sourcetype = (yyvsp[(5) - (9)].typnam);
					n->targettype = (yyvsp[(7) - (9)].typnam);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5533 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5534 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5549 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5557 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5567 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5579 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5580 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5583 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5584 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5595 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5604 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5612 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5620 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5629 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5637 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5645 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5654 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5663 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5671 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5680 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5689 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5698 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5707 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5716 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5725 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5733 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5741 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5749 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5758 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5767 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5775 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5783 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5791 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5799 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5808 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5809 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 5812 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 5813 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 5824 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 5833 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 5841 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 5850 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 5858 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 5866 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 5874 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 5890 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 5899 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 5907 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 5915 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 5923 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 5932 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 5940 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 5948 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 5957 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 5966 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 5975 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 5983 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 5991 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 5999 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6007 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6015 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6023 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6042 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6056 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6057 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6058 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6064 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6070 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6086 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6087 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6090 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6091 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6092 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6093 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6097 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6098 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6099 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6105 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6115 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6136 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6145 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6146 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6150 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6159 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6165 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6184 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6191 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6198 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6205 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6212 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6219 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6226 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6234 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6242 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6250 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6258 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6266 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6273 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6280 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6288 "gram.y"
    {}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6289 "gram.y"
    {}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6290 "gram.y"
    {}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6295 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6298 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6301 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6308 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6310 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6312 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6318 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6332 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (8)].range);
					n->view->istemp = (yyvsp[(2) - (8)].boolean);
					n->aliases = (yyvsp[(5) - (8)].list);
					n->query = (yyvsp[(7) - (8)].node);
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6343 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (10)].range);
					n->view->istemp = (yyvsp[(4) - (10)].boolean);
					n->aliases = (yyvsp[(7) - (10)].list);
					n->query = (yyvsp[(9) - (10)].node);
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6356 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6362 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6368 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6373 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6384 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6400 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6409 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6410 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6415 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6419 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6423 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6427 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6431 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6435 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6439 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6443 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6447 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6451 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6455 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6459 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6463 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6467 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6471 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6475 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6484 "gram.y"
    {}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6485 "gram.y"
    {}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6497 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6504 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6515 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6525 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6526 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6531 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6545 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6552 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6569 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					n->constraints = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6581 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6590 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6598 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6606 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6615 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6625 "gram.y"
    {}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6626 "gram.y"
    {}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6638 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6648 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6658 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6668 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6678 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6688 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6696 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6718 "gram.y"
    {
			  CreateConversionStmt *n = makeNode(CreateConversionStmt);
			  n->conversion_name = (yyvsp[(4) - (10)].list);
			  n->for_encoding_name = (yyvsp[(6) - (10)].str);
			  n->to_encoding_name = (yyvsp[(8) - (10)].str);
			  n->func_name = (yyvsp[(10) - (10)].list);
			  n->def = (yyvsp[(2) - (10)].boolean);
			  (yyval.node) = (Node *)n;
			}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6740 "gram.y"
    {
			       ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(3) - (4)].range);
				   n->indexname = (yyvsp[(4) - (4)].str);
				   n->verbose = (yyvsp[(2) - (4)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6748 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = NULL;
				   n->indexname = NULL;
				   n->verbose = (yyvsp[(2) - (2)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6757 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(5) - (5)].range);
				   n->indexname = (yyvsp[(3) - (5)].str);
				   n->verbose = (yyvsp[(2) - (5)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6767 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6768 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6781 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6795 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6809 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6821 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6833 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6849 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6850 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6854 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6855 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6856 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6857 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6862 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6874 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6888 "gram.y"
    {}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6889 "gram.y"
    {}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6893 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6894 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6897 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6898 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6901 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6902 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6906 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6907 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6921 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6928 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6938 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6945 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6965 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6969 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6976 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6982 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6983 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 6987 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 6988 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 6989 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7000 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7009 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7010 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7028 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					n->into = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7037 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (8)].str);
					n->params = (yyvsp[(8) - (8)].list);
					(yyvsp[(4) - (8)].into)->rel->istemp = (yyvsp[(2) - (8)].boolean);
					n->into = (yyvsp[(4) - (8)].into);
					if ((yyvsp[(4) - (8)].into)->colNames)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("column name list not allowed in CREATE TABLE / AS EXECUTE")));
					/* ... because it's not implemented, but it could be */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7052 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7053 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7064 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7070 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7076 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7082 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7098 "gram.y"
    {
					(yyvsp[(4) - (5)].istmt)->relation = (yyvsp[(3) - (5)].range);
					(yyvsp[(4) - (5)].istmt)->returningList = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) (yyvsp[(4) - (5)].istmt);
				}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7107 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7113 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7119 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7128 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7130 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7135 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7145 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7146 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7159 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(3) - (6)].range);
					n->usingClause = (yyvsp[(4) - (6)].list);
					n->whereClause = (yyvsp[(5) - (6)].node);
					n->returningList = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7170 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7171 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7183 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7193 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7194 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7197 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7198 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7199 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7200 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7201 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7202 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7203 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7204 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7207 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7208 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7224 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(2) - (7)].range);
					n->targetList = (yyvsp[(4) - (7)].list);
					n->fromClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7236 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7237 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7241 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7242 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7247 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7255 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7283 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7293 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7294 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7305 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7315 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7318 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7319 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7320 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7321 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7322 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7325 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7326 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7327 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7380 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7381 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7395 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7397 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7404 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7412 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7420 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7428 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7436 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7444 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7454 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7455 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7485 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7497 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7499 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7518 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7522 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7526 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7541 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7548 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7557 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7558 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7562 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (4)].str);
				n->aliascolnames = (yyvsp[(2) - (4)].list);
				n->ctequery = (yyvsp[(4) - (4)].node);
				n->location = (yylsp[(1) - (4)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7574 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
				}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7583 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7592 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7597 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7602 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7607 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7612 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7617 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7622 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->istemp = false;
				}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7627 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->istemp = false;
				}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7633 "gram.y"
    {}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7634 "gram.y"
    {}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7637 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7638 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7639 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7646 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7647 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7648 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7649 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7653 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7654 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7658 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7662 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7663 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7667 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7676 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7688 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7689 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7690 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7691 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7695 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7696 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7701 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7703 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7713 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7718 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7721 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7725 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7727 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7734 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7744 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7745 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7746 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7754 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7758 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7759 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7762 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7763 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7768 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7769 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7773 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7774 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7778 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7779 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7783 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7784 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7788 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7789 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7794 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7802 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7812 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7813 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7819 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7825 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7842 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7843 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7847 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7848 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7859 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7863 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7868 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7875 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7883 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7890 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7900 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7910 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7938 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7945 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7949 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7975 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7979 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7991 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 8004 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 8018 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 8029 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 8044 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 8050 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 8055 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 8061 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 8067 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 8068 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 8069 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 8070 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 8074 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 8075 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 8087 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 8088 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 8094 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 8101 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 8108 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 8115 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 8125 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8126 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8140 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8144 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8151 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8160 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8165 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8166 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8171 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8173 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8180 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8186 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8190 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8196 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (2)].str);
					n->typeName = (yyvsp[(2) - (2)].typnam);
					n->constraints = NIL;
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8217 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8222 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8229 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8234 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8240 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8245 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8254 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8256 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8258 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8262 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8263 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8264 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8265 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8266 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8268 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8273 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8302 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8303 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8304 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8305 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8317 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8323 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8330 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8331 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8338 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8343 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8348 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8353 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8358 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8363 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8368 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8373 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8379 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8385 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8391 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8398 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8419 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8429 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8433 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8441 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8445 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8453 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8465 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8486 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8490 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8496 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8500 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8513 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8532 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8555 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8557 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8559 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8561 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8563 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8565 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8569 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8570 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8574 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8575 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8583 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8592 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8600 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8609 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8620 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8627 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8628 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8629 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8634 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8636 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8638 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8640 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8642 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8644 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8646 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8651 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8656 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8662 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8670 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8675 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8682 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8688 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8693 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8697 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8726 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8728 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8730 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8752 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8754 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8756 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8758 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8760 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8762 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8764 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8766 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8768 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8770 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8772 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8775 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8777 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8779 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8782 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8784 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8786 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8789 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8791 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8804 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8806 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8819 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8821 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8834 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8836 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8850 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8863 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8876 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8889 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8912 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8919 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8926 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8933 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8940 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8944 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8951 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8958 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8965 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8972 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8979 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8986 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8990 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8998 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 9002 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 9012 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 9019 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 9026 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 9039 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 9052 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 9071 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 9092 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 9102 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 9109 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 9125 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 9130 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 9148 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 9150 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 9152 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 9154 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 9156 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 9158 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 9160 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 9162 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 9164 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 9166 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 9168 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 9170 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 9172 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 9174 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 9176 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 9178 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 9180 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 9184 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 9189 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 9193 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 9197 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 9202 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 9218 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 9219 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 9221 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 9236 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 9248 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 9250 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 9252 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 9262 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 9285 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 9295 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 9305 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 9313 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9331 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9344 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9357 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9370 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9383 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9396 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9413 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9426 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9449 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9470 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9480 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9493 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9510 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9523 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9533 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9546 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9556 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9569 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9582 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9595 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9608 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9621 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9634 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9647 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9649 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9662 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9680 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9694 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9710 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9732 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9748 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9761 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9774 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9787 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9791 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9798 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9806 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9814 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9818 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9822 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9826 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9830 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9834 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9838 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9847 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9851 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9855 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9860 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9874 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9876 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9880 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9882 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9884 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9886 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9889 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9892 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9893 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9897 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9905 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9914 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9915 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9918 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9919 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9920 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9927 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9928 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9932 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9934 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9939 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9947 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9949 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9962 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9967 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9992 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9993 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9996 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9997 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 10009 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 10027 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 10033 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 10043 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 10060 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 10105 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 10113 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 10121 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 10129 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 10137 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 10157 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 10158 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 10159 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 10162 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 10163 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 10164 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 10167 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 10168 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 10171 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 10172 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 10173 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 10174 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 10175 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 10176 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 10177 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 10178 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 10179 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 10183 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 10185 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 10190 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 10192 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 10197 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 10199 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 10201 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 10203 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 10205 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 10207 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 10219 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 10223 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 10230 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 10234 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 10240 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 10244 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 10254 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 10255 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 10259 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 10263 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 10267 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 10272 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 10273 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 10279 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 10282 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 10289 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 10290 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 10291 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 10292 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 10293 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 10294 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 10295 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 10296 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 10307 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 10311 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 10318 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 10324 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 10325 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 10342 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 10346 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 10351 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 10355 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 10370 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 10374 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 10378 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 10381 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 10384 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 10385 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 10386 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 10390 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 10396 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 10407 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 10420 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 10421 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 10426 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 10436 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 10437 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 10440 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 10441 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 10445 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 10449 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 10456 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 10460 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 10464 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 10471 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 10480 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 10481 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 10485 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 10486 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 10501 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 10503 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 10511 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 10512 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 10520 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 10531 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 10532 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 10536 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 10552 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 10560 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 10568 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 10589 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 10590 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 10602 "gram.y"
    {
					(yyval.range) = makeNode(RangeVar);
					(yyval.range)->catalogname = NULL;
					(yyval.range)->schemaname = NULL;
					(yyval.range)->relname = (yyvsp[(1) - (1)].str);
					(yyval.range)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 10610 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeNode(RangeVar);
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
					(yyval.range)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 10638 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 10640 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 10644 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 10647 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 10650 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 10652 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 10654 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 10656 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 10667 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 10669 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 10680 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 10684 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 10688 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 10692 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 10696 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 10705 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 10712 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
								    (errcode(ERRCODE_SYNTAX_ERROR),
								     errmsg("type modifier cannot have parameter name"),
								     parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 10737 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 10741 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 10747 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 10764 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 10768 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 10772 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 10777 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 10778 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10779 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10781 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10782 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10783 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10799 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10800 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10801 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10806 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10807 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10808 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10813 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10814 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10815 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10816 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10822 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10823 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10824 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10825 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10826 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;



/* Line 1806 of yacc.c  */
#line 34002 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 11278 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* findLeftmostSelect()
 * Find the leftmost component SelectStmt in a set-operation parsetree.
 */
static SelectStmt *
findLeftmostSelect(SelectStmt *node)
{
	while (node && node->op != SETOP_NONE)
		node = node->larg;
	Assert(node && IsA(node, SelectStmt) && node->larg == NULL);
	return node;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr    *x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

