/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
                if (N) \
			(Current) = (Rhs)[1]; \
		else \
		        (Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char     pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int 	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);
			
			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
			        fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

char *
make_str(const char *str)
{
	char * res_str = (char *)mm_alloc(strlen(str) + 1);

	strcpy(res_str, str);
	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), make_str(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in other functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn's cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = make_str("");
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char temp[20];
			char *original_var;
			bool skip_set_var = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(temp, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable) && (!strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement"))))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar && ptr->variable->type->type != ECPGt_char && ptr->variable->type->type != ECPGt_unsigned_char && ptr->variable->type->type != ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, make_str("1"), ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
				sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar || ptr->variable->type->type == ECPGt_char || ptr->variable->type->type == ECPGt_unsigned_char || ptr->variable->type->type == ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				if (ptr->variable->type->type == ECPGt_varchar)
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				else
					sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_struct || ptr->variable->type->type == ECPGt_union)
			{
				sprintf(temp, "%d)))", ecpg_internal_var);
				newvar = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->variable->type->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.members, ptr->variable->type->type, ptr->variable->type->type_name, ptr->variable->type->struct_sizeof), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct || ptr->variable->type->u.element->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newvar = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->variable->type->u.element->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.element->u.members, ptr->variable->type->u.element->type, ptr->variable->type->u.element->type_name, ptr->variable->type->u.element->struct_sizeof), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newvar = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, ptr->variable->type->u.element->size, ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, make_str("*("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}

			/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
			if (!skip_set_var)
				result = cat_str(5, result, make_str("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), make_str("), __LINE__);\n"));

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(temp, "%d))", ecpg_internal_var);

				if (ptr->indicator->type->type == ECPGt_struct || ptr->indicator->type->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newind = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->indicator->type->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.members, ptr->indicator->type->type, ptr->indicator->type->type_name, ptr->indicator->type->struct_sizeof), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct || ptr->indicator->type->u.element->type == ECPGt_union)
					{
						sprintf(temp, "%d)))", ecpg_internal_var);
						newind = new_variable(cat_str(4, make_str("(*("), mm_strdup(ptr->indicator->type->u.element->type_name), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.element->u.members, ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->type_name, ptr->indicator->type->u.element->struct_sizeof), 0);
						sprintf(temp, "%d, (", ecpg_internal_var++);
					}
					else
					{
						newind = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->size, ptr->indicator->type->u.element->counter), ptr->indicator->type->size), 0);
						sprintf(temp, "%d, &(", ecpg_internal_var++);
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, make_str("("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newind = new_variable(cat_str(4, make_str("*("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), make_str(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				result = cat_str(5, result, make_str("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), make_str("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && !strcmp(cur->function, current_function)))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char * dimension, char * length, enum ECPGttype type_enum, char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
	     type_enum == ECPGt_union) &&
	    initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 542 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     AUTHORIZATION = 369,
     BACKWARD = 370,
     BEFORE = 371,
     BEGIN_P = 372,
     BETWEEN = 373,
     BIGINT = 374,
     BINARY = 375,
     BIT = 376,
     BOOLEAN_P = 377,
     BOTH = 378,
     BY = 379,
     CACHE = 380,
     CALLED = 381,
     CASCADE = 382,
     CASCADED = 383,
     CASE = 384,
     CAST = 385,
     CATALOG_P = 386,
     CHAIN = 387,
     CHAR_P = 388,
     CHARACTER = 389,
     CHARACTERISTICS = 390,
     CHECK = 391,
     CHECKPOINT = 392,
     CLASS = 393,
     CLOSE = 394,
     CLUSTER = 395,
     COALESCE = 396,
     COLLATE = 397,
     COLUMN = 398,
     COMMENT = 399,
     COMMENTS = 400,
     COMMIT = 401,
     COMMITTED = 402,
     CONCURRENTLY = 403,
     CONFIGURATION = 404,
     CONNECTION = 405,
     CONSTRAINT = 406,
     CONSTRAINTS = 407,
     CONTENT_P = 408,
     CONTINUE_P = 409,
     CONVERSION_P = 410,
     COPY = 411,
     COST = 412,
     CREATE = 413,
     CREATEDB = 414,
     CREATEROLE = 415,
     CREATEUSER = 416,
     CROSS = 417,
     CSV = 418,
     CURRENT_P = 419,
     CURRENT_CATALOG = 420,
     CURRENT_DATE = 421,
     CURRENT_ROLE = 422,
     CURRENT_SCHEMA = 423,
     CURRENT_TIME = 424,
     CURRENT_TIMESTAMP = 425,
     CURRENT_USER = 426,
     CURSOR = 427,
     CYCLE = 428,
     DATA_P = 429,
     DATABASE = 430,
     DAY_P = 431,
     DEALLOCATE = 432,
     DEC = 433,
     DECIMAL_P = 434,
     DECLARE = 435,
     DEFAULT = 436,
     DEFAULTS = 437,
     DEFERRABLE = 438,
     DEFERRED = 439,
     DEFINER = 440,
     DELETE_P = 441,
     DELIMITER = 442,
     DELIMITERS = 443,
     DESC = 444,
     DICTIONARY = 445,
     DISABLE_P = 446,
     DISCARD = 447,
     DISTINCT = 448,
     DO = 449,
     DOCUMENT_P = 450,
     DOMAIN_P = 451,
     DOUBLE_P = 452,
     DROP = 453,
     EACH = 454,
     ELSE = 455,
     ENABLE_P = 456,
     ENCODING = 457,
     ENCRYPTED = 458,
     END_P = 459,
     ENUM_P = 460,
     ESCAPE = 461,
     EXCEPT = 462,
     EXCLUDE = 463,
     EXCLUDING = 464,
     EXCLUSIVE = 465,
     EXECUTE = 466,
     EXISTS = 467,
     EXPLAIN = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LANGUAGE = 528,
     LARGE_P = 529,
     LAST_P = 530,
     LC_COLLATE_P = 531,
     LC_CTYPE_P = 532,
     LEADING = 533,
     LEAST = 534,
     LEFT = 535,
     LEVEL = 536,
     LIKE = 537,
     LIMIT = 538,
     LISTEN = 539,
     LOAD = 540,
     LOCAL = 541,
     LOCALTIME = 542,
     LOCALTIMESTAMP = 543,
     LOCATION = 544,
     LOCK_P = 545,
     LOGIN_P = 546,
     MAPPING = 547,
     MATCH = 548,
     MAXVALUE = 549,
     MINUTE_P = 550,
     MINVALUE = 551,
     MODE = 552,
     MONTH_P = 553,
     MOVE = 554,
     NAME_P = 555,
     NAMES = 556,
     NATIONAL = 557,
     NATURAL = 558,
     NCHAR = 559,
     NEXT = 560,
     NO = 561,
     NOCREATEDB = 562,
     NOCREATEROLE = 563,
     NOCREATEUSER = 564,
     NOINHERIT = 565,
     NOLOGIN_P = 566,
     NONE = 567,
     NOSUPERUSER = 568,
     NOT = 569,
     NOTHING = 570,
     NOTIFY = 571,
     NOTNULL = 572,
     NOWAIT = 573,
     NULL_P = 574,
     NULLIF = 575,
     NULLS_P = 576,
     NUMERIC = 577,
     OBJECT_P = 578,
     OF = 579,
     OFF = 580,
     OFFSET = 581,
     OIDS = 582,
     ON = 583,
     ONLY = 584,
     OPERATOR = 585,
     OPTION = 586,
     OPTIONS = 587,
     OR = 588,
     ORDER = 589,
     OUT_P = 590,
     OUTER_P = 591,
     OVER = 592,
     OVERLAPS = 593,
     OVERLAY = 594,
     OWNED = 595,
     OWNER = 596,
     PARSER = 597,
     PARTIAL = 598,
     PARTITION = 599,
     PASSWORD = 600,
     PLACING = 601,
     PLANS = 602,
     POSITION = 603,
     PRECEDING = 604,
     PRECISION = 605,
     PRESERVE = 606,
     PREPARE = 607,
     PREPARED = 608,
     PRIMARY = 609,
     PRIOR = 610,
     PRIVILEGES = 611,
     PROCEDURAL = 612,
     PROCEDURE = 613,
     QUOTE = 614,
     RANGE = 615,
     READ = 616,
     REAL = 617,
     REASSIGN = 618,
     RECHECK = 619,
     RECURSIVE = 620,
     REFERENCES = 621,
     REINDEX = 622,
     RELATIVE_P = 623,
     RELEASE = 624,
     RENAME = 625,
     REPEATABLE = 626,
     REPLACE = 627,
     REPLICA = 628,
     RESET = 629,
     RESTART = 630,
     RESTRICT = 631,
     RETURNING = 632,
     RETURNS = 633,
     REVOKE = 634,
     RIGHT = 635,
     ROLE = 636,
     ROLLBACK = 637,
     ROW = 638,
     ROWS = 639,
     RULE = 640,
     SAVEPOINT = 641,
     SCHEMA = 642,
     SCROLL = 643,
     SEARCH = 644,
     SECOND_P = 645,
     SECURITY = 646,
     SELECT = 647,
     SEQUENCE = 648,
     SEQUENCES = 649,
     SERIALIZABLE = 650,
     SERVER = 651,
     SESSION = 652,
     SESSION_USER = 653,
     SET = 654,
     SETOF = 655,
     SHARE = 656,
     SHOW = 657,
     SIMILAR = 658,
     SIMPLE = 659,
     SMALLINT = 660,
     SOME = 661,
     STABLE = 662,
     STANDALONE_P = 663,
     START = 664,
     STATEMENT = 665,
     STATISTICS = 666,
     STDIN = 667,
     STDOUT = 668,
     STORAGE = 669,
     STRICT_P = 670,
     STRIP_P = 671,
     SUBSTRING = 672,
     SUPERUSER_P = 673,
     SYMMETRIC = 674,
     SYSID = 675,
     SYSTEM_P = 676,
     TABLE = 677,
     TABLES = 678,
     TABLESPACE = 679,
     TEMP = 680,
     TEMPLATE = 681,
     TEMPORARY = 682,
     TEXT_P = 683,
     THEN = 684,
     TIME = 685,
     TIMESTAMP = 686,
     TO = 687,
     TRAILING = 688,
     TRANSACTION = 689,
     TREAT = 690,
     TRIGGER = 691,
     TRIM = 692,
     TRUE_P = 693,
     TRUNCATE = 694,
     TRUSTED = 695,
     TYPE_P = 696,
     UNBOUNDED = 697,
     UNCOMMITTED = 698,
     UNENCRYPTED = 699,
     UNION = 700,
     UNIQUE = 701,
     UNKNOWN = 702,
     UNLISTEN = 703,
     UNTIL = 704,
     UPDATE = 705,
     USER = 706,
     USING = 707,
     VACUUM = 708,
     VALID = 709,
     VALIDATOR = 710,
     VALUE_P = 711,
     VALUES = 712,
     VARCHAR = 713,
     VARIADIC = 714,
     VARYING = 715,
     VERBOSE = 716,
     VERSION_P = 717,
     VIEW = 718,
     VOLATILE = 719,
     WHEN = 720,
     WHERE = 721,
     WHITESPACE_P = 722,
     WINDOW = 723,
     WITH = 724,
     WITHOUT = 725,
     WORK = 726,
     WRAPPER = 727,
     WRITE = 728,
     XML_P = 729,
     XMLATTRIBUTES = 730,
     XMLCONCAT = 731,
     XMLELEMENT = 732,
     XMLFOREST = 733,
     XMLPARSE = 734,
     XMLPI = 735,
     XMLROOT = 736,
     XMLSERIALIZE = 737,
     YEAR_P = 738,
     YES_P = 739,
     ZONE = 740,
     NULLS_FIRST = 741,
     NULLS_LAST = 742,
     WITH_TIME = 743,
     POSTFIXOP = 744,
     UMINUS = 745
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 471 "preproc.y"

	double	dval;
	char	*str;
	int     ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1085 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1110 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   95883

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  510
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  658
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2565
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4493

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   745

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   497,     2,     2,
     502,   503,   495,   493,   505,   494,   504,   496,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   507,   506,
     490,   489,   491,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   500,     2,   501,   498,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   508,     2,   509,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   492,   499
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   248,   254,   256,   257,   260,
     261,   264,   265,   268,   271,   275,   279,   281,   283,   285,
     287,   289,   291,   293,   295,   297,   299,   301,   303,   307,
     311,   314,   316,   319,   322,   325,   329,   333,   339,   345,
     346,   350,   356,   362,   367,   371,   377,   381,   387,   393,
     400,   402,   404,   408,   414,   421,   426,   428,   429,   432,
     433,   435,   437,   439,   441,   443,   445,   448,   452,   456,
     460,   464,   468,   472,   476,   480,   483,   489,   492,   495,
     498,   501,   505,   509,   513,   515,   519,   521,   525,   527,
     529,   532,   535,   538,   540,   542,   544,   546,   548,   550,
     552,   556,   563,   565,   567,   569,   571,   573,   574,   576,
     578,   581,   585,   590,   594,   597,   600,   602,   606,   611,
     617,   622,   625,   630,   632,   634,   636,   638,   640,   643,
     646,   649,   652,   657,   662,   667,   672,   674,   678,   681,
     685,   690,   697,   704,   711,   717,   723,   730,   737,   742,
     750,   753,   760,   765,   769,   773,   777,   781,   785,   790,
     795,   799,   803,   807,   811,   815,   819,   824,   829,   833,
     836,   840,   844,   848,   851,   854,   858,   861,   863,   865,
     866,   869,   870,   874,   877,   878,   880,   884,   888,   890,
     896,   900,   903,   906,   917,   924,   926,   928,   930,   932,
     934,   936,   940,   943,   944,   946,   948,   952,   956,   958,
     960,   964,   968,   972,   976,   981,   983,   984,   987,   988,
     992,   993,   995,   996,   998,  1002,  1005,  1007,  1009,  1011,
    1015,  1016,  1018,  1022,  1024,  1036,  1047,  1049,  1051,  1054,
    1057,  1060,  1063,  1064,  1066,  1067,  1071,  1072,  1074,  1078,
    1080,  1084,  1086,  1088,  1090,  1092,  1094,  1098,  1103,  1106,
    1107,  1111,  1113,  1115,  1118,  1120,  1124,  1129,  1134,  1137,
    1143,  1145,  1148,  1151,  1154,  1158,  1162,  1166,  1167,  1169,
    1171,  1173,  1175,  1177,  1179,  1183,  1185,  1191,  1199,  1208,
    1218,  1230,  1234,  1235,  1237,  1241,  1243,  1246,  1249,  1252,
    1253,  1255,  1259,  1263,  1270,  1275,  1276,  1278,  1280,  1283,
    1286,  1287,  1291,  1295,  1298,  1300,  1302,  1305,  1308,  1313,
    1314,  1317,  1320,  1323,  1324,  1328,  1333,  1338,  1339,  1342,
    1343,  1348,  1349,  1355,  1359,  1360,  1362,  1366,  1368,  1371,
    1375,  1376,  1382,  1387,  1389,  1390,  1392,  1395,  1398,  1400,
    1403,  1407,  1410,  1413,  1416,  1419,  1423,  1427,  1429,  1433,
    1435,  1436,  1438,  1441,  1443,  1445,  1449,  1456,  1467,  1469,
    1470,  1472,  1475,  1478,  1479,  1482,  1485,  1487,  1488,  1494,
    1502,  1504,  1505,  1512,  1515,  1516,  1520,  1526,  1534,  1541,
    1550,  1558,  1565,  1572,  1577,  1578,  1580,  1584,  1589,  1591,
    1595,  1597,  1600,  1603,  1606,  1609,  1611,  1613,  1624,  1627,
    1628,  1631,  1634,  1636,  1637,  1642,  1649,  1655,  1660,  1665,
    1674,  1676,  1678,  1680,  1688,  1698,  1707,  1723,  1744,  1746,
    1748,  1750,  1754,  1756,  1758,  1760,  1764,  1766,  1770,  1771,
    1773,  1774,  1776,  1778,  1783,  1784,  1786,  1790,  1791,  1793,
    1795,  1797,  1799,  1801,  1803,  1806,  1807,  1809,  1812,  1814,
    1817,  1818,  1821,  1823,  1826,  1829,  1836,  1845,  1854,  1859,
    1865,  1870,  1875,  1880,  1884,  1892,  1901,  1908,  1915,  1922,
    1929,  1933,  1935,  1939,  1943,  1945,  1947,  1949,  1951,  1953,
    1955,  1959,  1963,  1967,  1969,  1973,  1977,  1979,  1980,  1982,
    1986,  2000,  2002,  2006,  2011,  2017,  2022,  2030,  2033,  2035,
    2036,  2039,  2040,  2042,  2043,  2050,  2059,  2068,  2070,  2074,
    2080,  2086,  2094,  2104,  2112,  2122,  2128,  2135,  2142,  2147,
    2149,  2151,  2153,  2155,  2157,  2159,  2161,  2163,  2167,  2171,
    2175,  2179,  2181,  2185,  2187,  2190,  2193,  2197,  2203,  2206,
    2209,  2210,  2217,  2225,  2233,  2241,  2250,  2259,  2266,  2275,
    2285,  2295,  2303,  2314,  2322,  2331,  2340,  2349,  2358,  2360,
    2362,  2364,  2366,  2368,  2370,  2372,  2374,  2376,  2378,  2380,
    2382,  2384,  2386,  2389,  2392,  2396,  2401,  2407,  2412,  2418,
    2422,  2427,  2431,  2436,  2438,  2441,  2445,  2449,  2453,  2457,
    2462,  2467,  2471,  2475,  2480,  2485,  2490,  2495,  2497,  2499,
    2501,  2502,  2510,  2518,  2529,  2531,  2533,  2536,  2541,  2547,
    2549,  2553,  2556,  2559,  2562,  2565,  2567,  2570,  2573,  2578,
    2582,  2585,  2588,  2591,  2595,  2598,  2601,  2607,  2613,  2619,
    2621,  2625,  2627,  2630,  2634,  2635,  2637,  2641,  2644,  2651,
    2658,  2668,  2672,  2673,  2677,  2678,  2684,  2687,  2688,  2692,
    2696,  2700,  2708,  2716,  2727,  2729,  2731,  2733,  2748,  2750,
    2751,  2753,  2754,  2756,  2757,  2760,  2761,  2763,  2767,  2772,
    2777,  2784,  2786,  2789,  2790,  2792,  2794,  2795,  2797,  2799,
    2800,  2810,  2823,  2831,  2834,  2835,  2839,  2842,  2844,  2848,
    2852,  2855,  2857,  2861,  2865,  2869,  2872,  2875,  2877,  2879,
    2881,  2883,  2886,  2888,  2890,  2892,  2894,  2899,  2905,  2907,
    2911,  2915,  2917,  2920,  2925,  2931,  2933,  2935,  2937,  2939,
    2943,  2947,  2950,  2953,  2956,  2959,  2961,  2964,  2967,  2969,
    2971,  2973,  2977,  2980,  2981,  2984,  2986,  2990,  2996,  2998,
    3001,  3003,  3004,  3010,  3018,  3024,  3032,  3038,  3046,  3050,
    3056,  3062,  3068,  3070,  3074,  3077,  3079,  3082,  3084,  3087,
    3099,  3110,  3121,  3124,  3127,  3128,  3138,  3141,  3142,  3147,
    3152,  3157,  3159,  3161,  3163,  3164,  3172,  3179,  3186,  3193,
    3200,  3208,  3218,  3228,  3235,  3242,  3249,  3256,  3263,  3272,
    3281,  3288,  3295,  3302,  3308,  3314,  3323,  3332,  3341,  3350,
    3357,  3359,  3360,  3363,  3364,  3372,  3379,  3386,  3393,  3400,
    3407,  3414,  3422,  3429,  3436,  3443,  3450,  3458,  3466,  3474,
    3484,  3494,  3501,  3508,  3515,  3524,  3533,  3542,  3549,  3563,
    3565,  3567,  3571,  3575,  3577,  3579,  3581,  3583,  3585,  3587,
    3589,  3590,  3592,  3594,  3596,  3598,  3600,  3602,  3603,  3610,
    3619,  3623,  3626,  3627,  3630,  3633,  3636,  3639,  3643,  3647,
    3650,  3653,  3656,  3659,  3663,  3666,  3672,  3677,  3681,  3685,
    3689,  3691,  3693,  3694,  3698,  3701,  3704,  3706,  3710,  3713,
    3715,  3716,  3725,  3736,  3740,  3745,  3750,  3751,  3754,  3760,
    3763,  3764,  3768,  3772,  3776,  3780,  3784,  3788,  3792,  3796,
    3800,  3804,  3808,  3812,  3816,  3821,  3825,  3829,  3831,  3832,
    3838,  3845,  3850,  3853,  3854,  3859,  3863,  3869,  3876,  3881,
    3888,  3895,  3901,  3909,  3911,  3912,  3919,  3931,  3943,  3955,
    3969,  3979,  3991,  4002,  4007,  4010,  4016,  4019,  4020,  4025,
    4031,  4037,  4042,  4049,  4051,  4055,  4057,  4059,  4061,  4063,
    4066,  4071,  4073,  4075,  4077,  4078,  4080,  4081,  4083,  4084,
    4088,  4089,  4092,  4097,  4101,  4107,  4109,  4111,  4113,  4115,
    4117,  4119,  4121,  4123,  4127,  4130,  4132,  4134,  4136,  4138,
    4139,  4145,  4150,  4154,  4155,  4157,  4159,  4161,  4163,  4168,
    4177,  4181,  4182,  4188,  4190,  4195,  4198,  4200,  4204,  4207,
    4211,  4212,  4219,  4222,  4223,  4229,  4233,  4234,  4237,  4240,
    4243,  4247,  4249,  4253,  4255,  4258,  4260,  4261,  4269,  4271,
    4275,  4277,  4279,  4283,  4289,  4292,  4294,  4298,  4306,  4308,
    4310,  4311,  4315,  4318,  4321,  4324,  4325,  4328,  4331,  4333,
    4335,  4339,  4343,  4345,  4348,  4353,  4358,  4361,  4365,  4371,
    4377,  4379,  4381,  4391,  4393,  4396,  4401,  4406,  4411,  4414,
    4418,  4420,  4424,  4429,  4432,  4434,  4435,  4439,  4443,  4448,
    4453,  4458,  4463,  4466,  4468,  4470,  4471,  4473,  4475,  4476,
    4478,  4484,  4486,  4487,  4489,  4490,  4494,  4496,  4500,  4505,
    4509,  4512,  4515,  4517,  4519,  4521,  4522,  4525,  4530,  4536,
    4539,  4543,  4545,  4547,  4549,  4551,  4555,  4556,  4558,  4560,
    4562,  4564,  4566,  4570,  4571,  4574,  4575,  4577,  4581,  4583,
    4584,  4586,  4589,  4594,  4599,  4602,  4603,  4606,  4610,  4613,
    4614,  4616,  4620,  4622,  4625,  4627,  4630,  4636,  4643,  4649,
    4651,  4654,  4656,  4661,  4665,  4670,  4676,  4681,  4687,  4692,
    4698,  4701,  4706,  4708,  4711,  4714,  4717,  4719,  4721,  4722,
    4727,  4730,  4732,  4735,  4738,  4743,  4745,  4749,  4751,  4754,
    4758,  4760,  4763,  4764,  4767,  4772,  4773,  4775,  4779,  4782,
    4785,  4789,  4795,  4802,  4805,  4809,  4813,  4818,  4819,  4821,
    4823,  4825,  4827,  4829,  4832,  4838,  4840,  4842,  4844,  4846,
    4849,  4853,  4857,  4858,  4860,  4862,  4864,  4866,  4868,  4871,
    4874,  4877,  4880,  4883,  4885,  4889,  4890,  4892,  4894,  4896,
    4898,  4904,  4907,  4909,  4911,  4913,  4915,  4921,  4924,  4927,
    4930,  4932,  4936,  4940,  4943,  4945,  4946,  4950,  4951,  4957,
    4960,  4966,  4969,  4971,  4974,  4978,  4979,  4981,  4983,  4985,
    4987,  4989,  4991,  4995,  4999,  5003,  5007,  5011,  5015,  5019,
    5020,  5022,  5027,  5029,  5033,  5039,  5042,  5045,  5049,  5053,
    5057,  5061,  5065,  5069,  5073,  5077,  5081,  5085,  5088,  5091,
    5095,  5099,  5102,  5106,  5112,  5117,  5124,  5128,  5134,  5139,
    5146,  5151,  5158,  5164,  5172,  5176,  5179,  5184,  5187,  5191,
    5195,  5200,  5204,  5209,  5213,  5218,  5224,  5231,  5238,  5246,
    5253,  5261,  5268,  5276,  5280,  5285,  5290,  5297,  5300,  5304,
    5309,  5311,  5315,  5318,  5321,  5325,  5329,  5333,  5337,  5341,
    5345,  5349,  5353,  5357,  5361,  5364,  5367,  5373,  5380,  5387,
    5395,  5399,  5404,  5406,  5408,  5411,  5416,  5418,  5420,  5422,
    5425,  5428,  5431,  5434,  5436,  5441,  5447,  5454,  5463,  5470,
    5478,  5486,  5492,  5494,  5496,  5501,  5503,  5508,  5510,  5515,
    5517,  5522,  5524,  5526,  5528,  5530,  5532,  5534,  5541,  5546,
    5551,  5556,  5561,  5568,  5574,  5580,  5586,  5591,  5598,  5603,
    5608,  5613,  5618,  5624,  5632,  5640,  5650,  5655,  5662,  5668,
    5676,  5684,  5692,  5695,  5699,  5703,  5707,  5712,  5713,  5718,
    5720,  5724,  5728,  5730,  5732,  5734,  5737,  5740,  5741,  5744,
    5745,  5747,  5751,  5755,  5758,  5761,  5762,  5769,  5771,  5772,
    5776,  5777,  5780,  5783,  5784,  5786,  5791,  5794,  5797,  5800,
    5803,  5806,  5811,  5815,  5821,  5823,  5825,  5827,  5829,  5831,
    5833,  5835,  5837,  5839,  5841,  5843,  5845,  5847,  5849,  5851,
    5856,  5858,  5863,  5865,  5870,  5872,  5875,  5877,  5880,  5882,
    5886,  5888,  5892,  5894,  5898,  5900,  5904,  5908,  5912,  5915,
    5917,  5921,  5925,  5926,  5928,  5930,  5932,  5934,  5936,  5938,
    5940,  5942,  5947,  5951,  5954,  5958,  5959,  5963,  5967,  5970,
    5973,  5975,  5976,  5979,  5982,  5986,  5989,  5991,  5993,  5997,
    6003,  6005,  6008,  6013,  6016,  6017,  6019,  6020,  6022,  6025,
    6028,  6031,  6035,  6041,  6043,  6046,  6047,  6050,  6052,  6053,
    6055,  6057,  6059,  6063,  6067,  6069,  6073,  6077,  6080,  6082,
    6084,  6086,  6090,  6092,  6095,  6097,  6101,  6103,  6105,  6107,
    6109,  6111,  6113,  6115,  6118,  6120,  6122,  6124,  6126,  6128,
    6131,  6137,  6140,  6144,  6151,  6153,  6155,  6157,  6159,  6161,
    6163,  6165,  6167,  6169,  6172,  6175,  6177,  6179,  6181,  6183,
    6185,  6187,  6189,  6191,  6193,  6195,  6197,  6199,  6201,  6203,
    6205,  6207,  6209,  6211,  6213,  6215,  6217,  6219,  6221,  6223,
    6225,  6227,  6229,  6231,  6233,  6235,  6237,  6239,  6241,  6243,
    6245,  6247,  6249,  6251,  6253,  6255,  6257,  6259,  6261,  6263,
    6265,  6267,  6269,  6271,  6273,  6275,  6277,  6279,  6281,  6283,
    6285,  6287,  6289,  6291,  6293,  6295,  6297,  6299,  6301,  6303,
    6305,  6307,  6309,  6311,  6313,  6315,  6317,  6319,  6321,  6323,
    6325,  6327,  6329,  6331,  6333,  6335,  6337,  6339,  6341,  6343,
    6345,  6347,  6349,  6351,  6353,  6355,  6357,  6359,  6361,  6363,
    6365,  6367,  6369,  6371,  6373,  6375,  6377,  6379,  6381,  6383,
    6385,  6387,  6389,  6391,  6393,  6395,  6397,  6399,  6401,  6403,
    6405,  6407,  6409,  6411,  6413,  6415,  6417,  6419,  6421,  6423,
    6425,  6427,  6429,  6431,  6433,  6435,  6437,  6439,  6441,  6443,
    6445,  6447,  6449,  6451,  6453,  6455,  6457,  6459,  6461,  6463,
    6465,  6467,  6469,  6471,  6473,  6475,  6477,  6479,  6481,  6483,
    6485,  6487,  6489,  6491,  6493,  6495,  6497,  6499,  6501,  6503,
    6505,  6507,  6509,  6511,  6513,  6515,  6517,  6519,  6521,  6523,
    6525,  6527,  6529,  6531,  6533,  6535,  6537,  6539,  6541,  6543,
    6545,  6547,  6549,  6551,  6553,  6555,  6557,  6559,  6561,  6563,
    6565,  6567,  6569,  6571,  6573,  6575,  6577,  6579,  6581,  6583,
    6585,  6587,  6589,  6591,  6593,  6595,  6597,  6599,  6601,  6603,
    6605,  6607,  6609,  6611,  6613,  6615,  6617,  6619,  6621,  6623,
    6625,  6627,  6629,  6631,  6633,  6635,  6637,  6639,  6641,  6643,
    6645,  6647,  6649,  6651,  6653,  6655,  6657,  6659,  6661,  6663,
    6665,  6667,  6669,  6671,  6673,  6675,  6677,  6679,  6681,  6683,
    6685,  6687,  6689,  6691,  6693,  6695,  6697,  6699,  6701,  6703,
    6705,  6707,  6709,  6711,  6713,  6715,  6717,  6719,  6721,  6723,
    6725,  6727,  6729,  6731,  6733,  6735,  6737,  6739,  6741,  6743,
    6745,  6747,  6749,  6751,  6753,  6755,  6757,  6759,  6761,  6763,
    6765,  6767,  6769,  6771,  6773,  6775,  6777,  6779,  6781,  6783,
    6785,  6787,  6789,  6791,  6793,  6795,  6797,  6799,  6801,  6803,
    6805,  6807,  6809,  6811,  6813,  6815,  6817,  6819,  6821,  6823,
    6825,  6827,  6829,  6831,  6833,  6835,  6837,  6839,  6841,  6843,
    6845,  6847,  6849,  6851,  6853,  6855,  6857,  6859,  6861,  6863,
    6865,  6867,  6869,  6871,  6873,  6875,  6877,  6879,  6881,  6883,
    6885,  6887,  6889,  6891,  6893,  6895,  6897,  6899,  6901,  6903,
    6905,  6907,  6909,  6911,  6913,  6915,  6917,  6919,  6921,  6923,
    6925,  6927,  6929,  6931,  6933,  6935,  6937,  6939,  6941,  6943,
    6945,  6946,  6949,  6954,  6958,  6961,  6963,  6965,  6967,  6969,
    6971,  6972,  6981,  6984,  6990,  6994,  6997,  7000,  7004,  7012,
    7014,  7016,  7018,  7019,  7022,  7025,  7027,  7028,  7030,  7034,
    7036,  7039,  7040,  7043,  7044,  7047,  7048,  7050,  7054,  7059,
    7063,  7065,  7067,  7069,  7071,  7074,  7075,  7078,  7083,  7084,
    7087,  7090,  7093,  7095,  7097,  7105,  7109,  7111,  7113,  7115,
    7117,  7120,  7121,  7123,  7127,  7131,  7135,  7139,  7140,  7145,
    7151,  7157,  7158,  7160,  7162,  7164,  7167,  7170,  7172,  7175,
    7176,  7184,  7185,  7191,  7192,  7197,  7200,  7203,  7204,  7207,
    7209,  7211,  7213,  7215,  7217,  7219,  7221,  7223,  7225,  7227,
    7229,  7235,  7238,  7240,  7244,  7247,  7250,  7254,  7255,  7261,
    7263,  7264,  7270,  7273,  7276,  7278,  7280,  7282,  7285,  7288,
    7292,  7294,  7297,  7300,  7304,  7308,  7313,  7316,  7318,  7321,
    7323,  7325,  7328,  7331,  7335,  7337,  7339,  7341,  7343,  7344,
    7346,  7350,  7356,  7357,  7360,  7361,  7363,  7366,  7370,  7373,
    7375,  7377,  7379,  7380,  7382,  7384,  7386,  7388,  7390,  7393,
    7396,  7400,  7401,  7403,  7406,  7408,  7413,  7417,  7422,  7426,
    7429,  7431,  7435,  7437,  7439,  7441,  7443,  7446,  7449,  7451,
    7454,  7457,  7459,  7461,  7463,  7468,  7473,  7478,  7483,  7488,
    7490,  7491,  7495,  7499,  7504,  7506,  7510,  7514,  7519,  7521,
    7525,  7529,  7531,  7533,  7535,  7542,  7544,  7548,  7552,  7559,
    7561,  7565,  7569,  7571,  7573,  7576,  7579,  7581,  7583,  7585,
    7587,  7589,  7591,  7593,  7595,  7597,  7599,  7601,  7603,  7605,
    7607,  7609,  7611,  7616,  7621,  7623,  7625,  7630,  7635,  7639,
    7640,  7648,  7650,  7651,  7652,  7660,  7664,  7669,  7673,  7675,
    7677,  7679,  7682,  7686,  7692,  7695,  7701,  7704,  7706,  7708,
    7710,  7712,  7714,  7716,  7718,  7720,  7722,  7724,  7726,  7728,
    7730,  7732,  7734,  7736,  7738,  7740,  7742,  7744,  7746,  7748,
    7750,  7752,  7754,  7756,  7758,  7760,  7762,  7764,  7766,  7768,
    7770,  7772,  7774,  7776,  7778,  7780,  7782,  7784,  7786,  7788,
    7790,  7792,  7794,  7796,  7798,  7800,  7802,  7804,  7806,  7808,
    7810,  7812,  7814,  7816,  7818,  7820,  7822,  7824,  7826,  7828,
    7830,  7832,  7834,  7836,  7838,  7840,  7842,  7844,  7846,  7848,
    7850,  7852,  7854,  7856,  7858,  7860,  7862,  7864,  7866,  7868,
    7870,  7872,  7874,  7876,  7878,  7880,  7882,  7884,  7886,  7888,
    7890,  7892,  7894,  7896,  7898,  7900,  7904,  7906,  7907,  7909,
    7912,  7914,  7917,  7919,  7921,  7923,  7926,  7929,  7931,  7933,
    7935,  7937,  7939,  7941,  7943,  7945,  7947,  7949,  7951,  7953,
    7955,  7957,  7959,  7961,  7964,  7968,  7970,  7973,  7975,  7979,
    7981,  7985,  7987,  7989,  7991,  7993,  7995,  7997,  7999,  8001,
    8003,  8005,  8007,  8009,  8011,  8013,  8015,  8017,  8019,  8021,
    8023,  8025,  8027,  8029,  8031,  8033,  8035,  8037,  8039,  8041,
    8043,  8045,  8047,  8049,  8051,  8053,  8055,  8057,  8059,  8061,
    8063,  8065,  8067,  8069,  8071,  8073,  8075,  8077,  8079,  8081,
    8083,  8085,  8087,  8089,  8091,  8093,  8095,  8097,  8099,  8101,
    8103,  8105,  8107,  8110,  8114,  8117,  8121,  8123,  8127,  8131,
    8135,  8139,  8143,  8147,  8149,  8151,  8152,  8155,  8158,  8160,
    8162,  8165,  8167,  8169,  8171,  8172
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     511,     0,    -1,  1019,    -1,   811,    -1,   812,    -1,   730,
      -1,   817,    -1,   640,    -1,   654,    -1,   764,    -1,   528,
      -1,   785,    -1,   786,    -1,   620,    -1,   553,    -1,   522,
      -1,   520,    -1,   820,    -1,   819,    -1,   658,    -1,   524,
      -1,   523,    -1,   827,    -1,   551,    -1,   563,    -1,   822,
      -1,   708,    -1,   548,    -1,   564,    -1,  1021,    -1,   674,
      -1,   775,    -1,   821,    -1,   816,    -1,   638,    -1,   649,
      -1,   745,    -1,   527,    -1,   687,    -1,   693,    -1,   694,
      -1,   627,    -1,   531,    -1,   619,    -1,   579,    -1,   635,
      -1,   659,    -1,   513,    -1,   519,    -1,   655,    -1,   807,
      -1,  1162,    -1,   862,    -1,   676,    -1,   849,    -1,   552,
      -1,   772,    -1,   675,    -1,   777,    -1,   639,    -1,   653,
      -1,   530,    -1,   697,    -1,   698,    -1,   699,    -1,   633,
      -1,   794,    -1,   701,    -1,   637,    -1,   673,    -1,   525,
      -1,   526,    -1,   657,    -1,   815,    -1,   842,    -1,   833,
      -1,   711,    -1,   715,    -1,   726,    -1,   735,    -1,   844,
      -1,   797,    -1,   806,    -1,   851,    -1,   795,    -1,   839,
      -1,   700,    -1,   779,    -1,   768,    -1,   767,    -1,   769,
      -1,   782,    -1,   716,    -1,   727,    -1,   787,    -1,   866,
      -1,   799,    -1,   706,    -1,   798,    -1,   855,    -1,   824,
      -1,   545,    -1,   535,    -1,   547,    -1,   804,    -1,  1098,
      -1,  1024,    -1,  1041,    -1,  1099,    -1,  1081,    -1,  1096,
      -1,  1082,    -1,  1042,    -1,  1086,    -1,  1108,    -1,  1100,
      -1,  1087,    -1,  1116,    -1,  1118,    -1,  1111,    -1,  1103,
      -1,  1119,    -1,  1122,    -1,  1124,    -1,    -1,   158,   381,
    1012,   514,   515,    -1,   469,    -1,    -1,   515,   518,    -1,
      -1,   516,   517,    -1,    -1,   345,  1152,    -1,   345,   319,
      -1,   203,   345,  1152,    -1,   444,   345,  1152,    -1,   418,
      -1,   313,    -1,   252,    -1,   310,    -1,   159,    -1,   307,
      -1,   160,    -1,   308,    -1,   161,    -1,   309,    -1,   291,
      -1,   311,    -1,   150,   283,  1013,    -1,   454,   449,  1152,
      -1,   451,  1002,    -1,   517,    -1,   420,  1011,    -1,    96,
    1002,    -1,   381,  1002,    -1,   247,   381,  1002,    -1,   247,
     235,  1002,    -1,   158,   451,  1012,   514,   515,    -1,   101,
     381,  1012,   514,   516,    -1,    -1,   247,   175,  1004,    -1,
     101,   381,  1012,   521,   546,    -1,   101,   451,  1012,   514,
     516,    -1,   101,   451,  1012,   546,    -1,   198,   381,  1002,
      -1,   198,   381,   242,   212,  1002,    -1,   198,   451,  1002,
      -1,   198,   451,   242,   212,  1002,    -1,   158,   235,  1012,
     514,   515,    -1,   101,   235,  1012,   529,   451,  1002,    -1,
      95,    -1,   198,    -1,   198,   235,  1002,    -1,   198,   235,
     242,   212,  1002,    -1,   158,   387,   532,   114,  1012,   533,
      -1,   158,   387,  1132,   533,    -1,  1132,    -1,    -1,   533,
     534,    -1,    -1,   579,    -1,   735,    -1,   619,    -1,   659,
      -1,   715,    -1,   804,    -1,   399,   536,    -1,   399,   286,
     536,    -1,   399,   397,   536,    -1,   537,   432,   538,    -1,
     537,   489,   538,    -1,   537,   432,   181,    -1,   537,   489,
     181,    -1,   537,   227,   164,    -1,   430,   485,   542,    -1,
     434,   802,    -1,   397,   135,   108,   434,   802,    -1,   131,
    1152,    -1,   387,  1152,    -1,   301,   543,    -1,   381,   544,
      -1,   397,   114,   544,    -1,   397,   114,   181,    -1,   474,
     331,   950,    -1,  1131,    -1,   537,   504,  1132,    -1,   539,
      -1,   538,   505,   539,    -1,   541,    -1,   625,    -1,   361,
     443,    -1,   361,   147,    -1,   371,   361,    -1,   395,    -1,
     438,    -1,   216,    -1,   328,    -1,   544,    -1,  1152,    -1,
    1154,    -1,   937,  1152,   939,    -1,   937,   502,  1011,   503,
    1152,   939,    -1,   625,    -1,   181,    -1,   286,    -1,  1152,
      -1,   181,    -1,    -1,  1014,    -1,  1152,    -1,   374,   537,
      -1,   374,   430,   485,    -1,   374,   434,   270,   281,    -1,
     374,   397,   114,    -1,   374,    99,    -1,   399,   536,    -1,
     545,    -1,   402,   537,  1165,    -1,   402,   430,   485,  1165,
      -1,   402,   434,   270,   281,  1165,    -1,   402,   397,   114,
    1165,    -1,   402,    99,    -1,   399,   152,   549,   550,    -1,
      99,    -1,  1000,    -1,   184,    -1,   244,    -1,   137,    -1,
     192,    99,    -1,   192,   425,    -1,   192,   427,    -1,   192,
     347,    -1,   101,   422,   909,   554,    -1,   101,   250,  1001,
     554,    -1,   101,   393,  1001,   554,    -1,   101,   463,  1001,
     554,    -1,   555,    -1,   554,   505,   555,    -1,    95,   587,
      -1,    95,   143,   587,    -1,   101,   783,  1132,   556,    -1,
     101,   783,  1132,   198,   314,   319,    -1,   101,   783,  1132,
     399,   314,   319,    -1,   101,   783,  1132,   399,   411,  1013,
      -1,   101,   783,  1132,   399,   559,    -1,   101,   783,  1132,
     374,   559,    -1,   101,   783,  1132,   399,   414,  1132,    -1,
     198,   783,   242,   212,  1132,   557,    -1,   198,   783,  1132,
     557,    -1,   101,   783,  1132,   784,   441,   917,   558,    -1,
      95,   596,    -1,   198,   151,   242,   212,  1003,   557,    -1,
     198,   151,  1003,   557,    -1,   399,   469,   327,    -1,   399,
     470,   327,    -1,   140,   328,  1003,    -1,   399,   470,   140,
      -1,   201,   436,  1003,    -1,   201,   102,   436,  1003,    -1,
     201,   373,   436,  1003,    -1,   201,   436,    99,    -1,   201,
     436,   451,    -1,   191,   436,  1003,    -1,   191,   436,    99,
      -1,   191,   436,   451,    -1,   201,   385,  1003,    -1,   201,
     102,   385,  1003,    -1,   201,   373,   385,  1003,    -1,   191,
     385,  1003,    -1,   252,  1001,    -1,   306,   252,  1001,    -1,
     341,   432,  1012,    -1,   399,   424,  1003,    -1,   399,   559,
      -1,   374,   559,    -1,   399,   181,   941,    -1,   198,   181,
      -1,   127,    -1,   376,    -1,    -1,   452,   941,    -1,    -1,
     502,   561,   503,    -1,   469,   559,    -1,    -1,   562,    -1,
     561,   505,   562,    -1,  1134,   489,   680,    -1,  1134,    -1,
    1134,   504,  1134,   489,   680,    -1,  1134,   504,  1134,    -1,
     139,   863,    -1,   139,    99,    -1,   156,   570,  1001,   598,
     571,   565,   566,   572,   514,   567,    -1,   156,   867,   432,
     566,   514,   567,    -1,   227,    -1,   432,    -1,  1152,    -1,
     412,    -1,   413,    -1,   568,    -1,   502,   574,   503,    -1,
     568,   569,    -1,    -1,   120,    -1,   327,    -1,   187,   818,
    1152,    -1,   319,   818,  1152,    -1,   163,    -1,   238,    -1,
     359,   818,  1152,    -1,   206,   818,  1152,    -1,   223,   359,
     599,    -1,   223,   359,   495,    -1,   223,   314,   319,   599,
      -1,   120,    -1,    -1,   469,   327,    -1,    -1,   573,   188,
    1152,    -1,    -1,   452,    -1,    -1,   575,    -1,   574,   505,
     575,    -1,  1134,   576,    -1,   541,    -1,   625,    -1,   495,
      -1,   502,   577,   503,    -1,    -1,   578,    -1,   577,   505,
     578,    -1,   541,    -1,   158,   580,   422,  1001,   502,   581,
     503,   609,   610,   611,   612,    -1,   158,   580,   422,  1001,
     324,   704,   582,   610,   611,   612,    -1,   427,    -1,   425,
      -1,   286,   427,    -1,   286,   425,    -1,   231,   427,    -1,
     231,   425,    -1,    -1,   583,    -1,    -1,   502,   584,   503,
      -1,    -1,   585,    -1,   583,   505,   585,    -1,   586,    -1,
     584,   505,   586,    -1,   587,    -1,   593,    -1,   596,    -1,
     588,    -1,   596,    -1,  1132,   917,   589,    -1,  1132,   469,
     332,   589,    -1,   589,   590,    -1,    -1,   151,  1003,   591,
      -1,   591,    -1,   592,    -1,   314,   319,    -1,   319,    -1,
     446,   761,   613,    -1,   354,   272,   761,   613,    -1,   136,
     502,   941,   503,    -1,   181,   942,    -1,   366,  1001,   598,
     601,   605,    -1,   183,    -1,   314,   183,    -1,   254,   184,
      -1,   254,   244,    -1,   282,  1001,   594,    -1,   594,   248,
     595,    -1,   594,   209,   595,    -1,    -1,   182,    -1,   152,
      -1,   251,    -1,   414,    -1,   145,    -1,    99,    -1,   151,
    1003,   597,    -1,   597,    -1,   136,   502,   941,   503,   670,
      -1,   446,   502,   599,   503,   761,   613,   670,    -1,   354,
     272,   502,   599,   503,   761,   613,   670,    -1,   208,   739,
     502,   602,   503,   761,   613,   604,   670,    -1,   224,   272,
     502,   599,   503,   366,  1001,   598,   601,   605,   670,    -1,
     502,   599,   503,    -1,    -1,   600,    -1,   599,   505,   600,
      -1,  1132,    -1,   293,   228,    -1,   293,   343,    -1,   293,
     404,    -1,    -1,   603,    -1,   602,   505,   603,    -1,   741,
     469,   771,    -1,   741,   469,   330,   502,   771,   503,    -1,
     466,   502,   941,   503,    -1,    -1,   606,    -1,   607,    -1,
     606,   607,    -1,   607,   606,    -1,    -1,   328,   450,   608,
      -1,   328,   186,   608,    -1,   306,    94,    -1,   376,    -1,
     127,    -1,   399,   319,    -1,   399,   181,    -1,   253,   502,
    1000,   503,    -1,    -1,   469,   559,    -1,   469,   327,    -1,
     470,   327,    -1,    -1,   328,   146,   198,    -1,   328,   146,
     186,   384,    -1,   328,   146,   351,   384,    -1,    -1,   424,
    1003,    -1,    -1,   452,   250,   424,  1003,    -1,    -1,  1001,
     615,   610,   611,   612,    -1,   502,   616,   503,    -1,    -1,
     617,    -1,   616,   505,   617,    -1,  1132,    -1,   469,   174,
      -1,   469,   306,   174,    -1,    -1,   158,   580,   393,  1001,
     621,    -1,   101,   393,  1001,   622,    -1,   622,    -1,    -1,
     623,    -1,   622,   623,    -1,   125,   625,    -1,   173,    -1,
     306,   173,    -1,   249,   624,   625,    -1,   294,   625,    -1,
     296,   625,    -1,   306,   294,    -1,   306,   296,    -1,   340,
     124,   704,    -1,   409,   514,   625,    -1,   375,    -1,   375,
     514,   625,    -1,   124,    -1,    -1,  1151,    -1,   494,  1151,
      -1,  1013,    -1,   625,    -1,   626,   505,   625,    -1,   158,
     746,   628,   634,   273,   544,    -1,   158,   746,   628,   634,
     273,   544,   236,   629,   630,   632,    -1,   440,    -1,    -1,
    1003,    -1,  1003,   705,    -1,   255,   629,    -1,    -1,   455,
     629,    -1,   306,   455,    -1,   631,    -1,    -1,   198,   634,
     273,   544,   557,    -1,   198,   634,   273,   242,   212,   544,
     557,    -1,   357,    -1,    -1,   158,   424,  1003,   636,   289,
    1152,    -1,   341,  1003,    -1,    -1,   198,   424,  1003,    -1,
     198,   424,   242,   212,  1003,    -1,   158,   224,   174,   472,
    1003,   632,   641,    -1,   198,   224,   174,   472,  1003,   557,
      -1,   198,   224,   174,   472,   242,   212,  1003,   557,    -1,
     101,   224,   174,   472,  1003,   631,   643,    -1,   101,   224,
     174,   472,  1003,   631,    -1,   101,   224,   174,   472,  1003,
     643,    -1,   332,   502,   642,   503,    -1,    -1,   646,    -1,
     642,   505,   646,    -1,   332,   502,   644,   503,    -1,   645,
      -1,   644,   505,   645,    -1,   646,    -1,   399,   646,    -1,
      95,   646,    -1,   198,   647,    -1,   647,   648,    -1,  1134,
      -1,  1152,    -1,   158,   396,  1003,   650,   652,   224,   174,
     472,  1003,   641,    -1,   441,  1152,    -1,    -1,   462,  1152,
      -1,   462,   319,    -1,   651,    -1,    -1,   198,   396,  1003,
     557,    -1,   198,   396,   242,   212,  1003,   557,    -1,   101,
     396,  1003,   651,   643,    -1,   101,   396,  1003,   651,    -1,
     101,   396,  1003,   643,    -1,   158,   451,   292,   222,   656,
     396,  1003,   641,    -1,   171,    -1,   451,    -1,  1012,    -1,
     198,   451,   292,   222,   656,   396,  1003,    -1,   198,   451,
     292,   242,   212,   222,   656,   396,  1003,    -1,   101,   451,
     292,   222,   656,   396,  1003,   643,    -1,   158,   436,  1003,
     660,   661,   328,  1001,   663,   666,   211,   358,  1009,   502,
     667,   503,    -1,   158,   151,   436,  1003,    97,   661,   328,
    1001,   669,   670,   222,   199,   383,   666,   211,   358,  1009,
     502,   667,   503,    -1,   116,    -1,    97,    -1,   662,    -1,
     661,   333,   662,    -1,   260,    -1,   186,    -1,   450,    -1,
     450,   324,   599,    -1,   439,    -1,   222,   664,   665,    -1,
      -1,   199,    -1,    -1,   383,    -1,   410,    -1,   465,   502,
     941,   503,    -1,    -1,   668,    -1,   667,   505,   668,    -1,
      -1,  1011,    -1,  1151,    -1,  1152,    -1,  1150,    -1,    84,
      -1,  1132,    -1,   227,  1001,    -1,    -1,   671,    -1,   671,
     672,    -1,   672,    -1,   672,   671,    -1,    -1,   314,   183,
      -1,   183,    -1,   254,   244,    -1,   254,   184,    -1,   198,
     436,  1003,   328,  1001,   557,    -1,   198,   436,   242,   212,
    1003,   328,  1001,   557,    -1,   158,   110,  1003,   136,   502,
     941,   503,   670,    -1,   198,   110,  1003,   557,    -1,   158,
      98,  1009,   681,   677,    -1,   158,    98,  1009,   682,    -1,
     158,   330,   771,   677,    -1,   158,   441,   704,   677,    -1,
     158,   441,   704,    -1,   158,   441,   704,   108,   502,   915,
     503,    -1,   158,   441,   704,   108,   205,   502,   685,   503,
      -1,   158,   428,   389,   342,   704,   677,    -1,   158,   428,
     389,   190,   704,   677,    -1,   158,   428,   389,   426,   704,
     677,    -1,   158,   428,   389,   149,   704,   677,    -1,   502,
     678,   503,    -1,   679,    -1,   678,   505,   679,    -1,  1134,
     489,   680,    -1,  1134,    -1,   755,    -1,  1018,    -1,   967,
      -1,   625,    -1,  1152,    -1,   502,   972,   503,    -1,   502,
     495,   503,    -1,   502,   683,   503,    -1,   684,    -1,   683,
     505,   684,    -1,  1154,   489,   680,    -1,   686,    -1,    -1,
    1152,    -1,   686,   505,  1152,    -1,   158,   330,   138,   704,
     690,   222,   441,   917,   452,  1005,   691,   108,   688,    -1,
     689,    -1,   688,   505,   689,    -1,   330,  1011,   771,   692,
      -1,   330,  1011,   771,   770,   692,    -1,   229,  1011,  1009,
     747,    -1,   229,  1011,   502,   972,   503,  1009,   747,    -1,
     414,   917,    -1,   181,    -1,    -1,   217,   704,    -1,    -1,
     364,    -1,    -1,   158,   330,   217,   704,   452,  1005,    -1,
     101,   330,   217,   704,   452,  1005,    95,   688,    -1,   101,
     330,   217,   704,   452,  1005,   198,   695,    -1,   696,    -1,
     695,   505,   696,    -1,   330,  1011,   502,   972,   503,    -1,
     229,  1011,   502,   972,   503,    -1,   198,   330,   138,   704,
     452,  1005,   557,    -1,   198,   330,   138,   242,   212,   704,
     452,  1005,   557,    -1,   198,   330,   217,   704,   452,  1005,
     557,    -1,   198,   330,   217,   242,   212,   704,   452,  1005,
     557,    -1,   198,   340,   124,  1002,   557,    -1,   363,   340,
     124,  1002,   432,  1003,    -1,   198,   702,   242,   212,   703,
     557,    -1,   198,   702,   703,   557,    -1,   422,    -1,   393,
      -1,   463,    -1,   250,    -1,   441,    -1,   196,    -1,   155,
      -1,   387,    -1,   428,   389,   342,    -1,   428,   389,   190,
      -1,   428,   389,   426,    -1,   428,   389,   149,    -1,   704,
      -1,   703,   505,   704,    -1,  1132,    -1,  1132,   705,    -1,
     504,  1006,    -1,   705,   504,  1006,    -1,   439,   876,   910,
     707,   557,    -1,   154,   241,    -1,   375,   241,    -1,    -1,
     144,   328,   709,   704,   268,   710,    -1,   144,   328,    98,
    1009,   681,   268,   710,    -1,   144,   328,   229,  1009,   747,
     268,   710,    -1,   144,   328,   330,   771,   770,   268,   710,
      -1,   144,   328,   151,  1003,   328,   704,   268,   710,    -1,
     144,   328,   385,  1003,   328,   704,   268,   710,    -1,   144,
     328,   385,  1003,   268,   710,    -1,   144,   328,   436,  1003,
     328,   704,   268,   710,    -1,   144,   328,   330,   138,   704,
     452,  1005,   268,   710,    -1,   144,   328,   330,   217,   704,
     452,  1005,   268,   710,    -1,   144,   328,   274,   323,   625,
     268,   710,    -1,   144,   328,   130,   502,   917,   108,   917,
     503,   268,   710,    -1,   144,   328,   634,   273,   704,   268,
     710,    -1,   144,   328,   428,   389,   342,   704,   268,   710,
      -1,   144,   328,   428,   389,   190,   704,   268,   710,    -1,
     144,   328,   428,   389,   426,   704,   268,   710,    -1,   144,
     328,   428,   389,   149,   704,   268,   710,    -1,   143,    -1,
     175,    -1,   387,    -1,   250,    -1,   393,    -1,   422,    -1,
     196,    -1,   441,    -1,   463,    -1,   155,    -1,   424,    -1,
     381,    -1,  1152,    -1,   319,    -1,   218,   712,    -1,   299,
     712,    -1,   218,   712,  1166,    -1,   218,   225,   863,  1167,
      -1,   218,   225,   713,   863,  1167,    -1,   218,   115,   863,
    1167,    -1,   218,   115,   713,   863,  1167,    -1,   299,   225,
     863,    -1,   299,   225,   713,   863,    -1,   299,   115,   863,
      -1,   299,   115,   713,   863,    -1,   863,    -1,   713,   863,
      -1,   305,   714,   863,    -1,   355,   714,   863,    -1,   219,
     714,   863,    -1,   275,   714,   863,    -1,    92,  1013,   714,
     863,    -1,   368,  1013,   714,   863,    -1,  1013,   714,   863,
      -1,    99,   714,   863,    -1,   225,  1013,   714,   863,    -1,
     225,    99,   714,   863,    -1,   115,  1013,   714,   863,    -1,
     115,    99,   714,   863,    -1,   227,    -1,   247,    -1,   713,
      -1,    -1,   232,   717,   328,   720,   432,   721,   723,    -1,
     379,   717,   328,   720,   227,   721,   557,    -1,   379,   232,
     331,   222,   717,   328,   720,   227,   721,   557,    -1,   718,
      -1,    99,    -1,    99,   356,    -1,    99,   502,   599,   503,
      -1,    99,   356,   502,   599,   503,    -1,   719,    -1,   718,
     505,   719,    -1,   392,   598,    -1,   366,   598,    -1,   158,
     598,    -1,  1132,   598,    -1,  1000,    -1,   422,  1000,    -1,
     393,  1000,    -1,   224,   174,   472,  1002,    -1,   224,   396,
    1002,    -1,   229,   724,    -1,   175,  1002,    -1,   273,  1002,
      -1,   274,   323,   626,    -1,   387,  1002,    -1,   424,  1002,
      -1,    99,   423,   247,   387,  1002,    -1,    99,   394,   247,
     387,  1002,    -1,    99,   230,   247,   387,  1002,    -1,   722,
      -1,   721,   505,   722,    -1,  1012,    -1,   235,  1012,    -1,
     469,   232,   331,    -1,    -1,   725,    -1,   724,   505,   725,
      -1,  1009,   747,    -1,   232,   718,   432,  1002,   728,   729,
      -1,   379,   718,   227,  1002,   729,   557,    -1,   379,    96,
     331,   222,   718,   227,  1002,   729,   557,    -1,   469,    96,
     331,    -1,    -1,   233,   124,  1012,    -1,    -1,   101,   181,
     356,   731,   733,    -1,   731,   732,    -1,    -1,   247,   387,
    1002,    -1,   222,   381,  1002,    -1,   222,   451,  1002,    -1,
     232,   717,   328,   734,   432,   721,   723,    -1,   379,   717,
     328,   734,   227,   721,   557,    -1,   379,   232,   331,   222,
     717,   328,   734,   227,   721,   557,    -1,   423,    -1,   230,
      -1,   394,    -1,   158,   736,   250,   737,   738,   328,  1001,
     739,   502,   740,   503,   560,   612,   913,    -1,   446,    -1,
      -1,   148,    -1,    -1,  1007,    -1,    -1,   452,  1005,    -1,
      -1,   741,    -1,   740,   505,   741,    -1,  1132,   742,   743,
     744,    -1,   944,   742,   743,   744,    -1,   502,   941,   503,
     742,   743,   744,    -1,   704,    -1,   452,   704,    -1,    -1,
     109,    -1,   189,    -1,    -1,   486,    -1,   487,    -1,    -1,
     158,   746,   229,  1009,   749,   378,   754,   757,   761,    -1,
     158,   746,   229,  1009,   749,   378,   422,   502,   763,   503,
     757,   761,    -1,   158,   746,   229,  1009,   749,   757,   761,
      -1,   333,   372,    -1,    -1,   502,   748,   503,    -1,   502,
     503,    -1,   751,    -1,   748,   505,   751,    -1,   502,   750,
     503,    -1,   502,   503,    -1,   756,    -1,   750,   505,   756,
      -1,   752,   753,   755,    -1,   753,   752,   755,    -1,   753,
     755,    -1,   752,   755,    -1,   755,    -1,   247,    -1,   335,
      -1,   257,    -1,   247,   335,    -1,   459,    -1,  1133,    -1,
     755,    -1,   917,    -1,  1133,   705,   497,   441,    -1,   400,
    1133,   705,   497,   441,    -1,   751,    -1,   751,   181,   941,
      -1,   751,   489,   941,    -1,   759,    -1,   757,   759,    -1,
     126,   328,   319,   258,    -1,   378,   319,   328,   319,   258,
      -1,   415,    -1,   245,    -1,   407,    -1,   464,    -1,   214,
     391,   185,    -1,   214,   391,   267,    -1,   391,   185,    -1,
     391,   267,    -1,   157,   625,    -1,   384,   625,    -1,   546,
      -1,   108,   760,    -1,   273,   544,    -1,   468,    -1,   758,
      -1,  1152,    -1,  1152,   505,  1152,    -1,   469,   677,    -1,
      -1,   753,   755,    -1,   762,    -1,   763,   505,   762,    -1,
     101,   229,   725,   765,   766,    -1,   758,    -1,   765,   758,
      -1,   376,    -1,    -1,   198,   229,  1009,   747,   557,    -1,
     198,   229,   242,   212,  1009,   747,   557,    -1,   198,    98,
    1009,   681,   557,    -1,   198,    98,   242,   212,  1009,   681,
     557,    -1,   198,   330,   771,   770,   557,    -1,   198,   330,
     242,   212,   771,   770,   557,    -1,   502,   917,   503,    -1,
     502,   917,   505,   917,   503,    -1,   502,   312,   505,   917,
     503,    -1,   502,   917,   505,   312,   503,    -1,   964,    -1,
    1132,   504,   771,    -1,   194,   773,    -1,   774,    -1,   773,
     774,    -1,  1152,    -1,   273,   544,    -1,   158,   130,   502,
     917,   108,   917,   503,   469,   229,   725,   776,    -1,   158,
     130,   502,   917,   108,   917,   503,   470,   229,   776,    -1,
     158,   130,   502,   917,   108,   917,   503,   469,   257,   776,
      -1,   108,   246,    -1,   108,   111,    -1,    -1,   198,   130,
     778,   502,   917,   108,   917,   503,   557,    -1,   242,   212,
      -1,    -1,   367,   780,  1001,   781,    -1,   367,   421,  1003,
     781,    -1,   367,   175,  1003,   781,    -1,   250,    -1,   422,
      -1,   223,    -1,    -1,   101,    98,  1009,   681,   370,   432,
    1003,    -1,   101,   155,   704,   370,   432,  1003,    -1,   101,
     175,  1004,   370,   432,  1004,    -1,   101,   229,   725,   370,
     432,  1003,    -1,   101,   235,  1012,   370,   432,  1012,    -1,
     101,   634,   273,  1003,   370,   432,  1003,    -1,   101,   330,
     138,   704,   452,  1005,   370,   432,  1003,    -1,   101,   330,
     217,   704,   452,  1005,   370,   432,  1003,    -1,   101,   387,
    1003,   370,   432,  1003,    -1,   101,   422,   909,   370,   432,
    1003,    -1,   101,   393,  1001,   370,   432,  1003,    -1,   101,
     463,  1001,   370,   432,  1003,    -1,   101,   250,  1001,   370,
     432,  1003,    -1,   101,   422,   909,   370,   783,  1003,   432,
    1003,    -1,   101,   436,  1003,   328,  1001,   370,   432,  1003,
      -1,   101,   381,  1012,   370,   432,  1012,    -1,   101,   451,
    1012,   370,   432,  1012,    -1,   101,   424,  1003,   370,   432,
    1003,    -1,   101,   424,  1003,   399,   559,    -1,   101,   424,
    1003,   374,   559,    -1,   101,   428,   389,   342,   704,   370,
     432,  1003,    -1,   101,   428,   389,   190,   704,   370,   432,
    1003,    -1,   101,   428,   389,   426,   704,   370,   432,  1003,
      -1,   101,   428,   389,   149,   704,   370,   432,  1003,    -1,
     101,   441,   704,   370,   432,  1003,    -1,   143,    -1,    -1,
     399,   174,    -1,    -1,   101,    98,  1009,   681,   399,   387,
    1003,    -1,   101,   196,   704,   399,   387,  1003,    -1,   101,
     229,   725,   399,   387,  1003,    -1,   101,   422,   909,   399,
     387,  1003,    -1,   101,   393,  1001,   399,   387,  1003,    -1,
     101,   463,  1001,   399,   387,  1003,    -1,   101,   441,   704,
     399,   387,  1003,    -1,   101,    98,  1009,   681,   341,   432,
    1012,    -1,   101,   155,   704,   341,   432,  1012,    -1,   101,
     175,  1004,   341,   432,  1012,    -1,   101,   196,   704,   341,
     432,  1012,    -1,   101,   229,   725,   341,   432,  1012,    -1,
     101,   634,   273,  1003,   341,   432,  1012,    -1,   101,   274,
     323,   625,   341,   432,  1012,    -1,   101,   330,   771,   770,
     341,   432,  1012,    -1,   101,   330,   138,   704,   452,  1005,
     341,   432,  1012,    -1,   101,   330,   217,   704,   452,  1005,
     341,   432,  1012,    -1,   101,   387,  1003,   341,   432,  1012,
      -1,   101,   441,   704,   341,   432,  1012,    -1,   101,   424,
    1003,   341,   432,  1012,    -1,   101,   428,   389,   190,   704,
     341,   432,  1012,    -1,   101,   428,   389,   149,   704,   341,
     432,  1012,    -1,   101,   224,   174,   472,  1003,   341,   432,
    1012,    -1,   101,   396,  1003,   341,   432,  1012,    -1,   158,
     746,   385,  1003,   108,   328,   792,   432,  1001,   913,   194,
     793,   788,    -1,   315,    -1,   790,    -1,   502,   789,   503,
      -1,   789,   506,   791,    -1,   791,    -1,   866,    -1,   844,
      -1,   855,    -1,   849,    -1,   795,    -1,   790,    -1,    -1,
     392,    -1,   450,    -1,   186,    -1,   260,    -1,   261,    -1,
     100,    -1,    -1,   198,   385,  1003,   328,  1001,   557,    -1,
     198,   385,   242,   212,  1003,   328,  1001,   557,    -1,   316,
    1132,   796,    -1,   505,  1152,    -1,    -1,   284,  1132,    -1,
     448,  1132,    -1,   448,   495,    -1,    91,   800,    -1,   117,
     800,   803,    -1,   409,   434,   803,    -1,   146,   800,    -1,
     204,   800,    -1,   382,   800,    -1,   386,  1132,    -1,   369,
     386,  1132,    -1,   369,  1132,    -1,   382,   800,   432,   386,
    1132,    -1,   382,   800,   432,  1132,    -1,   352,   434,  1152,
      -1,   146,   353,  1152,    -1,   382,   353,  1152,    -1,   471,
      -1,   434,    -1,    -1,   270,   281,   540,    -1,   361,   329,
      -1,   361,   473,    -1,   801,    -1,   802,   505,   801,    -1,
     802,   801,    -1,   802,    -1,    -1,   158,   580,   463,  1001,
     598,   108,   866,   805,    -1,   158,   333,   372,   580,   463,
    1001,   598,   108,   866,   805,    -1,   469,   136,   331,    -1,
     469,   128,   136,   331,    -1,   469,   286,   136,   331,    -1,
      -1,   285,  1008,    -1,   158,   175,  1004,   514,   808,    -1,
     808,   809,    -1,    -1,   424,   810,  1003,    -1,   424,   810,
     181,    -1,   289,   810,  1152,    -1,   289,   810,   181,    -1,
     426,   810,  1003,    -1,   426,   810,   181,    -1,   202,   810,
    1152,    -1,   202,   810,  1011,    -1,   202,   810,   181,    -1,
     276,   810,  1152,    -1,   276,   810,   181,    -1,   277,   810,
    1152,    -1,   277,   810,   181,    -1,   150,   283,   810,  1013,
      -1,   341,   810,  1003,    -1,   341,   810,   181,    -1,   489,
      -1,    -1,   101,   175,  1004,   514,   813,    -1,   101,   175,
    1004,   399,   424,  1003,    -1,   101,   175,  1004,   546,    -1,
     813,   814,    -1,    -1,   150,   283,   810,  1013,    -1,   198,
     175,  1004,    -1,   198,   175,   242,   212,  1004,    -1,   158,
     196,   704,   818,   917,   589,    -1,   101,   196,   704,   556,
      -1,   101,   196,   704,   198,   314,   319,    -1,   101,   196,
     704,   399,   314,   319,    -1,   101,   196,   704,    95,   596,
      -1,   101,   196,   704,   198,   151,  1003,   557,    -1,   108,
      -1,    -1,   101,   428,   389,   190,   704,   677,    -1,   101,
     428,   389,   149,   704,    95,   292,   222,  1002,   469,   703,
      -1,   101,   428,   389,   149,   704,   101,   292,   222,  1002,
     469,   703,    -1,   101,   428,   389,   149,   704,   101,   292,
     372,   704,   469,   704,    -1,   101,   428,   389,   149,   704,
     101,   292,   222,  1002,   372,   704,   469,   704,    -1,   101,
     428,   389,   149,   704,   198,   292,   222,  1002,    -1,   101,
     428,   389,   149,   704,   198,   292,   242,   212,   222,  1002,
      -1,   158,   690,   155,   704,   222,  1152,   432,  1152,   227,
     704,    -1,   140,   829,  1001,   823,    -1,   140,   829,    -1,
     140,   829,  1007,   328,  1001,    -1,   452,  1007,    -1,    -1,
     453,   830,   831,   829,    -1,   453,   830,   831,   829,  1001,
      -1,   453,   830,   831,   829,   827,    -1,   453,   502,   825,
     503,    -1,   453,   502,   825,   503,  1001,   832,    -1,   826,
      -1,   825,   505,   826,    -1,   828,    -1,   461,    -1,   226,
      -1,   228,    -1,   828,   829,    -1,   828,   829,  1001,   832,
      -1,   104,    -1,   103,    -1,   461,    -1,    -1,   228,    -1,
      -1,   226,    -1,    -1,   502,  1002,   503,    -1,    -1,   213,
     834,    -1,   213,   828,   829,   834,    -1,   213,   461,   834,
      -1,   213,   502,   835,   503,   834,    -1,   866,    -1,   844,
      -1,   855,    -1,   849,    -1,   862,    -1,  1021,    -1,   842,
      -1,   836,    -1,   835,   505,   836,    -1,   837,   838,    -1,
    1014,    -1,   828,    -1,   541,    -1,   625,    -1,    -1,   352,
    1040,   840,   108,   841,    -1,   352,  1040,   227,  1085,    -1,
     502,   972,   503,    -1,    -1,   866,    -1,   844,    -1,   855,
      -1,   849,    -1,   211,  1040,   843,  1164,    -1,   158,   580,
     422,   614,   108,   211,  1040,   843,    -1,   502,   969,   503,
      -1,    -1,   260,   266,  1001,   845,   848,    -1,   866,    -1,
     502,   846,   503,   866,    -1,   181,   457,    -1,   847,    -1,
     846,   505,   847,    -1,  1132,   993,    -1,   377,   998,  1165,
      -1,    -1,   186,   227,   911,   850,   914,   848,    -1,   452,
     902,    -1,    -1,   290,   876,   910,   852,   854,    -1,   247,
     853,   297,    -1,    -1,    93,   401,    -1,   383,   401,    -1,
     383,   210,    -1,   401,   450,   210,    -1,   401,    -1,   401,
     383,   210,    -1,   210,    -1,    93,   210,    -1,   318,    -1,
      -1,   450,   911,   399,   856,   901,   914,   848,    -1,   857,
      -1,   856,   505,   857,    -1,   858,    -1,   859,    -1,   860,
     489,   995,    -1,   502,   861,   503,   489,   997,    -1,  1132,
     993,    -1,   860,    -1,   861,   505,   860,    -1,   180,   863,
     864,   172,   865,   222,   866,    -1,  1003,    -1,  1145,    -1,
      -1,   864,   306,   388,    -1,   864,   388,    -1,   864,   120,
      -1,   864,   259,    -1,    -1,   469,   239,    -1,   470,   239,
      -1,   868,    -1,   867,    -1,   502,   868,   503,    -1,   502,
     867,   503,    -1,   870,    -1,   869,   880,    -1,   869,   879,
     895,   884,    -1,   869,   879,   883,   896,    -1,   871,   869,
      -1,   871,   869,   880,    -1,   871,   869,   879,   895,   884,
      -1,   871,   869,   879,   883,   896,    -1,   870,    -1,   867,
      -1,   392,   878,   998,   874,   901,   913,   893,   894,   952,
      -1,   900,    -1,   422,   909,    -1,   869,   445,   877,   869,
      -1,   869,   264,   877,   869,    -1,   869,   207,   877,   869,
      -1,   469,   872,    -1,   469,   365,   872,    -1,   873,    -1,
     872,   505,   873,    -1,  1003,   832,   108,   867,    -1,   266,
     875,    -1,  1165,    -1,    -1,   427,   876,  1001,    -1,   425,
     876,  1001,    -1,   286,   427,   876,  1001,    -1,   286,   425,
     876,  1001,    -1,   231,   427,   876,  1001,    -1,   231,   425,
     876,  1001,    -1,   422,  1001,    -1,  1001,    -1,   422,    -1,
      -1,    99,    -1,   193,    -1,    -1,   193,    -1,   193,   328,
     502,   969,   503,    -1,    99,    -1,    -1,   880,    -1,    -1,
     334,   124,   881,    -1,   882,    -1,   881,   505,   882,    -1,
     941,   452,   967,   744,    -1,   941,   743,   744,    -1,   885,
     886,    -1,   886,   885,    -1,   885,    -1,   886,    -1,   883,
      -1,    -1,   283,   887,    -1,   283,   887,   505,   888,    -1,
     218,   892,   889,   891,   329,    -1,   326,   888,    -1,   326,
     890,   891,    -1,   941,    -1,    99,    -1,   941,    -1,  1013,
      -1,   502,   941,   503,    -1,    -1,   943,    -1,   383,    -1,
     384,    -1,   219,    -1,   305,    -1,   235,   124,   969,    -1,
      -1,   237,   941,    -1,    -1,   897,    -1,   222,   361,   329,
      -1,   895,    -1,    -1,   898,    -1,   897,   898,    -1,   222,
     450,   899,   854,    -1,   222,   401,   899,   854,    -1,   324,
    1000,    -1,    -1,   457,   997,    -1,   900,   505,   997,    -1,
     227,   902,    -1,    -1,   903,    -1,   902,   505,   903,    -1,
     909,    -1,   909,   905,    -1,   912,    -1,   912,   905,    -1,
     912,   108,   502,   915,   503,    -1,   912,   108,  1132,   502,
     915,   503,    -1,   912,  1132,   502,   915,   503,    -1,   867,
      -1,   867,   905,    -1,   904,    -1,   502,   904,   503,   905,
      -1,   502,   904,   503,    -1,   903,   162,   271,   903,    -1,
     903,   906,   271,   903,   908,    -1,   903,   271,   903,   908,
      -1,   903,   303,   906,   271,   903,    -1,   903,   303,   271,
     903,    -1,   108,  1132,   502,  1002,   503,    -1,   108,  1132,
      -1,  1132,   502,  1002,   503,    -1,  1132,    -1,   228,   907,
      -1,   280,   907,    -1,   380,   907,    -1,   256,    -1,   336,
      -1,    -1,   452,   502,  1002,   503,    -1,   328,   941,    -1,
    1001,    -1,  1001,   495,    -1,   329,  1001,    -1,   329,   502,
    1001,   503,    -1,   909,    -1,   910,   505,   909,    -1,   909,
      -1,   909,  1132,    -1,   909,   108,  1132,    -1,   944,    -1,
     466,   941,    -1,    -1,   466,   941,    -1,   466,   164,   324,
    1003,    -1,    -1,   916,    -1,   915,   505,   916,    -1,  1132,
     917,    -1,   919,   918,    -1,   400,   919,   918,    -1,   919,
     107,   500,  1011,   501,    -1,   400,   919,   107,   500,  1011,
     501,    -1,   919,   107,    -1,   400,   919,   107,    -1,   918,
     500,   501,    -1,   918,   500,  1163,   501,    -1,    -1,   921,
      -1,   923,    -1,   925,    -1,   929,    -1,   936,    -1,   937,
     939,    -1,   937,   502,  1011,   503,   939,    -1,   923,    -1,
     926,    -1,   930,    -1,   936,    -1,  1133,   922,    -1,  1133,
     705,   922,    -1,   502,   969,   503,    -1,    -1,   262,    -1,
     263,    -1,   405,    -1,   119,    -1,   362,    -1,   220,   924,
      -1,   197,   350,    -1,   179,   922,    -1,   178,   922,    -1,
     322,   922,    -1,   122,    -1,   502,  1011,   503,    -1,    -1,
     927,    -1,   928,    -1,   927,    -1,   928,    -1,   121,   934,
     502,   969,   503,    -1,   121,   934,    -1,   931,    -1,   932,
      -1,   931,    -1,   932,    -1,   933,   502,  1011,   503,   935,
      -1,   933,   935,    -1,   134,   934,    -1,   133,   934,    -1,
     458,    -1,   302,   134,   934,    -1,   302,   133,   934,    -1,
     304,   934,    -1,   460,    -1,    -1,   134,   399,  1132,    -1,
      -1,   431,   502,  1011,   503,   938,    -1,   431,   938,    -1,
     430,   502,  1011,   503,   938,    -1,   430,   938,    -1,   265,
      -1,   488,   485,    -1,   470,   430,   485,    -1,    -1,   483,
      -1,   298,    -1,   176,    -1,   240,    -1,   295,    -1,   940,
      -1,   483,   432,   298,    -1,   176,   432,   240,    -1,   176,
     432,   295,    -1,   176,   432,   940,    -1,   240,   432,   295,
      -1,   240,   432,   940,    -1,   295,   432,   940,    -1,    -1,
     390,    -1,   390,   502,  1011,   503,    -1,   943,    -1,   941,
      88,   917,    -1,   941,   113,   430,   485,   941,    -1,   493,
     941,    -1,   494,   941,    -1,   941,   493,   941,    -1,   941,
     494,   941,    -1,   941,   495,   941,    -1,   941,   496,   941,
      -1,   941,   497,   941,    -1,   941,   498,   941,    -1,   941,
     490,   941,    -1,   941,   491,   941,    -1,   941,   489,   941,
      -1,   941,   966,   941,    -1,   966,   941,    -1,   941,   966,
      -1,   941,   105,   941,    -1,   941,   333,   941,    -1,   314,
     941,    -1,   941,   282,   941,    -1,   941,   282,   941,   206,
     941,    -1,   941,   314,   282,   941,    -1,   941,   314,   282,
     941,   206,   941,    -1,   941,   243,   941,    -1,   941,   243,
     941,   206,   941,    -1,   941,   314,   243,   941,    -1,   941,
     314,   243,   941,   206,   941,    -1,   941,   403,   432,   941,
      -1,   941,   403,   432,   941,   206,   941,    -1,   941,   314,
     403,   432,   941,    -1,   941,   314,   403,   432,   941,   206,
     941,    -1,   941,   268,   319,    -1,   941,   269,    -1,   941,
     268,   314,   319,    -1,   941,   317,    -1,   962,   338,   962,
      -1,   941,   268,   438,    -1,   941,   268,   314,   438,    -1,
     941,   268,   216,    -1,   941,   268,   314,   216,    -1,   941,
     268,   447,    -1,   941,   268,   314,   447,    -1,   941,   268,
     193,   227,   941,    -1,   941,   268,   314,   193,   227,   941,
      -1,   941,   268,   324,   502,   972,   503,    -1,   941,   268,
     314,   324,   502,   972,   503,    -1,   941,   118,   994,   942,
     105,   942,    -1,   941,   314,   118,   994,   942,   105,   942,
      -1,   941,   118,   419,   942,   105,   942,    -1,   941,   314,
     118,   419,   942,   105,   942,    -1,   941,   247,   984,    -1,
     941,   314,   247,   984,    -1,   941,   968,   963,   867,    -1,
     941,   968,   963,   502,   941,   503,    -1,   446,   867,    -1,
     941,   268,   195,    -1,   941,   268,   314,   195,    -1,   943,
      -1,   942,    88,   917,    -1,   493,   942,    -1,   494,   942,
      -1,   942,   493,   942,    -1,   942,   494,   942,    -1,   942,
     495,   942,    -1,   942,   496,   942,    -1,   942,   497,   942,
      -1,   942,   498,   942,    -1,   942,   490,   942,    -1,   942,
     491,   942,    -1,   942,   489,   942,    -1,   942,   966,   942,
      -1,   966,   942,    -1,   942,   966,    -1,   942,   268,   193,
     227,   942,    -1,   942,   268,   314,   193,   227,   942,    -1,
     942,   268,   324,   502,   972,   503,    -1,   942,   268,   314,
     324,   502,   972,   503,    -1,   942,   268,   195,    -1,   942,
     268,   314,   195,    -1,   990,    -1,  1010,    -1,  1149,   993,
      -1,   502,   941,   503,   993,    -1,   985,    -1,   944,    -1,
     867,    -1,   867,   992,    -1,   212,   867,    -1,   107,   867,
      -1,   107,   973,    -1,   962,    -1,  1009,   502,   503,   955,
      -1,  1009,   502,   970,   503,   955,    -1,  1009,   502,   459,
     971,   503,   955,    -1,  1009,   502,   970,   505,   459,   971,
     503,   955,    -1,  1009,   502,   970,   880,   503,   955,    -1,
    1009,   502,    99,   970,   879,   503,   955,    -1,  1009,   502,
     193,   970,   879,   503,   955,    -1,  1009,   502,   495,   503,
     955,    -1,   166,    -1,   169,    -1,   169,   502,  1011,   503,
      -1,   170,    -1,   170,   502,  1011,   503,    -1,   287,    -1,
     287,   502,  1011,   503,    -1,   288,    -1,   288,   502,  1011,
     503,    -1,   167,    -1,   171,    -1,   398,    -1,   451,    -1,
     165,    -1,   168,    -1,   130,   502,   941,   108,   917,   503,
      -1,   215,   502,   975,   503,    -1,   339,   502,   977,   503,
      -1,   348,   502,   979,   503,    -1,   417,   502,   980,   503,
      -1,   435,   502,   941,   108,   917,   503,    -1,   437,   502,
     123,   983,   503,    -1,   437,   502,   278,   983,   503,    -1,
     437,   502,   433,   983,   503,    -1,   437,   502,   983,   503,
      -1,   320,   502,   941,   505,   941,   503,    -1,   141,   502,
     969,   503,    -1,   234,   502,   969,   503,    -1,   279,   502,
     969,   503,    -1,   476,   502,   969,   503,    -1,   477,   502,
     300,  1134,   503,    -1,   477,   502,   300,  1134,   505,   947,
     503,    -1,   477,   502,   300,  1134,   505,   969,   503,    -1,
     477,   502,   300,  1134,   505,   947,   505,   969,   503,    -1,
     478,   502,   948,   503,    -1,   479,   502,   950,   941,   951,
     503,    -1,   480,   502,   300,  1134,   503,    -1,   480,   502,
     300,  1134,   505,   941,   503,    -1,   481,   502,   941,   505,
     945,   946,   503,    -1,   482,   502,   950,   941,   108,   919,
     503,    -1,   462,   941,    -1,   462,   306,   456,    -1,   505,
     408,   484,    -1,   505,   408,   306,    -1,   505,   408,   306,
     456,    -1,    -1,   475,   502,   948,   503,    -1,   949,    -1,
     948,   505,   949,    -1,   941,   108,  1134,    -1,   941,    -1,
     195,    -1,   153,    -1,   351,   467,    -1,   416,   467,    -1,
      -1,   468,   953,    -1,    -1,   954,    -1,   953,   505,   954,
      -1,  1132,   108,   956,    -1,   337,   956,    -1,   337,  1132,
      -1,    -1,   502,   957,   958,   879,   959,   503,    -1,  1132,
      -1,    -1,   344,   124,   969,    -1,    -1,   360,   960,    -1,
     384,   960,    -1,    -1,   961,    -1,   118,   961,   105,   961,
      -1,   442,   349,    -1,   442,   221,    -1,   164,   383,    -1,
     941,   349,    -1,   941,   221,    -1,   383,   502,   969,   503,
      -1,   383,   502,   503,    -1,   502,   969,   505,   941,   503,
      -1,   106,    -1,   406,    -1,    99,    -1,    85,    -1,   965,
      -1,   493,    -1,   494,    -1,   495,    -1,   496,    -1,   497,
      -1,   498,    -1,   490,    -1,   491,    -1,   489,    -1,    85,
      -1,   330,   502,   771,   503,    -1,   964,    -1,   330,   502,
     771,   503,    -1,   964,    -1,   330,   502,   771,   503,    -1,
     282,    -1,   314,   282,    -1,   243,    -1,   314,   243,    -1,
     941,    -1,   969,   505,   941,    -1,   971,    -1,   970,   505,
     971,    -1,   941,    -1,   753,    90,   941,    -1,   917,    -1,
     972,   505,   917,    -1,   500,   969,   501,    -1,   500,   974,
     501,    -1,   500,   501,    -1,   973,    -1,   974,   505,   973,
      -1,   976,   227,   941,    -1,    -1,  1154,    -1,   483,    -1,
     298,    -1,   176,    -1,   240,    -1,   295,    -1,   390,    -1,
    1152,    -1,   941,   978,   981,   982,    -1,   941,   978,   981,
      -1,   346,   941,    -1,   942,   247,   942,    -1,    -1,   941,
     981,   982,    -1,   941,   982,   981,    -1,   941,   981,    -1,
     941,   982,    -1,   969,    -1,    -1,   227,   941,    -1,   222,
     941,    -1,   941,   227,   969,    -1,   227,   969,    -1,   969,
      -1,   867,    -1,   502,   969,   503,    -1,   129,   989,   986,
     988,   204,    -1,   987,    -1,   986,   987,    -1,   465,   941,
     429,   941,    -1,   200,   941,    -1,    -1,   941,    -1,    -1,
    1132,    -1,  1132,   992,    -1,   504,  1006,    -1,   504,   495,
      -1,   500,   941,   501,    -1,   500,   941,   507,   941,   501,
      -1,   991,    -1,   992,   991,    -1,    -1,   993,   991,    -1,
     112,    -1,    -1,   941,    -1,   181,    -1,   995,    -1,   996,
     505,   995,    -1,   502,   996,   503,    -1,   999,    -1,   998,
     505,   999,    -1,   941,   108,  1134,    -1,   941,  1154,    -1,
     941,    -1,   495,    -1,  1001,    -1,  1000,   505,  1001,    -1,
    1132,    -1,  1132,   992,    -1,  1003,    -1,  1002,   505,  1003,
      -1,  1132,    -1,  1132,    -1,  1132,    -1,  1134,    -1,  1132,
      -1,  1152,    -1,  1133,    -1,  1132,   992,    -1,  1011,    -1,
    1151,    -1,  1152,    -1,  1150,    -1,    84,    -1,  1009,  1152,
      -1,  1009,   502,   970,   503,  1152,    -1,   920,  1152,    -1,
     937,  1152,   939,    -1,   937,   502,  1011,   503,  1152,   939,
      -1,   438,    -1,   216,    -1,   319,    -1,  1146,    -1,  1144,
      -1,    86,    -1,  1014,    -1,  1011,    -1,  1146,    -1,   493,
    1011,    -1,   494,  1011,    -1,  1154,    -1,  1015,    -1,  1016,
      -1,  1017,    -1,    91,    -1,    92,    -1,    93,    -1,    94,
      -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,   100,
      -1,   101,    -1,   102,    -1,   110,    -1,   111,    -1,   113,
      -1,   115,    -1,   116,    -1,   117,    -1,   124,    -1,   125,
      -1,   126,    -1,   127,    -1,   128,    -1,   131,    -1,   132,
      -1,   135,    -1,   137,    -1,   138,    -1,   139,    -1,   140,
      -1,   144,    -1,   145,    -1,   146,    -1,   147,    -1,   149,
      -1,   152,    -1,   153,    -1,   154,    -1,   155,    -1,   156,
      -1,   157,    -1,   159,    -1,   160,    -1,   161,    -1,   163,
      -1,   172,    -1,   173,    -1,   174,    -1,   175,    -1,   177,
      -1,   180,    -1,   182,    -1,   184,    -1,   185,    -1,   186,
      -1,   187,    -1,   188,    -1,   190,    -1,   191,    -1,   192,
      -1,   195,    -1,   196,    -1,   197,    -1,   198,    -1,   199,
      -1,   201,    -1,   202,    -1,   203,    -1,   205,    -1,   206,
      -1,   208,    -1,   209,    -1,   210,    -1,   211,    -1,   213,
      -1,   214,    -1,   217,    -1,   219,    -1,   221,    -1,   223,
      -1,   225,    -1,   229,    -1,   230,    -1,   231,    -1,   233,
      -1,   236,    -1,   238,    -1,   239,    -1,   241,    -1,   242,
      -1,   244,    -1,   245,    -1,   246,    -1,   248,    -1,   249,
      -1,   250,    -1,   251,    -1,   252,    -1,   253,    -1,   255,
      -1,   259,    -1,   260,    -1,   261,    -1,   267,    -1,   270,
      -1,   272,    -1,   273,    -1,   274,    -1,   275,    -1,   276,
      -1,   277,    -1,   281,    -1,   284,    -1,   285,    -1,   286,
      -1,   289,    -1,   290,    -1,   291,    -1,   292,    -1,   293,
      -1,   294,    -1,   296,    -1,   297,    -1,   299,    -1,   300,
      -1,   301,    -1,   305,    -1,   306,    -1,   307,    -1,   308,
      -1,   309,    -1,   310,    -1,   311,    -1,   313,    -1,   315,
      -1,   316,    -1,   318,    -1,   321,    -1,   323,    -1,   324,
      -1,   325,    -1,   327,    -1,   330,    -1,   331,    -1,   332,
      -1,   340,    -1,   341,    -1,   342,    -1,   343,    -1,   344,
      -1,   345,    -1,   347,    -1,   349,    -1,   352,    -1,   353,
      -1,   351,    -1,   355,    -1,   356,    -1,   357,    -1,   358,
      -1,   359,    -1,   360,    -1,   361,    -1,   363,    -1,   364,
      -1,   365,    -1,   367,    -1,   368,    -1,   369,    -1,   370,
      -1,   371,    -1,   372,    -1,   373,    -1,   374,    -1,   375,
      -1,   376,    -1,   378,    -1,   379,    -1,   381,    -1,   382,
      -1,   384,    -1,   385,    -1,   386,    -1,   387,    -1,   388,
      -1,   389,    -1,   391,    -1,   393,    -1,   394,    -1,   395,
      -1,   396,    -1,   397,    -1,   399,    -1,   401,    -1,   402,
      -1,   404,    -1,   407,    -1,   408,    -1,   409,    -1,   410,
      -1,   411,    -1,   412,    -1,   413,    -1,   414,    -1,   415,
      -1,   416,    -1,   418,    -1,   420,    -1,   421,    -1,   423,
      -1,   424,    -1,   425,    -1,   426,    -1,   427,    -1,   428,
      -1,   434,    -1,   436,    -1,   439,    -1,   440,    -1,   441,
      -1,   442,    -1,   443,    -1,   444,    -1,   447,    -1,   448,
      -1,   449,    -1,   450,    -1,   453,    -1,   454,    -1,   455,
      -1,   456,    -1,   460,    -1,   462,    -1,   463,    -1,   464,
      -1,   467,    -1,   470,    -1,   471,    -1,   472,    -1,   473,
      -1,   474,    -1,   484,    -1,   485,    -1,   118,    -1,   119,
      -1,   121,    -1,   122,    -1,   134,    -1,   141,    -1,   178,
      -1,   179,    -1,   212,    -1,   215,    -1,   220,    -1,   234,
      -1,   257,    -1,   263,    -1,   265,    -1,   279,    -1,   302,
      -1,   304,    -1,   312,    -1,   320,    -1,   322,    -1,   335,
      -1,   339,    -1,   348,    -1,   350,    -1,   362,    -1,   383,
      -1,   400,    -1,   405,    -1,   417,    -1,   430,    -1,   431,
      -1,   435,    -1,   437,    -1,   458,    -1,   475,    -1,   476,
      -1,   477,    -1,   478,    -1,   479,    -1,   480,    -1,   481,
      -1,   482,    -1,   114,    -1,   120,    -1,   148,    -1,   162,
      -1,   168,    -1,   226,    -1,   228,    -1,   243,    -1,   256,
      -1,   268,    -1,   269,    -1,   271,    -1,   280,    -1,   282,
      -1,   303,    -1,   317,    -1,   336,    -1,   337,    -1,   338,
      -1,   380,    -1,   403,    -1,   461,    -1,    99,    -1,   103,
      -1,   104,    -1,   105,    -1,   106,    -1,   107,    -1,   108,
      -1,   109,    -1,   112,    -1,   123,    -1,   129,    -1,   130,
      -1,   136,    -1,   142,    -1,   143,    -1,   151,    -1,   158,
      -1,   165,    -1,   166,    -1,   167,    -1,   169,    -1,   170,
      -1,   171,    -1,   181,    -1,   183,    -1,   189,    -1,   193,
      -1,   194,    -1,   200,    -1,   204,    -1,   207,    -1,   216,
      -1,   218,    -1,   222,    -1,   224,    -1,   227,    -1,   232,
      -1,   235,    -1,   237,    -1,   247,    -1,   254,    -1,   264,
      -1,   266,    -1,   278,    -1,   283,    -1,   287,    -1,   288,
      -1,   314,    -1,   319,    -1,   326,    -1,   328,    -1,   329,
      -1,   333,    -1,   334,    -1,   346,    -1,   354,    -1,   366,
      -1,   377,    -1,   392,    -1,   398,    -1,   406,    -1,   419,
      -1,   422,    -1,   429,    -1,   433,    -1,   438,    -1,   446,
      -1,   451,    -1,   452,    -1,   459,    -1,   465,    -1,   466,
      -1,   468,    -1,   469,    -1,    -1,  1019,  1020,    -1,  1141,
    1023,   512,   506,    -1,  1141,   512,   506,    -1,  1141,  1043,
      -1,  1048,    -1,  1160,    -1,    73,    -1,   508,    -1,   509,
      -1,    -1,   158,   580,   422,   614,   108,  1022,   866,   618,
      -1,   113,  1084,    -1,     9,   432,  1025,  1032,  1033,    -1,
       9,   432,   181,    -1,     9,  1034,    -1,   175,  1025,    -1,
    1026,  1029,  1031,    -1,  1027,   507,  1028,  1031,   496,  1026,
    1037,    -1,  1036,    -1,  1152,    -1,  1004,    -1,    -1,  1154,
    1148,    -1,    85,  1030,    -1,  1028,    -1,    -1,  1132,    -1,
    1132,   504,  1030,    -1,    74,    -1,   507,  1011,    -1,    -1,
     108,  1084,    -1,    -1,   451,  1034,    -1,    -1,  1035,    -1,
    1035,   496,  1035,    -1,  1035,    21,   124,  1035,    -1,  1035,
     452,  1035,    -1,  1012,    -1,  1152,    -1,  1146,    -1,  1148,
      -1,    85,  1038,    -1,    -1,  1132,  1039,    -1,  1132,  1039,
      85,  1038,    -1,    -1,   489,  1011,    -1,   489,  1154,    -1,
     489,  1146,    -1,  1003,    -1,  1036,    -1,   180,   863,   864,
     172,   865,   222,  1040,    -1,   211,   244,  1085,    -1,  1044,
      -1,  1055,    -1,  1057,    -1,   625,    -1,   505,   625,    -1,
      -1,   939,    -1,   483,   432,   295,    -1,   483,   432,   390,
      -1,   176,   432,   176,    -1,   298,   432,   298,    -1,    -1,
    1050,  1049,  1052,  1051,    -1,  1141,   117,   180,    34,   506,
      -1,  1141,   204,   180,    34,   506,    -1,    -1,  1053,    -1,
    1044,    -1,    73,    -1,  1053,  1044,    -1,  1053,    73,    -1,
    1057,    -1,  1054,  1057,    -1,    -1,    70,  1056,  1064,  1080,
    1136,   918,   506,    -1,    -1,  1061,  1064,  1058,  1077,   506,
      -1,    -1,  1064,  1059,  1077,   506,    -1,  1067,   506,    -1,
     507,  1011,    -1,    -1,  1062,  1063,    -1,  1062,    -1,  1063,
      -1,    56,    -1,    67,    -1,    65,    -1,    50,    -1,    51,
      -1,    69,    -1,  1073,    -1,  1069,    -1,  1065,    -1,  1136,
     502,  1045,  1046,   503,    -1,  1136,  1047,    -1,  1071,    -1,
     205,  1130,  1066,    -1,   205,  1066,    -1,   205,  1130,    -1,
     508,  1158,   509,    -1,    -1,  1071,  1068,   508,  1054,   509,
      -1,  1067,    -1,    -1,  1072,  1070,   508,  1054,   509,    -1,
      43,  1130,    -1,   445,  1130,    -1,    43,    -1,   445,    -1,
    1074,    -1,  1076,  1075,    -1,    44,    35,    -1,    44,    35,
     262,    -1,    44,    -1,    44,   262,    -1,    44,    25,    -1,
      44,    25,   262,    -1,    44,    25,    25,    -1,    44,    25,
      25,   262,    -1,    44,   133,    -1,    35,    -1,    35,   262,
      -1,   262,    -1,    25,    -1,    25,   262,    -1,    25,    25,
      -1,    25,    25,   262,    -1,     5,    -1,   133,    -1,   197,
      -1,    36,    -1,    -1,  1078,    -1,  1077,   505,  1078,    -1,
    1080,  1135,   918,  1060,  1079,    -1,    -1,   489,  1159,    -1,
      -1,   495,    -1,   495,   495,    -1,   180,   410,  1154,    -1,
      15,  1083,    -1,  1084,    -1,   164,    -1,    99,    -1,    -1,
    1004,    -1,   181,    -1,  1036,    -1,  1036,    -1,    71,    -1,
      17,   863,    -1,    17,    99,    -1,    28,   863,  1088,    -1,
      -1,  1089,    -1,   452,  1093,    -1,  1090,    -1,   452,    37,
      14,  1155,    -1,   452,    14,  1003,    -1,   266,    37,    14,
    1155,    -1,   266,    14,  1003,    -1,   266,  1003,    -1,  1094,
      -1,  1094,   505,  1093,    -1,  1095,    -1,  1146,    -1,  1144,
      -1,  1011,    -1,   493,  1011,    -1,   494,  1011,    -1,  1151,
      -1,   493,  1151,    -1,   494,  1151,    -1,  1152,    -1,  1150,
      -1,  1153,    -1,    13,   258,  1040,  1090,    -1,    13,  1097,
    1040,  1090,    -1,    13,  1097,  1040,  1091,    -1,    13,   258,
    1040,  1092,    -1,    13,  1097,  1040,  1092,    -1,    29,    -1,
      -1,     3,    14,  1155,    -1,   177,    14,  1155,    -1,    18,
      14,  1155,  1101,    -1,  1102,    -1,  1101,   505,  1102,    -1,
    1148,   489,  1107,    -1,   399,    14,  1155,  1104,    -1,  1105,
      -1,  1104,   505,  1105,    -1,  1107,   489,  1106,    -1,  1011,
      -1,  1148,    -1,    10,    -1,    18,    14,  1155,   456,  1106,
    1109,    -1,  1110,    -1,  1109,   505,  1110,    -1,  1148,   489,
    1115,    -1,   399,    14,  1155,   456,  1106,  1112,    -1,  1113,
      -1,  1112,   505,  1113,    -1,  1115,   489,  1114,    -1,  1151,
      -1,  1106,    -1,   494,  1151,    -1,   494,  1011,    -1,  1152,
      -1,     8,    -1,   174,    -1,    11,    -1,    12,    -1,    22,
      -1,    23,    -1,    24,    -1,   300,    -1,    26,    -1,    27,
      -1,   350,    -1,    31,    -1,    32,    -1,    33,    -1,   441,
      -1,   399,     4,   489,  1117,    -1,   399,     4,   432,  1117,
      -1,   328,    -1,   325,    -1,   399,   150,   432,  1084,    -1,
     399,   150,   489,  1084,    -1,   399,   150,  1084,    -1,    -1,
     441,  1120,  1136,   268,  1064,   918,  1121,    -1,    30,    -1,
      -1,    -1,    45,  1123,  1134,   268,  1064,   918,  1121,    -1,
      46,    38,  1125,    -1,    46,   314,    16,  1125,    -1,    46,
      40,  1125,    -1,   154,    -1,    39,    -1,    42,    -1,    20,
    1003,    -1,    19,   432,  1003,    -1,   194,  1003,   502,  1142,
     503,    -1,   194,     6,    -1,     7,  1003,   502,  1142,   503,
      -1,     7,  1003,    -1,  1127,    -1,  1128,    -1,     6,    -1,
       7,    -1,     8,    -1,    10,    -1,    11,    -1,    12,    -1,
      16,    -1,    19,    -1,    20,    -1,    21,    -1,    22,    -1,
      23,    -1,    24,    -1,    26,    -1,    27,    -1,    31,    -1,
      32,    -1,    33,    -1,    34,    -1,    37,    -1,    38,    -1,
      39,    -1,    40,    -1,    42,    -1,     9,    -1,    13,    -1,
      15,    -1,    28,    -1,    45,    -1,    46,    -1,     5,    -1,
      25,    -1,    29,    -1,    35,    -1,    43,    -1,    36,    -1,
      44,    -1,  1134,    -1,  1154,    -1,  1015,    -1,  1016,    -1,
    1139,    -1,  1126,    -1,  1137,    -1,   133,    -1,   457,    -1,
    1154,    -1,  1138,    -1,  1016,    -1,  1126,    -1,  1137,    -1,
     133,    -1,   457,    -1,  1154,    -1,  1138,    -1,  1017,    -1,
    1126,    -1,  1137,    -1,  1129,    -1,  1135,    -1,  1129,    -1,
     133,    -1,   164,    -1,   258,    -1,   262,    -1,   432,    -1,
     445,    -1,   457,    -1,  1137,    -1,  1139,    -1,  1136,    -1,
    1015,    -1,  1018,    -1,  1128,    -1,   150,    -1,  1154,    -1,
    1016,    -1,  1017,    -1,  1127,    -1,    50,    -1,    51,    -1,
      56,    -1,    65,    -1,    67,    -1,    70,    -1,    69,    -1,
    1015,    -1,  1139,    -1,   150,    -1,   176,    -1,   240,    -1,
     295,    -1,   298,    -1,   390,    -1,   483,    -1,  1143,    -1,
    1140,   505,  1143,    -1,    41,    -1,    -1,  1158,    -1,  1148,
    1147,    -1,  1148,    -1,  1148,  1147,    -1,  1036,    -1,  1148,
      -1,  1148,    -1,    22,  1148,    -1,    22,  1003,    -1,    72,
      -1,    87,    -1,    83,    -1,    81,    -1,    82,    -1,    76,
      -1,    77,    -1,    78,    -1,    75,    -1,    84,    -1,    80,
      -1,    71,    -1,    79,    -1,  1003,    -1,  1036,    -1,  1161,
      -1,   502,   503,    -1,   502,  1157,   503,    -1,  1156,    -1,
    1157,  1156,    -1,  1159,    -1,  1158,   505,  1159,    -1,  1157,
      -1,   508,  1158,   509,    -1,  1161,    -1,   502,    -1,   503,
      -1,   505,    -1,   506,    -1,  1154,    -1,  1011,    -1,  1151,
      -1,  1152,    -1,   495,    -1,   493,    -1,   494,    -1,   496,
      -1,   497,    -1,   319,    -1,    47,    -1,    48,    -1,    49,
      -1,    50,    -1,    51,    -1,    52,    -1,    53,    -1,    54,
      -1,    55,    -1,    56,    -1,    57,    -1,    58,    -1,    60,
      -1,    59,    -1,    61,    -1,    62,    -1,    63,    -1,    64,
      -1,    65,    -1,    66,    -1,    67,    -1,    68,    -1,    70,
      -1,    69,    -1,     5,    -1,   205,    -1,   240,    -1,   262,
      -1,    25,    -1,   295,    -1,   298,    -1,   390,    -1,    35,
      -1,    36,    -1,    43,    -1,    44,    -1,   483,    -1,   133,
      -1,   220,    -1,   432,    -1,   445,    -1,   458,    -1,   500,
      -1,   501,    -1,   489,    -1,   507,    -1,   177,  1040,    -1,
     177,   352,  1040,    -1,   177,    99,    -1,   177,   352,    99,
      -1,  1011,    -1,   502,  1163,   503,    -1,  1163,   493,  1163,
      -1,  1163,   494,  1163,    -1,  1163,   495,  1163,    -1,  1163,
     496,  1163,    -1,  1163,   497,  1163,    -1,  1152,    -1,  1132,
      -1,    -1,  1089,  1165,    -1,  1165,  1089,    -1,  1089,    -1,
    1165,    -1,   266,  1140,    -1,  1091,    -1,  1165,    -1,  1090,
      -1,    -1,  1166,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1341,  1341,  1344,  1346,  1348,  1350,  1352,  1354,  1356,
    1358,  1360,  1362,  1364,  1366,  1368,  1370,  1372,  1374,  1376,
    1378,  1380,  1382,  1384,  1386,  1404,  1406,  1408,  1410,  1412,
    1414,  1416,  1418,  1420,  1422,  1424,  1426,  1428,  1430,  1432,
    1434,  1436,  1438,  1440,  1442,  1444,  1446,  1448,  1450,  1452,
    1454,  1456,  1460,  1462,  1464,  1466,  1468,  1470,  1472,  1474,
    1476,  1478,  1480,  1482,  1484,  1486,  1488,  1490,  1492,  1494,
    1496,  1498,  1500,  1502,  1504,  1506,  1508,  1510,  1512,  1514,
    1516,  1518,  1520,  1522,  1524,  1526,  1533,  1535,  1537,  1539,
    1541,  1543,  1545,  1547,  1549,  1551,  1553,  1559,  1561,  1563,
    1565,  1567,  1569,  1571,  1573,  1575,  1581,  1591,  1595,  1601,
    1605,  1615,  1625,  1626,  1640,  1647,  1653,  1664,  1670,  1679,
    1686,  1692,  1701,  1708,  1716,  1721,  1729,  1734,  1740,  1745,
    1751,  1756,  1762,  1766,  1770,  1774,  1778,  1782,  1786,  1790,
    1794,  1798,  1802,  1806,  1810,  1814,  1818,  1822,  1826,  1830,
    1834,  1842,  1846,  1850,  1854,  1858,  1862,  1870,  1878,  1887,
    1889,  1897,  1905,  1913,  1921,  1925,  1933,  1937,  1945,  1953,
    1961,  1965,  1973,  1977,  1985,  1989,  1997,  2002,  2008,  2013,
    2019,  2023,  2027,  2031,  2035,  2039,  2047,  2051,  2055,  2063,
    2067,  2071,  2075,  2079,  2083,  2087,  2091,  2095,  2100,  2104,
    2108,  2112,  2116,  2120,  2128,  2132,  2140,  2144,  2152,  2156,
    2170,  2174,  2178,  2182,  2190,  2194,  2198,  2202,  2210,  2214,
    2218,  2222,  2226,  2230,  2234,  2242,  2246,  2251,  2257,  2261,
    2269,  2273,  2277,  2281,  2285,  2293,  2297,  2305,  2309,  2313,
    2317,  2321,  2330,  2338,  2342,  2350,  2354,  2362,  2370,  2374,
    2378,  2382,  2390,  2394,  2398,  2402,  2410,  2414,  2422,  2426,
    2430,  2434,  2438,  2442,  2446,  2450,  2454,  2458,  2462,  2466,
    2470,  2474,  2478,  2482,  2486,  2490,  2494,  2498,  2502,  2506,
    2510,  2514,  2518,  2522,  2526,  2530,  2534,  2538,  2542,  2546,
    2550,  2554,  2558,  2562,  2566,  2574,  2578,  2586,  2590,  2595,
    2601,  2606,  2612,  2620,  2625,  2631,  2635,  2643,  2647,  2651,
    2655,  2663,  2668,  2676,  2687,  2698,  2702,  2710,  2714,  2718,
    2726,  2730,  2738,  2743,  2749,  2753,  2757,  2761,  2765,  2769,
    2773,  2777,  2781,  2785,  2789,  2797,  2802,  2808,  2813,  2819,
    2824,  2830,  2835,  2841,  2845,  2853,  2861,  2865,  2869,  2873,
    2878,  2884,  2888,  2896,  2904,  2908,  2916,  2920,  2924,  2928,
    2932,  2936,  2941,  2947,  2952,  2958,  2963,  2969,  2973,  2981,
    2985,  2993,  2997,  3001,  3009,  3013,  3021,  3029,  3037,  3042,
    3048,  3052,  3056,  3064,  3068,  3072,  3076,  3080,  3084,  3088,
    3096,  3100,  3104,  3108,  3116,  3124,  3128,  3133,  3139,  3143,
    3147,  3151,  3155,  3159,  3167,  3171,  3179,  3184,  3188,  3192,
    3196,  3204,  3209,  3215,  3219,  3227,  3235,  3239,  3244,  3249,
    3255,  3259,  3267,  3271,  3279,  3284,  3290,  3294,  3298,  3302,
    3307,  3313,  3321,  3329,  3333,  3337,  3341,  3345,  3353,  3358,
    3364,  3368,  3372,  3377,  3383,  3387,  3391,  3396,  3402,  3407,
    3413,  3418,  3424,  3432,  3437,  3443,  3447,  3455,  3463,  3467,
    3472,  3478,  3486,  3494,  3499,  3505,  3509,  3517,  3521,  3525,
    3529,  3533,  3537,  3541,  3545,  3549,  3553,  3557,  3561,  3569,
    3574,  3580,  3584,  3588,  3596,  3600,  3608,  3612,  3620,  3625,
    3631,  3635,  3643,  3648,  3654,  3658,  3666,  3671,  3677,  3681,
    3689,  3694,  3700,  3708,  3713,  3719,  3723,  3731,  3739,  3743,
    3751,  3755,  3759,  3767,  3772,  3778,  3782,  3790,  3798,  3802,
    3810,  3814,  3818,  3822,  3830,  3838,  3846,  3854,  3862,  3867,
    3873,  3877,  3885,  3890,  3896,  3900,  3908,  3912,  3916,  3924,
    3932,  3936,  3940,  3948,  3952,  3960,  3968,  3972,  3980,  3984,
    3992,  3996,  4004,  4008,  4012,  4016,  4020,  4028,  4033,  4039,
    4044,  4050,  4054,  4062,  4067,  4073,  4077,  4082,  4088,  4092,
    4096,  4100,  4104,  4108,  4116,  4121,  4127,  4131,  4138,  4142,
    4150,  4156,  4160,  4168,  4172,  4180,  4184,  4192,  4201,  4210,
    4214,  4218,  4222,  4226,  4230,  4234,  4238,  4242,  4246,  4250,
    4258,  4266,  4270,  4278,  4282,  4290,  4294,  4298,  4302,  4306,
    4314,  4318,  4326,  4334,  4338,  4346,  4354,  4359,  4365,  4369,
    4377,  4385,  4389,  4397,  4401,  4405,  4409,  4413,  4421,  4426,
    4432,  4437,  4443,  4449,  4455,  4463,  4467,  4475,  4479,  4487,
    4491,  4499,  4503,  4511,  4515,  4523,  4531,  4539,  4543,  4551,
    4555,  4559,  4563,  4567,  4571,  4575,  4579,  4583,  4587,  4591,
    4595,  4603,  4607,  4615,  4619,  4627,  4631,  4639,  4647,  4651,
    4656,  4662,  4666,  4670,  4674,  4678,  4682,  4686,  4690,  4694,
    4698,  4702,  4706,  4710,  4714,  4718,  4722,  4726,  4734,  4738,
    4742,  4746,  4750,  4754,  4758,  4762,  4766,  4770,  4774,  4778,
    4786,  4790,  4798,  4802,  4806,  4810,  4816,  4822,  4828,  4834,
    4840,  4846,  4852,  4862,  4873,  4884,  4895,  4906,  4917,  4928,
    4944,  4960,  4976,  4987,  5003,  5014,  5030,  5045,  5049,  5057,
    5062,  5068,  5076,  5080,  5088,  5092,  5096,  5100,  5104,  5112,
    5116,  5124,  5128,  5132,  5136,  5144,  5148,  5152,  5156,  5160,
    5164,  5168,  5172,  5176,  5180,  5184,  5188,  5192,  5196,  5204,
    5208,  5216,  5220,  5228,  5233,  5239,  5243,  5251,  5259,  5267,
    5271,  5279,  5284,  5290,  5295,  5301,  5309,  5314,  5320,  5324,
    5328,  5336,  5340,  5344,  5352,  5356,  5360,  5368,  5376,  5381,
    5387,  5392,  5398,  5403,  5409,  5414,  5420,  5424,  5432,  5436,
    5440,  5448,  5452,  5457,  5463,  5467,  5472,  5478,  5482,  5487,
    5493,  5497,  5501,  5509,  5514,  5520,  5524,  5532,  5536,  5544,
    5548,  5556,  5560,  5568,  5572,  5576,  5580,  5584,  5592,  5596,
    5600,  5604,  5608,  5616,  5624,  5632,  5636,  5640,  5648,  5652,
    5656,  5664,  5668,  5676,  5680,  5684,  5688,  5692,  5696,  5700,
    5704,  5708,  5712,  5716,  5720,  5724,  5732,  5736,  5740,  5744,
    5752,  5756,  5764,  5769,  5775,  5783,  5787,  5795,  5803,  5807,
    5815,  5820,  5826,  5830,  5838,  5842,  5850,  5854,  5862,  5866,
    5870,  5874,  5882,  5886,  5894,  5902,  5906,  5914,  5918,  5926,
    5930,  5934,  5942,  5946,  5951,  5957,  5965,  5970,  5976,  5980,
    5984,  5992,  5996,  6004,  6009,  6015,  6019,  6023,  6027,  6031,
    6035,  6039,  6043,  6047,  6051,  6055,  6059,  6063,  6067,  6071,
    6075,  6079,  6083,  6087,  6091,  6095,  6099,  6103,  6107,  6111,
    6119,  6124,  6130,  6135,  6141,  6145,  6149,  6153,  6157,  6161,
    6165,  6173,  6177,  6181,  6185,  6189,  6193,  6197,  6201,  6205,
    6209,  6213,  6217,  6221,  6225,  6229,  6233,  6237,  6245,  6253,
    6257,  6261,  6269,  6273,  6281,  6285,  6289,  6293,  6297,  6305,
    6310,  6316,  6320,  6324,  6328,  6336,  6340,  6345,  6351,  6355,
    6363,  6371,  6376,  6382,  6390,  6394,  6402,  6406,  6410,  6414,
    6418,  6422,  6426,  6430,  6434,  6438,  6442,  6446,  6450,  6454,
    6462,  6466,  6471,  6477,  6481,  6485,  6493,  6497,  6501,  6509,
    6514,  6520,  6524,  6532,  6537,  6542,  6548,  6554,  6562,  6570,
    6575,  6581,  6585,  6589,  6593,  6597,  6601,  6605,  6609,  6613,
    6617,  6621,  6625,  6629,  6633,  6637,  6641,  6649,  6654,  6660,
    6664,  6672,  6680,  6685,  6691,  6699,  6703,  6711,  6719,  6723,
    6727,  6731,  6735,  6743,  6748,  6754,  6762,  6766,  6770,  6774,
    6778,  6782,  6790,  6798,  6802,  6806,  6814,  6819,  6825,  6829,
    6833,  6837,  6841,  6849,  6853,  6861,  6865,  6869,  6873,  6881,
    6885,  6893,  6897,  6905,  6910,  6916,  6921,  6927,  6932,  6938,
    6943,  6949,  6953,  6957,  6961,  6969,  6973,  6977,  6981,  6985,
    6989,  6993,  7001,  7005,  7013,  7021,  7025,  7033,  7037,  7042,
    7048,  7054,  7064,  7069,  7075,  7079,  7083,  7087,  7095,  7097,
    7105,  7110,  7116,  7124,  7128,  7132,  7140,  7144,  7152,  7160,
    7165,  7171,  7179,  7184,  7190,  7198,  7203,  7209,  7213,  7217,
    7221,  7225,  7229,  7233,  7237,  7245,  7250,  7256,  7264,  7268,
    7276,  7280,  7288,  7296,  7304,  7312,  7316,  7324,  7376,  7380,
    7393,  7395,  7399,  7403,  7407,  7416,  7422,  7426,  7434,  7438,
    7446,  7450,  7458,  7462,  7466,  7470,  7474,  7478,  7482,  7486,
    7494,  7498,  7506,  7510,  7514,  7518,  7522,  7526,  7534,  7538,
    7546,  7550,  7558,  7566,  7571,  7573,  7579,  7583,  7587,  7591,
    7595,  7599,  7603,  7607,  7615,  7620,  7626,  7630,  7635,  7641,
    7645,  7649,  7654,  7660,  7665,  7671,  7679,  7683,  7691,  7695,
    7703,  7707,  7711,  7715,  7723,  7728,  7734,  7738,  7743,  7751,
    7755,  7763,  7767,  7775,  7783,  7787,  7792,  7798,  7806,  7810,
    7818,  7822,  7830,  7835,  7841,  7846,  7852,  7856,  7864,  7869,
    7875,  7879,  7887,  7891,  7899,  7904,  7910,  7914,  7922,  7927,
    7933,  7937,  7945,  7949,  7953,  7957,  7961,  7965,  7969,  7973,
    7979,  7983,  7987,  7995,  7999,  8003,  8007,  8011,  8015,  8023,
    8027,  8031,  8035,  8043,  8047,  8051,  8055,  8063,  8068,  8074,
    8078,  8086,  8090,  8094,  8098,  8106,  8110,  8118,  8122,  8126,
    8134,  8142,  8147,  8153,  8157,  8162,  8168,  8172,  8180,  8188,
    8190,  8192,  8196,  8200,  8204,  8212,  8222,  8233,  8242,  8246,
    8250,  8254,  8258,  8262,  8266,  8274,  8278,  8282,  8286,  8294,
    8298,  8306,  8311,  8317,  8321,  8325,  8329,  8333,  8337,  8341,
    8345,  8349,  8353,  8357,  8365,  8370,  8376,  8380,  8388,  8392,
    8400,  8408,  8416,  8420,  8428,  8432,  8440,  8448,  8456,  8460,
    8464,  8468,  8472,  8476,  8484,  8489,  8495,  8500,  8506,  8510,
    8514,  8518,  8526,  8534,  8538,  8543,  8549,  8553,  8557,  8561,
    8565,  8569,  8573,  8577,  8581,  8585,  8589,  8593,  8597,  8602,
    8608,  8612,  8620,  8624,  8628,  8632,  8636,  8640,  8644,  8648,
    8652,  8656,  8660,  8664,  8668,  8672,  8676,  8680,  8684,  8688,
    8692,  8696,  8700,  8704,  8708,  8712,  8716,  8720,  8724,  8728,
    8732,  8736,  8740,  8744,  8748,  8752,  8756,  8760,  8764,  8768,
    8772,  8776,  8780,  8784,  8788,  8792,  8796,  8800,  8804,  8808,
    8812,  8816,  8820,  8824,  8828,  8832,  8836,  8840,  8845,  8849,
    8857,  8861,  8865,  8869,  8873,  8877,  8881,  8885,  8889,  8893,
    8897,  8901,  8905,  8909,  8913,  8917,  8921,  8925,  8929,  8933,
    8937,  8941,  8949,  8953,  8957,  8961,  8965,  8969,  8973,  8977,
    8981,  8985,  8989,  8993,  9001,  9005,  9009,  9013,  9017,  9021,
    9025,  9029,  9033,  9037,  9041,  9045,  9049,  9053,  9057,  9061,
    9065,  9069,  9073,  9077,  9081,  9085,  9089,  9093,  9097,  9101,
    9105,  9109,  9113,  9117,  9121,  9125,  9129,  9133,  9137,  9141,
    9145,  9149,  9153,  9157,  9161,  9165,  9169,  9173,  9177,  9181,
    9185,  9189,  9197,  9201,  9209,  9213,  9217,  9222,  9228,  9236,
    9240,  9248,  9252,  9260,  9264,  9272,  9276,  9281,  9287,  9292,
    9298,  9302,  9310,  9318,  9322,  9327,  9333,  9341,  9345,  9352,
    9357,  9363,  9368,  9373,  9379,  9383,  9391,  9395,  9399,  9403,
    9407,  9415,  9419,  9423,  9431,  9435,  9439,  9447,  9451,  9459,
    9463,  9467,  9471,  9475,  9479,  9483,  9487,  9491,  9499,  9503,
    9511,  9515,  9523,  9527,  9531,  9535,  9539,  9543,  9551,  9555,
    9563,  9567,  9575,  9579,  9587,  9591,  9599,  9603,  9607,  9615,
    9619,  9627,  9632,  9638,  9642,  9646,  9650,  9654,  9658,  9662,
    9666,  9674,  9678,  9686,  9694,  9699,  9705,  9709,  9713,  9717,
    9721,  9726,  9732,  9740,  9748,  9752,  9756,  9764,  9768,  9776,
    9784,  9788,  9796,  9804,  9809,  9815,  9820,  9826,  9830,  9838,
    9842,  9846,  9850,  9858,  9862,  9871,  9873,  9881,  9886,  9892,
    9896,  9904,  9908,  9916,  9924,  9928,  9936,  9940,  9944,  9948,
    9956,  9960,  9968,  9972,  9980,  9984,  9992, 10000, 10008, 10016,
   10024, 10032, 10040, 10044, 10052, 10056, 10060, 10064, 10068, 10072,
   10076, 10080, 10084, 10088, 10092, 10096, 10100, 10104, 10105, 10110,
   10116, 10124, 10128, 10129, 10133, 10141, 10145, 10149, 10153, 10161,
   10165, 10169, 10173, 10177, 10181, 10185, 10189, 10193, 10197, 10201,
   10205, 10209, 10213, 10217, 10221, 10225, 10229, 10233, 10237, 10241,
   10245, 10249, 10253, 10257, 10261, 10265, 10269, 10273, 10277, 10281,
   10285, 10289, 10293, 10297, 10301, 10305, 10309, 10313, 10317, 10321,
   10325, 10329, 10333, 10337, 10341, 10345, 10349, 10353, 10357, 10361,
   10365, 10369, 10373, 10377, 10381, 10385, 10389, 10393, 10397, 10401,
   10405, 10409, 10413, 10417, 10421, 10425, 10429, 10433, 10437, 10441,
   10445, 10449, 10453, 10457, 10461, 10465, 10469, 10473, 10477, 10481,
   10485, 10489, 10493, 10497, 10501, 10505, 10509, 10513, 10517, 10521,
   10525, 10529, 10533, 10537, 10541, 10545, 10549, 10553, 10557, 10561,
   10565, 10569, 10573, 10577, 10581, 10585, 10589, 10593, 10597, 10601,
   10605, 10609, 10613, 10617, 10621, 10625, 10629, 10633, 10637, 10641,
   10645, 10649, 10653, 10657, 10661, 10665, 10669, 10673, 10677, 10681,
   10685, 10689, 10693, 10697, 10701, 10705, 10709, 10713, 10717, 10721,
   10725, 10729, 10733, 10737, 10741, 10745, 10749, 10753, 10757, 10761,
   10765, 10769, 10773, 10777, 10781, 10785, 10789, 10793, 10797, 10801,
   10805, 10809, 10813, 10817, 10821, 10825, 10829, 10833, 10837, 10841,
   10845, 10849, 10853, 10857, 10861, 10865, 10869, 10873, 10877, 10881,
   10885, 10889, 10893, 10897, 10901, 10905, 10909, 10913, 10917, 10921,
   10925, 10929, 10933, 10937, 10941, 10945, 10949, 10953, 10957, 10961,
   10965, 10969, 10973, 10977, 10981, 10985, 10989, 10993, 10997, 11001,
   11005, 11009, 11013, 11017, 11021, 11025, 11029, 11033, 11037, 11041,
   11045, 11049, 11053, 11057, 11061, 11065, 11069, 11073, 11077, 11081,
   11085, 11089, 11093, 11097, 11101, 11105, 11109, 11113, 11117, 11121,
   11125, 11133, 11137, 11141, 11145, 11149, 11153, 11157, 11161, 11165,
   11169, 11173, 11177, 11181, 11185, 11189, 11193, 11197, 11201, 11205,
   11209, 11213, 11217, 11221, 11225, 11229, 11233, 11237, 11241, 11245,
   11249, 11253, 11257, 11261, 11265, 11269, 11273, 11277, 11281, 11285,
   11289, 11293, 11297, 11301, 11309, 11313, 11317, 11321, 11325, 11329,
   11333, 11337, 11341, 11345, 11349, 11353, 11357, 11361, 11365, 11369,
   11373, 11377, 11381, 11385, 11389, 11393, 11401, 11405, 11409, 11413,
   11417, 11421, 11425, 11429, 11433, 11437, 11441, 11445, 11449, 11453,
   11457, 11461, 11465, 11469, 11473, 11477, 11481, 11485, 11489, 11493,
   11497, 11501, 11505, 11509, 11513, 11517, 11521, 11525, 11529, 11533,
   11537, 11541, 11545, 11549, 11553, 11557, 11561, 11565, 11569, 11573,
   11577, 11581, 11585, 11589, 11593, 11597, 11601, 11605, 11609, 11613,
   11617, 11621, 11625, 11629, 11633, 11637, 11641, 11645, 11649, 11653,
   11657, 11661, 11665, 11669, 11673, 11677, 11681, 11685, 11689, 11693,
   11703, 11704, 11707, 11708, 11709, 11715, 11716, 11717, 11718, 11719,
   11732, 11732, 11741, 11757, 11759, 11762, 11764, 11768, 11780, 11796,
   11800, 11811, 11812, 11815, 11827, 11836, 11837, 11840, 11841, 11842,
   11845, 11846, 11849, 11850, 11853, 11854, 11857, 11859, 11861, 11863,
   11867, 11874, 11881, 11897, 11931, 11941, 11944, 11946, 11959, 11960,
   11962, 11964, 11968, 11981, 11988, 12048, 12057, 12059, 12060, 12063,
   12065, 12066, 12069, 12070, 12071, 12072, 12073, 12080, 12079, 12089,
   12091, 12093, 12094, 12097, 12098, 12099, 12100, 12103, 12104, 12108,
   12107, 12124, 12122, 12138, 12137, 12151, 12157, 12158, 12161, 12163,
   12164, 12167, 12168, 12169, 12170, 12173, 12174, 12177, 12185, 12202,
   12210, 12233, 12339, 12373, 12375, 12377, 12381, 12385, 12384, 12435,
   12437, 12436, 12451, 12457, 12464, 12469, 12472, 12473, 12476, 12477,
   12478, 12479, 12480, 12481, 12482, 12490, 12498, 12501, 12502, 12503,
   12504, 12505, 12506, 12514, 12522, 12523, 12524, 12527, 12528, 12531,
   12533, 12537, 12625, 12626, 12633, 12634, 12635, 12641, 12650, 12653,
   12654, 12655, 12656, 12659, 12660, 12661, 12664, 12666, 12674, 12675,
   12681, 12689, 12690, 12693, 12694, 12697, 12702, 12709, 12714, 12721,
   12728, 12728, 12730, 12737, 12738, 12741, 12742, 12743, 12744, 12745,
   12746, 12747, 12748, 12749, 12755, 12762, 12774, 12780, 12787, 12795,
   12796, 12808, 12819, 12830, 12834, 12835, 12838, 12843, 12847, 12848,
   12851, 12857, 12865, 12868, 12875, 12879, 12880, 12883, 12886, 12890,
   12891, 12894, 12900, 12908, 12909, 12918, 12927, 12939, 12940, 12941,
   12942, 12943, 12944, 12945, 12946, 12947, 12948, 12949, 12950, 12951,
   12952, 12953, 12960, 12961, 12964, 12965, 12972, 12973, 12974, 12981,
   12980, 12997, 12998, 13005, 13004, 13074, 13080, 13086, 13094, 13100,
   13106, 13112, 13118, 13124, 13130, 13136, 13142, 13153, 13154, 13157,
   13158, 13159, 13160, 13161, 13162, 13163, 13164, 13165, 13166, 13167,
   13168, 13169, 13170, 13171, 13172, 13173, 13174, 13175, 13176, 13177,
   13178, 13179, 13180, 13183, 13184, 13185, 13186, 13187, 13188, 13192,
   13193, 13194, 13195, 13196, 13197, 13198, 13201, 13204, 13205, 13206,
   13207, 13208, 13209, 13210, 13211, 13224, 13225, 13226, 13227, 13228,
   13229, 13230, 13235, 13236, 13237, 13238, 13239, 13240, 13246, 13247,
   13248, 13249, 13250, 13251, 13252, 13253, 13254, 13255, 13256, 13259,
   13260, 13261, 13262, 13263, 13266, 13267, 13268, 13269, 13272, 13273,
   13274, 13275, 13276, 13277, 13278, 13295, 13296, 13297, 13300, 13301,
   13302, 13303, 13304, 13305, 13309, 13309, 13312, 13318, 13319, 13322,
   13324, 13329, 13339, 13350, 13357, 13358, 13359, 13362, 13395, 13397,
   13399, 13402, 13412, 13422, 13432, 13433, 13436, 13438, 13439, 13440,
   13443, 13445, 13453, 13454, 13455, 13459, 13460, 13464, 13465, 13468,
   13469, 13472, 13473, 13474, 13475, 13476, 13479, 13480, 13481, 13482,
   13483, 13484, 13485, 13486, 13487, 13488, 13489, 13490, 13491, 13492,
   13493, 13494, 13495, 13496, 13497, 13498, 13499, 13500, 13501, 13502,
   13503, 13504, 13505, 13506, 13507, 13508, 13509, 13510, 13511, 13512,
   13513, 13514, 13515, 13516, 13517, 13518, 13519, 13520, 13521, 13522,
   13523, 13524, 13525, 13526, 13527, 13528, 13529, 13530, 13531, 13532,
   13533, 13534, 13537, 13538, 13539, 13540, 13543, 13544, 13545, 13546,
   13547, 13548, 13549, 13550, 13551, 13554, 13555, 13556, 13557, 13558,
   13561, 13562, 13565, 13566, 13577, 13578
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY",
  "CONFIGURATION", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CREATEDB",
  "CREATEROLE", "CREATEUSER", "CROSS", "CSV", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOGIN_P", "MAPPING", "MATCH",
  "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NOCREATEDB",
  "NOCREATEROLE", "NOCREATEUSER", "NOINHERIT", "NOLOGIN_P", "NONE",
  "NOSUPERUSER", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSWORD", "PLACING", "PLANS",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SUPERUSER_P", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'", "'>'",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "alter_using", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem", "ClosePortalStmt",
  "CopyStmt", "copy_from", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateFdwStmt", "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOpt", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintDeferrabilitySpec",
  "ConstraintTimeSpec", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "into_clause", "OptTempTableName", "opt_table",
  "opt_all", "opt_distinct", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "opt_select_fetch_first_value",
  "select_offset_value2", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "join_type", "join_outer", "join_qual", "relation_expr",
  "relation_expr_list", "relation_expr_opt_alias", "func_table",
  "where_clause", "where_or_current_clause", "TableFuncElementList",
  "TableFuncElement", "Typename", "opt_array_bounds", "SimpleTypename",
  "ConstTypename", "GenericType", "opt_type_modifiers", "Numeric",
  "opt_float", "Bit", "ConstBit", "BitWithLength", "BitWithoutLength",
  "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "opt_charset",
  "ConstDatetime", "ConstInterval", "opt_timezone", "opt_interval",
  "interval_second", "a_expr", "b_expr", "c_expr", "func_expr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_whitespace_option", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,    61,
      60,    62,   744,    43,    45,    42,    47,    37,    94,   745,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   510,   511,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   512,   512,   512,   513,   514,   514,   515,   515,
     516,   516,   517,   517,   517,   517,   517,   517,   517,   517,
     517,   517,   517,   517,   517,   517,   517,   517,   517,   517,
     517,   518,   518,   518,   518,   518,   518,   519,   520,   521,
     521,   522,   523,   524,   525,   525,   526,   526,   527,   528,
     529,   529,   530,   530,   531,   531,   532,   532,   533,   533,
     534,   534,   534,   534,   534,   534,   535,   535,   535,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   537,   537,   538,   538,   539,   539,
     540,   540,   540,   540,   541,   541,   541,   541,   542,   542,
     542,   542,   542,   542,   542,   543,   543,   543,   544,   544,
     545,   545,   545,   545,   545,   546,   546,   547,   547,   547,
     547,   547,   548,   549,   549,   550,   550,   551,   552,   552,
     552,   552,   553,   553,   553,   553,   554,   554,   555,   555,
     555,   555,   555,   555,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   555,   555,   555,   555,   555,   555,
     555,   555,   555,   555,   555,   556,   556,   557,   557,   557,
     558,   558,   559,   560,   560,   561,   561,   562,   562,   562,
     562,   563,   563,   564,   564,   565,   565,   566,   566,   566,
     567,   567,   568,   568,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   570,   570,   571,   571,   572,
     572,   573,   573,   574,   574,   575,   576,   576,   576,   576,
     576,   577,   577,   578,   579,   579,   580,   580,   580,   580,
     580,   580,   580,   581,   581,   582,   582,   583,   583,   584,
     584,   585,   585,   585,   586,   586,   587,   588,   589,   589,
     590,   590,   590,   591,   591,   591,   591,   591,   591,   591,
     592,   592,   592,   592,   593,   594,   594,   594,   595,   595,
     595,   595,   595,   595,   596,   596,   597,   597,   597,   597,
     597,   598,   598,   599,   599,   600,   601,   601,   601,   601,
     602,   602,   603,   603,   604,   604,   605,   605,   605,   605,
     605,   606,   607,   608,   608,   608,   608,   608,   609,   609,
     610,   610,   610,   610,   611,   611,   611,   611,   612,   612,
     613,   613,   614,   615,   615,   616,   616,   617,   618,   618,
     618,   619,   620,   621,   621,   622,   622,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,   623,   624,
     624,   625,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   629,   630,   630,   631,   631,   632,   632,   633,   633,
     634,   634,   635,   636,   636,   637,   637,   638,   639,   639,
     640,   640,   640,   641,   641,   642,   642,   643,   644,   644,
     645,   645,   645,   645,   646,   647,   648,   649,   650,   650,
     651,   651,   652,   652,   653,   653,   654,   654,   654,   655,
     656,   656,   656,   657,   657,   658,   659,   659,   660,   660,
     661,   661,   662,   662,   662,   662,   662,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   667,   668,   668,
     668,   668,   668,   668,   669,   669,   670,   670,   670,   670,
     670,   671,   671,   672,   672,   673,   673,   674,   675,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     677,   678,   678,   679,   679,   680,   680,   680,   680,   680,
     681,   681,   682,   683,   683,   684,   685,   685,   686,   686,
     687,   688,   688,   689,   689,   689,   689,   689,   690,   690,
     691,   691,   692,   692,   693,   694,   694,   695,   695,   696,
     696,   697,   697,   698,   698,   699,   700,   701,   701,   702,
     702,   702,   702,   702,   702,   702,   702,   702,   702,   702,
     702,   703,   703,   704,   704,   705,   705,   706,   707,   707,
     707,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   708,   708,   708,   708,   708,   708,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     710,   710,   711,   711,   711,   711,   711,   711,   711,   711,
     711,   711,   711,   712,   712,   712,   712,   712,   712,   712,
     712,   712,   712,   712,   712,   712,   712,   713,   713,   714,
     714,   715,   716,   716,   717,   717,   717,   717,   717,   718,
     718,   719,   719,   719,   719,   720,   720,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   721,
     721,   722,   722,   723,   723,   724,   724,   725,   726,   727,
     727,   728,   728,   729,   729,   730,   731,   731,   732,   732,
     732,   733,   733,   733,   734,   734,   734,   735,   736,   736,
     737,   737,   738,   738,   739,   739,   740,   740,   741,   741,
     741,   742,   742,   742,   743,   743,   743,   744,   744,   744,
     745,   745,   745,   746,   746,   747,   747,   748,   748,   749,
     749,   750,   750,   751,   751,   751,   751,   751,   752,   752,
     752,   752,   752,   753,   754,   755,   755,   755,   756,   756,
     756,   757,   757,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   759,   759,   759,   759,
     760,   760,   761,   761,   762,   763,   763,   764,   765,   765,
     766,   766,   767,   767,   768,   768,   769,   769,   770,   770,
     770,   770,   771,   771,   772,   773,   773,   774,   774,   775,
     775,   775,   776,   776,   776,   777,   778,   778,   779,   779,
     779,   780,   780,   781,   781,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     783,   783,   784,   784,   785,   785,   785,   785,   785,   785,
     785,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   787,   788,
     788,   788,   789,   789,   790,   790,   790,   790,   790,   791,
     791,   792,   792,   792,   792,   793,   793,   793,   794,   794,
     795,   796,   796,   797,   798,   798,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     800,   800,   800,   801,   801,   801,   802,   802,   802,   803,
     803,   804,   804,   805,   805,   805,   805,   806,   807,   808,
     808,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   810,   810,   811,
     811,   812,   813,   813,   814,   815,   815,   816,   817,   817,
     817,   817,   817,   818,   818,   819,   820,   820,   820,   820,
     820,   820,   821,   822,   822,   822,   823,   823,   824,   824,
     824,   824,   824,   825,   825,   826,   826,   826,   826,   827,
     827,   828,   828,   829,   829,   830,   830,   831,   831,   832,
     832,   833,   833,   833,   833,   834,   834,   834,   834,   834,
     834,   834,   835,   835,   836,   837,   837,   838,   838,   838,
     839,   839,   840,   840,   841,   841,   841,   841,   842,   842,
     843,   843,   844,   845,   845,   845,   846,   846,   847,   848,
     848,   849,   850,   850,   851,   852,   852,   853,   853,   853,
     853,   853,   853,   853,   853,   854,   854,   855,   856,   856,
     857,   857,   858,   859,   860,   861,   861,   862,   863,   863,
     864,   864,   864,   864,   864,   865,   865,   865,   866,   866,
     867,   867,   868,   868,   868,   868,   868,   868,   868,   868,
     869,   869,   870,   870,   870,   870,   870,   870,   871,   871,
     872,   872,   873,   874,   874,   874,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   876,   877,   877,   877,   878,
     878,   878,   878,   879,   879,   880,   881,   881,   882,   882,
     883,   883,   883,   883,   884,   884,   885,   885,   885,   886,
     886,   887,   887,   888,   889,   889,   889,   890,   891,   891,
     892,   892,   893,   893,   894,   894,   895,   895,   896,   896,
     897,   897,   898,   898,   899,   899,   900,   900,   901,   901,
     902,   902,   903,   903,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   904,   904,   904,   904,   904,   904,   905,
     905,   905,   905,   906,   906,   906,   906,   907,   907,   908,
     908,   909,   909,   909,   909,   910,   910,   911,   911,   911,
     912,   913,   913,   914,   914,   914,   915,   915,   916,   917,
     917,   917,   917,   917,   917,   918,   918,   918,   919,   919,
     919,   919,   919,   919,   919,   920,   920,   920,   920,   921,
     921,   922,   922,   923,   923,   923,   923,   923,   923,   923,
     923,   923,   923,   923,   924,   924,   925,   925,   926,   926,
     927,   928,   929,   929,   930,   930,   931,   932,   933,   933,
     933,   933,   933,   933,   934,   934,   935,   935,   936,   936,
     936,   936,   937,   938,   938,   938,   939,   939,   939,   939,
     939,   939,   939,   939,   939,   939,   939,   939,   939,   939,
     940,   940,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   945,   945,   946,   946,   946,   946,   947,   948,
     948,   949,   949,   950,   950,   951,   951,   951,   952,   952,
     953,   953,   954,   955,   955,   955,   956,   957,   957,   958,
     958,   959,   959,   959,   960,   960,   961,   961,   961,   961,
     961,   962,   962,   962,   963,   963,   963,   964,   964,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   966,   966,
     967,   967,   968,   968,   968,   968,   968,   968,   969,   969,
     970,   970,   971,   971,   972,   972,   973,   973,   973,   974,
     974,   975,   975,   976,   976,   976,   976,   976,   976,   976,
     976,   977,   977,   978,   979,   979,   980,   980,   980,   980,
     980,   980,   981,   982,   983,   983,   983,   984,   984,   985,
     986,   986,   987,   988,   988,   989,   989,   990,   990,   991,
     991,   991,   991,   992,   992,   993,   993,   994,   994,   995,
     995,   996,   996,   997,   998,   998,   999,   999,   999,   999,
    1000,  1000,  1001,  1001,  1002,  1002,  1003,  1004,  1005,  1006,
    1007,  1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1011,
    1012,  1013,  1013,  1013,  1013,  1014,  1014,  1014,  1014,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
    1019,  1019,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1022,  1021,  1023,  1024,  1024,  1024,  1024,  1025,  1025,  1025,
    1025,  1026,  1026,  1027,  1028,  1029,  1029,  1030,  1030,  1030,
    1031,  1031,  1032,  1032,  1033,  1033,  1034,  1034,  1034,  1034,
    1035,  1035,  1035,  1036,  1037,  1037,  1038,  1038,  1039,  1039,
    1039,  1039,  1040,  1040,  1041,  1042,  1043,  1044,  1044,  1045,
    1046,  1046,  1047,  1047,  1047,  1047,  1047,  1049,  1048,  1050,
    1051,  1052,  1052,  1053,  1053,  1053,  1053,  1054,  1054,  1056,
    1055,  1058,  1057,  1059,  1057,  1057,  1060,  1060,  1061,  1061,
    1061,  1062,  1062,  1062,  1062,  1063,  1063,  1064,  1064,  1064,
    1064,  1064,  1064,  1065,  1065,  1065,  1066,  1068,  1067,  1069,
    1070,  1069,  1071,  1071,  1072,  1072,  1073,  1073,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1075,  1075,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1076,  1076,  1077,
    1077,  1078,  1079,  1079,  1080,  1080,  1080,  1081,  1082,  1083,
    1083,  1083,  1083,  1084,  1084,  1084,  1085,  1085,  1086,  1086,
    1087,  1088,  1088,  1089,  1089,  1090,  1090,  1091,  1091,  1092,
    1093,  1093,  1094,  1094,  1094,  1095,  1095,  1095,  1095,  1095,
    1095,  1095,  1095,  1095,  1096,  1096,  1096,  1096,  1096,  1097,
    1097,  1098,  1099,  1100,  1101,  1101,  1102,  1103,  1104,  1104,
    1105,  1106,  1106,  1107,  1108,  1109,  1109,  1110,  1111,  1112,
    1112,  1113,  1114,  1114,  1114,  1114,  1114,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1116,  1116,  1117,  1117,  1118,  1118,  1118,  1120,
    1119,  1121,  1121,  1123,  1122,  1124,  1124,  1124,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1126,  1126,  1127,
    1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1127,  1128,  1128,  1128,  1128,  1128,  1128,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1130,  1131,  1131,  1131,
    1131,  1131,  1131,  1131,  1131,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1133,  1133,  1133,  1133,  1133,  1133,  1134,  1134,
    1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1135,
    1135,  1135,  1135,  1135,  1136,  1136,  1136,  1136,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1138,  1138,  1138,  1139,  1139,
    1139,  1139,  1139,  1139,  1140,  1140,  1141,  1142,  1142,  1143,
    1143,  1144,  1145,  1146,  1147,  1147,  1147,  1148,  1149,  1150,
    1151,  1152,  1152,  1152,  1152,  1152,  1153,  1154,  1154,  1154,
    1155,  1155,  1156,  1156,  1156,  1157,  1157,  1158,  1158,  1159,
    1159,  1160,  1160,  1160,  1160,  1160,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1162,  1162,  1162,  1162,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1164,  1164,  1164,  1164,  1164,
    1165,  1165,  1166,  1166,  1167,  1167
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     0,     2,     0,
       2,     0,     2,     2,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       2,     1,     2,     2,     2,     3,     3,     5,     5,     0,
       3,     5,     5,     4,     3,     5,     3,     5,     5,     6,
       1,     1,     3,     5,     6,     4,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     5,     2,     2,     2,
       2,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     3,     4,     5,
       4,     2,     4,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     4,     4,     4,     4,     1,     3,     2,     3,
       4,     6,     6,     6,     5,     5,     6,     6,     4,     7,
       2,     6,     4,     3,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     3,     3,     2,     2,     3,     2,     1,     1,     0,
       2,     0,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    11,    10,     1,     1,     2,     2,
       2,     2,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     3,     4,     2,     0,
       3,     1,     1,     2,     1,     3,     4,     4,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     8,     9,
      11,     3,     0,     1,     3,     1,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       4,     0,     5,     3,     0,     1,     3,     1,     2,     3,
       0,     5,     4,     1,     0,     1,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     1,     3,     1,
       0,     1,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     6,     2,     0,     3,     5,     7,     6,     8,
       7,     6,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     1,     1,     2,     0,     1,     2,     1,     2,
       0,     2,     1,     2,     2,     6,     8,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     1,     3,     3,     1,     0,     1,     3,
      13,     1,     3,     4,     5,     4,     7,     2,     1,     0,
       2,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     1,     3,     1,     2,     2,     3,     5,     2,     2,
       0,     6,     7,     7,     7,     8,     8,     6,     8,     9,
       9,     7,    10,     7,     8,     8,     8,     8,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     3,     4,     5,     4,     5,     3,
       4,     3,     4,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     4,     4,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     3,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,    14,     1,     0,
       1,     0,     1,     0,     2,     0,     1,     3,     4,     4,
       6,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,     4,     4,
       4,     1,     1,     1,     0,     7,     6,     6,     6,     6,
       7,     9,     9,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     6,     5,     5,     8,     8,     8,     8,     6,
       1,     0,     2,     0,     7,     6,     6,     6,     6,     6,
       6,     7,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     3,     2,     1,
       0,     8,    10,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     4,     6,     1,     3,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     8,
       3,     0,     5,     1,     4,     2,     1,     3,     2,     3,
       0,     6,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     7,     1,     3,
       1,     1,     3,     5,     2,     1,     3,     7,     1,     1,
       0,     3,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     1,     2,     4,     4,     4,     2,     3,
       1,     3,     4,     2,     1,     0,     3,     3,     4,     4,
       4,     4,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     2,
       3,     1,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     1,     3,     0,     2,     0,     1,     3,     1,     0,
       1,     2,     4,     4,     2,     0,     2,     3,     2,     0,
       1,     3,     1,     2,     1,     2,     5,     6,     5,     1,
       2,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       1,     2,     0,     2,     4,     0,     1,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     5,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     2,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     5,     6,     6,     7,
       3,     4,     1,     1,     2,     4,     1,     1,     1,     2,
       2,     2,     2,     1,     4,     5,     6,     8,     6,     7,
       7,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       5,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     4,     3,     2,     1,     1,     1,     1,     1,
       0,     8,     2,     5,     3,     2,     2,     3,     7,     1,
       1,     1,     0,     2,     2,     1,     0,     1,     3,     1,
       2,     0,     2,     0,     2,     0,     1,     3,     4,     3,
       1,     1,     1,     1,     2,     0,     2,     4,     0,     2,
       2,     2,     1,     1,     7,     3,     1,     1,     1,     1,
       2,     0,     1,     3,     3,     3,     3,     0,     4,     5,
       5,     0,     1,     1,     1,     2,     2,     1,     2,     0,
       7,     0,     5,     0,     4,     2,     2,     0,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       5,     2,     1,     3,     2,     2,     3,     0,     5,     1,
       0,     5,     2,     2,     1,     1,     1,     2,     2,     3,
       1,     2,     2,     3,     3,     4,     2,     1,     2,     1,
       1,     2,     2,     3,     1,     1,     1,     1,     0,     1,
       3,     5,     0,     2,     0,     1,     2,     3,     2,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     2,     2,
       3,     0,     1,     2,     1,     4,     3,     4,     3,     2,
       1,     3,     1,     1,     1,     1,     2,     2,     1,     2,
       2,     1,     1,     1,     4,     4,     4,     4,     4,     1,
       0,     3,     3,     4,     1,     3,     3,     4,     1,     3,
       3,     1,     1,     1,     6,     1,     3,     3,     6,     1,
       3,     3,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     4,     1,     1,     4,     4,     3,     0,
       7,     1,     0,     0,     7,     3,     4,     3,     1,     1,
       1,     2,     3,     5,     2,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     1,     2,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     0,     2,     2,     1,     1,
       2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2090,     0,     2,     1,  2520,  2524,  2528,  2529,  2446,  2530,
    2531,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2509,  2508,  2510,  2511,  2512,  2513,  2514,
    2515,  2516,  2517,  2519,  2518,  2468,  2097,  2465,  2462,  2463,
    2464,  2469,  2467,  2460,  2461,  1699,  2533,  2521,  2534,  2522,
    2523,  2525,  2526,  2495,  2527,  2535,  2536,  2537,  2532,  2540,
    2491,  2492,  2490,  2493,  2494,  2538,  2539,  2482,  2483,  2484,
    2485,  2541,  2098,  2099,  2487,  2091,  2095,  2157,  2228,  2488,
    2489,  2486,  2096,  2481,  2228,     0,  2349,  2350,  2351,     0,
    2352,  2353,  2354,  2280,  2242,  2355,     0,     0,  2356,  2357,
    2358,  2359,  2360,  2361,  2362,  2363,     0,  2364,  2365,  2366,
    2367,  2227,  2368,  2369,  2370,  2371,  2372,  2204,  2210,  2333,
       0,  2184,  2185,  2181,  2183,  2182,  2186,  2169,  1002,   501,
    1082,  1081,     0,  1994,  1002,  1951,  1952,  1995,  1953,  1954,
    1955,   247,     0,  1084,  1956,     0,  1002,  1996,   336,   814,
    1997,  1998,  2112,     0,  1957,  1958,     0,     0,     0,     0,
     501,  1002,     0,     0,  1959,     0,  1960,     0,  1961,  1999,
    2000,     0,  1962,  2001,  2002,  1963,     0,  1964,  1965,  2003,
    2004,  2005,  1966,  2006,  2007,     0,     0,  1205,     0,  1967,
    2008,  1968,  1969,     0,  2009,  1970,  1971,  1972,  2010,  2011,
    2012,  1973,  1974,  1975,     0,  1976,     0,     0,     0,     0,
       0,  2013,  1002,  1977,     0,  1212,     0,  1978,     0,  2014,
    1979,     0,  1980,     0,  1981,  1982,  1983,  1984,  1205,  2329,
    2205,     0,     0,  1086,     0,  1985,  2015,     0,  1986,  1987,
    1988,  1989,  1990,  1991,  1992,  1993,     0,     0,    47,    48,
      16,    15,    21,    20,    70,    71,    37,    10,    61,    42,
     102,   101,   103,    27,    23,    55,    14,    24,    28,    44,
      43,    13,    41,    65,    45,    68,    34,    59,     7,    35,
      60,     8,    49,    72,    19,    46,    69,    30,    57,    53,
      38,    39,    40,    62,    63,    64,    86,    67,    97,    26,
      76,    77,    92,    78,    93,     5,    79,    36,     9,    89,
      88,    90,    56,    31,    58,    87,    91,    11,    12,    94,
      66,    84,    81,    98,    96,   104,    82,    50,     3,     4,
      73,    33,     6,    18,    17,    32,    25,   100,    22,  1084,
      75,    85,    74,    80,    54,    83,    99,    52,    95,  1181,
    1168,  1214,  1180,     0,  1183,  2425,  2426,    29,   124,   106,
     107,   112,  2094,  2146,  2147,  2148,  2228,  2179,  2180,  2173,
    2189,  2199,  2188,  2192,  2200,  2187,  2206,     0,   109,   111,
     113,   116,   110,   105,   108,   115,   120,   114,   119,   117,
     118,   121,   122,   123,  2427,  1389,  2424,    51,  2164,  2163,
       0,  2228,     0,  2457,  1709,  1710,  1711,  1712,  1713,  1714,
    1715,  1716,  1717,  1718,  1719,  1720,  1721,  1722,  1723,  1724,
    1725,  1726,  1727,  1728,  1729,  1730,  1731,  1732,  1733,  1734,
    1735,  1736,  1737,  1738,  1739,  1740,  1741,  1742,  1743,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,  1751,  1752,  1753,  1754,
    1755,  1756,  1757,  1758,  1759,  1760,  1761,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,  1773,  1774,
    1775,  1776,  1777,  1778,  1779,  1780,  1781,  1782,  1783,  1784,
    1785,  1786,  1787,  1788,  1789,  1790,  1791,  1792,  1793,  1794,
    1795,  1796,  1797,  1798,  1799,  1800,  1801,  1802,  1803,  1804,
    1805,  1806,  1807,  1808,  1809,  1810,  1811,  1812,  1813,  1814,
    1815,  1816,  1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,
    1825,  1826,  1827,  1828,  1829,  1830,  1831,  1832,  1833,  1834,
    1835,  1836,  1837,  1838,  1839,  1840,  1841,  1842,  1843,  1844,
    1845,  1846,  1847,  1848,  1849,  1850,  1851,  1852,  1853,  1854,
    1855,  1856,  1857,  1858,  1859,  1860,  1863,  1861,  1862,  1864,
    1865,  1866,  1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,
    1875,  1876,  1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,
    1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,
    1895,  1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,
    1905,  1906,  1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,
    1915,  1916,  1917,  1918,  1919,  1920,  1921,  1922,  2112,  1923,
    1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,
    1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,
    1944,  1945,  1946,  1947,  1948,  1949,  1950,  2130,  1700,  1706,
    1707,  1708,  2105,  2126,  2132,  2453,  2131,  1705,  2279,     0,
       0,  2373,  2374,  2375,  2376,  2377,  2378,  2428,  2429,  2430,
    2431,  2432,  2434,  2433,  2241,  2400,  2437,  2240,  2438,  2244,
    2439,  2440,  2441,  2442,  2401,  2443,  2243,  2435,  2397,  2245,
    2238,  2239,  2398,  2347,  2348,  1677,  2399,  2396,  2436,  2133,
    2395,  2249,  2248,  1158,  2452,  1676,  1159,     0,  2251,  2379,
    2380,  2381,  2382,  2384,  2383,  2385,  2016,  2017,  2018,  2019,
    2020,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2410,  2028,
    2029,  2030,  2423,  2031,  2032,  2411,  2033,  2034,  2035,  2036,
    2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,
    2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,  2055,  2056,
    2412,  2413,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,
    2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,
    2075,  2076,  2077,  2078,  2079,  2414,  2080,  2081,  2415,  2082,
    2083,  2084,  2416,  2085,  2086,  2087,  2088,  2089,  2420,  2421,
    2422,  2409,  2202,  2386,  2408,  2419,  2417,  2418,  2212,  2208,
    2216,  2211,     0,     0,     0,     0,  2228,  1001,  1000,   986,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2102,     0,  1010,   312,   311,  1083,
    1064,   501,     0,   989,   335,     0,     0,     0,     0,     0,
       0,     0,   628,     0,     0,     0,     0,     0,     0,     0,
       0,   177,     0,     0,   357,   356,     0,     0,     0,   788,
       0,     0,     0,     0,   489,  2111,  2106,  2116,     0,  2109,
    2110,  2395,     0,  2544,  1861,  2142,  2143,  2542,  1907,  1160,
       0,   248,   251,   249,   250,     0,   884,   885,   887,     0,
       0,   897,   655,     0,   654,     0,     0,     0,   652,     0,
       0,     0,     0,   656,   650,     0,   649,     0,     0,     0,
     653,     0,   651,     0,     0,   990,     0,  2194,  2195,  1798,
    1121,   362,     0,     0,     0,     0,  1084,  1091,  1101,  1096,
    1098,  1097,  1099,  1095,  1100,  1710,   730,  1723,   730,  1788,
     727,   728,   730,   730,   730,  1875,     0,     0,   702,     0,
     713,  1701,   730,  1702,  2453,   735,   412,   412,   412,     0,
     734,   739,   412,     0,   983,  1017,  1681,  1204,     0,  1723,
    1788,   703,   982,  1923,  1113,     0,     0,   901,     0,   902,
       0,  1890,   994,   234,  2393,  1899,  1981,  1923,  2394,   230,
    2388,  2389,  2391,   204,  2392,  2390,  2387,  1714,     0,     0,
     734,     0,   991,   992,  1211,  1209,     0,     0,     0,  1731,
       0,  1743,  1822,   227,  1886,  1891,  1899,  1981,  1923,  1948,
     186,     0,   241,  1899,  1981,  1923,     0,  1010,     0,  1184,
    1291,  1672,     0,     0,  2203,   985,   984,  1297,     0,  1085,
       0,  1088,     0,  1256,  1873,  1188,  1190,  1090,  1181,     0,
    2093,  1079,  1208,  1208,     0,  1208,     0,  1173,  1181,  1176,
    1180,     0,  1002,     0,  2171,  2199,  2178,  2234,  2175,     0,
       0,  2224,  2220,  2217,  2225,  2226,  2219,  2207,  1378,  1379,
    1380,  1377,  1390,  1376,     0,  2152,  1381,  2191,  2158,     0,
    2166,  2165,  2470,  2471,  2281,  2104,  2123,     0,     0,     0,
       0,     0,     0,     0,  2250,  2252,  2254,  2214,  2213,  2209,
       0,     0,     0,     0,  2339,  2340,  2338,     0,  2335,  2337,
       0,  2234,     0,  2404,  2398,  2407,     0,  1682,  2399,  2396,
    2395,     0,   663,   127,   777,     0,     0,     0,     0,     0,
       0,     0,  1577,  1735,  1784,  1587,  1585,  1586,  1579,  1580,
    1581,  1582,  1583,  1584,     0,   882,  1578,     0,   127,     0,
       0,     0,     0,     0,     0,     0,     0,  1826,   127,     0,
       0,     0,     0,     0,  1006,  1009,   987,  1067,     0,  1672,
       0,     0,   688,     0,   697,   689,   694,     0,   691,     0,
       0,   699,     0,   690,   692,   693,   698,     0,     0,   695,
     696,     0,     0,   998,   412,     0,     0,     0,     0,     0,
     127,  1054,     0,   361,   360,   127,   359,   358,  1735,  1784,
       0,   813,   127,     0,   179,   529,   504,     0,     0,   593,
    1826,   127,     0,     0,     0,     0,   791,     0,     0,   488,
     501,     0,  2115,  2121,     0,  2113,  2282,  2545,  2543,  2237,
       0,  1133,   888,   228,   229,   886,  1797,     0,   299,     0,
       0,  1797,  1045,     0,  1797,     0,  1797,   172,  1674,  1735,
    1784,  1797,     0,     0,  1797,   164,  1797,     0,  1797,   299,
    1797,   505,     0,  1797,     0,  1797,  1826,   166,     0,  1797,
     299,   661,     0,     0,  2475,  2479,     0,  2477,  2472,  2193,
    2247,  2246,  2145,     0,  2555,     0,  1160,  1093,  1106,     0,
    1102,  1109,  1105,     0,   730,   729,     0,   730,     0,  2564,
     730,     0,   730,     0,  2564,   730,     0,     0,     0,   730,
    1703,  1704,     0,     0,  2563,  2561,  2562,   704,   714,     0,
     736,     0,     0,   743,   742,   741,     0,     0,     0,   744,
       0,  1295,  1136,     0,   711,     0,   709,     0,   980,   997,
       0,     0,     0,     0,   904,   904,   904,   993,   233,   231,
       0,     0,     0,     0,     0,     0,   999,     0,     0,  2459,
    1688,  1588,  2458,     0,  1952,  1953,  1954,  1646,     0,  2400,
    1955,  1956,  1505,  1492,  1501,  1506,  1493,  1495,  1502,  1957,
    1958,  1770,  1959,  1960,  1695,  1961,  1962,  1333,  1964,  1965,
    1966,  1497,  1499,  1967,  1968,     0,  1696,  1970,  1971,  1850,
    1973,  1974,  1976,  1977,  1503,  1979,  1980,  1981,  1982,  1983,
    1984,  1694,     0,  1504,  1985,  1987,  1988,  1989,  1990,  1991,
    1992,  1993,     0,     0,  1669,     0,  1478,     0,  1325,  1326,
    1348,  1349,  1327,  1354,  1355,  1367,  1328,     0,  1668,  1392,
    1477,  1483,     0,  1476,  1472,  1195,  1664,     0,  1473,  1684,
    1647,  1698,  1697,  2453,  1655,  1687,  1685,  1686,     0,     0,
       0,   197,     0,     0,  2328,   243,     0,   244,  1670,  1899,
     187,   226,   199,   225,   200,   198,     0,  1733,   188,     0,
     195,     0,     0,     0,     0,     0,     0,     0,   237,   988,
       0,  1293,  1292,     0,     0,  1653,  1673,   670,     0,     0,
    1298,     0,  1077,  1078,  1076,     0,  1073,  1075,  1087,  1084,
    1660,  1659,  1661,     0,  1189,     0,     0,     0,  1171,  1170,
    1090,  1206,  1207,     0,     0,     0,     0,     0,     0,     0,
       0,  1249,  1222,  1223,  1225,  1246,  1250,     0,  1177,  1257,
    2092,  2234,  2235,     0,  2229,     0,  2228,  2228,  2222,  2221,
    2218,     0,     0,     0,     0,     0,     0,     0,  2149,   483,
    2151,   481,     0,     0,  2125,     0,  2129,  2127,     0,  2274,
    2277,     0,  2275,  2276,  2278,     0,  2283,  2284,     0,     0,
       0,  2466,     0,     0,  2265,  2253,  2260,  2262,  2264,  2263,
    2272,  2268,  2271,  2273,  2215,  2228,  2346,     0,  2341,  2344,
       0,  2336,     0,     0,     0,  1683,     0,     0,     0,   664,
       0,     0,     0,   126,  1043,   236,  1041,     0,     0,     0,
       0,     0,  1048,     0,     0,     0,     0,   846,     0,     0,
       0,     0,     0,     0,   847,   845,   848,   855,   868,   871,
       0,   767,   170,   171,     0,     0,     0,   931,     0,     0,
     931,     0,     0,     0,     0,     0,     0,     0,   253,   256,
       0,     0,     0,     0,     0,     0,     0,     0,   131,     0,
       0,     0,     0,   468,   480,     0,     0,     0,     0,     0,
     477,     0,   127,   254,   462,   465,     0,     0,     0,   538,
     537,   931,     0,   252,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   131,
     163,     0,     0,   255,     0,  2159,     0,  1004,  1005,     0,
    1008,     0,  1063,     0,     0,     0,     0,     0,     0,  1735,
    1784,     0,     0,     0,     0,     0,     0,   338,   318,   319,
     127,   317,     0,     0,   590,     0,  1336,  1365,  1343,  1365,
    1365,  1332,  1332,  1345,  1334,  1372,     0,  1365,  1332,  1337,
       0,  1335,  1375,  1375,  1360,     0,  1317,  1318,  1319,  1320,
    1346,  1347,  1321,  1352,  1353,  1322,  1389,  2405,  1332,  2406,
    2403,  2402,     0,  1020,  1053,     0,     0,   129,   629,     0,
       0,   591,     0,   129,     0,   175,     0,   533,     0,     0,
       0,     0,     0,     0,   549,   548,     0,     0,   592,     0,
     129,   464,     0,   454,   412,     0,   790,   793,     0,     0,
       0,  2119,  2114,  2117,     0,  2107,  2121,  1163,  1165,  1164,
       0,  1162,     0,  1305,     0,   299,   297,   298,   588,   896,
       0,     0,     0,     0,   299,     0,     0,  1797,     0,  1797,
       0,     0,   299,   299,     0,     0,     0,     0,   534,     0,
     660,   658,   657,   659,     0,     0,     0,     0,     0,  1797,
     299,     0,     0,   648,  2473,     0,     0,  2476,     0,  2196,
    1598,     0,  2558,  1118,  2559,     0,     0,     0,     0,   215,
     216,   214,  1107,   217,  1108,  1104,  1092,     0,   722,     0,
    2564,  2565,   707,     0,   717,     0,  2564,   705,     0,   718,
     715,   716,     0,     0,     0,  2560,  2444,  2450,   721,     0,
       0,   413,   415,     0,     0,  1756,     0,  1789,  1814,  1815,
    1891,  1895,     0,  1918,     0,   745,   772,   740,     0,     0,
    1130,  1123,     0,     0,  1146,   712,   710,   981,  1111,  1604,
       0,     0,     0,   903,   900,   899,   898,   232,   205,     0,
       0,     0,   774,  1890,   996,     0,     0,  1481,  1482,  1364,
    1351,  1645,     0,     0,  1359,  1358,     0,     0,     0,     0,
    1341,  1340,  1339,  1480,  1612,     0,  1338,     0,     0,     0,
       0,  1365,  1365,  1363,  1411,     0,  1342,     0,     0,  1625,
       0,  1631,     0,     0,     0,  1371,     0,  1369,     0,     0,
    1447,     0,     0,     0,     0,     0,     0,     0,  1395,  1396,
    2401,  1478,  1598,     0,  1479,  1691,     0,     0,  1357,     0,
    1389,  1588,     0,     0,     0,     0,  1658,  1596,     0,     0,
    1425,  1594,     0,  1427,     0,     0,     0,  1587,  1585,  1586,
    1579,  1580,  1581,  1582,  1583,  1584,  1592,  1408,     0,  1667,
       0,  1407,     0,     0,  1259,  1194,     0,  1689,  1648,     0,
    2451,  2454,  1474,  2325,  2324,  2323,  2322,  2293,     0,  2287,
    2288,     0,  2326,  2327,   245,   246,   242,     0,     0,   202,
     201,     0,   223,   224,   194,   222,     0,   218,   219,  1544,
    1543,   203,   193,   191,   189,   206,   208,   209,   192,   190,
     240,   238,     0,     0,     0,  1650,  1649,  1679,  1654,     0,
       0,   299,  2228,  1299,     0,  1259,  1148,  1150,  1151,     0,
    1655,  1071,     0,  1068,  1663,     0,  1191,     0,     0,  1080,
    1187,  1186,  1215,  1216,   806,  1185,  1240,  1241,  1236,     0,
    1255,  1255,  1232,  1226,  1231,  1229,     0,  1233,  1392,  1248,
    1175,  1220,  1221,  1224,  1174,     0,  1251,  1249,  1225,     0,
    2236,  2234,  2174,  1317,  2228,  2167,  2228,  2223,  2155,  1383,
    1384,  1385,  1386,  1387,  1388,  2156,     0,  2153,  1382,  2154,
     482,     0,     0,     0,  2122,     0,  2103,  2128,  2259,  2368,
    2291,     0,  2292,     0,     0,  2256,     0,  2266,  2269,  2267,
    2270,     0,  1317,  2447,  2342,  2447,  1317,     0,     0,     0,
       0,     0,     0,     0,   665,     0,     0,     0,  1918,   235,
    1039,     0,     0,     0,     0,   776,   775,     0,     0,   795,
       0,     0,     0,  1051,   405,     0,   296,     0,     0,     0,
       0,     0,     0,     0,   853,     0,     0,     0,     0,   854,
     851,   852,  1891,   870,   869,   867,   828,   830,   829,     0,
     832,   816,     0,   817,     0,     0,   827,   835,   833,     0,
       0,     0,  1778,   258,   270,     0,   930,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   289,     0,     0,
       0,     0,   294,     0,     0,     0,   293,     0,     0,     0,
       0,     0,     0,     0,   883,     0,     0,   158,   161,     0,
       0,   467,   479,     0,   471,   472,   469,   473,   474,     0,
       0,     0,     0,     0,     0,   466,     0,     0,   531,   530,
     536,     0,     0,     0,     0,     0,   924,   923,     0,     0,
       0,     0,     0,     0,     0,     0,   540,   541,     0,   542,
       0,   162,     0,     0,     0,     0,     0,     0,   213,  1003,
    1007,  1066,  1680,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   323,     0,   613,  2402,   589,     0,  1317,
       0,  1313,  1309,  1378,  1377,  1376,     0,  1323,  1332,  1329,
       0,  1018,   379,   497,   168,     0,     0,     0,   601,   604,
       0,   125,   179,   362,     0,   178,   180,   182,   183,   184,
     181,   185,   528,   532,     0,   503,     0,     0,     0,     0,
       0,   553,   552,   556,   554,     0,   550,     0,     0,     0,
     157,   461,   463,  2100,     0,   364,   443,     0,     0,     0,
     792,     0,     0,     0,     0,     0,  2120,     0,     0,     0,
       0,  1161,     0,  1269,  1132,  1260,  1271,  1262,  1264,  1300,
       0,  1672,     0,  1130,     0,   874,     0,  1046,  1797,   299,
       0,   872,   173,  1675,     0,     0,     0,     0,     0,   876,
     645,   165,     0,   299,   299,   506,     0,   299,   167,     0,
       0,     0,   498,   299,   662,  2474,  2480,  2478,  1120,     0,
    2556,  2557,   454,  1165,  1094,  1103,   719,   726,   708,   725,
     724,   706,   723,   720,  2258,     0,     0,  2449,     0,   737,
       0,   411,     0,     0,     0,   751,     0,     0,   750,   765,
     752,     0,   754,   747,   746,   755,     0,     0,   774,  1125,
       0,  1126,  1655,     0,  1122,     0,  1143,     0,  1141,     0,
    1296,  1145,  1134,  1112,     0,  1110,  1115,  1117,  1116,  1114,
       0,     0,     0,   734,     0,     0,   299,   995,     0,  1608,
       0,  1609,     0,     0,     0,  1644,  1640,     0,     0,     0,
       0,     0,  1616,  1617,  1618,  1615,  1619,  1614,     0,     0,
    1620,  1613,     0,     0,     0,     0,     0,  1362,  1361,     0,
       0,     0,     0,     0,     0,     0,  1450,  1483,     0,     0,
    1572,     0,  1598,  1630,     0,     0,  1373,     0,     0,     0,
       0,     0,     0,     0,  1598,  1636,     0,     0,     0,  1542,
       0,  1539,     0,     0,     0,     0,  1655,     0,     0,     0,
       0,  1692,  1393,  1409,  1666,     0,  1657,     0,     0,  1416,
       0,  1637,  1443,     0,  1448,  1431,     0,  1424,     0,  1429,
    1433,  1412,  1658,  1597,     0,  1595,     0,     0,  1410,     0,
    1405,  1403,  1404,  1397,  1398,  1399,  1400,  1401,  1402,  1406,
    1576,  1574,  1575,     0,     0,     0,  1428,  1791,  1822,     0,
    1205,  1205,  1193,  1203,  1665,     0,  1302,     0,     0,     0,
       0,  1555,     0,  1602,     0,  1600,  1682,  2456,  2455,  1656,
       0,     0,     0,  1671,     0,     0,  1389,     0,   239,  1294,
    1651,     0,   668,   669,   667,  1317,  1155,     0,     0,  1305,
       0,  1154,  1090,  1074,  1070,  1069,  1662,  1089,  1192,     0,
     804,   805,     0,   809,     0,     0,  1234,  1247,     0,  1146,
    1146,     0,  1238,  1239,  1230,  1179,  1178,  2172,  2230,  2177,
    2198,  2168,  2201,  1391,  2150,  2190,     0,  2124,  2294,  2295,
       0,  2285,  2286,  2255,  2261,  2332,     0,  2448,     0,     0,
     611,   610,     0,     0,     0,   942,   906,   666,   943,   907,
    1040,     0,  1042,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   299,  1049,   944,   295,
    1050,   935,     0,     0,     0,   511,   512,     0,   849,   850,
     945,   908,     0,   936,   831,  1332,   815,     0,     0,   826,
       0,   825,  1332,  1332,   909,   169,   259,   379,   933,   275,
     288,   283,   284,   282,  1797,   299,  1797,   299,     0,     0,
       0,     0,   285,   280,   281,   277,   290,   291,   917,     0,
     305,   308,   292,   273,   276,   274,   257,     0,     0,  1678,
       0,     0,   878,     0,     0,   160,   920,     0,   140,   142,
     144,     0,   138,   146,   141,   143,   145,   139,   147,   137,
       0,   136,     0,     0,     0,   130,   951,   913,   470,   475,
     915,   478,   938,   476,  1713,  1771,  1900,     0,   518,   520,
       0,   525,   957,   914,     0,   937,   953,   922,     0,     0,
       0,     0,     0,     0,     0,  1055,     0,     0,     0,   952,
     929,   940,     0,   921,   916,   939,     0,     0,   211,   210,
     212,     0,     0,     0,     0,     0,     0,     0,     0,   701,
     677,   700,     0,     0,     0,     0,     0,     0,     0,   671,
     337,   315,   316,     0,     0,   314,   320,   612,     0,     0,
       0,  1314,  1310,     0,     0,     0,     0,     0,     0,  1330,
       0,     0,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1019,
    1047,   496,   514,     0,     0,     0,     0,   151,   128,     0,
     634,   600,     0,     0,   412,   174,     0,     0,     0,   502,
     599,   597,   596,   598,     0,     0,     0,   617,     0,  1306,
       0,     0,     0,     0,   366,     0,     0,   363,   367,   371,
     372,   373,     0,   455,   457,     0,     0,   447,     0,     0,
       0,   820,     0,   838,   821,     0,     0,     0,   858,   863,
     859,   841,     0,   486,  2118,  2112,  1166,  1167,     0,  1181,
       0,  1271,     0,  1270,  1282,     0,     0,  1288,  1286,     0,
    1288,     0,  1288,     0,  1263,     0,  1265,  1282,     0,  1673,
       0,  1303,  1131,   299,     0,     0,   508,   299,     0,   299,
       0,   299,   299,     0,   978,   535,     0,   585,     0,     0,
     299,   647,  1599,     0,     0,  2257,  2445,   738,   414,     0,
       0,     0,     0,   749,     0,   484,   753,     0,   764,   759,
     761,     0,   768,     0,     0,  1128,     0,  1144,  1137,  1139,
    1138,     0,     0,  1135,  1605,   646,     0,     0,   299,     0,
     769,  1210,  1606,  1607,     0,     0,     0,     0,  1641,     0,
       0,  1518,  1494,  1496,  1331,  1508,     0,  1344,  1519,  1520,
    1498,  1500,     0,  1589,     0,     0,  1509,  1452,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1465,  1464,  1510,  1571,     0,     0,  1628,  1629,
    1511,  1374,  1375,  1375,     0,     0,  1635,     0,     0,     0,
    1516,  1521,     0,     0,  1526,     0,  1547,     0,     0,     0,
    1475,  1599,  1366,  1367,     0,     0,     0,     0,     0,     0,
       0,     0,  1449,  1432,  1426,     0,  1430,  1434,     0,     0,
       0,     0,  1418,  1444,  1414,     0,     0,  1420,     0,  1445,
    1205,  1205,  1205,  1205,  1202,     0,     0,  1258,     0,  1243,
    1214,  1214,     0,  1555,     0,  1484,     0,  1555,     0,     0,
    2307,  2309,  2310,  2311,  2312,  2313,  2315,  2316,  2318,  2319,
    2320,  2308,  2314,  2317,  2321,  2298,  2299,     0,  2289,  2290,
     196,     0,   220,   207,     0,  2332,     0,     0,  1149,  1130,
    1152,  1072,  1217,     0,  1590,   809,   807,   808,  1219,     0,
       0,  1254,  1253,  1252,  1227,     0,  2232,  2160,     0,     0,
    2331,  2334,  2345,  2343,  2170,   941,   905,   934,  1038,   779,
     780,     0,   778,     0,     0,     0,   404,   794,     0,     0,
       0,     0,  1052,   495,     0,   494,   490,   510,   843,     0,
    1332,   818,   823,   824,     0,   376,     0,     0,     0,   260,
       0,     0,   272,     0,   268,   286,   278,   287,   279,   302,
       0,     0,     0,   947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   948,     0,     0,   133,   132,     0,   150,
       0,   522,   523,   521,   517,     0,   524,   526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     946,   910,   672,     0,     0,   673,   681,     0,     0,   674,
       0,     0,     0,     0,     0,     0,   683,   340,     0,   343,
     350,   324,   328,  1054,  1054,     0,   329,  1054,   325,  1054,
     322,   614,     0,  1850,  1579,  1580,   608,   615,   605,   607,
     606,   609,   580,     0,     0,     0,  1315,     0,  2546,  2554,
    2553,     0,  1389,     0,  1038,  1037,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   390,     0,     0,   384,
       0,     0,   863,   378,   381,   382,     0,   507,   153,     0,
       0,   154,   152,     0,   602,   603,     0,   362,     0,     0,
     555,   558,   551,     0,   616,   618,   594,     0,  1308,   514,
    1121,   460,     0,   443,   397,   439,     0,   453,     0,   441,
     440,   442,     0,   449,  1016,     0,   795,   819,     0,     0,
       0,   856,   860,   857,     0,     0,   834,     0,   842,   812,
     973,   974,   971,   972,     0,     0,  2135,  1157,  2144,  1273,
    1280,     0,  1261,     0,  1287,  1283,     0,  1284,     0,     0,
    1285,     0,     0,  1280,     0,     0,     0,   875,     0,   299,
     873,     0,   641,     0,   643,   877,   299,   299,   543,     0,
     499,   457,     0,     0,     0,     0,   748,   766,     0,   762,
       0,     0,   731,   771,  1124,  1127,  1129,  1142,  1140,   774,
       0,   732,   773,  1610,  1350,     0,  1643,  1639,     0,  1611,
       0,  1623,  1622,  1451,  1624,     0,  1470,     0,     0,  1462,
    1460,  1461,  1454,  1455,  1456,  1457,  1458,  1459,  1463,  1633,
    1632,  1626,  1627,  1370,  1368,     0,  1513,  1514,  1515,  1634,
    1522,     0,  1541,  1540,     0,     0,     0,  1528,     0,     0,
    1537,     0,  1573,  1356,  1389,  1394,     0,     0,  1417,  1638,
    1435,     0,     0,     0,  1413,     0,     0,     0,     0,  1422,
    1589,     0,     0,     0,     0,     0,     0,  1197,  1196,  1301,
       0,  1245,     0,     0,  1213,     0,  1555,  1491,  1558,  1553,
    1554,  1603,  1485,  1690,     0,  1601,  1555,     0,     0,     0,
    1652,  2330,     0,  1156,  1147,     0,  1218,  1235,  1228,  2176,
       0,  2231,  2296,  2297,     0,   785,   786,   784,     0,     0,
       0,   580,     0,     0,   420,     0,   803,   803,     0,     0,
     863,   956,   491,   844,     0,   836,     0,   265,   932,     0,
       0,     0,   264,     0,   299,   299,   306,   307,   310,     0,
       0,     0,     0,     0,   635,   621,     0,     0,   636,   637,
       0,     0,   880,   881,   879,   148,   134,   135,   149,   519,
     918,     0,     0,     0,     0,     0,   955,   928,   954,   926,
     925,   927,   919,   545,     0,   675,     0,     0,   676,   687,
     685,   684,   686,   678,   341,   127,     0,   321,     0,   348,
       0,   346,   345,   347,     0,     0,     0,     0,     0,     0,
     582,     0,     0,   587,   576,   578,     0,     0,     0,  1311,
       0,     0,     0,     0,     0,     0,  1316,  1324,   575,     0,
    1029,  1028,  1027,  1031,  1030,  1033,  1032,  1024,  1023,  1036,
    1035,  1022,  1021,  1026,  1025,     0,     0,   388,   392,   393,
     391,   383,   863,   412,   451,     0,   156,   155,     0,     0,
       0,     0,   560,   564,   595,     0,  1307,   539,  1119,     0,
    2101,     0,   369,   374,   375,     0,   447,   394,     0,   443,
     368,   456,     0,     0,   452,     0,  1011,     0,     0,   822,
     839,   840,     0,     0,   863,   862,     0,   493,     0,  2108,
    1272,     0,     0,  1274,     0,     0,  1276,  1278,     0,     0,
       0,     0,     0,  1676,  1555,  1304,   299,   509,   299,   299,
     979,   586,     0,   758,   757,   756,   485,     0,   760,   299,
       0,  1642,  1507,  1517,  1621,     0,     0,  1471,     0,     0,
    1512,  1986,     0,     0,  1545,  1546,  1527,     0,  1835,  1532,
       0,     0,     0,  1693,  1441,  1439,  1436,     0,  1437,     0,
       0,  1419,  1415,     0,  1421,  1446,  1201,  1200,  1199,  1198,
       0,     0,  1549,  1555,  1555,  1486,  1560,  1557,     0,  1488,
    2300,     0,  2303,  2301,  2302,  2306,  1389,  1153,     0,  2233,
    1044,     0,     0,     0,   406,     0,   863,     0,     0,     0,
     801,   806,   806,     0,   863,   451,   837,   261,   262,   263,
     266,   301,   271,   267,     0,   949,   911,     0,     0,   627,
       0,     0,     0,     0,   950,   912,     0,     0,     0,  1060,
       0,     0,   679,   680,   323,     0,   344,   353,     0,   351,
     326,   331,     0,   333,   332,   327,   330,   584,   583,   581,
     577,   579,  1312,     0,   894,   894,  2547,  2548,  2549,  2550,
    2551,  2552,     0,   580,  1034,     0,     0,   380,   451,   419,
       0,   385,     0,   515,     0,  1016,   364,   514,   559,     0,
       0,     0,   619,   458,     0,   365,     0,     0,   449,     0,
       0,     0,   447,     0,   444,     0,   448,     0,     0,     0,
       0,     0,   861,     0,   865,     0,   833,   810,  1302,     0,
     497,  2134,  2138,     0,  1281,  1290,     0,  1277,  1275,  1266,
       0,  1268,   895,   642,   644,   544,   763,   770,   299,  1466,
       0,     0,     0,     0,  1523,     0,  1524,  1529,  1533,     0,
    1530,  1531,  1438,  1442,  1440,  1423,  1242,  1244,     0,  1182,
    1489,  1490,     0,  1214,  1555,  2305,  2304,   221,  1591,   764,
       0,   299,   803,   451,   421,  1850,   422,   802,   809,   809,
       0,   451,   580,     0,   269,   309,     0,     0,   633,   622,
       0,     0,   638,     0,     0,     0,     0,     0,   682,   313,
     339,   349,     0,   334,   894,     0,   891,   890,   574,     0,
     387,   386,     0,   430,     0,   513,     0,   631,  1012,   527,
     561,   562,   557,     0,     0,   459,   370,   379,   355,   403,
     402,   399,   398,   400,   401,   396,   395,     0,   449,   445,
     446,     0,  1013,     0,  1062,     0,   796,   864,     0,     0,
       0,   492,   487,     0,  2136,  1279,     0,  1267,   733,  1467,
       0,  1468,     0,     0,  1535,  1534,  1548,  1550,     0,     0,
    1563,  1487,   781,     0,   782,   806,   425,     0,   799,   798,
     412,   580,   407,   300,     0,   625,   632,   623,   633,     0,
       0,  1056,     0,  1057,  1058,  1061,   352,   889,   893,   892,
       0,   416,   417,   418,     0,   389,   426,   427,     0,   516,
       0,     0,     0,     0,   377,   438,   354,  1014,  1015,   304,
       0,   863,   866,   977,  2139,  2141,  2140,     0,  1289,  1469,
    1538,  1525,  1536,     0,     0,  1559,     0,     0,     0,     0,
     809,     0,   580,     0,   419,   408,     0,   624,   640,   639,
       0,     0,     0,     0,     0,   428,     0,   429,   450,   630,
       0,   563,     0,     0,   449,   797,   811,   976,   975,     0,
    2137,  1551,  1552,  1951,     0,  1928,     0,  1561,  1564,  1562,
    1556,   299,   800,     0,   409,   423,   430,     0,  1059,   564,
     435,     0,   434,     0,   432,   431,   620,   567,   303,  1302,
     959,   970,   958,   960,   968,   965,   967,   966,   964,     0,
    1568,  1567,  1566,  1570,  1569,   783,     0,   580,   626,     0,
     433,   437,   436,   572,     0,   565,   568,   573,   571,   569,
     570,   787,     0,   969,   963,  1181,  1168,     0,   424,   410,
       0,   546,     0,   961,   970,  1565,     0,   566,   962,     0,
     567,     0,   547
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1654,  2454,  2357,  3057,  3058,   249,
     250,  1709,   251,   252,   253,   254,   255,   256,   257,  1685,
     258,   259,  1243,  1835,  2465,   260,  2269,  1041,  2144,  2145,
    2409,  2146,  2134,  1512,  1933,  1655,  1677,   262,   263,  1506,
    2126,   264,   265,   266,  1698,  1699,  1662,  1878,  4224,  2346,
    4404,  2919,  2920,   267,   268,  3023,  1780,  3025,  3026,  3490,
     855,  2432,  3845,  3846,  3478,  3479,  3852,  4088,  4089,   269,
    1832,  3086,  3563,  3087,  3921,  3088,  3922,  3089,  3923,  3050,
    3533,  3534,  3535,  3090,  3927,  4275,  3091,  2284,  1363,  1960,
    1961,  4253,  3773,  3774,  4382,  4345,  4346,  4347,  4434,  3929,
    3097,  3573,  3934,  4121,  1852,  2496,  3092,  3093,  3920,   270,
     271,  2491,  1724,  1725,  2363,  3496,  3176,   272,  1260,  3395,
    4160,  3051,  3052,   273,   843,   274,  1839,   275,   276,   277,
     278,  3537,  4122,  1729,  2967,  2968,  2969,  2970,  3446,   279,
    1837,  1730,  2474,   280,   281,   282,  2398,   283,   284,   285,
    1846,  2485,  2486,  3913,  4129,  4262,  4131,  4464,  4465,  4113,
    3863,  3864,  3865,   286,   287,   288,   289,  1831,  2457,  2458,
    3497,  1644,  1784,  2434,  2435,  3553,  3554,   290,  3804,  3805,
     882,  4351,  4327,   291,   292,  3808,  3809,   293,   294,   295,
     296,   297,   934,  1310,  1311,  2893,   298,  2161,   299,  1222,
    3010,   300,   968,  1335,  1336,   301,   302,   979,  2623,   981,
    1974,  3178,  3179,  3642,  2588,  1157,   303,   304,  2598,  2626,
     305,  1657,  2275,  2276,  3768,   306,   883,  1857,  2499,  2862,
    4285,  3775,  4051,  2803,  3358,   307,   884,  1681,  2312,  2502,
    3102,  3103,  2314,  2762,  3585,  2316,  3104,  3109,  3110,  3111,
    3581,  3589,  4154,  4155,   308,  1679,  2305,   309,   310,   311,
    1704,  1174,   312,   906,   907,   313,  4246,   314,  1280,   315,
    1000,  1994,   316,  2327,  3410,   317,   318,   319,  4442,  4472,
    4473,  4474,  3594,  4409,   320,  4444,  1378,   322,   323,   324,
     846,  1194,  1195,  1196,   325,  3936,   326,   327,  2451,  3049,
    3516,   328,   329,  2270,  2852,   330,   331,   332,  1825,   333,
     334,   335,   336,  1762,   337,  1545,  1546,   338,   339,   850,
    1061,  1549,  1557,   340,   947,  1329,  1330,  1331,  1935,   341,
    1382,  2615,   948,  1324,   949,  1980,  2600,  2601,  2604,   950,
    1873,   345,  1984,  2609,  2612,   951,  2165,  2166,  2167,  2168,
    2169,  2787,   952,   970,  1270,  2510,   953,  1466,   350,   351,
     352,   353,  1065,  1066,  2104,  2752,   988,  1563,  1026,  1076,
    3734,  2182,  2183,  2203,  2204,  1572,  1573,  2193,  2195,  2805,
    2196,  2814,  2188,  3731,  4022,  2199,  2200,  1575,  1576,  2809,
     354,  2756,  2514,  2515,  2516,  3123,  3133,  3605,  3956,  2517,
    1372,  1058,  2518,  3309,  2523,  3078,  3079,  2317,  2442,  1806,
    1467,  1807,  2449,  1468,  2026,  1809,  1469,  1470,  1471,  1812,
    1472,  1473,  1474,  1475,  2010,  2068,  1476,  1477,  2045,  1105,
    1106,  1920,  2665,  1479,  1480,  3700,  4001,  3992,  2690,  2691,
    2141,  3696,  4199,  4306,  4307,  3742,  3739,  4026,  4203,  4378,
    4417,  4418,  1481,  2743,  2096,  1176,  1482,  3499,  2098,  2685,
    2764,  2765,  2258,  2008,  2632,  2648,  2649,  2662,  3225,  2669,
    2674,  3248,  3249,  2686,  2712,  1483,  2635,  2636,  3209,  2012,
    1484,  1535,  1536,  2112,  2708,  1552,  1553,  1063,  1485,  1486,
    1975,  1050,  3952,  1288,   686,  2928,  2156,  1198,   985,  1487,
    1488,  1489,  3180,  1599,   648,   687,   688,  1143,   799,     2,
      75,   954,  3083,   358,   359,   886,   887,   888,  1262,  1263,
    1862,  1865,  1604,  2236,   652,   653,   704,  3949,  4161,  4294,
     940,   360,   361,   362,   363,  1600,  2232,  1107,    76,    84,
      77,  1108,   400,   401,  2214,   364,   816,   365,  1581,  1087,
    3366,   366,   367,   368,   369,   370,   937,   371,  1089,   372,
    1090,   373,   374,   375,   376,  1097,   377,  1583,  1584,  3761,
    1585,   378,   379,   690,   691,  1322,   380,   381,  1124,  1125,
    1354,  1355,  1610,  1625,  1626,  1627,   382,   660,   383,   384,
     385,  1616,  1617,   386,  2119,  2120,  2241,  2121,   387,  2828,
    2829,   388,  3335,  3336,  4033,  3337,   389,  2115,   390,   391,
    1053,  3371,   392,   812,   393,  1138,   692,   693,   694,  1145,
     802,  1013,   705,  1147,  2971,   804,   805,   696,   697,   698,
    1955,    78,  2836,  1956,  1491,   706,  1492,  2110,  1493,  1494,
    1495,  1496,  1497,  1633,   700,  1114,  1314,  1315,  2837,  1317,
      82,  1318,   397,  3511,  1923,  1356,  1941,  1942
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3926
static const int yypact[] =
{
   -3926,   397,  8633, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, 22517, -3926,
   -3926, -3926, -3926, -3926, 86453,   356, -3926, -3926, -3926, 91275,
   -3926, -3926, -3926,   321, 60533, -3926, 63413,   688, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, 66773, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, 49481,   963, -3926,
     371, -3926, -3926, -3926, -3926, -3926, -3926, -3926,  1196,  4053,
   -3926, -3926, 63893, -3926,   187, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, 64373,   541, -3926,   578,  1099, -3926,    73, 11781,
   -3926, -3926, 57173, 61493, -3926, -3926, 67253,   871,   370,  1584,
   11027,  1196, 22034, 67733, -3926,  2612, -3926, 46560, -3926, -3926,
   -3926, 61013, -3926, -3926, -3926, -3926,   858, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, 73493,  2415,   757, 47049, -3926,
   -3926, -3926, -3926, 73493, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, 68213, -3926,   977,  1016, 73973, 74453,
   58613, -3926,  1251, -3926, 73493,  1002, 49000, -3926, 74933, -3926,
   -3926,   760, -3926, 68693, -3926, -3926, -3926, -3926,   757, -3926,
   49481, 45598, 68693,   110,  1122, -3926, -3926, 75413, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926,  1162,   850, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,   541,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,   616,
   -3926,  1008,   737,  1271,  1144, -3926, -3926, -3926, 10598, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, 87884,  1358, -3926, -3926,
   -3926,  1205, -3926,  1238, -3926, -3926, -3926,  1990, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926,  1253, -3926, -3926, -3926, -3926,
    1720, 86930, 66773, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, 56693, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926,   166, -3926, -3926, -3926, -3926, -3926, 66773,
   66773, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, 66773,  1337, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,   445,  1538,
   -3926, -3926, 49481,  2032,  2032,  1846, 87884, -3926, -3926, -3926,
   50443, 73493, 73493,  1517, 73493,  1712, 50443, 94574, 73493,  1610,
   41677, -3926, 94574, 73493, 73493, 73493, 68693, 73493,  1564, 73493,
   73493, 94986, 73493,  1689, -3926,  1938,   539, -3926, -3926, -3926,
   73493,  4543,  2415, -3926, -3926, 73493,  1546, 50443, 73493,  1490,
    1548, 73493, -3926, 73493,  1854,  1091, 94574,  1473, 42170,  1662,
   94574, 73493, 73493, 73493, -3926, -3926,  1670, 73493, 73493, -3926,
   95398,  1384,  1936,  1847,   941, -3926, -3926,  2021,  1608, -3926,
   -3926,  2048, 66773, -3926, 64853, -3926, -3926, -3926,  1879, -3926,
   68693, -3926, -3926, -3926, -3926, 92514,  1584, -3926, -3926, 50924,
   73493,  1889, -3926, 75893, -3926,  1962, 51405, 76373, -3926, 42663,
    2024, 76853, 77333, -3926, -3926, 77813, -3926, 78293,  1752, 78773,
   -3926, 79253, -3926,  1893, 79733, -3926, 13133, -3926,  1654,  2104,
    1694,   773, 66773, 66773,  1875, 89185,   541, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926,   113,   153, 47538,   569, 48027,
   -3926, -3926,   666,   781,   826,   113,  2105,  2105,    38, 66773,
   -3926, -3926,   153, -3926,   402,   -23,  1719,  1719,  1719,  1896,
     705, -3926,  1719, 73493, -3926, -3926, -3926, -3926, 68693, 47538,
   48027, -3926,  1722,  2415,    37,  2111, 73493, -3926, 73493, -3926,
   73493, 73493, -3926, -3926, -3926,  2127,  1772,  1999, -3926,  1756,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926,  1955,  1958,  1968,
      19,  2415,  1860, -3926, -3926,  1981, 27421,   868, 66773,  2415,
   48516, 69173, 84533,   183, 92514,  2415, 80213,  1828,   539,  1986,
   -3926,   214, -3926,  2206,  1848,  2094,   146,   539, 39248, -3926,
    1878,  1372, 68693, 88361, -3926, -3926, -3926, 80693,  1985, -3926,
     330,  2154, 27919, -3926, 73493,  1887, -3926,  1901,  1915,  1918,
   -3926, 73493,  1106,  1106,  2275,  1106,  1479,  1585, -3926,  2482,
   -3926,  1122,  1196,  1920, -3926, -3926, -3926,  1945, -3926,  1960,
    1973, -3926,   458,  2187, -3926, -3926, -3926, -3926,  2050,  2053,
    2062,  2063,  1951,  2068,   279, -3926, -3926, -3926, -3926,  2299,
   -3926, -3926, -3926, -3926, -3926, -3926,  2399,  2387, 91690, 91690,
     241,   483,   124,   253, -3926, -3926, -3926,  2261, -3926, -3926,
    2260, 73493,  2103, 73493, -3926, -3926, -3926, 81173, -3926, -3926,
    2032,  1945,  2042, -3926,   194, -3926,  1372, -3926,   317,   349,
     368,    28,  2043,  1128, -3926,   148,  2064,  3253,  2049,   318,
    3394,   279, -3926, 73493, 73493, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926,  2071, -3926, -3926,  2046,     9,  1071,
    7232,   770,  3540,  1351,   283,  2255,  1203,  2355,  1201,  4215,
   73493,  2082,  2321,   482, -3926,   431, -3926,  2144,  2278,   782,
   50443,  2101, -3926, 73493, -3926, -3926, -3926, 50443, -3926,  2284,
   43156, -3926, 73493, -3926, -3926, -3926, -3926,  2226, 73493, -3926,
   -3926,  2349, 73493, -3926,  1719,   863,  2121,  2494, 53810, 73493,
    2168,  2537,  2183, -3926, -3926,  2168, -3926, -3926, 73493, 73493,
    2178,   840,  2168,  2567,  2571,  2215,  2345,   736,  1768,    83,
    2469,  2168, 73493, 73493, 73493, 73493,  2549, 50443, 73493, -3926,
    2356, 69653, -3926,  2207,  2021, -3926, -3926, -3926, -3926, -3926,
     895,  2250, -3926, -3926, -3926, -3926,  2511,  2042,   258,  2518,
    2232,  2523, -3926,  2267,  2539,  2049,  2552,  2266, -3926, 81653,
   82133,  2564,  2071, 73493,  2579,  2266,  2583,  2476,  2609,   258,
    2620, -3926,   762,  2621,  2524,  2657,  1575,  2266, 92926,  2663,
      71, -3926, 15174, 13133, -3926, 14537,  1434, -3926, -3926, -3926,
   -3926, -3926, -3926, 31405,   512,  2457, -3926, -3926, -3926,  1604,
   -3926, 90440, -3926,  1875,   153, -3926, 66773,   153, 66773,    38,
     153, 66773,   153, 66773,    38,   153, 66773, 66773, 66773,   153,
   -3926, -3926,  1864,  1311, -3926, -3926, -3926, -3926, -3926, 66773,
    2383, 73493, 73493, -3926, -3926, -3926, 61973, 73493, 62453, -3926,
     820, -3926,     7, 66773, -3926, 66773, -3926,  2415, -3926, -3926,
    2104, 53810,  2781, 73493,  2664,  2664,  2664, -3926, -3926, -3926,
    2610, 73493,  2670,  2671, 61973, 73493, -3926, 82613,  2394, -3926,
   -3926, -3926, -3926,  1616,  2480,   340,  2504, 31405,  2395,   162,
     162,  2396, -3926, -3926, -3926,   378,  2398,  2400, -3926,   399,
     399,  2556,  2405,  2409, -3926,   418,  2410, -3926,  2542,   428,
    2411,  2416,  2417,  1939,   162, 31405, -3926,  2420,   399,  2422,
    2423,  2426,  2711,  2428, -3926,  2779,  2434,   280,   300,  2435,
    2436, -3926,  2405, -3926,   389,  2437,  2438,  2440,  2441,  2442,
    2444,  2448, 31405, 31405, -3926, 26425,  1372,  2415, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926,    96, -3926,   468,  4872, -3926,
   -3926,  2593, 31405, -3926, -3926,    12, -3926,   477, -3926, -3926,
    1372, -3926, -3926,  1411, -3926, -3926, -3926, -3926,  1054,  1054,
     164, -3926, 63893, 63893, -3926, -3926,   160,  2412, -3926,   861,
   -3926, -3926, -3926, -3926, -3926, -3926, 92102,  2845, -3926,  1342,
     431,   233,  2791, 89600, 90020,  2690,  2690,  2676, -3926, -3926,
   73493, -3926, -3926, 31405, 44636, -3926,  1372,    77,  2693, 73493,
   -3926, 39732, -3926, -3926, -3926,  1622, -3926, -3926, -3926,   541,
   -3926, 10825, -3926,  1685,  1887, 73493, 73493,  2854, -3926, -3926,
    1901, -3926, -3926,  1271,  1271, 31405,  1271,   589,  1277, 28417,
   31405,  2744,  2641,   534,  1121,  2747, -3926,  1479,  1585, -3926,
   -3926,  1945,  2475,  1679, -3926, 55733, 87407, 87407,  2709, -3926,
   -3926,   834,    47,  2582,  2675,  2105,  1318,  1553, -3926, -3926,
    2470, -3926,  2796, 63893,  2527, 91690, -3926, -3926, 73493, -3926,
   -3926, 70133, -3926, -3926, -3926,  1681,  2478, -3926,  2491, 73493,
    2967, -3926,  1553,  1553, -3926, -3926,  2479, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, 87884,  2484, 73493, -3926,  2485,
    2486, -3926, 88361, 45117,  1482,  1372,  2557,  2559, 49481,  2488,
    2561,  2562, 85013, -3926, -3926, -3926, -3926,  1193,   561,  1006,
    2565,   567, -3926, 73493,  2672,   279,  2607, -3926,  2573,  2576,
    2695,   279,   992, 85493, -3926, -3926, -3926, -3926, -3926,  3800,
   24471, -3926, -3926, -3926,  2577,  2566, 57653,  2872,  2691,   791,
    1805,   205, 73493,  2768,  2591,  2596,  2528,  1496,  2526, -3926,
    2688,  2580,  2584, 52848,  2694, 43649,  2862,  2606, -3926,   995,
    2608,  2611,   279, -3926,  2915,   279,   279,  1383,  2921,  2615,
     136,  1573,  2168,  2526,  2462, -3926,  2548,  2622,  1638, -3926,
    2723,   108,  1577,  2526,  2625,  2626,  2528,  2528, 73493, 73493,
   73493, 73493, 73493,  2628,  2631,  2677, 93338,  2633, 84533, -3926,
   -3926,  2634,  1838,  2526,  1408, -3926,  1338, -3926, -3926,   539,
   -3926, 73493, -3926, 73493,  2042, 53810,  2739,  2049,   279, 73493,
   73493,  2071,  1143,   832,  2740, 73493,  2802,  2602, -3926, -3926,
    2168, -3926, 45117,  2178, -3926,  2572, -3926,  2616, -3926,  2616,
    2616,  2575,  2575,  2585, -3926, -3926,  1939,  2616,  2575, -3926,
   54772, -3926,  1452,  1459, -3926,  2970,  2972, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926,  1400, -3926,  1661, -3926,
   -3926, -3926,  2987, -3926, -3926, 53810, 73493, -3926,  2904,  2637,
   49481, -3926,  2627, -3926, 94574,   191,  2415,  2629, 73493,  2803,
   73493, 73493, 73493, 73493, -3926, -3926,   645,    75, -3926, 93338,
   -3926,  2462,  2988,   456,  1719,  2873, -3926, 73493,  2595,  2991,
    2827, -3926, -3926,  2604,  2105, -3926,  2207, -3926,  1731, -3926,
    2721, -3926, 35375,  2644, 50443,   258, -3926, -3926, -3926, -3926,
   53810, 73493, 83093, 50443,   258, 73493, 73493,  2900,  2661,  2908,
    2669, 43649,   258,   109, 73493, 73493, 73493, 73493, -3926, 73493,
   -3926, -3926, -3926, -3926, 73493, 73493, 73493, 93338,  2911,  2912,
     258, 73493, 73493, -3926, -3926, 17262,  1544, -3926, 13133, -3926,
   10825,  1707,  2690, -3926,  1337, 73493,  1003,  1875, 93750, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, 66773, -3926, 66773,
      38, -3926, -3926, 66773, -3926, 66773,    38, -3926, 66773, -3926,
   -3926, -3926, 66773, 73493,  3113,  2635, -3926,  1411, -3926, 73493,
    1725, -3926, -3926,  1729,   611, 73493,   312, 50443, 73493,  2807,
   73493, 73493, 73493, 73493,  2699,  2412,  1146, -3926,  2681, 38764,
    2756, -3926,   298, 68693,  2816, -3926, -3926, -3926, -3926, -3926,
    1743,  2091,   724, -3926, -3926, -3926, -3926, -3926, -3926, 62453,
   61013,  2916,   119, 73493, -3926, 31405, 26923, -3926, -3926, -3926,
    2643, 10825,  2674, 31405, -3926, -3926, 31405,  2105,  2105, 31405,
   -3926, -3926, -3926, -3926,  1941,  2105, -3926, 31405, 31405,  2105,
    2105,  2616,  2616, -3926,  5075, 31405, -3926, 43649, 31405, 32899,
   23972, 31405,  2716,  2662,  2105, -3926,  2105, -3926, 31405, 25927,
   -3926, 31405,  2848, 31405,   233,  2849, 31405,   233,  3063,  3063,
    1122,  2429,  5525,  2648,  1372, -3926,  2755,  2105, -3926,  2105,
    1392,   129, 53810, 31405, 49481,  2725,   150, 31405,  2655,  1480,
   -3926, 31405,   636, -3926,  2659, 31405,  2727, 31405, 31405, 31405,
   31405, 31405, 31405, 31405, 31405, 31405, -3926, 33895,   142, -3926,
     788,   890, 62933, 27421,  2936, -3926, 23473, -3926,   138, 66773,
   -3926, -3926,  1372, -3926, -3926, -3926, -3926, -3926,  1681,  2665,
   -3926,  2678, -3926, -3926, -3926, -3926, -3926, 73493,  2845, -3926,
   -3926,  2730, -3926, -3926, -3926, -3926,   485, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926,  2666, -3926, -3926, -3926, -3926,  2666,
   -3926, -3926,  2690,  2673,  4584, -3926, -3926, -3926, -3926,  2927,
    2928,   258, 87884, -3926, 73493,    67, -3926, -3926, -3926,  2683,
   -3926, 73493,   330, 65333, -3926, 27919, -3926,  1767,  2405, -3926,
    2909, -3926,  2679, -3926,  9084,  2909, -3926, -3926,   106,  2846,
    2853,  2853, -3926,  2680, 10825, -3926,  1919, 10825,  1954, -3926,
   -3926, -3926, -3926, -3926, -3926,  1226, -3926,  2744,  1121,  1758,
   -3926,  1945, -3926, -3926, 21475, -3926, 22994, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926,  2684, -3926, -3926, -3926,
   -3926,   279,  2685,  3140, -3926, 91690, -3926, -3926, -3926,  3113,
   -3926,  2048, -3926,  2048,  3168, -3926, 66773, -3926, -3926, -3926,
   -3926,   780, -3926, 13133, -3926, 13133, -3926,  2686,  1779,  2749,
    2750,  2792, 94574, 73493, -3926, 49481, 94574, 73493, 73493, -3926,
    3033,   648, 61013,  2799, 59093, -3926, -3926,  2692, 73493,  2738,
    2923,  2924,  2696, -3926, -3926, 73493, -3926,  2874, 94574, 31405,
    2880, 73493,  1197,  2882, -3926,  1100, 94574, 73493,  2875, -3926,
   -3926, -3926, 59573, -3926, -3926, -3926,  2870, -3926, -3926, 54772,
   -3926, -3926,  1796, -3926, 54291, 51886, -3926, -3926,   631, 94574,
   73493, 73493,  1156, -3926, -3926, 53810, -3926, 73493, 73493, 73493,
   65813, 83573, 84053,  1083,  1149, 73493, 66293, -3926, 73493, 94574,
   73493, 49481, -3926, 73493,  2879,   601, -3926,  2850,  2775, 73493,
   73493,  2704,  1840,  2778, -3926, 73493, 94574,  3787, -3926, 94574,
   73493, -3926, -3926,   279, -3926, -3926, -3926, -3926, -3926, 73493,
   73493,   279, 73493,   279,  1074, -3926, 49962, 94574, -3926, -3926,
   -3926, 73493, 73493, 73493, 94574, 73493, -3926, -3926,   735,   676,
    2841,  2847,  2851, 94574, 73493, 73493, -3926, -3926,  2820, -3926,
   94574,  3787, 73493, 73493,  2786,  2793,    82,  2865, -3926, -3926,
   -3926, -3926, -3926, -3926,  2955,  3120, 73493,  2961,  2962,  2782,
    2789,  2974,  1710, 73493, 73493, 73493, 73493, 73493, 73493,  2976,
    1710,  2918,    52,  2746,  1849, -3926,  2757, -3926, 31405,  3143,
   53810,  2752,  2753,  2822, -3926,  2823,  2105, -3926,  1705, -3926,
     645,  1019, -3926,    17,  1660,  3034, 73493,  1855, -3926,  2769,
   73493,  1660, -3926,  1804, 61013, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926,  3035, -3926,  2415,  2178,  2178,  2178,
    2178, -3926, -3926, -3926,  2938,  1528, -3926,  2758, 73493,  2867,
    1660, -3926,  2462,  3055, 73493, 58133,  1872,  3160,  2415,  2941,
   -3926, 24956,  2887,  2942, 92514, 69653, -3926,  2784,  3038,  3042,
    3061, -3926, 34891, 70613,  2780,  2195, -3926, 70613, 71093, -3926,
    2787,  1372, 28915,  2756,  2042, -3926,  3180, -3926,  3078,   258,
    2049, -3926,  2266, -3926, 73493, 73493, 73493, 73493,  2071, -3926,
   -3926,  2266,  2964,   258,   258, -3926,  2969,   258,  2266,  2899,
    3079, 92514, -3926,    71, -3926, -3926, -3926, -3926, -3926, 31405,
   -3926, -3926,  2798,  1731, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, 66773,  2048, -3926,  1869, -3926,
   73493, -3926,  3059,  3064,  3065,  2266,  2836, 73493,  2811, -3926,
    2266,   279,  2266,  2412,  2412,  2266, 94162,  3221,  3087, -3926,
    1876, -3926, -3926, 27421, -3926,   114, -3926,   459,   854,  3026,
   -3926, -3926, -3926, -3926, 53810, -3926, -3926, -3926, -3926, -3926,
   73493,    89,  2997,  2824, 94162,  3203,   258, -3926,  1880, -3926,
    1539, -3926,  1557, 31405, 31405,   171, -3926,  9118,  1890,  2828,
    2829,  1897, -3926, -3926, -3926, -3926, -3926, -3926,  2830,  3103,
   -3926, -3926,  2831,  1909,  1914,  2832,  2833, -3926, -3926,  4949,
    2835,  9420,  2838, 32899, 32899,   547, -3926, -3926, 32899,  2839,
   -3926,  1928,  7934,  2840,  2843,  2869, -3926,  2855,  2857,  9746,
   29413, 31405, 29413, 29413,  9857,  2840,  2863,  1932, 49481, 10057,
    1942, -3926, 31405, 49481,  5727, 31405, -3926, 31405, 73493,  2866,
    2877, -3926, -3926,  5075, -3926,  2883, -3926, 32899, 32899,  2316,
   26425, -3926, -3926,  3123, -3926, -3926,   997, -3926,  2871, -3926,
   -3926,  3928,   185, 31405,  2655, 31405,  2920, 43649,  9618, 31405,
    2036,  3208,  3208,   476,   476,   121,   121,   121,  1407,   890,
   -3926, -3926, -3926,  2881,  2428, 31405, -3926,  2029,  2038, 73493,
    4881,  9550, -3926, -3926, -3926, 35375,  2922, 31405, 31405, 31405,
    2878,  3028,  3292, 10825,   563, -3926,  3296, -3926, -3926, -3926,
     287,  3168,  1681, -3926,   539,  2105,  1392, 90440, -3926, -3926,
   -3926, 31405, -3926, -3926, -3926, -3926, -3926,  1964, 39732,  2644,
   27919,  1372,  1901, -3926, -3926, -3926, -3926, -3926, -3926, 31405,
   -3926, -3926,  1015,  1861, 31405,  1919, -3926, -3926, 73493,  2816,
    2816, 31405, -3926, -3926, -3926, -3926, -3926, -3926, -3926,  1507,
   -3926, -3926, -3926, -3926, -3926, -3926,  2884, -3926,  2886, -3926,
    2898, -3926, -3926, -3926, -3926,   143,  2890,  2889,  2895,  1326,
   -3926, -3926, 94574, 73493, 73493, -3926, -3926, -3926, -3926, -3926,
   -3926,  3106, -3926, 73493, 73493,  3071, 73493,  3069,  3073, 31405,
     211, 73493,  2902,  2903,  2905, 73493,   258, -3926, -3926, 10825,
   -3926, -3926,  2947,  2977, 73493,  2723, -3926,  3148, -3926, -3926,
   -3926, -3926,  3089, -3926, -3926,  1661, -3926, 51886, 54291, -3926,
   54291, -3926,  1661,  1440, -3926,  2266, -3926, -3926,   473, -3926,
   -3926, -3926, -3926, -3926,  3199,   258,  3200,   258, 73493, 73493,
   73493, 73493, -3926, -3926, -3926, -3926, -3926, -3926, -3926,  2001,
   -3926,   297, -3926, -3926, -3926, -3926, -3926, 94574,  1443, -3926,
     709, 53810, -3926, 53329, 94574, -3926, -3926,  3130, -3926, -3926,
   -3926,  3070, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
    1764, -3926,  3072, 73493,  2971, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, 49481, 49481, 49481,  2009, -3926, -3926,
    2415, -3926, -3926, -3926,  2993, -3926, -3926, -3926,  3135,  3137,
    3138,  2999,  3002,  3003,  3005, -3926,  3008,  3009,  3010, -3926,
   -3926, -3926, 73493, -3926, -3926, -3926, 94574, 73493, -3926, -3926,
   -3926,  1710, 53810,  3175,  1710,  1710, 73493, 73493,  1710, -3926,
   -3926, -3926,  3177,  3178,  3181,  3182,  3184,  3185,  1710, -3926,
   -3926, -3926, -3926,   863, 49481, -3926,  2219, -3926,  1879, 41184,
    5850,  2948,  2753,  2951,  2105, 37312,   101,  3159,  2956, -3926,
    1704,  3191,  2975,  2975,  2975,  2975,  2975,  2975,  2975, -3926,
    2418, -3926,  3126, 73493,   490, 73493,  2105, -3926, -3926,  3019,
   -3926, -3926, 49481, 41184,  1719,   191,  3091,  1386,  3301, -3926,
   -3926, -3926, -3926, -3926, 73493, 73493,   645,  2415,  2013, -3926,
   53810, 73493, 66773,  1162,  2979, 73493,  2980,  2981, -3926, -3926,
   -3926, -3926,  2016, -3926, 53810,   365,  3152,  3154,  1162,  3052,
   73493, -3926,  2034,    94, -3926,  2415, 92514, 52367, -3926,  2751,
   -3926, -3926,   923,  3249, -3926, 73493, -3926, -3926, 38280, 36827,
    2195,  2984, 73493, -3926,  2986, 35375,  3223,  3156, -3926, 35375,
    3156,  1330,  3156,  3226, -3926, 40216, -3926,  2998, 23473,  1596,
    3186, 10825, -3926,   258, 53810, 73493, -3926,   258,  3047,   258,
    3049,   258,   258, 73493, -3926, -3926, 73493, -3926, 73493, 93338,
     258, -3926, 10825, 73493,  3280, -3926, -3926, -3926, -3926,  3117,
    3119,  3121, 73493,  2266, 50443, -3926,  3004, 94574,  1254, -3926,
   -3926,  3176, -3926,  1162, 73493,  1372,   172, -3926, -3926, -3926,
   -3926,  3302,  3312, -3926, -3926, -3926, 73493, 61973,   123, 94574,
   -3926, -3926, -3926, -3926,  3011,  2037, 10088, 31405, -3926,  3320,
   53810, -3926, -3926, -3926, -3926, -3926, 31405, -3926, -3926, -3926,
   -3926, -3926, 31405, -3926, 31405,  3299, -3926,  3440,  3440, 53810,
   32899,   767,  2422, 32899, 32899, 32899, 32899, 32899, 32899, 32899,
   32899, 32899, 34393,   646, -3926, -3926, 31405, 31405,  3307,  3299,
   -3926, -3926,  1219,  1219, 53810,  3027,  2840,  3039,  3040, 31405,
   -3926, -3926,  2065, 49481, -3926, 31405,  9095,  2069,  3075, 10719,
    1372,  6157, -3926,  3397,  2415, 31405,  1649,  2180, 31405,  2086,
   31405,  3314, -3926, -3926, -3926,  3043, -3926, -3926, 53810, 31405,
   32899, 32899,  3975, -3926,  4344, 31405,  3041,  6241, 26425, -3926,
     757,   757,   757,   757, -3926, 73493, 73493,  2780, 31405,  3311,
     411,   411,  3044,  3028, 40700, -3926, 31405,  1381, 29911,  3045,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926,  3046, -3926,  3066, -3926, -3926,
     431,  3056, -3926, -3926,  8239,   143,  3074, 73493, -3926,  2756,
   -3926, -3926, -3926,  3048, -3926,  1861, -3926, -3926, -3926,  6451,
    3229,  2412, -3926, -3926, -3926,  2105,  3076, -3926,  2048,   287,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,  2975,  2266,
    2266,   629,  2266,  3330,   629,  6719, -3926, -3926, 35859, 73493,
   73493,  2089, -3926, -3926, 94574, -3926,  2043, -3926, -3926,  3310,
    1502, -3926, -3926, -3926,  3128,  2418,   831,  2528,   651, -3926,
    3131, 73493, -3926, 73493, -3926, -3926, -3926, -3926, -3926, -3926,
   49481, 41184, 49481, -3926,  3139,  3145,   597,   721,  3146,  3151,
    3081,  3083,  3084, -3926,   113,  2415, -3926, -3926,  2415,  2266,
    2415, -3926, -3926, -3926, -3926, 49962, -3926, -3926, 73493,  3366,
      90,  1576, 94574, 73493, 94574, 73493, 73493, 73493, 73493,  2723,
   -3926, -3926, -3926,  3088,  1710, -3926, -3926,  3325,  3328, -3926,
    1710,  1710,  1710,  1710,  1710,  1710, -3926,    61,  2108, -3926,
   88773, -3926, -3926,  2537,  2537,  1041, -3926,  2537, -3926,  2537,
   -3926, -3926,  2757,  3048,  2105,  1553, -3926, -3926, -3926, -3926,
   -3926, -3926,   134,  2105,  1899,  3096, -3926, 37796, -3926, -3926,
   -3926,  1983,  1392, 73493,  2975, -3926,  2117,  1988,  2017,  2246,
   71573, 72053, 72533,  3099, 73493, 32899, -3926,  1286,   132, -3926,
    3331, 73493,  3133, -3926, -3926, -3926,  3102, -3926,  2266, 73493,
   73493,  2266, -3926, 53810, -3926, -3926,  3499,   773, 73493,  3136,
    3104,  3388, -3926,  3110,  3109, -3926, -3926, 73493, -3926,  3126,
    1694,  3147, 60053,  1872, -3926,  3362, 58133, -3926, 73493, -3926,
   -3926, -3926,  3471,  3194,  3150,  2415,  2738, -3926, 51886, 31405,
   31405, -3926,  3115, -3926,  3122,  3183, -3926,  2178, -3926, -3926,
   -3926, -3926, -3926, -3926,  3190, 73493,  3541, -3926, -3926, 70613,
    3127, 73493,  2195, 35375, -3926, -3926,  1377, -3926, 35375,  3357,
   -3926, 35375, 73493,  3132, 73493,   748, 73493, -3926,  3129,   258,
   -3926, 73493, -3926, 73493, -3926, -3926,   258,   258, -3926,  3234,
   -3926, -3926,  1162, 73493, 73493, 73493,  2266, -3926,   279, -3926,
    3401, 94162, -3926, -3926, -3926, -3926, -3926, -3926, -3926,   119,
    3412, -3926, -3926, -3926, -3926, 31405, 10825, -3926,  3142, 10825,
    6958, 10825,  3307, -3926,  2742,  3413, -3926,  1086,  3141,  2742,
    1492,  1492,   326,   326,   112,   112,   112,  3440,   646, 10825,
   10825, -3926, -3926, -3926, -3926,  3153, -3926, -3926, -3926,  2840,
   -3926, 31903, -3926, -3926,  3187,  3188,  3155, -3926, 31405, 32401,
    3144, 54772, -3926, -3926,  1392,  3063, 32899, 32899,  1663, -3926,
    1098, 31405, 53810,  2123,  1663,  2231,  2353, 31405, 31405,  7163,
     186, 31405,  7062, 73493, 73493, 73493, 73493, -3926, -3926, 10825,
    3518,  3411, 31405,  3161, -3926,  3162,  3028, -3926, 85973, -3926,
   -3926, 10825, -3926, -3926, 31405, -3926,  3028,   287,   908,  2415,
   -3926, -3926,  1122, -3926, -3926, 43649, -3926, -3926, -3926, -3926,
   13133, -3926, -3926, -3926,   113, -3926, -3926, -3926,  3225, 61013,
    3426,   134, 31405,  2126, -3926,  3193, 73013, 25441,  2139,  2149,
    3133, -3926,  2488, -3926,  3218, -3926,  3344, -3926, -3926,  3348,
     113, 73493, -3926, 53810,   258,   258, -3926, -3926,  3192, 94574,
   73493,  2105,  2105, 53810,  3164, -3926,  2105,  2105,  3165, -3926,
   94574, 73493, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, 73493, 73493, 73493, 73493,  3459, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926,  3404, -3926,  1710,  1710, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926,  2168,  3485, -3926, 49481, -3926,
   90860, -3926, -3926, -3926,  2415,  2415,  3355, 46079,  2415,  2415,
   -3926,  1323,  3492, -3926,  3422,   500,  3189,  1412,  3448, -3926,
    1894, 37796, 37796, 37796, 37796, 37796, -3926, -3926,  3452,   113,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, 31405,  1120,  2742, -3926, -3926,
   -3926, -3926,  3133,  1719,  3230, 49481,  2266,  2266,  3231,  1162,
     465, 73493,  3486,  3224, -3926,  2415, -3926, -3926, -3926,   939,
   -3926,  2158, -3926, -3926, -3926,  3217,  3154,   157,  3205,  1872,
   -3926, -3926,  1010, 73493, -3926,  1110, -3926,  3461,  3206, -3926,
   10825, 10825,  2415, 55253,  2751, -3926, 73493,  3436, 73493, -3926,
   -3926, 73493,  2163, -3926, 31405,  3209, -3926, -3926, 35375,  1377,
    2189, 73493,  2203, 53810,  3028, -3926,   258, -3926,   258,   258,
   -3926, -3926, 73493,  2266,  2266,  2266, -3926,  3361, -3926,   258,
   94162, 10825, -3926, -3926, -3926, 32899,  3466, -3926,  3210, 53810,
   -3926,  3211,  2228,  2240, -3926, -3926, -3926,  7085,  3239, 10825,
    3288,  3207,  3213, -3926,   984,   984,  1098,  2244, -3926, 32899,
   32899,  1663,  1663, 31405,  1663, -3926, -3926, -3926, -3926, -3926,
   31405, 31405,  3246,  3028,  3028, -3926,  3374, -3926,  3216, -3926,
   -3926,  1553, -3926, -3926, -3926, -3926,  1392, -3926,  3219, -3926,
   -3926, 94162,  3392, 94162, -3926,  7431,  3133, 35859, 44142, 73493,
   -3926,   217,   217,  3359,  3133,  3230, -3926, -3926, -3926, -3926,
   -3926,  3269, -3926, -3926, 41184, -3926, -3926, 36343, 43649, -3926,
     597,  3227,  3228,   721, -3926, -3926,  1260,   792,  3254,  2266,
    3506,  1710, -3926, -3926,  2746,  2415, -3926, -3926,  2249, -3926,
   -3926, -3926, 73493, -3926,  3104, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, 50443,  3624,  3624, -3926,  1655,  1655, -3926,
   -3926, -3926, 73493,   134, -3926,  7512,  3414, -3926,  3230,  3441,
    3489, -3926,  2257, -3926, 73493,  3150, 58133,  3126, -3926,    -9,
    3238,  3531, -3926, -3926,  3569, -3926, 60053,  3416,  3194,   779,
     779, 73493,  3154,  3365, -3926,  3367, -3926,  3609,  3421,  3617,
   73493, 35859, -3926, 54291, -3926,  2264, -3926, -3926,  2922, 73493,
      17, -3926,  3265,  2274, -3926, 10825, 73493, -3926, -3926, -3926,
    2277, -3926, -3926, -3926, -3926, -3926, -3926, -3926,   123,   654,
   32899, 53810,  2280, 31405, -3926, 31405, -3926, -3926, -3926,   596,
   -3926, -3926, -3926,   984,   984,  1663,  2840, 10825, 73493, -3926,
   -3926, -3926,  3631,  3425,  3028, -3926, -3926, -3926, -3926,  1254,
     629,   123, 73013,  3230, -3926,  3258, -3926, -3926,  1861,  1861,
   73493,  3230,   134, 31405, -3926, -3926, 53810,  2049,   -81, -3926,
   53810, 53810, -3926, 73493, 73493, 73493, 73493, 73493, -3926, -3926,
   -3926, -3926, 90860,  3104,  3624,   763, -3926, -3926, -3926,  3539,
   -3926, -3926,  1063,  3434,  3339, -3926, 49481,  3549, -3926, -3926,
   -3926, -3926, -3926, 31405,  3409, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926,  2291,  3194, -3926,
   -3926,  3438, -3926,  3439, -3926,  2298, -3926, -3926,  3183, 55253,
    3578, -3926, -3926,  2134,  3689, -3926,  2302, -3926, -3926,   654,
    2314, -3926,  2315,  2323,  3319, -3926,  3271, -3926,  3669, 31405,
    1441, -3926, -3926,  3551, -3926,   217,  3313, 43649, -3926, -3926,
    1719,   134, -3926, 10825,  2335, -3926, -3926, -3926,  3417,  2336,
    2357,  3275,  3315,  3275, -3926,  2266, -3926, -3926, -3926, -3926,
    3586, -3926, -3926, -3926,    88, -3926,  3458,  3460, 73493, -3926,
   73493,  3681,  7825, 50443,  2418, -3926, -3926, -3926, -3926,  3327,
   35859,  2751, -3926,   658, -3926, -3926, -3926, 73493, -3926, -3926,
   -3926, -3926, -3926, 73493,  3295,  2840, 30409, 30409,  3291, 94162,
    1861,  3303,   134,  3298,  3441, -3926, 50443, -3926, -3926, -3926,
   73493,  3420,   707,   707,  3618, -3926,  3356, -3926, -3926, -3926,
     597, -3926,  3309,  2528,  3194, -3926, -3926, -3926, -3926,  2095,
   -3926, -3926, -3926, 33397,  3429,   671,  6771, -3926, -3926, -3926,
   -3926,   123, -3926, 31405, -3926, -3926,  3434,  2049, -3926,  3224,
   -3926,  3715, -3926,   556, -3926, -3926,  3164, 56213, -3926,  2922,
   -3926,  2051, -3926, -3926, -3926, -3926, -3926, -3926, -3926,  3708,
   -3926, -3926, -3926, -3926, -3926, -3926,  7875,   134, -3926,  3603,
   -3926, -3926, -3926, -3926,  2362, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926,  1325, -3926, -3926,  1505,  1918, 30907, -3926, -3926,
    3457, -3926, 56213, -3926,  2051, -3926, 50443, -3926, -3926,  3318,
   56213,  2363, -3926
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3926, -3926,  3463, -3926, -1136,  -147,  2075, -1153, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926,  1355, -3926, -3926,   -85,  1690,  2301,  1049,
   -3926, -1307, -3926, -3926,  -851,   174,  -994, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926,   814,  1481,   929,  1898, -3926, -1663,
   -3926, -3926,   409, -3926, -3926, -3926,   807,  -253, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926,   -16, -3926, -3926,  -406, -1731,
    -114, -3926, -3926, -3926, -3926,   274,  -295, -1545, -3926, -2819,
   -3926,   -58, -3926, -3926, -3926,  -297, -1627,   985,  -956, -1333,
    1267,  -534, -3926,  -196, -3926,  -568,  -493,  -487,  -531, -3926,
   -3336, -3221, -3777, -2566, -3926, -3926, -3926,   296, -3926, -1721,
   -3926, -3926,  2026, -1580, -3926,  -872, -3926, -3926, -3926, -3440,
   -3926,  1586,  -293, -3926,   -41, -3926, -3926, -3926, -3926, -3926,
   -3926, -3388, -3926, -1647, -3926,   434, -2848,   915, -3926, -3926,
   -3926,  2047, -3926, -3926, -3926, -3926, -1764, -3926, -3926, -1718,
   -3926,  1433,   809, -3926, -3926, -3926,  -542,  -602,  -592, -3926,
   -3611,    26,    31, -3926, -3926, -3926, -3926, -1209, -3926,   830,
   -2934, -1131, -3926, -3926,   869, -3926, -3926, -3926,  -504,  -172,
    2072, -3926,  -427, -3926, -3926, -3926,  -171, -3926, -3926, -3926,
   -3926, -3926, -3926, -1870,  1535, -1102, -3926, -3926, -3926, -3926,
   -1911, -3926,  3717,   -13,   272, -1714, -3926,  -205,  -120,  2535,
   -1339, -2549,   266,  -303, -3926, -1924, -3926, -3926, -3926, -2464,
   -3926, -3926, -3926, -3926, -3247, -1713, -3926, -3926, -3926,   332,
   -3926, -3878, -3595, -3749, -3219, -3926, -3926, -1275, -3926, -3926,
   -3926, -1575,  1594, -1648, -3926, -2190,   333, -3443,  -989, -3021,
   -3926, -3393,  -377, -3926, -3926, -3926, -3926, -3926, -3926, -3926,
   -1274,  -856, -3926, -3926,  3012, -3926, -3307, -3926, -3926, -3926,
   -3926,  1023, -3926,   -40, -3926, -3926, -3926, -3926, -3926, -3926,
    -494,  -567, -3926, -3926, -3926,   175, -3926, -3926, -3926, -3926,
    1556, -1157,  -972,  2876, -1712,  -209, -3926, -3926, -3926, -3926,
   -2841, -3926, -3926, -3926, -3926, -3926, -3926, -3926, -1402, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926,  1748,  1751,  -112,  -242,
   -3926, -3926, -1464, -3926,  -799, -3926,  1993, -3926, -3926, -3926,
   -3926, -3926,   215,   367,   -77, -3926, -3926,   741, -2383,   -70,
   -3926, -3926, -3926, -3926,  -349,   -67, -3926,  1141, -3926, -3926,
   -2054, -3926,   230,  2767,  2617,  1373,   -72,   -76,  -239,  -233,
    -186, -3926,  2891,  2380, -3926, -3926,  -184,  1413, -3926, -1066,
    -348, -3926,  1145,  -899,  1734,  2372,  2381, -3926,  1153, -3926,
   -3926,  1151, -3926, -3926, -3926,  -897,  1747, -3926,  2391,  1776,
   -3926,  1803,  1215, -2443,  1460, -2390,   842,  -246,    15,  -123,
    2919,  3077, -3926, -3925,  1186, -3391,   419,  -883, -2055, -1752,
   -3926, -3926, -1362,  3992, -3926, -3926, -3926,  6957, 13725, -3926,
   -3926, 14779, 16022, -3926, -1248,   706, 16133,  3728, -1383, -1770,
   -1500, 16799,  1417, -1345, -1845, -3926, -3926, -3926,  -203,   716,
     117, -3926, -3926, -3926,  -391, -2659,  -390, -3926, -3926, -3926,
    -394, -3275,   758, -3926,  -821, -3926, 17667,  1183, -3926, -1284,
   -2547, -2629, -1336, -1899, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -1416, -3053,  -550,  1262, -3926, -3926,  1354, -3926, -3926,
   -3926, -1433, -1118, -2005,  1279, -2027, -3926, -1051,  1399,  1902,
   -1015,  3777,  2283, 15259,  -138, -2280, -1499, -1455, -3926,  -467,
   -3926,    59,   422,  -152,  -868, 10717, 10447, 11081, -2891, -3926,
   -3926,   265, -3926, -3926, -3926,  3386,   892, -3926,  2745, -3926,
    1503,  2146, -3926, -3926,  1780,  -929,   169, -3926,  -350, -3926,
    -133, -3926, -3926, -3926,   135, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926, -3926, -3926,  2431, -3926, -3926, -1435, -3926, -3926,
   -3926, -3926, -3926,  3655,  -298, -3926,  3085,  -285, -3926, -3926,
   -3926, -3926, -3926, -3926, -3926, -3926, -3926,  2443,  1814, -3926,
    2885, -3926, -3926, -3926,   -48,  2647, -3926, -3926, -3926, -1171,
    -600,  2907,  2910,  1781, -3926, -3926, -3926, -3926, -3926, -3926,
   -3926, -3926,  1787, -3926, -3926,  1263, -2036,  1789, -3926, -3926,
     667, -3926, -3926,   289, -3926,   668, -3926,  2541, -3926, -3926,
   -3926,   693, -3926, -3926, -3926,  -572, 12757,   -61,    -6,   -50,
    1230, -3926,  5771, 10976,   -98,  2458,     2,  8395, 15383,   -83,
   -3926,  3642,  1792,  1468, -1010, -3926,    99,  2093,   507, -3926,
   -1119,    23,    -2, -3926,  2487,  -647, -1151,  2741,  -718, -1856,
   -3926,  4049, -3926, -2985, -3926,  -997,  3090, -1181
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2407
static const yytype_int16 yytable[] =
{
      80,   343,   349,  1077,  1630,  1019,   348,  1069,   344,  1175,
    1884,   346,  1240,  1577,   885,   972,  1507,   394,  1892,   803,
     897,  1364,  1365,   394,  1932,    79,  1369,  2519,  1645,  1963,
    1579,  2283,  2315,  2342,   807,   881,   972,  1273,  1760,  1921,
    1848,  2553,  1708,  2589,  1052,  1990,  2447,  1175,  2439,  1528,
    1649,   980,  1749,   946,  1272,  2001,   394,  2020,  2021,  2324,
    1122,    74,  2557,  1292,   803,  2047,  1520,   801,  1084,  3120,
    2930,   994,   856,  2386,  2387,  3198,  2036,  1332,  3405,   807,
     395,  1085,  2770,  2380,   844,  2489,   395,   656,  3588,   349,
    1020,  2221,  2223,  2224,  1823,  1783,  2179,  1071,  1175,  1827,
    1049,   394,  3315,  2158,  2466,  2313,  1833,  2631,  1126,  1057,
    2786,   800,   801,  1628,  2467,  1850,  3441,  2468,  3443,   933,
    1079,  2469,  2470,  2471,  2889,  2891,  1015,  3134,  3136,  3545,
    3312,  1040,   803,  1015,  3182,  1015,  3756,  3770,  3500,  3904,
    3142,  2323,  3944,  2549,  2375,  1327,  1875,   807,  2796,  2264,
     890,  2215,  2215,  1922,   969,  3947,   800,   908,  2819,  1656,
    4044,  2014,  2015,  1947,  1917,  2791,  1273,  1080,  1678,   394,
    1068,  3917,  3500,  3370,  2117,   969,  3060,  1571,   403,  1574,
     801,  2063,  4052,  1514,   986,   403,  2033,  1117,   654,  1606,
    1607,  1847,    45,   854,  1750,  3681,   403,  2835,  1876,    45,
    3229,  2839,  3517,  3518,  3519,  3520,  3521,  3522,  -127,  2072,
    3310,  3311,  2158, -1683, -1683, -1683, -1683,  -127,  1316,   399,
   -1683,  3960,  -127,  3962,   800,  2198,   971,  3926, -1577,  2998,
    2066,  2159,  1598,  4290,  2075, -1577,  1876, -1365, -1365, -1365,
   -1365,  2740,  1139,  1658, -1365,  1266,  1395,   971,  2741,  -342,
    1876,  2326,   261,   321,  1982,  3149,  1706,  3151,    37,    38,
      39,    40,  2706,   689,  1380,    44,   973,  1619,  1777, -2405,
   -2405, -2405, -2405,  4286,  4392,  3579, -2405,  1078,  2102,  3021,
    2487,   343,   349,  4326, -2405, -1593,   348,   973,   344,  1700,
    1620,   346, -1593,   342,  2755,  3320, -1365,  2706,  3321,  3322,
    2701,   689,  4218,  4219,  1352,   394,  2411,  2333,   347,  3323,
    3324,  3325,  3822,  3326,  3327,  3900,  3196,  3860,  3328,  3329,
    3330,   889,   896,  2872,  3187,   403,  2800,  1924,    37,    38,
      39,    40,   896,  1360,    43,    44,  1399,  1621,  1059,    45,
     394,  2219,  2222,   357,  2124,  1805,  1659,  2277,  2064,  2463,
     658,   403,  2625,  1142,  1771, -1375, -1375, -1375, -1375,  1158,
      43,  4268, -1375,  1760,  1511,    45,  4139,   845,   395,  1646,
     402,  3207,  2108,   896,  4260, -1375, -1375, -1375, -1375,  1707,
     960,  1500, -1375,  -159,  3032,  1876,  2139,  4055,  3861,  1175,
    1226,  2605, -2406, -2406, -2406, -2406,  2220,     3,  1647, -2406,
     961,  4261,  2500,   395,  2125,  4140,  2801, -2406,  -159,   813,
   -1833,   814,  1352,  1682,  3229, -1365, -1365, -1365, -1365,  2279,
    2047,  1703, -1365,  2464, -2403, -2403, -2403, -2403,  2140,  2020,
    2021, -2403,  1738,   130,   131,  2280,  2036,  1102,  1352, -2403,
    1273,  1522,  1277, -2402, -2402, -2402, -2402,  1877,  3862,  1285,
   -2402,  3901,  2160, -1998, -1998, -1998, -1998,  1910, -2402,  1934,
   -1998,  3331,  3823,  1273, -1360, -1360, -1360, -1360, -1998,   901,
    1127, -1360,  2874,  1739, -1332, -1332, -1332, -1332,  1653,  1361,
     885, -1332,  4405,  1588,  3022,  1877,  2586,  3797,  2105,  1660,
    1353,  1102,  2417, -1345, -1345, -1345, -1345,  2421,  1989,  1877,
   -1345,  4356,  4249, -1372, -1372, -1372, -1372,  1608,  2606,  4118,
   -1372,   647,  1983,  3844,  4471,  3188,  1683,  2103,  1141,  3019,
    1609,  1612,  3870, -1360,  1368,  2999,  1120,  1121,  2150,  2151,
    3500,  1085,   261,   321,  1936, -1577,  1111,  3764,  4393,  1381,
    2381,  2014,  2015,    37,    38,    39,    40,  1661,  2742,  2033,
      44,  4157,    37,    38,    39,    40,  1542,  2439,  1543,    44,
      37,    38,    39,    40,  2072,  2281,  4380,    44,  1641,  2707,
    4170,  1113,  2788,   342,  2437,   246,  1912,  2488,  2334,   659,
    1615,  3387,  1983,  3580,  2371,  1830,  2373,  3332,   347,  2075,
    2335,  3615, -1593,  4142,  1368,  1916,   655,  3185,  2067,   966,
     967,   699,  2410,   699,  3290,  1653,   966,   967,  2804,  3984,
    3241,  4322,  1060,   699,  1886, -1833,   890,  4315,  1118,  2095,
    2118,   817,  2009,   357,  1886,  1740,  2578,  4439,  3641,  -127,
    -127,  2158,  1401,  2414,  1877,  3229,  2634,  3333,  1533,   699,
   -1683,  2336,  1534,  3035,  2433,  2876,  1523,  2135,  1273,   699,
    1391,  2147,  2147,  4213,  3737,  1273,  1273,  2282,   818,   699,
     699,  4221,  1119,   699, -1365,  2130,  2888,  2519, -2133,  3189,
     699,  3406, -1833,  3879,   974,  2158,  2237,  2103,  2207,  2769,
    2208,  2607,  3602,  3860,  1153,   815,  3606, -1833,  1684,  3745,
    2304,  3270,  3569,  1353,  2666,   974, -2405,  2277,  3402,  2608,
    3403,  1192,   707,  1524,  1333,  4138,  1069,  1128,  2587,  1741,
    4385,   699,  2278,  1182,  1130,  2358,  2448,   902,  1391,  4291,
    1589,  2628,  2630,  1230,  1126,  3539,  3467,  3468,  3334,   807,
    3345,  1578,  2638,  1764,  3229,  2641,  3339,  4461, -1332,  4259,
    1767,  2924,  3229,  2653,  2654,  1074,  1622,  1623,  2289,  1611,
    2042,   394,  1567,  2561,  2722,   394,  2671,  2673,  4407,  2568,
    1989,  1268,   801,  3350,  1917,  2571,  2847,  2687,  2043,  2279,
    2042,  4424,   966,  1597, -1169,  1282,  2896,  1057,  1352,  2821,
    2494,  2821,  2044,  2657,  2658,  2280,  3421,   889,  2043,  2494,
    1858,  1544,  1193,  2294,  3230,   903,   960,   904,  4247,  2299,
    2009,  3422,  2046,  1334,  3426,  1340,   800,  1345,  2186,  1192,
    1221,  1757, -1332,  1349,  3862,  3231,   961,  1569,   395, -2406,
    2352,  3238,  3239,  3240,  3241,  3788,  3801,  1325,   896,   896,
    2978,  2481,  2289,  1328,  4430, -1785,  2979,  1340,  1345,  3498,
    2361,  2582, -1365,  2364,  2365,  4361,  4479,  3407, -1169,  2354,
    1223, -2403,   403,  2315, -2133,    37,    38,    39,    40,  3765,
    3190,    43,    44,  1399,  1621,  1371,    45,  2341,   349,  1068,
   -2402,  3540,  3408,  3498,  4338,  4462,  1113,  3232,  4269,  2723,
   -1998,  2290,  2415,  2724,  1175,  1840,  4107,  4108,  4109,  4110,
    4111, -1360,  4451,   960,  2187, -1172,  2418,  1074,  2497,  1989,
    1193,  2019,  4304,  1274,   908,  2482,   851,  3427, -2133,   699,
    2519,  1900,  2375,   961,  3231,  2281,  3732,  3586,  2725,  4408,
    2025,  4278, -2407,  3588,  4270,  2560,  1841,  3802,  2925,  1371,
   -1372,  4271, -1816,  2980,    80,  1353,  1759,  4337,    37,    38,
      39,    40,  2452,  2064,  1338,    44,  1343,  1510,  1547,  1015,
    3806,  1518,  1901,  1015,  2291,  1758,  2593,  2594,  2495,    79,
    3665,  4272,  3666,  4313,  1123,  3789,  3754,  4126,  4406, -1172,
    2069,  2092,  2093,  2094,  2095,  1516,  1373,  1375,  2072,  2106,
     403,  2424,  1504,    37,    38,    39,    40,  2775,   808,    43,
      44,  1379,   394, -1169,    45,    74,  2128,  2526,   809,  4318,
    4319,  1978,   849,  2075,   865,  2583,  3342,  2282,   960,  4339,
    2218,  3803,  2286,  4431,   971,  1867,   971,  2983,   971,  1396,
    4452, -1785,  2425,  3766,   971,  1350,  1351,  1501,   961,  2853,
    4273,  1513,  1274,  1515,  2584,  2538,  3233,  3234,  3235,  2726,
    3236,  3237,  3238,  3239,  3240,  3241,  2984, -1834,   971,   971,
    3428,  3807,  3767,   960,   973,  1538,   973,  4123,   973,   867,
    1332,  1113,  3790,   896,   973,  3791,  3317,  1868,  3318,  1401,
    1175,   865,  3229,   961,  2219, -1785,  2981,  4025,  1842,  3429,
    4305,  3667,  1074,  4432,  2483, -1169,  3039,  4029,   973,   973,
    3462,  3668, -1864,  3465,  3466,  2484,   810,  3469,   900,  2854,
    1162,  1024,  1726,  3745,  1902,  2982,  4433,  3476,  1321,  3590,
   -1680,  1727,   896,  4133, -1172,  4028,   656,   656, -1816, -1169,
   -1332,  1632, -1169,  1867,   983,   699,   867,  1601,  2564,  2220,
    4225, -1332,  1630,  2019, -1332,  1648, -1332,  1367,  4449,  3236,
    3237,  3238,  3239,  3240,  3241,  3786,  1631,  3236,  3237,  3238,
    3239,  3240,  3241,  2341,  1869,  2778,  2620,  2285,  2079,  2080,
    3953,  4422,  1843,   971,  4234,  3957,   699,   699,  3959,  3041,
    1257,  2744, -1816,  3500,  2426,  2563,  2329,  2300,  1830,   987,
    2985,  2660,  1624,  3591,  1601,  3979,  2072,  2286,  1903,  2702,
    3281,   996,  3282,  4274,  1047,  1025,  4143,  1113,   874,   689,
     875,  1870,  4485,   973,  2955,  1561, -1172,  2083,  4144,  3950,
    1368,  2075,   215,  3283,   699,  1072,  1175,   654,   654,  1860,
     971,  3042,  1629,  1781,  1102,   811,  1069,  2330,  3397,  1886,
    1341,  3498,  1728, -1834,  1346,  1347,  1348,  3191,  4147,  2315,
   -1172,  1628,   223, -1172,  1359,  4134,  4148,  2366,  2955,  1159,
    3637,  3964,  3231,  3318,  1178,  3147,  3523,   349,  2427,  2301,
     973,  4235,  1869,  1188,  3152,   874,   997,   875,  3070,  3071,
    3072,  3073,  1073,  1622,  1623,  1778,  1779,   234, -1864,  3986,
    2519,  3987,  1533,  1871,  2519,  2878,  1534, -1834,  1235,   237,
    2745,  4341,  1242,  3753,   349,  3043,  3044,  1886,  1981,  1562,
    1498,  3525,  1251,  -362,  3192,  3653,  1274,  2173,  3045,  1870,
      80,    80,  3401,    80,  3232,  3592,  3284,   995,  2666,  2666,
    2287,  3285,  1979,  2666,  1126,  1619,  1258,  2007,  3351,  1274,
    2180,  2181, -1864,  2185,  2466,    79,    79,  2252,    79,  1567,
    3588,  3968,  1074,  3969,  2467,  3353,  2023,  2468,  1620,  3205,
    1085,  2469,  2470,  2471,  1601,  3856,  1070,  1499,  2769,  2824,
    3046,  4145,  2666,  2666,  4200,  4201, -2407,  2879,  2367,   209,
    2368,    74,    74,  3593,    74,  1987,  2050,  1080,  1080,  2113,
    1080,  1259,  2114,  2090,  2091,  2092,  2093,  2094,  2095,  2061,
     971,  1871,   938,  3143,  1748,  3629,  4149,  3256,  1265,   699,
    3857,   699,  4031,  3139,  1569,  2520,  4342,  2524,  4349,   122,
    3988,  2422,  1710,    35,   403,  2271,  2530,    37,    38,    39,
      40,    41,    42,    43,    44,  2272,  3279,   126,    45,  1098,
     973,  4178,  3570,  2109,  4116,  3286,  2157,   998,   999,  3529,
    2273,  1711,  2897,  3047,  3287,  3048,   699,  1570,  4354,   699,
     699,   807,   852,  1075,  2122,  2123,    37,    38,    39,    40,
    1054,  2063,   655,    44,   974,  2065,   974,  4343,  2908,  1650,
    3898,  2423,   655,   394,  3530,  2070,   699,  3236,  3237,  3238,
    3239,  3240,  3241,   403,   801,  2107,  3531,  1078,  1078,  4222,
    1078,  2958,  4209,  1099,  4211,  2072,   974,   974,  1651,  2961,
    1158,  2963,   209,  2872,  1165,  1166,  1167,  4097,  1168,  1169,
    1170,  1171,  1172,  1173,  1274,  4167,  1233,  2137,  1234,  2909,
    2075,  1274,  1274,  2132,   394,   394,   394,  1652,   800,  1726,
    3899,  3039,  3391,   817,  2910,   699,  2221,   699,  2873,  3126,
     647,   647,  1601,  3776,  1743,  4311,  1601,  1601,  1100,  1321,
    2157,  1101,  4251,  3835,   215,  2234,  2366,  3033,  3127,  3838,
    3839,  3840,  3841,  3842,  3843,   807,  3532,  4098,  2443,  1015,
     818,  1747,  2274,  1744,   394,   209,  2443,  1401,   971,   800,
    3229,   394,   971,   971,   223,  2911,  3128,   394,   395,   395,
    1015,  2090,  2091,  2092,  2093,  2094,  2095,  1653,   801,  2833,
    1748,  3608,  1745,   656,  1021,  3127,  1937,  1795,  2861,  1939,
    3130,   655,  1943,  2227,  1945,  2597,  2228,  1948,   973,   234,
    2230,  1952,   973,   973,  1062,   655,   655,  2190,  2133,  1618,
     817,   237,  1099,  3128,    43,  2338,  1273,   395,  2189,    45,
    1099,  4103,   800,  1102,  2256,  2248,  2250,  4316,  3129,  1081,
    2332,  1886,  2874,  3113,  2226,  4321,  1351,  3130,  -795,    37,
      38,    39,    40,   215,   246,  1015,    44,   818,   655,  4104,
    1653,   689,   689,  2713,  2240,  2714,  2191,  2367,  2190,  2368,
    3131,  2247,  2249,  1273,   819,   817,  2461,  1100,  1601,  2042,
    2444,  2382,  1734,   223,  1601,  1100,  2715,  1567,  2444,  2406,
    3160,  1568,   853,  2490,   654,  3954,  2158,  2043,  2229,  2407,
    3132,  1088,  4032,    37,    38,    39,    40,   935,  3314,  3175,
      44,  1735,   818,  3640,   971,  1736,  2379,  2191,   234,  4233,
     971,  3194,  2459,  2408,  1401,  1601,  1103,  3229,  1601,  1601,
    1069,  3550,  3877,  2527,  3787,  3792, -2197,   807,  2071,  2404,
    1737,  2072,  2769,   403,  3706,  1104,  3053,  3132,  2519,  3641,
    3231,     8,  1569,  2519,   973,  1886,  2519,    45,  1022,   394,
     973,   971,   689,   246,   971,   971,  2075,  1252,  2405,  1252,
     801,  2076,  1102,  3400,  3424,    37,    38,    39,    40,  1123,
    1102,  1601,    44,  3361,  2716,  2622,  2513,  1907,  3824,  2717,
    1129,  4376,  3340, -1213,  2718,  1570,  1253, -1213,  3548,  3662,
    2937,   973,  3833,  3425,   973,   973,  1328,  1908,  3825,  2938,
    2939,  2940,  3232,  2259,   800,  4377,  3035,   971,  4483,  3955,
    4421,  4484,  3374,  3682,  2472,   966,  1597,  2769,   655,    37,
      38,    39,    40,   699,  4257,   699,    44,  1254,   699,  1254,
     699,   349,  2260,   699,   699,   699,  3075,   905,  3650,  1957,
    2610,  3076,  1140,  2941,  2785,  1844,   699,   973, -1213,  3683,
    3684,  3296,  1533,  1154,  3498,  2445,  1534,  1085,  1953,  2621,
     699,  2261,   699,  2445,  1845,  2666,  1156,   699,  2666,  2666,
    2666,  2666,  2666,  2666,  2666,  2666,  2666,  2666,  1236,  1009,
    1237,  1954,  2446,  1068,  4039,  2147,  1175,  3054,  1046,  1273,
    2078, -1213,  2942,    80,  2616,   349,    80,  3231,  2719,  2619,
    2343,  2617,  2042,  2506,  2618,  4082,  4083,  2720,  3165,  2042,
    2315,  2079,  2080,  1161,  4003,  3924,   403,  3404,    79,  1918,
    2043,    79,  2019,  1919,  2265,  2666,  2666,  2043,  2326,  4002,
      35,  2943,  3713,  1184,  2044,   860,  2331,  2378,    41,    42,
    2372,  2046,  1190,  4287,  2383,  2344,  2345,  2944,  2945,  2946,
    2947,  2948,  1191,  2949,    74,  3689,  2704,    74,  1225,  3232,
    2083,  3354, -2407, -2407,  1229,  3236,  3237,  3238,  3239,  3240,
    3241,   807,  1228,  2084,  1723,  1091,  1733,  2343,  2341,  3784,
    2111,  2343,  2711,  1753,  2019,  2950,  2265,  3035,  1558,   699,
     699, -1169,    35,   394,  3365,  1092,    37,    38,    39,    40,
      41,    42,  2650,    44,   801,  1093,   655,   647,  1232,  3009,
     655,   655,  3513,   941,  1241,   865,  2806,  3076,  3039,  1131,
    3202,  3055,  2344,  2345,  2559,  2520,  2344,  2345,  3430,  1918,
    3432,  1132,  1133,  2556,  -789,   942,  3778,  3779,  3203,  1247,
    1547,   157,  3204,    37,    38,    39,    40,  2855,   800,  2858,
      44,  1134,  2031,  2032,  1135,  2341,  2639,  2640,  2951,  2341,
    3056,  3854,  3855,  3436,  2652,  3858,   943,  3859,  2655,  2656,
     867,  1255,    37,    38,    39,    40,  1533,  1256, -1683,    44,
    1534,   394,  2798,  2677,  2952,  2678,  1261,  1927,  3546,  1928,
     699,  2953,   655,  2519,  2954,  1264,  2006,  2642,   246,  3463,
     403,  2071,  2242,  1094,  2072,  2171,  2699,  2172,  2700,  2849,
    3255,  1279,  3257,  3258,  2776,   176,  1283,  3066,  3233,  3234,
    3235,  1302,  3236,  3237,  3238,  3239,  3240,  3241,  1293,  2075,
    3873,  3874,  3875,   394,  2076,   394,  2090,  2091,  2092,  2093,
    2094,  2095,   936,  2019,   395,  1648,  1308,  2157,  2399,  3883,
    4238,  2692,   655,  3851,  2695,  1320,   403,  2240,   655,  4244,
    2666,  2643,   807,  1760,  2211,  2212,  1136,  1095,  2174,  3646,
    2175,    45,    37,    38,    39,    40,  1323,  3558,  3885,    44,
    2508,  2509,  3776,    45,   394,    35,   403,  2019,  3354,  2265,
    2558,  2897,  2559,    41,    42,   801,   395,  2935,   395,   655,
      45,  1362,   655,   655,  1366,  2403,  1137,  1377,  2579,   874,
    2580,   875,  2581,   656,  2580,  1383,  2644,   157,  1273,  2645,
     877,  1388,  3354,  2921,  3733,  3735,  2613,   971,  2614,  1632,
     879,    80,  1096,    80,  1601,  3583,  2462,  1389,   807,   800,
    1391,  3618,  2343,  2211,  2817,  1401,  4207,   215,  3229,  1390,
    2797,  2399,  1886,  1069,  1631,   655,    79,   157,    79,  2077,
     394,   157,  2841,  2078,  2614,  3707,  1392,   973,  2520,  1393,
     971,   801,  1397,   807,  3782,  4153,  1394,   223,  3880,  2886,
    1515,  2887,  2812,  2813,  2079,  2080,  3776,  2344,  2345,  1398,
    1624,   176,    74,  1519,    74,   394,  1401,  1521,  2081,  3229,
    1525,    37,    38,    39,    40,   232,   801,  3658,    44,  2399,
     973,  2646,   234,  1526,   654,   800,  4009, -1237, -1237,  3481,
    2341,  3095,  3096,  2932,   237,  2933,  3663,  3356,  3357,  3067,
    1629,   176,  3027,  2083,  3028,   176,  1151,  3126,  3061,  1155,
    3062,  2666,  2666,  4331,  1527,  4333,  2084,   193,  3867,  3868,
     800,  3685,  3167,  1532,  2580,  1186,  4007,   246,  3945,  3183,
    1548,  3184,  3482,  3201,  1541,  2559,  1601,  3871,  3872,  3873,
    3874,  3875,  1555,  3211,  1601,  2559,  1601,  4106,  1231,  1565,
    3214,  2071,  2559,  1556,  2072,  1989,  3483,  3993,  1995,  1996,
    4440,   193,  3218,  1249,  2559,  1113,  3319,  3219,  1558,  2559,
    3011,  1559,   971,  3127,  2647,  3484,  1580,  3887,  3011,  2075,
     971,  3245,   971,  2559,  2076,  3261,  3119,  2559,  1401,  2086,
    1582,  3229,  3485,   215,   699,  3264,   699,  3265,  3231,  1590,
     699,  3128,   699,  1595,  3300,   699,  3301,  3486,  4010,   699,
    3362,  3363,   973,  3302,  2111,  3303,  3129,  3346,  1586,  3347,
     973,  1069,   973,   223,  3069,  3130,  3871,  3872,  3873,  3874,
    3875,  1587,  1591,   215,  3876,  1592,  1564,   215,  1566,    81,
      37,    38,    39,    40,  1593,  1594,  3099,    44,  3131,  3231,
    1596,   232,  1274,  1602,  3419,  3038,  3420,  1603,   234,  3924,
    3232,  1605,  3444,   223,  3445,  3776,  3556,   223,  3557,  3567,
     237,  3568,  3278,  1634,  4094,  2087,  2088,  2089,  1635,  2090,
    2091,  2092,  2093,  2094,  2095,  1637,  1663,  3577,  3487,  3578,
    3654,   232,  2559,  4087,  1643,   232,  3488,  1648,   234,  1274,
    1705,  1680,   234,   246,  3523, -1336, -1336, -1336, -1336, -2407,
     237,  3232, -1336,  2078,   237,   396,  3305,  3306,  3690,  3524,
    3691,   396,  3697,  1703,  3698,  3132,   657,  1746,  3489, -1343,
   -1343, -1343, -1343,  1742,  2079,  2080, -1343,  1712,  1755,  3709,
    3262,  2559,  3780,   246,  2580,  3267,  1761,  4441, -2407,  3525,
    3354,  3526,  1756,  1765,   396,   807,  1763,  1768,  3853,  1957,
     807,  3847,  1273,  3848,  1601,  1773,  2768, -1334, -1334, -1334,
   -1334,  3231,  1775,  1782, -1334,  2242,  4008,   394,  2614,  4046,
    1785,  4047,   394,  2083,  2061,  1713, -1181,  1653,   801,   891,
    2666,  4153,  4053,   801,  2580,  1824,  2084, -1181,  2711,   396,
     971, -1181,  4054,  4182,  2580,  1826,  1836,   647,  2520,  1645,
    3908,  4135,  2520,  4136,  2666,  2666,  4164,  3299,  1886,  3233,
    3234,  3235,  3527,  3236,  3237,  3238,  3239,  3240,  3241,  2513,
    1830,  1834,   800,  3232,  2845,  -176,  1838,   800,  2848,  1072,
     973,  1849,  4169, -1181,  3557,   655,  1016,  1856,  1701,  1702,
   -1214,  4037,  1872,  1016, -1214,  1016,  4171,  1158,  3557,  4084,
    2868,  1714, -1181,   831,  1864,   130,   131,   396,  2880, -2407,
    3233,  3234,  3235,  1874,  3236,  3237,  3238,  3239,  3240,  3241,
    1879,  4184,  3528,  4185,  1880,  1881,  4196,  3529,   655,  1882,
    4438,  2894,   655,  4186,  1113,  2559,  1073,  4192,  2830,  2614,
    1618,  1883,  4241,   699,  4242, -1181,  1715,  1776,  1716,  4243,
    4255,  2917,  4256, -1181,  1885, -1214,  3976,  4288,  2374,  4289,
     941,  1886,  3530,  1828,  1829,  1274,  1891,  4295,  2936,  1886,
    4297,  2956,  3557,  4301,  3531,  2614, -1337, -1337, -1337, -1337,
    1855,  1894,   942, -1337,  4355,  1895,  2127,  2667,   157,  2972,
    1601,  4359,  1718,  4360,  1896,  4368,  2976,  1886, -1214,  2090,
    2091,  2092,  2093,  2094,  2095,  2989,  1074,  4369,  4370,  2614,
    3265,  1897,  2993,   943,  1888,  1890,  4371,  1401,  2559,  1989,
    3229,  2240,  1899,  1904,  3341,  2666,   971,  1720,  4386,  4388,
    2614,  2614,  3233,  3234,  3235,  4300,  3236,  3237,  3238,  3239,
    3240,  3241,  1905,   396, -1335, -1335, -1335, -1335,  2746,  3105,
    4389, -1335,  2614,   702,  3532,  4481,  4492,  4482,  4482,  1906,
     655,  1722,   176,   708, -1181,  1911,   973,  1664,   655,  1925,
     655,   807,   807,   807,  3607,  1959,  3610,  1993,   396,  1991,
    4324,  1997,  1999,  2000,  4329,  4330,  2005,  2013,  2016,  4038,
    2017,  4303,  2018,   394,   394,   394,  2022,   246,  1665,   848,
    4061,  2024,  2027,  2028,   801,   801,   801,  2127,  2029,  2030,
    4069,  2520,  2035,   899,  2037,  2038,  3480,  1075,  2039,  1533,
    2040,  2100,  1558,  1534,  1175,  4087,  2041,  2048,  2049,  2051,
    2052,   807,  2053,  2054,  2055,  1686,  2056,  4119,  3437,  3560,
    2057,  1687,  4325,  2131,  4328,  2142,  1352,  2152,   800,   800,
     800,  2162,  2178,   394,  2459,  1666,  1568,  1570,  3447,  2205,
    2210,  2217,  1102,  2225,   801,  2231,  2233,   885,  2235,   807,
    2244,  2246,  1273,  2243,  2251,  3598,  2253, -2349,  2255,  2262,
    1688,  2263,  2265,  2266,  2267,  3105,  1667,  2288,  2295,  3011,
    2293,   394,  3011,  3011,   215,  2296,  3011,   349,  2297,  2319,
    3231,  3561,   801,  1664,  2298,  2326,  3011,  2320,   800,  2328,
    2338,  1781,   349,  2339,  3106,  4375,  3574,  3501,  2340,  2348,
    2341,  2347,  2349,  3510,   223,  2353,  2350,  2355,  2356,  2362,
    2359,  1689,   349,  2360,  1665,  2369,  3597,  2370,  1690,  2513,
    2376,  1691,  1601,  2513,  2377,  1726,   800,  2384,  2385,  1069,
    2393,  3501,   232,  2394,  2395,  2400,  2402,  2416,  2428,   234,
    2430,  2431,  3232,   944,  2438,  3555,  2009,  2019,  2440,  2441,
    3558,   237,   699,  1957,  2450,   862,  1601,  2025,   971,  2456,
    2460,  1728,  2476,  3505,  3508,  2498,  2493,  2501,   655,  2503,
    2504,  1666,  1692,  3582,  1274,   891,  1989,   349,  2505,  2511,
    2522,  3644,  2534,  2535,   945,  3542,  3723,  3724,  3725,  3726,
    2536,  2537,   971,  2550,  2551,   209,  4277,  2575,   973,  1670,
    2591,  2596,  1667,  2603,  2611,  1671,  2520,  4310,  2599,  2634,
    2576,  2520,  1672,  2624,  2520,  2633,  2675,  2676,  2688,  2693,
    1748,  2072,  4458,  2697,  2698,  2705,  1693,  2710,  1674,  2729,
    3106,  2727,   973,  2755,  2774,  3692,  1675,  2772,  2782,  2783,
    2771,  2777,  2790,  1073,  2826,  2807,  2779,  2808,  2117,  2844,
     807,  2842,  2843,  2851,  2799,  2811,  2856,  2823,  2825,  2840,
    2861,  1694,  4216,  2867,  2859,  2863,  2864,  1898,  2865,  2870,
    1287,  2877,   394,  2882,  1295,  2884,  2923,  2927,  1913,  2931,
    2934,  2986,  4228,   801,  1307,  1676,  2992,  2987,  2996,  3108,
    3587,  2988,  2061,  3001,  1696,  2997,  3000,  1175,  3002,  3004,
    3005,  3233,  3234,  3235,  3006,  3236,  3237,  3238,  3239,  3240,
    3241,  3007,  3008,  3354,  3018,  3020,  3029,  1175,  3024,  1697,
    3031,   896,  3034,  3035,  3036,  3037,  3059,   800,  3063,  3068,
    3077,   209,  3074,  3081,  3375,  3107,  3082,  3319,  3098,  3100,
    3112,  1671,  3704,  2388,  2389,  2390,  2391,  3116,  1672,  2242,
    3115,  3117,  3815,  3118,   655,  3125,  1748,   896,  3144,  3138,
    3145,  3105,  3153,  2071,  1674,  3158,  2072,  3156,  1989,   396,
    3163,  3159,  1675,   396,  2419,  2420,  3169,  1150,  3172,  1664,
    2429,  3170,  3171,  1150,   657,  3743,  3174,  3181,  4468,   657,
    2625,  2075,  2921,  3193,  3798,  3197,  2076,  3199,   657,  1368,
    3216,  3212,  3213,  3215,  3217,  3220,  3221,   807,  3223,   807,
    1665,  3226,  3244,  1989,  1150,  2559,  3250,  1989,  1989,  3423,
    3280,  1676,  3295,   657,  3251,  3108,  3433,   657,  3252,   394,
    3253,   394,   807,  4468,  4384,  3314,  3260,   657,  3275,  3273,
     801,  4468,   801,  3288,  1273,  2477,  2478,  2479,  2480,  1664,
    3274,  3313,  3316,  3298,   394,  1269,  -833,  3369,  3308,  3378,
    3367,  3368,   657,  3372,  1918,   801,  1150,  1666,  3373,  3381,
    3383,  3384,  3393,  1150,  3388,  3389,  3398,  3390,  3399,  3394,
    1665,  3411,  3413,  3434,   800,  3435,   800,  3438,  3460,  3501,
    3440,  2667,  2667,    81,  3759,  3448,  2667,  3449,  1667,  3450,
    3451,  3452,   657,  3816,  3453,  3454,  3817,  3455,  3818,   800,
    3456,  3457,  3458,  3464,  1601,  3470,  3471,  2554,  3503,  3472,
    3473,  2077,  3474,  3475,  3504,  2078,  3106,  2228,  3536,  3512,
    3543,  4383,  3011,  3547,  3515,  2667,  2667,  1666,  3011,  3011,
    3011,  3011,  3011,  3011,  3514,  3549,  2079,  2080,  1274,  3571,
     971,  3562,  3572,  3565,  3575,  3595,  3566,  3599,  3601,  1686,
    2081,  2520,  3604,   971,  3603,  1687,  1175,  3611,  1667,  3621,
    3614,  3623,  3632,  1601,  3633,  3510,  3634,  3643,  3635,  3638,
    3616,  2006,  3647,  1150,  3882,  3884,  3886,  3888,  2230,  1016,
     973,   657,  3648,  1016,  3657,  2083,  3247,  2513,  3229,  3246,
    3686,  2066,  2513,   973,  1688,  2513,   655,  3699,  2084,   971,
     396,  3711,  3687,  3688,  3720,  3712,  3730,  3736,  3746,  1150,
    3755,  3747,  3769,  1350,  1351,  3748,   349,   209,  3758,  3749,
    3597,  1670,  3866,  3752,  4042,  3760,  3508,  1671,  3783,  3785,
     655,  3799,  3793,  3937,  1672,  3881,  1893,  3800,  3810,   973,
    2520,  2399,  1748,  3811,  3812,  1689,  3813,  3814,  3821,   699,
    1674,  3834,  1690,  3836,  1668,  1691,  3837,  3869,  1675,  3639,
    4227,  3895,  3587,  3902,  3905,   657,   657,  3909,  3911,  2580,
    3912,  2086,  4040,  3914,  3915,  3928,  3919,  3932,  3933,  3935,
    3942,  3652,  3946,  1669,  3943,   699,  3948,   209,  3958,  3951,
    3972,  1670,  3966,  3977,  3961,  1686,  1158,  1671,  4059,  3980,
    3985,  1687,  4020,  3989,  1672,  3982,  1692,  1676,  4021,  4000,
    1976,  3108,  1673,  4043,  3994,  3995,  3990,  4041,  3996,  4056,
    1674,  1601,  4048,  4057,  4023,  4024,  1992,  4058,  1675,  4070,
    4073,  4080,  4081,  4085,  4092,  4099,  3861,  4105,  2002,  4112,
    1688,  4064,  4120,  4124,  2520,  4128,  4137,  1150,  4150,  4130,
    4102,  4159,  4176,  4180,  1150,  4188,  4189,   971, -2407, -2407,
    1693,  2090,  2091,  2092,  2093,  2094,  2095,  4141,  4151,  1326,
    4190,  4166,  4181,  4183,  4198,  1821,  4191,  1676,  4202,  4204,
    4210,  4223,  4208,  4236,  1339,  4220,  1344,  4114,  4237,  4230,
    4231,  1689,  4245,  3901,  4252,  1694,  1358,   973,  1690,  4254,
    4263,  1691,  4264,  4265,  1150,  4281,  4035,  4036,  4267,  4279,
    3480,  4280,  4282,  4283,  4293,  4309,  1374,  1376,    80,  1074,
    4317,  4340,  4344,  4348,  1695,   807,  4350,  4353,  1696,  4357,
    4358,  4034,  4363,  2525,  4367,  4372,  4373,  4374,  4379,  4381,
    1912,  4326,  2531,    79,  4390,  4391,  4394,   394,  4396,  4400,
    2539,  2540,  1692,  1697,  4420,   657,  4403,  3738,   801,    81,
      81,  4425,    81,  4429,  4392,  4423,  4393,  2240,  2552,  4460,
    1150,  4437,  4450,  4477,  4480,  4486,  3781,  3065,   657,    74,
    4490,  1083,   807,   971,  2401,  2149,  3343,  3409,  2926,  3796,
    3477,  4239,  4086,   349,  3011,  3011,  4336,  4125,  4117,  2177,
    3930,  4266,   800,  4276,   394,  3386,  1693,  3168,  1274,   971,
    4426,  4214,  4090,  4091,  4397,   801,  4095,  4096,  4457,  4395,
    4067,  4068,  4435,   973,  3931,  4071,  4072,  4292,  1821,  3510,
    3510,  3510,  3510,  3510,  3826,  2830,  3828,  2492,  2875,  3819,
    3442,  1694,  2513,  3040,  2473,  3552,  4402,  4459,  4491,   973,
    4487,  4101,  3544,  2520,  1150,  4100,  4436,  3491,  4229,   800,
    2455,  4387,  4232,  1977,  2959,   991,  4312,  3978,  3938,  2890,
    1731,  3939,  4362,  4132,  1696,  4443,  4258,  4488,  1275,  4427,
    2793,  2565,  1150,  1529,  2794,  3645,  1664,  3918,   655,  3348,
    3508,  3508,  3508,  3508,  3508,  2176,  3164,  2937,   971,  1732,
    4152,   655,  2816,  1926,  3352,  2202,  2938,  2939,  2940,  1150,
    1150,  3003,  1150,  2201,  2815,  1554,  3360,  1665,  3012,  3013,
    3014,  3015,  3016,  3017,  3364,  2099,  2206,  2810,  2789,  1150,
    3307,  1537,  3121,  3609,  4168,  3349,  3916,  1271,   973,  3703,
    4302,  3693,  4411,  4419,  4412,  3355,  3293,   655,  2667,  3208,
    2941,  2667,  2667,  2667,  2667,  2667,  2667,  2667,  2667,  2667,
    2667,  3291,  3186,   657,  1116,  2754,  2138,  3596,  3114,  1866,
     657,   657,  2507,  2071,  1666,  2827,  2072,  4410,  2216,  4489,
    1150,   396,  1086,  1319,  2209,  2818,  1642,  1988,  1613,  3084,
    2831,  1614,  2834,  2832,  3338,  3762,  4030,  3763,  3751,  2942,
    2116,  2075,  1109,  2213,  3166,  1667,  2076,  2838,  2667,  2667,
    2577,    83,  1150,  1915,  4206,     0,  1150,  1150,  1357,  2784,
    2071,     0,  3501,  2072,     0,     0,     0,     0,     0,  3148,
       0,  3150,   396,   396,   396,     0,     0,     0,  2943,  3011,
    3227,  3228,     0,  4240,     0,  3243,     0,  1601,  2075,     0,
    4205,     0,   657,  2076,  2944,  2945,  2946,  2947,  2948,     0,
    2949,     0,     0,  1938,     0,  1940,     0,     0,  1944,     0,
    1946,     0,     0,  1949,  1950,  1951,     0,     0,     0,     0,
       0,     0,   396,   971,  3276,  3277,  1958,     0,     0,   396,
    1821,     0,  2950,     0,  3289,   396,     0,     0,     0,  1016,
    1985,     0,  1986,     0,     0,   655,     0,     0,     0,     0,
       0,   820,     0,     0,     0,     0,     0,     0,     0,     0,
    1016,     0,     0,   973,     0,     0,     0,  1821,  2532,     0,
       0, -2407,     0,   807,   209,  2078,  2303,  2541,  1670,     0,
       0,  3717,     0,     0,  1671,     0,     0,     0,     0,  2548,
    1821,  1672,     0,     0,     0,   394,  2079,  2080,     0,  1748,
       0,     0,  4476,     0,     0,  2951,   801,  1674,   821,     0,
   -2407,     0,     0,     0,     0,  1675,     0,     0, -2407,     0,
       0,  4065,  2078,     0,     0,     0,     0,     0,   822,     0,
       0,  2952,  4074,   657,   823,  1016,     0,     0,  2953,     0,
    1274,  2954,     0,  2079,  2080,  2083,     0,     0,  2585,   824,
     800,  2590,  1821,  2592,     0,  2242,  2595, -2407,  2084,     0,
       0,     0,     0,     0,  1676,     0,     0,     0,     0,  2436,
       0,   655,     0,     0,     0,     0,     0,   825,     0,     0,
       0,     0,   826,  2667,     0,     0,     0,  1821,   827,     0,
       0,     0,  2083,     0,     0,     0,     0,   655,     0,     0,
       0,     0,     0,   828,     0,  2084,     0,     0,     0,     0,
    1686,     0,  1821,     0,     0,     0,  1687,   396,     0,     0,
       0,   657,     0,     0,     0,     0,     0,   829,     0,     0,
       0, -2407,  4445,   349,     0,     0,   657,  4448,     0,  4446,
       0,     0,  4447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4364,     0,     0,  1688,     0,     0,     0,  1150,
       0,  1150,     0,     0,  4445,  4475,     0,  1821,     0,  4448,
    1150,  4446,     0,     0,  4447,     0,     0,     0, -2407,     0,
       0,     0,     0,   830,     0,     0,   655,     0,     0,     0,
       0,     0,  4365,     0,   657,     0,     0,     0,     0,     0,
       0,     0,    81,     0,     0,    81,  1689,  4445,   349,     0,
     831,     0,  4448,  1690,  4446,   657,  1691,  4447,     0,     0,
       0,  2090,  2091,  2092,  2093,  2094,  2095,  3146,     0,  2071,
       0,     0,  2072,     0,   832,  4470,     0,     0,     0,     0,
     833,  3154,  3155,     0,     0,  3157,   834,     0,     0,   835,
       0,  3161,     0,     0,  1150,     0,     0,  2075,     0,     0,
    4469,     0,  2076,     0,  2667,  2667,     0,  1692,  2090,  2091,
    2092,  2093,  2094,  2095,     0,   836,     0,   837,     0,     0,
    4470,   838,     0,     0,     0,     0,     0,     0,  4470,   839,
       0,     0,  1150,  1150,   840,     0,  4466,     0,     0,     0,
    1150,     0,     0,  1150,   841,  4469,  1150,     0,     0,     0,
       0,  2651,     0,  4469,  1150,  1150,   842,     0,     0,     0,
       0,  1693,  1150,     0,  3200,  1150,  1150,  1150,  1150,     0,
       0,     0,     0,     0,     0,  1150,  1150,     0,  1150,     0,
    1150,  4466,     0,  1150,     0,     0,     0,     0,     0,  4466,
    3718,     0,     0,     0,     0,     0,  1694,     0,     0,  1821,
    1150,   396,     0,     0,  1150,     0,     0,     0,  1150,     0,
       0,   655,  1150,     0,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  1150,  1150,     0,  1150,  1751,     0, -2407,     0,  1696,
    1150,  2078,     0,  1150,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2895,     0,  1160,     0,     0,     0,     0,
       0,  1180,  2079,  2080,  1752,     0,     0,     0,     0,  1189,
       0,     0,     0,     0,     0,     0, -2407,  1197,     0,     0,
       0,     0,  1224,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,     0,     0,     0,     0,     0,  3664,     0,   396,
    3669,  3670,  3671,  3672,  3673,  3674,  3675,  3676,  3677,  3678,
       0,  2083,  1150,     0,     0,     0,     0,     0,     0,  2071,
       0,     0,  2072,  1201,  2084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1202,     0,     0,  2073,
       0,     0,     0,     0,  1203,     0,     0,  2075,  1204,     0,
       0,   396,  2076,   396,  2566,     0,  2567,  3715,  3716,     0,
    2569,     0,  2570,     0,     0,  2572,     0,     0,  1205,  2573,
       0,     0,   657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1206,
      81,     0,    81,  2667,     0,     0,     0, -2407,     0,   657,
       0,     0,   396,   657,     0,     0,     0,     0,     0,     0,
    1370,     0,     0,     0,  3392,     0,     0,  2667,  2667,     0,
       0,     0,  1207,     0,     0,   657,  1150,  1386,     0,     0,
       0,     0,     0,   657,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1208,     0,     0,  1821,     0,     0,     0,
     655,  1821,  1821,  3412,     0,  3414,   657,     0,  1508,     0,
       0,     0,  1821,     0,     0,     0,     0,  1209,     0,     0,
       0,     0,     0,     0,     0,  1531,   657,  2077,   396,     0,
       0,  2078,     0,     0,     0,     0,     0,  2090,  2091,  2092,
    2093,  2094,  2095,   657,     0,     0,   657,     0,  1560,     0,
       0,     0,  2079,  2080,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   396,   657,     0,  2081,     0,     0,     0,
    3173,   657,     0,  1210,     0,     0,     0,     0,     0,     0,
     657,     0,     0,     0,     0,     0,     0,   657,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2082,     0,
     831,  2083,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2084,     0,     0,  2085,     0,     0,
       0,     0,     0,     0,  1211,  1150,     0,  1821,  1212,     0,
    1213,     0,     0,     0,     0,     0,  1214,     0,  2667,     0,
       0,     0,  3897,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,  1816,  2071,     0,     0,
    2072,     0,     0,     0,     0,  1215,     0,  1216,     0,     0,
       0,  1217,     0,     0,     0,     0,     0,  2073,     0,  1218,
    2074,     0,     0,     0,  1219,  2075,     0,  2086,  1821,     0,
    2076,   657,     0,     0,     0,     0,     0,     0,     0,  1150,
       0,     0,     0,     0,     0,     0,  1220,     0,     0,  1150,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1851,
    1853,  1854,     0,     0,  2071,     0,     0,  2072,   657, -1919,
       0,  3617,     0,     0,     0,  3620,  1150,  3622,     0,  3624,
    3625,     0,     0,     0,  2073,     0,     0,     0,  3630,     0,
       0,     0,  2075,     0,     0,     0,     0,  2076,     0,     0,
       0,     0,     0,  2087,  2088,  2089,     0,  2090,  2091,  2092,
    2093,  2094,  2095,   657,     0,  2780,     0,     0, -1919,     0,
    1150,  2781,     0,     0,     0,     0,  3651,     0,     0, -1919,
       0,  1821,     0, -1919,     0,     0,     0,     0, -1919,  1816,
       0,   657,     0, -1919,     0,  2077, -1919,     0, -1919,  2078,
    1150,  1150,     0,  4004,  4005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3379,  3380,     0,  3382,
    2079,  2080,     0,  1508,     0, -1919,     0,     0,     0,     0,
    1150,  1150,     0,     0,  2081,  1150,     0,     0,     0,     0,
    2071,     0,     0,  2072, -1919,     0,     0,  1150,  1150,  1150,
    1150,  1508,     0,     0,     0,   396,     0,     0,     0,  1150,
     396,     0,  1150,     0,  1150,     0,  2082,     0,  2075,  2083,
       0,     0,  2077,  2076,  1150,  1150,  2078,  1150,     0,     0,
       0,     0,  2084,     0,     0,  2085,     0, -1919,     0,     0,
    1150,     0,  1150,     0,     0, -1919,  1150,  2079,  2080,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2081,  1150,     0,     0,     0,  3439,     0,     0,     0,
       0,     0,  1150,     0,  1150,  1150,  1150,  2136,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -1919,     0,
       0,     0,     0,  2082,   657,     0,  2083,     0,  1150,     0,
       0,     0,     0,     0,     0,  2086,     0,  1150,     0,  2084,
       0,     0,  2085,     0,     0,     0,  1150,     0,     0,     0,
       0,  1150,     0,     0,     0,     0,     0,     0,  1150,     0,
       0,     0,     0,   987,     0,     0,     0,  2153,     0,     0,
       0,  4050,  4050,     0,     0,     0,     0,     0,  2077,     0,
       0,     0,  2078,     0,     0,     0, -1919,     0,     0,   657,
       0,     0,     0,     0,     0,     0,  3538,     0,  3541,     0,
       0,     0,     0,  2079,  2080,     0,  1150, -1919,     0, -1919,
   -1919,     0,  2086,     0,     0,     0,     0,  2081,  4078,     0,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,  1816,     0,  1808,  1821,  1821,     0,  1821,     0,     0,
       0, -1919,     0,     0, -1919, -1919,     0, -1919,     0,  2082,
       0,     0,  2083,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4179,     0,     0,  2084,     0,     0,  1816,     0,
       0,     0,     0,     0,   657,     0,     0,     0,  1821,     0,
    1821,   657,     0,     0,     0,     0,  4193,  4194,     0,     0,
       0,  1816,     0,     0,     0,     0,     0,     0,  2087,  2088,
    2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,     0,
       0,   396,   396,   396,  3222,  3636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
       0,     0,     0,     0,     0,     0,     0,     0,  2086,  3649,
       0,     0,     0,   657,     0,     0,     0,     0,     0,  1821,
       0,     0,     0,  1816,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1816,   396,     0,     0,     0,  3492,  1821,  3967,     0,  2392,
       0,     0,     0,     0,  3970,  3971,     0,     0,  1816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2413,     0,     0,     0,     0,     0,     0,     0,     0,   396,
    1821,     0,     0,  1816,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2087,  2088,  2089,  1821,  2090,  2091,
    2092,  2093,  2094,  2095,     0,     0,     0,     0,     0,     0,
       0,  1821,     0,     0,  4217,     0,     0,     0,     0,     0,
       0,     0,     0,   657,  1821,     0,     0,  4299,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1816,     0,
    2071,     0,  1150,  2072,     0,     0,  1150,     0,     0,     0,
       0,     0,     0,     0,     0,  1150,     0,     0,     0,     0,
    2073,  1821,     0,     0,     0,  1808,     0,     0,  2075,     0,
       0,     0,     0,  2076,     0,     0,   657,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1150,     0,     0,   657,     0,     0,     0,     0,     0,
       0,     0,  1808,  2543,     0,     0,     0,     0,     0,     0,
       0,     0,  2547,     0,     0,  4284,   657,     0,     0,     0,
       0,     0,  4062,  4063,  1150,  1808,     0,  1821,     0,     0,
       0,     0,  2562,  1150,     0,     0,     0,     0,     0,  1150,
       0,  1150,     0,     0,     0,     0,  1821,  1150,     0,     0,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
       0,     0,     0,  1150,  1150,     0,     0,     0,     0,     0,
       0,  1821,     0,     0,     0,     0,  1150,  4050,  1508,  1508,
     396,     0,  1150,     0,     0,     0,     0,  1808,     0,     0,
       0,     0,  1150,     0,     0,  1150,     0,  1150,  2077,  4332,
       0,  4334,  2078,     0,  1808,  1821,  1150,  1150,  1150,     0,
       0,     0,  1150,     0,     0,  1150,     0,     0,     0,     0,
       0,     0,  1808,  2079,  2080,  1150,     0,     0,     0,     0,
    1816,     0,     0,  1150,     0,  1150,     0,  2081,     0,     0,
       0,     0,  2071,     0,     0,  2072,     0,  1808,     0,     0,
       0,     0,  3906,  3907,     0,     0,     0,     0,     0,     0,
       0,     0,  2073,     0,     0,     0,     0,     0,     0,  2082,
    2075,     0,  2083,     0,     0,  2076,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2084,     0,     0,  2085,     0,
       0,     0,     0,     0,  4172,   695,  4173,  4174,     0,     0,
       0,     0,  1808,     0,     0,  1150,     0,  4177,     0,  2753,
       0,   657,     0,     0,     0,  4399,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,  2773,     0,     0,   396,  1821,   396,
       0,     0,     0,     0,     0,     0,  3973,  3974,  3975,     0,
       0,     0,     0,   695,     0,  4428,     0,     0,  2086,     0,
       0,     0,   396,     0,     0,  2071,     0,     0,  2072,   657,
       0,   657,   982,     0,     0,     0,     0,     0,  2792,     0,
    2795,     0,     0,     0,     0,  2073,   984,     0,     0,     0,
       0,     0,     0,  2075,   992,     0,     0,   657,  2076,     0,
    2077,     0,     0,     0,  2078,     0,     0,     0,     0,  1002,
       0,   982,     0,     0,     0,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,  1051,  2079,  2080,     0,     0,     0,
       0,     0,  1056,  1051,     0,     0,     0,     0,     0,  2081,
       0,     0,  1150,     0,  2087,  2088,  2089,     0,  2090,  2091,
    2092,  2093,  2094,  2095,     0,     0,     0,     0,  2696,     0,
    1821,     0,     0,     0,     0,     0,     0,  1816,     0,     0,
       0,  2082,  1816,  1816,  2083,     0,     0,     0,     0,     0,
       0,     0,     0,  1816,     0,     0,     0,  2084,     0,     0,
    2085,     0,     0,     0,  1808,  1821,  1150,  1150,     0,     0,
       0,     0,     0,     0,     0,     0,  4298,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1150,     0,     0,  2077,     0,  1150,     0,  2078,  1150,     0,
       0,     0,     0,     0,  4076,  4077,     0,  4079,     0,  4314,
       0,     0,     0,     0,     0,  2916,     0,     0,  2079,  2080,
       0,     0,     0,     0,     0,     0,     0,     0,   657,     0,
    2086,     0,  2081,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1150,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2082,     0,     0,  2083,  1816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1150,     0,
    2084,     0,     0,  2085,     0,  1150,  1150,     0,  1821,     0,
       0,     0,     0,  1150,  1150,     0,     0,     0,  1150,  1821,
       0,     0,     0,     0,  1150,  1150,     0,     0,  1150,     0,
       0,     0,     0,     0,     0,     0,  2087,  2088,  2089,  1150,
    2090,  2091,  2092,  2093,  2094,  2095,     0,     0,     0,  1816,
       0,  1150,  3268,     0,  4163,     0,     0,  3064,     0,     0,
       0,     0,  2071,     0,  4163,  2072,     0,    81,     0,     0,
       0,     0,     0,  2086,     0,     0,     0,     0,     0,  1150,
       0,     0,  2073,     0,     0,     0,     0,     0,     0,     0,
    2075,     0,     0,     0,     0,  2076,     0,     0,     0,     0,
    1821,     0,     0,     0,     0,     0,   657,     0,     0,     0,
    1821,     0,     0,     0,     0,     0,     0,   657,     0,     0,
       0,  1808,     0,     0,     0,     0,  1808,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1808,     0,  4455,
       0,     0,     0,     0,     0,     0,  2071,     0,     0,  2072,
       0,     0,     0,     0,     0,   396,     0,   657,     0,  2087,
    2088,  2089,  1816,  2090,  2091,  2092,  2093,  2094,  2095,     0,
       0,     0,     0,  3502,  2075,     0,     0,     0,     0,  2076,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1150,     0,     0,     0,     0,     0,     0,   695,
       0,     0,   396,     0,     0,     0,     0,     0,     0,     0,
    2077,     0,     0,     0,  2078,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2079,  2080,     0,     0,     0,
    1821,     0,  1808,     0,     0,     0,     0,     0,     0,  2081,
       0,  1150,     0,     0,     0,  1150,     0,  3721,     0,  4296,
    1821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   657,     0,     0,
       0,  2082,  1150,     0,  2083,     0,  1821,     0,     0,     0,
       0,     0,     0,     0, -2407,     0,     0,  2084,  2078,     0,
    2085,     0,     0,  1808,     0,     0,  1150,  1150,     0,     0,
    1150,     0,     0,     0,     0,     0,     0,  1150,  1150,  2079,
    2080,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4335,     0,     0, -2407,     0,     0,  3304,     0,   657,     0,
     657,     0,     0,     0,  1150,     0,  2071,     0,     0,  2072,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1821,     0,     0,  1150,     0,  2073,     0,  2083,     0,
    2086,     0,     0,     0,  2075,     0,     0,     0,     0,  2076,
       0,  2084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,     0,     0,     0,     0,
    1150,  1146,  1152,   695,     0,  1152,     0,  1146,     0,  1051,
       0,  1177,     0,     0,     0,  1051,  1808,  1051,     0,     0,
       0,  1152,     0,  1051,     0,  1816,  1816,     0,  1816,     0,
       0,  1199,     0,     0,     0,     0,  1051,     0,  1146,     0,
       0,     0,   695,     0,  1152,     0,     0,     0,  1150,  1177,
    1821,     0,  1244,     0, -2407,     0,  2087,  2088,  2089,  1152,
    2090,  2091,  2092,  2093,  2094,  2095,     0,     0,     0,  1816,
    3702,  1816,     0,     0,     0,     0,     0,  1150,  1821,     0,
    1150,  1051,  1150,     0,     0,     0,     0,     0,     0,     0,
    1146,     0,     0,     0,   695,     0,     0,  1146,     0,     0,
    1177,     0,     0,     0,  2077,     0,     0,     0,  2078,     0,
       0,     0,     0,     0,     0,  1152,     0,     0,     0,     0,
    1150,     0,     0,  1821,     0,     0,     0,  1821,  1821,  2079,
    2080,     0,     0,     0,     0,     0,     0,     0,     0,   657,
    1816,     0,     0,  2081,  2090,  2091,  2092,  2093,  2094,  2095,
       0,     0,     0,   396,     0,     0,     0,     0,     0,     0,
    1150,     0,     0,     0,  1051,     0,     0,  1816,     0,  1051,
       0,     0,     0,     0,     0,  2082,     0,     0,  2083,     0,
       0,  1051,  1387,     0,     0,     0,  1821,     0,     0,     0,
    4366,  2084,     0,     0,  2085,     0,     0,     0,     0,     0,
       0,  1816,     0,     0,     0,     0,  1150,  1490,     0,     0,
       0,   695,  1051,     0,  2071,     0,     0,  2072,  1816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1051,
       0,     0,  1816,  1051,  2073,     0,     0,     0,  1540,     0,
       0,     0,  2075,  1490,     0,  1816,     0,  2076,     0,     0,
    1150,     0,  1051,     0,     0,     0,     0,  1150,     0,     0,
       0,     0,  3551,     0,  2086,     0,  2071,     0,     0,  2072,
       0,     0,  3564,  1150,  1150,     0,   657,     0,     0,     0,
       0,     0,  1816,  1150,     0,     0,  2073,  3576,     0,  1808,
    1808,     0,  1808,     0,  2075,     0,     0,     0,     0,  2076,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1150,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1150,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1808,     0,  1808,     0,     0,     0,     0,
    3626,     0,     0,  3627,  1152,  1152,     0,     0,  1816,     0,
    2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,
       0,     0,     0,     0,  3757,     0,     0,  1816,     0,     0,
       0,     0,  2077,     0,  1150,     0,  2078,     0,     0,     0,
       0,  1146,     0,  1150,  1508,     0,     0,     0,  1146,     0,
       0,  1177,  1816,     0,     0,     0,     0,  2079,  2080,     0,
       0,     0,  4453,  1152,  1808,     0,     0,     0,     0,     0,
       0,  2081,     0,     0,     0,     0,     0,     0,     0,  1152,
    1152,     0,     0,     0,  2077,     0,  1816,     0,  2078,     0,
       0,  1808,     0,  1051,  1051,  1051,  1152,     0,  1146,     0,
       0,     0,  1863,  2082,     0,     0,  2083,     0,     0,  2079,
    2080,     0,     0,  2071,     0,     0,  2072,     0,     0,  2084,
       0,     0,  2085,  2081,     0,  1808,     0,     0,     0,     0,
    1152,  1152,     0,  2073,     0,     0,     0,     0,     0,     0,
       0,  2075,  1808,     0,     0,     0,  2076,     0,     0,     0,
       0,     0,  3727,  3728,     0,  2082,  1808,     0,  2083,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,  1808,
       0,  2084,     0,     0,  2085,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4454,     0,  2086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1962,  1962,     0,     0,  1808,  1051,     0,   982,
       0,     0,     0,     0,     0,     0,     0,  2071,     0,  1816,
    2072,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1998,     0,     0,  1051,     0,  2073,  2004,     0,
    2071,     0,     0,  2072,  2086,  2075,     0,     0,  1490,     0,
    2076,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2073,     0,     0,     0,     0,     0,     0,     0,  2075,     0,
       0,  2077,  1808,  2076,     0,  2078,  1490,     0,  2087,  2088,
    2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,     0,
       0,  1808,  3771,     0,     0,     0,  2079,  2080,     0,     0,
       0,     0,     0,  1490,  1490,     0,  1490,     0,     0,     0,
    2081,     0,     0,     0,     0,     0,  1808,     0,  2071,     0,
       0,  2072,     0,  1490,     0,     0,     0,     0,     0,     0,
    2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,
       0,  1816,  2082,   695,   695,  2083,  2075,     0,     0,     0,
    1808,  2076,     0,     0,     0,     0,     0,     0,  2084,     0,
    3878,  2085,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1051,     0,     0,  1490,  2077,  1816,     0,  3903,  2078,
    2163,     0,  2170,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3910,     0,  1686,  2077,     0,
    2079,  2080,  2078,  1687,     0,     0,  1490,     0,     0,     0,
    1490,  1490,     0,     0,  2081,     0,     0,     0,     0,     0,
       0,     0,     0,  2079,  2080,     0,     0,  1712,     0,     0,
       0,  2086,     0,     0,     0,     0,     0,  2081,     0,  4013,
       0,     0,  1688,     0,   695,     0,  2082,     0,     0,  2083,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2084,     0,     0,  2085,     0,     0,     0,  2082,
       0,     0,  2083,     0,     0,  1713, -2407,     0,     0,     0,
    2078,     0,     0,  1808,     0,  2084,     0,     0,  2085,     0,
       0,     0,     0,  1689,     0,     0,     0,     0,     0,  1816,
    1690,  2079,  2080,  1691,     0,     0,     0,     0,     0,     0,
    1816,     0,     0,     0,     0, -2407,     0,  2087,  2088,  2089,
       0,  2090,  2091,  2092,  2093,  2094,  2095,  2325,     0,     0,
       0,  3983,     0,  1051,     0,  2086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1177,     0,     0,     0,
    2083,  1714,     0,     0,  1692,     0,     0,     0,  2086,     0,
       0,     0,     0,  2084,     0,     0,     0,     0,     0,     0,
    4016,  4017,  4018,  4019,     0,     0,     0,     0,     0,  1152,
    1152,  1152,  1152,  1051,     0,     0,  2071,     0,     0,  2072,
       0,  1816,     0,     0,     0,     0,  1715,     0,  1716,     0,
       0,  1816,  2412,     0,  1051,  1808,  2073,     0,  1717,     0,
    1152,  1152,     0,     0,  2075,     0,  1152,     0,     0,  2076,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,     0,     0,     0,     0,  4015, -2407,     0,     0,     0,
    1808,     0,  1718,  1694,  2087,  2088,  2089,     0,  2090,  2091,
    2092,  2093,  2094,  2095,     0,     0,     0,     0,  4187,     0,
       0,     0,     0,     0,     0,     0,     0,  2071,     0,     0,
    2072,     0,  1719,     0,     0,     0,  1696,  1720,     0,     0,
       0,  1152,  1152,  1152,  1152,     0,     0,  2073,     0,     0,
       0,     0,     0,     0,     0,  2075,     0,     0,  2412,     0,
    2076,  1721,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1722,     0,  2521,     0,  1146,     0,     0,     0,     0,
       0,     0,   695,     0,  1146,     0,  2090,  2091,  2092,  2093,
    2094,  2095,  1177,     0,     0,     0,     0,  1051,     0,     0,
       0,     0,     0,     0,  2077,     0,  1051,     0,  2078,     0,
       0,     0,  1152,  1152,     0,     0,     0,     0,     0,     0,
       0,  1816,     0,  1808,     0,     0,  1051,     0,     0,  2079,
    2080,     0,     0,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,     0,  2081,     0,     0,     0,  1816,     0,     0,
       0,     0,     0,  4158,     0,     0,     0,     0,     0,     0,
    1962,     0,     0,     0,     0,     0,     0,     0,  1146,     0,
       0,     0,  1051,  1051,     0,  2082,     0,     0,  2083,     0,
    2602,     0,     0,     0,  1051,  2077,     0,     0,     0,  2078,
       0,  2084,     0,     0,  2085,     0,     0,     0,     0,     0,
     982,   982,     0,     0,  2627,     0,  1490,  1490,     0,     0,
    2079,  2080,     0,     0,  1490,  1808,     0,  1490,     0,     0,
    1490,     0,  1816,     0,  2081,  1808,     0,     0,  1490,  1490,
       0,     0,     0,     0,     0,     0,  1490,     0,  1177,  1490,
    1490,  1490,  1490,     0,     0,     0,     0,     0,     0,  1490,
    1490,     0,  1490,     0,  1490,     0,  2082,  1490,     0,  2083,
       0,     0,     0,     0,  2086,     0,     0,     0,     0,     0,
       0,     0,  2084,     0,  1490,  2085,     0,     0,  1490,     0,
       0,     0,  1490,     0,     0,     0,  1490,     0,  1490,  1490,
    1490,  1490,  1490,  1490,  1490,  1490,  1490,     0,  1490,     0,
       0,     0,     0,  1051,  1490,     0,     0,  1490,     0,     0,
       0,  1816,     0,     0,     0,     0,     0,     0,     0,  4248,
       0,     0,     0,     0,     0,     0,     0,     0,  1051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1816,
    2071,     0,     0,  2072,     0,  2086,     0,     0,  1508,     0,
    2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,
    2073,     0,     0,     0,  4212,  2170,     0,     0,  2075,     0,
       0,     0,  1051,  2076,  1051,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,  1816,  1808,     0,     0,  1816,  1816,
    2071,     0,     0,  2072,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2073,  1808,     0,     0,     0,     0,     0,     0,  2075,     0,
       0,     0,     0,  2076,     0,     0,     0,  4320,     0,     0,
       0,  2087,  2088,  2089,     0,  2090,  2091,  2092,  2093,  2094,
    2095,     0,     0,     0,     0,  4250,     0,     0,     0,  2071,
       0,     0,  2072,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   695,  2073,
       0,     0,     0,   982,     0,   982,     0,  2075,     0,     0,
       0,     0,  2076,     0,     0,     0,  1808,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,  2077,     0,
       0,     0,  2078,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2325,  2079,  2080,     0,     0,     0,  2898,     0,
       0,     0,     0,  2907,     0,     0,     0,  2081,     0,  1051,
       0,     0,     0,     0,     0,     0,     0,     0,  2077,     0,
    2929,  2929,  2078,     0,     0,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2082,
    1152,     0,  2083,  2079,  2080,  1808,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2084,  3246,  2081,  2085,     0,
       0,  3247,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1808,     0,     0,     0,  2077,     0,     0,
       0,  2078,     0,     0,     0,  1810,     0,  1152,     0,  2082,
       0,     0,  2083,     0,  1152,  1152,  1152,  1152,  1152,  1152,
       0,     0,  2079,  2080,     0,  2084,     0,     0,  2085,  1490,
       0,     0,     0,     0,     0,     0,  2081,     0,  1808,     0,
       0,     0,  1808,  1808,     0,     0,     0,  2929,  2086,     0,
       0,  1051,     0,     0,     0,   982,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2082,     0,
       0,  2083,     0,     0,     0,     0,     0,     0,     0,  3080,
       0,     0,     0,     0,  2084,  1152,  3094,  2085,     0,     0,
       0,     0,     0,     0,     0,     0,  1863,     0,  2086,     0,
       0,     0,     0,  2521,  3124,     0,     0,     0,  3124,  3137,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1152,  2929,  1152,  2929,     0,
       0,     0,     0,     0,  2087,  2088,  2089,     0,  2090,  2091,
    2092,  2093,  2094,  2095,  2071,     0,     0,  2072,  4401,     0,
    1490,     0,     0,     0,     0,     0,     0,  2086,  1810,     0,
       0,     0,     0,     0,  2073,     0,     0,     0,     0,     0,
       0,  1962,  2075,     0,     0,     0,     0,  2076,     0,     0,
       0,     0,     0,     0,  2087,  2088,  2089,     0,  2090,  2091,
    2092,  2093,  2094,  2095,  1490,     0,     0,     0,  4478,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2087,  2088,  2089,     0,  2090,  2091,  2092,
    2093,  2094,  2095,     0,  1490,  1490,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,  1490,  1490,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,  1490,     0,  1490,  3272,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,  1490,
       0,  1490,  2077,     0,     0,     0,  2078,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,  1490,     0,  1177,     0,
    1490,     0,     0,     0,     0,     0,     0,  2079,  2080,     0,
       0,     0,   806,     0,     0,     0,  1490,     0,     0,     0,
    1051,  2081,     0,     0,     0,     0,  2521,     0,  1490,  1490,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,  2082,     0,     0,  2083,   806,     0,  2170,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,  2084,
    1490,     0,  2085,     0,     0,  1490,     0,     0,     0,  1051,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1810,     0,     0,     0,  1014,     0,     0,     0,     0,     0,
       0,  1014,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   806,     0,     0,     0,     0,
    1490,     0,  2929,     0,     0,     0,  1962,  1810,     4,     0,
       0,     0,  2086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
    1810,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     0,     8,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,  1810,     0,     0,     0,     0,     0,  2087,  2088,
    2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,  1810,
    3750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1810,     0,     0,
       0,     0,     0,     0,     0,     0,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2929,  2929,     0,
       0,     0,  1810,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3509,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1810,    47,     0,
       0,     0,     0,     0,     0,  1962,  1051,     0,     0,     0,
       0,     0,     0,    48,     0,     0,  1051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1051,     0,    49,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,     0,     0,
    3124,     0,     0,  3600,     0,    50,  2521,     0,     0,     0,
    2521,     0,     0,     0,     0,     0,  3613,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1051,     0,     0,  1051,    51,     0,
       0,    52,     0,     0,  3631,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1146,     0,     0,     0,     0,
       0,     0,    53,     0,     0,  2602,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,  1490,     0,  1490,     0,     0,     0,     0,
       0,  1490,     0,     0,  1490,  1490,  1490,  1490,  1490,  1490,
    1490,  1490,  1490,  1490,     0,     0,     0,  1490,  1490,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,  1810,
    1490,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,  1490,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,  1490,  1490,     0,     0,    55,  1490,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,  1051,  1051,    56,  1490,
       0,     0,     0,     0,     0,  3740,     0,  1490,     0,  1490,
       0,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,  2170,     0,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,    67,    68,     0,    69,    70,
      71,    72,    73,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3777,
    1962,  1962,     0,     0,     0,     0,     0,     0,     0,  2071,
       0,     0,  2072,     0,     0,     0,     0,     0,     0,     0,
    2071,     0,     0,  2072,  3795,     0,     0,     0,     0,  2073,
       0,     0,     0,  2800,     0,     0,     0,  2075,     0,     0,
    2073,     0,  2076,  2071,     0,     0,  2072,   806,  2075,     0,
       0,     0,     0,  2076,     0,  1148,     0,     0,     0,     0,
       0,  1148,     0,  2073,     0,     0,  3210,     0,     0,     0,
       0,  2075,     0,     0,     0,     0,  2076,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1810,     0,     0,     0,
       0,  1810,  1810,  2801,     0,     0,     0,     0,  3509,     0,
       0,     0,  1810,     0,  1051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,  1051,     0,  1148,     0,     0,     0,     0,     0,
       0,  1148,     0,     0,     0,     0,     0,     0,     0,  1051,
       0,     0,     0,     0,     0,     0,     0,  2077,  3080,     0,
       0,  2078,     0,  3925,     0,     0,     0,  2325,  2077,  3631,
       0,     0,  2078,     0,     0,     0,     0,     0,     0,     0,
    1490,  1490,  2079,  2080,     0,     0,     0,     0,     0,     0,
       0,  2077,     0,  2079,  2080,  2078,  2081,     0,     0,     0,
    3124,     0,     0,     0,  2521,     0,     0,  2081,     0,  2521,
       0,     0,  2521,  3080,     0,  3963,  2079,  2080,     0,     0,
       0,     0,  2929,     0,  2929,     0,     0,  1810,  2082,     0,
    2081,  2083,     0,     0,     0,     0,     0,     0,     0,  2082,
       0,     0,  2083,     0,  2084,     0,     0,  2085,     0,     0,
       0,  1148,     0,     0,     0,  2084,  1490,  1014,  2085,     0,
       0,  1014,  2082,     0,     0,  2083,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3694,     0,  2084,     0,
       0,  2085,     0,     0,     0,     0,     0,  1148,  1810,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,  1490,
    1490,     0,     0,     0,     0,     0,     0,  1490,  1490,     0,
       0,     0,  1490,     0,     0,     0,     0,  2086,  1490,  1490,
       0,     0,  1490,     0,  1051,  1051,  1051,  1051,  2086,     0,
       0,     0,     0,  1490,     0,  2071,     0,     0,  2072,  4027,
       0,  3695,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,  2086,     0,     0,     0,  2073,  1177,     0,     0,     0,
       0,     0,     0,  2075,     0,     0,  2802,     0,  2076,     0,
     982,     0,     0,  1490,     0,     0,     0,  1152,  1152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4060,     0,     0,     0,     0,     0,     0,     0,
       0,  1810,     0,  2087,  2088,  2089,     0,  2090,  2091,  2092,
    2093,  2094,  2095,     0,  2087,  2088,  2089,     0,  2090,  2091,
    2092,  2093,  2094,  2095,  1152,  1148,     0,     0,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,  2087,  2088,  2089,
       0,  2090,  2091,  2092,  2093,  2094,  2095,     0,     0,     0,
       0,     0,     0,  1819,     0,     0,     0,     0,  1962,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3509,  3509,  3509,  3509,  3509,     0,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2077,     0,     0,  1490,  2078,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2079,  2080,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2081,  2071,     0,     0,  2072,     0, -1921,     0,
       0,     0,     0,     0,     0,     0,     0,  1051,  1148,  4162,
       0,     0,     0,  2073,     0,  1490,     0,     0,     0,  2521,
       0,  2075,  3963,     0,  2082,     0,  2076,  2083,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2084,     0,     0,  2085,     0,     0,  1490, -1921,     0,     0,
       0,     0,     0,     0,     0,     0,  3224,     0, -1921,     0,
       0,     0, -1921,     0,     0,     0,  1819, -1921,     0,     0,
    1490,  1490, -1921,     0,  1490, -1921,     0, -1921,     0,     0,
       0,  1490,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -1921,     0,     0,     0,  3777,  1177,
    1152,     0,     0,  2086,     0,     0,     0,     0,     0,     0,
    1148,  2071,     0, -1921,  2072,     0,     0,     0,  1146,  1177,
       0,     0,     0,     0,  1810,  1810,     0,  1810,     0,     0,
       0,  2073,     0,     0,  3254,     0,     0,  1148,  1148,  2075,
    1148,  2077,     0,  1962,  2076,  2078,     0,     0,     0,     0,
       0,     0,     0,     0,  1146,     0, -1921,  1148,     0,     0,
       0,     0,     0,  1051, -1921,     0,  2079,  2080,  1810,     0,
    1810,     0,     0,     0,     0,  2929,     0,  2325,     0,     0,
    2081,     0,     0,     0,     0,     0,     0,  3925,     0,  2087,
    2088,  2089,  1051,  2090,  2091,  2092,  2093,  2094,  2095,     0,
       0,  1152,  3777,     0,     0,     0,     0, -1921,  1148,   806,
       0,     0,  2082,     0,     0,  2083,     0,     0,     0,     0,
       0,     0,  2071,     0,     0,  2072,     0,     0,  2084,     0,
       0,  1490,     0,     0,  1490,     0,  1490,     0,     0,  1810,
    1148,     0,  2073,     0,  1148,  1148,     0,     0,     0,  4308,
    2075,     0,   987,     0,     0,  2076,     0,     0,     0,     0,
       0,     0,     0,  1152,     0,     0,  1810,     0,     0,  2077,
       0,  1051,     0,  2078,  1490, -1921,     0,     0,     0,     0,
       0,     0,     0,     0,  1152,  1152,  1152,  1152,     0,     0,
       0,     0,     0,     0,  2079,  2080, -1921,     0, -1921, -1921,
    1810,  2086,     0,     0,     0,     0,     0,     0,  2081,     0,
       0,     0,     0,     0,  1490,     0,     0,  1810,  1819,     0,
       0,     0,     0,   806,     0,     0,     0,  1014,     0,     0,
   -1921,  1810,     0, -1921, -1921,     0, -1921,     0,     0,     0,
    2082,     0,     0,  2083,  1810,     0,     0,     0,  1014,     0,
       0,     0,     0,     0,     0,  1819,  2084,     0,     0,  2085,
    1490,     0,     0,     0,  3259,     0,     0,     0,  1177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1819,     0,
    2077,  1810,     0,     0,  2078,     0,     0,  2087,  2088,  2089,
       0,  2090,  2091,  2092,  2093,  2094,  2095,     0,     0,     0,
       0,  1152,     0,     0,  1146,  2079,  2080,     0,     0,     0,
       0,  3777,     0,     0,     0,     0,     0,     0,  4162,  2081,
       0,     0,  2071,  1014,  4308,  2072,     0,  1490,  1490,  2086,
       0,     0,     0,     0,     0,     0,     0,  1146,     0,     0,
    1819,  1152,  2073,     0,     0,  3263,     0,  1810,     0,     0,
    2075,  2082,     0,  2071,  2083,  2076,  2072,  1819,     0,     0,
       0,     0,     0,     0,  1490,     0,  1810,  2084,     0,     0,
    2085,     0,     0,  2073,  1490,  1819,     0,     0,     0,     0,
       0,  2075,     0,     0,     0,     0,  2076,     0,  4467,     0,
       0,  1810,     0,     0,     0,     0,     0,     0,     0,     0,
    1819,     0,     0,     0,     0,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2087,  2088,  2089,     0,  2090,
    2091,  2092,  2093,  2094,  2095,  1810,     0,     0,  1490,     0,
       0,     0,     0,  4467,     0,     0,     0,  1146,     0,     0,
    2086,  4467,     0,     0,     0,     0,     0,  1148,     0,  1148,
       0,     0,     0,     0,     0,  1819,     0,     0,  1148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2077,     0,     0,     0,  2078,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2079,  2080,     0,     0,     0,
       0,  2077,     0,     0,     0,  2078,     0,     0,     0,  2081,
       0,     0,     0,     0,     0,     0,  2087,  2088,  2089,     0,
    2090,  2091,  2092,  2093,  2094,  2095,  2079,  2080,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
    2081,  2082,     0,     0,  2083,     0,     0,     0,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,  2084,     0,     0,
    2085,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1148,  1148,  2082,     0,     0,  2083,     0,     0,  1148,     0,
       0,  1148,     0,     0,  1148,     0,     0,     0,  2084,     0,
       0,  2085,  1148,  1148,     0,     0,     0,     0,     0,     0,
    1148,     0,     0,  1148,  1148,  1148,  1148,     0,     0,     0,
       0,     0,     0,  1148,  1148,     0,  1148,     0,  1148,     0,
       0,  1148,     0,     0,     0,     0,     0,     0,     0,     0,
    2086,     0,     0,     0,     0,     0,     0,  1819,  1148,   806,
       0,     0,  1148,     0,     0,     0,  1148,     0,     0,     0,
    1148,     0,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  2086,  1148,     0,     0,     0,     0,     0,  1148,     0,
    1810,  1148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3655,     0,     0,
       0,     0,     0,     0,     0,   355,     0,     0,     0,     0,
       0,   355,     0,     0,     0,  1810,   650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2087,  2088,  2089,     0,
    2090,  2091,  2092,  2093,  2094,  2095,     0,     0,     0,     0,
       0,     0,     0,     0,   355,     0,     0,     0,     0,     0,
    1148,     0,     0,     0,     0,     0,     0,  2087,  2088,  2089,
       0,  2090,  2091,  2092,  2093,  2094,  2095,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    85,     0,     0,     0,     0,     0,    89,     0,   355,
       0,    93,     0,    94,     0,    96,    97,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   106,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   119,   120,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1011,     0,  1810,     0,
     806,     0,     0,  1011,     0,  1011,     0,     0,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,   355,     0,     0,
       0,     0,     0,     0,  1148,     0,     0,     0,     0,   128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   129,
       0,   130,   131,     0,  1819,     0,     0,     0,     0,  1819,
    1819,     0,     0,     0,     0,  1082,     0,     0,     0,     0,
    1819,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   141,   806,   142,   143,     0,
       0,     0,   145,     0,   146,     0,     0,     0,     0,     0,
    1810,     0,     0,     0,   148,     0,   149,     0,     0,     0,
    1810,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,   152,     0,   153,     0,     0,   156,     0,
       0,     0,     0,     0,   157,     0,     0,     0,     0,     0,
     158,     0,   159,     0,     0,     0,   160,     0,     0,     0,
       0,     0,   161,     0,  2071,     0,   649,  2072,     0,   163,
       0,   165,     0,   355,     0,     0,   167,     0,     0,     0,
       0,     0,     0,     0,  2073,     0,     0,  3701,     0,     0,
     171,     0,  2075,  1148,   798,  1819,     0,  2076,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   176,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   798,
       0,     0,   185,   186,     0,     0,     0,     0,   187,     0,
       0,     0,     0,     0,     0,     0,  1819,   188,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1148,     0,     0,
    2071,     0,     0,  2072,   193,     0,     0,  1148,     0,     0,
    1810,     0,     0,     0,     0,     0,  1010,     0,     0,     0,
    2073,     0,     0,  1010,     0,  1010,     0,     0,  2075,     0,
       0,     0,     0,  2076,     0,     0,  1810,   798,     0,     0,
     204,     0,     0,     0,  1148,     0,     0,     0,     0,     0,
       0,   206,  2077,     0,     0,   207,  2078,   208,     0,     0,
       0,     0,   209,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,   214,     0,     0,  2079,  2080,     0,
     215,     0,     0,     0,     0,     0,     0,   216,  1148,     0,
     218,  2081,     0,     0,     0,     0,     0,   221,     0,  1819,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,  1810,     0,     0,     0,     0,     0,     0,  1148,  1148,
       0,     0,     0,  2082,     0,     0,  2083,   228,     0,   229,
       0,     0,     0,     0,     0,     0,   231,     0,   232,  2084,
       0,   233,  2085,     0,     0,   234,     0,     0,  1148,  1148,
       0,     0,     0,  1148,     0,     0,     0,   237,  2077,     0,
       0,     0,  2078,     0,     0,  1148,  1148,  1148,  1148,     0,
       0,     0,     0,   806,     0,     0,     0,  1148,   806,     0,
    1148,     0,  1148,  2079,  2080,     0,     0,     0,     0,     0,
     246,     0,  1148,  1148,     0,  1148,     0,  2081,     0,     0,
    1810,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
    1148,     0,  2086,     0,  1148,   909,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   910,  1810,  2082,
    1148,     0,  2083,     0,     0,     0,     0,     0,     0,     0,
    1148,     0,  1148,  1148,  1148,  2084,     0,   911,  2085,   356,
       0,     0,     0,     0,     0,   356,     0,     0,     0,     0,
     651,     0,     0,     0,     0,     0,  1148,     0,     0,     0,
       0,     0,   912,  1810,     0,  1148,     0,  1810,  1810,     0,
       0,     0,     0,     0,  1148,     0,     0,     0,   356,  1148,
       0,     0,   913,     0,     0,     0,  1148,     0,  2087,  2088,
    2089,     0,  2090,  2091,  2092,  2093,  2094,  2095,     0,     0,
       0,     0,     0,   914,     0,     0,     0,     0,  2086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   356,     0,     0,     0,     0,     0,     0,
       0,   915,     0,     0,  1148,     0,   916,     0,     0,   355,
       0,     0,   917,   355,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   650,     0,     0,   918,     0,   650,
       0,     0,  1819,  1819,     0,  1819,     0,     0,   650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   356,     0,   650,  2087,  2088,  2089,   650,  2090,  2091,
    2092,  2093,  2094,  2095,     0,     0,  1819,   650,  1819,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   650,     0,     0,     0,     0,   919,     0,   806,
     806,   806,     0,     0,     0,     0,     0,   920,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,   650,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   921,     0,
       0,     0,   922,     0,   923,     0,     0,     0,     0,   806,
     924,     0,     0,   925,  1819,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   356,     0,   926,
       0,   927,     0,     0,     0,   928,     0,   806,  1819,     0,
       0,     0,     0,   929,     0,     0,     0,     0,   930,     0,
       0,     0,     0,     0,     0,  1819,     0,     0,   931,  1011,
       0,   650,   356,  1011,     0,     0,     0,     0,     0,  1819,
     932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     355,     0,  1819,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1148,     0,     0,     0,  1148,     0,     0,     0,     0,   798,
       0,     0,     0,  1148,     0,     0,     0,     0,     0,  1819,
       0,     0,     0,     0,   649,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,     0,     0,     0,   649,     0,
       0,     0,     0,     0,     0,   650,   650,     0,     0,  1148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   649,     0,     0,     0,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   649,     0,     0,
       0,     0,  1148,     0,     0,  1819,     0,     0,     0,     0,
       0,  1148,     0,     0,     0,     0,     0,  1148,     0,  1148,
       0,     0,   649,     0,  1819,  1148,     0,     0,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,     0,     0,
       0,  1148,  1148,     0,     0,     0,     0,     0,     0,  1819,
       0,     0,     0,     0,  1148,     0,     0,     0,   806,     0,
    1148,     0,   649,     0,     0,     0,     0,     0,     0,     0,
    1148,     0,     0,  1148,     0,  1148,     0,     0,     0,     0,
       0,     0,     0,  1819,  1148,  1148,  1148,     0,     0,     0,
    1148,     0,     0,  1148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1148,     0,     0,     0,     0,     0,     0,
       0,  1148,     0,  1148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1010,
       0,   649,     0,  1010,     0,   650,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   650,     0,
       0,     0,     0,  1148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   806,  1819,   806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   649,   649,     0,     0,     0,
     806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   858,     0,   356,     0,     0,     0,   356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   651,     0,
       0,   859,     0,   651,     0,     0,     0,     0,     0,     0,
    1148,     0,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   860,     0,     0,     0,  -629,     0,  1819,     0,
       0,     0,     0,     0,     0,     0,     0,   651,     0,     0,
       0,   651,     0,     0,     0,     0,   861,     0,     0,     0,
       0,   651,   862,   650,     0,     0,     0,     0,     0,     0,
     650,   650,     0,  1819,  1148,  1148,     0,   863,     0,     0,
       0,   355,     0,     0,     0,     0,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,     0,     0,  1148,     0,   864,  1148,     0,     0,     0,
       0,     0,   865,     0,     0,     0,   866,     0,     0,     0,
       0,     0,     0,     0,     0,   649,   651,     0,     0,     0,
       0,  -789,   355,   355,   355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   649,     0,
    1148,     0,   650,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   867,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   355,     0,     0,     0,  1148,     0,     0,   355,
       0,     0,     0,  1148,  1148,   355,  1819,     0,     0,  1011,
       0,  1148,  1148,     0,     0,     0,  1148,  1819,     0,     0,
       0,   868,  1148,  1148,   869,   651,  1148,     0,     0,     0,
    1011,     0,     0,     0,     0,     0,     0,  1148,     0,     0,
       0,     0,     0,     0,   356,     0,     0,     0,     0,  1148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,     0,     0,     0,     0,  1148,   871,     0,
       0,     0,     0,     0,  -362,     0,     0,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1819,     0,
       0,     0,     0,   650,     0,  1011,     0,     0,  1819,   651,
     651,     0,     0,  -362,  1818,   873,   874,     0,   875,   876,
       0,     0,     0,     0,     0,     0,     0,   877,     0,     0,
       0,     0,   878,     0,     0,     0,     0,   879,     0,     0,
       0,     0,   880,   649,     0,     0,     0,     0,     0,     0,
     649,   649,     0,   806,  -362,     0,     0,     0,     0,     0,
       0,   798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   355,     0,     0,
       0,   650,     0,     0,     0,     0,     0,     0,     0,     0,
    1148,     0,     0,     0,     0,     0,   650,     0,     0,     0,
     806,     0,   798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1819,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1148,
       0,     0,     0,  1148,   650,     0,     0,  1818,  1819,     0,
       0,     0,     0,     0,     0,   798,     0,     0,     0,  1010,
       0,     0,     0,     0,     0,   650,     0,     0,     0,     0,
    1148,     0,     0,     0,  1819,     0,     0,     0,     0,   651,
    1010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1148,  1148,     0,     0,  1148,     0,
       0,     0,   651,     0,     0,  1148,  1148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1819,
       0,     0,  1148,   649,     0,  1010,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1148,   798,  1819,     0,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,  1148,  1819,     0,  1148,     0,
    1148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   651,     0,     0,
       0,     0,     0,     0,   651,   651,     0,     0,     0,   355,
       0,     0,     0,     0,     0,   356,     0,     0,  1148,  1818,
       0,  1819,     0,     0,   649,  1819,  1819,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   649,     0,     0,     0,     0,
       0,   806,     0,     0,     0,     0,  2318,     0,  1148,     0,
       0,   355,     0,   355,     0,     0,   356,   356,   356,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1818,
       0,     0,   650,     0,  1819,     0,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1148,     0,     0,     0,     0,   650,
       0,     0,   355,   650,     0,     0,   356,     0,     0,     0,
       0,     0,     0,   356,     0,     0,     0,     0,     0,   356,
       0,     0,     0,     0,     0,   650,     0,     0,     0,     0,
       0,  1818,     0,   650,     0,     0,     0,     0,  1148,     0,
       0,     0,     0,     0,     0,  1148,     0,     0,  1818,     0,
       0,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,  1148,  1148,     0,     0,     0,  1818,     0,     0,     0,
       0,  1148,     0,     0,     0,     0,   650,     0,   355,     0,
       0,   798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1818,     0,   650,     0,     0,   650,     0,  1148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1148,     0,
       0,     0,     0,   355,   650,     0,     0,   651,     0,     0,
       0,   650,     0,     0,     0,     0,     0,     0,     0,     0,
     650,     0,     0,     0,     0,     0,     0,   650,     0,     0,
       0,     0,     0,     0,     0,     0,  1818,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,  1148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   356,     0,     0,     0,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   650,   649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1012,     0,     0,     0,
       0,     0,     0,  1012,     0,  1012,     0,     0,     0,   649,
       0,     0,   798,   649,     0,     0,     0,     0,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   650,     0,
       0,     0,     0,     0,     0,   649,     0,     0,     0,   651,
       0,     0,     0,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,   650,     0,     0,     0,     0,  1818,     0,
       0,     0,     0,     0,     0,     0,   649,     0,   798,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   650,     0,   649,     0,     0,   649,     0,     0,     0,
       0,     0,  2766,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   798,   649,     0,     0,     0,     0,     0,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
     649,     0,     0,     0,     0,     0,     0,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   355,     0,     0,     4,     0,
     355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   356,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,   649,     0,     0,   650,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,     0,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2885,     0,     0,     0,   650,
    2318,  2892,     0,     0,     0,   356,     0,   356,     0,     0,
       0,  1818,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   649,     0,     0,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,   649,     0,   651,     0,     0,   356,   651,     0,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   651,
       0,     0,     0,    49,   650,     0,     0,   651,     0,     0,
       0,   650,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
     651,     0,     0,     0,     0,   798,     0,     0,     0,     0,
     798,   355,   355,   355,     0,     0,  1818,     0,     0,     0,
     651,     0,   356,     0,     0,     0,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,   651,     0,     0,
     651,     0,     0,   650,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,     0,     0,     0,   356,   651,     0,
       0,     0,     0,     0,     0,   651,     0,     0,     0,     0,
       0,   355,     0,     0,   651,     0,     0,  2318,     0,     0,
       0,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   650,     0,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,    56,     0,
       0,     0,     0,  1144,     0,   651,     0,     0,     0,     0,
    1818,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,    58,     0,     0,     0,
       0,     0,    59,     0,   650,     0,    60,    61,    62,    63,
      64,     0,   651,    65,    66,  1312,     0,     0,     0,     0,
      71,  1313,     0,     0,   649,     0,   650,     0,     0,     0,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1144,     0,     0,     0,
       0,     0,     0,  1144,     0,     0,     0,   651,     0,     0,
       0,   798,   798,   798,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   651,     0,     0,     0,     0,
     355,     0,     0,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2766,  2766,  2766,     0,     0,     0,     0,
       0,   798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   356,
       0,     0,     0,     0,   356,     0,     0,     0,     0,   798,
       0,     0,     0,  1144,     0,     0,     0,     0,     0,  1012,
       0,     0,     0,  1012,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1144,
       0,     0,     0,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   650,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   651,     0,
       0,     0,     0,  2318,  2892,     0,  2892,   355,     0,   355,
       0,     0,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   355,     0,   649,     0,     0,     0,     0,   650,
       0,   650,     0,     0,     0,     0,     0,  1818,     0,  1818,
       0,     0,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,   651,     0,     0,     0,   650,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,     0,     0,
       0,     0,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1818,     0,
     798,     0,     0,     0,     0,  1817,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2892,     0,     0,   651,     0,
       0,     0,     0,     0,  1144,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2892,
       0,     0,     0,     0,     0,   356,   356,   356,     0,     0,
       0,     0,     0,     0,     0,     0,  1818,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1818,     0,     0,     0,     0,     0,     0,   651,     0,     0,
    1144,     0,     0,  2892,     0,     0,     0,     0,   650,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   356,     0,     0,     0,     0,
       0,   649,     0,     0,  2766,     0,     0,     0,     0,     0,
    1818,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   798,  1817,   798,
       0,     0,     0,   356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   798,     0,  1144,     0,     0,     0,     0,   649,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1818,   651,     0,     0,
       0,     0,  1144,     0,     0,     0,     0,   649,     0,     0,
       0,     0,     0,     0,     0,  1818,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1144,
    1144,     0,  1144,     0,     0,     0,     0,     0,     0,     0,
    1818,     0,     0,     0,     0,     0,     0,     0,     0,  1144,
     651,     0,     0,     0,     0,     0,   650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   650,   651,     0,
       0,     0,     0,     0,  1818,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,     0,     0,  2766,   355,     0,   650,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,  1144,  1144,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   356,     0,     0,     0,     0,     0,
       0,     0,   355,     0,     0,     0,     0,     0,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2892,     0,     0,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,  1012,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   650,     0,     0,
    1012,     0,     0,     0,     0,     0,     0,  1817,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   650,     0,
     650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   356,     0,   356,     0,  1012,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   649,     0,     0,  1818,
       0,     0,  1817,     0,     0,     0,   356,   649,     0,     0,
       0,     0,     0,   651,     0,   651,     0,     0,     0,  1817,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2318,     0,     0,  1817,     0,     0,
       0,   651,     5,     0,     0,   798,     0,   649,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     0,
       9,    10,  1817,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,   798,    45,     0,     0,     0,     0,     0,  1144,
       0,  1144,     0,     0,     0,     0,     0,  1817,     0,     0,
    1144,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,  1818,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1818,   650,
       0,     0,     0,     0,     0,     0,     0,   649,     0,     0,
       0,     0,     0,   355,     0,     0,     0,     0,  2766,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2766,     0,   651,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,   649,     0,
     649,     0,  1144,  1144,     0,     0,     0,     0,     0,  1818,
    1144,     0,     0,  1144,     0,     0,  1144,    49,     0,  1818,
       0,     0,     0,     0,  1144,  1144,     0,     0,     0,     0,
       0,     0,  1144,     0,     0,  1144,  1144,  1144,  1144,    50,
       0,     0,     0,     0,     0,  1144,  1144,     0,  1144,     0,
    1144,     0,     0,  1144,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   650,     0,     0,  1817,
    1144,     0,    51,     0,  1144,    52,     0,     0,  1144,     0,
       0,     0,  1144,     0,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,     0,  1144,     0,    53,     0,     0,     0,
    1144,     0,     0,  1144,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4156,
       0,     0,     0,     0,     0,     0,     0,    54,     0,   356,
       0,   651,  1144,     0,     0,     0,     0,     0,     0,  1818,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1811,     0,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,  1818,     0,     0,     0,    55,
       0,     0,     0,   798,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,   356,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1312,
    2892,     0,     0,     0,    71,     0,  1144,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   651,     0,     0,     0,     0,  1817,     0,     0,     0,
       0,  1817,  1817,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1817,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1811,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   651,     0,   651,     0,     0,     0,     0,  2892,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1818,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,  1817,     0,     5,
       0,     0,  1818,     0,     0,     0,  1818,  1818,     0,     6,
       7,     0,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,  1817,     0,
      45,     0,     0,     0,     0,  4156,     0,     0,     0,  1144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,  1144,     0,     0,     0,
       0,     0,     0,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   703,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,   703,     0,     0,  1811,     0,
       0,  1817,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,  1144,     0,     0,    48,     0,     0,     0,     0,     0,
       0,   703,     0,     0,     0,  1811,     0,     0,     0,     0,
       0,     0,   895,     0,    49,   703,     0,     0,     0,     0,
    1144,  1144,   895,     0,     0,  1144,   703,     0,  1811,     0,
       0,     0,     0,     0,     0,     0,    50,  1144,  1144,  1144,
    1144,     0,     0,     0,     0,     0,     0,   703,     0,  1144,
       0,     0,  1144,     0,  1144,     0,     0,     0,     0,     0,
     651,     0,     0,   895,  1144,  1144,     0,  1144,     0,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,  1144,     0,     0,     0,  1144,     0,     0,     0,
    1811,     0,     0,    53,     0,     0,  1067,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,     0,  1811,     0,     0,
       0,     0,  1144,     0,  1144,  1144,  1144,     0,     0,     0,
       0,     0,     0,     0,     0,  1811,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,     0,     0,
    1811,     0,     0,     0,     0,     0,  1144,     0,     0,     0,
       0,  1144,     0,     0,    54,     0,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1811,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1144,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1817,  1817,     0,  1817,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,  1112,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1312,  1914,     0,     0,
       0,    71,     0,     0,     0,     0,     0,     0,  1817,     0,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1817,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1817,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1811,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1817,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1817,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1817,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,  1144,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,     0,     0,     0,
       0,  1817,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   895,   895,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1144,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,  1112,  1817,     0,     0,
       0,     0,     0,  1144,     0,     0,     0,     0,     0,  1144,
       0,  1144,     0,     0,     0,     0,  1817,  1144,     0,     0,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
       0,     0,     0,  1144,  1144,     0,     0,  1813,     0,     0,
       0,  1817,     0,     0,     0,     0,  1144,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1144,     0,  1811,  1144,     0,  1144,     0,  1811,
    1811,     0,     0,     0,     0,  1817,  1144,  1144,  1144,     0,
    1811,     0,  1144,     0,     0,  1144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,     0,     0,     0,
       0,     0,     0,  1144,     0,  1144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1179,     0,  1181,     0,  1183,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1245,  1246,     0,     0,     0,  1248,     0,     0,     0,
       0,     0,     0,     0,     0,  1144,     0,     0,     0,     0,
       0,  1112,     0,   895,     0,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,  1811,     0,     0,     0,  1278,
       0,     0,     0,     0,     0,     0,     0,     0,  1817,     0,
       0,  1297,     0,     0,  1299,     0,  1301,     0,  1304,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   703,   895,  1149,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,   703,     0,   703,     0,
       0,     0,     0,     0,     0,     0,  1811,     0,   703,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,   703,   703,
       0,     0,     0,     0,     0,  1384,     0,  1385,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,     0,  1112,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,  1149,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1817,  1144,  1144,     0,  1811,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,  1144,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1636,     0,  1638,     0,     0,     0,  1640,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,     0,  1144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,  1144,  1754,
       0,     0,     0,     0,     0,  1144,  1144,     0,  1817,  1813,
       0,     0,  1766,  1144,  1144,     0,     0,     0,  1144,  1817,
       0,  1772,     0,     0,  1144,  1144,     0,  1774,  1144,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,  1822,  1144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1144,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1813,     0,     0,     0,     0,     0,
    1817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1817,  1813,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,   703,     0,   703,     0,     0,
     703,     0,   703,     0,  1813,   703,   703,   703,     0,     0,
       0,  1820,  1811,  1811,     0,  1811,     0,     0,   703,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   703,     0,   703,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,  1811,     0,  1811,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1817,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,  1144,     0,     0,     0,  1144,     0,     0,     0,     0,
    1817,     0,     0,     0,     0,     0,     0,  1811,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1144,     0,     0,     0,  1817,     0,     0,     0,
       0,     0,     0,     0,  1811,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,  1144,  1144,     0,     0,
    1144,     0,     0,     0,     0,     0,     0,  1144,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1811,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,  1811,     0,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,  1149,  1811,
       0,  1817,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,  1811,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,  1149,     0,  1149,     0,
       0,  1813,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,  1149,     0,  2238,     0,  1811,
    2238,     0,     0,     0,     0,     0,     0,     0,  2245,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2254,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1144,     0,
    1817,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,     0,  2292,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1811,     0,  1144,  1817,     0,
    1144,     0,  1144,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,  1149,  1149,  1811,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1811,
    1144,     0,     0,  1817,     0,     0,     0,  1817,  1817,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1811,     0,     0,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1817,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1820,     0,     0,  1144,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2453,  1820,     0,  1813,     0,
       0,     0,     0,  1813,  1813,     0,     0,  2475,     0,     0,
       0,     0,     0,     0,  1813,     0,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,     0,     0,  1144,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1144,  1144,     0,     0,     0,     0,     0,
       0,  2529,     0,  1144,     0,  2533,  1811,     0,  1820,     0,
       0,     0,     0,     0,  2542,     0,  2544,     0,  2545,     0,
       0,     0,     0,  2546,     0,  1820,     0,     0,     0,     0,
    1144,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1144,     0,     0,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   703,     0,   703,     0,
       0,     0,   703,     0,   703,     0,     0,   703,  1820,     0,
       0,   703,  2574,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1144,     0,     0,     0,     0,     0,
       0,     0,     0,  1144,     0,     0,     0,     0,     0,     0,
    1814,     0,     0,     0,     0,  1149,     0,  1149,     0,     0,
       0,     0,     0,  1820,     0,     0,  1149,     4,  1811,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,  1811,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1815,     0,     0,     0,     0,     0,     0,  2767,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,  1149,
       0,     0,     0,  1813,     0,    46,  1149,     0,     0,  1149,
       0,     0,  1149,  1814,     0,     0,     0,     0,     0,     0,
    1149,  1149,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,  1149,  1149,  1149,  1149,     0,  1811,     0,     0,     0,
       0,  1149,  1149,     0,  1149,     0,  1149,  1811,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,  1149,     0,     0,     0,
    1149,     0,     0,     0,  1149,     0,     0,    47,  1149,     0,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,     0,
    1149,     0,    48,     0,     0,     0,  1149,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,  1112,     0,     0,     0,     0,
       0,     0,     0,     0,  1815,     0,     0,     0,  1811,     0,
       0,     0,  2846,     0,    50,     0,     0,  2850,  1811,     0,
       0,     0,     0,     0,     0,     0,     0,  2860,     0,     0,
       0,     0,     0,     0,  2866,     0,     0,     0,     0,     0,
    2871,     0,     0,     0,     0,     0,  2881,    51,  1149,     0,
      52,  2883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,     0,  2899,  2900,  2903,
    2905,     0,     0,     0,  2912,  2915,     0,     0,     0,  2918,
       0,     0,  2922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2957,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2960,
       0,  2962,     0,     0,     0,     0,     0,     0,     0,     0,
    2973,  2974,  2975,     0,  2977,     0,     0,     0,     0,     0,
       0,     0,    54,  2990,  2991,     0,     0,     0,     0,     0,
       0,  2994,  2995,     0,     0,  1814,  1813,  1813,     0,  1813,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1811,     0,
       0,     0,  1820,     0,    55,     0,     0,  1820,  1820,     0,
       0,     0,  1814,     0,     0,     0,     0,    56,  1820,     0,
    1813,     0,  1813,     0,  1811,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1312,  2555,     0,     0,     0,    71,
       0,     0,     0,     0,     0,     0,  1815,     0,     0,     0,
       0,  1813,     0,     0,     0,     0,     0,  1814,     0,  1811,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1814,     0,     0,     0,  1813,     0,
       0,     0,     0,  1815,     0,     0,     0,     0,     0,     0,
       0,  1149,  1814,  1820,     0,  1478,     0,     0,     0,     0,
       0,     0,     0,     0,  1112,     0,  1815,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,  1551,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1813,     0,     0,     0,     0,  1811,  3195,
       0,     0,     0,     0,  1820,     0,  1813,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,  1815,     0,
       0,     0,  1814,     0,     0,  1149,  1811,     0,     0,     0,
       0,     0,     0,     0,     0,  1815,     0,     0,     0,     0,
       0,     0,     0,  1813,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1815,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,  1811,     0,     0,     0,  1811,  1811,     0,  1815,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1813,     0,
       0,     0,     0,  1815,     0,     0,  1149,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1813,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,  1149,     0,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1149,  1149,  1149,  1149,  1813,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,  1149,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,  1149,     0,  1149,  1814,     0,     0,     0,     0,     0,
       0,     0,  3376,  3377,     0,     0,  1149,     0,  1149,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,  3396,     0,     0,     0,     0,  1149,     0,
    1149,  1149,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,  3415,  3416,  3417,
    3418,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,  1815,  2011,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2034,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,  3459,     0,     0,     0,     0,  3461,     0,     0,     0,
       0,  2058,  2059,     0,  2062,     0,     0,     0,     0,     0,
    1820,  1820,     0,  1820,     0,     0,     0,     0,     0,     0,
       0,  2101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,  1820,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,     0,     0,
       0,  1814,  2154,     0,     0,     0,  1814,  1814,     0,     0,
    3559,   895,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1813,     0,     0,
       0,     0,     0,     0,  2184,     0,     0,     0,  2194,  2197,
       0,     0,     0,     0,     0,     0,     0,   895,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3619,     0,     0,     0,     0,     0,
       0,     0,  1820,     0,     0,     0,     0,  3628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1815,     0,     0,     0,  1820,  1815,  1815,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1815,     0,
       0,     0,  1814,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1820,     0,     0,
    1813,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,  1813,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,  1814,     0,     0,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,  1815,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,  1820,     0,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,  1149,     0,  1149,     0,     0,
       0,     0,  1820,  1149,     0,     0,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,     0,     0,     0,  1149,
    1149,     0,     0,     0,  1815,     0,  1814,  1820,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,  1149,     0,  1149,     0,     0,     0,     0,     0,     0,
    3794,  1820,  1149,  1149,  1149,     0,     0,     0,  1149,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,  1149,     0,     0,     0,     0,     0,  3820,     0,     0,
       0,     0,  3827,     0,  3829,  3830,  3831,  3832,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,  1815,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1813,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,  3890,
    3892,  3894,     0,  3896,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,  2637,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2659,     0,     0,  2661,     0,     0,
    2672,     0,     0,  1813,     0,     0,     0,  2679,  2684,     0,
       0,     0,  2689,     0,  3396,  2694,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2703,     0,     0,  3965,  2709,     0,     0,     0,
    2721,     0,     0,     0,  2728,     0,  2730,  2731,  2732,  2733,
    2734,  2735,  2736,  2737,  2738,     0,  2739,     0,     0,     0,
       0,     0,  1478,     0,     0,  2763,     0,     0,  1149,  1814,
    1814,     0,  1814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1814,     0,  1814,     0,     0,     0,     0,
    1813,  1820,  1149,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1551,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,  1149,     0,     0,  1149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1813,     0,     0,     0,  1813,
    1813,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1815,  1815,     0,  1815,  1814,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1814,     0,     0,     0,     0,     0,     0,     0,  4066,
       0,     0,     0,     0,  1815,     0,  1815,     0,     0,     0,
    4075,     0,     0,     0,  1149,     0,     0,     0,     0,     0,
       0,  1149,  1149,     0,  1820,  1814,     0,     0,  2869,  1149,
    1149,     0,     0,     0,  1149,  1820,     0,     0,     0,     0,
    1149,  1149,  1814,     0,  1149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,  1814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,  1814,
       0,     0,     0,     0,     0,  1815,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,     0,     0,     0,     0,
       0,     0,  1815,     0,     0,     0,  1814,     0,     0,     0,
    4127,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,  4146,     0,     0,     0,  1815,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1815,     0,     0,     0,     0,  2097,     0,
       0,     0,     0,     0,     0,     0,     0,  1815,     0,     0,
       0,  4175,  1814,     0,     0,     0,     0,  3030,     0,     0,
    1815,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1814,  1815,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3141,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,  1149,     0,  1815,     0,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3162,     0,
       0,     0,  1815,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,  1820,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1815,     0,     0,
       0,     0,  1149,  1149,     0,     0,  1149,     0,     0,     0,
       0,     0,  1478,  1149,  1149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3396,     0,
       0,  1815,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,  3206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1814,     0,     0,     0,  1820,     0,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2684,
       0,  2684,  2684,     0,     0,     0,  1149,     0,     0,     0,
       0,  3266,     0,     0,  3269,     0,  3271,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3292,     0,  3294,     0,     0,     0,  3297,     0,
       0,     0,     0,     0,  1149,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1815,     0,  2763,  2763,  2763,     0,
       0,     0,     0,  1149,  1820,  1814,  1149,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3344,     0,     0,     0,     0,     0,     0,  2097,     0,  1551,
       0,     0,     0,     0,     0,     0,     0,     0,  2184,     0,
    1814,     0,     0,  3359,     0,     0,  1149,  4398,     0,  1820,
    2197,     0,     0,  1820,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3385,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1820,     0,     0,     0,  1815,     0,  2097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,  2097,     0,     0,     0,     0,  2668,     0,     0,     0,
       0,  1815,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1814,     0,  2097,  2097,     0,     0,  2097,
       0,     0,     0,     0,  1814,     0,  1149,     0,     0,     0,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
    1149,     0,     0,     0,     0,     0,     0,     0,  2097,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,     0,     0,     0,     0,  1814,     0,     0,     0,     0,
       0,  2097,     0,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,  1815,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1815,     0,     0,     0,     0,
       0,  2097,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,  2097,     0,     0,  2097,     0,     0,     0,     0,  1149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1815,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1815,  2763,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3656,     0,     0,     0,
       0,  1814,     0,     0,     0,  3659,     0,     0,     0,     0,
       0,  3660,     0,  3661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3679,  3680,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2689,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3705,     0,     0,  3708,     0,  3710,
       0,     0,     0,     0,     0,     0,  1814,     0,  3714,     0,
       0,     0,     0,     0,  3719,     0,  1815,  3722,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3729,     0,     0,
       0,     0,     0,     0,     0,  3741,     0,  2763,     0,     0,
       0,     0,  1815,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1815,     0,     0,
       0,     0,     0,  1814,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1814,     0,
       0,     0,  1814,  1814,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1815,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1815,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2097,     0,  2097,     0,
    2668,  2668,  3242,     0,     0,  2668,     0,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,  2097,     0,     0,     0,
       0,  2097,     0,     0,     0,     0,  2097,     0,     0,  1815,
       0,  2097,     0,  1815,  1815,     0,     0,     0,     0,     0,
    2097,     0,     0,     0,  2668,  2668,  2097,     0,  3940,  3941,
       0,     0,     0,     0,     0,     0,     0,     0,  2097,     0,
       0,     0,     0,     0,     0,  2097,     0,  2097,  2097,  2097,
    2097,  2097,  2097,  2097,  2097,  2097,  2097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3981,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3997,  3999,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4006,     0,     0,     0,     0,     0,  4011,  4012,     0,     0,
    4014,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2763,     0,     0,     0,     0,  2097,     0,     0,     0,
       0,     0,     0,  2763,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4115,     0,     0,  2097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2097,     0,
       0,     0,  4195,     0,     0,     0,     0,     0,     0,     0,
    4197,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2097,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3242,  3242,     0,  2668,     0,     0,
    2668,  2668,  2668,  2668,  2668,  2668,  2668,  2668,  2668,  2668,
    3242,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2097,     0,     0,  2097,     0,  2097,     0,
       0,     0,     0,  3242,  3242,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2668,  2668,  2097,
       0,  2097,     0,     0,  2097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4323,     0,     0,     0,  2097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4416,  4416,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2668,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4416,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4416,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2097,     0,     0,  2097,  2097,  2097,     0,
       0,  3242,     0,     0,     0,     0,  3242,  3242,  3242,  3242,
    3242,  3242,  3242,  3242,  3242,  3242,  2097,  2097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,  2668,  2668,  2097,     0,  2097,     0,     0,
       0,  2097,  3242,  3242,     0,     0,  2097,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,  2097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
       0,     0,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,  3242,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2097,  2097,   140,
       0,     0,     0,     0,     0,     0,   144,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,  2097,     0,
       0,     0,  2668,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2097,     0,  2097,     0,     0,     0,
       0,  3242,  3242,  2097,     0,     0,  2668,  2668,  2097,  2097,
     162,  2097,     0,     0,     0,     0,     0,   164,     0,     0,
     166,     0,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,  2097,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,  2097,     0,     0,     0,     0,   192,     0,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,   199,   200,   201,     0,     0,     0,     0,     0,
       0,     0,     0,   202,     0,   203,     0,     0,     0,     0,
       0,     0,  2097,     0,     0,     0,     0,   205,     0,     0,
       0,     0,     0,     0,     0,     0,  3242,  2668,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
    3242,  3242,  2097,     0,  2097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,   219,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,     0,  3242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2820,     0,     0,     0,     0,     0,
    2097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   709,
      86,    87,    88,   661,    90,    91,    92,   662,     0,   663,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   710,
     104,   105,   664,   711,     0,   107,   108,   109,   110,   712,
     713,   112,   113,   114,   115,     0,   116,   714,   715,   665,
     666,     0,     0,  2097,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,  2097,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   716,   412,   413,   414,   717,   718,   719,
     720,   721,   722,   723,   415,   416,   724,   417,   133,   418,
     419,   420,   135,   136,   137,   138,   139,   725,   421,   422,
     423,   424,   425,   726,   727,   426,   427,   728,   140,   428,
     729,   429,   430,   431,   432,   144,   730,   731,   433,   434,
     435,   436,   147,   437,   732,   733,   438,   439,   440,   441,
     442,   443,   734,   444,   445,   446,   150,   447,   735,   736,
     737,   738,   151,   739,   740,   741,   448,   449,   450,   451,
     678,   452,   154,   155,   453,   742,   454,   743,   455,   456,
     457,   458,   459,   744,   460,   461,   462,   745,   746,   463,
     464,   465,   466,   467,   747,   468,   469,   470,   748,   471,
     472,   749,   473,   474,   475,   476,   164,   477,   478,   166,
     750,   479,   751,   480,   168,   481,   752,   482,   753,   483,
     169,   754,   170,   484,   485,   486,   755,   487,   172,   756,
     488,   757,   489,   490,   680,   491,   492,   173,   493,   494,
     495,   758,   496,   497,   498,   499,   500,   501,   759,   502,
     174,   175,   760,   503,   504,   505,   761,   177,   762,   178,
     763,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,   764,   182,   183,   514,   184,   765,   515,   516,
     517,   766,   767,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,   189,   190,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,   768,   537,
     538,   194,   539,   769,   195,   540,   196,   541,   542,   543,
     770,   544,   771,   772,   545,   546,   547,   773,   774,   197,
     198,   199,   200,   201,   548,   549,   550,   551,   552,   553,
     775,   554,   202,   555,   203,   556,   557,   558,   776,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
     777,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   778,   579,   580,   211,   581,   582,   213,   583,   584,
     585,   586,   587,   588,   683,   589,   779,   590,   591,   592,
     593,   594,   780,   595,   217,   596,   597,   219,   598,   220,
     781,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,   782,   610,   611,   783,   612,   613,   614,
     615,   616,   617,   784,   224,   225,   785,   786,   619,   226,
     620,   227,   787,   621,   622,   623,   624,   625,   626,   788,
     789,   627,   628,   629,   630,   790,   791,   631,   632,   633,
     634,   792,   235,   793,   635,   236,   636,   637,   638,   794,
     795,   639,   796,   797,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,   685,   645,   646,
      85,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   936,   104,   105,   106,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,   119,   120,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   129,     0,
     130,   131,     0,     0,     0,     0,     0,     0,     0,     0,
     132,   133,     0,     0,   134,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,   141,     0,   142,   143,   144,     0,
       0,   145,     0,   146,     0,   147,     0,     0,     0,     0,
       0,     0,     0,   148,     0,   149,     0,     0,     0,   150,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,   152,     0,   153,   154,   155,   156,     0,     0,
       0,     0,     0,   157,     0,     0,     0,     0,     0,   158,
       0,   159,     0,     0,     0,   160,     0,     0,     0,     0,
       0,   161,   162,     0,     0,     0,     0,     0,   163,   164,
     165,     0,   166,     0,     0,   167,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,   176,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,   185,   186,     0,     0,     0,     0,   187,     0,     0,
       0,     0,     0,     0,     0,     0,   188,     0,     0,   189,
     190,   191,     0,     0,     0,     0,     0,     0,     0,   192,
       0,     0,     0,   193,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,   199,   200,   201,     0,     0,     0,
       0,     0,     0,     0,     0,   202,     0,   203,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   205,
     206,     0,     0,     0,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,     0,     0,   210,   211,     0,   212,
     213,     0,     0,   214,     0,     0,     0,     0,     0,   215,
       0,     0,     0,     0,     0,     0,   216,   217,     0,   218,
     219,     0,   220,     0,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,   228,     0,   229,     0,
       0,     0,   230,     0,     0,   231,     0,   232,     0,     0,
     233,     0,     0,     0,   234,   235,     0,     0,   236,     0,
       0,     0,     0,     0,     0,     0,   237,     0,     0,     0,
       0,     0,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   246,
     104,   105,     0,  -124,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,   164,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,     0,     0,     0,     0,   192,     0,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,   199,   200,   201,     0,     0,     0,     0,     0,     0,
       0,     0,   202,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   205,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,     0,     0,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,  2822,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  2757,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,  2758,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,   184,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,  1435,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,   219,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,   624,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,  2759,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,  2760,     0,
       0,     0,     0,     0,     0,  1465,  2761,   709,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   710,   104,   105,
     664,   711,     0,   107,   108,   109,   110,   712,   713,   112,
     113,   114,   115,     0,   116,   714,   715,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,   403,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,  1403,
       0,     0,   415,   416,     0,   417,   133,   418,   419,   420,
     135,  1404,   137,  1405,  1406,     0,   421,   422,   423,   424,
     425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,
     430,   431,   432,  1411,     0,     0,   433,   434,   435,   436,
     147,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   150,   447,     0,  1412,  1413,  1414,
    1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,   452,
    1419,  1420,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,  1421,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,  1422,   477,   478,  1423,  1424,   479,
       0,   480,  1425,   481,     0,   482,     0,   483,   169,     0,
     170,   484,   485,   486,     0,   487,  1426,     0,   488,     0,
     489,   490,   680,   491,   492,   173,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,   174,   175,
       0,   503,   504,   505,  1427,  1428,     0,  1429,     0,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
       0,  1430,   183,   514,   184,     0,   515,   516,   517,  1431,
    1432,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,  1433,   190,  1434,   529,   530,   531,
     532,   533,   534,   535,   192,   536,  1435,   537,   538,   194,
     539,  1436,  1437,   540,  1438,   541,   542,   543,     0,   544,
       0,     0,  1439,   546,   547,     0,     0,   197,   198,   199,
     200,  1440,   548,   549,   550,   551,   552,   553,     0,   554,
    1441,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,  1442,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,   211,   581,   582,  1443,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
    1444,   595,   217,   596,   597,   219,   598,  1445,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,  1446,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,
    1451,   621,   622,   623,   624,   625,   626,     0,  1452,   627,
     628,   629,   630,  1453,     0,   631,   632,   633,   634,   684,
    1454,     0,   635,   236,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,  1455,  1456,
    1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,
       0,     0,     0,     0,     0,  1462,  1463,     0,     0,     0,
       0,     0,     0,     0,  1465,  2670,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,     0,
    1786,   137,  1787,  1788,     0,   421,   422,   423,   424,   425,
       0,     0,   426,   427,  1789,  1790,   428,     0,   429,   430,
     431,   432,     0,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,     0,     0,     0,   151,
       0,     0,     0,   448,   449,   450,   451,   678,   452,  1791,
    1792,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,     0,   477,   478,     0,     0,   479,     0,
     480,  1793,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,     0,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,  2306,   496,
     497,   498,   499,   500,   501,     0,   502,   174,  2307,     0,
     503,   504,   505,  1427,  1794,     0,  1795,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
       0,   183,   514,   184,     0,   515,   516,   517,     0,     0,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1796,   190,  1797,   529,   530,   531,   532,
     533,   534,   535,     0,   536,     0,   537,   538,   194,   539,
       0,     0,   540,  1798,   541,   542,   543,     0,   544,     0,
       0,   545,   546,   547,     0,     0,  2308,   198,   199,   200,
       0,   548,   549,   550,   551,   552,   553,     0,   554,     0,
     555,     0,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1799,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,     0,
     595,  2309,   596,   597,   219,   598,  1801,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1802,  1803,     0,     0,   619,     0,   620,     0,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,     0,     0,   631,   632,   633,   634,     0,  1804,
    2310,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,     0,     0,     0,     0,
       0,     0,     0,     0,   685,   645,   646,     0,     0,     0,
       0,   709,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,  2311,    98,    99,   100,   101,   102,
     103,   710,   104,   105,   664,   711,     0,   107,   108,   109,
     110,   712,   713,   112,   113,   114,   115,     0,   116,   714,
     715,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
     133,   418,   419,   420,     0,  1786,   137,  1787,  1788,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,  1789,
    1790,   428,     0,   429,   430,   431,   432,     0,     0,     0,
     433,   434,   435,   436,   147,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   150,   447,
       0,     0,     0,     0,   151,     0,     0,     0,   448,   449,
     450,   451,   678,   452,  1791,  1792,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,  1421,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,     0,   477,
     478,     0,     0,   479,     0,   480,  1793,   481,     0,   482,
       0,   483,   169,     0,   170,   484,   485,   486,     0,   487,
       0,     0,   488,     0,   489,   490,   680,   491,   492,   173,
     493,   494,   495,  2306,   496,   497,   498,   499,   500,   501,
       0,   502,   174,  2307,     0,   503,   504,   505,  1427,  1794,
       0,  1795,     0,   506,   179,   180,   507,   181,   508,   509,
     510,   511,   512,   513,     0,     0,   183,   514,   184,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,  1796,   190,
    1797,   529,   530,   531,   532,   533,   534,   535,     0,   536,
       0,   537,   538,   194,   539,     0,     0,   540,  1798,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,  2308,   198,   199,   200,     0,   548,   549,   550,   551,
     552,   553,     0,   554,     0,   555,     0,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,  1799,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,   211,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,  2309,   596,   597,   219,
     598,  1801,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,  1802,  1803,     0,     0,
     619,     0,   620,     0,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,     0,  1804,  2310,   635,   236,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,     0,     0,     0,     0,     0,     0,     0,     0,   685,
     645,   646,     0,     0,     0,     0,     0,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,  3101,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   664,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,     0,   418,   419,   420,   135,
     136,     0,   138,   139,     0,   421,   422,   423,   424,   425,
       0,     0,   426,   427,   675,   140,   428,     0,   429,   430,
     431,   432,   144,     0,     0,   433,   434,   435,   436,     0,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,     0,   447,     0,     0,     0,     0,     0,
       0,     0,     0,   448,   449,   450,   451,   678,   452,   154,
     155,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   164,   477,   478,   166,     0,   479,     0,
     480,   168,   481,     0,   482,     0,   483,     0,     0,     0,
     484,   485,   486,     0,   487,   172,     0,   488,     0,   489,
     490,   680,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,     0,   175,     0,
     503,   504,   505,     0,   177,     0,   178,     0,   506,     0,
       0,   507,     0,   508,   509,   510,   511,   512,   513,     0,
     182,     0,   514,     0,     0,   515,   516,   517,     0,     0,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,   189,     0,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,     0,   539,
       0,   195,   540,   196,   541,   542,   543,     0,   544,     0,
       0,   545,   546,   547,     0,     0,   197,     0,     0,     0,
     201,   548,   549,   550,   551,   552,   553,     0,   554,   202,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,   582,   213,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,     0,
     595,   217,   596,   597,     0,   598,   220,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   222,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,   224,   225,     0,     0,   619,   226,   620,   227,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,     0,  4049,   631,   632,   633,   634,   684,   235,
       0,   635,     0,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,   239,   240,   241,
     242,   243,   244,   245,   685,   645,   646,     0,     0,     0,
       0,     0,   709,    86,    87,    88,   661,    90,    91,    92,
     662,  1533,   663,    95,     0,  1534,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,  1403,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,  1404,   137,  1405,  1406,
    2680,   421,   422,   423,   424,   425,  1407,  1408,   426,   427,
    1409,  1410,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,  1419,  1420,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,  1422,
     477,   478,  1423,  1424,   479,     0,   480,  1425,   481,     0,
     482,     0,   483,   169,  2681,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,  1427,
    1428,     0,  1429,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,  2682,  1430,   183,   514,   184,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1433,
     190,  1434,   529,   530,   531,   532,   533,   534,   535,   192,
     536,  1435,   537,   538,   194,   539,  1436,  1437,   540,  1438,
     541,   542,   543,     0,   544,     0,     0,  1439,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1442,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
    1443,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
     219,   598,  1445,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1447,  1448,     0,
    2683,   619,  1449,   620,  1450,  1451,   621,   622,   623,   624,
     625,   626,     0,  1452,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,   684,  1454,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
    1462,  1463,     0,     0,     0,     0,     0,     0,     0,  1465,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1399,  1400,
    1401,    45,  1402,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,  1403,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,  1404,   137,  1405,  1406,     0,   421,
     422,   423,   424,   425,  1407,  1408,   426,   427,  1409,  1410,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,  1419,  1420,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,  1422,   477,   478,
    1423,  1424,   479,     0,   480,  1425,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,  1427,  1428,     0,
    1429,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1433,   190,  1434,
     529,   530,   531,   532,   533,   534,   535,   192,   536,  1435,
     537,   538,   194,   539,  1436,  1437,   540,  1438,   541,   542,
     543,     0,   544,     0,     0,  1439,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1442,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,  1443,   583,
     584,   585,   586,   587,   588,   683,   589,   215,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
    1445,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,   223,   612,   613,
     614,   615,   616,   617,     0,  1447,  1448,     0,     0,   619,
    1449,   620,  1450,  1451,   621,   622,   623,   624,   625,   626,
       0,  1452,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,  2060,  1454,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,   237,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,  1462,  1463,
       0,     0,     0,     0,     0,     0,     0,  1465,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,   184,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,  1435,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,   219,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,   624,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,     0,     0,
       0,     0,     0,  2006,  2629,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,   403,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,  1403,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
    1404,   137,  1405,  1406,     0,   421,   422,   423,   424,   425,
    1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,  1419,
    1420,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,  1422,   477,   478,  1423,  1424,   479,     0,
     480,  1425,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,  1427,  1428,     0,  1429,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1433,   190,  1434,   529,   530,   531,   532,
     533,   534,   535,   192,   536,  1435,   537,   538,   194,   539,
    1436,  1437,   540,  1438,   541,   542,   543,     0,   544,     0,
       0,  1439,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1442,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,  1443,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,  1445,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,  1451,
     621,   622,   623,   624,   625,   626,     0,  1452,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,   684,  1454,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
       0,     0,     0,     0,  1462,  1463,  1464,     0,     0,     0,
       0,     0,     0,  1465,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
    1550,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,  1435,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,   624,   625,   626,     0,  1452,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  1462,  1463,     0,     0,     0,     0,     0,     0,
       0,  1465,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,  2192,   412,   413,   414,
       0,     0,     0,     0,  1403,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,  1404,   137,  1405,  1406,
       0,   421,   422,   423,   424,   425,  1407,  1408,   426,   427,
    1409,  1410,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,  1419,  1420,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,  1422,
     477,   478,  1423,  1424,   479,     0,   480,  1425,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,  1427,
    1428,     0,  1429,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,  1430,   183,   514,   184,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1433,
     190,  1434,   529,   530,   531,   532,   533,   534,   535,   192,
     536,  1435,   537,   538,   194,   539,  1436,  1437,   540,  1438,
     541,   542,   543,     0,   544,     0,     0,  1439,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1442,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
    1443,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
     219,   598,  1445,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1447,  1448,     0,
       0,   619,  1449,   620,  1450,  1451,   621,   622,   623,   624,
     625,   626,     0,  1452,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,   684,  1454,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
    1462,  1463,     0,     0,     0,     0,     0,     0,     0,  1465,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1399,  1400,
    1401,    45,  1402,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,  1403,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,  1404,   137,  1405,  1406,     0,   421,
     422,   423,   424,   425,  1407,  1408,   426,   427,  1409,  1410,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,  3140,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,  1419,  1420,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,  1422,   477,   478,
    1423,  1424,   479,     0,   480,  1425,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,  1427,  1428,     0,
    1429,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1433,   190,  1434,
     529,   530,   531,   532,   533,   534,   535,   192,   536,  1435,
     537,   538,   194,   539,  1436,  1437,   540,  1438,   541,   542,
     543,     0,   544,     0,     0,  1439,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1442,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,  1443,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
    1445,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,  1447,  1448,     0,     0,   619,
    1449,   620,  1450,  1451,   621,   622,   623,   624,   625,   626,
       0,  1452,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,  1454,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,  1462,  1463,
       0,     0,     0,     0,     0,     0,     0,  1465,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
    2681,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,   184,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,  1435,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,   219,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,   624,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,     0,     0,
       0,     0,     0,     0,     0,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,   403,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,  1403,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
    1404,   137,  1405,  1406,     0,   421,   422,   423,   424,   425,
    1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,  1419,
    1420,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,  1422,   477,   478,  1423,  1424,   479,     0,
     480,  1425,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,  1427,  1428,     0,  1429,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1433,   190,  1434,   529,   530,   531,   532,
     533,   534,   535,   192,   536,  1435,   537,   538,   194,   539,
    1436,  1437,   540,  1438,   541,   542,   543,     0,   544,     0,
       0,  1439,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1442,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,  1443,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,  1445,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,  1451,
     621,   622,   623,   624,   625,   626,     0,  1452,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,   684,  1454,
    3744,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
       0,     0,     0,     0,  1462,  1463,     0,     0,     0,     0,
       0,     0,     0,  1465,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,  4413,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,  4414,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,  1435,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,  4415,   625,   626,     0,  1452,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  1462,  1463,     0,     0,     0,     0,     0,     0,
       0,  1465,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,  1403,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,   135,  1404,   137,  1405,  1406,
       0,   421,   422,   423,   424,   425,  1407,  1408,   426,   427,
    1409,  1410,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,  4414,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,  1419,  1420,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,  1422,
     477,   478,  1423,  1424,   479,     0,   480,  1425,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,  1427,
    1428,     0,  1429,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,  1430,   183,   514,   184,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1433,
     190,  1434,   529,   530,   531,   532,   533,   534,   535,   192,
     536,  1435,   537,   538,   194,   539,  1436,  1437,   540,  1438,
     541,   542,   543,     0,   544,     0,     0,  1439,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1442,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
    1443,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
     219,   598,  1445,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1447,  1448,     0,
       0,   619,  1449,   620,  1450,  1451,   621,   622,   623,  4415,
     625,   626,     0,  1452,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,   684,  1454,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
    1462,  1463,     0,     0,     0,     0,     0,     0,     0,  1465,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1399,  1400,
    1401,    45,  1402,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,  1403,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,  1404,   137,  1405,  1406,     0,   421,
     422,   423,   424,   425,  1407,  1408,   426,   427,  1409,  1410,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,  1419,  1420,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,  1422,   477,   478,
    1423,  1424,   479,     0,   480,  1425,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,  1427,  1428,     0,
    1429,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1433,   190,  1434,
     529,   530,   531,   532,   533,   534,   535,   192,   536,  1435,
     537,   538,   194,   539,  1436,  1437,   540,  1438,   541,   542,
     543,     0,   544,     0,     0,  1439,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1442,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,  1443,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
    1445,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,  1447,  1448,     0,     0,   619,
    1449,   620,  1450,  1451,   621,   622,   623,   624,   625,   626,
       0,  1452,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,  1454,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,  1462,  1463,
       0,     0,     0,     0,     0,     0,     0,  1465,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,   184,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,  1435,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,   219,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,   624,   625,   626,     0,  1452,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,  3991,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  1462,  1463,     0,     0,
       0,     0,     0,     0,     0,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,   403,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1399,  1400,  1401,    45,  1402,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,  1403,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
    1404,   137,  1405,  1406,     0,   421,   422,   423,   424,   425,
    1407,  1408,   426,   427,  1409,  1410,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,  1419,
    1420,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,  1422,   477,   478,  1423,  1424,   479,     0,
     480,  1425,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,  1427,  1428,     0,  1429,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1433,   190,  1434,   529,  3998,   531,   532,
     533,   534,   535,   192,   536,  1435,   537,   538,   194,   539,
    1436,  1437,   540,  1438,   541,   542,   543,     0,   544,     0,
       0,  1439,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1442,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,  1443,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,  1445,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1447,  1448,     0,     0,   619,  1449,   620,  1450,  1451,
     621,   622,   623,   624,   625,   626,     0,  1452,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,   684,  1454,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
       0,     0,     0,     0,  1462,  1463,     0,     0,     0,     0,
       0,     0,     0,  1465,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1399,  1400,  1401,    45,  1402,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,  1403,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,  1404,   137,
    1405,  1406,     0,   421,   422,   423,   424,   425,  1407,  1408,
     426,   427,  1409,  1410,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,  1419,  1420,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,  1422,   477,   478,  1423,  1424,   479,     0,   480,  1425,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,  1427,  1428,     0,  1429,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1433,   190,  1434,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,  1436,  1437,
     540,  1438,   541,   542,   543,     0,   544,     0,     0,  1439,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1442,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,  1443,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,  1445,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1447,
    1448,     0,     0,   619,  1449,   620,  1450,  1451,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,  1454,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,  2663,  2664,     0,     0,     0,     0,     0,     0,
       0,  1465,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1399,  1400,  1401,    45,  1402,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,  1403,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420, -2407,  1404,   137,  1405,  1406,
       0,   421,   422,   423,   424,   425,  1407,  1408,   426,   427,
    1409,  1410,   428,     0,   429,   430,   431,   432,  1411,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,  4414,  1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,
     449,   450,   451,   678,   452,  1419,  1420,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,  1422,
     477,   478,  1423,  1424,   479,     0,   480,  1425,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,  1426,     0,   488,     0,   489,   490,   680,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,   175,     0,   503,   504,   505,  1427,
    1428,     0,  1429,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,  1430,   183,   514,     0,
       0,   515,   516,   517,  1431,  1432,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1433,
     190,  1434,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,   194,   539,  1436,  1437,   540,  1438,
     541,   542,   543,     0,   544,     0,     0,  1439,   546,   547,
       0,     0,   197,   198,   199,   200,  1440,   548,   549,   550,
     551,   552,   553,     0,   554,  1441,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1442,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
    1443,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,  1444,   595,   217,   596,   597,
       0,   598,  1445,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1446,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1447,  1448,     0,
       0,   619,  1449,   620,  1450,  1451,   621,   622,   623,  4415,
     625,   626,     0,  1452,   627,   628,   629,   630,  1453,     0,
     631,   632,   633,   634,   684,  1454,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
    1462,  1463,     0,     0,     0,     0,     0,     0,     0,  1465,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1399,  1400,
    1401,    45,  1402,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,  1403,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,     0,  1404,   137,  1405,  1406,     0,   421,
     422,   423,   424,   425,  1407,  1408,   426,   427,  1409,  1410,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,  1419,  1420,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,  1421,   466,   467,     0,   468,   469,   470,     0,
     471,     0,     0,   473,   474,   475,   476,  1422,   477,   478,
    1423,  1424,   479,     0,   480,  1425,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,  1427,  1428,     0,
    1429,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,     0,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,  1433,   190,  1434,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,  1436,  1437,   540,  1438,   541,   542,
     543,     0,   544,     0,     0,  1439,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,  1442,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,  1443,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,     0,   598,
    1445,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,  1447,  1448,     0,     0,   619,
    1449,   620,  1450,  1451,   621,   622,   623,   624,   625,   626,
       0,  1452,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,  1454,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,     0,     0,     0,     0,  1462,  1463,
       0,     0,     0,     0,     0,     0,     0,  1465,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  1400,  1401,    45,
    1402,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
    1403,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,     0,  1404,   137,  1405,  1406,     0,   421,   422,   423,
     424,   425,  1407,  1408,   426,   427,  1409,  1410,   428,     0,
     429,   430,   431,   432,  1411,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,  1412,  1413,
    1414,  1415,  1416,  1417,  1418,   448,   449,   450,   451,   678,
     452,  1419,  1420,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
    1421,   466,   467,     0,   468,   469,   470,     0,   471,     0,
       0,   473,   474,   475,   476,  1422,   477,   478,  1423,  1424,
     479,     0,   480,  1425,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,  1426,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,  1427,  1428,     0,  1429,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,  1430,   183,   514,     0,     0,   515,   516,   517,
    1431,  1432,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,  1433,   190,  1434,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,  1436,  1437,   540,  1438,   541,   542,   543,     0,
     544,     0,     0,  1439,   546,   547,     0,     0,   197,   198,
     199,   200,  1440,   548,   549,   550,   551,   552,   553,     0,
     554,  1441,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,  1442,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,  1443,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,  1444,   595,   217,   596,   597,     0,   598,  1445,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1446,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1447,  1448,     0,     0,   619,  1449,   620,
    1450,  1451,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,  1453,     0,   631,   632,   633,   634,
     684,  1454,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,   685,   645,   646,     0,
       0,     0,     0,     0,     0,     0,  2663,  2664,     0,     0,
       0,     0,     0,     0,     0,  1465,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,     0,   421,   422,   423,   424,   425,
       0,  1408,   426,   427,   675,   140,   428,     0,   429,   430,
     431,   432,  1411,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,  1412,  1413,  1414,  1415,
    1416,  1417,  1418,   448,   449,   450,   451,   678,   452,   154,
     155,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,   465,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   164,   477,   478,  1423,     0,   479,     0,
     480,   168,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,  1426,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,   175,     0,
     503,   504,   505,     0,   177,     0,   178,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
    1430,   183,   514,   184,     0,   515,   516,   517,  1431,  1432,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,     0,   537,   538,   194,   539,
       0,  1437,   540,   196,   541,   542,   543,     0,   544,     0,
    1048,   545,   546,   547,     0,     0,   197,   198,   199,   200,
    1440,   548,   549,   550,   551,   552,   553,     0,   554,  1441,
     555,   203,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,   683,   589,   215,   590,   591,   592,   593,   594,  1444,
     595,   217,   596,   597,   219,   598,   220,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1446,   609,
       0,   610,   611,   223,   612,   613,   614,   615,   616,   617,
       0,   224,   225,     0,     0,   619,  1449,   620,  1450,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,  1453,     0,   631,   632,   633,   634,  2060,   235,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
     237,   640,   641,   642,   643,   644,   238,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,   685,   645,   646,     0,     0,     0,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,  2512,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,   136,   137,   138,   139,     0,   421,
     422,   423,   424,   425,     0,  1408,   426,   427,   675,   140,
     428,     0,   429,   430,   431,   432,  1411,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
    1412,  1413,  1414,  1415,  1416,  1417,  1418,   448,   449,   450,
     451,   678,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
    1423,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,  1426,
       0,   488,     0,   489,   490,   680,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,  1430,   183,   514,   184,     0,   515,
     516,   517,  1431,  1432,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,   189,   190,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,     0,  1437,   540,   196,   541,   542,
     543,     0,   544,     0,  1048,   545,   546,   547,     0,     0,
     197,   198,   199,   200,  1440,   548,   549,   550,   551,   552,
     553,     0,   554,  1441,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,   213,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,  1444,   595,   217,   596,   597,   219,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1446,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
    1449,   620,  1450,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,  1453,     0,   631,   632,
     633,   634,   684,   235,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,  1455,  1456,  1457,  1458,  1459,  1460,  1461,   685,   645,
     646,     0,     0,     0,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,  2512,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,   135,   136,   137,
     138,   139,     0,   421,   422,   423,   424,   425,     0,  1408,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
    1411,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,  1412,  1413,  1414,  1415,  1416,  1417,
    1418,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,  1423,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,  1426,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,  1430,   183,
     514,   184,     0,   515,   516,   517,  1431,  1432,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,   190,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,   194,   539,     0,  1437,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,   198,   199,   200,  1440,   548,
     549,   550,   551,   552,   553,     0,   554,  1441,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,  1444,   595,   217,
     596,   597,   219,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,  1446,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,  1449,   620,  1450,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
    1453,     0,   631,   632,   633,   634,   684,   235,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,  1455,  1456,  1457,  1458,  1459,
    1460,  1461,   685,   645,   646,     0,     0,     0,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,  3772,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,   136,   137,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,   182,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,   190,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,   198,
     199,   200,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,   219,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,     0,
       0,     0,     0,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,  4226,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   664,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,  3122,     0,   415,   416,     0,
     417,     0,   418,   419,   420,   135,   136,     0,   138,   139,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
     675,   140,   428,     0,   429,   430,   431,   432,   144,     0,
       0,   433,   434,   435,   436,     0,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446, -1269,
     447,     0,     0,     0,     0,     0,     0,     0,     0,   448,
     449,   450,   451,   678,   452,   154,   155,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   164,
     477,   478,   166,     0,   479,     0,   480,   168,   481,     0,
     482,     0,   483,     0,     0, -1269,   484,   485,   486,     0,
     487,   172,     0,   488,     0,   489,   490,   680,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502, -1269,   175,     0,   503,   504,   505,     0,
     177,     0,   178,     0,   506,     0,     0,   507, -1269,   508,
     509,   510,   511,   512,   513,     0,   182, -1269,   514,     0,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,   189,
   -1269,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,     0,   539,     0,   195,   540,   196,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,   197,     0,     0,     0,   201,   548,   549,   550,
     551,   552,   553,     0,   554,   202,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580, -1269,   581,   582,
     213,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,   217,   596,   597,
       0,   598,   220,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   222,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,   224,   225,     0,
       0,   619,   226,   620,   227,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,   684,   235,     0,   635,     0,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,   239,   240,   241,   242,   243,   244,   245,
     685,   645,   646,     0,     0,     0,     0,     0,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
    1558,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     664,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,     0,   418,   419,   420,
     135,   136,     0,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,   675,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
       0,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,     0,   447,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   449,   450,   451,   678,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,     0,     0,
       0,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,   680,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,     0,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
       0,     0,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   182,     0,   514,     0,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,     0,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,     0,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,     0,     0,
       0,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,     0,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,   684,
     235,     0,   635,     0,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,     0,     0,
       0,     0,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,  3506,  3507,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,   684,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,     0,     0,    86,    87,    88,   661,
      90,    91,    92,   662,     0,   663,    95,     0,  3507,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   664,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,   403,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,     0,   418,   419,   420,   135,   136,
       0,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,   675,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,     0,   437,
     676,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,     0,   447,     0,     0,     0,     0,     0,     0,
       0,     0,   448,   449,   450,   451,   678,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   480,
     168,   481,     0,   482,     0,   483,     0,     0,     0,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
     680,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,     0,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,     0,     0,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   182,
       0,   514,     0,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,   189,     0,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,     0,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,     0,     0,     0,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   213,   583,   584,   585,   586,   587,   588,
     683,   589,   215,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,     0,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,   223,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,  2060,   235,     0,
     635,     0,   636,   637,   638,     0,     0,   639,     0,   237,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,   685,   645,   646,     0,     0,     0,     0,
      86,    87,    88,   661,    90,    91,    92,   662,     0,   663,
      95,     0,   246,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   664,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   665,
     666,     0,     0,     0,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,     0,   418,
     419,   420,   135,   136,     0,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,   675,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,     0,   437,   676,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,     0,   447,     0,     0,
       0,     0,     0,     0,     0,     0,   448,   449,   450,   451,
     678,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
       0,     0,     0,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,   680,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
       0,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,     0,     0,   507,     0,   508,   509,   510,   511,
     512,   513,     0,   182,     0,   514,     0,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,   189,     0,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,     0,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
       0,     0,     0,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,   582,   213,   583,   584,
     585,   586,   587,   588,   683,   589,   215,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,     0,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,   223,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,  2060,   235,     0,   635,     0,   636,   637,   638,     0,
       0,   639,     0,   237,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,   685,   645,   646,
       0,     0,     0,     0,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   664,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,     0,   418,   419,   420,   135,   136,     0,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,   675,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,     0,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
       0,   447,     0,     0,     0,     0,     0,     0,     0,     0,
     448,   449,   450,   451,   678,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,     0,     0,     0,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,   680,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,     0,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,     0,     0,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   182,     0,   514,
       0,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
     189,     0,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,     0,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,   197,     0,     0,     0,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   213,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,     0,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,   684,   235,     0,   635,     0,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,   685,   645,   646,     0,     0,     0,     0,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
    1530,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     664,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,     0,   418,   419,   420,
     135,   136,     0,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,   675,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
       0,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,     0,   447,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   449,   450,   451,   678,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,     0,     0,
       0,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,   680,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,     0,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
       0,     0,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   182,     0,   514,     0,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,     0,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,     0,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,     0,     0,
       0,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,     0,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,   684,
     235,     0,   635,     0,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,     0,     0,
       0,     0,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,  2164,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,   684,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,     0,     0,    86,    87,    88,   661,
      90,    91,    92,   662,     0,   663,    95,     0,  3612,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   664,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,     0,   418,   419,   420,   135,   136,
       0,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,   675,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,     0,   437,
     676,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,     0,   447,     0,     0,     0,     0,     0,     0,
       0,     0,   448,   449,   450,   451,   678,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   480,
     168,   481,     0,   482,     0,   483,     0,     0,     0,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
     680,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,     0,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,     0,     0,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   182,
       0,   514,     0,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,   189,     0,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,     0,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,     0,     0,     0,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   213,   583,   584,   585,   586,   587,   588,
     683,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,     0,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,   684,   235,     0,
     635,     0,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,   685,   645,   646,     0,     0,     0,   709,
      86,    87,    88,   661,    90,    91,    92,   662,     0,   663,
      95,     0,  3738,    98,    99,   100,   101,   102,   103,   710,
     104,   105,   664,   711,     0,   107,   108,   109,   110,   712,
     713,   112,   113,   114,   115,     0,   116,   714,   715,   665,
     666,     0,     0,     0,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,   403,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,  1162,
      45,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   716,   412,   413,   414,   717,   718,   719,
     720,   721,   722,   723,   415,   416,   724,   417,   133,   418,
     419,   420,     0,  1786,   137,  1787,  1788,   725,   421,   422,
     423,   424,   425,   726,   727,   426,   427,  1789,  1790,   428,
     729,   429,   430,   431,   432,     0,   730,   731,   433,   434,
     435,   436,   147,   437,   676,   733,   438,   439,   440,   441,
     442,   443,   734,   444,   445,   446,   150,   447,     0,   736,
     737,   738,   151,   739,   740,   741,   448,   449,   450,   451,
     678,   452,  1791,  1792,   453,   742,   454,   743,   455,   456,
     457,   458,   459,   744,   460,   461,   462,   745,   746,   463,
     464,  1421,   466,   467,   747,   468,   469,   470,   748,   471,
     472,   749,   473,   474,   475,   476,     0,   477,   478,     0,
     750,   479,   751,   480,  1793,   481,   752,   482,   753,   483,
     169,   754,   170,   484,   485,   486,   755,   487,     0,   756,
     488,   757,   489,   490,   680,   491,   492,   173,   493,   494,
     495,   758,   496,   497,   498,   499,   500,   501,   759,   502,
     174,     0,     0,   503,   504,   505,  1427,  1794,   762,  1795,
     763,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,   764,     0,   183,   514,   184,   765,   515,   516,
     517,   766,   767,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,  1796,   190,  1797,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   768,   537,
     538,   194,   539,   769,     0,   540,  1798,   541,   542,   543,
     770,   544,   771,   772,  3493,   546,   547,   773,   774,     0,
     198,   199,   200,     0,   548,   549,   550,   551,   552,   553,
     775,   554,     0,   555,     0,   556,   557,   558,   776,   559,
     560,   561,   562,   563,   564,   565,  1799,   566,   567,   568,
     777,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   778,   579,   580,   211,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   683,   589,   779,   590,   591,   592,
     593,   594,   780,   595,  2309,   596,   597,   219,   598,  1801,
     781,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,   609,   782,   610,   611,   783,   612,   613,   614,
     615,   616,   617,   784,  1802,  1803,     0,   786,   619,     0,
     620,     0,   787,   621,   622,   623,   624,   625,   626,     0,
     789,   627,   628,   629,   630,   790,   791,   631,   632,   633,
     634,     0,  1804,   793,   635,   236,   636,   637,   638,   794,
     795,   639,   796,   797,   640,   641,   642,   643,   644,     0,
       0,     0,     0,     0,     0,     0,     0,   685,   645,   646,
       0,     0,     0,  1165,  1166,  1167,     0,  3494,  3495,  1170,
    1171,  1172,  1173,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   664,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,     0,   418,   419,   420,   135,   136,     0,   138,   139,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
     675,   140,   428,     0,   429,  1163,   431,   432,   144,     0,
       0,   433,   434,   435,   436,     0,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,     0,
     447,     0,     0,     0,     0,     0,     0,     0,     0,   448,
     449,   450,   451,   678,   452,   154,   155,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   164,
     477,   478,   166,     0,  1164,     0,   480,   168,   481,     0,
     482,     0,   483,     0,     0,     0,   484,   485,   486,     0,
     487,   172,     0,   488,     0,   489,   490,   680,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,     0,   175,     0,   503,   504,   505,     0,
     177,     0,   178,     0,   506,     0,     0,   507,     0,   508,
     509,   510,   511,   512,   513,     0,   182,     0,   514,     0,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,   189,
       0,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,     0,   539,     0,   195,   540,   196,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,   197,     0,     0,     0,   201,   548,   549,   550,
     551,   552,   553,     0,   554,   202,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,   582,
     213,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,   217,   596,   597,
       0,   598,   220,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   222,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,   224,   225,     0,
       0,   619,   226,   620,   227,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,   684,   235,     0,   635,     0,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,   239,   240,   241,   242,   243,   244,   245,
     685,   645,   646,     0,     0,     0,  1165,  1166,  1167,     0,
    1168,  1169,  1170,  1171,  1172,  1173,    86,    87,    88,   661,
      90,    91,    92,   662,     0,   663,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   664,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,     0,   418,   419,   420,   135,   136,
       0,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,   675,   140,   428,     0,   429,  1238,   431,
     432,   144,     0,     0,   433,   434,   435,   436,     0,   437,
     676,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,     0,   447,     0,     0,     0,     0,     0,     0,
       0,     0,   448,   449,   450,   451,   678,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,  1239,     0,   480,
     168,   481,     0,   482,     0,   483,     0,     0,     0,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
     680,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,     0,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,     0,     0,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   182,
       0,   514,     0,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,   189,     0,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,     0,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,     0,     0,     0,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   213,   583,   584,   585,   586,   587,   588,
     683,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,     0,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,   684,   235,     0,
     635,     0,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,   685,   645,   646,     0,     0,     0,  1165,
    1166,  1167,     0,  1168,  1169,  1170,  1171,  1172,  1173,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,  1289,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
    1290,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1291,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,     0,
       0,     0,  1165,  1166,  1167,     0,  1168,  1169,  1170,  1171,
    1172,  1173,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,  1769,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,  1770,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,   684,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,     0,  1165,  1166,  1167,     0,  1168,
    1169,  1170,  1171,  1172,  1173,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,     0,     0,     0,  1165,  1166,
    1167,     0,  1168,  1169,  1170,  1171,  1172,  1173,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     664,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,     0,   418,   419,   420,
     135,   136,     0,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,   675,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
       0,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,     0,   447,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   449,   450,   451,   678,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,     0,     0,
       0,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,   680,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,     0,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
       0,     0,   507,     0,   508,   509,   510,   511,   512,   513,
       0,   182,     0,   514,     0,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,     0,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,     0,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,  4215,   546,   547,     0,     0,   197,     0,     0,
       0,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,     0,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,   684,
     235,     0,   635,     0,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,     0,     0,
       0,  1165,  1166,  1167,     0,  1168,  1169,  1170,  1171,  1172,
    1173,   709,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   710,   104,   105,   664,   711,     0,   107,   108,   109,
     110,   712,   713,   112,   113,   114,   115,     0,   116,   714,
     715,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   716,   412,   413,   414,   717,
     718,   719,   720,   721,   722,   723,   415,   416,   724,   417,
     133,   418,   419,   420,   135,   136,   137,   138,   139,   725,
     421,   422,   423,   424,   425,   726,   727,   426,   427,   728,
     140,   428,   729,   429,   430,   431,   432,   144,   730,   731,
     433,   434,   435,   436,   147,   437,   732,   733,   438,   439,
     440,   441,   442,   443,   734,   444,   445,   446,   150,   447,
     735,   736,   737,   738,   151,   739,   740,   741,   448,   449,
     450,   451,   678,   452,   154,   155,   453,   742,   454,   743,
     455,   456,   457,   458,   459,   744,   460,   461,   462,   745,
     746,   463,   464,   465,   466,   467,   747,   468,   469,   470,
     748,   471,   472,   749,   473,   474,   475,   476,   164,   477,
     478,   166,   750,   479,   751,   480,   168,   481,   752,   482,
     753,   483,   169,   754,   170,   484,   485,   486,   755,   487,
     172,   756,   488,   757,   489,   490,   680,   491,   492,   173,
     493,   494,   495,   758,   496,   497,   498,   499,   500,   501,
     759,   502,   174,   175,   760,   503,   504,   505,   761,   177,
     762,   178,   763,   506,   179,   180,   507,   181,   508,   509,
     510,   511,   512,   513,   764,   182,   183,   514,   184,   765,
     515,   516,   517,   766,   767,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,   190,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
     768,   537,   538,   194,   539,   769,   195,   540,   196,   541,
     542,   543,   770,   544,   771,   772,   545,   546,   547,   773,
     774,   197,   198,   199,   200,   201,   548,   549,   550,   551,
     552,   553,   775,   554,   202,   555,   203,   556,   557,   558,
     776,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,   777,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   778,   579,   580,   211,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,   779,   590,
     591,   592,   593,   594,   780,   595,   217,   596,   597,   219,
     598,   220,   781,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,   782,   610,   611,   783,   612,
     613,   614,   615,   616,   617,   784,   224,   225,   785,   786,
     619,   226,   620,   227,   787,   621,   622,   623,   624,   625,
     626,   788,   789,   627,   628,   629,   630,   790,   791,   631,
     632,   633,   634,   792,   235,   793,   635,   236,   636,   637,
     638,   794,   795,   639,   796,   797,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,   709,    86,    87,    88,   661,    90,    91,    92,
     662,  2155,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,     0,  1786,   137,  1787,  1788,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
    1789,  1790,   428,     0,   429,   430,   431,   432,     0,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,     0,     0,     0,   151,     0,     0,     0,   448,
     449,   450,   451,   678,   452,  1791,  1792,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,     0,
     477,   478,     0,     0,   479,     0,   480,  1793,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,     0,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,     0,     0,   503,   504,   505,  1427,
    1794,     0,  1795,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,     0,   183,   514,   184,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1796,
     190,  1797,   529,   530,   531,   532,   533,   534,   535,     0,
     536,     0,   537,   538,   194,   539,     0,     0,   540,  1798,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,     0,   198,   199,   200,     0,   548,   549,   550,
     551,   552,   553,     0,   554,     0,   555,     0,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1799,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,  1800,   596,   597,
     219,   598,  1801,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,  1802,  1803,     0,
       0,   619,     0,   620,     0,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,     0,  1804,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,     0,     0,     0,     0,     0,     0,     0,     0,
     685,   645,   646,     0,    86,    87,    88,   661,    90,    91,
      92,   662,  2257,   663,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   664,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,     0,   418,   419,   420,   135,   136,     0,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,   675,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,     0,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
       0,   447,     0,     0,     0,     0,     0,     0,     0,     0,
     448,   449,   450,   451,   678,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,     0,     0,     0,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,   680,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,     0,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,     0,     0,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   182,     0,   514,
       0,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
     189,     0,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,     0,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,   197,     0,     0,     0,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   213,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,     0,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,   684,   235,     0,   635,     0,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,   685,   645,   646,     0,    86,    87,    88,   661,    90,
      91,    92,   662,  1055,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   418,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   480,   168,
     481,     0,   482,     0,   483,     0,     0,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   511,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   529,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,     0,    86,    87,    88,   661,
      90,    91,    92,   662,  4093,   663,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   664,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,   403,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   404,   955,   406,   407,   408,   409,   410,   411,   956,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,     0,   957,   419,   420,   135,   136,
       0,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,   675,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,     0,   437,
     676,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,     0,   447,     0,     0,     0,     0,     0,     0,
       0,     0,   448,   449,   450,   451,   678,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   958,
     168,   481,     0,   482,     0,   959,     0,   960,     0,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
     680,   491,   492,     0,   493,   494,   495,   961,   496,   497,
     498,   499,   500,   501,     0,   502,     0,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,     0,     0,
     507,     0,   508,   509,   510,   962,   512,   513,     0,   182,
       0,   514,     0,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,   189,     0,   191,   963,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,     0,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,     0,     0,     0,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   964,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   965,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   213,   583,   584,   585,   586,   587,   588,
     683,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,     0,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,   684,   235,     0,
     635,     0,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,   685,   645,   646,     0,     0,     0,     0,
       0,     0,     0,   966,   967,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   664,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,   403,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     404,   955,   406,   407,   408,   409,   410,   411,   956,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,     0,   989,   419,   420,   135,   136,     0,
     138,   139,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,   675,   140,   428,     0,   429,   430,   431,   432,
     144,     0,     0,   433,   434,   435,   436,     0,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,     0,   447,     0,     0,     0,     0,     0,     0,     0,
       0,   448,   449,   450,   451,   678,   452,   154,   155,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,   465,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   164,   477,   478,   166,     0,   479,     0,   958,   168,
     481,     0,   482,     0,   990,     0,   960,     0,   484,   485,
     486,     0,   487,   172,     0,   488,     0,   489,   490,   680,
     491,   492,     0,   493,   494,   495,   961,   496,   497,   498,
     499,   500,   501,     0,   502,     0,   175,     0,   503,   504,
     505,     0,   177,     0,   178,     0,   506,     0,     0,   507,
       0,   508,   509,   510,   962,   512,   513,     0,   182,     0,
     514,     0,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,   189,     0,   191,   963,   530,   531,   532,   533,   534,
     535,   192,   536,     0,   537,   538,     0,   539,     0,   195,
     540,   196,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,   197,     0,     0,     0,   201,   548,
     549,   550,   551,   552,   553,     0,   554,   202,   555,   203,
     556,   557,   558,     0,   964,   560,   561,   562,   563,   564,
     565,   205,   566,   567,   568,     0,   569,   965,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   213,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,   217,
     596,   597,     0,   598,   220,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   222,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,   224,
     225,     0,     0,   619,   226,   620,   227,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,   684,   235,     0,   635,
       0,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,   238,   239,   240,   241,   242,   243,
     244,   245,   685,   645,   646,     0,     0,     0,     0,     0,
       0,     0,   966,   967,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   664,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
     403,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,  1337,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,     0,   418,   419,   420,   135,   136,     0,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,   675,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,     0,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
       0,   447,     0,     0,     0,     0,     0,     0,     0,     0,
     448,   449,   450,   451,   678,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,     0,   960,     0,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,   680,   491,
     492,     0,   493,   494,   495,   961,   496,   497,   498,   499,
     500,   501,     0,   502,     0,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,     0,     0,   507,     0,
     508,   509,   510,   511,   512,   513,     0,   182,     0,   514,
       0,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
     189,     0,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,     0,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,   197,     0,     0,     0,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   213,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,     0,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,   684,   235,     0,   635,     0,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,   685,   645,   646,     0,     0,     0,     0,     0,     0,
       0,   966,   967,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   664,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,   403,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,  1342,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,     0,   418,   419,   420,   135,   136,     0,   138,   139,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
     675,   140,   428,     0,   429,   430,   431,   432,   144,     0,
       0,   433,   434,   435,   436,     0,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,     0,
     447,     0,     0,     0,     0,     0,     0,     0,     0,   448,
     449,   450,   451,   678,   452,   154,   155,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,   465,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   164,
     477,   478,   166,     0,   479,     0,   480,   168,   481,     0,
     482,     0,   483,     0,   960,     0,   484,   485,   486,     0,
     487,   172,     0,   488,     0,   489,   490,   680,   491,   492,
       0,   493,   494,   495,   961,   496,   497,   498,   499,   500,
     501,     0,   502,     0,   175,     0,   503,   504,   505,     0,
     177,     0,   178,     0,   506,     0,     0,   507,     0,   508,
     509,   510,   511,   512,   513,     0,   182,     0,   514,     0,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,   189,
       0,   191,   529,   530,   531,   532,   533,   534,   535,   192,
     536,     0,   537,   538,     0,   539,     0,   195,   540,   196,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,   197,     0,     0,     0,   201,   548,   549,   550,
     551,   552,   553,     0,   554,   202,   555,   203,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,   205,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,   582,
     213,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,   217,   596,   597,
       0,   598,   220,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   222,   609,     0,   610,   611,     0,
     612,   613,   614,   615,   616,   617,     0,   224,   225,     0,
       0,   619,   226,   620,   227,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,   684,   235,     0,   635,     0,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,   238,   239,   240,   241,   242,   243,   244,   245,
     685,   645,   646,     0,     0,     0,     0,     0,     0,     0,
     966,   967,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   664,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,   403,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
       0,   418,   419,   420,   135,   136,     0,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,   675,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,     0,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,     0,   447,
       0,     0,     0,     0,     0,     0,     0,     0,   448,   449,
     450,   451,   678,   452,   154,   155,   453,   679,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,     0,     0,     0,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,   680,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,     0,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,     0,     0,   507,     0,   508,   509,
     510,   511,   512,   513,     0,   182,     0,   514,     0,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,   189,     0,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,     0,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,     0,     0,     0,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   213,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,     0,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,  1502,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,   684,   235,     0,   635,     0,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,   685,
     645,   646,     0,     0,  1027,  1503,    86,    87,    88,   661,
      90,    91,    92,   662,  1028,   663,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   664,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,     0,   418,   419,   420,   135,   136,
       0,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,  1029,   427,  1004,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,     0,   437,
    1030,     0,  1031,   439,   440,   441,   442,   443,     0,   444,
     445,   446,     0,   447,     0,     0,     0,     0,     0,     0,
       0,     0,   448,   449,   450,   451,   678,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   480,
     168,   481,     0,   482,     0,   483,     0,     0,     0,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
     680,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,     0,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,     0,     0,
     507,     0,   508,   509,   510,   511,   512,   513,     0,   182,
       0,   514,     0,     0,   515,   516,  1032,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,  1033,   189,     0,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,     0,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,     0,     0,     0,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,  1034,   582,   213,   583,   584,   585,  1035,   587,   588,
     683,   589,     0,   590,   591,   592,   593,  1036,     0,   595,
     217,   596,   597,     0,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
    1037,   225,     0,     0,  1038,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,  1008,   235,     0,
     635,     0,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,  1039,   238,   239,   240,   241,   242,
     243,   244,   245,   685,   645,   646,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     716,   412,   413,   414,   717,   718,   719,   720,   721,   722,
     723,   415,   416,   724,   417,   133,   418,   419,   420,   135,
     136,   137,   138,   139,   725,   421,   422,   423,   424,   425,
     726,   727,   426,   427,   728,   140,   428,   729,   429,   430,
     431,   432,   144,   730,   731,   433,   434,   435,   436,   147,
     437,   732,   733,   438,   439,   440,   441,   442,   443,   734,
     444,   445,   446,   150,   447,   735,   736,   737,   738,   151,
     739,   740,   741,   448,   449,   450,   451,   678,   452,   154,
     155,   453,   742,   454,   743,   455,   456,   457,   458,   459,
     744,   460,   461,   462,   745,   746,   463,   464,   465,   466,
     467,   747,   468,   469,   470,   748,   471,   472,   749,   473,
     474,   475,   476,   164,   477,   478,   166,   750,   479,   751,
     480,   168,   481,   752,   482,   753,   483,   169,   754,   170,
     484,   485,   486,   755,   487,   172,   756,   488,   757,   489,
     490,   680,   491,   492,   173,   493,   494,   495,   758,   496,
     497,   498,   499,   500,   501,   759,   502,   174,   175,   760,
     503,   504,   505,   761,   177,   762,   178,   763,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,   764,
     182,   183,   514,   184,   765,   515,   516,   517,   766,   767,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,   189,   190,   191,   529,   530,   531,   532,
     533,   534,   535,   192,   536,   768,   537,   538,   194,   539,
     769,   195,   540,   196,   541,   542,   543,   770,   544,   771,
     772,   545,   546,   547,   773,   774,   197,   198,   199,   200,
     201,   548,   549,   550,   551,   552,   553,   775,   554,   202,
     555,   203,   556,   557,   558,   776,   559,   560,   561,   562,
     563,   564,   565,   205,   566,   567,   568,   777,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   778,   579,
     580,   211,   581,   582,   213,   583,   584,   585,   586,   587,
     588,   683,   589,   779,   590,   591,   592,   593,   594,   780,
     595,   217,   596,   597,   219,   598,   220,   781,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   222,   609,
     782,   610,   611,   783,   612,   613,   614,   615,   616,   617,
     784,   224,   225,   785,   786,   619,   226,   620,   227,   787,
     621,   622,   623,   624,   625,   626,   788,   789,   627,   628,
     629,   630,   790,   791,   631,   632,   633,   634,   792,   235,
     793,   635,   236,   636,   637,   638,   794,   795,   639,   796,
     797,   640,   641,   642,   643,   644,   238,   239,   240,   241,
     242,   243,   244,   245,   685,   645,   646,   709,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   710,   104,   105,
     664,   711,     0,   107,   108,   109,   110,   712,   713,   112,
     113,   114,   115,     0,   116,   714,   715,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,  2964,   409,   410,
     411,   716,   412,   413,   414,   717,   718,   719,   720,   721,
     722,   723,   415,   416,   724,   417,   133,   418,   419,   420,
     135,   136,   137,   138,   139,   725,   421,   422,   423,   424,
     425,   726,   727,   426,   427,   728,   140,   428,   729,   429,
     430,   431,   432,   144,   730,   731,   433,   434,   435,   436,
     147,   437,   732,   733,   438,   439,   440,   441,   442,   443,
     734,   444,   445,   446,   150,   447,   735,   736,   737,   738,
     151,   739,   740,   741,   448,   449,   450,   451,   678,   452,
     154,   155,   453,   742,   454,   743,   455,   456,   457,   458,
     459,   744,   460,   461,   462,   745,   746,   463,   464,   465,
    2965,   467,   747,   468,   469,   470,   748,   471,   472,   749,
     473,   474,   475,   476,   164,   477,   478,   166,   750,   479,
     751,   480,   168,   481,   752,   482,   753,   483,   169,   754,
     170,   484,   485,   486,   755,   487,   172,   756,   488,   757,
     489,   490,   680,   491,   492,   173,   493,   494,   495,   758,
     496,   497,   498,   499,   500,   501,   759,   502,   174,   175,
     760,   503,   504,   505,   761,   177,   762,   178,   763,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
     764,   182,   183,   514,   184,   765,   515,   516,   517,   766,
     767,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,   189,   190,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,   768,   537,   538,   194,
     539,   769,   195,   540,   196,   541,   542,   543,   770,   544,
     771,   772,   545,   546,   547,   773,   774,   197,   198,   199,
     200,   201,   548,   549,   550,   551,   552,   553,   775,   554,
     202,   555,   203,   556,   557,   558,   776,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,   777,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   778,
     579,   580,   211,   581,   582,   213,   583,   584,   585,   586,
     587,   588,   683,   589,   779,   590,   591,   592,   593,   594,
     780,  2966,   217,   596,   597,   219,   598,   220,   781,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,   782,   610,   611,   783,   612,   613,   614,   615,   616,
     617,   784,   224,   225,   785,   786,   619,   226,   620,   227,
     787,   621,   622,   623,   624,   625,   626,   788,   789,   627,
     628,   629,   630,   790,   791,   631,   632,   633,   634,   792,
     235,   793,   635,   236,   636,   637,   638,   794,   795,   639,
     796,   797,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,   685,   645,   646,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,   136,   137,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,   182,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,   190,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,   198,
     199,   200,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,   219,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,   709,
      86,    87,    88,   661,    90,    91,    92,   662,     0,   663,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   710,
     104,   105,   664,   711,     0,   107,   108,   109,   110,   712,
     713,   112,   113,   114,   115,     0,   116,   714,   715,   665,
     666,     0,     0,     0,   667,   668,     0,     0,     0,     0,
     669,     0,     0,     0,     0,     0,     0,     0,     0,   670,
       0,   671,     0,   672,   673,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,   133,   418,
     419,   420,   135,   136,   137,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,   675,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,   147,   437,   676,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   150,   447,     0,     0,
       0,     0,   151,     0,     0,     0,   448,   449,   450,   451,
     678,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
     169,     0,   170,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,   680,   491,  1276,   173,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
     174,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,     0,   182,   183,   514,   184,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,   681,
     524,   525,   682,   526,   527,   528,   189,   190,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,   194,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
     198,   199,   200,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,   211,   581,   582,   213,   583,   584,
     585,   586,   587,   588,   683,   589,     0,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,   219,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,   684,   235,     0,   635,   236,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,   685,   645,   646,
     709,    86,    87,    88,   661,    90,    91,    92,   662,     0,
     663,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     710,   104,   105,   664,   711,     0,   107,   108,   109,   110,
     712,   713,   112,   113,   114,   115,     0,   116,   714,   715,
     665,   666,     0,     0,     0,   667,   668,     0,     0,     0,
       0,   669,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,   671,     0,   672,   673,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,   136,   137,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,   675,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,   147,   437,   676,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
       0,     0,     0,   151,     0,     0,     0,   448,   449,   450,
     451,   678,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,   680,   491,  1284,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,   182,   183,   514,   184,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
     681,   524,   525,   682,   526,   527,   528,   189,   190,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,   198,   199,   200,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,   213,   583,
     584,   585,   586,   587,   588,   683,   589,     0,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,   219,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,   684,   235,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,   685,   645,
     646,   709,    86,    87,    88,   661,    90,    91,    92,   662,
       0,   663,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   710,   104,   105,   664,   711,     0,   107,   108,   109,
     110,   712,   713,   112,   113,   114,   115,     0,   116,   714,
     715,   665,   666,     0,     0,     0,   667,   668,     0,     0,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,   670,     0,   671,     0,   672,   673,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
     133,   418,   419,   420,     0,  1786,   137,  1787,  1788,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,  1789,
    1790,   428,     0,   429,   430,   431,   432,     0,     0,     0,
     433,   434,   435,   436,   147,   437,   676,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   150,   447,
       0,     0,     0,     0,   151,     0,     0,     0,   448,   449,
     450,   451,   678,   452,  1791,  1792,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,  1421,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,     0,   477,
     478,     0,     0,   479,     0,   480,  1793,   481,     0,   482,
       0,   483,   169,     0,   170,   484,   485,   486,     0,   487,
       0,     0,   488,     0,   489,   490,   680,   491,   492,   173,
     493,   494,   495,  2306,   496,   497,   498,   499,   500,   501,
       0,   502,   174,  2307,     0,   503,   504,   505,  1427,  1794,
       0,  1795,     0,   506,   179,   180,   507,   181,   508,   509,
     510,   511,   512,   513,     0,     0,   183,   514,   184,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,   681,   524,   525,   682,   526,   527,   528,  1796,   190,
    1797,   529,   530,   531,   532,   533,   534,   535,     0,   536,
       0,   537,   538,   194,   539,     0,     0,   540,  1798,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,  2308,   198,   199,   200,     0,   548,   549,   550,   551,
     552,   553,     0,   554,     0,   555,     0,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,  1799,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,   211,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   683,   589,     0,   590,
     591,   592,   593,   594,     0,   595,  2309,   596,   597,   219,
     598,  1801,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,  1802,  1803,     0,     0,
     619,     0,   620,     0,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,     0,  1804,  2310,   635,   236,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,     0,     0,     0,     0,     0,     0,     0,     0,   685,
     645,   646,   709,    86,    87,    88,   661,    90,    91,    92,
     662,     0,   663,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   710,   104,   105,   664,   711,     0,   107,   108,
     109,   110,   712,   713,   112,   113,   114,   115,     0,   116,
     714,   715,   665,   666,     0,     0,     0,   667,   668,     0,
       0,     0,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,   670,     0,   671,     0,   672,   673,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,   415,   416,     0,
     417,   133,   418,   419,   420,     0,  1786,   137,  1787,  1788,
       0,   421,   422,   423,   424,   425,     0,     0,   426,   427,
    1789,  1790,   428,     0,   429,   430,   431,   432,     0,     0,
       0,   433,   434,   435,   436,   147,   437,   676,     0,   438,
     439,   440,   441,   442,   443,     0,   444,   445,   446,   150,
     447,     0,     0,     0,     0,   151,     0,     0,     0,   448,
     449,   450,   451,   678,   452,  1791,  1792,   453,     0,   454,
       0,   455,   456,   457,   458,   459,     0,   460,   461,   462,
       0,     0,   463,   464,  1421,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,     0,
     477,   478,     0,     0,   479,     0,   480,  1793,   481,     0,
     482,     0,   483,   169,     0,   170,   484,   485,   486,     0,
     487,     0,     0,   488,     0,   489,   490,   680,   491,   492,
     173,   493,   494,   495,     0,   496,   497,   498,   499,   500,
     501,     0,   502,   174,     0,     0,   503,   504,   505,  1427,
    1794,     0,  1795,     0,   506,   179,   180,   507,   181,   508,
     509,   510,   511,   512,   513,     0,     0,   183,   514,   184,
       0,   515,   516,   517,     0,     0,   518,   519,   520,   521,
     522,   523,   681,   524,   525,   682,   526,   527,   528,  1796,
     190,  1797,   529,   530,   531,   532,   533,   534,   535,     0,
     536,     0,   537,   538,   194,   539,  2298,     0,   540,  1798,
     541,   542,   543,     0,   544,     0,     0,   545,   546,   547,
       0,     0,     0,   198,   199,   200,     0,   548,   549,   550,
     551,   552,   553,     0,   554,     0,   555,     0,   556,   557,
     558,     0,   559,   560,   561,   562,   563,   564,   565,  1799,
     566,   567,   568,     0,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,   211,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   683,   589,     0,
     590,   591,   592,   593,   594,     0,   595,  2309,   596,   597,
     219,   598,  1801,     0,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,     0,   610,   611,  3584,
     612,   613,   614,   615,   616,   617,     0,  1802,  1803,     0,
       0,   619,     0,   620,     0,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,   628,   629,   630,     0,     0,
     631,   632,   633,   634,     0,  1804,     0,   635,   236,   636,
     637,   638,     0,     0,   639,     0,     0,   640,   641,   642,
     643,   644,     0,     0,     0,     0,     0,     0,     0,     0,
     685,   645,   646,   709,    86,    87,    88,   661,    90,    91,
      92,   662,     0,   663,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   710,   104,   105,   664,   711,     0,   107,
     108,   109,   110,   712,   713,   112,   113,   114,   115,     0,
     116,   714,   715,   665,   666,     0,     0,     0,   667,   668,
       0,     0,     0,     0,   669,     0,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   671,     0,   672,   673,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,   133,   418,   419,   420,     0,  1786,   137,  1787,
    1788,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,  1789,  1790,   428,     0,   429,   430,   431,   432,     0,
       0,     0,   433,   434,   435,   436,   147,   437,   676,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     150,   447,     0,     0,     0,     0,   151,     0,     0,     0,
     448,   449,   450,   451,   678,   452,  1791,  1792,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,  1421,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
       0,   477,   478,     0,     0,   479,     0,   480,  1793,   481,
       0,   482,     0,   483,   169,     0,   170,   484,   485,   486,
       0,   487,     0,     0,   488,     0,   489,   490,   680,   491,
     492,   173,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,   174,     0,     0,   503,   504,   505,
    1427,  1794,     0,  1795,     0,   506,   179,   180,   507,   181,
     508,   509,   510,   511,   512,   513,     0,     0,   183,   514,
     184,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,   681,   524,   525,   682,   526,   527,   528,
    1796,   190,  1797,   529,   530,   531,   532,   533,   534,   535,
    2351,   536,     0,   537,   538,   194,   539,     0,     0,   540,
    1798,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,     0,   198,   199,   200,     0,   548,   549,
     550,   551,   552,   553,     0,   554,     0,   555,     0,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
    1799,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,   211,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   683,   589,
       0,   590,   591,   592,   593,   594,     0,   595,  1800,   596,
     597,   219,   598,  1801,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,  1802,  1803,
       0,     0,   619,     0,   620,     0,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,     0,  1804,     0,   635,   236,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,     0,     0,     0,     0,     0,     0,     0,
       0,   685,   645,   646,   709,    86,    87,    88,   661,    90,
      91,    92,   662,     0,   663,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   710,   104,   105,   664,   711,     0,
     107,   108,   109,   110,   712,   713,   112,   113,   114,   115,
       0,   116,   714,   715,   665,   666,     0,     0,     0,   667,
     668,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,   671,     0,   672,   673,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   412,
     413,   414,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,   417,   133,   418,   419,   420,     0,  1786,   137,
    1787,  1788,     0,   421,   422,   423,   424,   425,     0,     0,
     426,   427,  1789,  1790,   428,     0,   429,   430,   431,   432,
       0,     0,     0,   433,   434,   435,   436,   147,   437,   676,
       0,   438,   439,   440,   441,   442,   443,     0,   444,   445,
     446,   150,   447,     0,     0,     0,     0,   151,     0,     0,
       0,   448,   449,   450,   451,   678,   452,  1791,  1792,   453,
       0,   454,     0,   455,   456,   457,   458,   459,     0,   460,
     461,   462,     0,     0,   463,   464,  1421,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,     0,   477,   478,     0,     0,   479,     0,   480,  1793,
     481,     0,   482,     0,   483,   169,     0,   170,   484,   485,
     486,     0,   487,     0,     0,   488,     0,   489,   490,   680,
     491,   492,   173,   493,   494,   495,     0,   496,   497,   498,
     499,   500,   501,     0,   502,   174,     0,     0,   503,   504,
     505,  1427,  1794,     0,  1795,     0,   506,   179,   180,   507,
     181,   508,   509,   510,   511,   512,   513,     0,     0,   183,
     514,   184,     0,   515,   516,   517,     0,     0,   518,   519,
     520,   521,   522,   523,   681,   524,   525,   682,   526,   527,
     528,  1796,   190,  1797,   529,   530,   531,   532,   533,   534,
     535,  3431,   536,     0,   537,   538,   194,   539,     0,     0,
     540,  1798,   541,   542,   543,     0,   544,     0,     0,   545,
     546,   547,     0,     0,     0,   198,   199,   200,     0,   548,
     549,   550,   551,   552,   553,     0,   554,     0,   555,     0,
     556,   557,   558,     0,   559,   560,   561,   562,   563,   564,
     565,  1799,   566,   567,   568,     0,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,   211,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   683,
     589,     0,   590,   591,   592,   593,   594,     0,   595,  1800,
     596,   597,   219,   598,  1801,     0,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,   609,     0,   610,
     611,     0,   612,   613,   614,   615,   616,   617,     0,  1802,
    1803,     0,     0,   619,     0,   620,     0,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,   628,   629,   630,
       0,     0,   631,   632,   633,   634,     0,  1804,     0,   635,
     236,   636,   637,   638,     0,     0,   639,     0,     0,   640,
     641,   642,   643,   644,     0,     0,     0,     0,     0,     0,
       0,     0,   685,   645,   646,   709,    86,    87,    88,   661,
      90,    91,    92,   662,     0,   663,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   710,   104,   105,   664,   711,
       0,   107,   108,   109,   110,   712,   713,   112,   113,   114,
     115,     0,   116,   714,   715,   665,   666,     0,     0,     0,
     667,   668,     0,     0,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,   670,     0,   671,     0,   672,
     673,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,     0,  1786,
     137,  1787,  1788,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,  1789,  1790,   428,     0,   429,   430,   431,
     432,     0,     0,     0,   433,   434,   435,   436,   147,   437,
     676,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,   678,   452,  1791,  1792,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,  1421,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,     0,   477,   478,     0,     0,   479,     0,   480,
    1793,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,     0,     0,   488,     0,   489,   490,
     680,   491,   492,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,     0,     0,   503,
     504,   505,  1427,  1794,     0,  1795,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,     0,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,   681,   524,   525,   682,   526,
     527,   528,  1796,   190,  1797,   529,   530,   531,   532,   533,
     534,   535,     0,   536,     0,   537,   538,   194,   539,     0,
       0,   540,  1798,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,     0,   198,   199,   200,     0,
     548,   549,   550,   551,   552,   553,     0,   554,     0,   555,
       0,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,  1799,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     683,   589,     0,   590,   591,   592,   593,   594,     0,   595,
    1800,   596,   597,   219,   598,  1801,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
    1802,  1803,     0,     0,   619,     0,   620,     0,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,     0,  1804,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,     0,     0,     0,     0,     0,
       0,     0,     0,   685,   645,   646,   709,    86,    87,    88,
     661,    90,    91,    92,   662,     0,   663,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   710,   104,   105,   664,
     711,     0,   107,   108,   109,   110,   712,   713,   112,   113,
     114,   115,     0,   116,   714,   715,   665,   666,     0,     0,
       0,   667,   668,     0,     0,     0,     0,   669,     0,     0,
       0,     0,     0,     0,     0,     0,   670,     0,   671,     0,
     672,   673,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   412,   413,   414,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,   417,   133,   418,   419,   420,     0,
    1786,   137,  1787,  1788,     0,   421,   422,   423,   424,   425,
       0,     0,   426,   427,  1789,  1790,   428,     0,   429,   430,
     431,   432,     0,     0,     0,   433,   434,   435,   436,   147,
     437,   676,     0,   438,   439,   440,   441,   442,   443,     0,
     444,   445,   446,   150,   447,     0,     0,     0,     0,   151,
       0,     0,     0,   448,   449,   450,   451,   678,   452,  1791,
    1792,   453,     0,   454,     0,   455,   456,   457,   458,   459,
       0,   460,   461,   462,     0,     0,   463,   464,  1421,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,     0,   477,   478,     0,     0,   479,     0,
     480,  1793,   481,     0,   482,     0,   483,   169,     0,   170,
     484,   485,   486,     0,   487,     0,     0,   488,     0,   489,
     490,   680,   491,   492,   173,   493,   494,   495,     0,   496,
     497,   498,   499,   500,   501,     0,   502,   174,     0,     0,
     503,   504,   505,  1427,  1794,     0,  1795,     0,   506,   179,
     180,   507,   181,   508,   509,   510,   511,   512,   513,     0,
       0,   183,   514,   184,     0,   515,   516,   517,     0,     0,
     518,   519,   520,   521,   522,   523,   681,   524,   525,   682,
     526,   527,   528,  1796,   190,  1797,   529,   530,   531,   532,
     533,   534,   535,     0,   536,     0,   537,   538,   194,   539,
       0,     0,   540,  1798,   541,   542,   543,     0,   544,     0,
       0,   545,   546,   547,     0,     0,     0,   198,   199,   200,
       0,   548,   549,   550,   551,   552,   553,     0,   554,     0,
     555,     0,   556,   557,   558,     0,   559,   560,   561,   562,
     563,   564,   565,  1799,   566,   567,   568,     0,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,   211,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   683,   589,     0,   590,   591,   592,   593,   594,     0,
     595,  2309,   596,   597,   219,   598,  1801,     0,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,   609,
       0,   610,   611,     0,   612,   613,   614,   615,   616,   617,
       0,  1802,  1803,     0,     0,   619,     0,   620,     0,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,   628,
     629,   630,     0,     0,   631,   632,   633,   634,     0,  1804,
       0,   635,   236,   636,   637,   638,     0,     0,   639,     0,
       0,   640,   641,   642,   643,   644,     0,     0,     0,     0,
       0,     0,     0,     0,   685,   645,   646,   709,    86,    87,
      88,   661,    90,    91,    92,   662,     0,   663,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   710,   104,   105,
     664,   711,     0,   107,   108,   109,   110,   712,   713,   112,
     113,   114,   115,     0,   116,   714,   715,   665,   666,     0,
       0,     0,   667,   668,     0,     0,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,   670,     0,   671,
       0,   672,   673,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,   133,   418,   419,   420,
       0,  1786,   137,  1787,  1788,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,  1789,  1790,   428,     0,   429,
     430,   431,   432,     0,     0,     0,   433,   434,   435,   436,
     147,   437,   676,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   150,   447,     0,     0,     0,     0,
     151,     0,     0,     0,   448,   449,   450,   451,   678,   452,
    1791,  1792,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,  1421,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,     0,   477,   478,     0,     0,   479,
       0,   480,  1793,   481,     0,   482,     0,   483,   169,     0,
     170,   484,   485,   486,     0,   487,     0,     0,   488,     0,
     489,   490,   680,   491,   492,   173,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,   174,     0,
       0,   503,   504,   505,  1427,  1794,     0,  1795,     0,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
       0,     0,   183,   514,   184,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,   681,   524,   525,
     682,   526,   527,   528,  1796,   190,  1797,   529,   530,   531,
     532,   533,   534,   535,     0,   536,     0,   537,   538,   194,
     539,     0,     0,   540,  1798,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,     0,   198,   199,
     200,     0,   548,   549,   550,   551,   552,   553,     0,   554,
       0,   555,     0,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,  1799,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,   211,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   683,   589,     0,   590,   591,   592,   593,   594,
       0,   595,     0,   596,   597,   219,   598,  1801,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,  1802,  1803,     0,     0,   619,     0,   620,     0,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,     0,
    1804,     0,   635,   236,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,     0,     0,     0,
       0,     0,     0,     0,     0,   685,   645,   646,   709,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   710,   104,
     105,   664,   711,     0,   107,   108,   109,   110,   712,   713,
     112,   113,   114,   115,     0,   116,   714,   715,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,     0,     0,   137,     0,     0,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,     0,     0,   428,     0,
     429,   430,   431,   432,     0,     0,     0,   433,   434,   435,
     436,   147,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,   678,
     452,     0,     0,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,     0,   477,   478,     0,     0,
     479,     0,   480,     0,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,     0,     0,   488,
       0,   489,   490,   680,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
       0,     0,   503,   504,   505,     0,     0,     0,     0,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,     0,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,     0,   190,     0,   529,   530,
     531,   532,   533,   534,   535,     0,   536,     0,   537,   538,
     194,   539,     0,     0,   540,     0,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,     0,   198,
     199,   200,     0,   548,   549,   550,   551,   552,   553,     0,
     554,     0,   555,     0,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,     0,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,     0,   596,   597,   219,   598,     0,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,     0,     0,     0,     0,   619,     0,   620,
       0,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
       0,     0,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,     0,     0,
       0,     0,     0,     0,     0,     0,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   716,   412,   413,   414,   717,   718,   719,   720,
     721,   722,   723,   415,   416,   724,   417,   133,   418,   419,
     420,   135,   136,   137,   138,   139,   725,   421,   422,   423,
     424,   425,   726,   727,   426,   427,     0,   140,   428,   729,
     429,   430,   431,   432,   144,   730,   731,   433,   434,   435,
     436,   147,   437,   732,   733,   438,   439,   440,   441,   442,
     443,   734,   444,   445,   446,   150,   447,     0,   736,   737,
     738,   151,   739,   740,   741,   448,   449,   450,   451,     0,
     452,   154,   155,   453,   742,   454,   743,   455,   456,   457,
     458,   459,   744,   460,   461,   462,   745,   746,   463,   464,
     465,   466,   467,   747,   468,   469,   470,   748,   471,   472,
     749,   473,   474,   475,   476,   164,   477,   478,   166,   750,
     479,   751,   480,   168,   481,   752,   482,   753,   483,   169,
     754,   170,   484,   485,   486,   755,   487,   172,   756,   488,
     757,   489,   490,     0,   491,   492,   173,   493,   494,   495,
     758,   496,   497,   498,   499,   500,   501,   759,   502,   174,
     175,     0,   503,   504,   505,     0,   177,   762,   178,   763,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,   764,   182,   183,   514,   184,   765,   515,   516,   517,
     766,   767,   518,   519,   520,   521,   522,   523,     0,   524,
     525,     0,   526,   527,   528,   189,   190,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,   768,   537,   538,
     194,   539,   769,   195,   540,   196,   541,   542,   543,   770,
     544,   771,   772,   545,   546,   547,   773,   774,   197,   198,
     199,   200,   201,   548,   549,   550,   551,   552,   553,   775,
     554,   202,   555,   203,   556,   557,   558,   776,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,   777,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     778,   579,   580,   211,   581,   582,   213,   583,   584,   585,
     586,   587,   588,     0,   589,   779,   590,   591,   592,   593,
     594,   780,   595,   217,   596,   597,   219,   598,   220,   781,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,   782,   610,   611,   783,   612,   613,   614,   615,
     616,   617,   784,   224,   225,     0,   786,   619,   226,   620,
     227,   787,   621,   622,   623,   624,   625,   626,     0,   789,
     627,   628,   629,   630,   790,   791,   631,   632,   633,   634,
       0,   235,   793,   635,   236,   636,   637,   638,   794,   795,
     639,   796,   797,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1399,  4463,     0,    45,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,  1115,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,  2277,
     429,   430,   431,   432,   144,     0,  2321,   433,   434,   435,
     436,     0,   437,   676,  2278,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,  2322,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,  2280,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,  2281,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,  2282,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,  2277,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,  2278,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,  2322,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,  2280,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,  3085,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,  2281,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,  2282,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,  1017,
     410,   411,   975,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,   976,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,  1018,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,   977,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,   978,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   975,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,   976,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,  2857,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,   977,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,   978,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,  2277,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,  2278,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,  2322,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,  2280,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,  2281,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,  2282,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   674,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,   677,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,   679,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   975,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,   976,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,   977,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,   978,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,   892,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   893,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   894,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  1964,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,  1965,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,  1966,   483,     0,
       0,     0,  1967,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,  1968,  1969,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
    1970,   587,   588,   683,   589,     0,  1971,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,  1972,   612,  1973,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,   976,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,   977,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,   978,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,  1953,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
    2239,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,  2747,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,  2748,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,  2749,   612,   613,  2750,   615,
    2751,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   701,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,   679,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   847,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  1267,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,   130,   131,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  2901,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,  2902,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  2913,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,  2914,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   898,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   939,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,   403,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   993,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,  1048,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  1505,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,  1861,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,  1953,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
    2239,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,  3122,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,  3135,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,  3889,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,  3891,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,  3893,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,  4049,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,  1001,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  1003,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,  1004,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
    1005,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1006,   225,     0,     0,  1007,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
    1008,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,  1042,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,  1004,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
    1043,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1044,   225,     0,     0,  1045,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
    1008,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,  1064,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1281,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1286,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1294,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1296,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1298,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1300,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1303,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1305,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,  1306,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1309,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,  1516,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,  1029,   427,  1004,   140,  1517,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,  1033,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,  1034,   582,   213,   583,   584,   585,
    1035,   587,   588,   683,   589,     0,   590,   591,   592,   593,
    1509,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1037,   225,     0,     0,  1038,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
    1008,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,  1039,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,  1539,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,     0,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,  1639,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1887,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  1889,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,  2003,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  2528,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  2904,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,  2906,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,   583,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,  1029,   427,  1004,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,  1033,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,  1034,   582,   213,   583,   584,   585,
    1035,   587,   588,   683,   589,     0,   590,   591,   592,   593,
    1509,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1037,   225,     0,     0,  1038,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
    1008,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,  1039,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,  1029,   427,  1004,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,  1033,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,  1034,   582,   213,   583,   584,   585,
    1035,   587,   588,   683,   589,     0,   590,   591,   592,   593,
    1509,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,  2268,   614,   615,
     616,   617,     0,  1037,   225,     0,     0,  1038,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
    1008,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,  1039,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,  1029,   427,  1004,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,  1033,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,  1034,   582,   213,   583,   584,   585,
    2302,   587,   588,   683,   589,     0,   590,   591,   592,   593,
    1509,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,  1037,   225,     0,     0,  1038,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
    1008,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,  1039,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,   661,    90,    91,    92,   662,     0,   663,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   664,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   665,   666,
       0,     0,     0,   667,   668,     0,     0,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,   670,     0,
     671,     0,   672,   673,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,     0,   418,   419,
     420,   135,   136,     0,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,   675,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,     0,   437,   676,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,     0,   447,     0,     0,     0,
       0,     0,     0,     0,     0,   448,   449,   450,   451,   678,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,     0,
     479,     0,   480,   168,   481,     0,   482,     0,   483,     0,
       0,     0,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,   680,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,     0,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,     0,     0,   507,     0,   508,   509,   510,   511,   512,
     513,     0,   182,     0,   514,     0,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,   681,   524,
     525,   682,   526,   527,   528,   189,     0,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
       0,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,     0,     0,   545,   546,   547,     0,     0,   197,     0,
       0,     0,   201,   548,   549,   550,   551,     0,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,     0,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   213,     0,   584,   585,
     586,   587,   588,   683,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,     0,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
     684,   235,     0,   635,     0,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,   685,   645,   646,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115, -2161,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,   398,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,   164,     0,     0,   166,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,     0,     0,     0,     0,   192,     0,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
     199,   200,   201,     0,     0,     0,     0,     0,     0,     0,
       0,   202,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   205,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,   219,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   238,   239,
     240,   241,   242,   243,   244,   245,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2162,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,  1110,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,   164,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,     0,     0,
       0,     0,   192,     0,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,   199,   200,   201,
       0,     0,     0,     0,     0,     0,     0,     0,   202,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   205,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,   226,     0,   227,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,   164,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,     0,     0,     0,     0,   192,
       0,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,   199,   200,   201,     0,     0,     0,
       0,     0,     0,     0,     0,   202,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   205,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,     0,     0,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,   164,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,     0,     0,     0,     0,   192,     0,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,   199,   200,   201,     0,     0,     0,     0,     0,     0,
       0,     0,   202,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   205,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,     0,     0,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   164,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,     0,
       0,     0,     0,   192,     0,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,   199,   200,
     201,     0,     0,     0,     0,     0,     0,     0,     0,   202,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   403,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   412,   413,   414,     0,     0,     0,     0,
       0,     0,     0,   415,   416,     0,   417,   133,   418,   419,
     420,   135,   136,   137,   138,   139,     0,   421,   422,   423,
     424,   425,     0,     0,   426,   427,     0,   140,   428,     0,
     429,   430,   431,   432,   144,     0,     0,   433,   434,   435,
     436,   147,   437,     0,     0,   438,   439,   440,   441,   442,
     443,     0,   444,   445,   446,   150,   447,     0,     0,     0,
       0,   151,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   154,   155,   453,     0,   454,     0,   455,   456,   457,
     458,   459,     0,   460,   461,   462,     0,     0,   463,   464,
     465,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   164,   477,   478,   166,  1929,
     479,     0,   480,   168,   481,     0,   482,     0,   483,   169,
       0,   170,   484,   485,   486,     0,   487,   172,     0,   488,
       0,   489,   490,     0,   491,   492,   173,   493,   494,   495,
       0,   496,   497,   498,   499,   500,   501,     0,   502,   174,
     175,     0,   503,   504,   505,     0,   177,     0,   178,     0,
     506,   179,   180,   507,   181,   508,   509,   510,   511,   512,
     513,     0,   182,   183,   514,   184,     0,   515,   516,   517,
       0,     0,   518,   519,   520,   521,   522,   523,     0,   524,
     525,     0,   526,   527,   528,   189,   190,   191,   529,   530,
     531,   532,   533,   534,   535,   192,   536,     0,   537,   538,
     194,   539,     0,   195,   540,   196,   541,   542,   543,     0,
     544,  1930,     0,   545,   546,   547,     0,     0,   197,   198,
     199,   200,   201,   548,   549,   550,   551,   552,   553,     0,
     554,   202,   555,   203,   556,   557,   558,     0,   559,   560,
     561,   562,   563,   564,   565,   205,   566,   567,   568,     0,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,   211,   581,   582,   213,   583,   584,   585,
     586,   587,   588,     0,   589,     0,   590,   591,   592,   593,
     594,     0,   595,   217,   596,   597,   219,   598,   220,     0,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     222,   609,     0,   610,   611,     0,   612,   613,   614,   615,
     616,   617,     0,   224,   225,     0,     0,   619,   226,   620,
     227,  1931,   621,   622,   623,   624,   625,   626,     0,     0,
     627,   628,   629,   630,     0,     0,   631,   632,   633,   634,
       0,   235,     0,   635,   236,   636,   637,   638,     0,     0,
     639,     0,     0,   640,   641,   642,   643,   644,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   645,   646,     0,
       0,     0,     0,     0,    41,    42,   966,  1597,  3849,     0,
       0,     0,     0,     0,     0,  3850,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,   130,   131,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,   136,   137,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,     0,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,   147,   437,     0,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
       0,     0,     0,   151,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,     0,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,   182,   183,   514,   184,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
       0,   524,   525,     0,   526,   527,   528,   189,   190,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,   198,   199,   200,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,   213,   583,
     584,   585,   586,   587,   588,     0,   589,   215,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,   219,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,   223,   612,   613,
     614,   615,   616,   617,     0,   224,   225,     0,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,   234,   235,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,   237,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   645,
     646,    35,   403,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,   246,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,   135,   136,
     137,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,     0,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,   147,   437,
       0,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   154,   155,
     453,  2143,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,  1929,   479,     0,   480,
     168,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
       0,   491,   492,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,   182,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,     0,   524,   525,     0,   526,
     527,   528,   189,   190,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,   194,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,  1930,     0,
     545,   546,   547,     0,     0,   197,   198,   199,   200,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,   213,   583,   584,   585,   586,   587,   588,
       0,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,   219,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,  1931,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,     0,   235,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   645,   646,     0,     0,     0,     0,
       0,    35,   403,   966,  1597,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,   135,   136,
     137,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,     0,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,   147,   437,
       0,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   154,   155,
     453,  2148,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,  1929,   479,     0,   480,
     168,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
       0,   491,   492,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,   182,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,     0,   524,   525,     0,   526,
     527,   528,   189,   190,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,   194,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,  1930,     0,
     545,   546,   547,     0,     0,   197,   198,   199,   200,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,   213,   583,   584,   585,   586,   587,   588,
       0,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,   219,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,  1931,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,     0,   235,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   645,   646,     0,     0,     0,     0,
       0,    35,   403,   966,  1597,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,   135,   136,
     137,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,     0,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,   147,   437,
       0,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,  1929,   479,     0,   480,
     168,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
       0,   491,   492,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,   182,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,     0,   524,   525,     0,   526,
     527,   528,   189,   190,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,   194,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,  1930,     0,
     545,   546,   547,     0,     0,   197,   198,   199,   200,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,   213,   583,   584,   585,   586,   587,   588,
       0,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,   219,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,  1931,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,     0,   235,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   645,   646,     0,     0,     0,     0,
       0,    35,     0,   966,  1597,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,   135,   136,
     137,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,     0,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,   147,   437,
       0,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,  1929,   479,     0,   480,
     168,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
       0,   491,   492,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,   182,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,     0,   524,   525,     0,   526,
     527,   528,   189,   190,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,   194,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,  1930,     0,
     545,   546,   547,     0,     0,   197,   198,   199,   200,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,   213,   583,   584,   585,   586,   587,   588,
       0,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,   219,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,  1931,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,     0,   235,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   645,   646,    35,   403,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   412,   413,   414,     0,     0,
       0,     0,     0,     0,     0,   415,   416,     0,   417,   133,
     418,   419,   420,   135,   136,   137,   138,   139,     0,   421,
     422,   423,   424,   425,     0,     0,   426,   427,     0,   140,
     428,     0,   429,   430,   431,   432,   144,     0,     0,   433,
     434,   435,   436,   147,   437,     0,     0,   438,   439,   440,
     441,   442,   443,     0,   444,   445,   446,   150,   447,     0,
       0,     0,     0,   151,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   154,   155,   453,     0,   454,     0,   455,
     456,   457,   458,   459,     0,   460,   461,   462,     0,     0,
     463,   464,   465,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   164,   477,   478,
     166,     0,   479,     0,   480,   168,   481,     0,   482,     0,
     483,   169,     0,   170,   484,   485,   486,     0,   487,   172,
       0,   488,     0,   489,   490,     0,   491,   492,   173,   493,
     494,   495,     0,   496,   497,   498,   499,   500,   501,     0,
     502,   174,   175,     0,   503,   504,   505,     0,   177,     0,
     178,     0,   506,   179,   180,   507,   181,   508,   509,   510,
     511,   512,   513,     0,   182,   183,   514,   184,     0,   515,
     516,   517,     0,     0,   518,   519,   520,   521,   522,   523,
       0,   524,   525,     0,   526,   527,   528,   189,   190,   191,
     529,   530,   531,   532,   533,   534,   535,   192,   536,     0,
     537,   538,   194,   539,     0,   195,   540,   196,   541,   542,
     543,     0,   544,     0,     0,   545,   546,   547,     0,     0,
     197,   198,   199,   200,   201,   548,   549,   550,   551,   552,
     553,     0,   554,   202,   555,   203,   556,   557,   558,     0,
     559,   560,   561,   562,   563,   564,   565,   205,   566,   567,
     568,     0,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,   211,   581,   582,   213,   583,
     584,   585,   586,   587,   588,     0,   589,     0,   590,   591,
     592,   593,   594,     0,   595,   217,   596,   597,   219,   598,
     220,     0,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   222,   609,     0,   610,   611,     0,   612,   613,
     614,   615,   616,   617,     0,   224,   225,   618,     0,   619,
     226,   620,   227,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,   628,   629,   630,     0,     0,   631,   632,
     633,   634,     0,   235,     0,   635,   236,   636,   637,   638,
       0,     0,   639,     0,     0,   640,   641,   642,   643,   644,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   645,
     646,    35,   403,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,     0,     0,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,   135,   136,
     137,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,     0,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,   147,   437,
       0,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   480,
     168,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
       0,   491,   492,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,   182,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,     0,   524,   525,     0,   526,
     527,   528,   189,   190,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,   194,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,   198,   199,   200,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,   213,   583,   584,   585,   586,   587,   588,
       0,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,   219,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,     0,   235,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   645,   646,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,   133,   418,   419,   420,
     135,   136,   137,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,     0,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
     147,   437,     0,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   150,   447,     0,     0,     0,     0,
     151,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     154,   155,   453,  2129,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,   169,     0,
     170,   484,   485,   486,     0,   487,   172,     0,   488,     0,
     489,   490,     0,   491,   492,   173,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,   174,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
       0,   182,   183,   514,   184,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,     0,   524,   525,
       0,   526,   527,   528,   189,   190,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,   194,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,   198,   199,
     200,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,   211,   581,   582,   213,   583,   584,   585,   586,
     587,   588,     0,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,   219,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,     0,
     235,     0,   635,   236,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   645,   646,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,   133,   418,
     419,   420,   135,   136,   137,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,     0,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,   147,   437,     0,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   150,   447,     0,     0,
       0,     0,   151,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
     169,     0,   170,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,     0,   491,   492,   173,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
     174,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,     0,   182,   183,   514,   184,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,     0,
     524,   525,     0,   526,   527,   528,   189,   190,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,   194,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
     198,   199,   200,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,   211,   581,   582,   213,   583,   584,
     585,   586,   587,   588,     0,   589,     0,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,   219,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,     0,   235,     0,   635,   236,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   645,   646,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
     133,   418,   419,   420,   135,   136,   137,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,     0,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,   147,   437,     0,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   150,   447,
       0,     0,     0,     0,   151,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,   169,     0,   170,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,     0,   491,  1909,   173,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,   174,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,   179,   180,   507,   181,   508,   509,
     510,   511,   512,   513,     0,   182,   183,   514,   184,     0,
     515,   516,   517,     0,     0,   518,   519,   520,   521,   522,
     523,     0,   524,   525,     0,   526,   527,   528,   189,   190,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,   194,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,   198,   199,   200,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,   211,   581,   582,   213,
     583,   584,   585,   586,   587,   588,     0,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,   219,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,     0,   235,     0,   635,   236,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     645,   646,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,   133,   418,   419,   420,   135,   136,   137,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,     0,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,   147,   437,     0,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     150,   447,     0,     0,     0,     0,   151,     0,     0,  2396,
     448,   449,   450,   451,     0,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,   169,     0,   170,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,     0,   491,
     492,   173,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,   174,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,   179,   180,   507,   181,
     508,   509,   510,   511,   512,   513,     0,   182,   183,   514,
     184,     0,   515,   516,   517,     0,     0,   518,   519,   520,
     521,   522,   523,     0,   524,   525,     0,   526,   527,   528,
     189,   190,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,   194,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,   197,   198,   199,   200,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,   211,   581,
     582,   213,   583,   584,   585,   586,   587,   588,     0,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,   219,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,  2397,
       0,   631,   632,   633,   634,     0,   235,     0,   635,   236,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   645,   646,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     412,   413,   414,   130,   131,     0,     0,     0,     0,     0,
     415,   416,     0,   417,   133,   418,   419,   420,   135,   136,
     137,   138,   139,     0,   421,   422,   423,   424,   425,     0,
       0,   426,   427,     0,   140,   428,     0,   429,   430,   431,
     432,   144,     0,     0,   433,   434,   435,   436,   147,   437,
       0,     0,   438,   439,   440,   441,   442,   443,     0,   444,
     445,   446,   150,   447,     0,     0,     0,     0,   151,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   154,   155,
     453,     0,   454,     0,   455,   456,   457,   458,   459,     0,
     460,   461,   462,     0,     0,   463,   464,   465,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   164,   477,   478,   166,     0,   479,     0,   480,
     168,   481,     0,   482,     0,   483,   169,     0,   170,   484,
     485,   486,     0,   487,   172,     0,   488,     0,   489,   490,
       0,   491,   492,   173,   493,   494,   495,     0,   496,   497,
     498,   499,   500,   501,     0,   502,   174,   175,     0,   503,
     504,   505,     0,   177,     0,   178,     0,   506,   179,   180,
     507,   181,   508,   509,   510,   511,   512,   513,     0,   182,
     183,   514,   184,     0,   515,   516,   517,     0,     0,   518,
     519,   520,   521,   522,   523,     0,   524,   525,     0,   526,
     527,   528,   189,   190,   191,   529,   530,   531,   532,   533,
     534,   535,   192,   536,     0,   537,   538,   194,   539,     0,
     195,   540,   196,   541,   542,   543,     0,   544,     0,     0,
     545,   546,   547,     0,     0,   197,   198,   199,   200,   201,
     548,   549,   550,   551,   552,   553,     0,   554,   202,   555,
     203,   556,   557,   558,     0,   559,   560,   561,   562,   563,
     564,   565,   205,   566,   567,   568,     0,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
     211,   581,   582,   213,   583,   584,   585,   586,   587,   588,
       0,   589,     0,   590,   591,   592,   593,   594,     0,   595,
     217,   596,   597,   219,   598,   220,     0,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   222,   609,     0,
     610,   611,     0,   612,   613,   614,   615,   616,   617,     0,
     224,   225,     0,     0,   619,   226,   620,   227,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,   628,   629,
     630,     0,     0,   631,   632,   633,   634,     0,   235,     0,
     635,   236,   636,   637,   638,     0,     0,   639,     0,     0,
     640,   641,   642,   643,   644,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   645,   646,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   412,   413,   414,     0,     0,     0,     0,     0,
       0,     0,   415,   416,     0,   417,   133,   418,   419,   420,
     135,   136,   137,   138,   139,     0,   421,   422,   423,   424,
     425,     0,     0,   426,   427,     0,   140,   428,     0,   429,
     430,   431,   432,   144,     0,     0,   433,   434,   435,   436,
     147,   437,     0,     0,   438,   439,   440,   441,   442,   443,
       0,   444,   445,   446,   150,   447,     0,     0,     0,     0,
     151,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     154,   155,   453,     0,   454,     0,   455,   456,   457,   458,
     459,     0,   460,   461,   462,     0,     0,   463,   464,   465,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   164,   477,   478,   166,     0,   479,
       0,   480,   168,   481,     0,   482,     0,   483,   169,     0,
     170,   484,   485,   486,     0,   487,   172,  3177,   488,     0,
     489,   490,     0,   491,   492,   173,   493,   494,   495,     0,
     496,   497,   498,   499,   500,   501,     0,   502,   174,   175,
       0,   503,   504,   505,     0,   177,     0,   178,     0,   506,
     179,   180,   507,   181,   508,   509,   510,   511,   512,   513,
       0,   182,   183,   514,   184,     0,   515,   516,   517,     0,
       0,   518,   519,   520,   521,   522,   523,     0,   524,   525,
       0,   526,   527,   528,   189,   190,   191,   529,   530,   531,
     532,   533,   534,   535,   192,   536,     0,   537,   538,   194,
     539,     0,   195,   540,   196,   541,   542,   543,     0,   544,
       0,     0,   545,   546,   547,     0,     0,   197,   198,   199,
     200,   201,   548,   549,   550,   551,   552,   553,     0,   554,
     202,   555,   203,   556,   557,   558,     0,   559,   560,   561,
     562,   563,   564,   565,   205,   566,   567,   568,     0,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,   211,   581,   582,   213,   583,   584,   585,   586,
     587,   588,     0,   589,     0,   590,   591,   592,   593,   594,
       0,   595,   217,   596,   597,   219,   598,   220,     0,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   222,
     609,     0,   610,   611,     0,   612,   613,   614,   615,   616,
     617,     0,   224,   225,     0,     0,   619,   226,   620,   227,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
     628,   629,   630,     0,     0,   631,   632,   633,   634,     0,
     235,     0,   635,   236,   636,   637,   638,     0,     0,   639,
       0,     0,   640,   641,   642,   643,   644,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   645,   646,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   412,   413,   414,     0,     0,     0,
       0,     0,     0,     0,   415,   416,     0,   417,   133,   418,
     419,   420,   135,   136,   137,   138,   139,     0,   421,   422,
     423,   424,   425,     0,     0,   426,   427,     0,   140,   428,
       0,   429,   430,   431,   432,   144,     0,     0,   433,   434,
     435,   436,   147,   437,     0,     0,   438,   439,   440,   441,
     442,   443,     0,   444,   445,   446,   150,   447,     0,     0,
       0,     0,   151,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   154,   155,   453,     0,   454,     0,   455,   456,
     457,   458,   459,     0,   460,   461,   462,     0,     0,   463,
     464,   465,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   164,   477,   478,   166,
       0,   479,     0,   480,   168,   481,     0,   482,     0,   483,
     169,     0,   170,   484,   485,   486,     0,   487,   172,     0,
     488,     0,   489,   490,     0,   491,   492,   173,   493,   494,
     495,     0,   496,   497,   498,   499,   500,   501,     0,   502,
     174,   175,     0,   503,   504,   505,     0,   177,     0,   178,
       0,   506,   179,   180,   507,   181,   508,   509,   510,   511,
     512,   513,     0,   182,   183,   514,   184,     0,   515,   516,
     517,     0,     0,   518,   519,   520,   521,   522,   523,     0,
     524,   525,     0,   526,   527,   528,   189,   190,   191,   529,
     530,   531,   532,   533,   534,   535,   192,   536,     0,   537,
     538,   194,   539,     0,   195,   540,   196,   541,   542,   543,
       0,   544,     0,     0,   545,   546,   547,     0,     0,   197,
     198,   199,   200,   201,   548,   549,   550,   551,   552,   553,
       0,   554,   202,   555,   203,   556,   557,   558,     0,   559,
     560,   561,   562,   563,   564,   565,   205,   566,   567,   568,
       0,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,   211,   581,   582,   213,   583,   584,
     585,   586,   587,   588,     0,   589,     0,   590,   591,   592,
     593,   594,     0,   595,   217,   596,   597,   219,   598,   220,
       0,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   222,   609,     0,   610,   611,     0,   612,   613,   614,
     615,   616,   617,     0,   224,   225,     0,     0,   619,   226,
     620,   227,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,   628,   629,   630,     0,     0,   631,   632,   633,
     634,     0,   235,     0,   635,   236,   636,   637,   638,     0,
       0,   639,     0,     0,   640,   641,   642,   643,   644,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   645,   646,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   412,   413,   414,     0,
       0,     0,     0,     0,     0,     0,   415,   416,     0,   417,
     133,   418,   419,   420,   135,   136,   137,   138,   139,     0,
     421,   422,   423,   424,   425,     0,     0,   426,   427,     0,
     140,   428,     0,   429,   430,   431,   432,   144,     0,     0,
     433,   434,   435,   436,   147,   437,     0,     0,   438,   439,
     440,   441,   442,   443,     0,   444,   445,   446,   150,   447,
       0,     0,     0,     0,   151,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   154,   155,   453,     0,   454,     0,
     455,   456,   457,   458,   459,     0,   460,   461,   462,     0,
       0,   463,   464,   465,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   164,   477,
     478,   166,     0,   479,     0,   480,   168,   481,     0,   482,
       0,   483,   169,     0,   170,   484,   485,   486,     0,   487,
     172,     0,   488,     0,   489,   490,     0,   491,   492,   173,
     493,   494,   495,     0,   496,   497,   498,   499,   500,   501,
       0,   502,   174,   175,     0,   503,   504,   505,     0,   177,
       0,   178,     0,   506,   179,   180,   507,   181,   508,   509,
     510,   511,   512,   513,     0,   182,   183,   514,   184,     0,
     515,   516,   517,     0,     0,   518,   519,   520,  1187,   522,
     523,     0,   524,   525,     0,   526,   527,   528,   189,   190,
     191,   529,   530,   531,   532,   533,   534,   535,   192,   536,
       0,   537,   538,   194,   539,     0,   195,   540,   196,   541,
     542,   543,     0,   544,     0,     0,   545,   546,   547,     0,
       0,   197,   198,   199,   200,   201,   548,   549,   550,   551,
     552,   553,     0,   554,   202,   555,   203,   556,   557,   558,
       0,   559,   560,   561,   562,   563,   564,   565,   205,   566,
     567,   568,     0,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,   211,   581,   582,   213,
     583,   584,   585,   586,   587,   588,     0,   589,     0,   590,
     591,   592,   593,   594,     0,   595,   217,   596,   597,   219,
     598,   220,     0,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   222,   609,     0,   610,   611,     0,   612,
     613,   614,   615,   616,   617,     0,   224,   225,     0,     0,
     619,   226,   620,   227,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,   628,   629,   630,     0,     0,   631,
     632,   633,   634,     0,   235,     0,   635,   236,   636,   637,
     638,     0,     0,   639,     0,     0,   640,   641,   642,   643,
     644,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     645,   646,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   412,   413,
     414,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,   417,   133,   418,   419,   420,   135,   136,   137,   138,
     139,     0,   421,   422,   423,   424,   425,     0,     0,   426,
     427,     0,   140,   428,     0,   429,   430,   431,   432,   144,
       0,     0,   433,   434,   435,   436,   147,   437,     0,     0,
     438,   439,   440,   441,   442,   443,     0,   444,   445,   446,
     150,   447,     0,     0,     0,     0,   151,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   154,   155,   453,     0,
     454,     0,   455,   456,   457,   458,   459,     0,   460,   461,
     462,     0,     0,   463,   464,   465,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     164,   477,   478,   166,     0,   479,     0,   480,   168,   481,
       0,   482,     0,   483,   169,     0,   170,   484,   485,   486,
       0,   487,   172,     0,   488,     0,   489,   490,     0,   491,
     492,   173,   493,   494,   495,     0,   496,   497,   498,   499,
     500,   501,     0,   502,   174,   175,     0,   503,   504,   505,
       0,   177,     0,   178,     0,   506,   179,   180,   507,   181,
     508,   509,   510,   511,   512,   513,     0,   182,   183,   514,
     184,     0,   515,   516,   517,     0,     0,   518,   519,   520,
    1250,   522,   523,     0,   524,   525,     0,   526,   527,   528,
     189,   190,   191,   529,   530,   531,   532,   533,   534,   535,
     192,   536,     0,   537,   538,   194,   539,     0,   195,   540,
     196,   541,   542,   543,     0,   544,     0,     0,   545,   546,
     547,     0,     0,   197,   198,   199,   200,   201,   548,   549,
     550,   551,   552,   553,     0,   554,   202,   555,   203,   556,
     557,   558,     0,   559,   560,   561,   562,   563,   564,   565,
     205,   566,   567,   568,     0,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,   211,   581,
     582,   213,   583,   584,   585,   586,   587,   588,     0,   589,
       0,   590,   591,   592,   593,   594,     0,   595,   217,   596,
     597,   219,   598,   220,     0,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   222,   609,     0,   610,   611,
       0,   612,   613,   614,   615,   616,   617,     0,   224,   225,
       0,     0,   619,   226,   620,   227,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,   628,   629,   630,     0,
       0,   631,   632,   633,   634,     0,   235,     0,   635,   236,
     636,   637,   638,     0,     0,   639,     0,     0,   640,   641,
     642,   643,   644,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   645,   646
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-3926))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2407))

static const yytype_int16 yycheck[] =
{
       2,    78,    78,   351,  1123,   210,    78,   246,    78,   830,
    1285,    78,   868,  1079,   152,   167,  1031,    78,  1292,   117,
     153,   977,   978,    84,  1331,     2,   982,  1872,  1146,  1362,
    1081,  1658,  1680,  1696,   117,   149,   188,   905,  1195,  1323,
    1249,  1911,  1178,  1967,   228,  1381,  1816,   868,  1800,  1046,
    1152,   171,  1188,   165,   905,  1394,   117,  1419,  1420,  1686,
     707,     2,  1918,   919,   162,  1448,  1038,   117,   366,  2512,
    2350,   204,   148,  1736,  1737,  2624,  1438,   945,  2897,   162,
      78,   366,  2118,  1730,   132,  1849,    84,    89,  3109,   165,
     210,  1591,  1592,  1593,  1230,  1226,  1560,   339,   919,  1235,
     223,   162,  2761,  1536,  1835,  1680,  1242,  2006,   708,   232,
    2164,   117,   162,  1123,  1835,  1251,  2964,  1835,  2966,   160,
     353,  1835,  1835,  1835,  2314,  2315,   209,  2517,  2518,  3063,
    2759,   216,   230,   216,  2598,   218,  3355,  3384,  3029,  3532,
    2523,  1686,  3585,  1907,  1724,   944,  1277,   230,  2175,  1648,
     152,  1586,  1587,  1324,   167,  3595,   162,   159,  2213,  1153,
    3771,  1409,  1410,  1344,  1315,  2170,  1034,   353,  1157,   230,
     246,  3559,  3063,    30,    10,   188,  2456,  1076,    72,  1076,
     230,  1465,  3777,  1034,   186,    72,  1434,    21,    89,  1118,
    1119,   108,    86,   120,  1188,  3248,    72,  2252,   127,    86,
      88,  2256,  3043,  3044,  3045,  3046,  3047,  3048,    72,    88,
    2757,  2758,  1645,    75,    76,    77,    78,    81,   936,    84,
      82,  3612,    86,  3614,   230,  1570,   167,  3563,    99,   147,
     134,   154,  1104,  4158,   113,   106,   127,    75,    76,    77,
      78,    99,   814,    95,    82,   892,   227,   188,   106,   188,
     127,   143,    78,    78,   247,  2535,   247,  2537,    75,    76,
      77,    78,   112,    94,   227,    82,   167,    14,  1224,    75,
      76,    77,    78,  4151,   186,   181,    82,   353,   266,   227,
     205,   358,   358,   364,    90,    99,   358,   188,   358,  1161,
      37,   358,   106,    78,   227,     8,   134,   112,    11,    12,
    2070,   132,  4051,  4052,   266,   366,  1761,   102,    78,    22,
      23,    24,   222,    26,    27,   183,   227,   183,    31,    32,
      33,   152,   153,   306,   210,    72,   109,  1324,    75,    76,
      77,    78,   163,   356,    81,    82,    83,    84,   228,    86,
     401,   240,   295,    78,   184,  1228,   198,   136,  1466,   158,
      29,    72,   233,   820,  1210,    75,    76,    77,    78,   826,
      81,  4138,    82,  1520,   181,    86,   209,   180,   366,   341,
      14,   200,  1490,   204,   383,    75,    76,    77,    78,   370,
     227,  1028,    82,   374,  2439,   127,   153,  3780,   254,  1210,
     857,    93,    75,    76,    77,    78,   295,     0,   370,    82,
     247,   410,  1857,   401,   244,   248,   189,    90,   399,    38,
     227,    40,   266,    95,    88,    75,    76,    77,    78,   208,
    1803,   502,    82,   232,    75,    76,    77,    78,   195,  1791,
    1792,    82,   149,   103,   104,   224,  1798,   390,   266,    90,
    1308,   227,   909,    75,    76,    77,    78,   376,   314,   916,
      82,   319,   375,    75,    76,    77,    78,  1308,    90,  1331,
      82,   174,   372,  1331,    75,    76,    77,    78,    90,    99,
      25,    82,   455,   190,    75,    76,    77,    78,   469,   502,
     618,    82,  4360,    25,   432,   376,   174,  3421,  1485,   341,
     452,   390,  1767,    75,    76,    77,    78,  1771,  1381,   376,
      82,  4278,  4113,    75,    76,    77,    78,   266,   210,  3902,
      82,    89,   505,   452,  4439,   401,   198,   505,   816,  2430,
    1120,  1121,  3507,   134,   505,   443,   659,   660,  1525,  1526,
    3421,   816,   358,   358,  1333,   406,   401,  3378,   450,   502,
     432,  1789,  1790,    75,    76,    77,    78,   399,   406,  1797,
      82,  3944,    75,    76,    77,    78,   226,  2309,   228,    82,
      75,    76,    77,    78,    88,   354,  4315,    82,  1140,   419,
    3961,   402,   505,   358,  1783,   502,   505,   502,   373,   258,
     456,  2861,   505,   489,  1720,   502,  1722,   300,   358,   113,
     385,  3138,   406,  3929,   505,  1313,    89,  2602,   502,   493,
     494,    94,  1759,    96,   419,   469,   493,   494,   502,  3662,
     498,  4222,   502,   106,   505,   432,   618,  4212,   452,   498,
     456,   434,   460,   358,   505,   342,  1959,  4404,   505,   493,
     494,  2064,    85,  1764,   376,    88,   465,   350,   500,   132,
     502,   436,   504,   500,  1780,  2292,   432,  1519,  1516,   142,
     504,  1523,  1524,  4046,  3313,  1523,  1524,   446,   471,   152,
     153,  4054,   496,   156,   502,  1516,  2314,  2512,   266,   210,
     163,   198,   489,  3514,   167,  2108,  1605,   505,  1577,  2112,
    1577,   383,  3125,   183,   822,   314,  3129,   504,   370,  3318,
    1679,  2696,   327,   452,  2039,   188,   502,   136,  2888,   401,
    2890,   270,    14,   489,   946,  3926,   945,   262,   396,   426,
    4321,   204,   151,   836,   812,  1709,  1818,   347,   504,  4159,
     262,  2005,  2006,   861,  1324,   235,  3006,  3007,   441,   812,
    2785,  1079,  2016,  1200,    88,  2019,  2772,   181,   107,  4127,
    1207,   140,    88,  2027,  2028,   334,   493,   494,   181,   266,
     470,   812,   218,  1924,   118,   816,  2040,  2041,   100,  1940,
    1643,   894,   812,  2790,  1915,  1946,  2265,  2051,   488,   208,
     470,  4382,   493,   494,   158,   913,  2321,   900,   266,  2214,
     324,  2216,   502,  2031,  2032,   224,   489,   618,   488,   324,
    1257,   461,   361,  1665,   247,   425,   227,   427,  4105,  1671,
     460,   504,   502,   955,    95,   957,   812,   959,   219,   270,
     851,   329,   181,   965,   314,   268,   247,   283,   816,   502,
    1703,   495,   496,   497,   498,   174,   229,   941,   659,   660,
      95,   186,   181,   945,   127,   266,   101,   989,   990,  3029,
    1712,   230,   502,  1715,  1716,  4288,  4457,   374,   232,  1705,
     852,   502,    72,  2501,   452,    75,    76,    77,    78,   230,
     401,    81,    82,    83,    84,   988,    86,   502,   944,   945,
     502,   381,   399,  3063,   111,   319,   707,   330,    99,   243,
     502,   314,  1765,   247,  1705,   149,  3871,  3872,  3873,  3874,
    3875,   502,   221,   227,   305,   158,  1768,   334,  1854,  1782,
     361,   502,   306,   905,   906,   260,   328,   198,   506,   402,
    2755,   149,  2492,   247,   268,   354,   505,  3107,   282,   261,
     502,  4142,   268,  3944,   145,  1922,   190,   330,   327,  1052,
     502,   152,   266,   198,   936,   452,   505,  4244,    75,    76,
      77,    78,  1825,  2061,   957,    82,   959,  1032,  1060,  1032,
     229,  1036,   190,  1036,   387,   473,  1971,  1972,   502,   936,
     193,   182,   195,  4210,   452,   314,  3349,   502,  4361,   232,
     502,   495,   496,   497,   498,   114,   989,   990,    88,   502,
      72,   149,  1030,    75,    76,    77,    78,   502,    25,    81,
      82,   993,  1053,   377,    86,   936,   135,  1880,    35,  4218,
    4219,   181,   461,   113,   231,   394,  2776,   446,   227,   246,
     176,   414,   181,   306,   955,   120,   957,   341,   959,  1021,
     349,   452,   190,   394,   965,   966,   967,  1029,   247,   381,
     251,  1033,  1034,  1035,   423,  1891,   489,   490,   491,   403,
     493,   494,   495,   496,   497,   498,   370,   266,   989,   990,
     341,   330,   423,   227,   955,  1053,   957,  3905,   959,   286,
    1928,   892,   411,   894,   965,   414,   503,   172,   505,    85,
    1891,   231,    88,   247,   240,   506,   341,  3736,   342,   370,
     484,   314,   334,   376,   439,   469,  2448,  3746,   989,   990,
    3001,   324,   266,  3004,  3005,   450,   133,  3008,   227,   451,
      85,    99,   332,  3732,   342,   370,   399,  3018,   939,   186,
     328,   341,   943,   174,   377,  3744,  1118,  1119,   452,   503,
     489,  1123,   506,   120,   266,   618,   286,  1104,  1927,   295,
    4064,   500,  2251,   502,   503,   504,   505,   432,  4413,   493,
     494,   495,   496,   497,   498,   314,  1123,   493,   494,   495,
     496,   497,   498,   502,   259,  2152,   432,   151,   268,   269,
    3603,  4380,   426,  1104,   372,  3608,   659,   660,  3611,   150,
     229,   383,   506,  4064,   342,   172,   385,   185,   502,   422,
    2389,  2037,  1123,   260,  1161,  3649,    88,   181,   426,  2072,
     193,   175,   195,   414,   434,   193,   186,  1028,   425,  1030,
     427,   306,  4477,  1104,  2357,    99,   469,   317,   198,  3599,
     505,   113,   392,   216,   707,   207,  2037,  1118,  1119,  1260,
    1161,   202,  1123,  1225,   390,   262,  1465,   436,  2875,   505,
     958,  3421,   462,   452,   962,   963,   964,   383,   128,  2887,
     503,  2251,   422,   506,   972,   306,   136,   173,  2401,   827,
    3174,   503,   268,   505,   832,  2530,   136,  1333,   426,   267,
    1161,   469,   259,   841,  2538,   425,   250,   427,  2477,  2478,
    2479,  2480,   264,   493,   494,   412,   413,   457,   452,   193,
    3125,   195,   500,   388,  3129,   185,   504,   506,   866,   469,
     502,   228,   870,  3347,  1370,   276,   277,   505,  1370,   193,
     432,   181,   880,   463,   450,  3204,  1308,  1549,   289,   306,
    1312,  1313,  2887,  1315,   330,   392,   319,   340,  2663,  2664,
     314,   324,   502,  2668,  1924,    14,   385,  1403,  2792,  1331,
    1563,  1564,   506,  1566,  3065,  1312,  1313,  1635,  1315,   218,
    4361,  3621,   334,  3623,  3065,   330,  1422,  3065,    37,  2633,
    1635,  3065,  3065,  3065,  1331,   314,   506,   489,  2791,  2231,
     341,   351,  2707,  2708,  4023,  4024,   268,   267,   294,   374,
     296,  1312,  1313,   450,  1315,  1377,  1452,  1563,  1564,   325,
    1566,   440,   328,   493,   494,   495,   496,   497,   498,  1465,
    1331,   388,   162,  2524,   399,  3159,   286,  2681,   891,   892,
     359,   894,   494,  2521,   283,  1872,   343,  1874,  4256,    51,
     324,   268,   341,    71,    72,   222,  1883,    75,    76,    77,
      78,    79,    80,    81,    82,   232,  2710,    69,    86,   176,
    1331,  3980,  3095,    22,   314,   438,  1534,   421,   422,   319,
     247,   370,  2325,   424,   447,   426,   939,   326,  4267,   942,
     943,  1534,   353,   445,  1502,  1503,    75,    76,    77,    78,
     230,  2745,   955,    82,   957,  1467,   959,   404,   385,   341,
     184,   328,   965,  1534,   354,  1477,   969,   493,   494,   495,
     496,   497,   498,    72,  1534,  1487,   366,  1563,  1564,  4055,
    1566,  2363,  4041,   240,  4043,    88,   989,   990,   370,  2371,
    1967,  2373,   374,   306,   489,   490,   491,   184,   493,   494,
     495,   496,   497,   498,  1516,  3958,   425,  1519,   427,   436,
     113,  1523,  1524,   181,  1585,  1586,  1587,   399,  1534,   332,
     244,  2893,  2865,   434,   385,  1028,  3036,  1030,   341,   162,
    1118,  1119,  1519,  3388,   341,  4204,  1523,  1524,   295,  1380,
    1648,   298,  4118,  3464,   392,  1603,   173,  2440,   228,  3470,
    3471,  3472,  3473,  3474,  3475,  1648,   446,   244,   176,  1652,
     471,   370,   379,   370,  1635,   374,   176,    85,  1519,  1585,
      88,  1642,  1523,  1524,   422,   436,   256,  1648,  1586,  1587,
    1673,   493,   494,   495,   496,   497,   498,   469,  1648,  2246,
     399,   271,   399,  1605,   353,   228,  1334,   265,   452,  1337,
     280,  1104,  1340,   295,  1342,   469,   298,  1345,  1519,   457,
    1597,  1349,  1523,  1524,   502,  1118,  1119,   401,   286,  1122,
     434,   469,   240,   256,    81,   252,  2504,  1635,   361,    86,
     240,   229,  1648,   390,  1642,  1622,  1623,  4213,   271,   505,
    1690,   505,   455,  2504,  1595,  4221,  1597,   280,   502,    75,
      76,    77,    78,   392,   502,  1748,    82,   471,  1161,   257,
     469,  1502,  1503,   193,  1615,   195,   450,   294,   401,   296,
     303,  1622,  1623,  2551,   128,   434,  1833,   295,  1665,   470,
     298,  1731,   341,   422,  1671,   295,   216,   218,   298,   361,
    2551,   222,   146,  1850,  1605,   328,  3139,   488,   390,   371,
     380,   506,  3748,    75,    76,    77,    78,   161,   337,  2591,
      82,   370,   471,   469,  1665,   374,  1728,   450,   457,   469,
    1671,  2614,  1830,   395,    85,  1712,   483,    88,  1715,  1716,
    1979,  3074,  3512,  1881,  3407,  3408,   508,  1830,    85,   341,
     399,    88,  3185,    72,   105,   502,    96,   380,  3603,   505,
     268,    41,   283,  3608,  1665,   505,  3611,    86,   212,  1830,
    1671,  1712,  1603,   502,  1715,  1716,   113,   393,   370,   393,
    1830,   118,   390,  2885,   341,    75,    76,    77,    78,   452,
     390,  1768,    82,  2808,   314,  2000,  1872,   222,   222,   319,
     262,   360,  2774,   218,   324,   326,   422,   222,   422,  3225,
     150,  1712,  3459,   370,  1715,  1716,  1928,   242,   242,   159,
     160,   161,   330,   341,  1830,   384,   500,  1768,   503,   452,
    4379,   506,   506,  3249,  1836,   493,   494,  3270,  1331,    75,
      76,    77,    78,  1336,  4124,  1338,    82,   463,  1341,   463,
    1343,  1927,   370,  1346,  1347,  1348,   328,   273,  3197,  1352,
    1983,   333,    16,   203,  2162,    97,  1359,  1768,   283,  3252,
    3253,  2727,   500,   356,  4064,   483,   504,  2162,    14,  1999,
    1373,   399,  1375,   483,   116,  3230,   174,  1380,  3233,  3234,
    3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,   425,   209,
     427,    37,   502,  1979,  3760,  2777,  2727,   247,   218,  2777,
     247,   326,   252,  1915,  1991,  1991,  1918,   268,   438,  1991,
     424,  1991,   470,  1864,  1991,  3836,  3837,   447,  2575,   470,
    3578,   268,   269,   323,  3704,  3562,    72,   497,  1915,   505,
     488,  1918,   502,   509,   504,  3290,  3291,   488,   143,  3701,
      71,   291,  3288,   389,   502,   151,   151,   319,    79,    80,
     387,   502,   273,  4153,   387,   469,   470,   307,   308,   309,
     310,   311,    34,   313,  1915,  3259,  2074,  1918,   432,   330,
     317,  2802,   490,   491,   436,   493,   494,   495,   496,   497,
     498,  2074,   502,   330,  1180,     5,  1182,   424,   502,   497,
    1493,   424,  2078,  1189,   502,   345,   504,   500,   503,  1502,
    1503,   506,    71,  2074,   507,    25,    75,    76,    77,    78,
      79,    80,  2024,    82,  2074,    35,  1519,  1605,   174,   319,
    1523,  1524,   328,   158,   372,   231,  2188,   333,  3400,     7,
     501,   381,   469,   470,   505,  2512,   469,   470,  2931,   505,
    2933,    19,    20,   509,   250,   180,  3389,  3390,   501,   389,
    2172,   186,   505,    75,    76,    77,    78,  2272,  2074,  2274,
      82,    39,   133,   134,    42,   502,  2017,  2018,   418,   502,
     420,  3483,  3484,   319,  2025,  3487,   211,  3489,  2029,  2030,
     286,   155,    75,    76,    77,    78,   500,   250,   502,    82,
     504,  2162,  2178,  2044,   444,  2046,    85,   503,  3064,   505,
    1603,   451,  1605,  3958,   454,   507,   500,   176,   502,  3002,
      72,    85,  1615,   133,    88,   503,  2067,   505,  2069,  2267,
    2680,   242,  2682,  2683,  2136,   260,   174,   333,   489,   490,
     491,   389,   493,   494,   495,   496,   497,   498,   124,   113,
     495,   496,   497,  2214,   118,  2216,   493,   494,   495,   496,
     497,   498,   508,   502,  2162,   504,   273,  2265,  1746,   181,
    4081,  2054,  1665,  3480,  2057,    71,    72,  2118,  1671,  4103,
    3525,   240,  2265,  3340,   505,   506,   154,   197,   503,  3186,
     505,    86,    75,    76,    77,    78,   502,  3080,   181,    82,
     469,   470,  4047,    86,  2265,    71,    72,   502,  3029,   504,
     503,  3094,   505,    79,    80,  2265,  2214,  2355,  2216,  1712,
      86,   502,  1715,  1716,   328,   387,   194,   505,   503,   425,
     505,   427,   503,  2235,   505,   124,   295,   186,  3106,   298,
     436,   114,  3063,  2341,  3310,  3311,   503,  2188,   505,  2251,
     446,  2253,   262,  2255,  2231,  3106,  1834,   485,  2341,  2265,
     504,  3144,   424,   505,   506,    85,  4036,   392,    88,   270,
     503,  1849,   505,  2512,  2251,  1768,  2253,   186,  2255,   243,
    2341,   186,   503,   247,   505,   105,   331,  2188,  2755,   331,
    2231,  2341,   432,  2376,  3396,  3943,   328,   422,   181,   503,
    2302,   505,   383,   384,   268,   269,  4151,   469,   470,   328,
    2251,   260,  2253,   485,  2255,  2376,    85,   331,   282,    88,
     114,    75,    76,    77,    78,   450,  2376,  3210,    82,  1907,
    2231,   390,   457,   485,  2235,  2341,   105,   383,   384,   120,
     502,   469,   470,   503,   469,   505,  3229,   486,   487,  2463,
    2251,   260,   503,   317,   505,   260,   821,   162,   503,   824,
     505,  3706,  3707,  4233,   270,  4235,   330,   316,   469,   470,
    2376,  3254,   503,   495,   505,   840,  3712,   502,  3587,   503,
     226,   505,   163,   503,   399,   505,  2363,   493,   494,   495,
     496,   497,   505,   503,  2371,   505,  2373,   503,   863,   124,
     503,    85,   505,   502,    88,  3288,   187,  3691,  1385,  1386,
     315,   316,   503,   878,   505,  2246,  2764,   503,   503,   505,
    2422,   503,  2363,   228,   483,   206,   506,   181,  2430,   113,
    2371,   503,  2373,   505,   118,   503,  2512,   505,    85,   403,
     495,    88,   223,   392,  1937,   503,  1939,   505,   268,   262,
    1943,   256,  1945,   502,   425,  1948,   427,   238,   105,  1952,
    2809,  2810,  2363,   425,  1957,   427,   271,   503,   508,   505,
    2371,  2710,  2373,   422,  2476,   280,   493,   494,   495,   496,
     497,   508,   432,   392,   501,   432,  1073,   392,  1075,     2,
      75,    76,    77,    78,   432,   432,  2498,    82,   303,   268,
     432,   450,  2504,   204,   503,  2446,   505,   108,   457,  4136,
     330,   124,   503,   422,   505,  4360,   503,   422,   505,   503,
     469,   505,   206,   262,  3857,   489,   490,   491,   268,   493,
     494,   495,   496,   497,   498,   432,   472,   503,   319,   505,
     503,   450,   505,  3850,   502,   450,   327,   504,   457,  2551,
     504,   502,   457,   502,   136,    75,    76,    77,    78,   243,
     469,   330,    82,   247,   469,    78,  2750,  2751,   503,   151,
     505,    84,   503,   502,   505,   380,    89,   222,   359,    75,
      76,    77,    78,   328,   268,   269,    82,   125,   506,   503,
    2688,   505,   503,   502,   505,  2693,   452,   502,   282,   181,
    3421,   183,   281,   502,   117,  2688,   328,   323,  3480,  2102,
    2693,   503,  3480,   505,  2591,   389,  2109,    75,    76,    77,
      78,   268,   273,   502,    82,  2118,   503,  2688,   505,   503,
     136,   505,  2693,   317,  2710,   173,   207,   469,  2688,   152,
    3985,  4289,   503,  2693,   505,   108,   330,   218,  2724,   162,
    2591,   222,   503,  3989,   505,   472,   441,  2235,  3125,  3777,
    3543,   503,  3129,   505,  4009,  4010,   503,  2743,   505,   489,
     490,   491,   254,   493,   494,   495,   496,   497,   498,  2755,
     502,   114,  2688,   330,  2262,   114,   341,  2693,  2266,   207,
    2591,   222,   503,   264,   505,  2188,   209,   148,  1163,  1164,
     218,  3752,   452,   216,   222,   218,   503,  3174,   505,  3845,
    2288,   249,   283,   357,   507,   103,   104,   230,  2296,   403,
     489,   490,   491,   212,   493,   494,   495,   496,   497,   498,
     212,   503,   314,   505,   502,   212,  4020,   319,  2231,   472,
    4403,  2319,  2235,   503,  2575,   505,   264,   503,  2241,   505,
    2243,   212,   503,  2246,   505,   326,   294,  1222,   296,  4092,
     503,  2339,   505,   334,   212,   283,  3638,   503,   306,   505,
     158,   505,   354,  1238,  1239,  2777,   212,   503,  2356,   505,
     503,  2359,   505,   503,   366,   505,    75,    76,    77,    78,
    1255,   212,   180,    82,   503,   212,   505,  2039,   186,  2377,
    2777,   503,   340,   505,   328,   503,  2384,   505,   326,   493,
     494,   495,   496,   497,   498,  2393,   334,   503,   503,   505,
     505,   212,  2400,   211,  1289,  1290,   503,    85,   505,  3712,
      88,  2772,   212,   212,  2775,  4180,  2777,   375,   503,   503,
     505,   505,   489,   490,   491,  4181,   493,   494,   495,   496,
     497,   498,   328,   366,    75,    76,    77,    78,  2100,   108,
     503,    82,   505,    96,   446,   503,   503,   505,   505,   212,
    2363,   409,   260,   106,   445,   212,  2777,   126,  2371,   422,
    2373,  2964,  2965,  2966,  3130,   502,  3132,   223,   401,   108,
    4226,   281,   222,   222,  4230,  4231,   502,   502,   502,  3755,
     502,  4185,   502,  2964,  2965,  2966,   350,   502,   157,   142,
    3793,   502,   502,   502,  2964,  2965,  2966,   505,   502,   502,
    3803,  3388,   502,   156,   502,   502,  3024,   445,   502,   500,
     502,   338,   503,   504,  3755,  4242,   502,   502,   502,   502,
     502,  3024,   502,   502,   502,    95,   502,  3903,  2950,  3082,
     502,   101,  4227,   108,  4228,   164,   266,   281,  2964,  2965,
    2966,   268,   108,  3024,  3062,   214,   222,   326,  2970,   222,
     495,   262,   390,   298,  3024,   505,   180,  3115,   451,  3062,
     489,    14,  3850,   505,   505,  3118,   502,   502,   502,   432,
     140,   432,   504,   432,   432,   108,   245,   432,   391,  3001,
     328,  3062,  3004,  3005,   392,   432,  3008,  3083,   432,   432,
     268,  3083,  3062,   126,   319,   143,  3018,   451,  3024,   328,
     252,  3023,  3098,   432,   273,  4309,  3098,  3029,   432,   341,
     502,   505,   452,  3035,   422,   341,   452,   175,   432,   124,
     432,   191,  3118,   432,   157,   124,  3118,   432,   198,  3125,
     502,   201,  3029,  3129,   432,   332,  3062,   432,   432,  3298,
     432,  3063,   450,   432,   387,   432,   432,   328,   328,   457,
     268,   469,   330,   461,   502,  3077,   460,   502,   108,   107,
    3963,   469,  2575,  2576,    97,   181,  3063,   502,  3029,   452,
     463,   462,   289,  3034,  3035,   222,   108,   502,  2591,   108,
     273,   214,   252,  3105,  3106,   618,  3989,  3183,   504,   388,
     466,  3183,   212,   452,   502,  3056,  3300,  3301,  3302,  3303,
     212,   452,  3063,   212,   212,   374,  4141,    14,  3029,   378,
     323,   432,   245,   377,   318,   384,  3603,  4203,   457,   465,
     505,  3608,   391,   227,  3611,   502,   430,   485,   300,   300,
     399,    88,  4427,   505,   399,   430,   306,   502,   407,   432,
     273,   502,  3063,   227,   434,  3263,   415,   489,   241,   241,
     505,   505,   489,   264,    34,   329,   503,   324,    10,   387,
    3263,   432,   432,   150,   505,   505,   387,   503,   503,   503,
     452,   341,  4048,   319,   502,   272,   272,  1299,   502,   319,
     917,   319,  3263,   328,   921,   335,   327,   432,  1310,   505,
     432,   370,  4068,  3263,   931,   464,   396,   370,   432,   468,
     469,   370,  3298,   268,   374,   432,   361,  4048,   108,   268,
     268,   489,   490,   491,   452,   493,   494,   495,   496,   497,
     498,   452,   268,  4064,   268,   327,   489,  4068,   502,   399,
     107,  3082,   500,   500,   432,   432,   222,  3263,   489,   224,
     502,   374,   324,   396,  2842,   378,   211,  3615,   108,   328,
     328,   384,  3274,  1738,  1739,  1740,  1741,   239,   391,  2772,
     496,   239,  3434,   222,  2777,   505,   399,  3118,   108,   502,
     212,   108,   328,    85,   407,   396,    88,   328,  4181,   812,
     502,   222,   415,   816,  1769,  1770,   247,   820,   472,   126,
    1775,   247,   247,   826,   827,  3317,   505,    96,  4437,   832,
     233,   113,  3420,   297,  3422,   328,   118,   124,   841,   505,
     227,   503,   503,   503,   503,   503,   503,  3420,   503,  3422,
     157,   503,   503,  4226,   857,   505,   503,  4230,  4231,  2927,
     227,   464,   432,   866,   485,   468,  2934,   870,   503,  3420,
     503,  3422,  3445,  4482,  4320,   337,   503,   880,   485,   503,
    3420,  4490,  3422,   502,  4242,  1840,  1841,  1842,  1843,   126,
     503,   503,    90,   502,  3445,   898,    90,   489,   466,   283,
     506,   505,   905,   503,   505,  3445,   909,   214,   503,   328,
     331,   328,   455,   916,   502,   502,   258,   502,   319,   432,
     157,   212,   212,   283,  3420,   345,  3422,   345,  2996,  3421,
     449,  2663,  2664,   936,  3365,   432,  2668,   292,   245,   292,
     292,   432,   945,  3435,   432,   432,  3438,   432,  3440,  3445,
     432,   432,   432,   268,  3421,   268,   268,  1912,   500,   268,
     268,   243,   268,   268,   503,   247,   273,   298,   332,   503,
     441,  4317,  3464,   372,   489,  2707,  2708,   214,  3470,  3471,
    3472,  3473,  3474,  3475,   283,   174,   268,   269,  3480,   327,
    3421,   502,   328,   503,   432,   236,   505,   503,   502,    95,
     282,  3958,   336,  3434,   271,   101,  4317,   271,   245,   452,
     502,   452,   222,  3480,   387,  3507,   387,   331,   387,   505,
     324,   500,   210,  1026,  3516,  3517,  3518,  3519,  3495,  1032,
    3421,  1034,   210,  1036,   204,   317,   227,  3603,    88,   222,
     503,   134,  3608,  3434,   140,  3611,  3029,   462,   330,  3480,
    1053,   227,   503,   503,   503,   502,   235,   503,   503,  1062,
     502,   505,   222,  3494,  3495,   489,  3632,   374,   329,   503,
    3632,   378,  3503,   489,  3769,   489,  3507,   384,   258,   441,
    3063,   432,   441,  3575,   391,  3516,  1293,   432,   432,  3480,
    4047,  3159,   399,   432,   503,   191,   503,   503,   222,  3082,
     407,   503,   198,   268,   341,   201,   268,   501,   415,  3177,
    4067,   502,   469,   272,   502,  1118,  1119,   108,   472,   505,
     222,   403,  3764,   503,   505,   253,   469,   146,   424,   469,
     505,  3199,   432,   370,   502,  3118,    85,   374,   271,   502,
     396,   378,   503,   232,   502,    95,  4103,   384,  3790,   227,
     227,   101,   124,   502,   391,   503,   252,   464,   237,   505,
    1367,   468,   399,   227,   467,   467,   503,   432,   503,   441,
     407,  3638,   469,   319,   503,   503,  1383,   319,   415,   505,
     505,   212,   268,   188,   319,   183,   254,   229,  1395,   227,
     140,   489,   452,   452,  4151,   199,   469,  1200,   227,   465,
     501,   255,   331,   227,  1207,   456,   408,  3638,   490,   491,
     306,   493,   494,   495,   496,   497,   498,   502,   502,   942,
     503,   502,   502,   502,   468,  1228,   503,   464,   344,   503,
     328,   452,   503,   469,   957,   366,   959,  3879,   222,   502,
     502,   191,   108,   319,   293,   341,   969,  3638,   198,   250,
     502,   201,   211,   174,  1257,   136,  3748,  3749,   332,   384,
    3848,   384,   331,   136,   489,   124,   989,   990,  3760,   334,
     502,   222,   328,   424,   370,  3848,   217,   358,   374,   331,
     331,  3748,   194,  1875,    85,   456,   505,   108,   227,   466,
     505,   364,  1884,  3760,   469,   199,   328,  3848,   328,   108,
    1892,  1893,   252,   399,   503,  1308,   469,   502,  3848,  1312,
    1313,   503,  1315,   383,   186,   502,   450,  3748,  1910,    94,
    1323,   502,   383,   105,   211,   358,  3394,  2462,  1331,  3760,
     502,   358,  3905,  3764,  1749,  1524,  2777,  2898,  2347,  3420,
    3023,  4084,  3848,  3909,  3836,  3837,  4242,  3909,  3896,  1556,
    3566,  4136,  3848,  4140,  3905,  2860,   306,  2580,  3850,  3790,
    4384,  4047,  3854,  3855,  4347,  3905,  3858,  3859,  4426,  4346,
    3801,  3802,  4393,  3764,  3568,  3806,  3807,  4160,  1381,  3871,
    3872,  3873,  3874,  3875,  3452,  3368,  3454,  1851,  2292,  3445,
    2965,   341,  3958,  2450,  1837,  3076,  4353,  4429,  4490,  3790,
    4482,  3865,  3062,  4360,  1407,  3864,  4400,  3028,  4070,  3905,
    1828,  4328,  4073,  1368,  2369,   188,  4209,  3641,  3576,  2315,
     370,  3578,  4289,  3915,   374,  4409,  4125,  4484,   906,  4386,
    2172,  1928,  1435,  1047,  2173,  3184,   126,  3560,  3421,  2788,
    3871,  3872,  3873,  3874,  3875,  1555,  2563,   150,  3879,   399,
    3942,  3434,  2208,  1326,  2799,  1573,   159,   160,   161,  1462,
    1463,  2416,  1465,  1572,  2207,  1064,  2805,   157,  2423,  2424,
    2425,  2426,  2427,  2428,  2811,  1478,  1575,  2191,  2165,  1482,
    2755,  1052,  2512,  3131,  3959,  2789,  3557,   900,  3879,  3273,
    4183,  3265,  4373,  4377,  4374,  2802,  2724,  3480,  3230,  2635,
     203,  3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,  3241,
    3242,  2722,  2603,  1516,   618,  2103,  1519,  3115,  2505,  1264,
    1523,  1524,  1866,    85,   214,  2235,    88,  4367,  1587,  4486,
    1533,  1534,   367,   938,  1581,  2211,  1141,  1380,  1121,  2494,
    2243,  1121,  2251,  2244,  2771,  3368,  3747,  3369,  3345,   252,
    1499,   113,   400,  1585,  2576,   245,   118,  2255,  3290,  3291,
    1957,     2,  1565,  1312,  4031,    -1,  1569,  1570,   968,  2161,
      85,    -1,  4064,    88,    -1,    -1,    -1,    -1,    -1,  2534,
      -1,  2536,  1585,  1586,  1587,    -1,    -1,    -1,   291,  4081,
    2663,  2664,    -1,  4085,    -1,  2668,    -1,  4064,   113,    -1,
    4031,    -1,  1605,   118,   307,   308,   309,   310,   311,    -1,
     313,    -1,    -1,  1336,    -1,  1338,    -1,    -1,  1341,    -1,
    1343,    -1,    -1,  1346,  1347,  1348,    -1,    -1,    -1,    -1,
      -1,    -1,  1635,  4064,  2707,  2708,  1359,    -1,    -1,  1642,
    1643,    -1,   345,    -1,   206,  1648,    -1,    -1,    -1,  1652,
    1373,    -1,  1375,    -1,    -1,  3638,    -1,    -1,    -1,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1673,    -1,    -1,  4064,    -1,    -1,    -1,  1680,  1885,    -1,
      -1,   243,    -1,  4256,   374,   247,   376,  1894,   378,    -1,
      -1,   206,    -1,    -1,   384,    -1,    -1,    -1,    -1,  1906,
    1703,   391,    -1,    -1,    -1,  4256,   268,   269,    -1,   399,
      -1,    -1,  4441,    -1,    -1,   418,  4256,   407,   155,    -1,
     282,    -1,    -1,    -1,    -1,   415,    -1,    -1,   243,    -1,
      -1,  3799,   247,    -1,    -1,    -1,    -1,    -1,   175,    -1,
      -1,   444,  3810,  1746,   181,  1748,    -1,    -1,   451,    -1,
    4242,   454,    -1,   268,   269,   317,    -1,    -1,  1965,   196,
    4256,  1968,  1765,  1970,    -1,  3748,  1973,   282,   330,    -1,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,  1782,
      -1,  3764,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,   229,  3525,    -1,    -1,    -1,  1800,   235,    -1,
      -1,    -1,   317,    -1,    -1,    -1,    -1,  3790,    -1,    -1,
      -1,    -1,    -1,   250,    -1,   330,    -1,    -1,    -1,    -1,
      95,    -1,  1825,    -1,    -1,    -1,   101,  1830,    -1,    -1,
      -1,  1834,    -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,
      -1,   403,  4409,  4409,    -1,    -1,  1849,  4409,    -1,  4409,
      -1,    -1,  4409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4293,    -1,    -1,   140,    -1,    -1,    -1,  1872,
      -1,  1874,    -1,    -1,  4441,  4441,    -1,  1880,    -1,  4441,
    1883,  4441,    -1,    -1,  4441,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,   330,    -1,    -1,  3879,    -1,    -1,    -1,
      -1,    -1,  4293,    -1,  1907,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1915,    -1,    -1,  1918,   191,  4484,  4484,    -1,
     357,    -1,  4484,   198,  4484,  1928,   201,  4484,    -1,    -1,
      -1,   493,   494,   495,   496,   497,   498,  2529,    -1,    85,
      -1,    -1,    88,    -1,   381,  4437,    -1,    -1,    -1,    -1,
     387,  2543,  2544,    -1,    -1,  2547,   393,    -1,    -1,   396,
      -1,  2553,    -1,    -1,  1967,    -1,    -1,   113,    -1,    -1,
    4437,    -1,   118,    -1,  3706,  3707,    -1,   252,   493,   494,
     495,   496,   497,   498,    -1,   422,    -1,   424,    -1,    -1,
    4482,   428,    -1,    -1,    -1,    -1,    -1,    -1,  4490,   436,
      -1,    -1,  2005,  2006,   441,    -1,  4437,    -1,    -1,    -1,
    2013,    -1,    -1,  2016,   451,  4482,  2019,    -1,    -1,    -1,
      -1,  2024,    -1,  4490,  2027,  2028,   463,    -1,    -1,    -1,
      -1,   306,  2035,    -1,  2626,  2038,  2039,  2040,  2041,    -1,
      -1,    -1,    -1,    -1,    -1,  2048,  2049,    -1,  2051,    -1,
    2053,  4482,    -1,  2056,    -1,    -1,    -1,    -1,    -1,  4490,
     206,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,  2072,
    2073,  2074,    -1,    -1,  2077,    -1,    -1,    -1,  2081,    -1,
      -1,  4064,  2085,    -1,  2087,  2088,  2089,  2090,  2091,  2092,
    2093,  2094,  2095,    -1,  2097,   370,    -1,   243,    -1,   374,
    2103,   247,    -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2320,    -1,   828,    -1,    -1,    -1,    -1,
      -1,   834,   268,   269,   399,    -1,    -1,    -1,    -1,   842,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   850,    -1,    -1,
      -1,    -1,   855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    -1,    -1,    -1,    -1,    -1,  3230,    -1,  2162,
    3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,
      -1,   317,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,   130,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,   105,
      -1,    -1,    -1,    -1,   151,    -1,    -1,   113,   155,    -1,
      -1,  2214,   118,  2216,  1937,    -1,  1939,  3290,  3291,    -1,
    1943,    -1,  1945,    -1,    -1,  1948,    -1,    -1,   175,  1952,
      -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
    2253,    -1,  2255,  3985,    -1,    -1,    -1,   403,    -1,  2262,
      -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,
     983,    -1,    -1,    -1,  2866,    -1,    -1,  4009,  4010,    -1,
      -1,    -1,   229,    -1,    -1,  2288,  2289,  1000,    -1,    -1,
      -1,    -1,    -1,  2296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   250,    -1,    -1,  2309,    -1,    -1,    -1,
    4293,  2314,  2315,  2905,    -1,  2907,  2319,    -1,  1031,    -1,
      -1,    -1,  2325,    -1,    -1,    -1,    -1,   274,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1048,  2339,   243,  2341,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
     496,   497,   498,  2356,    -1,    -1,  2359,    -1,  1071,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2376,  2377,    -1,   282,    -1,    -1,    -1,
    2587,  2384,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
    2393,    -1,    -1,    -1,    -1,    -1,    -1,  2400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,
     357,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,    -1,
      -1,    -1,    -1,    -1,   381,  2438,    -1,  2440,   385,    -1,
     387,    -1,    -1,    -1,    -1,    -1,   393,    -1,  4180,    -1,
      -1,    -1,  3525,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,  1228,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,   422,    -1,   424,    -1,    -1,
      -1,   428,    -1,    -1,    -1,    -1,    -1,   105,    -1,   436,
     108,    -1,    -1,    -1,   441,   113,    -1,   403,  2501,    -1,
     118,  2504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2512,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,  2522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1252,
    1253,  1254,    -1,    -1,    85,    -1,    -1,    88,  2551,   158,
      -1,  3143,    -1,    -1,    -1,  3147,  2559,  3149,    -1,  3151,
    3152,    -1,    -1,    -1,   105,    -1,    -1,    -1,  3160,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,  2596,    -1,   501,    -1,    -1,   207,    -1,
    2603,   507,    -1,    -1,    -1,    -1,  3198,    -1,    -1,   218,
      -1,  2614,    -1,   222,    -1,    -1,    -1,    -1,   227,  1381,
      -1,  2624,    -1,   232,    -1,   243,   235,    -1,   237,   247,
    2633,  2634,    -1,  3706,  3707,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2853,  2854,    -1,  2856,
     268,   269,    -1,  1366,    -1,   264,    -1,    -1,    -1,    -1,
    2663,  2664,    -1,    -1,   282,  2668,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,   283,    -1,    -1,  2680,  2681,  2682,
    2683,  1394,    -1,    -1,    -1,  2688,    -1,    -1,    -1,  2692,
    2693,    -1,  2695,    -1,  2697,    -1,   314,    -1,   113,   317,
      -1,    -1,   243,   118,  2707,  2708,   247,  2710,    -1,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   326,    -1,    -1,
    2723,    -1,  2725,    -1,    -1,   334,  2729,   268,   269,    -1,
    1228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   282,  2745,    -1,    -1,    -1,  2953,    -1,    -1,    -1,
      -1,    -1,  2755,    -1,  2757,  2758,  2759,  1519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,
      -1,    -1,    -1,   314,  2777,    -1,   317,    -1,  2781,    -1,
      -1,    -1,    -1,    -1,    -1,   403,    -1,  2790,    -1,   330,
      -1,    -1,   333,    -1,    -1,    -1,  2799,    -1,    -1,    -1,
      -1,  2804,    -1,    -1,    -1,    -1,    -1,    -1,  2811,    -1,
      -1,    -1,    -1,   422,    -1,    -1,    -1,  1530,    -1,    -1,
      -1,  3776,  3777,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,   445,    -1,    -1,  2842,
      -1,    -1,    -1,    -1,    -1,    -1,  3053,    -1,  3055,    -1,
      -1,    -1,    -1,   268,   269,    -1,  2859,   466,    -1,   468,
     469,    -1,   403,    -1,    -1,    -1,    -1,   282,  3823,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,  1643,    -1,  1381,  2887,  2888,    -1,  2890,    -1,    -1,
      -1,   500,    -1,    -1,   503,   504,    -1,   506,    -1,   314,
      -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3985,    -1,    -1,   330,    -1,    -1,  1680,    -1,
      -1,    -1,    -1,    -1,  2927,    -1,    -1,    -1,  2931,    -1,
    2933,  2934,    -1,    -1,    -1,    -1,  4009,  4010,    -1,    -1,
      -1,  1703,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,    -1,    -1,
      -1,  2964,  2965,  2966,   505,  3172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,  3196,
      -1,    -1,    -1,  2996,    -1,    -1,    -1,    -1,    -1,  3002,
      -1,    -1,    -1,  1765,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1782,  3024,    -1,    -1,    -1,  3028,  3029,  3619,    -1,  1742,
      -1,    -1,    -1,    -1,  3626,  3627,    -1,    -1,  1800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3062,
    3063,    -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,  3080,   493,   494,
     495,   496,   497,   498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3094,    -1,    -1,  4049,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3106,  3107,    -1,    -1,  4180,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1880,    -1,
      85,    -1,  3125,    88,    -1,    -1,  3129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,
     105,  3144,    -1,    -1,    -1,  1643,    -1,    -1,   113,    -1,
      -1,    -1,    -1,   118,    -1,    -1,  3159,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3174,    -1,    -1,  3177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1680,  1896,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1905,    -1,    -1,  4150,  3199,    -1,    -1,    -1,
      -1,    -1,  3794,  3795,  3207,  1703,    -1,  3210,    -1,    -1,
      -1,    -1,  1925,  3216,    -1,    -1,    -1,    -1,    -1,  3222,
      -1,  3224,    -1,    -1,    -1,    -1,  3229,  3230,    -1,    -1,
    3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,
      -1,    -1,    -1,  3246,  3247,    -1,    -1,    -1,    -1,    -1,
      -1,  3254,    -1,    -1,    -1,    -1,  3259,  4212,  1971,  1972,
    3263,    -1,  3265,    -1,    -1,    -1,    -1,  1765,    -1,    -1,
      -1,    -1,  3275,    -1,    -1,  3278,    -1,  3280,   243,  4234,
      -1,  4236,   247,    -1,  1782,  3288,  3289,  3290,  3291,    -1,
      -1,    -1,  3295,    -1,    -1,  3298,    -1,    -1,    -1,    -1,
      -1,    -1,  1800,   268,   269,  3308,    -1,    -1,    -1,    -1,
    2072,    -1,    -1,  3316,    -1,  3318,    -1,   282,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,  1825,    -1,    -1,
      -1,    -1,  3539,  3540,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     113,    -1,   317,    -1,    -1,   118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,
      -1,    -1,    -1,    -1,  3966,    94,  3968,  3969,    -1,    -1,
      -1,    -1,  1880,    -1,    -1,  3388,    -1,  3979,    -1,  2102,
      -1,  3394,    -1,    -1,    -1,  4350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   132,  2127,    -1,    -1,  3420,  3421,  3422,
      -1,    -1,    -1,    -1,    -1,    -1,  3633,  3634,  3635,    -1,
      -1,    -1,    -1,   152,    -1,  4390,    -1,    -1,   403,    -1,
      -1,    -1,  3445,    -1,    -1,    85,    -1,    -1,    88,  3452,
      -1,  3454,   171,    -1,    -1,    -1,    -1,    -1,  2171,    -1,
    2173,    -1,    -1,    -1,    -1,   105,   185,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   193,    -1,    -1,  3480,   118,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,   208,
      -1,   210,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   223,   268,   269,    -1,    -1,    -1,
      -1,    -1,   231,   232,    -1,    -1,    -1,    -1,    -1,   282,
      -1,    -1,  3525,    -1,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,    -1,    -1,    -1,    -1,   503,    -1,
    3543,    -1,    -1,    -1,    -1,    -1,    -1,  2309,    -1,    -1,
      -1,   314,  2314,  2315,   317,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2325,    -1,    -1,    -1,   330,    -1,    -1,
     333,    -1,    -1,    -1,  2072,  3578,  3579,  3580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3603,    -1,    -1,   243,    -1,  3608,    -1,   247,  3611,    -1,
      -1,    -1,    -1,    -1,  3821,  3822,    -1,  3824,    -1,  4211,
      -1,    -1,    -1,    -1,    -1,  2338,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,
     403,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,    -1,    -1,   317,  2440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,
     330,    -1,    -1,   333,    -1,  3698,  3699,    -1,  3701,    -1,
      -1,    -1,    -1,  3706,  3707,    -1,    -1,    -1,  3711,  3712,
      -1,    -1,    -1,    -1,  3717,  3718,    -1,    -1,  3721,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,  3732,
     493,   494,   495,   496,   497,   498,    -1,    -1,    -1,  2501,
      -1,  3744,   505,    -1,  3951,    -1,    -1,  2460,    -1,    -1,
      -1,    -1,    85,    -1,  3961,    88,    -1,  3760,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,  3772,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,    -1,
    3793,    -1,    -1,    -1,    -1,    -1,  3799,    -1,    -1,    -1,
    3803,    -1,    -1,    -1,    -1,    -1,    -1,  3810,    -1,    -1,
      -1,  2309,    -1,    -1,    -1,    -1,  2314,  2315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2325,    -1,  4421,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,  3848,    -1,  3850,    -1,   489,
     490,   491,  2614,   493,   494,   495,   496,   497,   498,    -1,
      -1,    -1,    -1,   503,   113,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3895,    -1,    -1,    -1,    -1,    -1,    -1,   618,
      -1,    -1,  3905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
    3943,    -1,  2440,    -1,    -1,    -1,    -1,    -1,    -1,   282,
      -1,  3954,    -1,    -1,    -1,  3958,    -1,   206,    -1,  4166,
    3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,   314,  3985,    -1,   317,    -1,  3989,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,   330,   247,    -1,
     333,    -1,    -1,  2501,    -1,    -1,  4009,  4010,    -1,    -1,
    4013,    -1,    -1,    -1,    -1,    -1,    -1,  4020,  4021,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4237,    -1,    -1,   282,    -1,    -1,  2749,    -1,  4041,    -1,
    4043,    -1,    -1,    -1,  4047,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4064,    -1,    -1,  4067,    -1,   105,    -1,   317,    -1,
     403,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,   118,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2808,    -1,    -1,    -1,    -1,
    4103,   820,   821,   822,    -1,   824,    -1,   826,    -1,   828,
      -1,   830,    -1,    -1,    -1,   834,  2614,   836,    -1,    -1,
      -1,   840,    -1,   842,    -1,  2887,  2888,    -1,  2890,    -1,
      -1,   850,    -1,    -1,    -1,    -1,   855,    -1,   857,    -1,
      -1,    -1,   861,    -1,   863,    -1,    -1,    -1,  4151,   868,
    4153,    -1,   871,    -1,   403,    -1,   489,   490,   491,   878,
     493,   494,   495,   496,   497,   498,    -1,    -1,    -1,  2931,
     503,  2933,    -1,    -1,    -1,    -1,    -1,  4180,  4181,    -1,
    4183,   900,  4185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     909,    -1,    -1,    -1,   913,    -1,    -1,   916,    -1,    -1,
     919,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,   934,    -1,    -1,    -1,    -1,
    4223,    -1,    -1,  4226,    -1,    -1,    -1,  4230,  4231,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4242,
    3002,    -1,    -1,   282,   493,   494,   495,   496,   497,   498,
      -1,    -1,    -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,
    4263,    -1,    -1,    -1,   983,    -1,    -1,  3029,    -1,   988,
      -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,   317,    -1,
      -1,  1000,  1001,    -1,    -1,    -1,  4289,    -1,    -1,    -1,
    4293,   330,    -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,
      -1,  3063,    -1,    -1,    -1,    -1,  4309,  1026,    -1,    -1,
      -1,  1030,  1031,    -1,    85,    -1,    -1,    88,  3080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1048,
      -1,    -1,  3094,  1052,   105,    -1,    -1,    -1,  1057,    -1,
      -1,    -1,   113,  1062,    -1,  3107,    -1,   118,    -1,    -1,
    4353,    -1,  1071,    -1,    -1,    -1,    -1,  4360,    -1,    -1,
      -1,    -1,  3075,    -1,   403,    -1,    85,    -1,    -1,    88,
      -1,    -1,  3085,  4376,  4377,    -1,  4379,    -1,    -1,    -1,
      -1,    -1,  3144,  4386,    -1,    -1,   105,  3100,    -1,  2887,
    2888,    -1,  2890,    -1,   113,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2931,    -1,  2933,    -1,    -1,    -1,    -1,
    3153,    -1,    -1,  3156,  1163,  1164,    -1,    -1,  3210,    -1,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
      -1,    -1,    -1,    -1,   503,    -1,    -1,  3229,    -1,    -1,
      -1,    -1,   243,    -1,  4477,    -1,   247,    -1,    -1,    -1,
      -1,  1200,    -1,  4486,  3197,    -1,    -1,    -1,  1207,    -1,
      -1,  1210,  3254,    -1,    -1,    -1,    -1,   268,   269,    -1,
      -1,    -1,   221,  1222,  3002,    -1,    -1,    -1,    -1,    -1,
      -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1238,
    1239,    -1,    -1,    -1,   243,    -1,  3288,    -1,   247,    -1,
      -1,  3029,    -1,  1252,  1253,  1254,  1255,    -1,  1257,    -1,
      -1,    -1,  1261,   314,    -1,    -1,   317,    -1,    -1,   268,
     269,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,   330,
      -1,    -1,   333,   282,    -1,  3063,    -1,    -1,    -1,    -1,
    1289,  1290,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,  3080,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,  3305,  3306,    -1,   314,  3094,    -1,   317,    -1,
      -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,    -1,  3107,
      -1,   330,    -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1361,  1362,    -1,    -1,  3144,  1366,    -1,  1368,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,  3421,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1391,    -1,    -1,  1394,    -1,   105,  1397,    -1,
      85,    -1,    -1,    88,   403,   113,    -1,    -1,  1407,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,   243,  3210,   118,    -1,   247,  1435,    -1,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,    -1,    -1,
      -1,  3229,   503,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,  1462,  1463,    -1,  1465,    -1,    -1,    -1,
     282,    -1,    -1,    -1,    -1,    -1,  3254,    -1,    85,    -1,
      -1,    88,    -1,  1482,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
      -1,  3543,   314,  1502,  1503,   317,   113,    -1,    -1,    -1,
    3288,   118,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
    3513,   333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1530,    -1,    -1,  1533,   243,  3578,    -1,  3531,   247,
    1539,    -1,  1541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3548,    -1,    95,   243,    -1,
     268,   269,   247,   101,    -1,    -1,  1565,    -1,    -1,    -1,
    1569,  1570,    -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,   269,    -1,    -1,   125,    -1,    -1,
      -1,   403,    -1,    -1,    -1,    -1,    -1,   282,    -1,   206,
      -1,    -1,   140,    -1,  1603,    -1,   314,    -1,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,    -1,    -1,   314,
      -1,    -1,   317,    -1,    -1,   173,   243,    -1,    -1,    -1,
     247,    -1,    -1,  3421,    -1,   330,    -1,    -1,   333,    -1,
      -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,    -1,  3701,
     198,   268,   269,   201,    -1,    -1,    -1,    -1,    -1,    -1,
    3712,    -1,    -1,    -1,    -1,   282,    -1,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,  1686,    -1,    -1,
      -1,   503,    -1,  1692,    -1,   403,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1705,    -1,    -1,    -1,
     317,   249,    -1,    -1,   252,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
    3723,  3724,  3725,  3726,    -1,    -1,    -1,    -1,    -1,  1738,
    1739,  1740,  1741,  1742,    -1,    -1,    85,    -1,    -1,    88,
      -1,  3793,    -1,    -1,    -1,    -1,   294,    -1,   296,    -1,
      -1,  3803,  1761,    -1,  1763,  3543,   105,    -1,   306,    -1,
    1769,  1770,    -1,    -1,   113,    -1,  1775,    -1,    -1,   118,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,    -1,    -1,    -1,    -1,   503,   403,    -1,    -1,    -1,
    3578,    -1,   340,   341,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,    -1,    -1,    -1,    -1,   503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,   370,    -1,    -1,    -1,   374,   375,    -1,    -1,
      -1,  1840,  1841,  1842,  1843,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,  1857,    -1,
     118,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   409,    -1,  1872,    -1,  1874,    -1,    -1,    -1,    -1,
      -1,    -1,  1881,    -1,  1883,    -1,   493,   494,   495,   496,
     497,   498,  1891,    -1,    -1,    -1,    -1,  1896,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,  1905,    -1,   247,    -1,
      -1,    -1,  1911,  1912,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3963,    -1,  3701,    -1,    -1,  1925,    -1,    -1,   268,
     269,    -1,    -1,    -1,  3712,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   282,    -1,    -1,    -1,  3989,    -1,    -1,
      -1,    -1,    -1,  3946,    -1,    -1,    -1,    -1,    -1,    -1,
    1959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1967,    -1,
      -1,    -1,  1971,  1972,    -1,   314,    -1,    -1,   317,    -1,
    1979,    -1,    -1,    -1,  1983,   243,    -1,    -1,    -1,   247,
      -1,   330,    -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,
    1999,  2000,    -1,    -1,  2003,    -1,  2005,  2006,    -1,    -1,
     268,   269,    -1,    -1,  2013,  3793,    -1,  2016,    -1,    -1,
    2019,    -1,  4064,    -1,   282,  3803,    -1,    -1,  2027,  2028,
      -1,    -1,    -1,    -1,    -1,    -1,  2035,    -1,  2037,  2038,
    2039,  2040,  2041,    -1,    -1,    -1,    -1,    -1,    -1,  2048,
    2049,    -1,  2051,    -1,  2053,    -1,   314,  2056,    -1,   317,
      -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,  2073,   333,    -1,    -1,  2077,    -1,
      -1,    -1,  2081,    -1,    -1,    -1,  2085,    -1,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,    -1,  2097,    -1,
      -1,    -1,    -1,  2102,  2103,    -1,    -1,  2106,    -1,    -1,
      -1,  4153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4112,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4181,
      85,    -1,    -1,    88,    -1,   403,    -1,    -1,  4141,    -1,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
     105,    -1,    -1,    -1,   503,  2164,    -1,    -1,   113,    -1,
      -1,    -1,  2171,   118,  2173,    -1,  2175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4226,  3963,    -1,    -1,  4230,  4231,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,  3989,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,  4220,    -1,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,    -1,    -1,    -1,    -1,   503,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,   105,
      -1,    -1,    -1,  2272,    -1,  2274,    -1,   113,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,  4064,    -1,    -1,    -1,
    2289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2321,   268,   269,    -1,    -1,    -1,  2327,    -1,
      -1,    -1,    -1,  2332,    -1,    -1,    -1,   282,    -1,  2338,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
    2349,  2350,   247,    -1,    -1,    -1,  2355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
    2369,    -1,   317,   268,   269,  4153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,   222,   282,   333,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4181,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,  1228,    -1,  2416,    -1,   314,
      -1,    -1,   317,    -1,  2423,  2424,  2425,  2426,  2427,  2428,
      -1,    -1,   268,   269,    -1,   330,    -1,    -1,   333,  2438,
      -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,  4226,    -1,
      -1,    -1,  4230,  4231,    -1,    -1,    -1,  2456,   403,    -1,
      -1,  2460,    -1,    -1,    -1,  2464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2488,
      -1,    -1,    -1,    -1,   330,  2494,  2495,   333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2505,    -1,   403,    -1,
      -1,    -1,    -1,  2512,  2513,    -1,    -1,    -1,  2517,  2518,
      -1,    -1,    -1,  2522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2534,  2535,  2536,  2537,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,    85,    -1,    -1,    88,   503,    -1,
    2559,    -1,    -1,    -1,    -1,    -1,    -1,   403,  1381,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,  2580,   113,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,  2603,    -1,    -1,    -1,   503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2633,  2634,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,    -1,  2663,  2664,    -1,    -1,    -1,  2668,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2680,  2681,  2682,  2683,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2692,    -1,    -1,  2695,    -1,  2697,  2698,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2707,  2708,
      -1,  2710,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2723,    -1,  2725,    -1,  2727,    -1,
    2729,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,
      -1,    -1,   117,    -1,    -1,    -1,  2745,    -1,    -1,    -1,
    2749,   282,    -1,    -1,    -1,    -1,  2755,    -1,  2757,  2758,
    2759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2781,   314,    -1,    -1,   317,   162,    -1,  2788,
      -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
    2799,    -1,   333,    -1,    -1,  2804,    -1,    -1,    -1,  2808,
      -1,    -1,  2811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1643,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,   216,    -1,   218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
    2859,    -1,  2861,    -1,    -1,    -1,  2865,  1680,     5,    -1,
      -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,
    1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    41,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,  1765,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,    -1,  1782,
     501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1800,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3006,  3007,    -1,
      -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3035,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1880,   205,    -1,
      -1,    -1,    -1,    -1,    -1,  3074,  3075,    -1,    -1,    -1,
      -1,    -1,    -1,   220,    -1,    -1,  3085,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3100,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3115,    -1,    -1,    -1,
    3119,    -1,    -1,  3122,    -1,   262,  3125,    -1,    -1,    -1,
    3129,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,  3138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3153,    -1,    -1,  3156,   295,    -1,
      -1,   298,    -1,    -1,  3163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3174,    -1,    -1,    -1,    -1,
      -1,    -1,   319,    -1,    -1,  3184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3197,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3216,    -1,    -1,
      -1,    -1,    -1,  3222,    -1,  3224,    -1,    -1,    -1,    -1,
      -1,  3230,    -1,    -1,  3233,  3234,  3235,  3236,  3237,  3238,
    3239,  3240,  3241,  3242,    -1,    -1,    -1,  3246,  3247,    -1,
      -1,    -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,  2072,
    3259,    -1,    -1,    -1,    -1,    -1,  3265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,  3278,
      -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3289,  3290,  3291,    -1,    -1,   432,  3295,    -1,    -1,  3298,
      -1,    -1,    -1,    -1,    -1,    -1,  3305,  3306,   445,  3308,
      -1,    -1,    -1,    -1,    -1,  3314,    -1,  3316,    -1,  3318,
      -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   483,    -1,  3347,    -1,
      -1,    -1,   489,    -1,    -1,    -1,   493,   494,   495,   496,
     497,    -1,    -1,   500,   501,   502,   503,    -1,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,
    3389,  3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,  3413,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,    -1,    -1,    -1,   113,    -1,    -1,
     105,    -1,   118,    85,    -1,    -1,    88,   812,   113,    -1,
      -1,    -1,    -1,   118,    -1,   820,    -1,    -1,    -1,    -1,
      -1,   826,    -1,   105,    -1,    -1,   108,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2309,    -1,    -1,    -1,
      -1,  2314,  2315,   189,    -1,    -1,    -1,    -1,  3507,    -1,
      -1,    -1,  2325,    -1,  3513,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3525,    -1,    -1,    -1,
      -1,    -1,  3531,    -1,   909,    -1,    -1,    -1,    -1,    -1,
      -1,   916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,  3557,    -1,
      -1,   247,    -1,  3562,    -1,    -1,    -1,  3566,   243,  3568,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3579,  3580,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,   268,   269,   247,   282,    -1,    -1,    -1,
    3599,    -1,    -1,    -1,  3603,    -1,    -1,   282,    -1,  3608,
      -1,    -1,  3611,  3612,    -1,  3614,   268,   269,    -1,    -1,
      -1,    -1,  3621,    -1,  3623,    -1,    -1,  2440,   314,    -1,
     282,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
      -1,    -1,   317,    -1,   330,    -1,    -1,   333,    -1,    -1,
      -1,  1026,    -1,    -1,    -1,   330,  3655,  1032,   333,    -1,
      -1,  1036,   314,    -1,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,   330,    -1,
      -1,   333,    -1,    -1,    -1,    -1,    -1,  1062,  2501,    -1,
      -1,    -1,  3691,    -1,    -1,    -1,    -1,    -1,    -1,  3698,
    3699,    -1,    -1,    -1,    -1,    -1,    -1,  3706,  3707,    -1,
      -1,    -1,  3711,    -1,    -1,    -1,    -1,   403,  3717,  3718,
      -1,    -1,  3721,    -1,  3723,  3724,  3725,  3726,   403,    -1,
      -1,    -1,    -1,  3732,    -1,    85,    -1,    -1,    88,  3738,
      -1,   416,    -1,    -1,    -1,  3744,    -1,    -1,    -1,    -1,
      -1,   403,    -1,    -1,    -1,   105,  3755,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,   452,    -1,   118,    -1,
    3769,    -1,    -1,  3772,    -1,    -1,    -1,  3776,  3777,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2614,    -1,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,    -1,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,  3823,  1200,    -1,    -1,    -1,    -1,
      -1,    -1,  1207,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,    -1,    -1,    -1,
      -1,    -1,    -1,  1228,    -1,    -1,    -1,    -1,  3857,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3871,  3872,  3873,  3874,  3875,    -1,    -1,    -1,
      -1,    -1,  1257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,  3895,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   282,    85,    -1,    -1,    88,    -1,   158,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3946,  1323,  3948,
      -1,    -1,    -1,   105,    -1,  3954,    -1,    -1,    -1,  3958,
      -1,   113,  3961,    -1,   314,    -1,   118,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,    -1,    -1,   333,    -1,    -1,  3985,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,   218,    -1,
      -1,    -1,   222,    -1,    -1,    -1,  1381,   227,    -1,    -1,
    4009,  4010,   232,    -1,  4013,   235,    -1,   237,    -1,    -1,
      -1,  4020,  4021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,  4047,  4048,
    4049,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,
    1435,    85,    -1,   283,    88,    -1,    -1,    -1,  4067,  4068,
      -1,    -1,    -1,    -1,  2887,  2888,    -1,  2890,    -1,    -1,
      -1,   105,    -1,    -1,   108,    -1,    -1,  1462,  1463,   113,
    1465,   243,    -1,  4092,   118,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4103,    -1,   326,  1482,    -1,    -1,
      -1,    -1,    -1,  4112,   334,    -1,   268,   269,  2931,    -1,
    2933,    -1,    -1,    -1,    -1,  4124,    -1,  4126,    -1,    -1,
     282,    -1,    -1,    -1,    -1,    -1,    -1,  4136,    -1,   489,
     490,   491,  4141,   493,   494,   495,   496,   497,   498,    -1,
      -1,  4150,  4151,    -1,    -1,    -1,    -1,   377,  1533,  1534,
      -1,    -1,   314,    -1,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,   330,    -1,
      -1,  4180,    -1,    -1,  4183,    -1,  4185,    -1,    -1,  3002,
    1565,    -1,   105,    -1,  1569,  1570,    -1,    -1,    -1,  4198,
     113,    -1,   422,    -1,    -1,   118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4212,    -1,    -1,  3029,    -1,    -1,   243,
      -1,  4220,    -1,   247,  4223,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4233,  4234,  4235,  4236,    -1,    -1,
      -1,    -1,    -1,    -1,   268,   269,   466,    -1,   468,   469,
    3063,   403,    -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,
      -1,    -1,    -1,    -1,  4263,    -1,    -1,  3080,  1643,    -1,
      -1,    -1,    -1,  1648,    -1,    -1,    -1,  1652,    -1,    -1,
     500,  3094,    -1,   503,   504,    -1,   506,    -1,    -1,    -1,
     314,    -1,    -1,   317,  3107,    -1,    -1,    -1,  1673,    -1,
      -1,    -1,    -1,    -1,    -1,  1680,   330,    -1,    -1,   333,
    4309,    -1,    -1,    -1,   227,    -1,    -1,    -1,  4317,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,
     243,  3144,    -1,    -1,   247,    -1,    -1,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,    -1,    -1,    -1,
      -1,  4350,    -1,    -1,  4353,   268,   269,    -1,    -1,    -1,
      -1,  4360,    -1,    -1,    -1,    -1,    -1,    -1,  4367,   282,
      -1,    -1,    85,  1748,  4373,    88,    -1,  4376,  4377,   403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4386,    -1,    -1,
    1765,  4390,   105,    -1,    -1,   108,    -1,  3210,    -1,    -1,
     113,   314,    -1,    85,   317,   118,    88,  1782,    -1,    -1,
      -1,    -1,    -1,    -1,  4413,    -1,  3229,   330,    -1,    -1,
     333,    -1,    -1,   105,  4423,  1800,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,   118,    -1,  4437,    -1,
      -1,  3254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1825,    -1,    -1,    -1,    -1,  1830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,  3288,    -1,    -1,  4477,    -1,
      -1,    -1,    -1,  4482,    -1,    -1,    -1,  4486,    -1,    -1,
     403,  4490,    -1,    -1,    -1,    -1,    -1,  1872,    -1,  1874,
      -1,    -1,    -1,    -1,    -1,  1880,    -1,    -1,  1883,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,   282,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,   268,   269,    -1,    -1,
      -1,    -1,  1967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   314,    -1,    -1,   317,    -1,    -1,    -1,  3421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2005,  2006,   314,    -1,    -1,   317,    -1,    -1,  2013,    -1,
      -1,  2016,    -1,    -1,  2019,    -1,    -1,    -1,   330,    -1,
      -1,   333,  2027,  2028,    -1,    -1,    -1,    -1,    -1,    -1,
    2035,    -1,    -1,  2038,  2039,  2040,  2041,    -1,    -1,    -1,
      -1,    -1,    -1,  2048,  2049,    -1,  2051,    -1,  2053,    -1,
      -1,  2056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,    -1,    -1,    -1,    -1,  2072,  2073,  2074,
      -1,    -1,  2077,    -1,    -1,    -1,  2081,    -1,    -1,    -1,
    2085,    -1,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,   403,  2097,    -1,    -1,    -1,    -1,    -1,  2103,    -1,
    3543,  2106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,  3578,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,     9,    -1,   162,
      -1,    13,    -1,    15,    -1,    17,    18,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,  3701,    -1,
    2265,    -1,    -1,   216,    -1,   218,    -1,    -1,    -1,  3712,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,  2289,    -1,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,
      -1,   103,   104,    -1,  2309,    -1,    -1,    -1,    -1,  2314,
    2315,    -1,    -1,    -1,    -1,   117,    -1,    -1,    -1,    -1,
    2325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,  2341,   139,   140,    -1,
      -1,    -1,   144,    -1,   146,    -1,    -1,    -1,    -1,    -1,
    3793,    -1,    -1,    -1,   156,    -1,   158,    -1,    -1,    -1,
    3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2376,    -1,   175,    -1,   177,    -1,    -1,   180,    -1,
      -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,
     192,    -1,   194,    -1,    -1,    -1,   198,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    85,    -1,    89,    88,    -1,   211,
      -1,   213,    -1,   366,    -1,    -1,   218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
     232,    -1,   113,  2438,   117,  2440,    -1,   118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,
      -1,    -1,   284,   285,    -1,    -1,    -1,    -1,   290,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2501,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2512,    -1,    -1,
      85,    -1,    -1,    88,   316,    -1,    -1,  2522,    -1,    -1,
    3963,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
     105,    -1,    -1,   216,    -1,   218,    -1,    -1,   113,    -1,
      -1,    -1,    -1,   118,    -1,    -1,  3989,   230,    -1,    -1,
     352,    -1,    -1,    -1,  2559,    -1,    -1,    -1,    -1,    -1,
      -1,   363,   243,    -1,    -1,   367,   247,   369,    -1,    -1,
      -1,    -1,   374,    -1,    -1,    -1,    -1,   379,    -1,    -1,
     382,    -1,    -1,    -1,   386,    -1,    -1,   268,   269,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,   399,  2603,    -1,
     402,   282,    -1,    -1,    -1,    -1,    -1,   409,    -1,  2614,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,  4064,    -1,    -1,    -1,    -1,    -1,    -1,  2633,  2634,
      -1,    -1,    -1,   314,    -1,    -1,   317,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,   450,   330,
      -1,   453,   333,    -1,    -1,   457,    -1,    -1,  2663,  2664,
      -1,    -1,    -1,  2668,    -1,    -1,    -1,   469,   243,    -1,
      -1,    -1,   247,    -1,    -1,  2680,  2681,  2682,  2683,    -1,
      -1,    -1,    -1,  2688,    -1,    -1,    -1,  2692,  2693,    -1,
    2695,    -1,  2697,   268,   269,    -1,    -1,    -1,    -1,    -1,
     502,    -1,  2707,  2708,    -1,  2710,    -1,   282,    -1,    -1,
    4153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2723,    -1,
    2725,    -1,   403,    -1,  2729,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,  4181,   314,
    2745,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2755,    -1,  2757,  2758,  2759,   330,    -1,   130,   333,    78,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      89,    -1,    -1,    -1,    -1,    -1,  2781,    -1,    -1,    -1,
      -1,    -1,   155,  4226,    -1,  2790,    -1,  4230,  4231,    -1,
      -1,    -1,    -1,    -1,  2799,    -1,    -1,    -1,   117,  2804,
      -1,    -1,   175,    -1,    -1,    -1,  2811,    -1,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,    -1,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,    -1,    -1,  2859,    -1,   229,    -1,    -1,   812,
      -1,    -1,   235,   816,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   827,    -1,    -1,   250,    -1,   832,
      -1,    -1,  2887,  2888,    -1,  2890,    -1,    -1,   841,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,   866,   489,   490,   491,   870,   493,   494,
     495,   496,   497,   498,    -1,    -1,  2931,   880,  2933,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   905,    -1,    -1,    -1,    -1,   330,    -1,  2964,
    2965,  2966,    -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   945,    -1,    -1,    -1,    -1,  3002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,
      -1,    -1,   385,    -1,   387,    -1,    -1,    -1,    -1,  3024,
     393,    -1,    -1,   396,  3029,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,   422,
      -1,   424,    -1,    -1,    -1,   428,    -1,  3062,  3063,    -1,
      -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,   441,    -1,
      -1,    -1,    -1,    -1,    -1,  3080,    -1,    -1,   451,  1032,
      -1,  1034,   401,  1036,    -1,    -1,    -1,    -1,    -1,  3094,
     463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1053,    -1,  3107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3125,    -1,    -1,    -1,  3129,    -1,    -1,    -1,    -1,   812,
      -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,  3144,
      -1,    -1,    -1,    -1,   827,    -1,    -1,    -1,    -1,   832,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   841,    -1,
      -1,    -1,    -1,    -1,    -1,  1118,  1119,    -1,    -1,  3174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   866,    -1,    -1,    -1,   870,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   880,    -1,    -1,
      -1,    -1,  3207,    -1,    -1,  3210,    -1,    -1,    -1,    -1,
      -1,  3216,    -1,    -1,    -1,    -1,    -1,  3222,    -1,  3224,
      -1,    -1,   905,    -1,  3229,  3230,    -1,    -1,  3233,  3234,
    3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,    -1,    -1,
      -1,  3246,  3247,    -1,    -1,    -1,    -1,    -1,    -1,  3254,
      -1,    -1,    -1,    -1,  3259,    -1,    -1,    -1,  3263,    -1,
    3265,    -1,   945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3275,    -1,    -1,  3278,    -1,  3280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3288,  3289,  3290,  3291,    -1,    -1,    -1,
    3295,    -1,    -1,  3298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3308,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3316,    -1,  3318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1032,
      -1,  1034,    -1,  1036,    -1,  1308,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1331,    -1,
      -1,    -1,    -1,  3388,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3420,  3421,  3422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1118,  1119,    -1,    -1,    -1,
    3445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,    -1,   812,    -1,    -1,    -1,   816,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   827,    -1,
      -1,   130,    -1,   832,    -1,    -1,    -1,    -1,    -1,    -1,
    3525,    -1,   841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,    -1,    -1,    -1,   155,    -1,  3543,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   866,    -1,    -1,
      -1,   870,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
      -1,   880,   181,  1516,    -1,    -1,    -1,    -1,    -1,    -1,
    1523,  1524,    -1,  3578,  3579,  3580,    -1,   196,    -1,    -1,
      -1,  1534,    -1,    -1,    -1,    -1,   905,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3603,    -1,
      -1,    -1,    -1,  3608,    -1,   224,  3611,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1308,   945,    -1,    -1,    -1,
      -1,   250,  1585,  1586,  1587,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1331,    -1,
    3655,    -1,  1605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1635,    -1,    -1,    -1,  3691,    -1,    -1,  1642,
      -1,    -1,    -1,  3698,  3699,  1648,  3701,    -1,    -1,  1652,
      -1,  3706,  3707,    -1,    -1,    -1,  3711,  3712,    -1,    -1,
      -1,   330,  3717,  3718,   333,  1034,  3721,    -1,    -1,    -1,
    1673,    -1,    -1,    -1,    -1,    -1,    -1,  3732,    -1,    -1,
      -1,    -1,    -1,    -1,  1053,    -1,    -1,    -1,    -1,  3744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   381,    -1,    -1,    -1,    -1,  3772,   387,    -1,
      -1,    -1,    -1,    -1,   393,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,
      -1,    -1,    -1,  1746,    -1,  1748,    -1,    -1,  3803,  1118,
    1119,    -1,    -1,   422,  1228,   424,   425,    -1,   427,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,
      -1,    -1,   441,    -1,    -1,    -1,    -1,   446,    -1,    -1,
      -1,    -1,   451,  1516,    -1,    -1,    -1,    -1,    -1,    -1,
    1523,  1524,    -1,  3848,   463,    -1,    -1,    -1,    -1,    -1,
      -1,  1534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1830,    -1,    -1,
      -1,  1834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3895,    -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,
    3905,    -1,  1585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3954,
      -1,    -1,    -1,  3958,  1907,    -1,    -1,  1381,  3963,    -1,
      -1,    -1,    -1,    -1,    -1,  1648,    -1,    -1,    -1,  1652,
      -1,    -1,    -1,    -1,    -1,  1928,    -1,    -1,    -1,    -1,
    3985,    -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,  1308,
    1673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4009,  4010,    -1,    -1,  4013,    -1,
      -1,    -1,  1331,    -1,    -1,  4020,  4021,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4064,
      -1,    -1,  4067,  1746,    -1,  1748,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4151,  1830,  4153,    -1,
      -1,  1834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4180,  4181,    -1,  4183,    -1,
    4185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1516,    -1,    -1,
      -1,    -1,    -1,    -1,  1523,  1524,    -1,    -1,    -1,  2162,
      -1,    -1,    -1,    -1,    -1,  1534,    -1,    -1,  4223,  1643,
      -1,  4226,    -1,    -1,  1907,  4230,  4231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1928,    -1,    -1,    -1,    -1,
      -1,  4256,    -1,    -1,    -1,    -1,  1680,    -1,  4263,    -1,
      -1,  2214,    -1,  2216,    -1,    -1,  1585,  1586,  1587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,
      -1,    -1,  2235,    -1,  4289,    -1,  1605,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4309,    -1,    -1,    -1,    -1,  2262,
      -1,    -1,  2265,  2266,    -1,    -1,  1635,    -1,    -1,    -1,
      -1,    -1,    -1,  1642,    -1,    -1,    -1,    -1,    -1,  1648,
      -1,    -1,    -1,    -1,    -1,  2288,    -1,    -1,    -1,    -1,
      -1,  1765,    -1,  2296,    -1,    -1,    -1,    -1,  4353,    -1,
      -1,    -1,    -1,    -1,    -1,  4360,    -1,    -1,  1782,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2319,    -1,    -1,    -1,
      -1,  4376,  4377,    -1,    -1,    -1,  1800,    -1,    -1,    -1,
      -1,  4386,    -1,    -1,    -1,    -1,  2339,    -1,  2341,    -1,
      -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1825,    -1,  2356,    -1,    -1,  2359,    -1,  4413,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4423,    -1,
      -1,    -1,    -1,  2376,  2377,    -1,    -1,  1746,    -1,    -1,
      -1,  2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2393,    -1,    -1,    -1,    -1,    -1,    -1,  2400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1880,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1830,    -1,    -1,    -1,  1834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2504,  2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,   216,    -1,   218,    -1,    -1,    -1,  2262,
      -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,  1907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2551,    -1,
      -1,    -1,    -1,    -1,    -1,  2288,    -1,    -1,    -1,  1928,
      -1,    -1,    -1,  2296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2319,    -1,    -1,    -1,
      -1,    -1,    -1,  2596,    -1,    -1,    -1,    -1,  2072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2339,    -1,  2341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2624,    -1,  2356,    -1,    -1,  2359,    -1,    -1,    -1,
      -1,    -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2376,  2377,    -1,    -1,    -1,    -1,    -1,
      -1,  2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2393,    -1,    -1,    -1,    -1,    -1,    -1,  2400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2688,    -1,    -1,     5,    -1,
    2693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2074,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,  2504,    -1,    -1,  2777,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,  2551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2309,    -1,    -1,    -1,  2842,
    2314,  2315,    -1,    -1,    -1,  2214,    -1,  2216,    -1,    -1,
      -1,  2325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2596,    -1,    -1,  2235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,  2624,    -1,  2262,    -1,    -1,  2265,  2266,    -1,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2288,
      -1,    -1,    -1,   240,  2927,    -1,    -1,  2296,    -1,    -1,
      -1,  2934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,
    2319,    -1,    -1,    -1,    -1,  2688,    -1,    -1,    -1,    -1,
    2693,  2964,  2965,  2966,    -1,    -1,  2440,    -1,    -1,    -1,
    2339,    -1,  2341,    -1,    -1,    -1,    -1,    -1,   295,    -1,
      -1,   298,    -1,    -1,    -1,    -1,    -1,  2356,    -1,    -1,
    2359,    -1,    -1,  2996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   319,    -1,    -1,    -1,    -1,  2376,  2377,    -1,
      -1,    -1,    -1,    -1,    -1,  2384,    -1,    -1,    -1,    -1,
      -1,  3024,    -1,    -1,  2393,    -1,    -1,  2501,    -1,    -1,
      -1,  2400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2777,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3062,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3106,    -1,    -1,    -1,    -1,    -1,  2842,
      -1,    -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   820,   445,    -1,
      -1,    -1,    -1,   826,    -1,  2504,    -1,    -1,    -1,    -1,
    2614,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3159,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   857,    -1,   483,    -1,    -1,    -1,
      -1,    -1,   489,    -1,  3177,    -1,   493,   494,   495,   496,
     497,    -1,  2551,   500,   501,   502,    -1,    -1,    -1,    -1,
     507,   508,    -1,    -1,  2927,    -1,  3199,    -1,    -1,    -1,
      -1,  2934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   909,    -1,    -1,    -1,
      -1,    -1,    -1,   916,    -1,    -1,    -1,  2596,    -1,    -1,
      -1,  2964,  2965,  2966,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,
    3263,    -1,    -1,  2996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2757,  2758,  2759,    -1,    -1,    -1,    -1,
      -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2688,
      -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,    -1,  3062,
      -1,    -1,    -1,  1026,    -1,    -1,    -1,    -1,    -1,  1032,
      -1,    -1,    -1,  1036,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1062,
      -1,    -1,    -1,  3106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,    -1,
      -1,    -1,    -1,  2887,  2888,    -1,  2890,  3420,    -1,  3422,
      -1,    -1,    -1,    -1,    -1,    -1,  3159,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3445,    -1,  3177,    -1,    -1,    -1,    -1,  3452,
      -1,  3454,    -1,    -1,    -1,    -1,    -1,  2931,    -1,  2933,
      -1,    -1,    -1,    -1,    -1,    -1,  3199,    -1,    -1,    -1,
      -1,    -1,    -1,  2842,    -1,    -1,    -1,  3480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1200,    -1,    -1,
      -1,    -1,    -1,    -1,  1207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,
    3263,    -1,    -1,    -1,    -1,  1228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3029,    -1,    -1,  2927,    -1,
      -1,    -1,    -1,    -1,  1257,  2934,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3063,
      -1,    -1,    -1,    -1,    -1,  2964,  2965,  2966,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3080,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3094,    -1,    -1,    -1,    -1,    -1,    -1,  2996,    -1,    -1,
    1323,    -1,    -1,  3107,    -1,    -1,    -1,    -1,  3641,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3024,    -1,    -1,    -1,    -1,
      -1,  3394,    -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,
    3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3420,  1381,  3422,
      -1,    -1,    -1,  3062,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3445,    -1,  1407,    -1,    -1,    -1,    -1,  3452,
      -1,  3454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3210,  3106,    -1,    -1,
      -1,    -1,  1435,    -1,    -1,    -1,    -1,  3480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1462,
    1463,    -1,  1465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1482,
    3159,    -1,    -1,    -1,    -1,    -1,  3799,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3810,  3177,    -1,
      -1,    -1,    -1,    -1,  3288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1533,    -1,    -1,    -1,  3318,  3848,    -1,  3850,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1565,    -1,    -1,    -1,  1569,  1570,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3905,    -1,    -1,    -1,    -1,    -1,  3641,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3421,    -1,    -1,
    1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1652,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,
    1673,    -1,    -1,    -1,    -1,    -1,    -1,  1680,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3394,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4041,    -1,
    4043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3420,    -1,  3422,    -1,  1748,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3799,    -1,    -1,  3543,
      -1,    -1,  1765,    -1,    -1,    -1,  3445,  3810,    -1,    -1,
      -1,    -1,    -1,  3452,    -1,  3454,    -1,    -1,    -1,  1782,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3578,    -1,    -1,  1800,    -1,    -1,
      -1,  3480,    25,    -1,    -1,  3848,    -1,  3850,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      43,    44,  1825,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,  3905,    86,    -1,    -1,    -1,    -1,    -1,  1872,
      -1,  1874,    -1,    -1,    -1,    -1,    -1,  1880,    -1,    -1,
    1883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     133,    -1,    -1,    -1,    -1,    -1,    -1,  3701,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,  4242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,    -1,    -1,  4256,    -1,    -1,    -1,    -1,  3732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3744,    -1,  3641,    -1,  1967,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,  4041,    -1,
    4043,    -1,  2005,  2006,    -1,    -1,    -1,    -1,    -1,  3793,
    2013,    -1,    -1,  2016,    -1,    -1,  2019,   240,    -1,  3803,
      -1,    -1,    -1,    -1,  2027,  2028,    -1,    -1,    -1,    -1,
      -1,    -1,  2035,    -1,    -1,  2038,  2039,  2040,  2041,   262,
      -1,    -1,    -1,    -1,    -1,  2048,  2049,    -1,  2051,    -1,
    2053,    -1,    -1,  2056,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4379,    -1,    -1,  2072,
    2073,    -1,   295,    -1,  2077,   298,    -1,    -1,  2081,    -1,
      -1,    -1,  2085,    -1,  2087,  2088,  2089,  2090,  2091,  2092,
    2093,  2094,  2095,    -1,  2097,    -1,   319,    -1,    -1,    -1,
    2103,    -1,    -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   390,    -1,  3848,
      -1,  3850,  2175,    -1,    -1,    -1,    -1,    -1,    -1,  3963,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1228,    -1,    -1,    -1,    -1,    -1,  4242,
      -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,    -1,   432,
      -1,    -1,    -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   445,    -1,    -1,    -1,  3905,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     483,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,
     493,   494,   495,   496,   497,    -1,    -1,   500,   501,   502,
    4064,    -1,    -1,    -1,   507,    -1,  2289,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3980,    -1,    -1,    -1,    -1,  2309,    -1,    -1,    -1,
      -1,  2314,  2315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4041,    -1,  4043,    -1,    -1,    -1,    -1,  4153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2438,    -1,  2440,    -1,    25,
      -1,    -1,  4226,    -1,    -1,    -1,  4230,  4231,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,  2501,    -1,
      86,    -1,    -1,    -1,    -1,  4289,    -1,    -1,    -1,  2512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2559,    -1,    -1,    -1,
      -1,    -1,    -1,  4242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,
    2603,    -1,    -1,    -1,    -1,   106,    -1,    -1,  1643,    -1,
      -1,  2614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2633,  2634,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,    -1,    -1,  1680,    -1,    -1,    -1,    -1,
      -1,    -1,   153,    -1,   240,   156,    -1,    -1,    -1,    -1,
    2663,  2664,   163,    -1,    -1,  2668,   167,    -1,  1703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,  2680,  2681,  2682,
    2683,    -1,    -1,    -1,    -1,    -1,    -1,   188,    -1,  2692,
      -1,    -1,  2695,    -1,  2697,    -1,    -1,    -1,    -1,    -1,
    4379,    -1,    -1,   204,  2707,  2708,    -1,  2710,    -1,   295,
      -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2723,    -1,  2725,    -1,    -1,    -1,  2729,    -1,    -1,    -1,
    1765,    -1,    -1,   319,    -1,    -1,   237,    -1,    -1,    -1,
      -1,    -1,  2745,    -1,    -1,    -1,    -1,  1782,    -1,    -1,
      -1,    -1,  2755,    -1,  2757,  2758,  2759,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1800,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2781,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,    -1,    -1,
    1825,    -1,    -1,    -1,    -1,    -1,  2799,    -1,    -1,    -1,
      -1,  2804,    -1,    -1,   390,    -1,    -1,    -1,  2811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1880,   432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2859,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2887,  2888,    -1,  2890,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,    -1,    -1,
      -1,   402,    -1,   489,    -1,    -1,    -1,   493,   494,   495,
     496,   497,    -1,    -1,   500,   501,   502,   503,    -1,    -1,
      -1,   507,    -1,    -1,    -1,    -1,    -1,    -1,  2931,    -1,
    2933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3029,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2072,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3125,    -1,    -1,    -1,  3129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,
      -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   659,   660,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3207,    -1,   707,  3210,    -1,    -1,
      -1,    -1,    -1,  3216,    -1,    -1,    -1,    -1,    -1,  3222,
      -1,  3224,    -1,    -1,    -1,    -1,  3229,  3230,    -1,    -1,
    3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,
      -1,    -1,    -1,  3246,  3247,    -1,    -1,  1228,    -1,    -1,
      -1,  3254,    -1,    -1,    -1,    -1,  3259,    -1,    -1,    -1,
      -1,    -1,  3265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3275,    -1,  2309,  3278,    -1,  3280,    -1,  2314,
    2315,    -1,    -1,    -1,    -1,  3288,  3289,  3290,  3291,    -1,
    2325,    -1,  3295,    -1,    -1,  3298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3308,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3316,    -1,  3318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   833,    -1,   835,    -1,   837,    -1,   839,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   858,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   872,   873,    -1,    -1,    -1,   877,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,    -1,    -1,
      -1,   892,    -1,   894,    -1,    -1,    -1,    -1,    -1,    -1,
    1381,    -1,    -1,    -1,    -1,  2440,    -1,    -1,    -1,   910,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3421,    -1,
      -1,   922,    -1,    -1,   925,    -1,   927,    -1,   929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   942,   943,   820,    -1,    -1,    -1,    -1,    -1,   826,
      -1,    -1,    -1,    -1,    -1,    -1,   957,    -1,   959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2501,    -1,   969,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   989,   990,
      -1,    -1,    -1,    -1,    -1,   996,    -1,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3525,    -1,    -1,    -1,    -1,  1028,    -1,    -1,
      -1,    -1,   909,    -1,    -1,    -1,    -1,    -1,    -1,   916,
    3543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3578,  3579,  3580,    -1,  2614,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3603,    -1,    -1,    -1,    -1,  3608,    -1,    -1,  3611,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1131,    -1,  1133,    -1,    -1,    -1,  1137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1026,
      -1,    -1,  3655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1062,    -1,    -1,  3691,  1190,
      -1,    -1,    -1,    -1,    -1,  3698,  3699,    -1,  3701,  1680,
      -1,    -1,  1203,  3706,  3707,    -1,    -1,    -1,  3711,  3712,
      -1,  1212,    -1,    -1,  3717,  3718,    -1,  1218,  3721,    -1,
      -1,    -1,  1703,    -1,    -1,    -1,    -1,    -1,  1229,  3732,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1765,    -1,    -1,    -1,    -1,    -1,
    3793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3803,  1782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1800,
      -1,    -1,    -1,  1200,    -1,    -1,    -1,    -1,    -1,    -1,
    1207,    -1,    -1,    -1,    -1,  1336,    -1,  1338,    -1,    -1,
    1341,    -1,  1343,    -1,  1825,  1346,  1347,  1348,    -1,    -1,
      -1,  1228,  2887,  2888,    -1,  2890,    -1,    -1,  1359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1373,    -1,  1375,    -1,    -1,    -1,    -1,    -1,
    1257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3895,    -1,    -1,    -1,  2931,    -1,  2933,  1880,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3943,    -1,    -1,    -1,    -1,    -1,  1323,    -1,    -1,    -1,
      -1,  3954,    -1,    -1,    -1,  3958,    -1,    -1,    -1,    -1,
    3963,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3985,    -1,    -1,    -1,  3989,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3029,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1381,    -1,  4009,  4010,    -1,    -1,
    4013,    -1,    -1,    -1,    -1,    -1,    -1,  4020,  4021,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3063,    -1,
    1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4047,  3080,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,  1435,  3094,
      -1,  4064,    -1,    -1,  4067,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1462,  1463,    -1,  1465,    -1,
      -1,  2072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4103,    -1,    -1,    -1,    -1,  1482,    -1,  1608,    -1,  3144,
    1611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1619,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1637,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4151,    -1,
    4153,    -1,    -1,    -1,    -1,    -1,  1533,    -1,    -1,    -1,
      -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3210,    -1,  4180,  4181,    -1,
    4183,    -1,  4185,    -1,    -1,    -1,    -1,    -1,  1565,    -1,
      -1,    -1,  1569,  1570,  3229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,
    4223,    -1,    -1,  4226,    -1,    -1,    -1,  4230,  4231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3288,    -1,    -1,    -1,    -1,    -1,    -1,
    4263,    -1,    -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4289,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1680,    -1,    -1,  4309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1826,  1703,    -1,  2309,    -1,
      -1,    -1,    -1,  2314,  2315,    -1,    -1,  1838,    -1,    -1,
      -1,    -1,    -1,    -1,  2325,    -1,    -1,    -1,    -1,    -1,
    4353,    -1,    -1,    -1,    -1,    -1,    -1,  4360,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4376,  4377,    -1,    -1,    -1,    -1,    -1,
      -1,  1882,    -1,  4386,    -1,  1886,  3421,    -1,  1765,    -1,
      -1,    -1,    -1,    -1,  1895,    -1,  1897,    -1,  1899,    -1,
      -1,    -1,    -1,  1904,    -1,  1782,    -1,    -1,    -1,    -1,
    4413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4423,    -1,    -1,  1800,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1937,    -1,  1939,    -1,
      -1,    -1,  1943,    -1,  1945,    -1,    -1,  1948,  1825,    -1,
      -1,  1952,  1953,    -1,    -1,    -1,    -1,    -1,    -1,  2440,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4486,    -1,    -1,    -1,    -1,    -1,    -1,
    1228,    -1,    -1,    -1,    -1,  1872,    -1,  1874,    -1,    -1,
      -1,    -1,    -1,  1880,    -1,    -1,  1883,     5,  3543,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2501,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,  3578,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
    1967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1228,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2005,  2006,
      -1,    -1,    -1,  2614,    -1,   133,  2013,    -1,    -1,  2016,
      -1,    -1,  2019,  1381,    -1,    -1,    -1,    -1,    -1,    -1,
    2027,  2028,    -1,    -1,    -1,    -1,    -1,    -1,  2035,    -1,
      -1,  2038,  2039,  2040,  2041,    -1,  3701,    -1,    -1,    -1,
      -1,  2048,  2049,    -1,  2051,    -1,  2053,  3712,    -1,  2056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2072,  2073,    -1,    -1,    -1,
    2077,    -1,    -1,    -1,  2081,    -1,    -1,   205,  2085,    -1,
    2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,    -1,
    2097,    -1,   220,    -1,    -1,    -1,  2103,    -1,    -1,  2106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    -1,    -1,  2246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1381,    -1,    -1,    -1,  3793,    -1,
      -1,    -1,  2263,    -1,   262,    -1,    -1,  2268,  3803,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2278,    -1,    -1,
      -1,    -1,    -1,    -1,  2285,    -1,    -1,    -1,    -1,    -1,
    2291,    -1,    -1,    -1,    -1,    -1,  2297,   295,  2175,    -1,
     298,  2302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,    -1,    -1,    -1,  2328,  2329,  2330,
    2331,    -1,    -1,    -1,  2335,  2336,    -1,    -1,    -1,  2340,
      -1,    -1,  2343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2360,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2370,
      -1,  2372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2381,  2382,  2383,    -1,  2385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   390,  2394,  2395,    -1,    -1,    -1,    -1,    -1,
      -1,  2402,  2403,    -1,    -1,  1643,  2887,  2888,    -1,  2890,
      -1,    -1,  2289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,
      -1,    -1,  2309,    -1,   432,    -1,    -1,  2314,  2315,    -1,
      -1,    -1,  1680,    -1,    -1,    -1,    -1,   445,  2325,    -1,
    2931,    -1,  2933,    -1,  3989,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,    -1,    -1,  1703,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   483,    -1,    -1,    -1,    -1,
      -1,   489,    -1,    -1,    -1,   493,   494,   495,   496,   497,
      -1,    -1,   500,   501,   502,   503,    -1,    -1,    -1,   507,
      -1,    -1,    -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,
      -1,  3002,    -1,    -1,    -1,    -1,    -1,  1765,    -1,  4064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1782,    -1,    -1,    -1,  3029,    -1,
      -1,    -1,    -1,  1680,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2438,  1800,  2440,    -1,  1026,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2575,    -1,  1703,    -1,    -1,    -1,
      -1,    -1,  3063,    -1,    -1,    -1,    -1,  1825,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3080,
      -1,  1062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3094,    -1,    -1,    -1,    -1,  4153,  2620,
      -1,    -1,    -1,    -1,  2501,    -1,  3107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2512,    -1,    -1,  1765,    -1,
      -1,    -1,  1880,    -1,    -1,  2522,  4181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1782,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1800,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4226,    -1,    -1,    -1,  4230,  4231,    -1,  1825,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2603,    -1,    -1,  3210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2614,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3229,    -1,
      -1,    -1,    -1,  1880,    -1,    -1,  2633,  2634,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2663,  2664,    -1,    -1,
      -1,  2668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2680,  2681,  2682,  2683,  3288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2692,    -1,    -1,  2695,    -1,
    2697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2707,  2708,    -1,  2710,  2072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2843,  2844,    -1,    -1,  2723,    -1,  2725,    -1,
      -1,    -1,  2729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2745,    -1,
      -1,    -1,    -1,  2874,    -1,    -1,    -1,    -1,  2755,    -1,
    2757,  2758,  2759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2781,    -1,    -1,  2908,  2909,  2910,
    2911,    -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2799,    -1,    -1,    -1,    -1,  2804,    -1,    -1,
      -1,    -1,    -1,    -1,  2811,    -1,    -1,    -1,    -1,    -1,
    3421,    -1,    -1,    -1,    -1,  2072,  1407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2992,    -1,    -1,    -1,    -1,  2997,    -1,    -1,    -1,
      -1,  1462,  1463,    -1,  1465,    -1,    -1,    -1,    -1,    -1,
    2887,  2888,    -1,  2890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2931,    -1,  2933,    -1,    -1,    -1,
      -1,    -1,  3543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2309,  1533,    -1,    -1,    -1,  2314,  2315,    -1,    -1,
    3081,  3082,    -1,    -1,    -1,    -1,    -1,  2325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3578,    -1,    -1,
      -1,    -1,    -1,    -1,  1565,    -1,    -1,    -1,  1569,  1570,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3029,    -1,    -1,    -1,    -1,  3158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2309,    -1,    -1,    -1,  3063,  2314,  2315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2325,    -1,
      -1,    -1,  2440,  3080,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,    -1,
    3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3107,  3712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,
      -1,    -1,  3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3138,    -1,  2501,    -1,    -1,    -1,  3144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3793,  2440,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3207,    -1,    -1,  3210,    -1,    -1,    -1,    -1,    -1,  3216,
      -1,    -1,    -1,    -1,    -1,  3222,    -1,  3224,    -1,    -1,
      -1,    -1,  3229,  3230,    -1,    -1,  3233,  3234,  3235,  3236,
    3237,  3238,  3239,  3240,  3241,  3242,    -1,    -1,    -1,  3246,
    3247,    -1,    -1,    -1,  2501,    -1,  2614,  3254,    -1,    -1,
      -1,    -1,  3259,    -1,    -1,    -1,    -1,    -1,  3265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,
      -1,  3278,    -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,
    3411,  3288,  3289,  3290,  3291,    -1,    -1,    -1,  3295,    -1,
      -1,  3298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3316,
      -1,  3318,    -1,    -1,    -1,    -1,    -1,  3448,    -1,    -1,
      -1,    -1,  3453,    -1,  3455,  3456,  3457,  3458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3963,    -1,    -1,    -1,    -1,  2614,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,
      -1,  3388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,
    3521,  3522,    -1,  3524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2035,    -1,    -1,  2038,    -1,    -1,
    2041,    -1,    -1,  4064,    -1,    -1,    -1,  2048,  2049,    -1,
      -1,    -1,  2053,    -1,  3595,  2056,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2073,    -1,    -1,  3616,  2077,    -1,    -1,    -1,
    2081,    -1,    -1,    -1,  2085,    -1,  2087,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,    -1,  2097,    -1,    -1,    -1,
      -1,    -1,  2103,    -1,    -1,  2106,    -1,    -1,  3525,  2887,
    2888,    -1,  2890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3543,    -1,    -1,    -1,
      -1,    -1,  4153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2931,    -1,  2933,    -1,    -1,    -1,    -1,
    4181,  3578,  3579,  3580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3603,    -1,    -1,    -1,
      -1,  3608,    -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4226,    -1,    -1,    -1,  4230,
    4231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2887,  2888,    -1,  2890,  3002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3655,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3800,
      -1,    -1,    -1,    -1,  2931,    -1,  2933,    -1,    -1,    -1,
    3811,    -1,    -1,    -1,  3691,    -1,    -1,    -1,    -1,    -1,
      -1,  3698,  3699,    -1,  3701,  3063,    -1,    -1,  2289,  3706,
    3707,    -1,    -1,    -1,  3711,  3712,    -1,    -1,    -1,    -1,
    3717,  3718,  3080,    -1,  3721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3732,  3094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3744,    -1,  3107,
      -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3772,    -1,    -1,    -1,    -1,
      -1,    -1,  3029,    -1,    -1,    -1,  3144,    -1,    -1,    -1,
    3911,    -1,    -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,
      -1,    -1,  3933,    -1,    -1,    -1,  3063,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3080,    -1,    -1,    -1,    -1,  1551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,    -1,
      -1,  3972,  3210,    -1,    -1,    -1,    -1,  2438,    -1,    -1,
    3107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3254,  3144,  3895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2522,    -1,    -1,    -1,    -1,  3943,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3954,    -1,    -1,
      -1,  3958,    -1,  3210,    -1,    -1,  3963,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2559,    -1,
      -1,    -1,  3229,    -1,    -1,    -1,    -1,    -1,  3985,    -1,
      -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,
      -1,    -1,  4009,  4010,    -1,    -1,  4013,    -1,    -1,    -1,
      -1,    -1,  2603,  4020,  4021,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4159,    -1,
      -1,  3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4047,    -1,    -1,  2634,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3421,    -1,    -1,    -1,  4064,    -1,    -1,
    4067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2680,
      -1,  2682,  2683,    -1,    -1,    -1,  4103,    -1,    -1,    -1,
      -1,  2692,    -1,    -1,  2695,    -1,  2697,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2723,    -1,  2725,    -1,    -1,    -1,  2729,    -1,
      -1,    -1,    -1,    -1,  4151,    -1,  4153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3421,    -1,  2757,  2758,  2759,    -1,
      -1,    -1,    -1,  4180,  4181,  3543,  4183,    -1,  4185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2781,    -1,    -1,    -1,    -1,    -1,    -1,  1920,    -1,  2790,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2799,    -1,
    3578,    -1,    -1,  2804,    -1,    -1,  4223,  4348,    -1,  4226,
    2811,    -1,    -1,  4230,  4231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4263,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4289,    -1,    -1,    -1,  3543,    -1,  2011,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2034,    -1,    -1,    -1,    -1,  2039,    -1,    -1,    -1,
      -1,  3578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3701,    -1,  2058,  2059,    -1,    -1,  2062,
      -1,    -1,    -1,    -1,  3712,    -1,  4353,    -1,    -1,    -1,
      -1,    -1,    -1,  4360,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4376,
    4377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2101,  4386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,
      -1,  2154,    -1,    -1,    -1,  3803,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,    -1,    -1,
      -1,  2184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4477,  2194,    -1,    -1,  2197,    -1,    -1,    -1,    -1,  4486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3803,  3138,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3207,    -1,    -1,    -1,
      -1,  3989,    -1,    -1,    -1,  3216,    -1,    -1,    -1,    -1,
      -1,  3222,    -1,  3224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3246,  3247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3275,    -1,    -1,  3278,    -1,  3280,
      -1,    -1,    -1,    -1,    -1,    -1,  4064,    -1,  3289,    -1,
      -1,    -1,    -1,    -1,  3295,    -1,  3963,  3298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3316,    -1,  3318,    -1,    -1,
      -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4064,    -1,    -1,
      -1,    -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4226,    -1,
      -1,    -1,  4230,  4231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2637,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2659,    -1,  2661,    -1,
    2663,  2664,  2665,    -1,    -1,  2668,    -1,    -1,    -1,  2672,
      -1,    -1,    -1,    -1,    -1,    -1,  2679,    -1,    -1,    -1,
      -1,  2684,    -1,    -1,    -1,    -1,  2689,    -1,    -1,  4226,
      -1,  2694,    -1,  4230,  4231,    -1,    -1,    -1,    -1,    -1,
    2703,    -1,    -1,    -1,  2707,  2708,  2709,    -1,  3579,  3580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2721,    -1,
      -1,    -1,    -1,    -1,    -1,  2728,    -1,  2730,  2731,  2732,
    2733,  2734,  2735,  2736,  2737,  2738,  2739,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3655,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3698,  3699,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3711,    -1,    -1,    -1,    -1,    -1,  3717,  3718,    -1,    -1,
    3721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3732,    -1,    -1,    -1,    -1,  2869,    -1,    -1,    -1,
      -1,    -1,    -1,  3744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3772,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3895,    -1,    -1,  3030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,
      -1,    -1,  4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3227,  3228,    -1,  3230,    -1,    -1,
    3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,
    3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3266,    -1,    -1,  3269,    -1,  3271,    -1,
      -1,    -1,    -1,  3276,  3277,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3290,  3291,  3292,
      -1,  3294,    -1,    -1,  3297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4223,    -1,    -1,    -1,  3359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4376,  4377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3656,    -1,    -1,  3659,  3660,  3661,    -1,
      -1,  3664,    -1,    -1,    -1,    -1,  3669,  3670,  3671,  3672,
    3673,  3674,  3675,  3676,  3677,  3678,  3679,  3680,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3705,  3706,  3707,  3708,    -1,  3710,    -1,    -1,
      -1,  3714,  3715,  3716,    -1,    -1,  3719,    -1,    -1,  3722,
      -1,    -1,    -1,    -1,    -1,    -1,  3729,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3741,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3897,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
      -1,    -1,    -1,   118,   119,   120,   121,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3940,  3941,   134,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,  3981,    -1,
      -1,    -1,  3985,   178,   179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3997,    -1,  3999,    -1,    -1,    -1,
      -1,  4004,  4005,  4006,    -1,    -1,  4009,  4010,  4011,  4012,
     205,  4014,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
     215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
      -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,
      -1,    -1,  4045,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,
     265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   279,   280,    -1,   282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,   304,
      -1,    -1,  4115,    -1,    -1,    -1,    -1,   312,    -1,    -1,
      -1,    -1,   317,    -1,    -1,   320,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,   336,   337,   338,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   348,    -1,   350,    -1,    -1,    -1,    -1,
      -1,    -1,  4165,    -1,    -1,    -1,    -1,   362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4179,  4180,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
    4193,  4194,  4195,    -1,  4197,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,   403,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,   431,    -1,    -1,    -1,
     435,    -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   509,    -1,    -1,    -1,    -1,    -1,
    4323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4352,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,  4416,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4456,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
       3,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,   508,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   134,    -1,    -1,   137,    -1,   139,   140,   141,    -1,
      -1,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   156,    -1,   158,    -1,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,
      -1,    -1,   175,    -1,   177,   178,   179,   180,    -1,    -1,
      -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,   192,
      -1,   194,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,
      -1,   204,   205,    -1,    -1,    -1,    -1,    -1,   211,   212,
     213,    -1,   215,    -1,    -1,   218,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,   232,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,   260,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   279,   280,    -1,   282,
      -1,   284,   285,    -1,    -1,    -1,    -1,   290,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,   302,
     303,   304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,    -1,   316,   317,    -1,    -1,   320,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,   337,   338,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   348,    -1,   350,    -1,   352,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
     363,    -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,
      -1,   374,    -1,    -1,    -1,    -1,   379,   380,    -1,   382,
     383,    -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,   399,   400,    -1,   402,
     403,    -1,   405,    -1,    -1,    -1,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   431,    -1,
      -1,    -1,   435,    -1,   437,    -1,   439,    -1,   441,    -1,
      -1,    -1,   445,    -1,    -1,   448,    -1,   450,    -1,    -1,
     453,    -1,    -1,    -1,   457,   458,    -1,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   469,    -1,    -1,    -1,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,   502,
      26,    27,    -1,   506,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,
      -1,    -1,   118,   119,   120,   121,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   279,   280,    -1,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   302,   303,   304,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,
      -1,   317,    -1,    -1,   320,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,   337,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   348,    -1,   350,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   400,    -1,    -1,   403,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   430,   431,    -1,    -1,    -1,   435,
      -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,   509,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,   502,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,    -1,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,    -1,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,    -1,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
      -1,   280,   281,   282,    -1,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,    -1,   347,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,    -1,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,    -1,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   483,   484,   485,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   503,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,    -1,    -1,    -1,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,   162,   163,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,    -1,   280,   281,   282,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,    -1,   347,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,    -1,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,    -1,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,
     484,   485,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   503,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,    -1,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,    -1,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,    -1,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,    -1,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,    -1,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,   500,    15,    16,    -1,   504,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,   500,   501,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,   502,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,    -1,
      -1,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,    -1,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,    -1,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,    -1,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,    -1,    -1,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,   141,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,    -1,
     329,   330,   331,   332,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   502,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,   329,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   502,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,    -1,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   502,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   502,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,    -1,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,    -1,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,    -1,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
      -1,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     503,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,   501,   502,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   502,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
      -1,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,    -1,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   502,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,    -1,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,    -1,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
      -1,    -1,    -1,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,    -1,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   502,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,    -1,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,    -1,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     502,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   502,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   502,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
      -1,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,    -1,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   502,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,   214,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    -1,   433,   434,    -1,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,   484,   485,
      -1,    -1,    -1,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,    -1,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,    -1,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
      -1,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
      -1,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,    -1,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,    -1,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,    -1,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,    -1,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,    -1,
      -1,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
      -1,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,     5,     6,     7,     8,     9,    10,    11,    12,
      13,   495,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,    -1,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,    -1,   280,   281,   282,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,    -1,   347,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,    -1,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,    -1,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     483,   484,   485,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   495,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,    -1,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,    -1,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   495,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   495,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
      -1,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,    -1,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,    -1,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,    -1,   144,   145,   146,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,    -1,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,    -1,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,    -1,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,    -1,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,   141,    -1,
      -1,   144,   145,   146,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,   227,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,    -1,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
      -1,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,    -1,    -1,    -1,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,    -1,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,     4,   489,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
      -1,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,    -1,    -1,    -1,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,    -1,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,   133,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,   162,   163,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,    -1,    -1,    -1,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,   162,   163,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,    -1,   280,   281,   282,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,    -1,   347,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,    -1,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,    -1,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,
     484,   485,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,    -1,    -1,   131,   132,
     133,   134,   135,    -1,   137,   138,   139,   140,    -1,    -1,
      -1,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,   160,   161,   162,
     163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
      -1,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
      -1,    -1,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,    -1,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,    -1,   280,   281,   282,
      -1,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,   325,    -1,   327,    -1,    -1,   330,   331,   332,
      -1,    -1,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,    -1,   347,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,    -1,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,    -1,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     483,   484,   485,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,   133,   134,   135,    -1,   137,   138,   139,   140,    -1,
      -1,    -1,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
     162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,    -1,   280,   281,
     282,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,    -1,   347,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,    -1,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,    -1,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   483,   484,   485,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,    -1,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
      -1,    -1,    -1,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,   160,
     161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,    -1,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,    -1,    -1,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,    -1,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,    -1,   280,
     281,   282,    -1,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,    -1,   327,    -1,    -1,   330,
     331,   332,    -1,    -1,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,    -1,   347,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,    -1,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,    -1,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
      -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   483,   484,   485,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,   133,   134,   135,    -1,   137,   138,   139,
     140,    -1,    -1,    -1,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,    -1,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,    -1,   347,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,    -1,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,    -1,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   483,   484,   485,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
      -1,    -1,   131,   132,   133,   134,   135,    -1,   137,   138,
     139,   140,    -1,    -1,    -1,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,    -1,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,    -1,    -1,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,    -1,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
      -1,   280,   281,   282,    -1,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,    -1,   327,    -1,
      -1,   330,   331,   332,    -1,    -1,    -1,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,    -1,   347,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,    -1,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,    -1,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,    -1,    -1,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   483,   484,   485,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,    -1,    -1,    -1,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,    -1,   280,   281,   282,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,    -1,   347,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,    -1,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,    -1,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   483,   484,   485,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,    -1,    -1,   135,    -1,
     137,   138,   139,   140,    -1,    -1,    -1,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,    -1,    -1,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,    -1,    -1,
     217,    -1,   219,    -1,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,    -1,    -1,    -1,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,    -1,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,    -1,    -1,   321,    -1,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,    -1,
     347,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,    -1,   401,   402,   403,   404,    -1,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
      -1,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,    -1,    -1,    -1,    -1,   434,    -1,   436,
      -1,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
      -1,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,    -1,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,   232,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,   232,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,   329,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,    -1,
      -1,    -1,   339,   340,   341,   342,   343,    -1,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,    -1,   381,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,    -1,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,
      -1,   118,   119,   120,   121,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,   215,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,
      -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   279,   280,    -1,   282,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   302,   303,   304,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,
     317,    -1,    -1,   320,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
     337,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   348,    -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   400,    -1,    -1,   403,    -1,   405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   430,   431,    -1,    -1,    -1,   435,    -1,
     437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,   118,   119,
     120,   121,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,   215,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,
      -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   279,
     280,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,   303,   304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,    -1,    -1,    -1,    -1,   317,    -1,    -1,
     320,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,   337,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,
     350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,   403,    -1,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,   431,    -1,    -1,    -1,   435,    -1,   437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   114,    -1,    -1,    -1,   118,   119,   120,   121,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   279,   280,    -1,   282,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
     303,   304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,    -1,    -1,   317,    -1,    -1,   320,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,   337,   338,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   348,    -1,   350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,
     403,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   431,    -1,
      -1,    -1,   435,    -1,   437,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,
      -1,    -1,   118,   119,   120,   121,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   279,   280,    -1,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   302,   303,   304,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,
      -1,   317,    -1,    -1,   320,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,   337,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   348,    -1,   350,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   400,    -1,    -1,   403,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   430,   431,    -1,    -1,    -1,   435,
      -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,   118,
     119,   120,   121,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     279,   280,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,   317,    -1,
      -1,   320,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   335,   336,   337,   338,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,
      -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,    -1,   403,    -1,   405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,   431,    -1,    -1,    -1,   435,    -1,   437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,   131,   132,    -1,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,    -1,   144,   145,   146,
     147,   148,   149,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,    -1,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,    -1,    -1,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,    -1,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,    -1,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,    -1,    -1,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,    71,   484,   485,    -1,
      -1,    -1,    -1,    -1,    79,    80,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,   502,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,    -1,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,    -1,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,   502,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,    -1,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,   148,   149,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,    -1,    -1,    -1,    -1,
      -1,    71,    72,   493,   494,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,    -1,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,   148,   149,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,    -1,    -1,    -1,    -1,
      -1,    71,    72,   493,   494,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,    -1,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,   148,   149,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,    -1,    -1,    -1,    -1,
      -1,    71,    -1,   493,   494,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,    -1,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,   148,   149,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,   485,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,    -1,    -1,   131,   132,    -1,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,    -1,   144,
     145,   146,   147,   148,   149,    -1,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,    -1,   182,    -1,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,    -1,    -1,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,    -1,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,    -1,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
      -1,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,    -1,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,   148,   149,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,    71,   484,   485,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,    -1,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
     148,   149,    -1,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,    71,   484,   485,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,    -1,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,   148,   149,    -1,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,   162,   163,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,    71,   484,   485,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,    -1,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,   148,   149,    -1,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,   162,   163,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,    71,
     484,   485,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,    -1,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,   148,   149,    -1,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
     162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,    71,   484,   485,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,   131,   132,    -1,   134,   135,    -1,   137,   138,   139,
     140,   141,    -1,    -1,   144,   145,   146,   147,   148,   149,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
     160,   161,   162,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,    -1,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,    -1,    -1,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,    -1,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,    -1,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,    -1,    -1,
     330,   331,   332,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,    -1,    -1,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,    71,   484,   485,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,    -1,   131,   132,    -1,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,    -1,   144,   145,   146,   147,
     148,   149,    -1,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,    -1,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,    -1,    -1,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,    -1,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,    -1,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,    -1,   327,
      -1,    -1,   330,   331,   332,    -1,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,    -1,    -1,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,    71,   484,   485,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,    -1,    -1,   131,   132,    -1,   134,   135,
      -1,   137,   138,   139,   140,   141,    -1,    -1,   144,   145,
     146,   147,   148,   149,    -1,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,   160,   161,   162,   163,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,    -1,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,    -1,    -1,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,    -1,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
      -1,   327,    -1,    -1,   330,   331,   332,    -1,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,    -1,    -1,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,    71,   484,   485,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,   131,   132,    -1,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,    -1,
     144,   145,   146,   147,   148,   149,    -1,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,   160,   161,   162,   163,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,    -1,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,    -1,
      -1,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
      -1,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,    -1,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
     294,    -1,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,    -1,   327,    -1,    -1,   330,   331,   332,    -1,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,    -1,    -1,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,    71,
     484,   485,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,    -1,    -1,   131,
     132,    -1,   134,   135,    -1,   137,   138,   139,   140,   141,
      -1,    -1,   144,   145,   146,   147,   148,   149,    -1,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,   160,   161,
     162,   163,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,    -1,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,    -1,    -1,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,    -1,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,    -1,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,    -1,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,    -1,   327,    -1,    -1,   330,   331,
     332,    -1,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,    -1,
      -1,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   511,  1019,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   133,   205,   220,   240,
     262,   295,   298,   319,   390,   432,   445,   458,   483,   489,
     493,   494,   495,   496,   497,   500,   501,   502,   503,   505,
     506,   507,   508,   509,  1011,  1020,  1048,  1050,  1141,  1151,
    1152,  1154,  1160,  1161,  1049,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   114,   117,   118,   119,   120,   121,   122,
     134,   137,   139,   140,   141,   144,   146,   148,   156,   158,
     162,   168,   175,   177,   178,   179,   180,   186,   192,   194,
     198,   204,   205,   211,   212,   213,   215,   218,   220,   226,
     228,   232,   234,   243,   256,   257,   260,   263,   265,   268,
     269,   271,   279,   280,   282,   284,   285,   290,   299,   302,
     303,   304,   312,   316,   317,   320,   322,   335,   336,   337,
     338,   339,   348,   350,   352,   362,   363,   367,   369,   374,
     379,   380,   382,   383,   386,   392,   399,   400,   402,   403,
     405,   409,   417,   422,   430,   431,   435,   437,   439,   441,
     445,   448,   450,   453,   457,   458,   461,   469,   475,   476,
     477,   478,   479,   480,   481,   482,   502,   512,   513,   519,
     520,   522,   523,   524,   525,   526,   527,   528,   530,   531,
     535,   545,   547,   548,   551,   552,   553,   563,   564,   579,
     619,   620,   627,   633,   635,   637,   638,   639,   640,   649,
     653,   654,   655,   657,   658,   659,   673,   674,   675,   676,
     687,   693,   694,   697,   698,   699,   700,   701,   706,   708,
     711,   715,   716,   726,   727,   730,   735,   745,   764,   767,
     768,   769,   772,   775,   777,   779,   782,   785,   786,   787,
     794,   795,   797,   798,   799,   804,   806,   807,   811,   812,
     815,   816,   817,   819,   820,   821,   822,   824,   827,   828,
     833,   839,   842,   844,   849,   851,   855,   862,   866,   867,
     868,   869,   870,   871,   900,  1016,  1017,  1021,  1023,  1024,
    1041,  1042,  1043,  1044,  1055,  1057,  1061,  1062,  1063,  1064,
    1065,  1067,  1069,  1071,  1072,  1073,  1074,  1076,  1081,  1082,
    1086,  1087,  1096,  1098,  1099,  1100,  1103,  1108,  1111,  1116,
    1118,  1119,  1122,  1124,  1127,  1136,  1154,  1162,    73,  1044,
    1052,  1053,    14,    72,    91,    92,    93,    94,    95,    96,
      97,    98,   100,   101,   102,   110,   111,   113,   115,   116,
     117,   124,   125,   126,   127,   128,   131,   132,   135,   137,
     138,   139,   140,   144,   145,   146,   147,   149,   152,   153,
     154,   155,   156,   157,   159,   160,   161,   163,   172,   173,
     174,   175,   177,   180,   182,   184,   185,   186,   187,   188,
     190,   191,   192,   195,   196,   197,   198,   199,   201,   202,
     203,   205,   206,   208,   209,   210,   211,   213,   214,   217,
     219,   221,   223,   225,   229,   230,   231,   233,   236,   238,
     239,   241,   242,   244,   245,   246,   248,   249,   250,   251,
     252,   253,   255,   259,   260,   261,   267,   270,   272,   273,
     274,   275,   276,   277,   281,   284,   285,   286,   289,   290,
     291,   292,   293,   294,   296,   297,   299,   300,   301,   305,
     306,   307,   308,   309,   310,   311,   313,   315,   316,   318,
     321,   323,   324,   325,   327,   330,   331,   332,   340,   341,
     342,   343,   344,   345,   347,   349,   351,   352,   353,   355,
     356,   357,   358,   359,   360,   361,   363,   364,   365,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   378,
     379,   381,   382,   384,   385,   386,   387,   388,   389,   391,
     393,   394,   395,   396,   397,   399,   401,   402,   404,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   418,
     420,   421,   423,   424,   425,   426,   427,   428,   432,   434,
     436,   439,   440,   441,   442,   443,   444,   447,   448,   449,
     450,   453,   454,   455,   456,   460,   462,   463,   464,   467,
     470,   471,   472,   473,   474,   484,   485,  1012,  1014,  1015,
    1016,  1017,  1034,  1035,  1146,  1148,  1152,  1154,    29,   258,
    1097,     9,    13,    15,    28,    45,    46,    50,    51,    56,
      65,    67,    69,    70,    99,   133,   150,   164,   176,   181,
     240,   295,   298,   390,   457,   483,  1004,  1015,  1016,  1036,
    1083,  1084,  1126,  1127,  1128,  1132,  1137,  1138,  1139,  1148,
    1154,    99,   863,  1003,  1036,  1132,  1145,    14,   863,     5,
      25,    29,    35,    36,    43,    44,    99,   103,   104,   105,
     106,   107,   108,   109,   112,   123,   129,   130,   133,   136,
     142,   143,   150,   151,   158,   164,   165,   166,   167,   169,
     170,   171,   181,   183,   189,   193,   194,   200,   204,   207,
     216,   218,   222,   224,   227,   232,   235,   237,   247,   254,
     258,   262,   264,   266,   278,   283,   287,   288,   314,   319,
     326,   328,   329,   333,   334,   346,   354,   366,   377,   392,
     398,   406,   419,   422,   429,   432,   433,   438,   445,   446,
     451,   452,   457,   459,   465,   466,   468,   469,  1015,  1018,
    1128,  1129,  1130,  1134,  1135,  1136,  1137,  1139,    25,    35,
     133,   262,  1123,    38,    40,   314,  1056,   434,   471,   800,
      98,   155,   175,   181,   196,   224,   229,   235,   250,   274,
     330,   357,   381,   387,   393,   396,   422,   424,   428,   436,
     441,   451,   463,   634,  1084,   180,   800,    99,   863,   461,
     829,   328,   353,   800,   120,   570,   867,    98,   110,   130,
     151,   175,   181,   196,   224,   231,   235,   286,   330,   333,
     381,   387,   396,   424,   425,   427,   428,   436,   441,   446,
     451,   580,   690,   736,   746,  1004,  1025,  1026,  1027,  1036,
    1152,  1154,    14,    99,   352,  1003,  1036,  1040,   410,   863,
     227,    99,   347,   425,   427,   273,   773,   774,  1152,    98,
     110,   130,   155,   175,   196,   224,   229,   235,   250,   330,
     340,   381,   385,   387,   393,   396,   422,   424,   428,   436,
     441,   451,   463,   634,   702,   800,   508,  1066,  1130,   244,
    1040,   158,   180,   211,   461,   502,   828,   834,   842,   844,
     849,   855,   862,   866,  1021,    92,    99,   115,   219,   225,
     227,   247,   275,   305,   355,   368,   493,   494,   712,   713,
     863,  1011,  1013,  1146,  1148,    99,   158,   366,   392,   717,
     718,   719,  1132,   266,  1132,  1008,  1152,   422,   876,   115,
     225,   712,  1132,   434,  1040,   340,   175,   250,   421,   422,
     780,   386,  1132,    99,   133,   397,   430,   434,   457,   537,
    1015,  1016,  1126,  1131,  1137,  1139,  1154,    96,   232,   717,
     718,   353,   800,  1132,    99,   193,   878,     4,    14,   131,
     150,   152,   286,   301,   381,   387,   397,   430,   434,   474,
     536,   537,    99,   397,   430,   434,   537,   434,   329,   909,
    1001,  1132,   876,  1120,  1130,   495,  1132,   909,   911,   228,
     502,   830,   502,   997,   365,   872,   873,  1003,   867,   868,
     506,   829,   207,   264,   334,   445,   879,   880,   867,   869,
     870,   505,   117,   512,  1064,  1067,  1063,  1059,   506,  1068,
    1070,     5,    25,    35,   133,   197,   262,  1075,   176,   240,
     295,   298,   390,   483,   502,   939,   940,  1047,  1051,  1141,
      73,  1044,  1003,  1036,  1155,   181,  1025,    21,   452,   496,
    1040,  1040,  1155,   452,  1088,  1089,  1090,    25,   262,   262,
    1134,     7,    19,    20,    39,    42,   154,   194,  1125,  1125,
      16,  1064,  1009,  1017,  1126,  1129,  1132,  1133,  1137,  1138,
    1154,   704,  1132,  1004,   356,   704,   174,   725,  1009,  1012,
    1001,   323,    85,   138,   217,   489,   490,   491,   493,   494,
     495,   496,   497,   498,   771,   964,   965,  1132,  1012,  1003,
    1001,  1003,   909,  1003,   389,  1003,   704,   292,  1012,  1001,
     273,    34,   270,   361,   801,   802,   803,  1001,  1007,  1132,
      98,   130,   143,   151,   155,   175,   196,   229,   250,   274,
     330,   381,   385,   387,   393,   422,   424,   428,   436,   441,
     463,   634,   709,  1152,  1001,   432,  1009,  1003,   502,   436,
    1004,   704,   174,   425,   427,  1012,   425,   427,   138,   217,
     771,   372,  1012,   532,  1132,  1003,  1003,   389,  1003,   704,
     292,  1012,   393,   422,   463,   155,   250,   229,   385,   440,
     628,    85,  1028,  1029,   507,  1148,  1155,    99,  1040,  1154,
     864,   911,   544,  1014,  1152,   774,   242,  1009,  1003,   242,
     778,   242,  1004,   174,   242,  1009,   242,  1002,  1003,   138,
     217,   242,   771,   124,   242,  1002,   242,  1003,   242,  1003,
     242,  1003,   389,   242,  1003,   242,   292,  1002,   273,   242,
     703,   704,   502,   508,  1156,  1157,  1158,  1159,  1161,  1066,
      71,  1036,  1085,   502,   843,   580,   863,   834,   828,   835,
     836,   837,  1014,   829,  1013,   713,   714,    99,   713,   863,
    1013,   714,    99,   713,   863,  1013,   714,   714,   714,  1013,
    1011,  1011,   266,   452,  1090,  1091,  1165,  1166,   863,   714,
     356,   502,   502,   598,   598,   598,   328,   432,   505,   598,
    1001,   909,   910,   713,   863,   713,   863,   505,   796,  1152,
     227,   502,   840,   124,  1003,  1003,  1001,  1132,   114,   485,
     270,   504,   331,   331,   328,   227,  1152,   432,   328,    83,
      84,    85,    87,   107,   119,   121,   122,   129,   130,   133,
     134,   141,   165,   166,   167,   168,   169,   170,   171,   178,
     179,   197,   212,   215,   216,   220,   234,   262,   263,   265,
     279,   287,   288,   302,   304,   314,   319,   320,   322,   330,
     339,   348,   362,   383,   398,   405,   417,   430,   431,   435,
     437,   438,   446,   451,   458,   476,   477,   478,   479,   480,
     481,   482,   493,   494,   495,   502,   867,   920,   923,   926,
     927,   928,   930,   931,   932,   933,   936,   937,   941,   943,
     944,   962,   966,   985,   990,   998,   999,  1009,  1010,  1011,
    1132,  1144,  1146,  1148,  1149,  1150,  1151,  1152,   432,   489,
    1155,  1152,   432,   489,  1084,    99,   549,  1000,  1001,   397,
     536,   181,   543,  1152,   544,  1152,   114,   135,   536,   485,
     802,   331,   227,   432,   489,   114,   485,   270,  1165,   803,
     502,  1001,   495,   500,   504,   991,   992,   910,  1136,   108,
    1132,   399,   226,   228,   461,   825,   826,   828,   226,   831,
     181,   941,   995,   996,   872,   505,   502,   832,   503,   503,
    1001,    99,   193,   877,   877,   124,   877,   218,   222,   283,
     326,   883,   885,   886,   895,   897,   898,   879,   880,   997,
     506,  1058,   495,  1077,  1078,  1080,   508,   508,    25,   262,
     262,   432,   432,   432,   432,   502,   432,   494,   625,  1013,
    1045,  1151,   204,   108,  1032,   124,  1035,  1035,   266,  1090,
    1092,   266,  1090,  1091,  1092,   456,  1101,  1102,  1148,    14,
      37,    84,   493,   494,  1011,  1093,  1094,  1095,  1144,  1146,
    1150,  1151,  1152,  1153,   262,   268,  1003,   432,  1003,     6,
    1003,  1125,  1080,   502,   681,   992,   341,   370,   504,   705,
     341,   370,   399,   469,   514,   545,   546,   731,    95,   198,
     341,   399,   556,   472,   126,   157,   214,   245,   341,   370,
     378,   384,   391,   399,   407,   415,   464,   546,   758,   765,
     502,   747,    95,   198,   370,   529,    95,   101,   140,   191,
     198,   201,   252,   306,   341,   370,   374,   399,   554,   555,
     625,   704,   704,   502,   770,   504,   247,   370,   514,   521,
     341,   370,   125,   173,   249,   294,   296,   306,   340,   370,
     375,   399,   409,   554,   622,   623,   332,   341,   462,   643,
     651,   370,   399,   554,   341,   370,   374,   399,   149,   190,
     342,   426,   328,   341,   370,   399,   222,   370,   399,   514,
     546,   370,   399,   554,  1003,   506,   281,   329,   473,   505,
     801,   452,   823,   328,  1009,   502,  1003,  1009,   323,   138,
     217,   771,  1003,   389,  1003,   273,   704,   598,   412,   413,
     566,  1152,   502,   681,   682,   136,   119,   121,   122,   133,
     134,   178,   179,   220,   263,   265,   302,   304,   322,   362,
     400,   405,   430,   431,   458,   917,   919,   921,   923,   925,
     927,   928,   929,   931,   932,   936,   937,  1126,  1133,  1137,
    1138,  1154,  1003,   514,   108,   818,   472,   514,   704,   704,
     502,   677,   580,   514,   114,   533,   441,   650,   341,   636,
     149,   190,   342,   426,    97,   116,   660,   108,   677,   222,
     514,  1001,   614,  1001,  1001,   704,   148,   737,  1009,  1003,
     634,    74,  1030,  1132,   507,  1031,  1028,   120,   172,   259,
     306,   388,   452,   850,   212,   681,   127,   376,   557,   212,
     502,   212,   472,   212,   747,   212,   505,   242,   704,   242,
     704,   212,   770,  1002,   212,   212,   328,   212,   557,   212,
     149,   190,   342,   426,   212,   328,   212,   222,   242,   242,
     544,   212,   505,   557,   503,  1157,  1158,  1156,   505,   509,
     941,   969,  1089,  1164,  1165,   422,   864,   503,   505,   216,
     328,   438,   541,   544,   625,   838,   834,   714,   863,   714,
     863,  1166,  1167,   714,   863,   714,   863,  1167,   714,   863,
     863,   863,   714,    14,    37,  1140,  1143,  1148,   863,   502,
     599,   600,  1132,   599,    99,   175,   224,   229,   273,   274,
     387,   393,   422,   424,   720,  1000,  1002,   719,   181,   502,
     845,   866,   247,   505,   852,   863,   863,  1152,  1085,   917,
     972,   108,  1002,   223,   781,   781,   781,   281,  1132,   222,
     222,   720,  1002,   386,  1132,   502,   500,   867,   973,   460,
     934,   941,   989,   502,   934,   934,   502,   502,   502,   502,
     922,   922,   350,   867,   502,   502,   924,   502,   502,   502,
     502,   133,   134,   934,   941,   502,   922,   502,   502,   502,
     502,   502,   470,   488,   502,   938,   502,   938,   502,   502,
     867,   502,   502,   502,   502,   502,   502,   502,   941,   941,
     457,   867,   941,   969,   992,  1152,   134,   502,   935,   502,
    1152,    85,    88,   105,   108,   113,   118,   243,   247,   268,
     269,   282,   314,   317,   330,   333,   403,   489,   490,   491,
     493,   494,   495,   496,   497,   498,   964,   966,   968,  1154,
     338,   941,   266,   505,   874,  1165,   502,  1152,   992,    22,
    1147,  1148,   993,   325,   328,  1117,  1117,    10,   456,  1104,
    1105,  1107,  1084,  1084,   184,   244,   550,   505,   135,   181,
     544,   108,   181,   286,   542,   625,   937,  1152,  1154,   153,
     195,   950,   164,   181,   538,   539,   541,   625,   181,   538,
    1165,  1165,   281,  1001,   941,   495,  1006,  1134,   991,   154,
     375,   707,   268,  1132,   502,   856,   857,   858,   859,   860,
    1132,   503,   505,   829,   503,   505,   873,  1002,   108,   832,
     869,   869,   881,   882,   941,   869,   219,   305,   892,   361,
     401,   450,    99,   887,   941,   888,   890,   941,   943,   895,
     896,   886,   885,   883,   884,   222,   898,   883,   895,  1077,
     495,   505,   506,  1135,  1054,  1057,  1054,   262,   176,   240,
     295,   940,   295,   940,   940,   298,  1011,   295,   298,   390,
    1151,   505,  1046,   180,  1084,   451,  1033,  1035,  1003,    37,
    1011,  1106,  1148,   505,   489,  1003,    14,  1011,  1151,  1011,
    1151,   505,  1064,   502,  1003,   502,  1136,   495,   972,   341,
     370,   399,   432,   432,  1006,   504,   432,   432,   424,   536,
     813,   222,   232,   247,   379,   732,   733,   136,   151,   208,
     224,   354,   446,   596,   597,   151,   181,   314,   432,   181,
     314,   387,  1003,   328,   625,   391,   432,   432,   319,   625,
     185,   267,   387,   376,   758,   766,   247,   257,   335,   400,
     459,   503,   748,   751,   752,   753,   755,   917,  1133,   432,
     451,   143,   208,   587,   596,  1132,   143,   783,   328,   385,
     436,   151,   783,   102,   373,   385,   436,  1001,   252,   432,
     432,   502,   559,   424,   469,   470,   559,   505,   341,   452,
     452,   312,   917,   341,   771,   175,   432,   516,   546,   432,
     432,   625,   124,   624,   625,   625,   173,   294,   296,   124,
     432,   514,   387,   514,   306,   623,   502,   432,   319,  1152,
     643,   432,   783,   387,   432,   432,   559,   559,   704,   704,
     704,   704,  1001,   432,   432,   387,   171,   451,   656,  1012,
     432,   516,   432,   387,   341,   370,   361,   371,   395,   540,
     801,  1007,  1132,  1001,   681,   917,   328,   747,   625,   704,
     704,   770,   268,   328,   149,   190,   342,   426,   328,   704,
     268,   469,   571,   514,   683,   684,  1154,   677,   502,   919,
     108,   107,   918,   176,   298,   483,   502,   939,   705,   922,
      97,   808,   917,  1003,   515,   690,   452,   678,   679,  1134,
     463,   515,  1012,   158,   232,   534,   579,   619,   659,   715,
     735,   804,  1152,   651,   652,  1003,   289,   704,   704,   704,
     704,   186,   260,   439,   450,   661,   662,   205,   502,   656,
     515,   621,   622,   108,   324,   502,   615,   598,   222,   738,
    1007,   502,   749,   108,   273,   504,  1011,  1031,   469,   470,
     865,   388,   502,   867,   902,   903,   904,   909,   912,   944,
    1009,  1132,   466,   914,  1009,   557,   917,  1004,   242,  1003,
    1009,   557,  1002,  1003,   212,   452,   212,   452,   771,   557,
     557,  1002,  1003,  1001,  1003,  1003,  1003,  1001,  1002,   656,
     212,   212,   557,   703,   704,   503,   509,  1159,   503,   505,
    1165,  1089,  1001,   172,   834,   836,   863,   863,  1167,   863,
     863,  1167,   863,   863,  1003,    14,   505,  1147,   599,   503,
     505,   503,   230,   394,   423,  1002,   174,   396,   724,   725,
    1002,   323,  1002,  1000,  1000,  1002,   432,   469,   728,   457,
     846,   847,  1132,   377,   848,    93,   210,   383,   401,   853,
     909,   318,   854,   503,   505,   841,   844,   849,   855,   866,
     432,   718,   717,   718,   227,   233,   729,  1132,   969,   501,
     969,   973,   974,   502,   465,   986,   987,   941,   969,  1011,
    1011,   969,   176,   240,   295,   298,   390,   483,   975,   976,
    1152,  1154,  1011,   969,   969,  1011,  1011,   934,   934,   941,
     771,   941,   977,   493,   494,   942,   943,   962,   966,   979,
     503,   969,   941,   969,   980,   430,   485,  1011,  1011,   941,
     123,   227,   278,   433,   941,   969,   983,   969,   300,   941,
     948,   949,   950,   300,   941,   950,   503,   505,   399,  1011,
    1011,   939,   917,   941,  1134,   430,   112,   419,   994,   941,
     502,   867,   984,   193,   195,   216,   314,   319,   324,   438,
     447,   941,   118,   243,   247,   282,   403,   502,   941,   432,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
      99,   106,   406,   963,   383,   502,   962,   231,   286,   422,
     425,   427,   875,  1001,   999,   227,   901,    99,   193,   459,
     495,   503,   753,   941,   970,   971,  1133,  1003,  1148,   991,
    1106,   505,   489,  1001,   434,   502,  1152,   505,  1165,   503,
     501,   507,   241,   241,   557,  1064,   860,   861,   505,   901,
     489,   993,  1001,   826,   827,  1001,   995,   503,   867,   505,
     109,   189,   452,   743,   502,   889,  1013,   329,   324,   899,
     899,   505,   383,   384,   891,   896,   884,   506,  1078,   918,
     509,  1057,   509,   503,   625,   503,    34,  1034,  1109,  1110,
    1148,  1102,  1107,  1155,  1093,   918,  1142,  1158,  1142,   918,
     503,   503,   432,   432,   387,  1012,  1003,  1006,  1012,  1004,
    1003,   150,   814,   381,   451,   717,   387,   232,   717,   502,
    1003,   452,   739,   272,   272,   502,  1003,   319,  1012,   941,
     319,  1003,   306,   341,   455,   631,   643,   319,   185,   267,
    1012,  1003,   328,  1003,   335,  1133,   503,   505,   753,   755,
     752,   755,  1133,   705,  1012,  1002,   587,   917,  1132,  1003,
    1003,    99,   451,  1003,   242,  1003,   242,  1132,   385,   436,
     385,   436,  1003,    99,   451,  1003,  1001,  1012,  1003,   561,
     562,  1134,  1003,   327,   140,   327,   555,   432,  1005,  1132,
    1005,   505,   503,   505,   432,  1004,  1012,   150,   159,   160,
     161,   203,   252,   291,   307,   308,   309,   310,   311,   313,
     345,   418,   444,   451,   454,   517,  1012,  1003,   625,   704,
    1003,   625,  1003,   625,    95,   198,   399,   644,   645,   646,
     647,  1134,  1012,  1003,  1003,  1003,  1012,  1003,    95,   101,
     198,   341,   370,   341,   370,   677,   370,   370,   370,  1012,
    1003,  1003,   396,  1012,  1003,  1003,   432,   432,   147,   443,
     361,   268,   108,   704,   268,   268,   452,   452,   268,   319,
     710,  1152,   704,   704,   704,   704,   704,   704,   268,   710,
     327,   227,   432,   565,   502,   567,   568,   503,   505,   489,
     941,   107,   918,   917,   500,   500,   432,   432,  1011,   922,
     661,   150,   202,   276,   277,   289,   341,   424,   426,   809,
     589,   631,   632,    96,   247,   381,   420,   517,   518,   222,
    1005,   503,   505,   489,  1001,   533,   333,   580,   224,  1152,
     677,   677,   677,   677,   324,   328,   333,   502,   915,   916,
    1132,   396,   211,  1022,   704,   282,   581,   583,   585,   587,
     593,   596,   616,   617,  1132,   469,   470,   610,   108,  1152,
     328,   503,   750,   751,   756,   108,   273,   378,   468,   757,
     758,   759,   328,   544,  1030,   496,   239,   239,   222,   867,
     903,   904,   108,   905,  1132,   505,   162,   228,   256,   271,
     280,   303,   380,   906,   905,   108,   905,  1132,   502,   992,
     164,   941,   848,   681,   108,   212,   557,   747,   704,  1005,
     704,  1005,   770,   328,   557,   557,   328,   557,   396,   222,
     544,   557,   941,   502,   865,  1155,  1143,   503,   600,   247,
     247,   247,   472,  1002,   505,   625,   626,   235,   721,   722,
    1012,    96,   729,   503,   505,   993,   998,   210,   401,   210,
     401,   383,   450,   297,   917,  1003,   227,   328,   721,   124,
     557,   503,   501,   501,   505,   969,   941,   200,   987,   988,
     108,   503,   503,   503,   503,   503,   227,   503,   503,   503,
     503,   503,   505,   503,   346,   978,   503,   942,   942,    88,
     247,   268,   330,   489,   490,   491,   493,   494,   495,   496,
     497,   498,   966,   942,   503,   503,   222,   227,   981,   982,
     503,   485,   503,   503,   108,   983,   969,   983,   983,   227,
     503,   503,  1134,   108,   503,   505,   941,  1134,   505,   941,
     993,   941,  1132,   503,   503,   485,   942,   942,   206,   969,
     227,   193,   195,   216,   319,   324,   438,   447,   502,   206,
     419,   994,   941,   984,   941,   432,   771,   941,   502,   867,
     425,   427,   425,   427,  1001,   876,   876,   902,   466,   913,
     970,   970,   971,   503,   337,   955,    90,   503,   505,   880,
       8,    11,    12,    22,    23,    24,    26,    27,    31,    32,
      33,   174,   300,   350,   441,  1112,  1113,  1115,  1105,  1106,
     802,  1011,   939,   539,   941,   918,   503,   505,   857,   914,
     995,   832,   882,   330,   964,   967,   486,   487,   744,   941,
     891,  1000,   854,   854,   888,   507,  1060,   506,   505,   489,
      30,  1121,   503,   503,   506,  1012,  1003,  1003,   283,  1002,
    1002,   328,  1002,   331,   328,   941,   597,  1005,   502,   502,
     502,   599,   557,   455,   432,   629,  1003,   643,   258,   319,
     705,   751,   755,   755,   497,   589,   198,   374,   399,   556,
     784,   212,   557,   212,   557,  1003,  1003,  1003,  1003,   503,
     505,   489,   504,  1012,   341,   370,    95,   198,   341,   370,
     917,   312,   917,  1012,   283,   345,   319,  1152,   345,  1002,
     449,   646,   647,   646,   503,   505,   648,  1152,   432,   292,
     292,   292,   432,   432,   432,   432,   432,   432,   432,  1003,
    1012,  1003,   710,   917,   268,   710,   710,  1005,  1005,   710,
     268,   268,   268,   268,   268,   268,   710,   566,   574,   575,
    1134,   120,   163,   187,   206,   223,   238,   319,   327,   359,
     569,   684,  1154,   330,   493,   494,   625,   680,   755,   967,
    1018,  1152,   503,   500,   503,  1011,   501,   502,  1011,  1132,
    1152,  1163,   503,   328,   283,   489,   810,   810,   810,   810,
     810,   810,   810,   136,   151,   181,   183,   254,   314,   319,
     354,   366,   446,   590,   591,   592,   332,   641,  1002,   235,
     381,  1002,  1011,   441,   679,   680,   598,   372,   422,   174,
     599,  1001,   662,   685,   686,  1152,   503,   505,   917,  1003,
    1040,   866,   502,   582,  1001,   503,   505,   503,   505,   327,
     559,   327,   328,   611,   866,   432,  1001,   503,   505,   181,
     489,   760,  1152,   544,   422,   754,   755,   469,   759,   761,
     186,   260,   392,   450,   792,   236,  1026,   866,  1040,   503,
    1132,   502,   903,   271,   336,   907,   903,   907,   271,   906,
     907,   271,   502,  1132,   502,   970,   324,   557,   917,  1003,
     557,   452,   557,   452,   557,   557,  1001,  1001,  1003,   656,
     557,  1132,   222,   387,   387,   387,  1002,   725,   505,  1012,
     469,   505,   723,   331,   866,   847,  1165,   210,   210,  1002,
     720,   557,  1012,   973,   503,   429,   941,   204,   917,   941,
     941,   941,   981,   917,   942,   193,   195,   314,   324,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   941,
     941,   982,   981,   938,   938,   917,   503,   503,   503,   969,
     503,   505,  1134,   949,   351,   416,   951,   503,   505,   462,
     945,   108,   503,   935,  1152,   941,   105,   105,   941,   503,
     941,   227,   502,   972,   941,   942,   942,   206,   206,   941,
     503,   206,   941,   876,   876,   876,   876,  1001,  1001,   941,
     235,   893,   505,   879,   880,   879,   503,   955,   502,   956,
    1132,   941,   955,  1152,   459,   971,   503,   505,   489,   503,
     501,  1121,   489,   860,   848,   502,   744,   503,   329,  1011,
     489,  1079,  1110,  1115,   810,   230,   394,   423,   734,   222,
     734,   503,   502,   602,   603,   741,   944,  1132,   599,   599,
     503,  1012,   705,   258,   497,   441,   314,   559,   174,   314,
     411,   414,   559,   441,  1003,  1132,   562,   680,  1134,   432,
     432,   229,   330,   414,   688,   689,   229,   330,   695,   696,
     432,   432,   503,   503,   503,  1013,  1152,  1152,  1152,   645,
    1003,   222,   222,   372,   222,   242,  1012,  1003,  1012,  1003,
    1003,  1003,  1003,   643,   503,   710,   268,   268,   710,   710,
     710,   710,   710,   710,   452,   572,   573,   503,   505,   495,
     502,   541,   576,   625,   818,   818,   314,   359,   818,   818,
     183,   254,   314,   670,   671,   672,  1011,   469,   470,   501,
    1163,   493,   494,   495,   496,   497,   501,   939,  1001,   810,
     181,  1011,  1152,   181,  1152,   181,  1152,   181,  1152,   181,
    1003,   181,  1003,   181,  1003,   502,  1003,   942,   184,   244,
     183,   319,   272,  1001,   761,   502,  1002,  1002,   917,   108,
    1001,   472,   222,   663,   503,   505,   916,   641,   843,   469,
     618,   584,   586,   588,   596,  1132,   610,   594,   253,   609,
     585,   617,   146,   424,   612,   469,   805,  1152,   739,   756,
     941,   941,   505,   502,   757,   677,   432,   629,    85,  1037,
     905,   502,  1002,   903,   328,   452,   908,   903,   271,   903,
     915,   502,   915,  1132,   503,  1003,   503,   557,  1005,  1005,
     557,   557,   396,  1002,  1002,  1002,   625,   232,   722,   729,
     227,   941,   503,   503,   982,   227,   193,   195,   324,   502,
     503,   475,   947,   969,   467,   467,   503,   941,   306,   941,
     505,   946,   919,   939,   942,   942,   941,   972,   503,   105,
     105,   941,   941,   206,   941,   503,  1001,  1001,  1001,  1001,
     124,   237,   894,   503,   503,   955,   957,  1132,   971,   955,
    1113,   494,  1106,  1114,  1151,  1152,  1152,   997,   771,  1159,
    1013,   432,   717,   227,   670,   941,   503,   505,   469,   452,
     704,   742,   742,   503,   503,   761,   441,   319,   319,  1013,
    1132,   917,   557,   557,   489,  1012,  1003,  1011,  1011,   917,
     505,  1011,  1011,   505,  1012,  1003,  1002,  1002,   704,  1002,
     212,   268,   710,   710,   514,   188,   575,   541,   577,   578,
    1152,  1152,   319,   495,   599,  1152,  1152,   184,   244,   183,
     672,   671,   501,   229,   257,   229,   503,  1163,  1163,  1163,
    1163,  1163,   227,   669,  1013,   941,   314,   591,   761,   598,
     452,   613,   642,   646,   452,   866,   502,  1003,   199,   664,
     465,   666,  1152,   174,   306,   503,   505,   469,   611,   209,
     248,   502,   610,   186,   198,   351,  1003,   128,   136,   286,
     227,   502,  1152,   753,   762,   763,  1133,   761,  1001,   255,
     630,  1038,  1132,  1002,   503,   941,   502,   903,   908,   503,
     915,   503,   557,   557,   557,  1003,   331,   557,   721,   942,
     227,   502,   972,   502,   503,   505,   503,   503,   456,   408,
     503,   503,   503,   942,   942,   941,   969,   941,   468,   952,
     955,   955,   344,   958,   503,  1011,  1151,   939,   503,   721,
     328,   721,   503,   761,   603,   330,   771,   704,   743,   743,
     366,   761,   613,   452,   558,   680,   502,  1009,   771,   689,
     502,   502,   696,   469,   372,   469,   469,   222,   710,   567,
    1152,   503,   505,   599,   725,   108,   776,   776,  1001,   670,
     503,   613,   293,   601,   250,   503,   505,  1005,   805,   641,
     383,   410,   665,   502,   211,   174,   586,   332,   612,    99,
     145,   152,   182,   251,   414,   595,   595,  1000,   611,   384,
     384,   136,   331,   136,   704,   740,   741,   755,   503,   505,
     913,   629,   632,   489,  1039,   503,  1002,   503,   557,   942,
     972,   503,   948,   969,   306,   484,   953,   954,  1132,   124,
     879,   955,   723,   734,   557,   742,   613,   502,   744,   744,
    1001,   613,   670,   941,   972,   747,   364,   692,   770,   972,
     972,   703,   704,   703,   704,  1002,   578,   776,   111,   246,
     222,   228,   343,   404,   328,   605,   606,   607,   424,   646,
     217,   691,   941,   358,   589,   503,   612,   331,   331,   503,
     505,   757,   762,   194,  1011,  1146,  1154,    85,   503,   503,
     503,   503,   456,   505,   108,   969,   360,   384,   959,   227,
     743,   466,   604,   771,   598,   670,   503,   692,   503,   503,
     469,   199,   186,   450,   328,   607,   328,   606,  1003,   704,
     108,   503,  1009,   469,   560,   741,   761,   100,   261,   793,
    1038,   954,   956,   118,   164,   442,   941,   960,   961,   960,
     503,   721,   744,   502,   670,   503,   601,  1009,   704,   383,
     127,   306,   376,   399,   608,   608,   688,   502,   559,   612,
     315,   502,   788,   790,   795,   844,   849,   855,   866,   961,
     383,   221,   349,   221,   349,   557,   941,   605,   747,   666,
      94,   181,   319,    84,   667,   668,  1011,  1132,  1150,  1151,
    1152,   913,   789,   790,   791,   867,   868,   105,   503,   670,
     211,   503,   505,   503,   506,   961,   358,   668,   791,  1009,
     502,   667,   503
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1345 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1347 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1349 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1351 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1353 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1355 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1357 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1359 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1361 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1363 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1365 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1367 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1369 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1371 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1373 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1375 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1377 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1379 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1381 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1383 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1385 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1387 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1405 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1407 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1409 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1411 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1413 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1415 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1417 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1419 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1421 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1423 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1425 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1427 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1429 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1431 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1433 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1435 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1437 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1439 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1441 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1443 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1445 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1447 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1449 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1451 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1453 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1455 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1457 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1461 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1463 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1465 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1467 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1469 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1471 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1473 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1475 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1477 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1479 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1481 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1483 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1485 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1487 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1489 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1491 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1493 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1495 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1497 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1499 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1501 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1503 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1505 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1507 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1509 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1511 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1513 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1515 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1517 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1519 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1521 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1523 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1525 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1527 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else	
			output_statement(cat_str(5, make_str("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, make_str("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1534 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1536 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1538 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1540 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1542 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1544 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1546 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1548 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1550 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1552 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1554 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1560 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1562 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1564 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1566 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1568 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1570 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1572 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1574 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1576 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1582 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1592 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1596 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1602 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1606 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1616 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1625 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1627 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (!strcmp((yyvsp[(1) - (1)].str), "all"))
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':') 
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1641 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1648 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1654 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1665 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1671 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1680 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1687 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1693 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1702 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1709 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1716 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1722 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1730 "preproc.y"
    { 
 (yyval.str) = make_str("with");
}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1734 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1741 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1745 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1752 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1756 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1767 "preproc.y"
    { 
 (yyval.str) = make_str("password null");
}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1775 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1779 "preproc.y"
    { 
 (yyval.str) = make_str("superuser");
}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1783 "preproc.y"
    { 
 (yyval.str) = make_str("nosuperuser");
}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1787 "preproc.y"
    { 
 (yyval.str) = make_str("inherit");
}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1791 "preproc.y"
    { 
 (yyval.str) = make_str("noinherit");
}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1795 "preproc.y"
    { 
 (yyval.str) = make_str("createdb");
}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1799 "preproc.y"
    { 
 (yyval.str) = make_str("nocreatedb");
}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1803 "preproc.y"
    { 
 (yyval.str) = make_str("createrole");
}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1807 "preproc.y"
    { 
 (yyval.str) = make_str("nocreaterole");
}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1811 "preproc.y"
    { 
 (yyval.str) = make_str("createuser");
}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1815 "preproc.y"
    { 
 (yyval.str) = make_str("nocreateuser");
}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1819 "preproc.y"
    { 
 (yyval.str) = make_str("login");
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1823 "preproc.y"
    { 
 (yyval.str) = make_str("nologin");
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1847 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1851 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1859 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1863 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1871 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1879 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1887 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1898 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1906 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1914 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1934 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1946 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1954 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1962 "preproc.y"
    { 
 (yyval.str) = make_str("add");
}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1966 "preproc.y"
    { 
 (yyval.str) = make_str("drop");
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 1974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1978 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1986 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create schema"),(yyvsp[(3) - (6)].str),make_str("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1990 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1998 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2002 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2009 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2013 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2020 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2024 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2028 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2032 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2036 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2040 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2048 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2052 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2056 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2064 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2068 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2072 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("to default"));
}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2076 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("= default"));
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2080 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("from current"));
}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2084 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2088 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2092 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2096 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2101 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2105 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2109 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2113 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 2117 "preproc.y"
    { 
 (yyval.str) = make_str("session authorization default");
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2121 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2129 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2133 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2141 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2153 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 2157 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = make_str("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2171 "preproc.y"
    { 
 (yyval.str) = make_str("read uncommitted");
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2175 "preproc.y"
    { 
 (yyval.str) = make_str("read committed");
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2179 "preproc.y"
    { 
 (yyval.str) = make_str("repeatable read");
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2183 "preproc.y"
    { 
 (yyval.str) = make_str("serializable");
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2191 "preproc.y"
    { 
 (yyval.str) = make_str("true");
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2195 "preproc.y"
    { 
 (yyval.str) = make_str("false");
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2199 "preproc.y"
    { 
 (yyval.str) = make_str("on");
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2203 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2211 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2215 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2219 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2223 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2227 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2231 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2235 "preproc.y"
    { 
 (yyval.str) = make_str("local");
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2243 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2247 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2251 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2258 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2262 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2270 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2274 "preproc.y"
    { 
 (yyval.str) = make_str("reset time zone");
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2278 "preproc.y"
    { 
 (yyval.str) = make_str("reset transaction isolation level");
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2282 "preproc.y"
    { 
 (yyval.str) = make_str("reset session authorization");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2286 "preproc.y"
    { 
 (yyval.str) = make_str("reset all");
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2294 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2298 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2310 "preproc.y"
    { 
 (yyval.str) = make_str("show time zone");
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2314 "preproc.y"
    { 
 (yyval.str) = make_str("show transaction isolation level");
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2318 "preproc.y"
    { 
 (yyval.str) = make_str("show session authorization");
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2322 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2331 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2339 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2343 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2351 "preproc.y"
    { 
 (yyval.str) = make_str("deferred");
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2355 "preproc.y"
    { 
 (yyval.str) = make_str("immediate");
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2363 "preproc.y"
    { 
 (yyval.str) = make_str("checkpoint");
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2371 "preproc.y"
    { 
 (yyval.str) = make_str("discard all");
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2375 "preproc.y"
    { 
 (yyval.str) = make_str("discard temp");
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2379 "preproc.y"
    { 
 (yyval.str) = make_str("discard temporary");
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2383 "preproc.y"
    { 
 (yyval.str) = make_str("discard plans");
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2391 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2403 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2411 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2415 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2423 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2427 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2431 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("drop not null"));
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2439 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set not null"));
}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2443 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2447 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2451 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2455 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2459 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (6)].str),make_str("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2463 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2467 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("alter"),(yyvsp[(2) - (7)].str),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("type"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2471 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2475 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2479 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2483 "preproc.y"
    { 
 (yyval.str) = make_str("set with oids");
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2487 "preproc.y"
    { 
 (yyval.str) = make_str("set without oids");
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2491 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2495 "preproc.y"
    { 
 (yyval.str) = make_str("set without cluster");
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2499 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2507 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2511 "preproc.y"
    { 
 (yyval.str) = make_str("enable trigger all");
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2515 "preproc.y"
    { 
 (yyval.str) = make_str("enable trigger user");
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2519 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2523 "preproc.y"
    { 
 (yyval.str) = make_str("disable trigger all");
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2527 "preproc.y"
    { 
 (yyval.str) = make_str("disable trigger user");
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2531 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2535 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2539 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2543 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2547 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2551 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2559 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2563 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2567 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2575 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2579 "preproc.y"
    { 
 (yyval.str) = make_str("drop default");
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2587 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2591 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2595 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2606 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2613 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2621 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2625 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2632 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2636 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2644 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2648 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2652 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("."),(yyvsp[(3) - (5)].str),make_str("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2656 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2664 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? make_str("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(make_str("close"), cursor_marker);
	}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2669 "preproc.y"
    { 
 (yyval.str) = make_str("close all");
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2677 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,make_str("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2688 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,make_str("copy"),(yyvsp[(2) - (6)].str),make_str("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2699 "preproc.y"
    { 
 (yyval.str) = make_str("from");
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2703 "preproc.y"
    { 
 (yyval.str) = make_str("to");
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2711 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2715 "preproc.y"
    { 
 (yyval.str) = make_str("stdin");
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2719 "preproc.y"
    { 
 (yyval.str) = make_str("stdout");
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2727 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2731 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2739 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2743 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2750 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2754 "preproc.y"
    { 
 (yyval.str) = make_str("oids");
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2758 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2762 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2766 "preproc.y"
    { 
 (yyval.str) = make_str("csv");
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2770 "preproc.y"
    { 
 (yyval.str) = make_str("header");
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2774 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2778 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2782 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2786 "preproc.y"
    { 
 (yyval.str) = make_str("force quote *");
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2798 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2802 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2809 "preproc.y"
    { 
 (yyval.str) = make_str("with oids");
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2813 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2820 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2824 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2831 "preproc.y"
    { 
 (yyval.str) = make_str("using");
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2835 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2854 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2866 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2870 "preproc.y"
    { 
 (yyval.str) = make_str("*");
}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2874 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2878 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2885 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2905 "preproc.y"
    { 
 (yyval.str) = cat_str(11,make_str("create"),(yyvsp[(2) - (11)].str),make_str("table"),(yyvsp[(4) - (11)].str),make_str("("),(yyvsp[(6) - (11)].str),make_str(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2909 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),make_str("table"),(yyvsp[(4) - (10)].str),make_str("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2917 "preproc.y"
    { 
 (yyval.str) = make_str("temporary");
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str) = make_str("temp");
}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2925 "preproc.y"
    { 
 (yyval.str) = make_str("local temporary");
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2929 "preproc.y"
    { 
 (yyval.str) = make_str("local temp");
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2933 "preproc.y"
    { 
 (yyval.str) = make_str("global temporary");
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2937 "preproc.y"
    { 
 (yyval.str) = make_str("global temp");
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2941 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2948 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2952 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2959 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2963 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2974 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2982 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2986 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2998 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3002 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3010 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3014 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3022 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3038 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3042 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3049 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3053 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3057 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3065 "preproc.y"
    { 
 (yyval.str) = make_str("not null");
}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3069 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3073 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3077 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3081 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("check ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3085 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3089 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3097 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3101 "preproc.y"
    { 
 (yyval.str) = make_str("not deferrable");
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3105 "preproc.y"
    { 
 (yyval.str) = make_str("initially deferred");
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3109 "preproc.y"
    { 
 (yyval.str) = make_str("initially immediate");
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3125 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3129 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3133 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3140 "preproc.y"
    { 
 (yyval.str) = make_str("defaults");
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3144 "preproc.y"
    { 
 (yyval.str) = make_str("constraints");
}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3148 "preproc.y"
    { 
 (yyval.str) = make_str("indexes");
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3152 "preproc.y"
    { 
 (yyval.str) = make_str("storage");
}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3156 "preproc.y"
    { 
 (yyval.str) = make_str("comments");
}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3160 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3168 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3172 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3180 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(4,make_str("check ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3185 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("unique ("),(yyvsp[(3) - (7)].str),make_str(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3189 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("primary key ("),(yyvsp[(4) - (8)].str),make_str(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3193 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("exclude"),(yyvsp[(2) - (9)].str),make_str("("),(yyvsp[(4) - (9)].str),make_str(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3197 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("foreign key ("),(yyvsp[(4) - (11)].str),make_str(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3205 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3209 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3216 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3220 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3228 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = make_str("match full");
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3240 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("match partial");
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3245 "preproc.y"
    { 
 (yyval.str) = make_str("match simple");
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3249 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3256 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3260 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3268 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3272 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("with operator ("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3280 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("where ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3284 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3295 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3299 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3303 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3307 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3314 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3322 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3330 "preproc.y"
    { 
 (yyval.str) = make_str("no action");
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3334 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3338 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3342 "preproc.y"
    { 
 (yyval.str) = make_str("set null");
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3346 "preproc.y"
    { 
 (yyval.str) = make_str("set default");
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3354 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("inherits ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3358 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3365 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3369 "preproc.y"
    { 
 (yyval.str) = make_str("with oids");
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3373 "preproc.y"
    { 
 (yyval.str) = make_str("without oids");
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3377 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3384 "preproc.y"
    { 
 (yyval.str) = make_str("on commit drop");
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3388 "preproc.y"
    { 
 (yyval.str) = make_str("on commit delete rows");
}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3392 "preproc.y"
    { 
 (yyval.str) = make_str("on commit preserve rows");
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3396 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3403 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3407 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3414 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3418 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3425 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3437 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3444 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3448 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3456 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3464 "preproc.y"
    { 
 (yyval.str) = make_str("with data");
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3468 "preproc.y"
    { 
 (yyval.str) = make_str("with no data");
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3472 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3479 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create"),(yyvsp[(2) - (5)].str),make_str("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3487 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3495 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3499 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3506 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3510 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3518 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3522 "preproc.y"
    { 
 (yyval.str) = make_str("cycle");
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3526 "preproc.y"
    { 
 (yyval.str) = make_str("no cycle");
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3542 "preproc.y"
    { 
 (yyval.str) = make_str("no maxvalue");
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3546 "preproc.y"
    { 
 (yyval.str) = make_str("no minvalue");
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3550 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3554 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3558 "preproc.y"
    { 
 (yyval.str) = make_str("restart");
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3562 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3570 "preproc.y"
    { 
 (yyval.str) = make_str("by");
}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3574 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3581 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3585 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3589 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3597 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3601 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3609 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3613 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),make_str("language"),(yyvsp[(6) - (10)].str),make_str("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3621 "preproc.y"
    { 
 (yyval.str) = make_str("trusted");
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3625 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3632 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3636 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3644 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3648 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3655 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3659 "preproc.y"
    { 
 (yyval.str) = make_str("no validator");
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3667 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3671 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3678 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (5)].str),make_str("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3682 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (7)].str),make_str("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3690 "preproc.y"
    { 
 (yyval.str) = make_str("procedural");
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3694 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3701 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("location"),(yyvsp[(6) - (6)].str));
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3709 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3713 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3720 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3732 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3740 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3744 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3752 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3760 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3768 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3772 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3799 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3803 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3811 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3819 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3823 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3847 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3855 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),make_str("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3863 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3867 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3874 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3878 "preproc.y"
    { 
 (yyval.str) = make_str("version null");
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3886 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3890 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3897 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3901 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3909 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3913 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3917 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3925 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3933 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3937 "preproc.y"
    { 
 (yyval.str) = make_str("user");
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3941 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3949 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop user mapping for"),(yyvsp[(5) - (7)].str),make_str("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3953 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),make_str("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3961 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3969 "preproc.y"
    { 
 (yyval.str) = cat_str(13,make_str("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),make_str("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),make_str("execute procedure"),(yyvsp[(12) - (15)].str),make_str("("),(yyvsp[(14) - (15)].str),make_str(")"));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3973 "preproc.y"
    { 
 (yyval.str) = cat_str(15,make_str("create constraint trigger"),(yyvsp[(4) - (20)].str),make_str("after"),(yyvsp[(6) - (20)].str),make_str("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),make_str("for each row"),(yyvsp[(14) - (20)].str),make_str("execute procedure"),(yyvsp[(17) - (20)].str),make_str("("),(yyvsp[(19) - (20)].str),make_str(")"));
}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3981 "preproc.y"
    { 
 (yyval.str) = make_str("before");
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3985 "preproc.y"
    { 
 (yyval.str) = make_str("after");
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3993 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3997 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4005 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4009 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4013 "preproc.y"
    { 
 (yyval.str) = make_str("update");
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4017 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4021 "preproc.y"
    { 
 (yyval.str) = make_str("truncate");
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4029 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4033 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4040 "preproc.y"
    { 
 (yyval.str) = make_str("each");
}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4044 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4051 "preproc.y"
    { 
 (yyval.str) = make_str("row");
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4055 "preproc.y"
    { 
 (yyval.str) = make_str("statement");
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4063 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("when ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4067 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4074 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4078 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4082 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4089 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4093 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4101 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4105 "preproc.y"
    { 
 (yyval.str) = make_str("xconst");
}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4109 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4117 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4121 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4132 "preproc.y"
    { 
			if (strcmp((yyvsp[(1) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(2) - (2)].str), "initially deferrable") == 0 )
				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4143 "preproc.y"
    { 
			if (strcmp((yyvsp[(2) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(1) - (2)].str), "initially deferrable") == 0 )
				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4150 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4157 "preproc.y"
    { 
 (yyval.str) = make_str("not deferrable");
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4161 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4169 "preproc.y"
    { 
 (yyval.str) = make_str("initially immediate");
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4173 "preproc.y"
    { 
 (yyval.str) = make_str("initially deferred");
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4181 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop trigger"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4185 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop trigger if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4193 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,make_str("create assertion"),(yyvsp[(3) - (8)].str),make_str("check ("),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4202 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,make_str("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4211 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4215 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4219 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4223 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4227 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4231 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (7)].str),make_str("as ("),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4235 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (8)].str),make_str("as enum ("),(yyvsp[(7) - (8)].str),make_str(")"));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4239 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4243 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4247 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4251 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4259 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4267 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4271 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4279 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4295 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4303 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4307 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4315 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4319 "preproc.y"
    { 
 (yyval.str) = make_str("( * )");
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4327 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4335 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4339 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4347 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4355 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4359 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4366 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4370 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4378 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),make_str("for type"),(yyvsp[(8) - (13)].str),make_str("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),make_str("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4390 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4398 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("operator"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4402 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4406 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4410 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("function"),(yyvsp[(2) - (7)].str),make_str("("),(yyvsp[(4) - (7)].str),make_str(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4414 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4422 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4426 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4433 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4437 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4444 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("recheck");
}
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4449 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4456 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create operator family"),(yyvsp[(4) - (6)].str),make_str("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4464 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4468 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4476 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4480 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4488 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4492 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("function"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4500 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator class"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4504 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator class if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4512 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator family"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4516 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop operator family if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4524 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4532 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("reassign owned by"),(yyvsp[(4) - (6)].str),make_str("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4540 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (6)].str),make_str("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4544 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4552 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4556 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4560 "preproc.y"
    { 
 (yyval.str) = make_str("view");
}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4564 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4568 "preproc.y"
    { 
 (yyval.str) = make_str("type");
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4572 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4576 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4580 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4584 "preproc.y"
    { 
 (yyval.str) = make_str("text search parser");
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4588 "preproc.y"
    { 
 (yyval.str) = make_str("text search dictionary");
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4592 "preproc.y"
    { 
 (yyval.str) = make_str("text search template");
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4596 "preproc.y"
    { 
 (yyval.str) = make_str("text search configuration");
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4604 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4608 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4616 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4620 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4628 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4632 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4640 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4648 "preproc.y"
    { 
 (yyval.str) = make_str("continue identity");
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4652 "preproc.y"
    { 
 (yyval.str) = make_str("restart identity");
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4656 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4663 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4667 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4671 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4675 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4679 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on constraint"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4683 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on rule"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4687 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on rule"),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4691 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on trigger"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4695 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on operator class"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4699 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on operator family"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4703 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on large object"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4707 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on cast ("),(yyvsp[(5) - (10)].str),make_str("as"),(yyvsp[(7) - (10)].str),make_str(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4711 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("comment on"),(yyvsp[(3) - (7)].str),make_str("language"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4715 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search parser"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4719 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search dictionary"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4723 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search template"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4727 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("comment on text search configuration"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4735 "preproc.y"
    { 
 (yyval.str) = make_str("column");
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4739 "preproc.y"
    { 
 (yyval.str) = make_str("database");
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4743 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4747 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4751 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4755 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4759 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4763 "preproc.y"
    { 
 (yyval.str) = make_str("type");
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4767 "preproc.y"
    { 
 (yyval.str) = make_str("view");
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4771 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4775 "preproc.y"
    { 
 (yyval.str) = make_str("tablespace");
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4779 "preproc.y"
    { 
 (yyval.str) = make_str("role");
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4791 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4799 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4803 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4807 "preproc.y"
    {
		(yyval.str) = cat2_str(make_str("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4811 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch forward"), cursor_marker);
	}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4817 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch forward from"), cursor_marker);
	}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4823 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch backward"), cursor_marker);
	}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4829 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, make_str("fetch backward from"), cursor_marker);
	}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4835 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, make_str("move forward"), cursor_marker);
	}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4841 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("move forward from"), cursor_marker);
	}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4847 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? make_str("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, make_str("move backward"), cursor_marker);
	}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4853 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? make_str("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, make_str("move backward from"), cursor_marker);
	}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4863 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = make_str("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4874 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4885 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4896 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4907 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4918 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4929 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4945 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4961 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4977 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4988 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 5004 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5015 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(4,make_str("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5031 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = make_str("$0");
		}

 (yyval.str) = cat_str(3,make_str("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5046 "preproc.y"
    { 
 (yyval.str) = make_str("from");
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5050 "preproc.y"
    { 
 (yyval.str) = make_str("in");
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5058 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5062 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5069 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("grant"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5077 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5081 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke grant option for"),(yyvsp[(5) - (10)].str),make_str("on"),(yyvsp[(7) - (10)].str),make_str("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5089 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5093 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5097 "preproc.y"
    { 
 (yyval.str) = make_str("all privileges");
}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5101 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("all ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5105 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("all privileges ("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5113 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5125 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5129 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5133 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5137 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5145 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5149 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5153 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5157 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5165 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5169 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5173 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5177 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5181 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5185 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5189 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5193 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5197 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5217 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5229 "preproc.y"
    { 
 (yyval.str) = make_str("with grant option");
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5233 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5244 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5252 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5260 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("grant"),(yyvsp[(2) - (6)].str),make_str("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5268 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("revoke"),(yyvsp[(2) - (6)].str),make_str("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5272 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("revoke admin option for"),(yyvsp[(5) - (9)].str),make_str("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5280 "preproc.y"
    { 
 (yyval.str) = make_str("with admin option");
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5284 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5291 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5295 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5302 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5310 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5314 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5321 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5325 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5329 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5337 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("grant"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5341 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5345 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("revoke grant option for"),(yyvsp[(5) - (10)].str),make_str("on"),(yyvsp[(7) - (10)].str),make_str("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5353 "preproc.y"
    { 
 (yyval.str) = make_str("tables");
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5357 "preproc.y"
    { 
 (yyval.str) = make_str("functions");
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5361 "preproc.y"
    { 
 (yyval.str) = make_str("sequences");
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5369 "preproc.y"
    { 
 (yyval.str) = cat_str(14,make_str("create"),(yyvsp[(2) - (14)].str),make_str("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),make_str("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),make_str("("),(yyvsp[(10) - (14)].str),make_str(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5377 "preproc.y"
    { 
 (yyval.str) = make_str("unique");
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5381 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5388 "preproc.y"
    { 
 (yyval.str) = make_str("concurrently");
}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5392 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5399 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5403 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5410 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5414 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5421 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5433 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5437 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5441 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),make_str(")"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5449 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5453 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5457 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5464 "preproc.y"
    { 
 (yyval.str) = make_str("asc");
}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5468 "preproc.y"
    { 
 (yyval.str) = make_str("desc");
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5472 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5479 "preproc.y"
    { 
 (yyval.str) = make_str("nulls first");
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5483 "preproc.y"
    { 
 (yyval.str) = make_str("nulls last");
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5487 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5494 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("create"),(yyvsp[(2) - (9)].str),make_str("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),make_str("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5498 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (12)].str),make_str("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),make_str("returns table ("),(yyvsp[(9) - (12)].str),make_str(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5502 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (7)].str),make_str("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5510 "preproc.y"
    { 
 (yyval.str) = make_str("or replace");
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5514 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5521 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5525 "preproc.y"
    { 
 (yyval.str) = make_str("( )");
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5533 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5545 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5549 "preproc.y"
    { 
 (yyval.str) = make_str("( )");
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5561 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5569 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5573 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5577 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5581 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5585 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5593 "preproc.y"
    { 
 (yyval.str) = make_str("in");
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5597 "preproc.y"
    { 
 (yyval.str) = make_str("out");
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5601 "preproc.y"
    { 
 (yyval.str) = make_str("inout");
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5605 "preproc.y"
    { 
 (yyval.str) = make_str("in out");
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5609 "preproc.y"
    { 
 (yyval.str) = make_str("variadic");
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5625 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5633 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5637 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("% type"));
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5641 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("% type"));
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5649 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5653 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5657 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5665 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5669 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5677 "preproc.y"
    { 
 (yyval.str) = make_str("called on null input");
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5681 "preproc.y"
    { 
 (yyval.str) = make_str("returns null on null input");
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5685 "preproc.y"
    { 
 (yyval.str) = make_str("strict");
}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5689 "preproc.y"
    { 
 (yyval.str) = make_str("immutable");
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5693 "preproc.y"
    { 
 (yyval.str) = make_str("stable");
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5697 "preproc.y"
    { 
 (yyval.str) = make_str("volatile");
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5701 "preproc.y"
    { 
 (yyval.str) = make_str("external security definer");
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5705 "preproc.y"
    { 
 (yyval.str) = make_str("external security invoker");
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5709 "preproc.y"
    { 
 (yyval.str) = make_str("security definer");
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5713 "preproc.y"
    { 
 (yyval.str) = make_str("security invoker");
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5717 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5721 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5733 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5737 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5741 "preproc.y"
    { 
 (yyval.str) = make_str("window");
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5745 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5753 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5757 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5765 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5769 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5776 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5784 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5788 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5796 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5804 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5808 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5816 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5820 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5827 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5831 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5839 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5843 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5851 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5855 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5863 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5867 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5871 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("( none ,"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5875 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (5)].str),make_str(", none )"));
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5883 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5887 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5895 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5903 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5907 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5915 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5919 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5927 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create cast ("),(yyvsp[(4) - (11)].str),make_str("as"),(yyvsp[(6) - (11)].str),make_str(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5931 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5935 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5943 "preproc.y"
    { 
 (yyval.str) = make_str("as implicit");
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5947 "preproc.y"
    { 
 (yyval.str) = make_str("as assignment");
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5951 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5958 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("drop cast"),(yyvsp[(3) - (9)].str),make_str("("),(yyvsp[(5) - (9)].str),make_str("as"),(yyvsp[(7) - (9)].str),make_str(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5966 "preproc.y"
    { 
 (yyval.str) = make_str("if exists");
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5970 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5977 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5981 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5993 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5997 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6005 "preproc.y"
    { 
 (yyval.str) = make_str("force");
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6009 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6016 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6020 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6024 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6028 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6032 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter group"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6036 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6040 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6044 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6048 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6052 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6056 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6060 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6064 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter index"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6068 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("alter table"),(yyvsp[(3) - (8)].str),make_str("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),make_str("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6072 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter trigger"),(yyvsp[(3) - (8)].str),make_str("on"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6076 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6080 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6084 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6088 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (5)].str),make_str("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6092 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (5)].str),make_str("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6096 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search parser"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6100 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6104 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search template"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6108 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6112 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6120 "preproc.y"
    { 
 (yyval.str) = make_str("column");
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6124 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6131 "preproc.y"
    { 
 (yyval.str) = make_str("set data");
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6135 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6142 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6146 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6150 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6154 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6158 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6162 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6166 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6174 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6178 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6182 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6186 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6190 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6194 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6198 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter large object"),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6202 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6206 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6210 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6214 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6218 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6222 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6226 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6230 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6246 "preproc.y"
    { 
 (yyval.str) = cat_str(12,make_str("create"),(yyvsp[(2) - (13)].str),make_str("rule"),(yyvsp[(4) - (13)].str),make_str("as on"),(yyvsp[(7) - (13)].str),make_str("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),make_str("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6254 "preproc.y"
    { 
 (yyval.str) = make_str("nothing");
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6258 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6262 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6270 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6286 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6290 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6294 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6298 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6306 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6310 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6317 "preproc.y"
    { 
 (yyval.str) = make_str("select");
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6321 "preproc.y"
    { 
 (yyval.str) = make_str("update");
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6325 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6329 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6337 "preproc.y"
    { 
 (yyval.str) = make_str("instead");
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6341 "preproc.y"
    { 
 (yyval.str) = make_str("also");
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6345 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6352 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop rule"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6356 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("drop rule if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6364 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6372 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6376 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6383 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6391 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6395 "preproc.y"
    { 
 (yyval.str) = make_str("unlisten *");
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6403 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6411 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6419 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6423 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6427 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6431 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6435 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6439 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (5)].str),make_str("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6443 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (4)].str),make_str("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6447 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6451 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6455 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6463 "preproc.y"
    { 
 (yyval.str) = make_str("work");
}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6467 "preproc.y"
    { 
 (yyval.str) = make_str("transaction");
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6471 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6478 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6482 "preproc.y"
    { 
 (yyval.str) = make_str("read only");
}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6486 "preproc.y"
    { 
 (yyval.str) = make_str("read write");
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6494 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6498 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6502 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6510 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6514 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6521 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("create"),(yyvsp[(2) - (8)].str),make_str("view"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),make_str("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6525 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("create or replace"),(yyvsp[(4) - (10)].str),make_str("view"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),make_str("as"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6533 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with check option");
}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6538 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with cascaded check option");
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6543 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = make_str("with local check option");
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6548 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6563 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6571 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6575 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6582 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6586 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6590 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6598 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6606 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6610 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6614 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6618 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6630 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6634 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),make_str("default"));
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6650 "preproc.y"
    { 
 (yyval.str) = make_str("=");
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6654 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6661 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6665 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6673 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6681 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6685 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6692 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6700 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6704 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6712 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6720 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6724 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("drop not null"));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6728 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set not null"));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6732 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (5)].str),make_str("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6736 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("alter domain"),(yyvsp[(3) - (7)].str),make_str("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6744 "preproc.y"
    { 
 (yyval.str) = make_str("as");
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6748 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6763 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("add mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6767 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6771 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping replace"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6775 "preproc.y"
    { 
 (yyval.str) = cat_str(8,make_str("alter text search configuration"),(yyvsp[(5) - (13)].str),make_str("alter mapping for"),(yyvsp[(9) - (13)].str),make_str("replace"),(yyvsp[(11) - (13)].str),make_str("with"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6779 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (9)].str),make_str("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6783 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6791 "preproc.y"
    { 
 (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),make_str("conversion"),(yyvsp[(4) - (10)].str),make_str("for"),(yyvsp[(6) - (10)].str),make_str("to"),(yyvsp[(8) - (10)].str),make_str("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6799 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6803 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6807 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6819 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6826 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6830 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6834 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6838 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("vacuum ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6842 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("vacuum ("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6850 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6866 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6870 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6874 "preproc.y"
    { 
 (yyval.str) = make_str("full");
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6886 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6894 "preproc.y"
    { 
 (yyval.str) = make_str("analyze");
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6898 "preproc.y"
    { 
 (yyval.str) = make_str("analyse");
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6906 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 6910 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 6917 "preproc.y"
    { 
 (yyval.str) = make_str("full");
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 6921 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 6928 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 6932 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 6939 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 6943 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 6950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 6954 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 6958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 6962 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("explain ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 6970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 6974 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 6978 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 6982 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 6986 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 6990 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 6994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7002 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7006 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7014 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7022 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7026 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7034 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7038 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7042 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7049 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, make_str("\""), (yyvsp[(5) - (5)].str), make_str("\""));
	}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7055 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7065 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7069 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7084 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7088 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7096 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7098 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (8)].str),make_str("table"),(yyvsp[(4) - (8)].str),make_str("as execute"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7106 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7110 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7117 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("insert into"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7129 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7133 "preproc.y"
    { 
 (yyval.str) = make_str("default values");
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7141 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7153 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7165 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7172 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("delete from"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7180 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7184 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7191 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7199 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("in"),(yyvsp[(2) - (3)].str),make_str("mode"));
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7203 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7210 "preproc.y"
    { 
 (yyval.str) = make_str("access share");
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7214 "preproc.y"
    { 
 (yyval.str) = make_str("row share");
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7218 "preproc.y"
    { 
 (yyval.str) = make_str("row exclusive");
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7222 "preproc.y"
    { 
 (yyval.str) = make_str("share update exclusive");
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7226 "preproc.y"
    { 
 (yyval.str) = make_str("share");
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7230 "preproc.y"
    { 
 (yyval.str) = make_str("share row exclusive");
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7234 "preproc.y"
    { 
 (yyval.str) = make_str("exclusive");
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7238 "preproc.y"
    { 
 (yyval.str) = make_str("access exclusive");
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7246 "preproc.y"
    { 
 (yyval.str) = make_str("nowait");
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7250 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7257 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("update"),(yyvsp[(2) - (7)].str),make_str("set"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7277 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7281 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7297 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (5)].str),make_str(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7305 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7313 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7317 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7325 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? make_str("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
                                else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, make_str("declare"), cursor_marker, (yyvsp[(3) - (7)].str), make_str("cursor"), (yyvsp[(5) - (7)].str), make_str("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, make_str("/*"), c1, make_str("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				make_str("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7377 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7381 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7393 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7396 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("no scroll"));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7400 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("scroll"));
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7404 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("binary"));
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7408 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("insensitive"));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7416 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit == true)
			(yyval.str) = make_str("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7423 "preproc.y"
    { 
 (yyval.str) = make_str("with hold");
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = make_str("without hold");
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7451 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7459 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7463 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7467 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7471 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7475 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7479 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7483 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7487 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7495 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7499 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7507 "preproc.y"
    { 
 (yyval.str) = cat_str(9,make_str("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7511 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7515 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7519 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7523 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7527 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7535 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7539 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7547 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7551 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7559 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("as"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7567 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(make_str("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7571 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7573 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7580 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7584 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7588 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7592 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7596 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7600 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7604 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7608 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7616 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7620 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7627 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7631 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7635 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7642 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("distinct on ("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7650 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7654 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7661 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7665 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7672 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7680 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7684 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7692 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7696 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7704 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7708 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7712 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7716 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7724 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7728 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7735 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7739 "preproc.y"
    {
                mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                (yyval.str) = cat_str(4, make_str("limit"), (yyvsp[(2) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str));
        }
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7744 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("only"));
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7752 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7764 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7768 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7776 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7784 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7788 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7792 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7799 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7807 "preproc.y"
    { 
 (yyval.str) = make_str("row");
}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7811 "preproc.y"
    { 
 (yyval.str) = make_str("rows");
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7819 "preproc.y"
    { 
 (yyval.str) = make_str("first");
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7823 "preproc.y"
    { 
 (yyval.str) = make_str("next");
}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7835 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7842 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7846 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7853 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7857 "preproc.y"
    { 
 (yyval.str) = make_str("for read only");
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7865 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7869 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7876 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7880 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7888 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7892 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7900 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7904 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7911 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7915 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7927 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7938 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7954 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("as ("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7966 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("as"),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7970 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7974 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7984 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7988 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7996 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8000 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8004 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8008 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8012 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("natural"),(yyvsp[(3) - (5)].str),make_str("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8016 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8024 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("as"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8028 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8032 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8036 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8044 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8048 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8052 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8056 "preproc.y"
    { 
 (yyval.str) = make_str("inner");
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8064 "preproc.y"
    { 
 (yyval.str) = make_str("outer");
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8068 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8075 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("using ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8079 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8087 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8091 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("*"));
}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8095 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8099 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("only ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8107 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8111 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8119 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8123 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8127 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8135 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8143 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8147 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8154 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8158 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("where current of"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8162 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8169 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8173 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8181 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8189 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8191 "preproc.y"
    {	(yyval.str) = cat_str(3, make_str("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8193 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("array ["),(yyvsp[(4) - (5)].str),make_str("]"));
}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8197 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("setof"),(yyvsp[(2) - (6)].str),make_str("array ["),(yyvsp[(5) - (6)].str),make_str("]"));
}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8201 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("array"));
}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8205 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("setof"),(yyvsp[(2) - (3)].str),make_str("array"));
}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8213 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = make_str("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = make_str("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, make_str("[]"));
	}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8223 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, make_str("["), (yyvsp[(3) - (4)].str), make_str("]"));
	}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8233 "preproc.y"
    {
		(yyval.index).index1 = make_str("-1");
		(yyval.index).index2 = make_str("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8243 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8247 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8251 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8255 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8259 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8263 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8267 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8275 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8287 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8299 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8311 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8318 "preproc.y"
    { 
 (yyval.str) = make_str("int");
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8322 "preproc.y"
    { 
 (yyval.str) = make_str("integer");
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8326 "preproc.y"
    { 
 (yyval.str) = make_str("smallint");
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8330 "preproc.y"
    { 
 (yyval.str) = make_str("bigint");
}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8334 "preproc.y"
    { 
 (yyval.str) = make_str("real");
}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8338 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8342 "preproc.y"
    { 
 (yyval.str) = make_str("double precision");
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8346 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8350 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8354 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8358 "preproc.y"
    { 
 (yyval.str) = make_str("boolean");
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8366 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8370 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8377 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8381 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8389 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8393 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8401 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("bit"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8409 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8421 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8429 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8449 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8457 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8461 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8465 "preproc.y"
    { 
 (yyval.str) = make_str("varchar");
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8469 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8473 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8477 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8485 "preproc.y"
    { 
 (yyval.str) = make_str("varying");
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8489 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8496 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8500 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8507 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("timestamp ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8511 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8515 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("time ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8519 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8527 "preproc.y"
    { 
 (yyval.str) = make_str("interval");
}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8535 "preproc.y"
    { 
 (yyval.str) = make_str("with time zone");
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8539 "preproc.y"
    { 
 (yyval.str) = make_str("without time zone");
}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8543 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8550 "preproc.y"
    { 
 (yyval.str) = make_str("year");
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8554 "preproc.y"
    { 
 (yyval.str) = make_str("month");
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8558 "preproc.y"
    { 
 (yyval.str) = make_str("day");
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8562 "preproc.y"
    { 
 (yyval.str) = make_str("hour");
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8566 "preproc.y"
    { 
 (yyval.str) = make_str("minute");
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8570 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8574 "preproc.y"
    { 
 (yyval.str) = make_str("year to month");
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8578 "preproc.y"
    { 
 (yyval.str) = make_str("day to hour");
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8582 "preproc.y"
    { 
 (yyval.str) = make_str("day to minute");
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8586 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8590 "preproc.y"
    { 
 (yyval.str) = make_str("hour to minute");
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8594 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8598 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8602 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8609 "preproc.y"
    { 
 (yyval.str) = make_str("second");
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8613 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("second ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8621 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8625 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8629 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8633 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8637 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8641 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8645 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8649 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8653 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8657 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8665 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8669 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8673 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8677 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8681 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8685 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8689 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8693 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8697 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8705 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("like"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8709 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8713 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not like"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8717 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8721 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("ilike"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8729 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not ilike"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8733 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8737 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("similar to"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8745 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not similar to"),(yyvsp[(5) - (7)].str),make_str("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8749 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is null"));
}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("isnull"));
}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8757 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not null"));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8761 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("notnull"));
}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8765 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8769 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is true"));
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8773 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not true"));
}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8777 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is false"));
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8781 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not false"));
}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8785 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is unknown"));
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8789 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not unknown"));
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8793 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8797 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8801 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8805 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8809 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8813 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8817 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("between symmetric"),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8821 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not between symmetric"),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8825 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8829 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8833 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8837 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8841 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8846 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8850 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8858 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8866 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8870 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8874 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8878 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8886 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8890 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8894 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8898 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8902 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 8906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 8910 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 8914 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 8918 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 8922 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 8926 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 8930 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 8934 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 8938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 8942 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 8950 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 8954 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 8958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 8962 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 8966 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 8970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 8974 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 8978 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 8982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 8986 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 8990 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 8994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9002 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("( )"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9006 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9010 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( variadic"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9014 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),make_str("("),(yyvsp[(3) - (8)].str),make_str(", variadic"),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9018 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9022 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9026 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("( * )"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9034 "preproc.y"
    { 
 (yyval.str) = make_str("current_date");
}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9038 "preproc.y"
    { 
 (yyval.str) = make_str("current_time");
}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("current_time ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str) = make_str("current_timestamp");
}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9050 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("current_timestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9054 "preproc.y"
    { 
 (yyval.str) = make_str("localtime");
}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9058 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("localtime ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9062 "preproc.y"
    { 
 (yyval.str) = make_str("localtimestamp");
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("localtimestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9070 "preproc.y"
    { 
 (yyval.str) = make_str("current_role");
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9074 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9078 "preproc.y"
    { 
 (yyval.str) = make_str("session_user");
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9082 "preproc.y"
    { 
 (yyval.str) = make_str("user");
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9086 "preproc.y"
    { 
 (yyval.str) = make_str("current_catalog");
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9090 "preproc.y"
    { 
 (yyval.str) = make_str("current_schema");
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9094 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("cast ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9098 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("extract ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9102 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("overlay ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9106 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("position ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9110 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("substring ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9114 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("treat ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9118 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( both"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9122 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( leading"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9126 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ( trailing"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9130 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("trim ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9134 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("nullif ("),(yyvsp[(3) - (6)].str),make_str(","),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9138 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("coalesce ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9142 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("greatest ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9146 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("least ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9150 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlconcat ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9154 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlelement ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9158 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9162 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9166 "preproc.y"
    { 
 (yyval.str) = cat_str(7,make_str("xmlelement ( name"),(yyvsp[(4) - (9)].str),make_str(","),(yyvsp[(6) - (9)].str),make_str(","),(yyvsp[(8) - (9)].str),make_str(")"));
}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9170 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlforest ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9174 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9178 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlpi ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9182 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("xmlpi ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9186 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("xmlroot ("),(yyvsp[(3) - (7)].str),make_str(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9190 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("as"),(yyvsp[(6) - (7)].str),make_str(")"));
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9198 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9202 "preproc.y"
    { 
 (yyval.str) = make_str("version no value");
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9210 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone yes");
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9214 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone no");
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9218 "preproc.y"
    { 
 (yyval.str) = make_str(", standalone no value");
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9222 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9229 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("xmlattributes ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9241 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9249 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9253 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9261 "preproc.y"
    { 
 (yyval.str) = make_str("document");
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9265 "preproc.y"
    { 
 (yyval.str) = make_str("content");
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9273 "preproc.y"
    { 
 (yyval.str) = make_str("preserve whitespace");
}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9277 "preproc.y"
    { 
 (yyval.str) = make_str("strip whitespace");
}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9281 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9288 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9292 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9311 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9319 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9323 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9327 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9334 "preproc.y"
    { 
 (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9342 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9346 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9353 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9357 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9364 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,make_str("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9369 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9373 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9380 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9384 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("between"),(yyvsp[(2) - (4)].str),make_str("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9392 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded preceding");
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9396 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded following");
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9400 "preproc.y"
    { 
 (yyval.str) = make_str("current row");
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9404 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("preceding"));
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9408 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("following"));
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9416 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("row ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9420 "preproc.y"
    { 
 (yyval.str) = make_str("row ( )");
}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9424 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9432 "preproc.y"
    { 
 (yyval.str) = make_str("any");
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9436 "preproc.y"
    { 
 (yyval.str) = make_str("some");
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9440 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9448 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9452 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9460 "preproc.y"
    { 
 (yyval.str) = make_str("+");
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9464 "preproc.y"
    { 
 (yyval.str) = make_str("-");
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9468 "preproc.y"
    { 
 (yyval.str) = make_str("*");
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9472 "preproc.y"
    { 
 (yyval.str) = make_str("/");
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9476 "preproc.y"
    { 
 (yyval.str) = make_str("%");
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9480 "preproc.y"
    { 
 (yyval.str) = make_str("^");
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9484 "preproc.y"
    { 
 (yyval.str) = make_str("<");
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9488 "preproc.y"
    { 
 (yyval.str) = make_str(">");
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9492 "preproc.y"
    { 
 (yyval.str) = make_str("=");
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9500 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9504 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9512 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9524 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9528 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9532 "preproc.y"
    { 
 (yyval.str) = make_str("like");
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9536 "preproc.y"
    { 
 (yyval.str) = make_str("not like");
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9540 "preproc.y"
    { 
 (yyval.str) = make_str("ilike");
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9544 "preproc.y"
    { 
 (yyval.str) = make_str("not ilike");
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9552 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9556 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9564 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9568 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9576 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9580 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9588 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9592 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9600 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9604 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9608 "preproc.y"
    { 
 (yyval.str) = make_str("[ ]");
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9616 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9620 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9628 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9632 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9639 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9643 "preproc.y"
    { 
 (yyval.str) = make_str("year");
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9647 "preproc.y"
    { 
 (yyval.str) = make_str("month");
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9651 "preproc.y"
    { 
 (yyval.str) = make_str("day");
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9655 "preproc.y"
    { 
 (yyval.str) = make_str("hour");
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9659 "preproc.y"
    { 
 (yyval.str) = make_str("minute");
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9663 "preproc.y"
    { 
 (yyval.str) = make_str("second");
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9667 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9675 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9679 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9687 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9695 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9706 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9722 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9726 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9733 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9741 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9749 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9757 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9765 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9769 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9777 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("end"));
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9785 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9789 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9797 "preproc.y"
    { 
 (yyval.str) = cat_str(4,make_str("when"),(yyvsp[(2) - (4)].str),make_str("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9805 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9809 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 9816 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 9820 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 9827 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 9831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 9839 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 9843 "preproc.y"
    { 
 (yyval.str) = make_str(". *");
}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 9847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 9851 "preproc.y"
    { 
 (yyval.str) = cat_str(5,make_str("["),(yyvsp[(2) - (5)].str),make_str(":"),(yyvsp[(4) - (5)].str),make_str("]"));
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 9859 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 9863 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 9871 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 9874 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 9882 "preproc.y"
    { 
 (yyval.str) = make_str("asymmetric");
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 9886 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 9893 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 9897 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 9905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 9909 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 9917 "preproc.y"
    { 
 (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 9925 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 9929 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 9937 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 9941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 9945 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 9949 "preproc.y"
    { 
 (yyval.str) = make_str("*");
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 9957 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 9961 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 9969 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 9973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 9981 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 9985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 9993 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10001 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10009 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10017 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10041 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10045 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10053 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10057 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10061 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10065 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10069 "preproc.y"
    { 
 (yyval.str) = make_str("xconst");
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10077 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10081 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10085 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10089 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10093 "preproc.y"
    { 
 (yyval.str) = make_str("true");
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10097 "preproc.y"
    { 
 (yyval.str) = make_str("false");
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10101 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10104 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10105 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10111 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10117 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10128 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10130 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10134 "preproc.y"
    { 
 (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10142 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10146 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10150 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10154 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10162 "preproc.y"
    { 
 (yyval.str) = make_str("abort");
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10166 "preproc.y"
    { 
 (yyval.str) = make_str("absolute");
}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10170 "preproc.y"
    { 
 (yyval.str) = make_str("access");
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10174 "preproc.y"
    { 
 (yyval.str) = make_str("action");
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10178 "preproc.y"
    { 
 (yyval.str) = make_str("add");
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10182 "preproc.y"
    { 
 (yyval.str) = make_str("admin");
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10186 "preproc.y"
    { 
 (yyval.str) = make_str("after");
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10190 "preproc.y"
    { 
 (yyval.str) = make_str("aggregate");
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10194 "preproc.y"
    { 
 (yyval.str) = make_str("also");
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10198 "preproc.y"
    { 
 (yyval.str) = make_str("alter");
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10202 "preproc.y"
    { 
 (yyval.str) = make_str("always");
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10206 "preproc.y"
    { 
 (yyval.str) = make_str("assertion");
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10210 "preproc.y"
    { 
 (yyval.str) = make_str("assignment");
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10214 "preproc.y"
    { 
 (yyval.str) = make_str("at");
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10218 "preproc.y"
    { 
 (yyval.str) = make_str("backward");
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10222 "preproc.y"
    { 
 (yyval.str) = make_str("before");
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10226 "preproc.y"
    { 
 (yyval.str) = make_str("begin");
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10230 "preproc.y"
    { 
 (yyval.str) = make_str("by");
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10234 "preproc.y"
    { 
 (yyval.str) = make_str("cache");
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10238 "preproc.y"
    { 
 (yyval.str) = make_str("called");
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10242 "preproc.y"
    { 
 (yyval.str) = make_str("cascade");
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10246 "preproc.y"
    { 
 (yyval.str) = make_str("cascaded");
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10250 "preproc.y"
    { 
 (yyval.str) = make_str("catalog");
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10254 "preproc.y"
    { 
 (yyval.str) = make_str("chain");
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10258 "preproc.y"
    { 
 (yyval.str) = make_str("characteristics");
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10262 "preproc.y"
    { 
 (yyval.str) = make_str("checkpoint");
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10266 "preproc.y"
    { 
 (yyval.str) = make_str("class");
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10270 "preproc.y"
    { 
 (yyval.str) = make_str("close");
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10274 "preproc.y"
    { 
 (yyval.str) = make_str("cluster");
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10278 "preproc.y"
    { 
 (yyval.str) = make_str("comment");
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10282 "preproc.y"
    { 
 (yyval.str) = make_str("comments");
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10286 "preproc.y"
    { 
 (yyval.str) = make_str("commit");
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10290 "preproc.y"
    { 
 (yyval.str) = make_str("committed");
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10294 "preproc.y"
    { 
 (yyval.str) = make_str("configuration");
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10298 "preproc.y"
    { 
 (yyval.str) = make_str("constraints");
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10302 "preproc.y"
    { 
 (yyval.str) = make_str("content");
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10306 "preproc.y"
    { 
 (yyval.str) = make_str("continue");
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10310 "preproc.y"
    { 
 (yyval.str) = make_str("conversion");
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10314 "preproc.y"
    { 
 (yyval.str) = make_str("copy");
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10318 "preproc.y"
    { 
 (yyval.str) = make_str("cost");
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10322 "preproc.y"
    { 
 (yyval.str) = make_str("createdb");
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10326 "preproc.y"
    { 
 (yyval.str) = make_str("createrole");
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10330 "preproc.y"
    { 
 (yyval.str) = make_str("createuser");
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10334 "preproc.y"
    { 
 (yyval.str) = make_str("csv");
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10338 "preproc.y"
    { 
 (yyval.str) = make_str("cursor");
}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10342 "preproc.y"
    { 
 (yyval.str) = make_str("cycle");
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10346 "preproc.y"
    { 
 (yyval.str) = make_str("data");
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10350 "preproc.y"
    { 
 (yyval.str) = make_str("database");
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10354 "preproc.y"
    { 
 (yyval.str) = make_str("deallocate");
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10358 "preproc.y"
    { 
 (yyval.str) = make_str("declare");
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10362 "preproc.y"
    { 
 (yyval.str) = make_str("defaults");
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10366 "preproc.y"
    { 
 (yyval.str) = make_str("deferred");
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10370 "preproc.y"
    { 
 (yyval.str) = make_str("definer");
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10374 "preproc.y"
    { 
 (yyval.str) = make_str("delete");
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10378 "preproc.y"
    { 
 (yyval.str) = make_str("delimiter");
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10382 "preproc.y"
    { 
 (yyval.str) = make_str("delimiters");
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10386 "preproc.y"
    { 
 (yyval.str) = make_str("dictionary");
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10390 "preproc.y"
    { 
 (yyval.str) = make_str("disable");
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10394 "preproc.y"
    { 
 (yyval.str) = make_str("discard");
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10398 "preproc.y"
    { 
 (yyval.str) = make_str("document");
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10402 "preproc.y"
    { 
 (yyval.str) = make_str("domain");
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10406 "preproc.y"
    { 
 (yyval.str) = make_str("double");
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10410 "preproc.y"
    { 
 (yyval.str) = make_str("drop");
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10414 "preproc.y"
    { 
 (yyval.str) = make_str("each");
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10418 "preproc.y"
    { 
 (yyval.str) = make_str("enable");
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10422 "preproc.y"
    { 
 (yyval.str) = make_str("encoding");
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10426 "preproc.y"
    { 
 (yyval.str) = make_str("encrypted");
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10430 "preproc.y"
    { 
 (yyval.str) = make_str("enum");
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10434 "preproc.y"
    { 
 (yyval.str) = make_str("escape");
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10438 "preproc.y"
    { 
 (yyval.str) = make_str("exclude");
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10442 "preproc.y"
    { 
 (yyval.str) = make_str("excluding");
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10446 "preproc.y"
    { 
 (yyval.str) = make_str("exclusive");
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10450 "preproc.y"
    { 
 (yyval.str) = make_str("execute");
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10454 "preproc.y"
    { 
 (yyval.str) = make_str("explain");
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10458 "preproc.y"
    { 
 (yyval.str) = make_str("external");
}
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10462 "preproc.y"
    { 
 (yyval.str) = make_str("family");
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10466 "preproc.y"
    { 
 (yyval.str) = make_str("first");
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10470 "preproc.y"
    { 
 (yyval.str) = make_str("following");
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10474 "preproc.y"
    { 
 (yyval.str) = make_str("force");
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10478 "preproc.y"
    { 
 (yyval.str) = make_str("forward");
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10482 "preproc.y"
    { 
 (yyval.str) = make_str("function");
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10486 "preproc.y"
    { 
 (yyval.str) = make_str("functions");
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10490 "preproc.y"
    { 
 (yyval.str) = make_str("global");
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10494 "preproc.y"
    { 
 (yyval.str) = make_str("granted");
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10498 "preproc.y"
    { 
 (yyval.str) = make_str("handler");
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10502 "preproc.y"
    { 
 (yyval.str) = make_str("header");
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10506 "preproc.y"
    { 
 (yyval.str) = make_str("hold");
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10510 "preproc.y"
    { 
 (yyval.str) = make_str("identity");
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10514 "preproc.y"
    { 
 (yyval.str) = make_str("if");
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10518 "preproc.y"
    { 
 (yyval.str) = make_str("immediate");
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10522 "preproc.y"
    { 
 (yyval.str) = make_str("immutable");
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10526 "preproc.y"
    { 
 (yyval.str) = make_str("implicit");
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10530 "preproc.y"
    { 
 (yyval.str) = make_str("including");
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10534 "preproc.y"
    { 
 (yyval.str) = make_str("increment");
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10538 "preproc.y"
    { 
 (yyval.str) = make_str("index");
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10542 "preproc.y"
    { 
 (yyval.str) = make_str("indexes");
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10546 "preproc.y"
    { 
 (yyval.str) = make_str("inherit");
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10550 "preproc.y"
    { 
 (yyval.str) = make_str("inherits");
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10554 "preproc.y"
    { 
 (yyval.str) = make_str("inline");
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10558 "preproc.y"
    { 
 (yyval.str) = make_str("insensitive");
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10562 "preproc.y"
    { 
 (yyval.str) = make_str("insert");
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10566 "preproc.y"
    { 
 (yyval.str) = make_str("instead");
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10570 "preproc.y"
    { 
 (yyval.str) = make_str("invoker");
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10574 "preproc.y"
    { 
 (yyval.str) = make_str("isolation");
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10578 "preproc.y"
    { 
 (yyval.str) = make_str("key");
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10582 "preproc.y"
    { 
 (yyval.str) = make_str("language");
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10586 "preproc.y"
    { 
 (yyval.str) = make_str("large");
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10590 "preproc.y"
    { 
 (yyval.str) = make_str("last");
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10594 "preproc.y"
    { 
 (yyval.str) = make_str("lc_collate");
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10598 "preproc.y"
    { 
 (yyval.str) = make_str("lc_ctype");
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10602 "preproc.y"
    { 
 (yyval.str) = make_str("level");
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10606 "preproc.y"
    { 
 (yyval.str) = make_str("listen");
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10610 "preproc.y"
    { 
 (yyval.str) = make_str("load");
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10614 "preproc.y"
    { 
 (yyval.str) = make_str("local");
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10618 "preproc.y"
    { 
 (yyval.str) = make_str("location");
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10622 "preproc.y"
    { 
 (yyval.str) = make_str("lock");
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10626 "preproc.y"
    { 
 (yyval.str) = make_str("login");
}
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10630 "preproc.y"
    { 
 (yyval.str) = make_str("mapping");
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10634 "preproc.y"
    { 
 (yyval.str) = make_str("match");
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10638 "preproc.y"
    { 
 (yyval.str) = make_str("maxvalue");
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10642 "preproc.y"
    { 
 (yyval.str) = make_str("minvalue");
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10646 "preproc.y"
    { 
 (yyval.str) = make_str("mode");
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10650 "preproc.y"
    { 
 (yyval.str) = make_str("move");
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10654 "preproc.y"
    { 
 (yyval.str) = make_str("name");
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10658 "preproc.y"
    { 
 (yyval.str) = make_str("names");
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10662 "preproc.y"
    { 
 (yyval.str) = make_str("next");
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10666 "preproc.y"
    { 
 (yyval.str) = make_str("no");
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10670 "preproc.y"
    { 
 (yyval.str) = make_str("nocreatedb");
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10674 "preproc.y"
    { 
 (yyval.str) = make_str("nocreaterole");
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10678 "preproc.y"
    { 
 (yyval.str) = make_str("nocreateuser");
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10682 "preproc.y"
    { 
 (yyval.str) = make_str("noinherit");
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10686 "preproc.y"
    { 
 (yyval.str) = make_str("nologin");
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10690 "preproc.y"
    { 
 (yyval.str) = make_str("nosuperuser");
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10694 "preproc.y"
    { 
 (yyval.str) = make_str("nothing");
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10698 "preproc.y"
    { 
 (yyval.str) = make_str("notify");
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10702 "preproc.y"
    { 
 (yyval.str) = make_str("nowait");
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10706 "preproc.y"
    { 
 (yyval.str) = make_str("nulls");
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10710 "preproc.y"
    { 
 (yyval.str) = make_str("object");
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10714 "preproc.y"
    { 
 (yyval.str) = make_str("of");
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10718 "preproc.y"
    { 
 (yyval.str) = make_str("off");
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10722 "preproc.y"
    { 
 (yyval.str) = make_str("oids");
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10726 "preproc.y"
    { 
 (yyval.str) = make_str("operator");
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10730 "preproc.y"
    { 
 (yyval.str) = make_str("option");
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10734 "preproc.y"
    { 
 (yyval.str) = make_str("options");
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10738 "preproc.y"
    { 
 (yyval.str) = make_str("owned");
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10742 "preproc.y"
    { 
 (yyval.str) = make_str("owner");
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10746 "preproc.y"
    { 
 (yyval.str) = make_str("parser");
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10750 "preproc.y"
    { 
 (yyval.str) = make_str("partial");
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10754 "preproc.y"
    { 
 (yyval.str) = make_str("partition");
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10758 "preproc.y"
    { 
 (yyval.str) = make_str("password");
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10762 "preproc.y"
    { 
 (yyval.str) = make_str("plans");
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10766 "preproc.y"
    { 
 (yyval.str) = make_str("preceding");
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10770 "preproc.y"
    { 
 (yyval.str) = make_str("prepare");
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10774 "preproc.y"
    { 
 (yyval.str) = make_str("prepared");
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 10778 "preproc.y"
    { 
 (yyval.str) = make_str("preserve");
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 10782 "preproc.y"
    { 
 (yyval.str) = make_str("prior");
}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 10786 "preproc.y"
    { 
 (yyval.str) = make_str("privileges");
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 10790 "preproc.y"
    { 
 (yyval.str) = make_str("procedural");
}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 10794 "preproc.y"
    { 
 (yyval.str) = make_str("procedure");
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 10798 "preproc.y"
    { 
 (yyval.str) = make_str("quote");
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 10802 "preproc.y"
    { 
 (yyval.str) = make_str("range");
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 10806 "preproc.y"
    { 
 (yyval.str) = make_str("read");
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 10810 "preproc.y"
    { 
 (yyval.str) = make_str("reassign");
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 10814 "preproc.y"
    { 
 (yyval.str) = make_str("recheck");
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 10818 "preproc.y"
    { 
 (yyval.str) = make_str("recursive");
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 10822 "preproc.y"
    { 
 (yyval.str) = make_str("reindex");
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 10826 "preproc.y"
    { 
 (yyval.str) = make_str("relative");
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 10830 "preproc.y"
    { 
 (yyval.str) = make_str("release");
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 10834 "preproc.y"
    { 
 (yyval.str) = make_str("rename");
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 10838 "preproc.y"
    { 
 (yyval.str) = make_str("repeatable");
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 10842 "preproc.y"
    { 
 (yyval.str) = make_str("replace");
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 10846 "preproc.y"
    { 
 (yyval.str) = make_str("replica");
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = make_str("reset");
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 10854 "preproc.y"
    { 
 (yyval.str) = make_str("restart");
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 10858 "preproc.y"
    { 
 (yyval.str) = make_str("restrict");
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = make_str("returns");
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 10866 "preproc.y"
    { 
 (yyval.str) = make_str("revoke");
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 10870 "preproc.y"
    { 
 (yyval.str) = make_str("role");
}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 10874 "preproc.y"
    { 
 (yyval.str) = make_str("rollback");
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 10878 "preproc.y"
    { 
 (yyval.str) = make_str("rows");
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 10882 "preproc.y"
    { 
 (yyval.str) = make_str("rule");
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 10886 "preproc.y"
    { 
 (yyval.str) = make_str("savepoint");
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 10890 "preproc.y"
    { 
 (yyval.str) = make_str("schema");
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 10894 "preproc.y"
    { 
 (yyval.str) = make_str("scroll");
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 10898 "preproc.y"
    { 
 (yyval.str) = make_str("search");
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 10902 "preproc.y"
    { 
 (yyval.str) = make_str("security");
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 10906 "preproc.y"
    { 
 (yyval.str) = make_str("sequence");
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 10910 "preproc.y"
    { 
 (yyval.str) = make_str("sequences");
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = make_str("serializable");
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 10918 "preproc.y"
    { 
 (yyval.str) = make_str("server");
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 10922 "preproc.y"
    { 
 (yyval.str) = make_str("session");
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = make_str("set");
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 10930 "preproc.y"
    { 
 (yyval.str) = make_str("share");
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = make_str("show");
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = make_str("simple");
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = make_str("stable");
}
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str) = make_str("standalone");
}
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = make_str("start");
}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = make_str("statement");
}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 10958 "preproc.y"
    { 
 (yyval.str) = make_str("statistics");
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = make_str("stdin");
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = make_str("stdout");
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 10970 "preproc.y"
    { 
 (yyval.str) = make_str("storage");
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 10974 "preproc.y"
    { 
 (yyval.str) = make_str("strict");
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 10978 "preproc.y"
    { 
 (yyval.str) = make_str("strip");
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 10982 "preproc.y"
    { 
 (yyval.str) = make_str("superuser");
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 10986 "preproc.y"
    { 
 (yyval.str) = make_str("sysid");
}
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 10990 "preproc.y"
    { 
 (yyval.str) = make_str("system");
}
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 10994 "preproc.y"
    { 
 (yyval.str) = make_str("tables");
}
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 10998 "preproc.y"
    { 
 (yyval.str) = make_str("tablespace");
}
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11002 "preproc.y"
    { 
 (yyval.str) = make_str("temp");
}
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11006 "preproc.y"
    { 
 (yyval.str) = make_str("template");
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11010 "preproc.y"
    { 
 (yyval.str) = make_str("temporary");
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11014 "preproc.y"
    { 
 (yyval.str) = make_str("text");
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11018 "preproc.y"
    { 
 (yyval.str) = make_str("transaction");
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11022 "preproc.y"
    { 
 (yyval.str) = make_str("trigger");
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11026 "preproc.y"
    { 
 (yyval.str) = make_str("truncate");
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11030 "preproc.y"
    { 
 (yyval.str) = make_str("trusted");
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11034 "preproc.y"
    { 
 (yyval.str) = make_str("type");
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11038 "preproc.y"
    { 
 (yyval.str) = make_str("unbounded");
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11042 "preproc.y"
    { 
 (yyval.str) = make_str("uncommitted");
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11046 "preproc.y"
    { 
 (yyval.str) = make_str("unencrypted");
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11050 "preproc.y"
    { 
 (yyval.str) = make_str("unknown");
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11054 "preproc.y"
    { 
 (yyval.str) = make_str("unlisten");
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11058 "preproc.y"
    { 
 (yyval.str) = make_str("until");
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11062 "preproc.y"
    { 
 (yyval.str) = make_str("update");
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11066 "preproc.y"
    { 
 (yyval.str) = make_str("vacuum");
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11070 "preproc.y"
    { 
 (yyval.str) = make_str("valid");
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11074 "preproc.y"
    { 
 (yyval.str) = make_str("validator");
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11078 "preproc.y"
    { 
 (yyval.str) = make_str("value");
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11082 "preproc.y"
    { 
 (yyval.str) = make_str("varying");
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11086 "preproc.y"
    { 
 (yyval.str) = make_str("version");
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11090 "preproc.y"
    { 
 (yyval.str) = make_str("view");
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11094 "preproc.y"
    { 
 (yyval.str) = make_str("volatile");
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11098 "preproc.y"
    { 
 (yyval.str) = make_str("whitespace");
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11102 "preproc.y"
    { 
 (yyval.str) = make_str("without");
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11106 "preproc.y"
    { 
 (yyval.str) = make_str("work");
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11110 "preproc.y"
    { 
 (yyval.str) = make_str("wrapper");
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11114 "preproc.y"
    { 
 (yyval.str) = make_str("write");
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11118 "preproc.y"
    { 
 (yyval.str) = make_str("xml");
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11122 "preproc.y"
    { 
 (yyval.str) = make_str("yes");
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11126 "preproc.y"
    { 
 (yyval.str) = make_str("zone");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11134 "preproc.y"
    { 
 (yyval.str) = make_str("between");
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11138 "preproc.y"
    { 
 (yyval.str) = make_str("bigint");
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11142 "preproc.y"
    { 
 (yyval.str) = make_str("bit");
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11146 "preproc.y"
    { 
 (yyval.str) = make_str("boolean");
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11150 "preproc.y"
    { 
 (yyval.str) = make_str("character");
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11154 "preproc.y"
    { 
 (yyval.str) = make_str("coalesce");
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11158 "preproc.y"
    { 
 (yyval.str) = make_str("dec");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11162 "preproc.y"
    { 
 (yyval.str) = make_str("decimal");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11166 "preproc.y"
    { 
 (yyval.str) = make_str("exists");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11170 "preproc.y"
    { 
 (yyval.str) = make_str("extract");
}
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11174 "preproc.y"
    { 
 (yyval.str) = make_str("float");
}
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11178 "preproc.y"
    { 
 (yyval.str) = make_str("greatest");
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11182 "preproc.y"
    { 
 (yyval.str) = make_str("inout");
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11186 "preproc.y"
    { 
 (yyval.str) = make_str("integer");
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11190 "preproc.y"
    { 
 (yyval.str) = make_str("interval");
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11194 "preproc.y"
    { 
 (yyval.str) = make_str("least");
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11198 "preproc.y"
    { 
 (yyval.str) = make_str("national");
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11202 "preproc.y"
    { 
 (yyval.str) = make_str("nchar");
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11206 "preproc.y"
    { 
 (yyval.str) = make_str("none");
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11210 "preproc.y"
    { 
 (yyval.str) = make_str("nullif");
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11214 "preproc.y"
    { 
 (yyval.str) = make_str("numeric");
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11218 "preproc.y"
    { 
 (yyval.str) = make_str("out");
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11222 "preproc.y"
    { 
 (yyval.str) = make_str("overlay");
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11226 "preproc.y"
    { 
 (yyval.str) = make_str("position");
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11230 "preproc.y"
    { 
 (yyval.str) = make_str("precision");
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11234 "preproc.y"
    { 
 (yyval.str) = make_str("real");
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11238 "preproc.y"
    { 
 (yyval.str) = make_str("row");
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11242 "preproc.y"
    { 
 (yyval.str) = make_str("setof");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11246 "preproc.y"
    { 
 (yyval.str) = make_str("smallint");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11250 "preproc.y"
    { 
 (yyval.str) = make_str("substring");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11254 "preproc.y"
    { 
 (yyval.str) = make_str("time");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11258 "preproc.y"
    { 
 (yyval.str) = make_str("timestamp");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11262 "preproc.y"
    { 
 (yyval.str) = make_str("treat");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11266 "preproc.y"
    { 
 (yyval.str) = make_str("trim");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11270 "preproc.y"
    { 
 (yyval.str) = make_str("varchar");
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11274 "preproc.y"
    { 
 (yyval.str) = make_str("xmlattributes");
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11278 "preproc.y"
    { 
 (yyval.str) = make_str("xmlconcat");
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11282 "preproc.y"
    { 
 (yyval.str) = make_str("xmlelement");
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11286 "preproc.y"
    { 
 (yyval.str) = make_str("xmlforest");
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11290 "preproc.y"
    { 
 (yyval.str) = make_str("xmlparse");
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11294 "preproc.y"
    { 
 (yyval.str) = make_str("xmlpi");
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11298 "preproc.y"
    { 
 (yyval.str) = make_str("xmlroot");
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11302 "preproc.y"
    { 
 (yyval.str) = make_str("xmlserialize");
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11310 "preproc.y"
    { 
 (yyval.str) = make_str("authorization");
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11314 "preproc.y"
    { 
 (yyval.str) = make_str("binary");
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11318 "preproc.y"
    { 
 (yyval.str) = make_str("concurrently");
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11322 "preproc.y"
    { 
 (yyval.str) = make_str("cross");
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11326 "preproc.y"
    { 
 (yyval.str) = make_str("current_schema");
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11330 "preproc.y"
    { 
 (yyval.str) = make_str("freeze");
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11334 "preproc.y"
    { 
 (yyval.str) = make_str("full");
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11338 "preproc.y"
    { 
 (yyval.str) = make_str("ilike");
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11342 "preproc.y"
    { 
 (yyval.str) = make_str("inner");
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11346 "preproc.y"
    { 
 (yyval.str) = make_str("is");
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11350 "preproc.y"
    { 
 (yyval.str) = make_str("isnull");
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11354 "preproc.y"
    { 
 (yyval.str) = make_str("join");
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11358 "preproc.y"
    { 
 (yyval.str) = make_str("left");
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11362 "preproc.y"
    { 
 (yyval.str) = make_str("like");
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11366 "preproc.y"
    { 
 (yyval.str) = make_str("natural");
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11370 "preproc.y"
    { 
 (yyval.str) = make_str("notnull");
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11374 "preproc.y"
    { 
 (yyval.str) = make_str("outer");
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11378 "preproc.y"
    { 
 (yyval.str) = make_str("over");
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11382 "preproc.y"
    { 
 (yyval.str) = make_str("overlaps");
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11386 "preproc.y"
    { 
 (yyval.str) = make_str("right");
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11390 "preproc.y"
    { 
 (yyval.str) = make_str("similar");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11394 "preproc.y"
    { 
 (yyval.str) = make_str("verbose");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11402 "preproc.y"
    { 
 (yyval.str) = make_str("all");
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11406 "preproc.y"
    { 
 (yyval.str) = make_str("analyse");
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11410 "preproc.y"
    { 
 (yyval.str) = make_str("analyze");
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11414 "preproc.y"
    { 
 (yyval.str) = make_str("and");
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11418 "preproc.y"
    { 
 (yyval.str) = make_str("any");
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11422 "preproc.y"
    { 
 (yyval.str) = make_str("array");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11426 "preproc.y"
    { 
 (yyval.str) = make_str("as");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11430 "preproc.y"
    { 
 (yyval.str) = make_str("asc");
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11434 "preproc.y"
    { 
 (yyval.str) = make_str("asymmetric");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11438 "preproc.y"
    { 
 (yyval.str) = make_str("both");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11442 "preproc.y"
    { 
 (yyval.str) = make_str("case");
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11446 "preproc.y"
    { 
 (yyval.str) = make_str("cast");
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11450 "preproc.y"
    { 
 (yyval.str) = make_str("check");
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11454 "preproc.y"
    { 
 (yyval.str) = make_str("collate");
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11458 "preproc.y"
    { 
 (yyval.str) = make_str("column");
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11462 "preproc.y"
    { 
 (yyval.str) = make_str("constraint");
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11466 "preproc.y"
    { 
 (yyval.str) = make_str("create");
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11470 "preproc.y"
    { 
 (yyval.str) = make_str("current_catalog");
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11474 "preproc.y"
    { 
 (yyval.str) = make_str("current_date");
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11478 "preproc.y"
    { 
 (yyval.str) = make_str("current_role");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11482 "preproc.y"
    { 
 (yyval.str) = make_str("current_time");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11486 "preproc.y"
    { 
 (yyval.str) = make_str("current_timestamp");
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11490 "preproc.y"
    { 
 (yyval.str) = make_str("current_user");
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11494 "preproc.y"
    { 
 (yyval.str) = make_str("default");
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11498 "preproc.y"
    { 
 (yyval.str) = make_str("deferrable");
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11502 "preproc.y"
    { 
 (yyval.str) = make_str("desc");
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11506 "preproc.y"
    { 
 (yyval.str) = make_str("distinct");
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11510 "preproc.y"
    { 
 (yyval.str) = make_str("do");
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11514 "preproc.y"
    { 
 (yyval.str) = make_str("else");
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11518 "preproc.y"
    { 
 (yyval.str) = make_str("end");
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11522 "preproc.y"
    { 
 (yyval.str) = make_str("except");
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 11526 "preproc.y"
    { 
 (yyval.str) = make_str("false");
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 11530 "preproc.y"
    { 
 (yyval.str) = make_str("fetch");
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 11534 "preproc.y"
    { 
 (yyval.str) = make_str("for");
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 11538 "preproc.y"
    { 
 (yyval.str) = make_str("foreign");
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 11542 "preproc.y"
    { 
 (yyval.str) = make_str("from");
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 11546 "preproc.y"
    { 
 (yyval.str) = make_str("grant");
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 11550 "preproc.y"
    { 
 (yyval.str) = make_str("group");
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 11554 "preproc.y"
    { 
 (yyval.str) = make_str("having");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 11558 "preproc.y"
    { 
 (yyval.str) = make_str("in");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 11562 "preproc.y"
    { 
 (yyval.str) = make_str("initially");
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 11566 "preproc.y"
    { 
 (yyval.str) = make_str("intersect");
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 11570 "preproc.y"
    { 
 (yyval.str) = make_str("into");
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 11574 "preproc.y"
    { 
 (yyval.str) = make_str("leading");
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 11578 "preproc.y"
    { 
 (yyval.str) = make_str("limit");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 11582 "preproc.y"
    { 
 (yyval.str) = make_str("localtime");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 11586 "preproc.y"
    { 
 (yyval.str) = make_str("localtimestamp");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 11590 "preproc.y"
    { 
 (yyval.str) = make_str("not");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 11594 "preproc.y"
    { 
 (yyval.str) = make_str("null");
}
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 11598 "preproc.y"
    { 
 (yyval.str) = make_str("offset");
}
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 11602 "preproc.y"
    { 
 (yyval.str) = make_str("on");
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 11606 "preproc.y"
    { 
 (yyval.str) = make_str("only");
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 11610 "preproc.y"
    { 
 (yyval.str) = make_str("or");
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 11614 "preproc.y"
    { 
 (yyval.str) = make_str("order");
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 11618 "preproc.y"
    { 
 (yyval.str) = make_str("placing");
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 11622 "preproc.y"
    { 
 (yyval.str) = make_str("primary");
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 11626 "preproc.y"
    { 
 (yyval.str) = make_str("references");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 11630 "preproc.y"
    { 
 (yyval.str) = make_str("returning");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 11634 "preproc.y"
    { 
 (yyval.str) = make_str("select");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 11638 "preproc.y"
    { 
 (yyval.str) = make_str("session_user");
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 11642 "preproc.y"
    { 
 (yyval.str) = make_str("some");
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 11646 "preproc.y"
    { 
 (yyval.str) = make_str("symmetric");
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 11650 "preproc.y"
    { 
 (yyval.str) = make_str("table");
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 11654 "preproc.y"
    { 
 (yyval.str) = make_str("then");
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 11658 "preproc.y"
    { 
 (yyval.str) = make_str("trailing");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 11662 "preproc.y"
    { 
 (yyval.str) = make_str("true");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 11666 "preproc.y"
    { 
 (yyval.str) = make_str("unique");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 11670 "preproc.y"
    { 
 (yyval.str) = make_str("user");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 11674 "preproc.y"
    { 
 (yyval.str) = make_str("using");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 11678 "preproc.y"
    { 
 (yyval.str) = make_str("variadic");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 11682 "preproc.y"
    { 
 (yyval.str) = make_str("when");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 11686 "preproc.y"
    { 
 (yyval.str) = make_str("where");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 11690 "preproc.y"
    { 
 (yyval.str) = make_str("window");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 11694 "preproc.y"
    { 
 (yyval.str) = make_str("with");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 11707 "preproc.y"
    { connection = NULL; }
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 11710 "preproc.y"
    {
                        fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
                        free((yyvsp[(2) - (2)].str));
                        output_line_number();
                }
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 11716 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 11717 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 11718 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 11720 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 11732 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 11733 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, make_str("create"), (yyvsp[(2) - (8)].str), make_str("table"), (yyvsp[(4) - (8)].str), make_str("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 11742 "preproc.y"
    {
                        connection = (yyvsp[(2) - (2)].str);
                        /*
                         *      Do we have a variable as connection target?
                         *      Remove the variable from the variable
                         *      list or else it will be used twice
                         */
                        if (argsinsert != NULL)
                                argsinsert = NULL;
                }
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 11758 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), make_str(","), (yyvsp[(5) - (5)].str), make_str(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 11760 "preproc.y"
    { (yyval.str) = make_str("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 11763 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("NULL,"), (yyvsp[(2) - (2)].str), make_str(", NULL")); }
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 11765 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), make_str(", NULL, NULL, NULL")); }
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 11769 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));
			
			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(make_str("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), make_str("\""));
		}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 11781 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(make_str("\""), (yyvsp[(1) - (7)].str), make_str(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), make_str("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), make_str("\"")));
		}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 11797 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 11801 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 11811 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 11812 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 11816 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), make_str(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 11828 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 11836 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 11837 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 11840 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 11841 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), make_str("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 11842 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 11845 "preproc.y"
    { (yyval.str) = make2_str(make_str(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 11846 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 11849 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 11850 "preproc.y"
    { (yyval.str) = make_str("NULL"); }
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 11853 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 11854 "preproc.y"
    { (yyval.str) = make_str("NULL, NULL"); }
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 11858 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), make_str(", NULL")); }
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 11860 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 11862 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 11864 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 11868 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
		}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 11875 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
		}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 11882 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), make_str(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 11898 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), make_str(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 11932 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(make_str("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 11941 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 11945 "preproc.y"
    { (yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 11947 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 11959 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 11961 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 11963 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 11965 "preproc.y"
    { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 11968 "preproc.y"
    {
                                        if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
                                                (yyval.str) = (yyvsp[(1) - (1)].str);
                                        else /* not quoted => convert to lowercase */
                                        {
                                                int i;

                                                for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
                                                        (yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

                                                (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\""));
                                        }
                                }
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 11981 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 11989 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? make_str("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
	                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
        	                        else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, make_str("declare"), cursor_marker, (yyvsp[(3) - (7)].str), make_str("cursor"), (yyvsp[(5) - (7)].str), make_str("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, make_str("/*"), mm_strdup(this->command), make_str("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					make_str("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12049 "preproc.y"
    { 
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12059 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12060 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12063 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12065 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12066 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12069 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12070 "preproc.y"
    { (yyval.str) = make_str("year to minute"); }
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12071 "preproc.y"
    { (yyval.str) = make_str("year to second"); }
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12072 "preproc.y"
    { (yyval.str) = make_str("day to day"); }
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12073 "preproc.y"
    { (yyval.str) = make_str("month to month"); }
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12080 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12082 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12089 "preproc.y"
    {}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12091 "preproc.y"
    {}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12093 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12094 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12097 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12098 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12099 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12100 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12103 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12104 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12108 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12114 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = make_str("");
	}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12124 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12134 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), make_str(";\n"));
		}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12138 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12148 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), make_str(";\n"));
		}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12152 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), make_str(";"));
		}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12157 "preproc.y"
    { (yyval.str) =cat2_str(make_str(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12158 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12162 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12163 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12164 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12167 "preproc.y"
    { (yyval.str) = make_str("extern"); }
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12168 "preproc.y"
    { (yyval.str) = make_str("static"); }
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12169 "preproc.y"
    { (yyval.str) = make_str("register"); }
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12170 "preproc.y"
    { (yyval.str) = make_str("auto"); }
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12173 "preproc.y"
    { (yyval.str) = make_str("const"); }
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12174 "preproc.y"
    { (yyval.str) = make_str("volatile"); }
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12178 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12186 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12203 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12211 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = make_str("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
			}

			(yyval.type).type_dimension = make_str("-1");
			(yyval.type).type_index = make_str("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12234 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*make_str("varchar");*/
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = make_str("float");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = make_str("double");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = make_str("numeric");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = make_str("decimal");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = make_str("date");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = make_str("timestamp");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = make_str("interval");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = make_str("timestamp");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = make_str("char");
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else 
					(yyval.type).type_sizeof = cat_str(3, make_str("sizeof("), mm_strdup(this->name), make_str(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12340 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = make_str("-1");
				(yyval.type).type_index = make_str("-1");
				(yyval.type).type_sizeof = make_str("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12374 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12376 "preproc.y"
    { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12378 "preproc.y"
    { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12382 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); }
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12385 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12392 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = make_str("-1"); /* dimension of array */
			this->type->type_index = make_str("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, make_str("{"), (yyvsp[(4) - (5)].str), make_str("}"));
		}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12435 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12437 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12443 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), make_str("{"), (yyvsp[(4) - (5)].str), make_str("}"));
		}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12452 "preproc.y"
    {
			(yyval.struct_union).su = make_str("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, make_str("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), make_str(")"));
		}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12458 "preproc.y"
    {
			(yyval.struct_union).su = make_str("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12465 "preproc.y"
    {
			ECPGstruct_sizeof = make_str(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = make_str("struct");
		}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12469 "preproc.y"
    { (yyval.str) = make_str("union"); }
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12472 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12473 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12476 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12477 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12478 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12479 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12480 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12481 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12483 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12491 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12498 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12501 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12502 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12503 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12504 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12505 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12507 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12515 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12522 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12523 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12524 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12532 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12534 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12538 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1; /* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;    /* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);
					
					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=make_str("");
					else
							dim_str=cat_str(3, make_str("["), mm_strdup(dimension), make_str("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(make_str(" struct varchar_"), vcn), make_str(" { int len; char arr["), mm_strdup(length), make_str("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(make_str(" struct varchar_"), vcn), make_str(" { int len; char arr["), mm_strdup(length), make_str("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, make_str("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, make_str("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12625 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12627 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(make_str("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12633 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12634 "preproc.y"
    { (yyval.str) = make_str("*"); }
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12635 "preproc.y"
    { (yyval.str) = make_str("**"); }
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12642 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, make_str("/* declare statement"), (yyvsp[(3) - (3)].str), make_str("*/"));
		}
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12650 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12653 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12654 "preproc.y"
    { (yyval.str) = make_str("\"CURRENT\""); }
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12655 "preproc.y"
    { (yyval.str) = make_str("\"ALL\""); }
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12656 "preproc.y"
    { (yyval.str) = make_str("\"CURRENT\""); }
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12659 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12660 "preproc.y"
    { (yyval.str) = make_str("\"DEFAULT\""); }
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12661 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12665 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12667 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12674 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12675 "preproc.y"
    { (yyval.str) = make_str("all"); }
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12682 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12689 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12690 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12693 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12694 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12698 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12703 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12710 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12715 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12722 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12731 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2263:

/* Line 1806 of yacc.c  */
#line 12737 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12738 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12741 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12742 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12743 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12744 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12745 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12746 "preproc.y"
    { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12747 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12748 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12749 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12756 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12763 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12775 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12781 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12788 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12795 "preproc.y"
    { (yyval.str) = make_str("output"); }
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12796 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12809 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12820 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12831 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12839 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12844 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 12852 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 12858 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                }
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 12865 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 12868 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 12876 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 12883 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 12887 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 12895 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 12901 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                }
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 12908 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 12910 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 12919 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 12928 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = (yyvsp[(1) - (1)].str) + 1;

                        var[strlen(var) - 1] = '\0';
                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                }
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 12939 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 12940 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 12941 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 12942 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 12943 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 12944 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 12945 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 12946 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 12947 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 12948 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 12949 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 12950 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 12951 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 12952 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 12953 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 12960 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 12961 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 12964 "preproc.y"
    { (yyval.str) = make_str("on"); }
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 12965 "preproc.y"
    { (yyval.str) = make_str("off"); }
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 12972 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 12973 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 12974 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 12981 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 12987 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, make_str("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), make_str("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), make_str("*/"));
			else
				(yyval.str) = cat_str(6, make_str("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?make_str("*"):make_str(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), make_str(";"));
		}
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 12997 "preproc.y"
    { (yyval.str) = make_str("reference"); }
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 12998 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 13005 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 13011 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, make_str("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, make_str("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, make_str("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), make_str("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), make_str("*/"));
		}
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 13075 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, make_str("; */"));
		}
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 13081 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, make_str("; */"));
		}
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 13087 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, make_str("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, make_str("; */"));
		}
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 13095 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("continue");
		}
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13101 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("sqlprint");
		}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13107 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("stop");
		}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13113 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(make_str("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13119 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(make_str("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13125 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
			(yyval.action).str = cat2_str(make_str("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13131 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = make_str("break");
		}
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13137 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
			(yyval.action).str = cat2_str(make_str("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13143 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), make_str("()"));
			(yyval.action).str = cat2_str(make_str("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13153 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13154 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13157 "preproc.y"
    { (yyval.str) = make_str("break"); }
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13158 "preproc.y"
    { (yyval.str) = make_str("call"); }
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13159 "preproc.y"
    { (yyval.str) = make_str("cardinality"); }
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13160 "preproc.y"
    { (yyval.str) = make_str("count"); }
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13161 "preproc.y"
    { (yyval.str) = make_str("datetime_interval_code"); }
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13162 "preproc.y"
    { (yyval.str) = make_str("datetime_interval_precision"); }
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13163 "preproc.y"
    { (yyval.str) = make_str("found"); }
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13164 "preproc.y"
    { (yyval.str) = make_str("go"); }
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13165 "preproc.y"
    { (yyval.str) = make_str("goto"); }
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13166 "preproc.y"
    { (yyval.str) = make_str("identified"); }
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13167 "preproc.y"
    { (yyval.str) = make_str("indicator"); }
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13168 "preproc.y"
    { (yyval.str) = make_str("key_member"); }
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13169 "preproc.y"
    { (yyval.str) = make_str("length"); }
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13170 "preproc.y"
    { (yyval.str) = make_str("nullable"); }
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13171 "preproc.y"
    { (yyval.str) = make_str("octet_length"); }
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13172 "preproc.y"
    { (yyval.str) = make_str("returned_length"); }
    break;

  case 2365:

/* Line 1806 of yacc.c  */
#line 13173 "preproc.y"
    { (yyval.str) = make_str("returned_octet_length"); }
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13174 "preproc.y"
    { (yyval.str) = make_str("scale"); }
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13175 "preproc.y"
    { (yyval.str) = make_str("section"); }
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13176 "preproc.y"
    { (yyval.str) = make_str("sql"); }
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13177 "preproc.y"
    { (yyval.str) = make_str("sqlerror"); }
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13178 "preproc.y"
    { (yyval.str) = make_str("sqlprint"); }
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13179 "preproc.y"
    { (yyval.str) = make_str("sqlwarning"); }
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13180 "preproc.y"
    { (yyval.str) = make_str("stop"); }
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13183 "preproc.y"
    { (yyval.str) = make_str("connect"); }
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13184 "preproc.y"
    { (yyval.str) = make_str("describe"); }
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13185 "preproc.y"
    { (yyval.str) = make_str("disconnect"); }
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13186 "preproc.y"
    { (yyval.str) = make_str("open"); }
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13187 "preproc.y"
    { (yyval.str) = make_str("var"); }
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13188 "preproc.y"
    { (yyval.str) = make_str("whenever"); }
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13192 "preproc.y"
    { (yyval.str) = make_str("bool"); }
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13193 "preproc.y"
    { (yyval.str) = make_str("long"); }
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13194 "preproc.y"
    { (yyval.str) = make_str("output"); }
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13195 "preproc.y"
    { (yyval.str) = make_str("short"); }
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13196 "preproc.y"
    { (yyval.str) = make_str("struct"); }
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13197 "preproc.y"
    { (yyval.str) = make_str("signed"); }
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13198 "preproc.y"
    { (yyval.str) = make_str("unsigned"); }
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13201 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13204 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13205 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13206 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13207 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13208 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13209 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13210 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13211 "preproc.y"
    { (yyval.str) = make_str("values"); }
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13224 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13225 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13226 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13227 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13228 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13229 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13230 "preproc.y"
    { (yyval.str) = make_str("values"); }
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13235 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13236 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13237 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13238 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13239 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13240 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13246 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13247 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13248 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13249 "preproc.y"
    { (yyval.str) = make_str("current"); }
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13250 "preproc.y"
    { (yyval.str) = make_str("input"); }
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13251 "preproc.y"
    { (yyval.str) = make_str("int"); }
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13252 "preproc.y"
    { (yyval.str) = make_str("to"); }
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13253 "preproc.y"
    { (yyval.str) = make_str("union"); }
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13254 "preproc.y"
    { (yyval.str) = make_str("values"); }
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13255 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13256 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13259 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13260 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2421:

/* Line 1806 of yacc.c  */
#line 13261 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13262 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13263 "preproc.y"
    { (yyval.str) = make_str("connection"); }
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13266 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13267 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13268 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13269 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13272 "preproc.y"
    { (yyval.str) = make_str("auto"); }
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13273 "preproc.y"
    { (yyval.str) = make_str("const"); }
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13274 "preproc.y"
    { (yyval.str) = make_str("extern"); }
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13275 "preproc.y"
    { (yyval.str) = make_str("register"); }
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13276 "preproc.y"
    { (yyval.str) = make_str("static"); }
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13277 "preproc.y"
    { (yyval.str) = make_str("typedef"); }
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13278 "preproc.y"
    { (yyval.str) = make_str("volatile"); }
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13295 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13296 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13297 "preproc.y"
    { (yyval.str) = make_str("connection"); }
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13300 "preproc.y"
    { (yyval.str) = make_str("day"); }
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13301 "preproc.y"
    { (yyval.str) = make_str("hour"); }
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13302 "preproc.y"
    { (yyval.str) = make_str("minute"); }
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13303 "preproc.y"
    { (yyval.str) = make_str("month"); }
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13304 "preproc.y"
    { (yyval.str) = make_str("second"); }
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13305 "preproc.y"
    { (yyval.str) = make_str("year"); }
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13312 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13318 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13319 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13323 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13325 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13330 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13340 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2453:

/* Line 1806 of yacc.c  */
#line 13351 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13357 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13358 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13359 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13363 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13395 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13397 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13399 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13403 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13413 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13423 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13432 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13433 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13436 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13438 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13439 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13440 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13444 "preproc.y"
    { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); }
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13446 "preproc.y"
    { (yyval.str) = make3_str(make_str("("), (yyvsp[(1) - (1)].str), make_str(")")); }
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13453 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13454 "preproc.y"
    { (yyval.str) = make_str("()"); }
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13456 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); }
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13459 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13461 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13464 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13465 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13468 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13469 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); }
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13472 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13473 "preproc.y"
    { (yyval.str) = make_str("("); }
    break;

  case 2483:

/* Line 1806 of yacc.c  */
#line 13474 "preproc.y"
    { (yyval.str) = make_str(")"); }
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13475 "preproc.y"
    { (yyval.str) = make_str(","); }
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13476 "preproc.y"
    { (yyval.str) = make_str(";"); }
    break;

  case 2486:

/* Line 1806 of yacc.c  */
#line 13479 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2487:

/* Line 1806 of yacc.c  */
#line 13480 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13481 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13482 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13483 "preproc.y"
    { (yyval.str) = make_str("*"); }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13484 "preproc.y"
    { (yyval.str) = make_str("+"); }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13485 "preproc.y"
    { (yyval.str) = make_str("-"); }
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13486 "preproc.y"
    { (yyval.str) = make_str("/"); }
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13487 "preproc.y"
    { (yyval.str) = make_str("%"); }
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13488 "preproc.y"
    { (yyval.str) = make_str("NULL"); }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13489 "preproc.y"
    { (yyval.str) = make_str("+="); }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13490 "preproc.y"
    { (yyval.str) = make_str("&&"); }
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13491 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13492 "preproc.y"
    { (yyval.str) = make_str("auto"); }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13493 "preproc.y"
    { (yyval.str) = make_str("const"); }
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13494 "preproc.y"
    { (yyval.str) = make_str("--"); }
    break;

  case 2502:

/* Line 1806 of yacc.c  */
#line 13495 "preproc.y"
    { (yyval.str) = make_str("/="); }
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13496 "preproc.y"
    { (yyval.str) = make_str(".*"); }
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13497 "preproc.y"
    { (yyval.str) = make_str("=="); }
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13498 "preproc.y"
    { (yyval.str) = make_str("extern"); }
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 13499 "preproc.y"
    { (yyval.str) = make_str("++"); }
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 13500 "preproc.y"
    { (yyval.str) = make_str("<<"); }
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 13501 "preproc.y"
    { (yyval.str) = make_str("->"); }
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 13502 "preproc.y"
    { (yyval.str) = make_str("->*"); }
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 13503 "preproc.y"
    { (yyval.str) = make_str("%="); }
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 13504 "preproc.y"
    { (yyval.str) = make_str("*="); }
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 13505 "preproc.y"
    { (yyval.str) = make_str("!="); }
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 13506 "preproc.y"
    { (yyval.str) = make_str("||"); }
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 13507 "preproc.y"
    { (yyval.str) = make_str("register"); }
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 13508 "preproc.y"
    { (yyval.str) = make_str(">>"); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 13509 "preproc.y"
    { (yyval.str) = make_str("static"); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 13510 "preproc.y"
    { (yyval.str) = make_str("-="); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 13511 "preproc.y"
    { (yyval.str) = make_str("typedef"); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 13512 "preproc.y"
    { (yyval.str) = make_str("volatile"); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 13513 "preproc.y"
    { (yyval.str) = make_str("bool"); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 13514 "preproc.y"
    { (yyval.str) = make_str("enum"); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 13515 "preproc.y"
    { (yyval.str) = make_str("hour"); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 13516 "preproc.y"
    { (yyval.str) = make_str("int"); }
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 13517 "preproc.y"
    { (yyval.str) = make_str("long"); }
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 13518 "preproc.y"
    { (yyval.str) = make_str("minute"); }
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 13519 "preproc.y"
    { (yyval.str) = make_str("month"); }
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 13520 "preproc.y"
    { (yyval.str) = make_str("second"); }
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 13521 "preproc.y"
    { (yyval.str) = make_str("short"); }
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 13522 "preproc.y"
    { (yyval.str) = make_str("signed"); }
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = make_str("struct"); }
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 13524 "preproc.y"
    { (yyval.str) = make_str("unsigned"); }
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 13525 "preproc.y"
    { (yyval.str) = make_str("year"); }
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 13526 "preproc.y"
    { (yyval.str) = make_str("char"); }
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 13527 "preproc.y"
    { (yyval.str) = make_str("float"); }
    break;

  case 2535:

/* Line 1806 of yacc.c  */
#line 13528 "preproc.y"
    { (yyval.str) = make_str("to"); }
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 13529 "preproc.y"
    { (yyval.str) = make_str("union"); }
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 13530 "preproc.y"
    { (yyval.str) = make_str("varchar"); }
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 13531 "preproc.y"
    { (yyval.str) = make_str("["); }
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 13532 "preproc.y"
    { (yyval.str) = make_str("]"); }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 13533 "preproc.y"
    { (yyval.str) = make_str("="); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 13534 "preproc.y"
    { (yyval.str) = make_str(":"); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 13537 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 13539 "preproc.y"
    { (yyval.str) = make_str("all"); }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 13540 "preproc.y"
    { (yyval.str) = make_str("all"); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 13543 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 13544 "preproc.y"
    { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 13545 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 13546 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 13547 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 13548 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 13549 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 13550 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 13551 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 13554 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 13555 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 13556 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 13557 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2559:

/* Line 1806 of yacc.c  */
#line 13558 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 13561 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 13562 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 13565 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2563:

/* Line 1806 of yacc.c  */
#line 13567 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 13577 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 13578 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 48088 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 13581 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

